(set-info :smt-lib-version 2.6)
(set-logic UFNIA)
(set-info :source |
    Shuvendu K. Lahiri, Shaz Qadeer, Zvonimir Rakamaric, Static and Precise 
    Detection of Concurrency Errors in Systems Code Using SMT Solvers, in 
    Computer Aided Verification (CAV '09), Springer Verlag, February 2009
    <http://research.microsoft.com/apps/pubs/default.aspx?id=80360>
|)
(set-info :category "industrial")
(set-info :status unsat)
(declare-sort boogieU 0)
(declare-sort boogieT 0)
(declare-sort TermBool 0)
(declare-fun boolTrue () TermBool)
(declare-fun boolFalse () TermBool)
(declare-fun boolIff (TermBool TermBool) TermBool)
(declare-fun boolImplies (TermBool TermBool) TermBool)
(declare-fun boolAnd (TermBool TermBool) TermBool)
(declare-fun boolOr (TermBool TermBool) TermBool)
(declare-fun boolNot (TermBool) TermBool)
(declare-fun UEqual (boogieU boogieU) TermBool)
(declare-fun TEqual (boogieT boogieT) TermBool)
(declare-fun IntEqual (Int Int) TermBool)
(declare-fun intLess (Int Int) TermBool)
(declare-fun intAtMost (Int Int) TermBool)
(declare-fun intGreater (Int Int) TermBool)
(declare-fun intAtLeast (Int Int) TermBool)
(declare-fun boogieIntMod (Int Int) Int)
(declare-fun boogieIntDiv (Int Int) Int)
(declare-fun UOrdering2 (boogieU boogieU) Bool)
(declare-fun UOrdering3 (boogieT boogieU boogieU) Bool)
(declare-fun TermUOrdering2 (boogieU boogieU) TermBool)
(declare-fun TermUOrdering3 (boogieT boogieU boogieU) TermBool)
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolIff ?x ?y) boolTrue) (= (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolImplies ?x ?y) boolTrue) (=> (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolAnd ?x ?y) boolTrue) (and (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolOr ?x ?y) boolTrue) (or (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool)) (! (= (= (boolNot ?x) boolTrue) (not (= ?x boolTrue))) :pattern ((boolNot ?x)) )))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (UEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieT)) (= (= (TEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (IntEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intLess ?x ?y) boolTrue) (< ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtMost ?x ?y) boolTrue) (<= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtLeast ?x ?y) boolTrue) (>= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intGreater ?x ?y) boolTrue) (> ?x ?y))))
(assert (distinct boolFalse boolTrue))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (TermUOrdering2 ?x ?y) boolTrue) (UOrdering2 ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieU) (?z boogieU)) (= (= (TermUOrdering3 ?x ?y ?z) boolTrue) (UOrdering3 ?x ?y ?z))))
(declare-fun Ctor (boogieT) Int)
(declare-fun intType () boogieT)
(declare-fun boolType () boogieT)
(declare-fun int_2_U (Int) boogieU)
(declare-fun U_2_int (boogieU) Int)
(declare-fun type (boogieU) boogieT)
(declare-fun bool_2_U (TermBool) boogieU)
(declare-fun U_2_bool (boogieU) TermBool)
(declare-fun nameType () boogieT)
(declare-fun UNALLOCATED () boogieU)
(declare-fun ALLOCATED () boogieU)
(declare-fun FREED () boogieU)
(declare-fun BYTE () boogieU)
(declare-fun T.Guid_WMIGUIDREGINFO () boogieU)
(declare-fun T.InstanceCount_WMIGUIDREGINFO () boogieU)
(declare-fun T.Flags_WMIGUIDREGINFO () boogieU)
(declare-fun T.OperationID__ACCESS_STATE () boogieU)
(declare-fun T.SecurityEvaluated__ACCESS_STATE () boogieU)
(declare-fun T.GenerateAudit__ACCESS_STATE () boogieU)
(declare-fun T.GenerateOnClose__ACCESS_STATE () boogieU)
(declare-fun T.PrivilegesAllocated__ACCESS_STATE () boogieU)
(declare-fun T.Flags__ACCESS_STATE () boogieU)
(declare-fun T.RemainingDesiredAccess__ACCESS_STATE () boogieU)
(declare-fun T.PreviouslyGrantedAccess__ACCESS_STATE () boogieU)
(declare-fun T.OriginalDesiredAccess__ACCESS_STATE () boogieU)
(declare-fun T.SubjectSecurityContext__ACCESS_STATE () boogieU)
(declare-fun T.SecurityDescriptor__ACCESS_STATE () boogieU)
(declare-fun T.AuxData__ACCESS_STATE () boogieU)
(declare-fun T.Privileges__ACCESS_STATE () boogieU)
(declare-fun T.AuditPrivileges__ACCESS_STATE () boogieU)
(declare-fun T.ObjectName__ACCESS_STATE () boogieU)
(declare-fun T.ObjectTypeName__ACCESS_STATE () boogieU)
(declare-fun T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Version__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Revision__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Count__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Count__CM_RESOURCE_LIST () boogieU)
(declare-fun T.List__CM_RESOURCE_LIST () boogieU)
(declare-fun T.Size__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Version__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceD1__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceD2__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.LockSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.EjectSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Removable__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DockDevice__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.UniqueID__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SilentInstall__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.RawDeviceOK__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SurpriseRemovalOK__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD0__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD1__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD2__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD3__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.HardwareDisabled__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.NonDynamic__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WarmEjectSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.NoDisplayInUI__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Reserved__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Address__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.UINumber__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceState__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SystemWake__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceWake__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D1Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D2Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D3Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Type__DEVICE_OBJECT () boogieU)
(declare-fun T.Size__DEVICE_OBJECT () boogieU)
(declare-fun T.ReferenceCount__DEVICE_OBJECT () boogieU)
(declare-fun T.DriverObject__DEVICE_OBJECT () boogieU)
(declare-fun T.NextDevice__DEVICE_OBJECT () boogieU)
(declare-fun T.AttachedDevice__DEVICE_OBJECT () boogieU)
(declare-fun T.CurrentIrp__DEVICE_OBJECT () boogieU)
(declare-fun T.Timer__DEVICE_OBJECT () boogieU)
(declare-fun T.Flags__DEVICE_OBJECT () boogieU)
(declare-fun T.Characteristics__DEVICE_OBJECT () boogieU)
(declare-fun T.Vpb__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceType__DEVICE_OBJECT () boogieU)
(declare-fun T.StackSize__DEVICE_OBJECT () boogieU)
(declare-fun T.Queue__DEVICE_OBJECT () boogieU)
(declare-fun T.AlignmentRequirement__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceQueue__DEVICE_OBJECT () boogieU)
(declare-fun T.Dpc__DEVICE_OBJECT () boogieU)
(declare-fun T.ActiveThreadCount__DEVICE_OBJECT () boogieU)
(declare-fun T.SecurityDescriptor__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceLock__DEVICE_OBJECT () boogieU)
(declare-fun T.SectorSize__DEVICE_OBJECT () boogieU)
(declare-fun T.Spare1__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceObjectExtension__DEVICE_OBJECT () boogieU)
(declare-fun T.Reserved__DEVICE_OBJECT () boogieU)
(declare-fun T.Type__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.Size__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.DeviceObject__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.__unnamed_4_7b44c46c__DISPATCHER_HEADER () boogieU)
(declare-fun T.SignalState__DISPATCHER_HEADER () boogieU)
(declare-fun T.WaitListHead__DISPATCHER_HEADER () boogieU)
(declare-fun T.DriverObject__DRIVER_EXTENSION () boogieU)
(declare-fun T.AddDevice__DRIVER_EXTENSION () boogieU)
(declare-fun T.Count__DRIVER_EXTENSION () boogieU)
(declare-fun T.ServiceKeyName__DRIVER_EXTENSION () boogieU)
(declare-fun T.Type__DRIVER_OBJECT () boogieU)
(declare-fun T.Size__DRIVER_OBJECT () boogieU)
(declare-fun T.DeviceObject__DRIVER_OBJECT () boogieU)
(declare-fun T.Flags__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverStart__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverSize__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverSection__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverExtension__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverName__DRIVER_OBJECT () boogieU)
(declare-fun T.HardwareDatabase__DRIVER_OBJECT () boogieU)
(declare-fun T.FastIoDispatch__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverInit__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverStartIo__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverUnload__DRIVER_OBJECT () boogieU)
(declare-fun T.MajorFunction__DRIVER_OBJECT () boogieU)
(declare-fun T.SystemResourcesList__ERESOURCE () boogieU)
(declare-fun T.OwnerTable__ERESOURCE () boogieU)
(declare-fun T.ActiveCount__ERESOURCE () boogieU)
(declare-fun T.Flag__ERESOURCE () boogieU)
(declare-fun T.SharedWaiters__ERESOURCE () boogieU)
(declare-fun T.ExclusiveWaiters__ERESOURCE () boogieU)
(declare-fun T.OwnerEntry__ERESOURCE () boogieU)
(declare-fun T.ActiveEntries__ERESOURCE () boogieU)
(declare-fun T.ContentionCount__ERESOURCE () boogieU)
(declare-fun T.NumberOfSharedWaiters__ERESOURCE () boogieU)
(declare-fun T.NumberOfExclusiveWaiters__ERESOURCE () boogieU)
(declare-fun T.__unnamed_4_f13e195c__ERESOURCE () boogieU)
(declare-fun T.SpinLock__ERESOURCE () boogieU)
(declare-fun T.SizeOfFastIoDispatch__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoCheckIfPossible__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoRead__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryBasicInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryStandardInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoLock__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockSingle__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockAll__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockAllByKey__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoDeviceControl__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoDetachDevice__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireForModWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlRead__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlReadComplete__FAST_IO_DISPATCH () boogieU)
(declare-fun T.PrepareMdlWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlWriteComplete__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoReadCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoWriteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlReadCompleteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryOpen__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseForModWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireForCcFlush__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseForCcFlush__FAST_IO_DISPATCH () boogieU)
(declare-fun T.Count__FAST_MUTEX () boogieU)
(declare-fun T.Owner__FAST_MUTEX () boogieU)
(declare-fun T.Contention__FAST_MUTEX () boogieU)
(declare-fun T.Gate__FAST_MUTEX () boogieU)
(declare-fun T.OldIrql__FAST_MUTEX () boogieU)
(declare-fun T.CreationTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.LastAccessTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.LastWriteTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.ChangeTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.FileAttributes__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.CreationTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.Type__FILE_OBJECT () boogieU)
(declare-fun T.Size__FILE_OBJECT () boogieU)
(declare-fun T.DeviceObject__FILE_OBJECT () boogieU)
(declare-fun T.Vpb__FILE_OBJECT () boogieU)
(declare-fun T.FsContext__FILE_OBJECT () boogieU)
(declare-fun T.FsContext2__FILE_OBJECT () boogieU)
(declare-fun T.SectionObjectPointer__FILE_OBJECT () boogieU)
(declare-fun T.PrivateCacheMap__FILE_OBJECT () boogieU)
(declare-fun T.FinalStatus__FILE_OBJECT () boogieU)
(declare-fun T.RelatedFileObject__FILE_OBJECT () boogieU)
(declare-fun T.LockOperation__FILE_OBJECT () boogieU)
(declare-fun T.DeletePending__FILE_OBJECT () boogieU)
(declare-fun T.ReadAccess__FILE_OBJECT () boogieU)
(declare-fun T.WriteAccess__FILE_OBJECT () boogieU)
(declare-fun T.DeleteAccess__FILE_OBJECT () boogieU)
(declare-fun T.SharedRead__FILE_OBJECT () boogieU)
(declare-fun T.SharedWrite__FILE_OBJECT () boogieU)
(declare-fun T.SharedDelete__FILE_OBJECT () boogieU)
(declare-fun T.Flags__FILE_OBJECT () boogieU)
(declare-fun T.FileName__FILE_OBJECT () boogieU)
(declare-fun T.CurrentByteOffset__FILE_OBJECT () boogieU)
(declare-fun T.Waiters__FILE_OBJECT () boogieU)
(declare-fun T.Busy__FILE_OBJECT () boogieU)
(declare-fun T.LastLock__FILE_OBJECT () boogieU)
(declare-fun T.Lock__FILE_OBJECT () boogieU)
(declare-fun T.Event__FILE_OBJECT () boogieU)
(declare-fun T.CompletionContext__FILE_OBJECT () boogieU)
(declare-fun T.IrpListLock__FILE_OBJECT () boogieU)
(declare-fun T.IrpList__FILE_OBJECT () boogieU)
(declare-fun T.FileObjectExtension__FILE_OBJECT () boogieU)
(declare-fun T.AllocationSize__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.EndOfFile__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.NumberOfLinks__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.DeletePending__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.Directory__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.Data1__GUID () boogieU)
(declare-fun T.Data2__GUID () boogieU)
(declare-fun T.Data3__GUID () boogieU)
(declare-fun T.Data4__GUID () boogieU)
(declare-fun T.PrivilegeCount__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Control__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Privilege__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Size__INTERFACE () boogieU)
(declare-fun T.Version__INTERFACE () boogieU)
(declare-fun T.Context__INTERFACE () boogieU)
(declare-fun T.InterfaceReference__INTERFACE () boogieU)
(declare-fun T.InterfaceDereference__INTERFACE () boogieU)
(declare-fun T.Port__IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.Key__IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.Option__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Type__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.ShareDisposition__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Spare1__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Flags__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Spare2__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.u__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Version__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Revision__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Count__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Descriptors__IO_RESOURCE_LIST () boogieU)
(declare-fun T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.List__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.SecurityQos__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.AccessState__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.DesiredAccess__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.FullCreateOptions__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.MajorFunction__IO_STACK_LOCATION () boogieU)
(declare-fun T.MinorFunction__IO_STACK_LOCATION () boogieU)
(declare-fun T.Flags__IO_STACK_LOCATION () boogieU)
(declare-fun T.Control__IO_STACK_LOCATION () boogieU)
(declare-fun T.Parameters__IO_STACK_LOCATION () boogieU)
(declare-fun T.DeviceObject__IO_STACK_LOCATION () boogieU)
(declare-fun T.FileObject__IO_STACK_LOCATION () boogieU)
(declare-fun T.CompletionRoutine__IO_STACK_LOCATION () boogieU)
(declare-fun T.Context__IO_STACK_LOCATION () boogieU)
(declare-fun T.__unnamed_4_ab1173de__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Information__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Type__IRP () boogieU)
(declare-fun T.Size__IRP () boogieU)
(declare-fun T.MdlAddress__IRP () boogieU)
(declare-fun T.Flags__IRP () boogieU)
(declare-fun T.AssociatedIrp__IRP () boogieU)
(declare-fun T.ThreadListEntry__IRP () boogieU)
(declare-fun T.IoStatus__IRP () boogieU)
(declare-fun T.RequestorMode__IRP () boogieU)
(declare-fun T.PendingReturned__IRP () boogieU)
(declare-fun T.StackCount__IRP () boogieU)
(declare-fun T.CurrentLocation__IRP () boogieU)
(declare-fun T.Cancel__IRP () boogieU)
(declare-fun T.CancelIrql__IRP () boogieU)
(declare-fun T.ApcEnvironment__IRP () boogieU)
(declare-fun T.AllocationFlags__IRP () boogieU)
(declare-fun T.UserIosb__IRP () boogieU)
(declare-fun T.UserEvent__IRP () boogieU)
(declare-fun T.Overlay__IRP () boogieU)
(declare-fun T.CancelRoutine__IRP () boogieU)
(declare-fun T.UserBuffer__IRP () boogieU)
(declare-fun T.Tail__IRP () boogieU)
(declare-fun T.Type__KAPC () boogieU)
(declare-fun T.SpareByte0__KAPC () boogieU)
(declare-fun T.Size__KAPC () boogieU)
(declare-fun T.SpareByte1__KAPC () boogieU)
(declare-fun T.SpareLong0__KAPC () boogieU)
(declare-fun T.Thread__KAPC () boogieU)
(declare-fun T.ApcListEntry__KAPC () boogieU)
(declare-fun T.KernelRoutine__KAPC () boogieU)
(declare-fun T.RundownRoutine__KAPC () boogieU)
(declare-fun T.NormalRoutine__KAPC () boogieU)
(declare-fun T.NormalContext__KAPC () boogieU)
(declare-fun T.SystemArgument1__KAPC () boogieU)
(declare-fun T.SystemArgument2__KAPC () boogieU)
(declare-fun T.ApcStateIndex__KAPC () boogieU)
(declare-fun T.ApcMode__KAPC () boogieU)
(declare-fun T.Inserted__KAPC () boogieU)
(declare-fun T.Type__KDEVICE_QUEUE () boogieU)
(declare-fun T.Size__KDEVICE_QUEUE () boogieU)
(declare-fun T.DeviceListHead__KDEVICE_QUEUE () boogieU)
(declare-fun T.Lock__KDEVICE_QUEUE () boogieU)
(declare-fun T.Busy__KDEVICE_QUEUE () boogieU)
(declare-fun T.DeviceListEntry__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.SortKey__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.Inserted__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.Type__KDPC () boogieU)
(declare-fun T.Importance__KDPC () boogieU)
(declare-fun T.Number__KDPC () boogieU)
(declare-fun T.DpcListEntry__KDPC () boogieU)
(declare-fun T.DeferredRoutine__KDPC () boogieU)
(declare-fun T.DeferredContext__KDPC () boogieU)
(declare-fun T.SystemArgument1__KDPC () boogieU)
(declare-fun T.SystemArgument2__KDPC () boogieU)
(declare-fun T.DpcData__KDPC () boogieU)
(declare-fun T.Header__KEVENT () boogieU)
(declare-fun T.Header__KSEMAPHORE () boogieU)
(declare-fun T.Limit__KSEMAPHORE () boogieU)
(declare-fun T.Header__KTIMER () boogieU)
(declare-fun T.DueTime__KTIMER () boogieU)
(declare-fun T.TimerListEntry__KTIMER () boogieU)
(declare-fun T.Dpc__KTIMER () boogieU)
(declare-fun T.Period__KTIMER () boogieU)
(declare-fun T.__unnamed_8_544b88f4__LARGE_INTEGER () boogieU)
(declare-fun T.u__LARGE_INTEGER () boogieU)
(declare-fun T.QuadPart__LARGE_INTEGER () boogieU)
(declare-fun T.Flink__LIST_ENTRY () boogieU)
(declare-fun T.Blink__LIST_ENTRY () boogieU)
(declare-fun T.LowPart__LUID () boogieU)
(declare-fun T.HighPart__LUID () boogieU)
(declare-fun T.Luid__LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.Attributes__LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.Next__MDL () boogieU)
(declare-fun T.Size__MDL () boogieU)
(declare-fun T.MdlFlags__MDL () boogieU)
(declare-fun T.Process__MDL () boogieU)
(declare-fun T.MappedSystemVa__MDL () boogieU)
(declare-fun T.StartVa__MDL () boogieU)
(declare-fun T.ByteCount__MDL () boogieU)
(declare-fun T.ByteOffset__MDL () boogieU)
(declare-fun T.OwnerThread__OWNER_ENTRY () boogieU)
(declare-fun T.__unnamed_4_1c47e29a__OWNER_ENTRY () boogieU)
(declare-fun T.SequenceD1__POWER_SEQUENCE () boogieU)
(declare-fun T.SequenceD2__POWER_SEQUENCE () boogieU)
(declare-fun T.SequenceD3__POWER_SEQUENCE () boogieU)
(declare-fun T.SystemState__POWER_STATE () boogieU)
(declare-fun T.DeviceState__POWER_STATE () boogieU)
(declare-fun T.PrivilegeCount__PRIVILEGE_SET () boogieU)
(declare-fun T.Control__PRIVILEGE_SET () boogieU)
(declare-fun T.Privilege__PRIVILEGE_SET () boogieU)
(declare-fun T.DataSectionObject__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.SharedCacheMap__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.ImageSectionObject__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.Length__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ClientToken__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.PrimaryToken__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.ReceivedCount__SERIALPERF_STATS () boogieU)
(declare-fun T.TransmittedCount__SERIALPERF_STATS () boogieU)
(declare-fun T.FrameErrorCount__SERIALPERF_STATS () boogieU)
(declare-fun T.SerialOverrunErrorCount__SERIALPERF_STATS () boogieU)
(declare-fun T.BufferOverrunErrorCount__SERIALPERF_STATS () boogieU)
(declare-fun T.ParityErrorCount__SERIALPERF_STATS () boogieU)
(declare-fun T.BaudRate__SERIAL_BAUD_RATE () boogieU)
(declare-fun T.EofChar__SERIAL_CHARS () boogieU)
(declare-fun T.ErrorChar__SERIAL_CHARS () boogieU)
(declare-fun T.BreakChar__SERIAL_CHARS () boogieU)
(declare-fun T.EventChar__SERIAL_CHARS () boogieU)
(declare-fun T.XonChar__SERIAL_CHARS () boogieU)
(declare-fun T.XoffChar__SERIAL_CHARS () boogieU)
(declare-fun T.IsrFunc__SERIAL_CISR_SW () boogieU)
(declare-fun T.Context__SERIAL_CISR_SW () boogieU)
(declare-fun T.SharerList__SERIAL_CISR_SW () boogieU)
(declare-fun T.PacketLength__SERIAL_COMMPROP () boogieU)
(declare-fun T.PacketVersion__SERIAL_COMMPROP () boogieU)
(declare-fun T.ServiceMask__SERIAL_COMMPROP () boogieU)
(declare-fun T.Reserved1__SERIAL_COMMPROP () boogieU)
(declare-fun T.MaxTxQueue__SERIAL_COMMPROP () boogieU)
(declare-fun T.MaxRxQueue__SERIAL_COMMPROP () boogieU)
(declare-fun T.MaxBaud__SERIAL_COMMPROP () boogieU)
(declare-fun T.ProvSubType__SERIAL_COMMPROP () boogieU)
(declare-fun T.ProvCapabilities__SERIAL_COMMPROP () boogieU)
(declare-fun T.SettableParams__SERIAL_COMMPROP () boogieU)
(declare-fun T.SettableBaud__SERIAL_COMMPROP () boogieU)
(declare-fun T.SettableData__SERIAL_COMMPROP () boogieU)
(declare-fun T.SettableStopParity__SERIAL_COMMPROP () boogieU)
(declare-fun T.CurrentTxQueue__SERIAL_COMMPROP () boogieU)
(declare-fun T.CurrentRxQueue__SERIAL_COMMPROP () boogieU)
(declare-fun T.ProvSpec1__SERIAL_COMMPROP () boogieU)
(declare-fun T.ProvSpec2__SERIAL_COMMPROP () boogieU)
(declare-fun T.ProvChar__SERIAL_COMMPROP () boogieU)
(declare-fun T.TopLevelOurIsr__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TopLevelOurIsrContext__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TopLevelSharers__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CommonInterruptObject__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.MultiportSiblings__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.AllDevObjs__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OriginalController__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OriginalInterruptStatus__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.IntervalTime__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ShortIntervalAmount__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LongIntervalAmount__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CutOverAmount__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LastReadTime__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceName__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ObjectDirectory__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SymbolicLinkName__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DosName__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.IntervalTimeToUse__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceObject__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OurIsr__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OurIsrContext__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Controller__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.InterruptStatus__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Interrupt__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ReadQueue__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WriteQueue__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.MaskQueue__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PurgeQueue__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentReadIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentWriteIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentMaskIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentWaitIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentXoffIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WriteLength__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WriteCurrentChar__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.InterruptReadBuffer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ReadBufferBase__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentCharSlot__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LastCharSlot__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.FirstReadableChar__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LockPtr__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.BufferSize__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.BufferSizePt8__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.NumberNeededForRead__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.IsrWaitMask__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.HistoryMask__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.IrpMaskLocation__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TXHolding__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.RXHolding__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ErrorWord__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TotalCharsQueued__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CountOnLastRead__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ReadByIsr__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentBaud__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CountSinceXoff__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CountOfTryingToLowerRTS__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SupportedBauds__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SpanOfController__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SpanOfInterruptStatus__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ClockRate__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TxFifoAmount__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PermitShare__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Timeouts__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SpecialChars__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.HandFlow__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PerfStats__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LineControl__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceIsOpened__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.UnMapRegisters__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.UnMapStatus__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.HoldingEmpty__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TransmitImmediate__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.EmptiedTransmit__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PortOnAMultiportCard__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Vector__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Irql__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OriginalVector__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OriginalIrql__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.AddressSpace__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.BusNumber__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.InterfaceType__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PortIndex__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Indexed__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.MaskInverted__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.NewPortIndex__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.NewMaskInverted__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.NewExtension__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ImmediateChar__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ValidDataMask__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.EscapeChar__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SendXonChar__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SendXoffChar__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.FifoPresent__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.RxFifoTrigger__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.InterruptShareable__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CreatedSymbolicLink__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CreatedSerialCommEntry__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ControlLock__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.FlagsLock__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CompleteWriteDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CompleteReadDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CommErrorDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CommWaitDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CompleteImmediateDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.XoffCountCompleteDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.StartTimerLowerRTSDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PerhapsLowerRTSDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.IsrUnlockPagesDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SetPendingDpcEvent__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.XoffCountTimer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LowerRTSTimer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LowerDeviceObject__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PowerState__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DriverObject__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SerialSyncEvent__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceClassSymbolicName__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CIsrSw__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PendingIRPCnt__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DevicePNPAccept__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PendingIRPEvent__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PNPState__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Flags__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OpenCount__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SerialStartEvent__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceState__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceStateMap__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PowerD0Event__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.StalledIrpQueue__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OpenMutex__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CloseMutex__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OwnsPowerPolicy__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.RetainPowerOnClose__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.QueueCreateIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SystemWake__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceWake__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Pdo__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SendWaitWake__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PendingWakeIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WmiLibInfo__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WmiIdentifier__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WmiCommData__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WmiHwData__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WmiPerfData__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DpcCount__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PendingDpcEvent__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SkipNaming__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TL16C550CAFC__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.NewDevicePowerState__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.UartRemovalDetect__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Reopen__SERIAL_DEVICE_STATE () boogieU)
(declare-fun T.IER__SERIAL_DEVICE_STATE () boogieU)
(declare-fun T.LCR__SERIAL_DEVICE_STATE () boogieU)
(declare-fun T.MCR__SERIAL_DEVICE_STATE () boogieU)
(declare-fun T.ControlHandShake__SERIAL_HANDFLOW () boogieU)
(declare-fun T.FlowReplace__SERIAL_HANDFLOW () boogieU)
(declare-fun T.XonLimit__SERIAL_HANDFLOW () boogieU)
(declare-fun T.XoffLimit__SERIAL_HANDFLOW () boogieU)
(declare-fun T.Extension__SERIAL_IOCTL_SYNC () boogieU)
(declare-fun T.Data__SERIAL_IOCTL_SYNC () boogieU)
(declare-fun T.StopBits__SERIAL_LINE_CONTROL () boogieU)
(declare-fun T.Parity__SERIAL_LINE_CONTROL () boogieU)
(declare-fun T.WordLength__SERIAL_LINE_CONTROL () boogieU)
(declare-fun T.InSize__SERIAL_QUEUE_SIZE () boogieU)
(declare-fun T.OutSize__SERIAL_QUEUE_SIZE () boogieU)
(declare-fun T.Extension__SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T.OldBuffer__SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T.NewBuffer__SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T.NewBufferSize__SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T.NumberMoved__SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T.ReadIntervalTimeout__SERIAL_TIMEOUTS () boogieU)
(declare-fun T.ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS () boogieU)
(declare-fun T.ReadTotalTimeoutConstant__SERIAL_TIMEOUTS () boogieU)
(declare-fun T.WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS () boogieU)
(declare-fun T.WriteTotalTimeoutConstant__SERIAL_TIMEOUTS () boogieU)
(declare-fun T.Extension__SERIAL_UPDATE_CHAR () boogieU)
(declare-fun T.CharsCopied__SERIAL_UPDATE_CHAR () boogieU)
(declare-fun T.Completed__SERIAL_UPDATE_CHAR () boogieU)
(declare-fun T.BaudRate__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.BitsPerByte__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.Parity__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.ParityCheckEnable__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.StopBits__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.XoffCharacter__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.XoffXmitThreshold__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.XonCharacter__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.XonXmitThreshold__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.MaximumBaudRate__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.MaximumOutputBufferSize__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.MaximumInputBufferSize__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.Support16BitMode__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SupportDTRDSR__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SupportIntervalTimeouts__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SupportParityCheck__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SupportRTSCTS__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SupportXonXoff__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SettableBaudRate__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SettableDataBits__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SettableFlowControl__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SettableParity__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SettableParityCheck__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SettableStopBits__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.IsBusy__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.IrqNumber__SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T.IrqVector__SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T.IrqLevel__SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T.IrqAffinityMask__SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T.InterruptType__SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T.BaseIOAddress__SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T.ReceivedCount__SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T.TransmittedCount__SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T.FrameErrorCount__SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T.SerialOverrunErrorCount__SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T.BufferOverrunErrorCount__SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T.ParityErrorCount__SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T.Timeout__SERIAL_XOFF_COUNTER () boogieU)
(declare-fun T.Counter__SERIAL_XOFF_COUNTER () boogieU)
(declare-fun T.XoffChar__SERIAL_XOFF_COUNTER () boogieU)
(declare-fun T.__unnamed_4_a8006df8__SYSTEM_POWER_STATE_CONTEXT () boogieU)
(declare-fun T.__unnamed_8_baf71367__ULARGE_INTEGER () boogieU)
(declare-fun T.u__ULARGE_INTEGER () boogieU)
(declare-fun T.QuadPart__ULARGE_INTEGER () boogieU)
(declare-fun T.Length__UNICODE_STRING () boogieU)
(declare-fun T.MaximumLength__UNICODE_STRING () boogieU)
(declare-fun T.Buffer__UNICODE_STRING () boogieU)
(declare-fun T.Type__VPB () boogieU)
(declare-fun T.Size__VPB () boogieU)
(declare-fun T.Flags__VPB () boogieU)
(declare-fun T.VolumeLabelLength__VPB () boogieU)
(declare-fun T.DeviceObject__VPB () boogieU)
(declare-fun T.RealDevice__VPB () boogieU)
(declare-fun T.SerialNumber__VPB () boogieU)
(declare-fun T.ReferenceCount__VPB () boogieU)
(declare-fun T.VolumeLabel__VPB () boogieU)
(declare-fun T.WaitQueueEntry__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceRoutine__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceContext__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceObject__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.CurrentIrp__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.BufferChainingDpc__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.GuidCount__WMILIB_CONTEXT () boogieU)
(declare-fun T.GuidList__WMILIB_CONTEXT () boogieU)
(declare-fun T.QueryWmiRegInfo__WMILIB_CONTEXT () boogieU)
(declare-fun T.QueryWmiDataBlock__WMILIB_CONTEXT () boogieU)
(declare-fun T.SetWmiDataBlock__WMILIB_CONTEXT () boogieU)
(declare-fun T.SetWmiDataItem__WMILIB_CONTEXT () boogieU)
(declare-fun T.ExecuteWmiMethod__WMILIB_CONTEXT () boogieU)
(declare-fun T.WmiFunctionControl__WMILIB_CONTEXT () boogieU)
(declare-fun T.Priority___unnamed_12_0cb3dc26 () boogieU)
(declare-fun T.Reserved1___unnamed_12_0cb3dc26 () boogieU)
(declare-fun T.Reserved2___unnamed_12_0cb3dc26 () boogieU)
(declare-fun T.Data___unnamed_12_1a4b0b08 () boogieU)
(declare-fun T.Reserved___unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.MessageCount___unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.Vector___unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.Affinity___unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.Start___unnamed_12_28f1f9cc () boogieU)
(declare-fun T.Length___unnamed_12_28f1f9cc () boogieU)
(declare-fun T.Reserved___unnamed_12_28f1f9cc () boogieU)
(declare-fun T.__unnamed_12_9eaf06f6___unnamed_12_29a9546e () boogieU)
(declare-fun T.Start___unnamed_12_33a88444 () boogieU)
(declare-fun T.Length48___unnamed_12_33a88444 () boogieU)
(declare-fun T.Start___unnamed_12_468ce3a2 () boogieU)
(declare-fun T.Length___unnamed_12_468ce3a2 () boogieU)
(declare-fun T.ListEntry___unnamed_12_5cc47a19 () boogieU)
(declare-fun T.__unnamed_4_61d4f5e1___unnamed_12_5cc47a19 () boogieU)
(declare-fun T.Level___unnamed_12_6fbd747c () boogieU)
(declare-fun T.Vector___unnamed_12_6fbd747c () boogieU)
(declare-fun T.Affinity___unnamed_12_6fbd747c () boogieU)
(declare-fun T.Generic___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Port___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Interrupt___unnamed_12_9a27b966 () boogieU)
(declare-fun T.MessageInterrupt___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Memory___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Dma___unnamed_12_9a27b966 () boogieU)
(declare-fun T.DevicePrivate___unnamed_12_9a27b966 () boogieU)
(declare-fun T.BusNumber___unnamed_12_9a27b966 () boogieU)
(declare-fun T.DeviceSpecificData___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Memory40___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Memory48___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Memory64___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Raw___unnamed_12_9eaf06f6 () boogieU)
(declare-fun T.Translated___unnamed_12_9eaf06f6 () boogieU)
(declare-fun T.Data___unnamed_12_a967ef4a () boogieU)
(declare-fun T.Start___unnamed_12_ab6ff61b () boogieU)
(declare-fun T.Length64___unnamed_12_ab6ff61b () boogieU)
(declare-fun T.Start___unnamed_12_ad4e1918 () boogieU)
(declare-fun T.Length___unnamed_12_ad4e1918 () boogieU)
(declare-fun T.Start___unnamed_12_c0c3bd45 () boogieU)
(declare-fun T.Length___unnamed_12_c0c3bd45 () boogieU)
(declare-fun T.Start___unnamed_12_df63118d () boogieU)
(declare-fun T.Length40___unnamed_12_df63118d () boogieU)
(declare-fun T.Level___unnamed_12_e5164c3f () boogieU)
(declare-fun T.Vector___unnamed_12_e5164c3f () boogieU)
(declare-fun T.Affinity___unnamed_12_e5164c3f () boogieU)
(declare-fun T.Channel___unnamed_12_f1f9be0a () boogieU)
(declare-fun T.Port___unnamed_12_f1f9be0a () boogieU)
(declare-fun T.Reserved1___unnamed_12_f1f9be0a () boogieU)
(declare-fun T.DataSize___unnamed_12_f354d203 () boogieU)
(declare-fun T.Reserved1___unnamed_12_f354d203 () boogieU)
(declare-fun T.Reserved2___unnamed_12_f354d203 () boogieU)
(declare-fun T.InterfaceType___unnamed_16_2ab145ec () boogieU)
(declare-fun T.Size___unnamed_16_2ab145ec () boogieU)
(declare-fun T.Version___unnamed_16_2ab145ec () boogieU)
(declare-fun T.Interface___unnamed_16_2ab145ec () boogieU)
(declare-fun T.InterfaceSpecificData___unnamed_16_2ab145ec () boogieU)
(declare-fun T.Length___unnamed_16_30f1d328 () boogieU)
(declare-fun T.MinBusNumber___unnamed_16_30f1d328 () boogieU)
(declare-fun T.MaxBusNumber___unnamed_16_30f1d328 () boogieU)
(declare-fun T.Reserved___unnamed_16_30f1d328 () boogieU)
(declare-fun T.DeviceQueueEntry___unnamed_16_3277c3a0 () boogieU)
(declare-fun T.__unnamed_16_c774559b___unnamed_16_3277c3a0 () boogieU)
(declare-fun T.Length___unnamed_16_3a584a7c () boogieU)
(declare-fun T.Key___unnamed_16_3a584a7c () boogieU)
(declare-fun T.ByteOffset___unnamed_16_3a584a7c () boogieU)
(declare-fun T.OutputBufferLength___unnamed_16_3dec08db () boogieU)
(declare-fun T.InputBufferLength___unnamed_16_3dec08db () boogieU)
(declare-fun T.FsControlCode___unnamed_16_3dec08db () boogieU)
(declare-fun T.Type3InputBuffer___unnamed_16_3dec08db () boogieU)
(declare-fun T.Create___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Read___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Write___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryDirectory___unnamed_16_57edbc3a () boogieU)
(declare-fun T.NotifyDirectory___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryFile___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetFile___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryEa___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetEa___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryVolume___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetVolume___unnamed_16_57edbc3a () boogieU)
(declare-fun T.FileSystemControl___unnamed_16_57edbc3a () boogieU)
(declare-fun T.LockControl___unnamed_16_57edbc3a () boogieU)
(declare-fun T.DeviceIoControl___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QuerySecurity___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetSecurity___unnamed_16_57edbc3a () boogieU)
(declare-fun T.MountVolume___unnamed_16_57edbc3a () boogieU)
(declare-fun T.VerifyVolume___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Scsi___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryQuota___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetQuota___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryDeviceRelations___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryInterface___unnamed_16_57edbc3a () boogieU)
(declare-fun T.DeviceCapabilities___unnamed_16_57edbc3a () boogieU)
(declare-fun T.FilterResourceRequirements___unnamed_16_57edbc3a () boogieU)
(declare-fun T.ReadWriteConfig___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetLock___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryId___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryDeviceText___unnamed_16_57edbc3a () boogieU)
(declare-fun T.UsageNotification___unnamed_16_57edbc3a () boogieU)
(declare-fun T.WaitWake___unnamed_16_57edbc3a () boogieU)
(declare-fun T.PowerSequence___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Power___unnamed_16_57edbc3a () boogieU)
(declare-fun T.StartDevice___unnamed_16_57edbc3a () boogieU)
(declare-fun T.WMI___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Others___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Argument1___unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.Argument2___unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.Argument3___unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.Argument4___unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.OutputBufferLength___unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.InputBufferLength___unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.IoControlCode___unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.Type3InputBuffer___unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.ProviderId___unnamed_16_66abee0d () boogieU)
(declare-fun T.DataPath___unnamed_16_66abee0d () boogieU)
(declare-fun T.BufferSize___unnamed_16_66abee0d () boogieU)
(declare-fun T.Buffer___unnamed_16_66abee0d () boogieU)
(declare-fun T.__unnamed_4_b38dc67f___unnamed_16_6c8935f2 () boogieU)
(declare-fun T.Type___unnamed_16_6c8935f2 () boogieU)
(declare-fun T.State___unnamed_16_6c8935f2 () boogieU)
(declare-fun T.ShutdownType___unnamed_16_6c8935f2 () boogieU)
(declare-fun T.Length___unnamed_16_834e30a3 () boogieU)
(declare-fun T.EaList___unnamed_16_834e30a3 () boogieU)
(declare-fun T.EaListLength___unnamed_16_834e30a3 () boogieU)
(declare-fun T.EaIndex___unnamed_16_834e30a3 () boogieU)
(declare-fun T.WhichSpace___unnamed_16_83707d7f () boogieU)
(declare-fun T.Buffer___unnamed_16_83707d7f () boogieU)
(declare-fun T.Offset___unnamed_16_83707d7f () boogieU)
(declare-fun T.Length___unnamed_16_83707d7f () boogieU)
(declare-fun T.Length___unnamed_16_94922103 () boogieU)
(declare-fun T.Key___unnamed_16_94922103 () boogieU)
(declare-fun T.ByteOffset___unnamed_16_94922103 () boogieU)
(declare-fun T.Length___unnamed_16_9eb64f79 () boogieU)
(declare-fun T.StartSid___unnamed_16_9eb64f79 () boogieU)
(declare-fun T.SidList___unnamed_16_9eb64f79 () boogieU)
(declare-fun T.SidListLength___unnamed_16_9eb64f79 () boogieU)
(declare-fun T.Length___unnamed_16_a71f10bf () boogieU)
(declare-fun T.FileName___unnamed_16_a71f10bf () boogieU)
(declare-fun T.FileInformationClass___unnamed_16_a71f10bf () boogieU)
(declare-fun T.FileIndex___unnamed_16_a71f10bf () boogieU)
(declare-fun T.SecurityContext___unnamed_16_af2c1884 () boogieU)
(declare-fun T.Options___unnamed_16_af2c1884 () boogieU)
(declare-fun T.FileAttributes___unnamed_16_af2c1884 () boogieU)
(declare-fun T.ShareAccess___unnamed_16_af2c1884 () boogieU)
(declare-fun T.EaLength___unnamed_16_af2c1884 () boogieU)
(declare-fun T.Length___unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.FileInformationClass___unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.FileObject___unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.__unnamed_4_4d53984e___unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.DriverContext___unnamed_16_c774559b () boogieU)
(declare-fun T.Length___unnamed_16_ca1b3ad0 () boogieU)
(declare-fun T.Key___unnamed_16_ca1b3ad0 () boogieU)
(declare-fun T.ByteOffset___unnamed_16_ca1b3ad0 () boogieU)
(declare-fun T.Abandoned___unnamed_1_4258582a () boogieU)
(declare-fun T.Absolute___unnamed_1_4258582a () boogieU)
(declare-fun T.NpxIrql___unnamed_1_4258582a () boogieU)
(declare-fun T.Signalling___unnamed_1_4258582a () boogieU)
(declare-fun T.Lock___unnamed_1_4f5916b9 () boogieU)
(declare-fun T.Size___unnamed_1_923f487b () boogieU)
(declare-fun T.Hand___unnamed_1_923f487b () boogieU)
(declare-fun T.Inserted___unnamed_1_ac5cb154 () boogieU)
(declare-fun T.DebugActive___unnamed_1_ac5cb154 () boogieU)
(declare-fun T.DpcActive___unnamed_1_ac5cb154 () boogieU)
(declare-fun T.MinimumVector___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.MaximumVector___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.AffinityPolicy___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.PriorityPolicy___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.TargetedProcessors___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.Length___unnamed_24_76c1f52c () boogieU)
(declare-fun T.Alignment___unnamed_24_76c1f52c () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_76c1f52c () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_76c1f52c () boogieU)
(declare-fun T.Length64___unnamed_24_87e4ad03 () boogieU)
(declare-fun T.Alignment64___unnamed_24_87e4ad03 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_87e4ad03 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_87e4ad03 () boogieU)
(declare-fun T.Port___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Memory___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Interrupt___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Dma___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Generic___unnamed_24_87fb9019 () boogieU)
(declare-fun T.DevicePrivate___unnamed_24_87fb9019 () boogieU)
(declare-fun T.BusNumber___unnamed_24_87fb9019 () boogieU)
(declare-fun T.ConfigData___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Memory40___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Memory48___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Memory64___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Length40___unnamed_24_af527a47 () boogieU)
(declare-fun T.Alignment40___unnamed_24_af527a47 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_af527a47 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_af527a47 () boogieU)
(declare-fun T.Length___unnamed_24_b3ef9869 () boogieU)
(declare-fun T.Alignment___unnamed_24_b3ef9869 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_b3ef9869 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_b3ef9869 () boogieU)
(declare-fun T.Length___unnamed_24_c23e34f7 () boogieU)
(declare-fun T.Alignment___unnamed_24_c23e34f7 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_c23e34f7 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_c23e34f7 () boogieU)
(declare-fun T.Length48___unnamed_24_e04d7241 () boogieU)
(declare-fun T.Alignment48___unnamed_24_e04d7241 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_e04d7241 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_e04d7241 () boogieU)
(declare-fun T.ReplaceIfExists___unnamed_2_1d659b1d () boogieU)
(declare-fun T.AdvanceOnly___unnamed_2_1d659b1d () boogieU)
(declare-fun T.ListEntry___unnamed_40_1db13fa5 () boogieU)
(declare-fun T.Wcb___unnamed_40_1db13fa5 () boogieU)
(declare-fun T.__unnamed_16_3277c3a0___unnamed_40_ebf2206a () boogieU)
(declare-fun T.Thread___unnamed_40_ebf2206a () boogieU)
(declare-fun T.AuxiliaryBuffer___unnamed_40_ebf2206a () boogieU)
(declare-fun T.__unnamed_12_5cc47a19___unnamed_40_ebf2206a () boogieU)
(declare-fun T.OriginalFileObject___unnamed_40_ebf2206a () boogieU)
(declare-fun T.InitialPrivilegeSet___unnamed_44_0d347e8a () boogieU)
(declare-fun T.PrivilegeSet___unnamed_44_0d347e8a () boogieU)
(declare-fun T.Overlay___unnamed_48_ffd8d308 () boogieU)
(declare-fun T.Apc___unnamed_48_ffd8d308 () boogieU)
(declare-fun T.CompletionKey___unnamed_48_ffd8d308 () boogieU)
(declare-fun T.IdType___unnamed_4_04fc9c34 () boogieU)
(declare-fun T.PowerSequence___unnamed_4_082ca2fa () boogieU)
(declare-fun T.Type___unnamed_4_142d6b52 () boogieU)
(declare-fun T.OwnerCount___unnamed_4_1c47e29a () boogieU)
(declare-fun T.TableSize___unnamed_4_1c47e29a () boogieU)
(declare-fun T.MasterIrp___unnamed_4_3dc37e35 () boogieU)
(declare-fun T.IrpCount___unnamed_4_3dc37e35 () boogieU)
(declare-fun T.SystemBuffer___unnamed_4_3dc37e35 () boogieU)
(declare-fun T.__unnamed_2_1d659b1d___unnamed_4_4d53984e () boogieU)
(declare-fun T.ClusterCount___unnamed_4_4d53984e () boogieU)
(declare-fun T.DeleteHandle___unnamed_4_4d53984e () boogieU)
(declare-fun T.Length___unnamed_4_522a02ae () boogieU)
(declare-fun T.CurrentStackLocation___unnamed_4_61d4f5e1 () boogieU)
(declare-fun T.PacketType___unnamed_4_61d4f5e1 () boogieU)
(declare-fun T.Length___unnamed_4_6eaf329f () boogieU)
(declare-fun T.__unnamed_4_f14caa62___unnamed_4_7b44c46c () boogieU)
(declare-fun T.Lock___unnamed_4_7b44c46c () boogieU)
(declare-fun T.PowerState___unnamed_4_7bab7ec3 () boogieU)
(declare-fun T.__unnamed_4_ce0c1b82___unnamed_4_a8006df8 () boogieU)
(declare-fun T.ContextAsUlong___unnamed_4_a8006df8 () boogieU)
(declare-fun T.Status___unnamed_4_ab1173de () boogieU)
(declare-fun T.Pointer___unnamed_4_ab1173de () boogieU)
(declare-fun T.Srb___unnamed_4_b2e59cbb () boogieU)
(declare-fun T.SystemContext___unnamed_4_b38dc67f () boogieU)
(declare-fun T.SystemPowerStateContext___unnamed_4_b38dc67f () boogieU)
(declare-fun T.Capabilities___unnamed_4_c62ef092 () boogieU)
(declare-fun T.Reserved1___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.TargetSystemState___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.EffectiveSystemState___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.CurrentSystemState___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.IgnoreHibernationPath___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.PseudoTransition___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.Reserved2___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.UserApcRoutine___unnamed_4_cedfeccd () boogieU)
(declare-fun T.IssuingProcess___unnamed_4_cedfeccd () boogieU)
(declare-fun T.Address___unnamed_4_f13e195c () boogieU)
(declare-fun T.CreatorBackTraceIndex___unnamed_4_f13e195c () boogieU)
(declare-fun T.Type___unnamed_4_f14caa62 () boogieU)
(declare-fun T.__unnamed_1_4258582a___unnamed_4_f14caa62 () boogieU)
(declare-fun T.__unnamed_1_923f487b___unnamed_4_f14caa62 () boogieU)
(declare-fun T.__unnamed_1_ac5cb154___unnamed_4_f14caa62 () boogieU)
(declare-fun T.IoResourceRequirementList___unnamed_4_f18e264a () boogieU)
(declare-fun T.Length___unnamed_8_06a6de28 () boogieU)
(declare-fun T.CompletionFilter___unnamed_8_06a6de28 () boogieU)
(declare-fun T.DeviceTextType___unnamed_8_219179d3 () boogieU)
(declare-fun T.LocaleId___unnamed_8_219179d3 () boogieU)
(declare-fun T.InPath___unnamed_8_380551ca () boogieU)
(declare-fun T.Reserved___unnamed_8_380551ca () boogieU)
(declare-fun T.Type___unnamed_8_380551ca () boogieU)
(declare-fun T.SecurityInformation___unnamed_8_3ebf0971 () boogieU)
(declare-fun T.Length___unnamed_8_3ebf0971 () boogieU)
(declare-fun T.AsynchronousParameters___unnamed_8_45a58840 () boogieU)
(declare-fun T.AllocationSize___unnamed_8_45a58840 () boogieU)
(declare-fun T.LowPart___unnamed_8_544b88f4 () boogieU)
(declare-fun T.HighPart___unnamed_8_544b88f4 () boogieU)
(declare-fun T.MinimumChannel___unnamed_8_5bc13409 () boogieU)
(declare-fun T.MaximumChannel___unnamed_8_5bc13409 () boogieU)
(declare-fun T.Length___unnamed_8_5d23cded () boogieU)
(declare-fun T.FsInformationClass___unnamed_8_5d23cded () boogieU)
(declare-fun T.LowPart___unnamed_8_5d67d492 () boogieU)
(declare-fun T.HighPart___unnamed_8_5d67d492 () boogieU)
(declare-fun T.SecurityInformation___unnamed_8_655e974a () boogieU)
(declare-fun T.SecurityDescriptor___unnamed_8_655e974a () boogieU)
(declare-fun T.Vpb___unnamed_8_a4174c52 () boogieU)
(declare-fun T.DeviceObject___unnamed_8_a4174c52 () boogieU)
(declare-fun T.LowPart___unnamed_8_a569aa82 () boogieU)
(declare-fun T.HighPart___unnamed_8_a569aa82 () boogieU)
(declare-fun T.Length___unnamed_8_b3031d0e () boogieU)
(declare-fun T.FileInformationClass___unnamed_8_b3031d0e () boogieU)
(declare-fun T.Length___unnamed_8_b7ca8084 () boogieU)
(declare-fun T.FsInformationClass___unnamed_8_b7ca8084 () boogieU)
(declare-fun T.Vpb___unnamed_8_b8c2e139 () boogieU)
(declare-fun T.DeviceObject___unnamed_8_b8c2e139 () boogieU)
(declare-fun T.LowPart___unnamed_8_baf71367 () boogieU)
(declare-fun T.HighPart___unnamed_8_baf71367 () boogieU)
(declare-fun T.__unnamed_4_cedfeccd___unnamed_8_be4b9317 () boogieU)
(declare-fun T.UserApcContext___unnamed_8_be4b9317 () boogieU)
(declare-fun T.AllocatedResources___unnamed_8_d81ae7e8 () boogieU)
(declare-fun T.AllocatedResourcesTranslated___unnamed_8_d81ae7e8 () boogieU)
(declare-fun T.A17CHAR () boogieU)
(declare-fun T.A18CHAR () boogieU)
(declare-fun T.A1UINT2 () boogieU)
(declare-fun T.A1_CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_IO_RESOURCE_LIST () boogieU)
(declare-fun T.A1_LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.A20CHAR () boogieU)
(declare-fun T.A21CHAR () boogieU)
(declare-fun T.A22CHAR () boogieU)
(declare-fun T.A23CHAR () boogieU)
(declare-fun T.A24CHAR () boogieU)
(declare-fun T.A25CHAR () boogieU)
(declare-fun T.A26CHAR () boogieU)
(declare-fun T.A27CHAR () boogieU)
(declare-fun T.A28CHAR () boogieU)
(declare-fun T.A28PFDRIVER_DISPATCH () boogieU)
(declare-fun T.A30CHAR () boogieU)
(declare-fun T.A31CHAR () boogieU)
(declare-fun T.A32CHAR () boogieU)
(declare-fun T.A32UINT2 () boogieU)
(declare-fun T.A34CHAR () boogieU)
(declare-fun T.A35CHAR () boogieU)
(declare-fun T.A37CHAR () boogieU)
(declare-fun T.A3UCHAR () boogieU)
(declare-fun T.A3UINT4 () boogieU)
(declare-fun T.A3_LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.A4PVOID () boogieU)
(declare-fun T.A7_DEVICE_POWER_STATE () boogieU)
(declare-fun T.A8UCHAR () boogieU)
(declare-fun T.BUS_QUERY_ID_TYPE () boogieU)
(declare-fun T.CHAR () boogieU)
(declare-fun T.DEVICE_TEXT_TYPE () boogieU)
(declare-fun T.F0 () boogieU)
(declare-fun T.F1 () boogieU)
(declare-fun T.F10 () boogieU)
(declare-fun T.F11 () boogieU)
(declare-fun T.F12 () boogieU)
(declare-fun T.F13 () boogieU)
(declare-fun T.F14 () boogieU)
(declare-fun T.F15 () boogieU)
(declare-fun T.F16 () boogieU)
(declare-fun T.F17 () boogieU)
(declare-fun T.F18 () boogieU)
(declare-fun T.F19 () boogieU)
(declare-fun T.F2 () boogieU)
(declare-fun T.F20 () boogieU)
(declare-fun T.F21 () boogieU)
(declare-fun T.F22 () boogieU)
(declare-fun T.F23 () boogieU)
(declare-fun T.F24 () boogieU)
(declare-fun T.F25 () boogieU)
(declare-fun T.F26 () boogieU)
(declare-fun T.F27 () boogieU)
(declare-fun T.F28 () boogieU)
(declare-fun T.F29 () boogieU)
(declare-fun T.F3 () boogieU)
(declare-fun T.F30 () boogieU)
(declare-fun T.F31 () boogieU)
(declare-fun T.F32 () boogieU)
(declare-fun T.F33 () boogieU)
(declare-fun T.F34 () boogieU)
(declare-fun T.F35 () boogieU)
(declare-fun T.F36 () boogieU)
(declare-fun T.F37 () boogieU)
(declare-fun T.F38 () boogieU)
(declare-fun T.F39 () boogieU)
(declare-fun T.F4 () boogieU)
(declare-fun T.F40 () boogieU)
(declare-fun T.F41 () boogieU)
(declare-fun T.F42 () boogieU)
(declare-fun T.F43 () boogieU)
(declare-fun T.F44 () boogieU)
(declare-fun T.F45 () boogieU)
(declare-fun T.F5 () boogieU)
(declare-fun T.F6 () boogieU)
(declare-fun T.F7 () boogieU)
(declare-fun T.F8 () boogieU)
(declare-fun T.F9 () boogieU)
(declare-fun T.FDRIVER_ADD_DEVICE () boogieU)
(declare-fun T.FDRIVER_CANCEL () boogieU)
(declare-fun T.FDRIVER_DISPATCH () boogieU)
(declare-fun T.FDRIVER_INITIALIZE () boogieU)
(declare-fun T.FDRIVER_STARTIO () boogieU)
(declare-fun T.FDRIVER_UNLOAD () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FILE () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FOR_CCFLUSH () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE () boogieU)
(declare-fun T.FFAST_IO_CHECK_IF_POSSIBLE () boogieU)
(declare-fun T.FFAST_IO_DETACH_DEVICE () boogieU)
(declare-fun T.FFAST_IO_DEVICE_CONTROL () boogieU)
(declare-fun T.FFAST_IO_LOCK () boogieU)
(declare-fun T.FFAST_IO_MDL_READ () boogieU)
(declare-fun T.FFAST_IO_MDL_READ_COMPLETE () boogieU)
(declare-fun T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_MDL_WRITE_COMPLETE () boogieU)
(declare-fun T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_PREPARE_MDL_WRITE () boogieU)
(declare-fun T.FFAST_IO_QUERY_BASIC_INFO () boogieU)
(declare-fun T.FFAST_IO_QUERY_NETWORK_OPEN_INFO () boogieU)
(declare-fun T.FFAST_IO_QUERY_OPEN () boogieU)
(declare-fun T.FFAST_IO_QUERY_STANDARD_INFO () boogieU)
(declare-fun T.FFAST_IO_READ () boogieU)
(declare-fun T.FFAST_IO_READ_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FILE () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FOR_CCFLUSH () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FOR_MOD_WRITE () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_ALL () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_ALL_BY_KEY () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_SINGLE () boogieU)
(declare-fun T.FFAST_IO_WRITE () boogieU)
(declare-fun T.FFAST_IO_WRITE_COMPRESSED () boogieU)
(declare-fun T.FIO_COMPLETION_ROUTINE () boogieU)
(declare-fun T.FKSERVICE_ROUTINE () boogieU)
(declare-fun T.INT2 () boogieU)
(declare-fun T.INT4 () boogieU)
(declare-fun T.INT8 () boogieU)
(declare-fun T.PA17CHAR () boogieU)
(declare-fun T.PA18CHAR () boogieU)
(declare-fun T.PA20CHAR () boogieU)
(declare-fun T.PA21CHAR () boogieU)
(declare-fun T.PA22CHAR () boogieU)
(declare-fun T.PA23CHAR () boogieU)
(declare-fun T.PA24CHAR () boogieU)
(declare-fun T.PA25CHAR () boogieU)
(declare-fun T.PA26CHAR () boogieU)
(declare-fun T.PA27CHAR () boogieU)
(declare-fun T.PA28CHAR () boogieU)
(declare-fun T.PA30CHAR () boogieU)
(declare-fun T.PA31CHAR () boogieU)
(declare-fun T.PA32CHAR () boogieU)
(declare-fun T.PA34CHAR () boogieU)
(declare-fun T.PA35CHAR () boogieU)
(declare-fun T.PA37CHAR () boogieU)
(declare-fun T.PCHAR () boogieU)
(declare-fun T.PF0 () boogieU)
(declare-fun T.PF20 () boogieU)
(declare-fun T.PF21 () boogieU)
(declare-fun T.PF22 () boogieU)
(declare-fun T.PF24 () boogieU)
(declare-fun T.PF25 () boogieU)
(declare-fun T.PF26 () boogieU)
(declare-fun T.PF32 () boogieU)
(declare-fun T.PF33 () boogieU)
(declare-fun T.PF34 () boogieU)
(declare-fun T.PF36 () boogieU)
(declare-fun T.PF37 () boogieU)
(declare-fun T.PF38 () boogieU)
(declare-fun T.PF39 () boogieU)
(declare-fun T.PF40 () boogieU)
(declare-fun T.PF41 () boogieU)
(declare-fun T.PF42 () boogieU)
(declare-fun T.PF43 () boogieU)
(declare-fun T.PF44 () boogieU)
(declare-fun T.PF45 () boogieU)
(declare-fun T.PFDRIVER_ADD_DEVICE () boogieU)
(declare-fun T.PFDRIVER_CANCEL () boogieU)
(declare-fun T.PFDRIVER_DISPATCH () boogieU)
(declare-fun T.PFDRIVER_INITIALIZE () boogieU)
(declare-fun T.PFDRIVER_STARTIO () boogieU)
(declare-fun T.PFDRIVER_UNLOAD () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FILE () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE () boogieU)
(declare-fun T.PFFAST_IO_CHECK_IF_POSSIBLE () boogieU)
(declare-fun T.PFFAST_IO_DETACH_DEVICE () boogieU)
(declare-fun T.PFFAST_IO_DEVICE_CONTROL () boogieU)
(declare-fun T.PFFAST_IO_LOCK () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ_COMPLETE () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_MDL_WRITE_COMPLETE () boogieU)
(declare-fun T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_PREPARE_MDL_WRITE () boogieU)
(declare-fun T.PFFAST_IO_QUERY_BASIC_INFO () boogieU)
(declare-fun T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO () boogieU)
(declare-fun T.PFFAST_IO_QUERY_OPEN () boogieU)
(declare-fun T.PFFAST_IO_QUERY_STANDARD_INFO () boogieU)
(declare-fun T.PFFAST_IO_READ () boogieU)
(declare-fun T.PFFAST_IO_READ_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FILE () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FOR_CCFLUSH () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FOR_MOD_WRITE () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_ALL () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_ALL_BY_KEY () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_SINGLE () boogieU)
(declare-fun T.PFFAST_IO_WRITE () boogieU)
(declare-fun T.PFFAST_IO_WRITE_COMPRESSED () boogieU)
(declare-fun T.PFIO_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PFKSERVICE_ROUTINE () boogieU)
(declare-fun T.PINT2 () boogieU)
(declare-fun T.PINT4 () boogieU)
(declare-fun T.POWER_ACTION () boogieU)
(declare-fun T.PPCHAR () boogieU)
(declare-fun T.PPF0 () boogieU)
(declare-fun T.PPF25 () boogieU)
(declare-fun T.PPF34 () boogieU)
(declare-fun T.PPF43 () boogieU)
(declare-fun T.PPF44 () boogieU)
(declare-fun T.PPFDRIVER_CANCEL () boogieU)
(declare-fun T.PPINT2 () boogieU)
(declare-fun T.PPINT4 () boogieU)
(declare-fun T.PPP_IRP () boogieU)
(declare-fun T.PPUCHAR () boogieU)
(declare-fun T.PPUINT4 () boogieU)
(declare-fun T.PPVOID () boogieU)
(declare-fun T.PP_DEVICE_OBJECT () boogieU)
(declare-fun T.PP_ERESOURCE () boogieU)
(declare-fun T.PP_IO_STACK_LOCATION () boogieU)
(declare-fun T.PP_IRP () boogieU)
(declare-fun T.PP_KDPC () boogieU)
(declare-fun T.PP_KEVENT () boogieU)
(declare-fun T.PP_KINTERRUPT () boogieU)
(declare-fun T.PP_KTIMER () boogieU)
(declare-fun T.PP_LARGE_INTEGER () boogieU)
(declare-fun T.PP_LIST_ENTRY () boogieU)
(declare-fun T.PP_MDL () boogieU)
(declare-fun T.PP_SERIAL_BAUD_RATE () boogieU)
(declare-fun T.PP_SERIAL_CHARS () boogieU)
(declare-fun T.PP_SERIAL_COMMPROP () boogieU)
(declare-fun T.PP_SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PP_SERIAL_HANDFLOW () boogieU)
(declare-fun T.PP_SERIAL_LINE_CONTROL () boogieU)
(declare-fun T.PP_SERIAL_QUEUE_SIZE () boogieU)
(declare-fun T.PP_SERIAL_TIMEOUTS () boogieU)
(declare-fun T.PP_SERIAL_XOFF_COUNTER () boogieU)
(declare-fun T.PP_UNICODE_STRING () boogieU)
(declare-fun T.PUCHAR () boogieU)
(declare-fun T.PUINT2 () boogieU)
(declare-fun T.PUINT4 () boogieU)
(declare-fun T.PVOID () boogieU)
(declare-fun T.PWMIGUIDREGINFO () boogieU)
(declare-fun T.P_ACCESS_STATE () boogieU)
(declare-fun T.P_CM_RESOURCE_LIST () boogieU)
(declare-fun T.P_COMPRESSED_DATA_INFO () boogieU)
(declare-fun T.P_DEVICE_CAPABILITIES () boogieU)
(declare-fun T.P_DEVICE_OBJECT () boogieU)
(declare-fun T.P_DEVICE_POWER_STATE () boogieU)
(declare-fun T.P_DEVOBJ_EXTENSION () boogieU)
(declare-fun T.P_DRIVER_EXTENSION () boogieU)
(declare-fun T.P_DRIVER_OBJECT () boogieU)
(declare-fun T.P_EPROCESS () boogieU)
(declare-fun T.P_ERESOURCE () boogieU)
(declare-fun T.P_EVENT_TYPE () boogieU)
(declare-fun T.P_FAST_IO_DISPATCH () boogieU)
(declare-fun T.P_FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.P_FILE_GET_QUOTA_INFORMATION () boogieU)
(declare-fun T.P_FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.P_FILE_OBJECT () boogieU)
(declare-fun T.P_FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.P_GUID () boogieU)
(declare-fun T.P_INTERFACE () boogieU)
(declare-fun T.P_IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.P_IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.P_IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.P_IO_STACK_LOCATION () boogieU)
(declare-fun T.P_IO_STATUS_BLOCK () boogieU)
(declare-fun T.P_IO_TIMER () boogieU)
(declare-fun T.P_IRP () boogieU)
(declare-fun T.P_KAPC () boogieU)
(declare-fun T.P_KDPC () boogieU)
(declare-fun T.P_KEVENT () boogieU)
(declare-fun T.P_KINTERRUPT () boogieU)
(declare-fun T.P_KPROCESS () boogieU)
(declare-fun T.P_KSEMAPHORE () boogieU)
(declare-fun T.P_KTHREAD () boogieU)
(declare-fun T.P_KTIMER () boogieU)
(declare-fun T.P_KWAIT_REASON () boogieU)
(declare-fun T.P_LARGE_INTEGER () boogieU)
(declare-fun T.P_LIST_ENTRY () boogieU)
(declare-fun T.P_MDL () boogieU)
(declare-fun T.P_OWNER_ENTRY () boogieU)
(declare-fun T.P_POOL_TYPE () boogieU)
(declare-fun T.P_POWER_SEQUENCE () boogieU)
(declare-fun T.P_POWER_STATE () boogieU)
(declare-fun T.P_SCSI_REQUEST_BLOCK () boogieU)
(declare-fun T.P_SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.P_SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.P_SERIAL_BAUD_RATE () boogieU)
(declare-fun T.P_SERIAL_CHARS () boogieU)
(declare-fun T.P_SERIAL_CISR_SW () boogieU)
(declare-fun T.P_SERIAL_COMMPROP () boogieU)
(declare-fun T.P_SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.P_SERIAL_HANDFLOW () boogieU)
(declare-fun T.P_SERIAL_IOCTL_SYNC () boogieU)
(declare-fun T.P_SERIAL_LINE_CONTROL () boogieU)
(declare-fun T.P_SERIAL_QUEUE_SIZE () boogieU)
(declare-fun T.P_SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T.P_SERIAL_TIMEOUTS () boogieU)
(declare-fun T.P_SERIAL_UPDATE_CHAR () boogieU)
(declare-fun T.P_SERIAL_XOFF_COUNTER () boogieU)
(declare-fun T.P_UNICODE_STRING () boogieU)
(declare-fun T.P_VPB () boogieU)
(declare-fun T.UCHAR () boogieU)
(declare-fun T.UINT2 () boogieU)
(declare-fun T.UINT4 () boogieU)
(declare-fun T.UINT8 () boogieU)
(declare-fun T.VOID () boogieU)
(declare-fun T.WMIENABLEDISABLECONTROL () boogieU)
(declare-fun T.WMIGUIDREGINFO () boogieU)
(declare-fun T._ACCESS_STATE () boogieU)
(declare-fun T._CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T._CM_RESOURCE_LIST () boogieU)
(declare-fun T._COMPRESSED_DATA_INFO () boogieU)
(declare-fun T._DEVICE_CAPABILITIES () boogieU)
(declare-fun T._DEVICE_OBJECT () boogieU)
(declare-fun T._DEVICE_POWER_STATE () boogieU)
(declare-fun T._DEVICE_RELATION_TYPE () boogieU)
(declare-fun T._DEVICE_USAGE_NOTIFICATION_TYPE () boogieU)
(declare-fun T._DEVOBJ_EXTENSION () boogieU)
(declare-fun T._DISPATCHER_HEADER () boogieU)
(declare-fun T._DRIVER_EXTENSION () boogieU)
(declare-fun T._DRIVER_OBJECT () boogieU)
(declare-fun T._EPROCESS () boogieU)
(declare-fun T._ERESOURCE () boogieU)
(declare-fun T._EVENT_TYPE () boogieU)
(declare-fun T._FAST_IO_DISPATCH () boogieU)
(declare-fun T._FAST_MUTEX () boogieU)
(declare-fun T._FILE_BASIC_INFORMATION () boogieU)
(declare-fun T._FILE_GET_QUOTA_INFORMATION () boogieU)
(declare-fun T._FILE_INFORMATION_CLASS () boogieU)
(declare-fun T._FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T._FILE_OBJECT () boogieU)
(declare-fun T._FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T._FSINFOCLASS () boogieU)
(declare-fun T._GUID () boogieU)
(declare-fun T._INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T._INTERFACE () boogieU)
(declare-fun T._INTERFACE_TYPE () boogieU)
(declare-fun T._IO_ALLOCATION_ACTION () boogieU)
(declare-fun T._IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T._IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._IO_RESOURCE_LIST () boogieU)
(declare-fun T._IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T._IO_SECURITY_CONTEXT () boogieU)
(declare-fun T._IO_STACK_LOCATION () boogieU)
(declare-fun T._IO_STATUS_BLOCK () boogieU)
(declare-fun T._IO_TIMER () boogieU)
(declare-fun T._IRP () boogieU)
(declare-fun T._IRQ_DEVICE_POLICY () boogieU)
(declare-fun T._IRQ_PRIORITY () boogieU)
(declare-fun T._KAPC () boogieU)
(declare-fun T._KDEVICE_QUEUE () boogieU)
(declare-fun T._KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T._KDPC () boogieU)
(declare-fun T._KEVENT () boogieU)
(declare-fun T._KINTERRUPT () boogieU)
(declare-fun T._KPROCESS () boogieU)
(declare-fun T._KSEMAPHORE () boogieU)
(declare-fun T._KTHREAD () boogieU)
(declare-fun T._KTIMER () boogieU)
(declare-fun T._KWAIT_REASON () boogieU)
(declare-fun T._LARGE_INTEGER () boogieU)
(declare-fun T._LIST_ENTRY () boogieU)
(declare-fun T._LUID () boogieU)
(declare-fun T._LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T._MDL () boogieU)
(declare-fun T._OWNER_ENTRY () boogieU)
(declare-fun T._POOL_TYPE () boogieU)
(declare-fun T._POWER_SEQUENCE () boogieU)
(declare-fun T._POWER_STATE () boogieU)
(declare-fun T._POWER_STATE_TYPE () boogieU)
(declare-fun T._PRIVILEGE_SET () boogieU)
(declare-fun T._SCSI_REQUEST_BLOCK () boogieU)
(declare-fun T._SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T._SECURITY_IMPERSONATION_LEVEL () boogieU)
(declare-fun T._SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T._SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T._SERIALPERF_STATS () boogieU)
(declare-fun T._SERIAL_BAUD_RATE () boogieU)
(declare-fun T._SERIAL_CHARS () boogieU)
(declare-fun T._SERIAL_CISR_SW () boogieU)
(declare-fun T._SERIAL_COMMPROP () boogieU)
(declare-fun T._SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T._SERIAL_DEVICE_STATE () boogieU)
(declare-fun T._SERIAL_HANDFLOW () boogieU)
(declare-fun T._SERIAL_IOCTL_SYNC () boogieU)
(declare-fun T._SERIAL_LINE_CONTROL () boogieU)
(declare-fun T._SERIAL_QUEUE_SIZE () boogieU)
(declare-fun T._SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T._SERIAL_TIMEOUTS () boogieU)
(declare-fun T._SERIAL_UPDATE_CHAR () boogieU)
(declare-fun T._SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T._SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T._SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T._SERIAL_XOFF_COUNTER () boogieU)
(declare-fun T._SYSTEM_POWER_STATE () boogieU)
(declare-fun T._SYSTEM_POWER_STATE_CONTEXT () boogieU)
(declare-fun T._ULARGE_INTEGER () boogieU)
(declare-fun T._UNICODE_STRING () boogieU)
(declare-fun T._VPB () boogieU)
(declare-fun T._WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T._WMILIB_CONTEXT () boogieU)
(declare-fun T.__unnamed_12_0cb3dc26 () boogieU)
(declare-fun T.__unnamed_12_1a4b0b08 () boogieU)
(declare-fun T.__unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.__unnamed_12_28f1f9cc () boogieU)
(declare-fun T.__unnamed_12_29a9546e () boogieU)
(declare-fun T.__unnamed_12_33a88444 () boogieU)
(declare-fun T.__unnamed_12_468ce3a2 () boogieU)
(declare-fun T.__unnamed_12_5cc47a19 () boogieU)
(declare-fun T.__unnamed_12_6fbd747c () boogieU)
(declare-fun T.__unnamed_12_9a27b966 () boogieU)
(declare-fun T.__unnamed_12_9eaf06f6 () boogieU)
(declare-fun T.__unnamed_12_a967ef4a () boogieU)
(declare-fun T.__unnamed_12_ab6ff61b () boogieU)
(declare-fun T.__unnamed_12_ad4e1918 () boogieU)
(declare-fun T.__unnamed_12_c0c3bd45 () boogieU)
(declare-fun T.__unnamed_12_df63118d () boogieU)
(declare-fun T.__unnamed_12_e5164c3f () boogieU)
(declare-fun T.__unnamed_12_f1f9be0a () boogieU)
(declare-fun T.__unnamed_12_f354d203 () boogieU)
(declare-fun T.__unnamed_16_2ab145ec () boogieU)
(declare-fun T.__unnamed_16_30f1d328 () boogieU)
(declare-fun T.__unnamed_16_3277c3a0 () boogieU)
(declare-fun T.__unnamed_16_3a584a7c () boogieU)
(declare-fun T.__unnamed_16_3dec08db () boogieU)
(declare-fun T.__unnamed_16_57edbc3a () boogieU)
(declare-fun T.__unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.__unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.__unnamed_16_66abee0d () boogieU)
(declare-fun T.__unnamed_16_6c8935f2 () boogieU)
(declare-fun T.__unnamed_16_834e30a3 () boogieU)
(declare-fun T.__unnamed_16_83707d7f () boogieU)
(declare-fun T.__unnamed_16_94922103 () boogieU)
(declare-fun T.__unnamed_16_9eb64f79 () boogieU)
(declare-fun T.__unnamed_16_a71f10bf () boogieU)
(declare-fun T.__unnamed_16_af2c1884 () boogieU)
(declare-fun T.__unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.__unnamed_16_c774559b () boogieU)
(declare-fun T.__unnamed_16_ca1b3ad0 () boogieU)
(declare-fun T.__unnamed_1_4258582a () boogieU)
(declare-fun T.__unnamed_1_4f5916b9 () boogieU)
(declare-fun T.__unnamed_1_923f487b () boogieU)
(declare-fun T.__unnamed_1_ac5cb154 () boogieU)
(declare-fun T.__unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.__unnamed_24_76c1f52c () boogieU)
(declare-fun T.__unnamed_24_87e4ad03 () boogieU)
(declare-fun T.__unnamed_24_87fb9019 () boogieU)
(declare-fun T.__unnamed_24_af527a47 () boogieU)
(declare-fun T.__unnamed_24_b3ef9869 () boogieU)
(declare-fun T.__unnamed_24_c23e34f7 () boogieU)
(declare-fun T.__unnamed_24_e04d7241 () boogieU)
(declare-fun T.__unnamed_2_1d659b1d () boogieU)
(declare-fun T.__unnamed_40_1db13fa5 () boogieU)
(declare-fun T.__unnamed_40_ebf2206a () boogieU)
(declare-fun T.__unnamed_44_0d347e8a () boogieU)
(declare-fun T.__unnamed_48_ffd8d308 () boogieU)
(declare-fun T.__unnamed_4_04fc9c34 () boogieU)
(declare-fun T.__unnamed_4_082ca2fa () boogieU)
(declare-fun T.__unnamed_4_142d6b52 () boogieU)
(declare-fun T.__unnamed_4_1c47e29a () boogieU)
(declare-fun T.__unnamed_4_3dc37e35 () boogieU)
(declare-fun T.__unnamed_4_4d53984e () boogieU)
(declare-fun T.__unnamed_4_522a02ae () boogieU)
(declare-fun T.__unnamed_4_61d4f5e1 () boogieU)
(declare-fun T.__unnamed_4_6eaf329f () boogieU)
(declare-fun T.__unnamed_4_7b44c46c () boogieU)
(declare-fun T.__unnamed_4_7bab7ec3 () boogieU)
(declare-fun T.__unnamed_4_a8006df8 () boogieU)
(declare-fun T.__unnamed_4_ab1173de () boogieU)
(declare-fun T.__unnamed_4_b2e59cbb () boogieU)
(declare-fun T.__unnamed_4_b38dc67f () boogieU)
(declare-fun T.__unnamed_4_c62ef092 () boogieU)
(declare-fun T.__unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.__unnamed_4_cedfeccd () boogieU)
(declare-fun T.__unnamed_4_f13e195c () boogieU)
(declare-fun T.__unnamed_4_f14caa62 () boogieU)
(declare-fun T.__unnamed_4_f18e264a () boogieU)
(declare-fun T.__unnamed_8_06a6de28 () boogieU)
(declare-fun T.__unnamed_8_219179d3 () boogieU)
(declare-fun T.__unnamed_8_380551ca () boogieU)
(declare-fun T.__unnamed_8_3ebf0971 () boogieU)
(declare-fun T.__unnamed_8_45a58840 () boogieU)
(declare-fun T.__unnamed_8_544b88f4 () boogieU)
(declare-fun T.__unnamed_8_5bc13409 () boogieU)
(declare-fun T.__unnamed_8_5d23cded () boogieU)
(declare-fun T.__unnamed_8_5d67d492 () boogieU)
(declare-fun T.__unnamed_8_655e974a () boogieU)
(declare-fun T.__unnamed_8_a4174c52 () boogieU)
(declare-fun T.__unnamed_8_a569aa82 () boogieU)
(declare-fun T.__unnamed_8_b3031d0e () boogieU)
(declare-fun T.__unnamed_8_b7ca8084 () boogieU)
(declare-fun T.__unnamed_8_b8c2e139 () boogieU)
(declare-fun T.__unnamed_8_baf71367 () boogieU)
(declare-fun T.__unnamed_8_be4b9317 () boogieU)
(declare-fun T.__unnamed_8_d81ae7e8 () boogieU)
(declare-fun byteType () boogieT)
(declare-fun MapType0Type (boogieT boogieT) boogieT)
(declare-fun MapType0TypeInv0 (boogieT) boogieT)
(declare-fun MapType0TypeInv1 (boogieT) boogieT)
(declare-fun MapType0Select (boogieU boogieU) boogieU)
(declare-fun MapType0Store (boogieU boogieU boogieU) boogieU)
(declare-fun Empty () boogieU)
(declare-fun SetTrue () boogieU)
(declare-fun Singleton (Int) boogieU)
(declare-fun Union (boogieU boogieU) boogieU)
(declare-fun Intersection (boogieU boogieU) boogieU)
(declare-fun Difference (boogieU boogieU) boogieU)
(declare-fun Inverse (boogieU Int) boogieU)
(declare-fun Dereference (boogieU boogieU) boogieU)
(declare-fun Unified (boogieU) boogieU)
(declare-fun Field (Int) boogieU)
(declare-fun Values (boogieU boogieU) boogieU)
(declare-fun T.Ptr (boogieU) boogieU)
(declare-fun x_S_Argument4___unnamed_16_5ac3fe10 (boogieU) boogieU)
(declare-fun x_S_Argument4___unnamed_16_5ac3fe10Inv (boogieU) boogieU)
(declare-fun x_S_AssociatedIrp__IRP (boogieU) boogieU)
(declare-fun x_S_AssociatedIrp__IRPInv (boogieU) boogieU)
(declare-fun x_S_BaudRate__SERIAL_BAUD_RATE (boogieU) boogieU)
(declare-fun x_S_BaudRate__SERIAL_BAUD_RATEInv (boogieU) boogieU)
(declare-fun x_S_BaudRate__SERIAL_WMI_COMM_DATA (boogieU) boogieU)
(declare-fun x_S_BaudRate__SERIAL_WMI_COMM_DATAInv (boogieU) boogieU)
(declare-fun x_S_BitsPerByte__SERIAL_WMI_COMM_DATA (boogieU) boogieU)
(declare-fun x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv (boogieU) boogieU)
(declare-fun x_S_Blink__LIST_ENTRY (boogieU) boogieU)
(declare-fun x_S_Blink__LIST_ENTRYInv (boogieU) boogieU)
(declare-fun x_S_BreakChar__SERIAL_CHARS (boogieU) boogieU)
(declare-fun x_S_BreakChar__SERIAL_CHARSInv (boogieU) boogieU)
(declare-fun x_S_BufferSize__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CancelIrql__IRP (boogieU) boogieU)
(declare-fun x_S_CancelIrql__IRPInv (boogieU) boogieU)
(declare-fun x_S_CancelRoutine__IRP (boogieU) boogieU)
(declare-fun x_S_CancelRoutine__IRPInv (boogieU) boogieU)
(declare-fun x_S_Cancel__IRP (boogieU) boogieU)
(declare-fun x_S_Cancel__IRPInv (boogieU) boogieU)
(declare-fun x_S_CharsCopied__SERIAL_UPDATE_CHAR (boogieU) boogieU)
(declare-fun x_S_CharsCopied__SERIAL_UPDATE_CHARInv (boogieU) boogieU)
(declare-fun x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ClockRate__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Completed__SERIAL_UPDATE_CHAR (boogieU) boogieU)
(declare-fun x_S_Completed__SERIAL_UPDATE_CHARInv (boogieU) boogieU)
(declare-fun x_S_ControlHandShake__SERIAL_HANDFLOW (boogieU) boogieU)
(declare-fun x_S_ControlHandShake__SERIAL_HANDFLOWInv (boogieU) boogieU)
(declare-fun x_S_ControlLock__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Controller__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_Controller__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Counter__SERIAL_XOFF_COUNTER (boogieU) boogieU)
(declare-fun x_S_Counter__SERIAL_XOFF_COUNTERInv (boogieU) boogieU)
(declare-fun x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CurrentRxQueue__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_CurrentRxQueue__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_CurrentTxQueue__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_CurrentTxQueue__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Data__SERIAL_IOCTL_SYNC (boogieU) boogieU)
(declare-fun x_S_Data__SERIAL_IOCTL_SYNCInv (boogieU) boogieU)
(declare-fun x_S_DeviceExtension__DEVICE_OBJECT (boogieU) boogieU)
(declare-fun x_S_DeviceExtension__DEVICE_OBJECTInv (boogieU) boogieU)
(declare-fun x_S_DeviceIoControl___unnamed_16_57edbc3a (boogieU) boogieU)
(declare-fun x_S_DeviceIoControl___unnamed_16_57edbc3aInv (boogieU) boogieU)
(declare-fun x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_DeviceState__POWER_STATE (boogieU) boogieU)
(declare-fun x_S_DeviceState__POWER_STATEInv (boogieU) boogieU)
(declare-fun x_S_DpcCount__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Dpc__KTIMER (boogieU) boogieU)
(declare-fun x_S_Dpc__KTIMERInv (boogieU) boogieU)
(declare-fun x_S_EofChar__SERIAL_CHARS (boogieU) boogieU)
(declare-fun x_S_EofChar__SERIAL_CHARSInv (boogieU) boogieU)
(declare-fun x_S_ErrorChar__SERIAL_CHARS (boogieU) boogieU)
(declare-fun x_S_ErrorChar__SERIAL_CHARSInv (boogieU) boogieU)
(declare-fun x_S_ErrorWord__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_EscapeChar__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_EventChar__SERIAL_CHARS (boogieU) boogieU)
(declare-fun x_S_EventChar__SERIAL_CHARSInv (boogieU) boogieU)
(declare-fun x_S_Extension__SERIAL_IOCTL_SYNC (boogieU) boogieU)
(declare-fun x_S_Extension__SERIAL_IOCTL_SYNCInv (boogieU) boogieU)
(declare-fun x_S_Extension__SERIAL_RESIZE_PARAMS (boogieU) boogieU)
(declare-fun x_S_Extension__SERIAL_RESIZE_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_Extension__SERIAL_UPDATE_CHAR (boogieU) boogieU)
(declare-fun x_S_Extension__SERIAL_UPDATE_CHARInv (boogieU) boogieU)
(declare-fun x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_FlagsLock__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Flags__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_Flags__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Flink__LIST_ENTRY (boogieU) boogieU)
(declare-fun x_S_Flink__LIST_ENTRYInv (boogieU) boogieU)
(declare-fun x_S_FlowReplace__SERIAL_HANDFLOW (boogieU) boogieU)
(declare-fun x_S_FlowReplace__SERIAL_HANDFLOWInv (boogieU) boogieU)
(declare-fun x_S_HandFlow__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_HighPart___unnamed_8_544b88f4 (boogieU) boogieU)
(declare-fun x_S_HighPart___unnamed_8_544b88f4Inv (boogieU) boogieU)
(declare-fun x_S_HighPart___unnamed_8_5d67d492 (boogieU) boogieU)
(declare-fun x_S_HighPart___unnamed_8_5d67d492Inv (boogieU) boogieU)
(declare-fun x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_InSize__SERIAL_QUEUE_SIZE (boogieU) boogieU)
(declare-fun x_S_InSize__SERIAL_QUEUE_SIZEInv (boogieU) boogieU)
(declare-fun x_S_Information__IO_STATUS_BLOCK (boogieU) boogieU)
(declare-fun x_S_Information__IO_STATUS_BLOCKInv (boogieU) boogieU)
(declare-fun x_S_InputBufferLength___unnamed_16_5bbbf1e7 (boogieU) boogieU)
(declare-fun x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv (boogieU) boogieU)
(declare-fun x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Interrupt__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_IntervalTime__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_IoControlCode___unnamed_16_5bbbf1e7 (boogieU) boogieU)
(declare-fun x_S_IoControlCode___unnamed_16_5bbbf1e7Inv (boogieU) boogieU)
(declare-fun x_S_IoStatus__IRP (boogieU) boogieU)
(declare-fun x_S_IoStatus__IRPInv (boogieU) boogieU)
(declare-fun x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_LastReadTime__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Length___unnamed_16_3a584a7c (boogieU) boogieU)
(declare-fun x_S_Length___unnamed_16_3a584a7cInv (boogieU) boogieU)
(declare-fun x_S_Length___unnamed_16_94922103 (boogieU) boogieU)
(declare-fun x_S_Length___unnamed_16_94922103Inv (boogieU) boogieU)
(declare-fun x_S_LineControl__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ListEntry___unnamed_12_5cc47a19 (boogieU) boogieU)
(declare-fun x_S_ListEntry___unnamed_12_5cc47a19Inv (boogieU) boogieU)
(declare-fun x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_LowPart___unnamed_8_544b88f4 (boogieU) boogieU)
(declare-fun x_S_LowPart___unnamed_8_544b88f4Inv (boogieU) boogieU)
(declare-fun x_S_LowPart___unnamed_8_5d67d492 (boogieU) boogieU)
(declare-fun x_S_LowPart___unnamed_8_5d67d492Inv (boogieU) boogieU)
(declare-fun x_S_MajorFunction__IO_STACK_LOCATION (boogieU) boogieU)
(declare-fun x_S_MajorFunction__IO_STACK_LOCATIONInv (boogieU) boogieU)
(declare-fun x_S_MaskQueue__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_MaxBaud__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_MaxBaud__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_MaxRxQueue__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_MaxRxQueue__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_MaxTxQueue__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_MaxTxQueue__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_NewBufferSize__SERIAL_RESIZE_PARAMS (boogieU) boogieU)
(declare-fun x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_NewBuffer__SERIAL_RESIZE_PARAMS (boogieU) boogieU)
(declare-fun x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_NumberMoved__SERIAL_RESIZE_PARAMS (boogieU) boogieU)
(declare-fun x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_OldBuffer__SERIAL_RESIZE_PARAMS (boogieU) boogieU)
(declare-fun x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_Others___unnamed_16_57edbc3a (boogieU) boogieU)
(declare-fun x_S_Others___unnamed_16_57edbc3aInv (boogieU) boogieU)
(declare-fun x_S_OutputBufferLength___unnamed_16_5bbbf1e7 (boogieU) boogieU)
(declare-fun x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv (boogieU) boogieU)
(declare-fun x_S_Overlay___unnamed_48_ffd8d308 (boogieU) boogieU)
(declare-fun x_S_Overlay___unnamed_48_ffd8d308Inv (boogieU) boogieU)
(declare-fun x_S_PacketLength__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_PacketLength__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_PacketVersion__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_PacketVersion__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_Parameters__IO_STACK_LOCATION (boogieU) boogieU)
(declare-fun x_S_Parameters__IO_STACK_LOCATIONInv (boogieU) boogieU)
(declare-fun x_S_Parity__SERIAL_LINE_CONTROL (boogieU) boogieU)
(declare-fun x_S_Parity__SERIAL_LINE_CONTROLInv (boogieU) boogieU)
(declare-fun x_S_Parity__SERIAL_WMI_COMM_DATA (boogieU) boogieU)
(declare-fun x_S_Parity__SERIAL_WMI_COMM_DATAInv (boogieU) boogieU)
(declare-fun x_S_Pdo__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_PowerState__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ProvCapabilities__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_ProvCapabilities__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_ProvSubType__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_ProvSubType__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_QuadPart__LARGE_INTEGER (boogieU) boogieU)
(declare-fun x_S_QuadPart__LARGE_INTEGERInv (boogieU) boogieU)
(declare-fun x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS (boogieU) boogieU)
(declare-fun x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv (boogieU) boogieU)
(declare-fun x_S_ReadQueue__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS (boogieU) boogieU)
(declare-fun x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv (boogieU) boogieU)
(declare-fun x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS (boogieU) boogieU)
(declare-fun x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (boogieU) boogieU)
(declare-fun x_S_Read___unnamed_16_57edbc3a (boogieU) boogieU)
(declare-fun x_S_Read___unnamed_16_57edbc3aInv (boogieU) boogieU)
(declare-fun x_S_ServiceMask__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_ServiceMask__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_SettableBaud__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_SettableBaud__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_SettableData__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_SettableData__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_SettableParams__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_SettableParams__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_SettableStopParity__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_SettableStopParity__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_SpecialChars__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_ab1173de (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_ab1173deInv (boogieU) boogieU)
(declare-fun x_S_StopBits__SERIAL_LINE_CONTROL (boogieU) boogieU)
(declare-fun x_S_StopBits__SERIAL_LINE_CONTROLInv (boogieU) boogieU)
(declare-fun x_S_StopBits__SERIAL_WMI_COMM_DATA (boogieU) boogieU)
(declare-fun x_S_StopBits__SERIAL_WMI_COMM_DATAInv (boogieU) boogieU)
(declare-fun x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_SystemBuffer___unnamed_4_3dc37e35 (boogieU) boogieU)
(declare-fun x_S_SystemBuffer___unnamed_4_3dc37e35Inv (boogieU) boogieU)
(declare-fun x_S_SystemState__POWER_STATE (boogieU) boogieU)
(declare-fun x_S_SystemState__POWER_STATEInv (boogieU) boogieU)
(declare-fun x_S_Tail__IRP (boogieU) boogieU)
(declare-fun x_S_Tail__IRPInv (boogieU) boogieU)
(declare-fun x_S_Timeout__SERIAL_XOFF_COUNTER (boogieU) boogieU)
(declare-fun x_S_Timeout__SERIAL_XOFF_COUNTERInv (boogieU) boogieU)
(declare-fun x_S_Timeouts__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 (boogieU) boogieU)
(declare-fun x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv (boogieU) boogieU)
(declare-fun x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_WmiCommData__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_WordLength__SERIAL_LINE_CONTROL (boogieU) boogieU)
(declare-fun x_S_WordLength__SERIAL_LINE_CONTROLInv (boogieU) boogieU)
(declare-fun x_S_WriteQueue__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS (boogieU) boogieU)
(declare-fun x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv (boogieU) boogieU)
(declare-fun x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS (boogieU) boogieU)
(declare-fun x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (boogieU) boogieU)
(declare-fun x_S_Write___unnamed_16_57edbc3a (boogieU) boogieU)
(declare-fun x_S_Write___unnamed_16_57edbc3aInv (boogieU) boogieU)
(declare-fun x_S_XoffChar__SERIAL_CHARS (boogieU) boogieU)
(declare-fun x_S_XoffChar__SERIAL_CHARSInv (boogieU) boogieU)
(declare-fun x_S_XoffCharacter__SERIAL_WMI_COMM_DATA (boogieU) boogieU)
(declare-fun x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv (boogieU) boogieU)
(declare-fun x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_XoffLimit__SERIAL_HANDFLOW (boogieU) boogieU)
(declare-fun x_S_XoffLimit__SERIAL_HANDFLOWInv (boogieU) boogieU)
(declare-fun x_S_XonChar__SERIAL_CHARS (boogieU) boogieU)
(declare-fun x_S_XonChar__SERIAL_CHARSInv (boogieU) boogieU)
(declare-fun x_S_XonCharacter__SERIAL_WMI_COMM_DATA (boogieU) boogieU)
(declare-fun x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv (boogieU) boogieU)
(declare-fun x_S_XonLimit__SERIAL_HANDFLOW (boogieU) boogieU)
(declare-fun x_S_XonLimit__SERIAL_HANDFLOWInv (boogieU) boogieU)
(declare-fun x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a (boogieU) boogieU)
(declare-fun x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv (boogieU) boogieU)
(declare-fun x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK (boogieU) boogieU)
(declare-fun x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv (boogieU) boogieU)
(declare-fun x_S___unnamed_8_544b88f4__LARGE_INTEGER (boogieU) boogieU)
(declare-fun x_S___unnamed_8_544b88f4__LARGE_INTEGERInv (boogieU) boogieU)
(declare-fun x_S_u__LARGE_INTEGER (boogieU) boogieU)
(declare-fun x_S_u__LARGE_INTEGERInv (boogieU) boogieU)
(declare-fun SerialCancelCurrentWrite () Int)
(declare-fun SerialCancelCurrentXoff () Int)
(declare-fun SerialCancelImmediate () Int)
(declare-fun SerialCancelQueued () Int)
(declare-fun SerialClearStats () Int)
(declare-fun SerialClrDTR () Int)
(declare-fun SerialClrRTS () Int)
(declare-fun SerialFilterCancelQueued () Int)
(declare-fun SerialGetCommStatus () Int)
(declare-fun SerialGetMCRContents () Int)
(declare-fun SerialGetModemUpdate () Int)
(declare-fun SerialGetNextIrp () Int)
(declare-fun SerialGetNextWrite () Int)
(declare-fun SerialGetStats () Int)
(declare-fun SerialGiveImmediateToIsr () Int)
(declare-fun SerialGiveWriteToIsr () Int)
(declare-fun SerialGiveXoffToIsr () Int)
(declare-fun SerialGrabReadFromIsr () Int)
(declare-fun SerialGrabWriteFromIsr () Int)
(declare-fun SerialGrabXoffFromIsr () Int)
(declare-fun SerialPretendXoff () Int)
(declare-fun SerialPretendXon () Int)
(declare-fun SerialProcessEmptyTransmit () Int)
(declare-fun SerialSetBaud () Int)
(declare-fun SerialSetChars () Int)
(declare-fun SerialSetDTR () Int)
(declare-fun SerialSetEscapeChar () Int)
(declare-fun SerialSetFCRContents () Int)
(declare-fun SerialSetHandFlow () Int)
(declare-fun SerialSetLineControl () Int)
(declare-fun SerialSetMCRContents () Int)
(declare-fun SerialSetRTS () Int)
(declare-fun SerialStartMask () Int)
(declare-fun SerialStartPurge () Int)
(declare-fun SerialStartRead () Int)
(declare-fun SerialStartWrite () Int)
(declare-fun SerialSystemPowerCompletion () Int)
(declare-fun SerialTurnOffBreak () Int)
(declare-fun SerialTurnOnBreak () Int)
(declare-fun SerialUpdateAndSwitchToNew () Int)
(declare-fun SerialUpdateAndSwitchToUser () Int)
(declare-fun SerialUpdateInterruptBuffer () Int)
(declare-fun SerialUpdateReadByIsr () Int)
(declare-fun hdevobj () Int)
(declare-fun hiostackloc () Int)
(declare-fun hirp () Int)
(declare-fun hlock () Int)
(declare-fun notused_hiostackloc () Int)
(declare-fun sdv_irql_current () Int)
(declare-fun sdv_irql_previous () Int)
(declare-fun sdv_irql_previous_2 () Int)
(declare-fun sdv_irql_previous_3 () Int)
(declare-fun BOOGIE_LARGE_INT_2147483648 () Int)
(declare-fun BOOGIE_LARGE_INT_4294967295 () Int)
(declare-fun OneByteToInt (boogieU) Int)
(declare-fun TwoBytesToInt (boogieU boogieU) Int)
(declare-fun FourBytesToInt (boogieU boogieU boogieU boogieU) Int)
(declare-fun Equal (boogieU boogieU) TermBool)
(declare-fun Subset (boogieU boogieU) TermBool)
(declare-fun Disjoint (boogieU boogieU) TermBool)
(declare-fun HasType (Int boogieU boogieU) TermBool)
(declare-fun Match (Int boogieU) TermBool)
(declare-fun Argument4___unnamed_16_5ac3fe10Inv (Int) Int)
(declare-fun Argument4___unnamed_16_5ac3fe10 (Int) Int)
(declare-fun MINUS_BOTH_PTR_OR_BOTH_INT (Int Int Int) Int)
(declare-fun MINUS_LEFT_PTR (Int Int Int) Int)
(declare-fun AssociatedIrp__IRPInv (Int) Int)
(declare-fun AssociatedIrp__IRP (Int) Int)
(declare-fun BaudRate__SERIAL_BAUD_RATEInv (Int) Int)
(declare-fun BaudRate__SERIAL_BAUD_RATE (Int) Int)
(declare-fun BaudRate__SERIAL_WMI_COMM_DATAInv (Int) Int)
(declare-fun BaudRate__SERIAL_WMI_COMM_DATA (Int) Int)
(declare-fun BitsPerByte__SERIAL_WMI_COMM_DATAInv (Int) Int)
(declare-fun BitsPerByte__SERIAL_WMI_COMM_DATA (Int) Int)
(declare-fun Blink__LIST_ENTRYInv (Int) Int)
(declare-fun Blink__LIST_ENTRY (Int) Int)
(declare-fun BreakChar__SERIAL_CHARSInv (Int) Int)
(declare-fun BreakChar__SERIAL_CHARS (Int) Int)
(declare-fun BufferSize__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun BufferSize__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CancelIrql__IRPInv (Int) Int)
(declare-fun CancelIrql__IRP (Int) Int)
(declare-fun CancelRoutine__IRPInv (Int) Int)
(declare-fun CancelRoutine__IRP (Int) Int)
(declare-fun Cancel__IRPInv (Int) Int)
(declare-fun Cancel__IRP (Int) Int)
(declare-fun CharsCopied__SERIAL_UPDATE_CHARInv (Int) Int)
(declare-fun CharsCopied__SERIAL_UPDATE_CHAR (Int) Int)
(declare-fun CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ClockRate__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ClockRate__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Completed__SERIAL_UPDATE_CHARInv (Int) Int)
(declare-fun Completed__SERIAL_UPDATE_CHAR (Int) Int)
(declare-fun ControlHandShake__SERIAL_HANDFLOWInv (Int) Int)
(declare-fun ControlHandShake__SERIAL_HANDFLOW (Int) Int)
(declare-fun ControlLock__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ControlLock__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Controller__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun Controller__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CountOnLastRead__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Counter__SERIAL_XOFF_COUNTERInv (Int) Int)
(declare-fun Counter__SERIAL_XOFF_COUNTER (Int) Int)
(declare-fun CurrentBaud__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentBaud__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentMaskIrp__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentReadIrp__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CurrentRxQueue__SERIAL_COMMPROPInv (Int) Int)
(declare-fun CurrentRxQueue__SERIAL_COMMPROP (Int) Int)
(declare-fun CurrentTxQueue__SERIAL_COMMPROPInv (Int) Int)
(declare-fun CurrentTxQueue__SERIAL_COMMPROP (Int) Int)
(declare-fun CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentWriteIrp__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentXoffIrp__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CutOverAmount__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CutOverAmount__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Data__SERIAL_IOCTL_SYNCInv (Int) Int)
(declare-fun Data__SERIAL_IOCTL_SYNC (Int) Int)
(declare-fun DeviceExtension__DEVICE_OBJECTInv (Int) Int)
(declare-fun DeviceExtension__DEVICE_OBJECT (Int) Int)
(declare-fun DeviceIoControl___unnamed_16_57edbc3aInv (Int) Int)
(declare-fun DeviceIoControl___unnamed_16_57edbc3a (Int) Int)
(declare-fun DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun DeviceIsOpened__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun DevicePNPAccept__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun DeviceState__POWER_STATEInv (Int) Int)
(declare-fun DeviceState__POWER_STATE (Int) Int)
(declare-fun DpcCount__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun DpcCount__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Dpc__KTIMERInv (Int) Int)
(declare-fun Dpc__KTIMER (Int) Int)
(declare-fun EofChar__SERIAL_CHARSInv (Int) Int)
(declare-fun EofChar__SERIAL_CHARS (Int) Int)
(declare-fun ErrorChar__SERIAL_CHARSInv (Int) Int)
(declare-fun ErrorChar__SERIAL_CHARS (Int) Int)
(declare-fun ErrorWord__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ErrorWord__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun EscapeChar__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun EscapeChar__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun EventChar__SERIAL_CHARSInv (Int) Int)
(declare-fun EventChar__SERIAL_CHARS (Int) Int)
(declare-fun Extension__SERIAL_IOCTL_SYNCInv (Int) Int)
(declare-fun Extension__SERIAL_IOCTL_SYNC (Int) Int)
(declare-fun Extension__SERIAL_RESIZE_PARAMSInv (Int) Int)
(declare-fun Extension__SERIAL_RESIZE_PARAMS (Int) Int)
(declare-fun Extension__SERIAL_UPDATE_CHARInv (Int) Int)
(declare-fun Extension__SERIAL_UPDATE_CHAR (Int) Int)
(declare-fun FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun FirstReadableChar__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun FlagsLock__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun FlagsLock__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Flags__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun Flags__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Flink__LIST_ENTRYInv (Int) Int)
(declare-fun Flink__LIST_ENTRY (Int) Int)
(declare-fun FlowReplace__SERIAL_HANDFLOWInv (Int) Int)
(declare-fun FlowReplace__SERIAL_HANDFLOW (Int) Int)
(declare-fun HandFlow__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun HandFlow__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun HighPart___unnamed_8_544b88f4Inv (Int) Int)
(declare-fun HighPart___unnamed_8_544b88f4 (Int) Int)
(declare-fun HighPart___unnamed_8_5d67d492Inv (Int) Int)
(declare-fun HighPart___unnamed_8_5d67d492 (Int) Int)
(declare-fun ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun InSize__SERIAL_QUEUE_SIZEInv (Int) Int)
(declare-fun InSize__SERIAL_QUEUE_SIZE (Int) Int)
(declare-fun Information__IO_STATUS_BLOCKInv (Int) Int)
(declare-fun Information__IO_STATUS_BLOCK (Int) Int)
(declare-fun InputBufferLength___unnamed_16_5bbbf1e7Inv (Int) Int)
(declare-fun InputBufferLength___unnamed_16_5bbbf1e7 (Int) Int)
(declare-fun InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun InterruptReadBuffer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Interrupt__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun Interrupt__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun IntervalTimeToUse__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun IntervalTime__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun IntervalTime__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun IoControlCode___unnamed_16_5bbbf1e7Inv (Int) Int)
(declare-fun IoControlCode___unnamed_16_5bbbf1e7 (Int) Int)
(declare-fun IoStatus__IRPInv (Int) Int)
(declare-fun IoStatus__IRP (Int) Int)
(declare-fun IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun IsrWaitMask__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun LastCharSlot__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun LastCharSlot__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun LastReadTime__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun LastReadTime__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Length___unnamed_16_3a584a7cInv (Int) Int)
(declare-fun Length___unnamed_16_3a584a7c (Int) Int)
(declare-fun Length___unnamed_16_94922103Inv (Int) Int)
(declare-fun Length___unnamed_16_94922103 (Int) Int)
(declare-fun LineControl__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun LineControl__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ListEntry___unnamed_12_5cc47a19Inv (Int) Int)
(declare-fun ListEntry___unnamed_12_5cc47a19 (Int) Int)
(declare-fun LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun LongIntervalAmount__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun LowPart___unnamed_8_544b88f4Inv (Int) Int)
(declare-fun LowPart___unnamed_8_544b88f4 (Int) Int)
(declare-fun LowPart___unnamed_8_5d67d492Inv (Int) Int)
(declare-fun LowPart___unnamed_8_5d67d492 (Int) Int)
(declare-fun MajorFunction__IO_STACK_LOCATIONInv (Int) Int)
(declare-fun MajorFunction__IO_STACK_LOCATION (Int) Int)
(declare-fun MaskQueue__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun MaskQueue__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun MaxBaud__SERIAL_COMMPROPInv (Int) Int)
(declare-fun MaxBaud__SERIAL_COMMPROP (Int) Int)
(declare-fun MaxRxQueue__SERIAL_COMMPROPInv (Int) Int)
(declare-fun MaxRxQueue__SERIAL_COMMPROP (Int) Int)
(declare-fun MaxTxQueue__SERIAL_COMMPROPInv (Int) Int)
(declare-fun MaxTxQueue__SERIAL_COMMPROP (Int) Int)
(declare-fun NewBufferSize__SERIAL_RESIZE_PARAMSInv (Int) Int)
(declare-fun NewBufferSize__SERIAL_RESIZE_PARAMS (Int) Int)
(declare-fun NewBuffer__SERIAL_RESIZE_PARAMSInv (Int) Int)
(declare-fun NewBuffer__SERIAL_RESIZE_PARAMS (Int) Int)
(declare-fun NumberMoved__SERIAL_RESIZE_PARAMSInv (Int) Int)
(declare-fun NumberMoved__SERIAL_RESIZE_PARAMS (Int) Int)
(declare-fun NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun NumberNeededForRead__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun OldBuffer__SERIAL_RESIZE_PARAMSInv (Int) Int)
(declare-fun OldBuffer__SERIAL_RESIZE_PARAMS (Int) Int)
(declare-fun Others___unnamed_16_57edbc3aInv (Int) Int)
(declare-fun Others___unnamed_16_57edbc3a (Int) Int)
(declare-fun OutputBufferLength___unnamed_16_5bbbf1e7Inv (Int) Int)
(declare-fun OutputBufferLength___unnamed_16_5bbbf1e7 (Int) Int)
(declare-fun Overlay___unnamed_48_ffd8d308Inv (Int) Int)
(declare-fun Overlay___unnamed_48_ffd8d308 (Int) Int)
(declare-fun PacketLength__SERIAL_COMMPROPInv (Int) Int)
(declare-fun PacketLength__SERIAL_COMMPROP (Int) Int)
(declare-fun PacketVersion__SERIAL_COMMPROPInv (Int) Int)
(declare-fun PacketVersion__SERIAL_COMMPROP (Int) Int)
(declare-fun Parameters__IO_STACK_LOCATIONInv (Int) Int)
(declare-fun Parameters__IO_STACK_LOCATION (Int) Int)
(declare-fun Parity__SERIAL_LINE_CONTROLInv (Int) Int)
(declare-fun Parity__SERIAL_LINE_CONTROL (Int) Int)
(declare-fun Parity__SERIAL_WMI_COMM_DATAInv (Int) Int)
(declare-fun Parity__SERIAL_WMI_COMM_DATA (Int) Int)
(declare-fun Pdo__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun Pdo__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun PendingDpcEvent__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun PendingIRPCnt__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun PendingIRPEvent__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun PowerState__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun PowerState__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ProvCapabilities__SERIAL_COMMPROPInv (Int) Int)
(declare-fun ProvCapabilities__SERIAL_COMMPROP (Int) Int)
(declare-fun ProvSubType__SERIAL_COMMPROPInv (Int) Int)
(declare-fun ProvSubType__SERIAL_COMMPROP (Int) Int)
(declare-fun PurgeQueue__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun PurgeQueue__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun QuadPart__LARGE_INTEGERInv (Int) Int)
(declare-fun QuadPart__LARGE_INTEGER (Int) Int)
(declare-fun ReadByIsr__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ReadByIsr__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ReadIntervalTimeout__SERIAL_TIMEOUTSInv (Int) Int)
(declare-fun ReadIntervalTimeout__SERIAL_TIMEOUTS (Int) Int)
(declare-fun ReadQueue__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ReadQueue__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv (Int) Int)
(declare-fun ReadTotalTimeoutConstant__SERIAL_TIMEOUTS (Int) Int)
(declare-fun ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (Int) Int)
(declare-fun ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS (Int) Int)
(declare-fun Read___unnamed_16_57edbc3aInv (Int) Int)
(declare-fun Read___unnamed_16_57edbc3a (Int) Int)
(declare-fun ServiceMask__SERIAL_COMMPROPInv (Int) Int)
(declare-fun ServiceMask__SERIAL_COMMPROP (Int) Int)
(declare-fun SettableBaud__SERIAL_COMMPROPInv (Int) Int)
(declare-fun SettableBaud__SERIAL_COMMPROP (Int) Int)
(declare-fun SettableData__SERIAL_COMMPROPInv (Int) Int)
(declare-fun SettableData__SERIAL_COMMPROP (Int) Int)
(declare-fun SettableParams__SERIAL_COMMPROPInv (Int) Int)
(declare-fun SettableParams__SERIAL_COMMPROP (Int) Int)
(declare-fun SettableStopParity__SERIAL_COMMPROPInv (Int) Int)
(declare-fun SettableStopParity__SERIAL_COMMPROP (Int) Int)
(declare-fun ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ShortIntervalAmount__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun SpecialChars__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun SpecialChars__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun StalledIrpQueue__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Status___unnamed_4_ab1173deInv (Int) Int)
(declare-fun Status___unnamed_4_ab1173de (Int) Int)
(declare-fun StopBits__SERIAL_LINE_CONTROLInv (Int) Int)
(declare-fun StopBits__SERIAL_LINE_CONTROL (Int) Int)
(declare-fun StopBits__SERIAL_WMI_COMM_DATAInv (Int) Int)
(declare-fun StopBits__SERIAL_WMI_COMM_DATA (Int) Int)
(declare-fun SupportedBauds__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun SupportedBauds__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun SystemBuffer___unnamed_4_3dc37e35Inv (Int) Int)
(declare-fun SystemBuffer___unnamed_4_3dc37e35 (Int) Int)
(declare-fun SystemState__POWER_STATEInv (Int) Int)
(declare-fun SystemState__POWER_STATE (Int) Int)
(declare-fun Tail__IRPInv (Int) Int)
(declare-fun Tail__IRP (Int) Int)
(declare-fun Timeout__SERIAL_XOFF_COUNTERInv (Int) Int)
(declare-fun Timeout__SERIAL_XOFF_COUNTER (Int) Int)
(declare-fun Timeouts__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun Timeouts__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun TotalCharsQueued__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Type3InputBuffer___unnamed_16_5bbbf1e7Inv (Int) Int)
(declare-fun Type3InputBuffer___unnamed_16_5bbbf1e7 (Int) Int)
(declare-fun ValidDataMask__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ValidDataMask__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun WmiCommData__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun WmiCommData__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun WordLength__SERIAL_LINE_CONTROLInv (Int) Int)
(declare-fun WordLength__SERIAL_LINE_CONTROL (Int) Int)
(declare-fun WriteQueue__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun WriteQueue__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv (Int) Int)
(declare-fun WriteTotalTimeoutConstant__SERIAL_TIMEOUTS (Int) Int)
(declare-fun WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (Int) Int)
(declare-fun WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS (Int) Int)
(declare-fun Write___unnamed_16_57edbc3aInv (Int) Int)
(declare-fun Write___unnamed_16_57edbc3a (Int) Int)
(declare-fun XoffChar__SERIAL_CHARSInv (Int) Int)
(declare-fun XoffChar__SERIAL_CHARS (Int) Int)
(declare-fun XoffCharacter__SERIAL_WMI_COMM_DATAInv (Int) Int)
(declare-fun XoffCharacter__SERIAL_WMI_COMM_DATA (Int) Int)
(declare-fun XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun XoffCountTimer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun XoffLimit__SERIAL_HANDFLOWInv (Int) Int)
(declare-fun XoffLimit__SERIAL_HANDFLOW (Int) Int)
(declare-fun XonChar__SERIAL_CHARSInv (Int) Int)
(declare-fun XonChar__SERIAL_CHARS (Int) Int)
(declare-fun XonCharacter__SERIAL_WMI_COMM_DATAInv (Int) Int)
(declare-fun XonCharacter__SERIAL_WMI_COMM_DATA (Int) Int)
(declare-fun XonLimit__SERIAL_HANDFLOWInv (Int) Int)
(declare-fun XonLimit__SERIAL_HANDFLOW (Int) Int)
(declare-fun x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv (Int) Int)
(declare-fun x__unnamed_12_5cc47a19___unnamed_40_ebf2206a (Int) Int)
(declare-fun x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (Int) Int)
(declare-fun x__unnamed_4_ab1173de__IO_STATUS_BLOCK (Int) Int)
(declare-fun x__unnamed_8_544b88f4__LARGE_INTEGERInv (Int) Int)
(declare-fun x__unnamed_8_544b88f4__LARGE_INTEGER (Int) Int)
(declare-fun u__LARGE_INTEGERInv (Int) Int)
(declare-fun u__LARGE_INTEGER (Int) Int)
(declare-fun PLUS (Int Int Int) Int)
(declare-fun MULT (Int Int) Int)
(declare-fun DIV (Int Int) Int)
(declare-fun POW2 (Int) TermBool)
(declare-fun choose (TermBool Int Int) Int)
(declare-fun BIT_BAND (Int Int) Int)
(declare-fun LIFT (TermBool) Int)
(declare-fun NOT (Int) Int)
(declare-fun NULL_CHECK (Int) Int)
(declare-fun Mem_0_T.CancelRoutine__IRP.125 () boogieU)
(declare-fun Mem_s_1_T.CancelRoutine__IRP () boogieU)
(declare-fun Mem_0_T.Cancel__IRP.2 () boogieU)
(declare-fun Mem_s_1_T.Cancel__IRP () boogieU)
(declare-fun Mem_0_T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun Mem_s_1_T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun Mem_0_T.P_IRP.92 () boogieU)
(declare-fun Mem_s_1_T.P_IRP () boogieU)
(declare-fun alloc.119 () boogieU)
(declare-fun alloc.96 () boogieU)
(declare-fun Mem_1_T.P_IRP.92 () boogieU)
(declare-fun Mem_1_T.P_IRP.69 () boogieU)
(declare-fun Mem_0_T.P_IRP.69 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.125 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.98 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.98 () boogieU)
(declare-fun alloc.118 () boogieU)
(declare-fun Mem_1_T.P_IRP.91 () boogieU)
(declare-fun Mem_0_T.P_IRP.91 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.124 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.124 () boogieU)
(declare-fun alloc.117 () boogieU)
(declare-fun alloc.99 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.101 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.101 () boogieU)
(declare-fun alloc.116 () boogieU)
(declare-fun Mem_1_T.P_IRP.90 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.123 () boogieU)
(declare-fun Mem_0_T.P_IRP.90 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.123 () boogieU)
(declare-fun alloc.115 () boogieU)
(declare-fun Mem_1_T.P_IRP.89 () boogieU)
(declare-fun Mem_0_T.P_IRP.89 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.122 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.122 () boogieU)
(declare-fun alloc.114 () boogieU)
(declare-fun Mem_T.MajorFunction__IO_STACK_LOCATION.0 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.121 () boogieU)
(declare-fun alloc.113 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.121 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.120 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.120 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.119 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.118 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.118 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.119 () boogieU)
(declare-fun alloc.112 () boogieU)
(declare-fun Mem_0_T.P_IRP.88 () boogieU)
(declare-fun Mem_1_T.P_IRP.87 () boogieU)
(declare-fun Mem_0_T.P_IRP.87 () boogieU)
(declare-fun Mem_1_T.P_IRP.88 () boogieU)
(declare-fun Mem_0_T.P_IRP.84 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.115 () boogieU)
(declare-fun Mem_1_T.P_IRP.84 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.115 () boogieU)
(declare-fun Mem_0_T.P_IRP.83 () boogieU)
(declare-fun Mem_1_T.P_IRP.82 () boogieU)
(declare-fun Mem_0_T.P_IRP.82 () boogieU)
(declare-fun Mem_1_T.P_IRP.83 () boogieU)
(declare-fun Mem_0_T.P_IRP.86 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.117 () boogieU)
(declare-fun Mem_1_T.P_IRP.86 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.117 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.116 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.116 () boogieU)
(declare-fun Mem_0_T.P_IRP.85 () boogieU)
(declare-fun Mem_1_T.P_IRP.85 () boogieU)
(declare-fun alloc.111 () boogieU)
(declare-fun alloc.106 () boogieU)
(declare-fun alloc.110 () boogieU)
(declare-fun Mem_1_T.P_IRP.81 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.114 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.114 () boogieU)
(declare-fun Mem_0_T.P_IRP.81 () boogieU)
(declare-fun Mem_1_T.Cancel__IRP.2 () boogieU)
(declare-fun alloc.109 () boogieU)
(declare-fun Mem_1_T.P_IRP.80 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.113 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.113 () boogieU)
(declare-fun Mem_0_T.P_IRP.80 () boogieU)
(declare-fun Mem_0_T.P_IRP.79 () boogieU)
(declare-fun Mem_1_T.P_IRP.79 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.112 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.112 () boogieU)
(declare-fun alloc.105 () boogieU)
(declare-fun alloc.102 () boogieU)
(declare-fun alloc.103 () boogieU)
(declare-fun alloc.104 () boogieU)
(declare-fun alloc.108 () boogieU)
(declare-fun Mem_1_T.P_IRP.78 () boogieU)
(declare-fun Mem_0_T.P_IRP.78 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.111 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.111 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.110 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.110 () boogieU)
(declare-fun alloc.107 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.109 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.109 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.108 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.107 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.107 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.108 () boogieU)
(declare-fun alloc.101 () boogieU)
(declare-fun Mem_0_T.P_IRP.77 () boogieU)
(declare-fun Mem_1_T.P_IRP.76 () boogieU)
(declare-fun Mem_0_T.P_IRP.76 () boogieU)
(declare-fun Mem_1_T.P_IRP.77 () boogieU)
(declare-fun Mem_0_T.P_IRP.75 () boogieU)
(declare-fun Mem_1_T.P_IRP.75 () boogieU)
(declare-fun Mem_0_T.P_IRP.74 () boogieU)
(declare-fun Mem_1_T.P_IRP.74 () boogieU)
(declare-fun Mem_0_T.P_IRP.73 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.106 () boogieU)
(declare-fun Mem_1_T.P_IRP.73 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.106 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.105 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.105 () boogieU)
(declare-fun Mem_0_T.P_IRP.72 () boogieU)
(declare-fun Mem_1_T.P_IRP.72 () boogieU)
(declare-fun alloc.100 () boogieU)
(declare-fun Mem_1_T.P_IRP.71 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.104 () boogieU)
(declare-fun Mem_0_T.P_IRP.71 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.104 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.103 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.103 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.102 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.102 () boogieU)
(declare-fun Mem_0_T.P_IRP.70 () boogieU)
(declare-fun Mem_1_T.P_IRP.70 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.100 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.100 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.99 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.99 () boogieU)
(declare-fun alloc.98 () boogieU)
(declare-fun alloc.97 () boogieU)
(declare-fun Mem_1_T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun Mem_1_T.P_IRP.46 () boogieU)
(declare-fun alloc.76 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.69 () boogieU)
(declare-fun Mem_0_T.Cancel__IRP () boogieU)
(declare-fun Mem_0_T.P_IRP.46 () boogieU)
(declare-fun Mem_1_T.Cancel__IRP () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.69 () boogieU)
(declare-fun Mem_1_T.P_IRP.68 () boogieU)
(declare-fun alloc.95 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.97 () boogieU)
(declare-fun Mem_0_T.Cancel__IRP.1 () boogieU)
(declare-fun Mem_0_T.P_IRP.68 () boogieU)
(declare-fun Mem_1_T.Cancel__IRP.1 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.97 () boogieU)
(declare-fun alloc.77 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.74 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.74 () boogieU)
(declare-fun Mem_1_T.P_IRP.67 () boogieU)
(declare-fun alloc.94 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.96 () boogieU)
(declare-fun Mem_0_T.P_IRP.67 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.96 () boogieU)
(declare-fun Mem_1_T.P_IRP.66 () boogieU)
(declare-fun alloc.93 () boogieU)
(declare-fun Mem_0_T.P_IRP.66 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.95 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.95 () boogieU)
(declare-fun alloc.92 () boogieU)
(declare-fun alloc.91 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.94 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.94 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.93 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.93 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.92 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.91 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.91 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.92 () boogieU)
(declare-fun alloc.90 () boogieU)
(declare-fun Mem_0_T.P_IRP.65 () boogieU)
(declare-fun Mem_1_T.P_IRP.64 () boogieU)
(declare-fun Mem_0_T.P_IRP.64 () boogieU)
(declare-fun Mem_1_T.P_IRP.65 () boogieU)
(declare-fun Mem_0_T.P_IRP.61 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.88 () boogieU)
(declare-fun Mem_1_T.P_IRP.61 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.88 () boogieU)
(declare-fun Mem_0_T.P_IRP.60 () boogieU)
(declare-fun Mem_1_T.P_IRP.59 () boogieU)
(declare-fun Mem_0_T.P_IRP.59 () boogieU)
(declare-fun Mem_1_T.P_IRP.60 () boogieU)
(declare-fun Mem_0_T.P_IRP.63 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.90 () boogieU)
(declare-fun Mem_1_T.P_IRP.63 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.90 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.89 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.89 () boogieU)
(declare-fun Mem_0_T.P_IRP.62 () boogieU)
(declare-fun Mem_1_T.P_IRP.62 () boogieU)
(declare-fun alloc.89 () boogieU)
(declare-fun alloc.83 () boogieU)
(declare-fun alloc.88 () boogieU)
(declare-fun Mem_1_T.P_IRP.58 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.87 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.87 () boogieU)
(declare-fun Mem_0_T.P_IRP.58 () boogieU)
(declare-fun alloc.87 () boogieU)
(declare-fun Mem_1_T.P_IRP.57 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.79 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.79 () boogieU)
(declare-fun Mem_0_T.P_IRP.57 () boogieU)
(declare-fun Mem_0_T.P_IRP.53 () boogieU)
(declare-fun Mem_1_T.P_IRP.53 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.78 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.78 () boogieU)
(declare-fun alloc.82 () boogieU)
(declare-fun alloc.79 () boogieU)
(declare-fun alloc.80 () boogieU)
(declare-fun alloc.81 () boogieU)
(declare-fun Mem_1_T.P_IRP.56 () boogieU)
(declare-fun alloc.86 () boogieU)
(declare-fun Mem_0_T.P_IRP.56 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.86 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.86 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.85 () boogieU)
(declare-fun alloc.85 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.85 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.84 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.84 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.83 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.82 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.82 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.83 () boogieU)
(declare-fun alloc.78 () boogieU)
(declare-fun Mem_0_T.P_IRP.55 () boogieU)
(declare-fun Mem_1_T.P_IRP.54 () boogieU)
(declare-fun Mem_0_T.P_IRP.54 () boogieU)
(declare-fun Mem_1_T.P_IRP.55 () boogieU)
(declare-fun Mem_0_T.P_IRP.50 () boogieU)
(declare-fun Mem_1_T.P_IRP.50 () boogieU)
(declare-fun Mem_0_T.P_IRP.49 () boogieU)
(declare-fun Mem_1_T.P_IRP.49 () boogieU)
(declare-fun Mem_0_T.P_IRP.52 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.81 () boogieU)
(declare-fun Mem_1_T.P_IRP.52 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.81 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.80 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.80 () boogieU)
(declare-fun Mem_0_T.P_IRP.51 () boogieU)
(declare-fun Mem_1_T.P_IRP.51 () boogieU)
(declare-fun Mem_1_T.P_IRP.48 () boogieU)
(declare-fun alloc.84 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.77 () boogieU)
(declare-fun Mem_0_T.P_IRP.48 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.77 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.76 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.76 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.75 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.75 () boogieU)
(declare-fun Mem_0_T.P_IRP.47 () boogieU)
(declare-fun Mem_1_T.P_IRP.47 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.73 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.73 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.72 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.71 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.71 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.72 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.70 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.70 () boogieU)
(declare-fun Mem_0_T.Cancel__IRP.0 () boogieU)
(declare-fun Mem_1_T.Cancel__IRP.0 () boogieU)
(declare-fun Mem_0_T.P_IRP () boogieU)
(declare-fun Mem_1_T.P_IRP () boogieU)
(declare-fun alloc.45 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.32 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.32 () boogieU)
(declare-fun alloc.44 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.31 () boogieU)
(declare-fun alloc.3 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.31 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.4 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.4 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.3 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.2 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.2 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.3 () boogieU)
(declare-fun alloc.2 () boogieU)
(declare-fun alloc.7 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.8 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.8 () boogieU)
(declare-fun alloc.6 () boogieU)
(declare-fun Mem_0_T.P_IRP.45 () boogieU)
(declare-fun Mem_1_T.P_IRP.45 () boogieU)
(declare-fun alloc.75 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.68 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.68 () boogieU)
(declare-fun alloc.74 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.16 () boogieU)
(declare-fun alloc.26 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.16 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.15 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.15 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.14 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.14 () boogieU)
(declare-fun alloc.9 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.13 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.13 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.12 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.12 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.67 () boogieU)
(declare-fun Mem_0_T.P_IRP.44 () boogieU)
(declare-fun Mem_1_T.P_IRP.44 () boogieU)
(declare-fun alloc.73 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.67 () boogieU)
(declare-fun alloc.72 () boogieU)
(declare-fun alloc.71 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.66 () boogieU)
(declare-fun Mem_0_T.P_IRP.43 () boogieU)
(declare-fun Mem_1_T.P_IRP.43 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.66 () boogieU)
(declare-fun alloc.70 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.65 () boogieU)
(declare-fun alloc.69 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.65 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.64 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.64 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.63 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.62 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.62 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.63 () boogieU)
(declare-fun alloc.68 () boogieU)
(declare-fun Mem_0_T.P_IRP.42 () boogieU)
(declare-fun Mem_1_T.P_IRP.41 () boogieU)
(declare-fun Mem_0_T.P_IRP.41 () boogieU)
(declare-fun Mem_1_T.P_IRP.42 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.59 () boogieU)
(declare-fun Mem_1_T.P_IRP.38 () boogieU)
(declare-fun Mem_0_T.P_IRP.38 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.59 () boogieU)
(declare-fun Mem_0_T.P_IRP.37 () boogieU)
(declare-fun Mem_1_T.P_IRP.36 () boogieU)
(declare-fun Mem_0_T.P_IRP.36 () boogieU)
(declare-fun Mem_1_T.P_IRP.37 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.61 () boogieU)
(declare-fun Mem_1_T.P_IRP.40 () boogieU)
(declare-fun Mem_0_T.P_IRP.40 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.61 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.60 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.60 () boogieU)
(declare-fun Mem_0_T.P_IRP.39 () boogieU)
(declare-fun Mem_1_T.P_IRP.39 () boogieU)
(declare-fun alloc.67 () boogieU)
(declare-fun alloc.64 () boogieU)
(declare-fun Mem_1_T.P_IRP.32 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.53 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.53 () boogieU)
(declare-fun Mem_0_T.P_IRP.32 () boogieU)
(declare-fun alloc.66 () boogieU)
(declare-fun Mem_1_T.P_IRP.35 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.58 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.58 () boogieU)
(declare-fun Mem_0_T.P_IRP.35 () boogieU)
(declare-fun alloc.65 () boogieU)
(declare-fun Mem_1_T.P_IRP.34 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.57 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.57 () boogieU)
(declare-fun Mem_0_T.P_IRP.34 () boogieU)
(declare-fun Mem_0_T.P_IRP.33 () boogieU)
(declare-fun Mem_1_T.P_IRP.33 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.56 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.56 () boogieU)
(declare-fun alloc.63 () boogieU)
(declare-fun alloc.60 () boogieU)
(declare-fun alloc.57 () boogieU)
(declare-fun alloc.61 () boogieU)
(declare-fun alloc.62 () boogieU)
(declare-fun alloc.59 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.55 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.55 () boogieU)
(declare-fun alloc.58 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.54 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.54 () boogieU)
(declare-fun Mem_1_T.P_IRP.31 () boogieU)
(declare-fun alloc.56 () boogieU)
(declare-fun Mem_0_T.P_IRP.31 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.52 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.52 () boogieU)
(declare-fun Mem_1_T.P_IRP.1 () boogieU)
(declare-fun alloc.25 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.27 () boogieU)
(declare-fun Mem_0_T.P_IRP.1 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.27 () boogieU)
(declare-fun Mem_1_T.P_IRP.30 () boogieU)
(declare-fun alloc.55 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.51 () boogieU)
(declare-fun Mem_0_T.P_IRP.30 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.51 () boogieU)
(declare-fun Mem_1_T.P_IRP.26 () boogieU)
(declare-fun alloc.52 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.43 () boogieU)
(declare-fun Mem_0_T.P_IRP.26 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.43 () boogieU)
(declare-fun alloc.51 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.42 () boogieU)
(declare-fun alloc.50 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.42 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.41 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.41 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.40 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.39 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.39 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.40 () boogieU)
(declare-fun alloc.49 () boogieU)
(declare-fun Mem_0_T.P_IRP.25 () boogieU)
(declare-fun Mem_1_T.P_IRP.24 () boogieU)
(declare-fun Mem_0_T.P_IRP.24 () boogieU)
(declare-fun Mem_1_T.P_IRP.25 () boogieU)
(declare-fun Mem_0_T.P_IRP.21 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.36 () boogieU)
(declare-fun Mem_1_T.P_IRP.21 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.36 () boogieU)
(declare-fun Mem_0_T.P_IRP.20 () boogieU)
(declare-fun Mem_1_T.P_IRP.19 () boogieU)
(declare-fun Mem_0_T.P_IRP.19 () boogieU)
(declare-fun Mem_1_T.P_IRP.20 () boogieU)
(declare-fun Mem_0_T.P_IRP.23 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.38 () boogieU)
(declare-fun Mem_1_T.P_IRP.23 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.38 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.37 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.37 () boogieU)
(declare-fun Mem_0_T.P_IRP.22 () boogieU)
(declare-fun Mem_1_T.P_IRP.22 () boogieU)
(declare-fun alloc.48 () boogieU)
(declare-fun alloc.43 () boogieU)
(declare-fun alloc.47 () boogieU)
(declare-fun Mem_1_T.P_IRP.18 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.35 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.35 () boogieU)
(declare-fun Mem_0_T.P_IRP.18 () boogieU)
(declare-fun alloc.46 () boogieU)
(declare-fun Mem_1_T.P_IRP.17 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.34 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.34 () boogieU)
(declare-fun Mem_0_T.P_IRP.17 () boogieU)
(declare-fun Mem_0_T.P_IRP.16 () boogieU)
(declare-fun Mem_1_T.P_IRP.16 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.33 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.33 () boogieU)
(declare-fun alloc.40 () boogieU)
(declare-fun alloc.37 () boogieU)
(declare-fun alloc.38 () boogieU)
(declare-fun alloc.39 () boogieU)
(declare-fun Mem_1_T.P_IRP.29 () boogieU)
(declare-fun alloc.54 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.50 () boogieU)
(declare-fun Mem_0_T.P_IRP.29 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.50 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.49 () boogieU)
(declare-fun alloc.53 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.49 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.48 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.48 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.47 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.46 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.46 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.47 () boogieU)
(declare-fun alloc.41 () boogieU)
(declare-fun Mem_0_T.P_IRP.28 () boogieU)
(declare-fun Mem_1_T.P_IRP.27 () boogieU)
(declare-fun Mem_0_T.P_IRP.27 () boogieU)
(declare-fun Mem_1_T.P_IRP.28 () boogieU)
(declare-fun Mem_0_T.P_IRP.13 () boogieU)
(declare-fun Mem_1_T.P_IRP.13 () boogieU)
(declare-fun Mem_0_T.P_IRP.12 () boogieU)
(declare-fun Mem_1_T.P_IRP.12 () boogieU)
(declare-fun Mem_0_T.P_IRP.15 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.45 () boogieU)
(declare-fun Mem_1_T.P_IRP.15 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.45 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.44 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.44 () boogieU)
(declare-fun Mem_0_T.P_IRP.14 () boogieU)
(declare-fun Mem_1_T.P_IRP.14 () boogieU)
(declare-fun Mem_1_T.P_IRP.11 () boogieU)
(declare-fun alloc.42 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.30 () boogieU)
(declare-fun Mem_0_T.P_IRP.11 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.30 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.29 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.29 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.28 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.28 () boogieU)
(declare-fun Mem_0_T.P_IRP.10 () boogieU)
(declare-fun Mem_1_T.P_IRP.10 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.26 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.26 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.25 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.25 () boogieU)
(declare-fun alloc.15 () boogieU)
(declare-fun alloc.14 () boogieU)
(declare-fun alloc.11 () boogieU)
(declare-fun alloc.12 () boogieU)
(declare-fun alloc.13 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.24 () boogieU)
(declare-fun Mem_0_T.P_IRP.9 () boogieU)
(declare-fun Mem_1_T.P_IRP.9 () boogieU)
(declare-fun alloc.36 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.24 () boogieU)
(declare-fun Mem_1_T.P_IRP.8 () boogieU)
(declare-fun alloc.35 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.23 () boogieU)
(declare-fun Mem_0_T.P_IRP.8 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.23 () boogieU)
(declare-fun alloc.34 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.22 () boogieU)
(declare-fun alloc.33 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.22 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.21 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.21 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.20 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.19 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.19 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.20 () boogieU)
(declare-fun alloc.28 () boogieU)
(declare-fun Mem_0_T.P_IRP.7 () boogieU)
(declare-fun Mem_1_T.P_IRP.6 () boogieU)
(declare-fun Mem_0_T.P_IRP.6 () boogieU)
(declare-fun Mem_1_T.P_IRP.7 () boogieU)
(declare-fun Mem_0_T.P_IRP.3 () boogieU)
(declare-fun Mem_1_T.P_IRP.3 () boogieU)
(declare-fun Mem_0_T.P_IRP.2 () boogieU)
(declare-fun Mem_1_T.P_IRP.2 () boogieU)
(declare-fun Mem_0_T.P_IRP.5 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.18 () boogieU)
(declare-fun Mem_1_T.P_IRP.5 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.18 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.17 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.17 () boogieU)
(declare-fun Mem_0_T.P_IRP.4 () boogieU)
(declare-fun Mem_1_T.P_IRP.4 () boogieU)
(declare-fun alloc.27 () boogieU)
(declare-fun alloc.24 () boogieU)
(declare-fun alloc.23 () boogieU)
(declare-fun alloc.22 () boogieU)
(declare-fun alloc.32 () boogieU)
(declare-fun alloc.31 () boogieU)
(declare-fun alloc.30 () boogieU)
(declare-fun alloc.29 () boogieU)
(declare-fun alloc.21 () boogieU)
(declare-fun alloc.16 () boogieU)
(declare-fun alloc.17 () boogieU)
(declare-fun alloc.18 () boogieU)
(declare-fun alloc.19 () boogieU)
(declare-fun alloc.20 () boogieU)
(declare-fun Mem_0_T.P_IRP.0 () boogieU)
(declare-fun Mem_1_T.P_IRP.0 () boogieU)
(declare-fun alloc.10 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.11 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.11 () boogieU)
(declare-fun alloc.8 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.10 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.10 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.9 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.9 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.7 () boogieU)
(declare-fun alloc.5 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.7 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.6 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.6 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.5 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.5 () boogieU)
(declare-fun alloc.4 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.1 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.1 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.0 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.0 () boogieU)
(declare-fun alloc.1 () boogieU)
(declare-fun alloc.0 () boogieU)
(declare-fun alloc () boogieU)
(declare-fun Mem_T.MajorFunction__IO_STACK_LOCATION () boogieU)
(declare-fun irpCompleted_0.52 () Int)
(declare-fun irpCompleted_s_1 () Int)
(declare-fun lockStatus_0.41 () Int)
(declare-fun lockStatus_s_1 () Int)
(declare-fun cancelLockStatus_0.90 () Int)
(declare-fun cancelLockStatus_s_1 () Int)
(declare-fun errorReached.90 () Int)
(declare-fun inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialCompleteWrite.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCompleteWrite.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 () Int)
(declare-fun inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.4.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.4.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.23.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.23.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialDpcEpilogue.6..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.24.myNondetVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..0 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18.myNondetVar_0.3 () Int)
(declare-fun inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.6 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun irpCompleted_0.51 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent.0 () Int)
(declare-fun x.SerialCompleteWrite.arg.2.7..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.24.myNondetVar_0.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.4 () Int)
(declare-fun inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun irpCompleted_1.52 () Int)
(declare-fun irpCompleted_1.51 () Int)
(declare-fun inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.11 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.10 () Int)
(declare-fun inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun k.193 () Int)
(declare-fun k.192 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.5 () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20.myNondetVar_0.4 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_1.0 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun x.devobjTmp.3.6629.17.sdv_main.0 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.._refType.12.396.0.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialCompleteWrite.0.havoc_stringTemp.0 () Int)
(declare-fun call74023formal.new.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun cancelLockStatus_1.90 () Int)
(declare-fun cancelLockStatus_1.89 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..newIrp.14.428.13.SerialTryToCompleteCurrent.0 () Int)
(declare-fun call68727formal.new.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite.0 () Int)
(declare-fun inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun x.SerialCompleteWrite.arg.2.7..3 () Int)
(declare-fun inline.SerialGetNextIrp.5.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.5.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialCompleteWrite.0..OldIrql.6.742.10.SerialCompleteWrite.0 () Int)
(declare-fun call68596formal.new.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0.5 () Int)
(declare-fun inline.SerialDpcEpilogue.6..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun x.Extension.4.6630.27.sdv_main.3 () Int)
(declare-fun x.Extension.4.6630.27.sdv_main.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.5 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0.9 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..2 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.5 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialCompleteWrite.0..Extension.5.741.29.SerialCompleteWrite.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun errorReached.89 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..1 () Int)
(declare-fun inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.15..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun call68628formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun x.tmpIrp.2.6628.7.sdv_main.3 () Int)
(declare-fun x.tmpIrp.2.6628.7.sdv_main.2 () Int)
(declare-fun inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.747.20.1..1 () Int)
(declare-fun inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.747.20.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.5 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.22 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.21 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.24..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.15 () Int)
(declare-fun inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.15 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.2 () Int)
(declare-fun inline.SerialCancelTimer.5.myNondetVar_0.3 () Int)
(declare-fun inline.SerialCancelTimer.5.myNondetVar_0.2 () Int)
(declare-fun inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.7 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.12 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.11 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..3 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..2 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.761.20.3..1 () Int)
(declare-fun inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.761.20.3..0 () Int)
(declare-fun inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.2.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialGetNextWrite.2.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..4 () Int)
(declare-fun inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_2.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_2.0 () Int)
(declare-fun inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.8 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.7 () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..5 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..1 () Int)
(declare-fun inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.6 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 () Int)
(declare-fun cancelLockStatus_0.89 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.KeSynchronizeExecution.9.myNondetVar_0.8 () Int)
(declare-fun inline.KeSynchronizeExecution.9.myNondetVar_0.7 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialCancelTimer.4.myNondetVar_0.3 () Int)
(declare-fun inline.SerialCancelTimer.4.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.8 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.7 () Int)
(declare-fun inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun Base (Int) Int)
(declare-fun call74013formal.ret.0 () Int)
(declare-fun inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5. () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.SerialGetNextIrp.4.myNondetVar_0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.23.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.havoc_stringTemp () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22.myNondetVar_0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.havoc_stringTemp () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun irpCompleted_0.43 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun cancelLockStatus_0.73 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite () Int)
(declare-fun inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite () Int)
(declare-fun inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun errorReached.74 () Int)
(declare-fun inline.SerialGetNextIrp.5.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun irpCompleted_1.43 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3. () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun call73710formal.ret.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1 () Int)
(declare-fun cancelLockStatus_1.73 () Int)
(declare-fun k.166 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.2.havoc_stringTemp () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun call73746formal.new.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12. () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0 () Int)
(declare-fun call73947formal.ret.0 () Int)
(declare-fun inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun irpCompleted_0.41 () Int)
(declare-fun irpCompleted_1.41 () Int)
(declare-fun errorReached.72 () Int)
(declare-fun irpCompleted_0.42 () Int)
(declare-fun irpCompleted_1.42 () Int)
(declare-fun errorReached.73 () Int)
(declare-fun cancelLockStatus_1.72 () Int)
(declare-fun cancelLockStatus_0.72 () Int)
(declare-fun k.165 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.4.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.23.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.havoc_stringTemp.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.9 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun irpCompleted_0.50 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun cancelLockStatus_0.87 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.0 () Int)
(declare-fun inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.6 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 () Int)
(declare-fun inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun errorReached.88 () Int)
(declare-fun inline.SerialGetNextIrp.5.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun irpCompleted_1.50 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.20 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.4 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.1 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.14 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 () Int)
(declare-fun cancelLockStatus_1.87 () Int)
(declare-fun k.191 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.2.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.havoc_stringTemp () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.3 () Int)
(declare-fun cancelLockStatus_0.74 () Int)
(declare-fun cancelLockStatus_1.74 () Int)
(declare-fun call72808formal.ret.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun call73063formal.ret.0 () Int)
(declare-fun inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun irpCompleted_0.46 () Int)
(declare-fun cancelLockStatus_0.78 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun errorReached.79 () Int)
(declare-fun inline.SerialGetNextIrp.5.myNondetVar_0.0 () Int)
(declare-fun inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun irpCompleted_1.46 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun call72777formal.new.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.3 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun cancelLockStatus_1.78 () Int)
(declare-fun k.178 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0.2 () Int)
(declare-fun inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun k.175 () Int)
(declare-fun errorReached.76 () Int)
(declare-fun k.177 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun errorReached.78 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_1.45 () Int)
(declare-fun inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun call73121formal.new.0 () Int)
(declare-fun irpCompleted_0.45 () Int)
(declare-fun call73323formal.ret.0 () Int)
(declare-fun irpCompleted_0.44 () Int)
(declare-fun k.176 () Int)
(declare-fun irpCompleted_1.44 () Int)
(declare-fun errorReached.77 () Int)
(declare-fun cancelLockStatus_1.75 () Int)
(declare-fun cancelLockStatus_0.75 () Int)
(declare-fun k.174 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun errorReached.75 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.2 () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0.0 () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0.1 () Int)
(declare-fun k.173 () Int)
(declare-fun k.171 () Int)
(declare-fun call73582formal.ret.0 () Int)
(declare-fun k.172 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.1 () Int)
(declare-fun k.167 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.4.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun call70274formal.new.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.8 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.4 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun irpCompleted_0.49 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun cancelLockStatus_0.86 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0.3 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun errorReached.87 () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun irpCompleted_1.49 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.19 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.13 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun call70697formal.new.0 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.0 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.4 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..0 () Int)
(declare-fun call70728formal.ret.0 () Int)
(declare-fun cancelLockStatus_1.86 () Int)
(declare-fun k.190 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun call71693formal.new.0 () Int)
(declare-fun call70277formal.new.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun call70271formal.new.0 () Int)
(declare-fun inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun call70268formal.new.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.3 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.2 () Int)
(declare-fun k.188 () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun cancelLockStatus_1.85 () Int)
(declare-fun cancelLockStatus_0.85 () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.9 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.18 () Int)
(declare-fun cancelLockStatus_1.84 () Int)
(declare-fun cancelLockStatus_0.84 () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun cancelLockStatus_1.83 () Int)
(declare-fun cancelLockStatus_0.83 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.12 () Int)
(declare-fun k.189 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.11 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.10 () Int)
(declare-fun errorReached.84 () Int)
(declare-fun k.185 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_1.48 () Int)
(declare-fun inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun irpCompleted_0.48 () Int)
(declare-fun errorReached.86 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun call71041formal.new.0 () Int)
(declare-fun k.187 () Int)
(declare-fun call71244formal.ret.0 () Int)
(declare-fun call71074formal.ret.0 () Int)
(declare-fun irpCompleted_0.47 () Int)
(declare-fun k.186 () Int)
(declare-fun irpCompleted_1.47 () Int)
(declare-fun errorReached.85 () Int)
(declare-fun cancelLockStatus_1.82 () Int)
(declare-fun cancelLockStatus_0.82 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.1 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.2 () Int)
(declare-fun errorReached.83 () Int)
(declare-fun k.183 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun errorReached.82 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.1 () Int)
(declare-fun k.184 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun k.182 () Int)
(declare-fun cancelLockStatus_1.81 () Int)
(declare-fun cancelLockStatus_0.81 () Int)
(declare-fun k.181 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.8 () Int)
(declare-fun k.168 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.4 () Int)
(declare-fun cancelLockStatus_0.80 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun errorReached.81 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun k.180 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.3 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun call72074formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.15 () Int)
(declare-fun cancelLockStatus_1.80 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.2 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun cancelLockStatus_1.79 () Int)
(declare-fun cancelLockStatus_0.79 () Int)
(declare-fun k.179 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun errorReached.80 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0.1 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0.4 () Int)
(declare-fun call72567formal.ret.0 () Int)
(declare-fun call72517formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.2 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.13 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.2 () Int)
(declare-fun BIT_BOR (Int Int) Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.12 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.0 () Int)
(declare-fun cancelLockStatus_0.77 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.6 () Int)
(declare-fun call70498formal.ret.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun k.170 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.1 () Int)
(declare-fun cancelLockStatus_1.77 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.0 () Int)
(declare-fun cancelLockStatus_1.76 () Int)
(declare-fun cancelLockStatus_0.76 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.5 () Int)
(declare-fun k.169 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.1 () Int)
(declare-fun call70311formal.new.0 () Int)
(declare-fun cancelLockStatus_0.88 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.6 () Int)
(declare-fun cancelLockStatus_1.88 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.3 () Int)
(declare-fun inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1. () Int)
(declare-fun inline.SerialCancelTimer.5.myNondetVar_0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.3 () Int)
(declare-fun inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.7 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5. () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.10 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun call69691formal.ret.0 () Int)
(declare-fun inline.SerialCancelTimer.5.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19.myNondetVar_0.2 () Int)
(declare-fun inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.13 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.10 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.8 () Int)
(declare-fun BIT_BNOT (Int) Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.12 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.11 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCancelTimer.5.myNondetVar_0.0 () Int)
(declare-fun inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun call69772formal.ret.0 () Int)
(declare-fun inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_InterlockedDecrement.18.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.3 () Int)
(declare-fun inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1. () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.1 () Int)
(declare-fun inline.SerialCancelTimer.4.myNondetVar_0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3. () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.1 () Int)
(declare-fun inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.6 () Int)
(declare-fun inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18.myNondetVar_0.2 () Int)
(declare-fun inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun call69410formal.ret.0 () Int)
(declare-fun inline.SerialCancelTimer.4.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.SerialCancelTimer.4.myNondetVar_0.0 () Int)
(declare-fun call69491formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun errorReached.70 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0 () Int)
(declare-fun k.161 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun errorReached.71 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.0 () Int)
(declare-fun k.164 () Int)
(declare-fun k.162 () Int)
(declare-fun call69335formal.ret.0 () Int)
(declare-fun k.163 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.0 () Int)
(declare-fun inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.9.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.9.myNondetVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.9..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.9.myNondetVar_0.5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.0 () Int)
(declare-fun cancelLockStatus_1.71 () Int)
(declare-fun cancelLockStatus_0.71 () Int)
(declare-fun k.160 () Int)
(declare-fun call68615formal.new.0 () Int)
(declare-fun x.SerialCompleteWrite.arg.2.7. () Int)
(declare-fun x.SerialCompleteWrite.arg.2.7..1 () Int)
(declare-fun x.SerialCompleteWrite.arg.2.7..0 () Int)
(declare-fun x.tmpIrp.2.6628.7.sdv_main () Int)
(declare-fun x.tmpIrp.2.6628.7.sdv_main.1 () Int)
(declare-fun x.tmpIrp.2.6628.7.sdv_main.0 () Int)
(declare-fun x.Extension.4.6630.27.sdv_main () Int)
(declare-fun x.Extension.4.6630.27.sdv_main.1 () Int)
(declare-fun x.Extension.4.6630.27.sdv_main.0 () Int)
(declare-fun call68416formal.ret.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialCompleteWrite.0.myNondetVar_0 () Int)
(declare-fun inline.SerialDpcEpilogue.6..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_InterlockedDecrement.24.myNondetVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs () Int)
(declare-fun x.devobjTmp.3.6629.17.sdv_main () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.._refType.12.396.0.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialCompleteWrite.0.havoc_stringTemp () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..newIrp.14.428.13.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite () Int)
(declare-fun inline.SerialCompleteWrite.0..OldIrql.6.742.10.SerialCompleteWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialDpcEpilogue.6..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialCompleteWrite.0..Extension.5.741.29.SerialCompleteWrite () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.15..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.747.20.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.24..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite1 () Int)
(declare-fun inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.761.20.3. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.6 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialCancelTimer.6.myNondetVar_0.3 () Int)
(declare-fun inline.SerialCancelTimer.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1. () Int)
(declare-fun irpCompleted_0.30 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_2.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_2 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12. () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.5 () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.3.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.havoc_stringTemp () Int)
(declare-fun inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1. () Int)
(declare-fun irpCompleted_1.30 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.3 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite () Int)
(declare-fun inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.26.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.15 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1. () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.11 () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.havoc_stringTemp () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun cancelLockStatus_1.53 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.6 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialCancelTimer.7.myNondetVar_0.3 () Int)
(declare-fun inline.SerialCancelTimer.7.myNondetVar_0 () Int)
(declare-fun cancelLockStatus_0.53 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite.0 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite () Int)
(declare-fun inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.8 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite1.0 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite () Int)
(declare-fun inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.22 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.havoc_stringTemp () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.6 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..3 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13. () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..5 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun errorReached.50 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..1 () Int)
(declare-fun inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..1 () Int)
(declare-fun inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5. () Int)
(declare-fun inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.29.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29.myNondetVar_0 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs () Int)
(declare-fun inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..newIrp.14.428.13.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..newIrp.14.428.13.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrp.6.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.30.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.30.myNondetVar_0 () Int)
(declare-fun inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.8 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0 () Int)
(declare-fun inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3. () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2 () Int)
(declare-fun inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0 () Int)
(declare-fun inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..4 () Int)
(declare-fun inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.12 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun k.159 () Int)
(declare-fun k.124 () Int)
(declare-fun inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.25.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25.myNondetVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.7 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.KeSynchronizeExecution.12.myNondetVar_0.8 () Int)
(declare-fun inline.KeSynchronizeExecution.12.myNondetVar_0 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.SerialGetNextIrp.7.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.7.myNondetVar_0 () Int)
(declare-fun inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4. () Int)
(declare-fun inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.._refType.12.396.0.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.._refType.12.396.0.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite () Int)
(declare-fun inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0.9 () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.havoc_stringTemp () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_InterlockedDecrement.27.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0.4 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.SerialCancelTimer.6.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun irpCompleted_0.40 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_2.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.3.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun irpCompleted_1.40 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2 () Int)
(declare-fun inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.10 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun cancelLockStatus_1.70 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.5 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialCancelTimer.7.myNondetVar_0.2 () Int)
(declare-fun cancelLockStatus_0.70 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..0 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.21 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.havoc_stringTemp.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..2 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun errorReached.69 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..3 () Int)
(declare-fun inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 () Int)
(declare-fun inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29.myNondetVar_0.4 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun call74315formal.new.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrp.6.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.30.myNondetVar_0.2 () Int)
(declare-fun inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.7 () Int)
(declare-fun inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..0 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.5 () Int)
(declare-fun inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0.4 () Int)
(declare-fun inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.11 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.15 () Int)
(declare-fun inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun k.158 () Int)
(declare-fun inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25.myNondetVar_0.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.6 () Int)
(declare-fun inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.12.myNondetVar_0.7 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialGetNextIrp.7.myNondetVar_0.2 () Int)
(declare-fun inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.5 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun irpCompleted_0.32 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 () Int)
(declare-fun call79339formal.new.0 () Int)
(declare-fun cancelLockStatus_0.59 () Int)
(declare-fun call79303formal.ret.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.5 () Int)
(declare-fun errorReached.54 () Int)
(declare-fun irpCompleted_1.32 () Int)
(declare-fun inline.sdv_InterlockedDecrement.30.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun cancelLockStatus_1.59 () Int)
(declare-fun k.137 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..0 () Int)
(declare-fun call79542formal.ret.0 () Int)
(declare-fun errorReached.52 () Int)
(declare-fun k.135 () Int)
(declare-fun errorReached.53 () Int)
(declare-fun irpCompleted_0.31 () Int)
(declare-fun k.136 () Int)
(declare-fun irpCompleted_1.31 () Int)
(declare-fun call79372formal.ret.0 () Int)
(declare-fun k.128 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.1 () Int)
(declare-fun k.126 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrp.7.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun call75776formal.ret.0 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun irpCompleted_0.39 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.4 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 () Int)
(declare-fun cancelLockStatus_0.69 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun errorReached.68 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 () Int)
(declare-fun inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun irpCompleted_1.39 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.20 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.1 () Int)
(declare-fun inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrp.6.myNondetVar_0.1 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.6 () Int)
(declare-fun inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.14 () Int)
(declare-fun cancelLockStatus_1.69 () Int)
(declare-fun k.157 () Int)
(declare-fun inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun cancelLockStatus_0.55 () Int)
(declare-fun cancelLockStatus_1.55 () Int)
(declare-fun k.129 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0.2 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun irpCompleted_0.35 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun cancelLockStatus_0.61 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun errorReached.60 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun irpCompleted_1.35 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29.myNondetVar_0.2 () Int)
(declare-fun inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun inline.SerialGetNextIrp.7.myNondetVar_0.0 () Int)
(declare-fun inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun cancelLockStatus_1.61 () Int)
(declare-fun k.144 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun call78371formal.new.0 () Int)
(declare-fun call78402formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun errorReached.57 () Int)
(declare-fun k.141 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun call78714formal.new.0 () Int)
(declare-fun irpCompleted_1.34 () Int)
(declare-fun irpCompleted_0.34 () Int)
(declare-fun inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun errorReached.59 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun k.143 () Int)
(declare-fun call78917formal.ret.0 () Int)
(declare-fun irpCompleted_0.33 () Int)
(declare-fun call78747formal.ret.0 () Int)
(declare-fun k.142 () Int)
(declare-fun irpCompleted_1.33 () Int)
(declare-fun errorReached.58 () Int)
(declare-fun cancelLockStatus_1.60 () Int)
(declare-fun cancelLockStatus_0.60 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.2 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0.1 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun errorReached.56 () Int)
(declare-fun k.139 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.1 () Int)
(declare-fun k.138 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun k.130 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun call75858formal.new.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun irpCompleted_0.38 () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun call75867formal.new.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.3 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun call75864formal.new.0 () Int)
(declare-fun cancelLockStatus_0.68 () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun call76286formal.new.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 () Int)
(declare-fun call77281formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.4 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..0 () Int)
(declare-fun errorReached.67 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 () Int)
(declare-fun inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun irpCompleted_1.38 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.19 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.0 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextIrp.6.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.13 () Int)
(declare-fun cancelLockStatus_1.68 () Int)
(declare-fun k.156 () Int)
(declare-fun inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.4 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.havoc_stringTemp.0 () Int)
(declare-fun call75861formal.new.0 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun cancelLockStatus_0.67 () Int)
(declare-fun call77300formal.ret.0 () Int)
(declare-fun cancelLockStatus_1.67 () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.9 () Int)
(declare-fun call77427formal.ret.0 () Int)
(declare-fun k.155 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.18 () Int)
(declare-fun cancelLockStatus_1.66 () Int)
(declare-fun cancelLockStatus_0.66 () Int)
(declare-fun k.154 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun cancelLockStatus_1.65 () Int)
(declare-fun cancelLockStatus_0.65 () Int)
(declare-fun k.152 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.12 () Int)
(declare-fun k.153 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.11 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.10 () Int)
(declare-fun errorReached.64 () Int)
(declare-fun k.149 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_1.37 () Int)
(declare-fun irpCompleted_0.37 () Int)
(declare-fun call76627formal.new.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun errorReached.66 () Int)
(declare-fun inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun k.151 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun call76830formal.ret.0 () Int)
(declare-fun errorReached.65 () Int)
(declare-fun irpCompleted_0.36 () Int)
(declare-fun k.150 () Int)
(declare-fun irpCompleted_1.36 () Int)
(declare-fun call76660formal.ret.0 () Int)
(declare-fun cancelLockStatus_1.64 () Int)
(declare-fun cancelLockStatus_0.64 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.2 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0.0 () Int)
(declare-fun errorReached.63 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0.1 () Int)
(declare-fun call77129formal.ret.0 () Int)
(declare-fun k.148 () Int)
(declare-fun k.146 () Int)
(declare-fun errorReached.62 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.0 () Int)
(declare-fun k.147 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun cancelLockStatus_1.63 () Int)
(declare-fun cancelLockStatus_0.63 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.4 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun call77492formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.3 () Int)
(declare-fun errorReached.61 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun k.145 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.0 () Int)
(declare-fun cancelLockStatus_0.62 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.15 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun cancelLockStatus_1.62 () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.7 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.3 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun cancelLockStatus_1.56 () Int)
(declare-fun cancelLockStatus_0.56 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun errorReached.55 () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun k.140 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.9 () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun call77856formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.3 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.1 () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun call78161formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.13 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0.1 () Int)
(declare-fun call78111formal.new.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.12 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.7 () Int)
(declare-fun k.133 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun k.132 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.8 () Int)
(declare-fun k.134 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun cancelLockStatus_0.58 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.5 () Int)
(declare-fun cancelLockStatus_1.58 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.0 () Int)
(declare-fun call76087formal.ret.0 () Int)
(declare-fun cancelLockStatus_1.57 () Int)
(declare-fun cancelLockStatus_0.57 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.6 () Int)
(declare-fun k.131 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.0 () Int)
(declare-fun call75901formal.new.0 () Int)
(declare-fun call75704formal.ret.0 () Int)
(declare-fun cancelLockStatus_0.54 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.6 () Int)
(declare-fun cancelLockStatus_1.54 () Int)
(declare-fun k.127 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.10 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.7 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.3 () Int)
(declare-fun inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun call75277formal.ret.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26.myNondetVar_0.2 () Int)
(declare-fun inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.SerialCancelTimer.7.myNondetVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.13 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.10 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.11 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.12 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.SerialCancelTimer.7.myNondetVar_0.0 () Int)
(declare-fun call75358formal.ret.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.1 () Int)
(declare-fun call74996formal.ret.0 () Int)
(declare-fun inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.SerialCancelTimer.6.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.7 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.8 () Int)
(declare-fun inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCancelTimer.6.myNondetVar_0.0 () Int)
(declare-fun call75077formal.ret.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.2 () Int)
(declare-fun errorReached.51 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.KeSynchronizeExecution.12.myNondetVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.12..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.12.myNondetVar_0.5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.1 () Int)
(declare-fun k.125 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.1 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.0 () Int)
(declare-fun cancelLockStatus_1.52 () Int)
(declare-fun cancelLockStatus_0.52 () Int)
(declare-fun call68366formal.ret.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..3 () Int)
(declare-fun inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.5 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..6 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..5 () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.havoc_stringTemp () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..6 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.3 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..5 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.1 () Int)
(declare-fun inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.5 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.14 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.10 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.5 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.4 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock () Int)
(declare-fun inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.8.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8.myNondetVar_0 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.4 () Int)
(declare-fun inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.7 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.17 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.2 () Int)
(declare-fun inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.7 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.118.20.9..1 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.118.20.9..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialStartWrite.0.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialStartWrite.0.havoc_stringTemp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialIRPEpilogue.8..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.17.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.3 () Int)
(declare-fun inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.sdv_InterlockedIncrement.5.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedIncrement.5.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..5 () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.8 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.2 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite () Int)
(declare-fun inline.SerialGetNextWrite.0.havoc_stringTemp.4 () Int)
(declare-fun inline.SerialGetNextWrite.0.havoc_stringTemp () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.7 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite () Int)
(declare-fun inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.1 () Int)
(declare-fun inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.5 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.4 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.7 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..6 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0 () Int)
(declare-fun irpCompleted_1.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue1.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..3 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5. () Int)
(declare-fun inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.4 () Int)
(declare-fun inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialSetTimer.3.myNondetVar_0.8 () Int)
(declare-fun inline.SerialSetTimer.3.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite () Int)
(declare-fun inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.4 () Int)
(declare-fun inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..2 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5..2 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.22 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3. () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..4 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3. () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..1 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9. () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.7 () Int)
(declare-fun inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialWrite.0..result.SerialStartOrQueue.142.34.15..0 () Int)
(declare-fun inline.SerialWrite.0..result.SerialStartOrQueue.142.34.15. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..1 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8. () Int)
(declare-fun inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.3 () Int)
(declare-fun inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.5 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.5 () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun cancelLockStatus_0.3 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.7 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.17 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.17..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..4 () Int)
(declare-fun inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..5 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0.5 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..5 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1 () Int)
(declare-fun inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead () Int)
(declare-fun inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..1 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent () Int)
(declare-fun errorReached.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.4 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialWrite.0.havoc_stringTemp.1 () Int)
(declare-fun call68339formal.new.0 () Int)
(declare-fun inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..2 () Int)
(declare-fun inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6. () Int)
(declare-fun inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..3 () Int)
(declare-fun inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1. () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1. () Int)
(declare-fun cancelLockStatus_1.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.4 () Int)
(declare-fun inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0.2 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead () Int)
(declare-fun inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.2 () Int)
(declare-fun inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.1 () Int)
(declare-fun inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..3 () Int)
(declare-fun inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..5 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.121.23.12..1 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.121.23.12. () Int)
(declare-fun inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.3 () Int)
(declare-fun inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.13 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.6 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.6 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..5 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.6 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0.5 () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.6 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.sdv_InterlockedDecrement.16.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.16.myNondetVar_0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.4 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1. () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..5 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13. () Int)
(declare-fun inline.SerialStartOrQueue.0.tempBoogie0.3 () Int)
(declare-fun inline.SerialStartOrQueue.0.tempBoogie0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.3 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.11 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..4 () Int)
(declare-fun inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0.5 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite () Int)
(declare-fun inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..5 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..3 () Int)
(declare-fun inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1. () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5. () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.6 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.SerialCompleteIfError.0.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialCompleteIfError.0.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialSetTimer.2.myNondetVar_0.8 () Int)
(declare-fun inline.SerialSetTimer.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialStartOrQueue.0..oldIrql.6.692.10.SerialStartOrQueue.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..oldIrql.6.692.10.SerialStartOrQueue () Int)
(declare-fun inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.10 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0 () Int)
(declare-fun inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..2 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2. () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..5 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..3 () Int)
(declare-fun inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.18 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.4 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1. () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.4 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.havoc_stringTemp () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.30 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..6 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..3 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18. () Int)
(declare-fun lockStatus_0.14 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..4 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.7 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.6 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.11 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.9 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue1.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.5 () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..5 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.156.24.20..1 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.156.24.20..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..1 () Int)
(declare-fun inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..5 () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer () Int)
(declare-fun inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..5 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.114.22.7..1 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.114.22.7. () Int)
(declare-fun inline.SerialWrite.0..result.SerialCompleteIfError.120.29.11..0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.6 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0 () Int)
(declare-fun inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.1 () Int)
(declare-fun inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1 () Int)
(declare-fun inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError1.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..2 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..3 () Int)
(declare-fun inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1. () Int)
(declare-fun inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.3 () Int)
(declare-fun inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.85 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.7 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.7 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4. () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs () Int)
(declare-fun inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.6 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.12 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.3 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.11 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.10 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.5 () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_1.2 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialCompleteIfError.0..result.SerialCompleteIfError.892.0.1..0 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..4 () Int)
(declare-fun inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.6 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.SerialIRPEpilogue.8..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock () Int)
(declare-fun inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..4 () Int)
(declare-fun inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..5 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12. () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..1 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1. () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13. () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..5 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.6 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0 () Int)
(declare-fun irpCompleted_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..2 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14. () Int)
(declare-fun inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead () Int)
(declare-fun inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.2 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite () Int)
(declare-fun inline.SerialStartOrQueue.0..result.IsListEmpty.723.20.7..0 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.IsListEmpty.723.20.7. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.4 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..2 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2. () Int)
(declare-fun inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.5 () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.6 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.8 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..6 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.3 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..5 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5. () Int)
(declare-fun inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.6 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.24 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..5 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.1 () Int)
(declare-fun inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.3.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedIncrement.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..5 () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead () Int)
(declare-fun inline.SerialGetNextIrp.2.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.25 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.3.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.3.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.5.myNondetVar_0.9 () Int)
(declare-fun inline.KeSynchronizeExecution.5.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite () Int)
(declare-fun inline.sdv_InterlockedDecrement.17.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1. () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.11 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.6 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.6 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialWrite.0..result.SerialWrite.74.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite () Int)
(declare-fun inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.4 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.7 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..5 () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.9 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..4 () Int)
(declare-fun inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..7 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..3 () Int)
(declare-fun inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..1 () Int)
(declare-fun inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialWrite.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialWrite.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue1.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue1 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0.9 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.37 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.havoc_stringTemp () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialStartRead.0..result.SerialStartRead.184.0.1..2 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialStartRead.184.0.1. () Int)
(declare-fun inline.SerialStartOrQueue.0.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialStartOrQueue.0.havoc_stringTemp () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.7 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite () Int)
(declare-fun inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..2 () Int)
(declare-fun inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialSetTimer.4.myNondetVar_0.8 () Int)
(declare-fun inline.SerialSetTimer.4.myNondetVar_0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.17 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.8 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun k.123 () Int)
(declare-fun k.7 () Int)
(declare-fun inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead () Int)
(declare-fun inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.3 () Int)
(declare-fun inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.6 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.3 () Int)
(declare-fun inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.27 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.154.8.18..1 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.154.8.18..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5. () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.6 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.15 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.8 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.7 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.4 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.3 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12. () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.5 () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.1 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0 () Int)
(declare-fun inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_InterlockedIncrement.4.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedIncrement.4.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialStartRead.0.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialStartRead.0.havoc_stringTemp () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.5 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.8 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.1 () Int)
(declare-fun inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_2.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent () Int)
(declare-fun inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialGetNextWrite.1.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialGetNextWrite.1.havoc_stringTemp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_InterlockedDecrement.7.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.13 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..5 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun lockStatus_1.41 () Int)
(declare-fun lockStatus_1.14 () Int)
(declare-fun inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.7 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError1.0 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0 () Int)
(declare-fun inline.SerialStartWrite.0..result.question.7..3 () Int)
(declare-fun inline.SerialStartWrite.0..result.question.7. () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite () Int)
(declare-fun inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0 () Int)
(declare-fun inline.SerialWrite.0..status.4.103.13.SerialWrite.0 () Int)
(declare-fun inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.2 () Int)
(declare-fun inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3. () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.6 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.146.23.16..1 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.146.23.16. () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..5 () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.8 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.5 () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.3 () Int)
(declare-fun inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0 () Int)
(declare-fun inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.1..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.1..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3. () Int)
(declare-fun inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.16 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0 () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.5 () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.703.36.2..0 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.703.36.2. () Int)
(declare-fun inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.4 () Int)
(declare-fun inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun call68329formal.ret.0 () Int)
(declare-fun inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun irpCompleted_0.3 () Int)
(declare-fun irpCompleted_1.3 () Int)
(declare-fun errorReached.5 () Int)
(declare-fun irpCompleted_0.4 () Int)
(declare-fun irpCompleted_1.4 () Int)
(declare-fun errorReached.6 () Int)
(declare-fun call68128formal.new.0 () Int)
(declare-fun inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.4 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..5 () Int)
(declare-fun inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.0 () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.havoc_stringTemp.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0.5 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..4 () Int)
(declare-fun inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.3 () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.13 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8.myNondetVar_0.4 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.3 () Int)
(declare-fun inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.4 () Int)
(declare-fun inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.3 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.6 () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.16 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.1 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.6 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.2 () Int)
(declare-fun inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialStartWrite.0.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..4 () Int)
(declare-fun inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialIRPEpilogue.8..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.2 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.sdv_InterlockedIncrement.5.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp.4 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.7 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.3 () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.7 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.6 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.4 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0.4 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.3 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.6 () Int)
(declare-fun inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.6 () Int)
(declare-fun irpCompleted_1.29 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..2 () Int)
(declare-fun inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialSetTimer.3.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.21 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..3 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun cancelLockStatus_0.51 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.16 () Int)
(declare-fun inline.sdv_InterlockedDecrement.17..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 () Int)
(declare-fun inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.3 () Int)
(declare-fun inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.1 () Int)
(declare-fun errorReached.49 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun call68116formal.new.0 () Int)
(declare-fun inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..1 () Int)
(declare-fun inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun cancelLockStatus_1.51 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.2 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..4 () Int)
(declare-fun inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.0 () Int)
(declare-fun inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 () Int)
(declare-fun inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..2 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.12 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.5 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0.4 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.16.myNondetVar_0.2 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..4 () Int)
(declare-fun inline.SerialStartOrQueue.0.tempBoogie0.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.2 () Int)
(declare-fun inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0.5 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.10 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..3 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.2 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.6 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.5 () Int)
(declare-fun inline.SerialSetTimer.2.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun call52678formal.new.0 () Int)
(declare-fun inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0.5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.9 () Int)
(declare-fun inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.7 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0.5 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..1 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..4 () Int)
(declare-fun inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.17 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..2 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..3 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.29 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..5 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..2 () Int)
(declare-fun lockStatus_0.40 () Int)
(declare-fun inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.7 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.10 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.8 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..3 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0.9 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.156.24.20. () Int)
(declare-fun inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..4 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.2 () Int)
(declare-fun inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0.9 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 () Int)
(declare-fun inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..2 () Int)
(declare-fun inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.84 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.6 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.2 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.3 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..3 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.3 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0.9 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.4 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.11 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.2 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.4 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.3 () Int)
(declare-fun inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0.5 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..5 () Int)
(declare-fun inline.SerialIRPEpilogue.8..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 () Int)
(declare-fun inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..4 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..0 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0.5 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.4 () Int)
(declare-fun irpCompleted_0.29 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..1 () Int)
(declare-fun inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.0 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.1 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..1 () Int)
(declare-fun inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..5 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.2 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.5 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.23 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.3.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.3 () Int)
(declare-fun inline.SerialGetNextIrp.2.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.24 () Int)
(declare-fun inline.SerialGetNextIrp.3.myNondetVar_0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.5.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.17.myNondetVar_0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..3 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.10 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.5 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.3 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..4 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.8 () Int)
(declare-fun inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..6 () Int)
(declare-fun inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialWrite.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0.8 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.3 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.36 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.havoc_stringTemp.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialStartRead.184.0.1..1 () Int)
(declare-fun inline.SerialStartOrQueue.0.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 () Int)
(declare-fun inline.SerialSetTimer.4.myNondetVar_0.7 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.16 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3 () Int)
(declare-fun k.122 () Int)
(declare-fun inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.0 () Int)
(declare-fun inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.2 () Int)
(declare-fun inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.2 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.26 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.154.8.18. () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.7 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.6 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.sdv_InterlockedIncrement.4.myNondetVar_0.4 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialStartRead.0.havoc_stringTemp.1 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.7 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.0 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_2.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.3 () Int)
(declare-fun inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.3 () Int)
(declare-fun inline.SerialGetNextWrite.1.havoc_stringTemp.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.12 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun lockStatus_1.40 () Int)
(declare-fun inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.2 () Int)
(declare-fun inline.SerialStartWrite.0..result.question.7..2 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.1 () Int)
(declare-fun inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..2 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.146.23.16..0 () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.7 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.2 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.15 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun call52713formal.ret.0 () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.15 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0.5 () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..5 () Int)
(declare-fun inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun k.8 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.9 () Int)
(declare-fun cancelLockStatus_0.6 () Int)
(declare-fun cancelLockStatus_1.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.5 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialStartRead.184.0.1..0 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun inline.SerialGetNextIrp.3.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_0.11 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.7 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.11 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 () Int)
(declare-fun inline.SerialStartRead.0.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11.myNondetVar_0.3 () Int)
(declare-fun lockStatus_1.35 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun call62827formal.new.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun k.50 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun call62821formal.new.0 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.4 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..3 () Int)
(declare-fun inline.sdv_InterlockedIncrement.5.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.8 () Int)
(declare-fun call62830formal.new.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..1 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.6 () Int)
(declare-fun call62833formal.new.0 () Int)
(declare-fun inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.1 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.15 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.13 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.2 () Int)
(declare-fun inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 () Int)
(declare-fun inline.SerialSetTimer.4.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.2 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.1 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun irpCompleted_1.11 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.3 () Int)
(declare-fun inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0.4 () Int)
(declare-fun inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0.8 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.25 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.6 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun call62824formal.new.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..3 () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialSetTimer.3.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.2 () Int)
(declare-fun inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.1 () Int)
(declare-fun inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.2 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.1 () Int)
(declare-fun lockStatus_0.35 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.23 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.1 () Int)
(declare-fun inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..0 () Int)
(declare-fun call62818formal.new.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.15 () Int)
(declare-fun inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0.4 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun cancelLockStatus_0.18 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..2 () Int)
(declare-fun inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.83 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0.4 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 () Int)
(declare-fun inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun errorReached.16 () Int)
(declare-fun inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.4.myNondetVar_0.3 () Int)
(declare-fun cancelLockStatus_1.18 () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.3 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.14 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.2 () Int)
(declare-fun lockStatus_1.34 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun call67171formal.ret.0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.24 () Int)
(declare-fun inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.0 () Int)
(declare-fun lockStatus_0.34 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.3 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.82 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun call64585formal.ret.0 () Int)
(declare-fun inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.8 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.4.myNondetVar_0.2 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.0 () Int)
(declare-fun cancelLockStatus_0.16 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.21 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.3 () Int)
(declare-fun inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun call64692formal.ret.0 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0.3 () Int)
(declare-fun inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.5 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0.6 () Int)
(declare-fun inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialSetTimer.3.myNondetVar_0.5 () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.5.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0.2 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.9 () Int)
(declare-fun inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.0 () Int)
(declare-fun inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.4.myNondetVar_0.5 () Int)
(declare-fun k.37 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0.1 () Int)
(declare-fun cancelLockStatus_1.16 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun call66028formal.ret.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.1 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun call62865formal.new.0 () Int)
(declare-fun lockStatus_1.20 () Int)
(declare-fun lockStatus_0.20 () Int)
(declare-fun k.35 () Int)
(declare-fun lockStatus_1.33 () Int)
(declare-fun lockStatus_0.33 () Int)
(declare-fun call67245formal.ret.0 () Int)
(declare-fun k.36 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.80 () Int)
(declare-fun cancelLockStatus_1.11 () Int)
(declare-fun cancelLockStatus_0.11 () Int)
(declare-fun k.34 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.21 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.23 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.22 () Int)
(declare-fun k.28 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.17 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.1 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.78 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.74 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.13 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.11 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.20 () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0.2 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.2 () Int)
(declare-fun call67075formal.new.0 () Int)
(declare-fun call67125formal.ret.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.77 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.5.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.2 () Int)
(declare-fun inline.SerialSetTimer.4.myNondetVar_0.4 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.12 () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0.1 () Int)
(declare-fun call67051formal.a0.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.75 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.76 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.19 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.18 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.12 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.5 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.65 () Int)
(declare-fun call66829formal.ret.0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.16 () Int)
(declare-fun call66779formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.4.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0.2 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialSetTimer.3.myNondetVar_0.4 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.10 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.73 () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.72 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.14 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.15 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.4 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.9 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..0 () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun lockStatus_1.32 () Int)
(declare-fun call63639formal.new.0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.5 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.13 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.0 () Int)
(declare-fun irpCompleted_0.10 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.0 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.1 () Int)
(declare-fun lockStatus_0.32 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.0 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..2 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.71 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.1 () Int)
(declare-fun cancelLockStatus_0.17 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.14 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.22 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.0 () Int)
(declare-fun inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.0 () Int)
(declare-fun errorReached.15 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.3.myNondetVar_0.0 () Int)
(declare-fun inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun irpCompleted_1.10 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0.7 () Int)
(declare-fun inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.3 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.0 () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0.3 () Int)
(declare-fun inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.5 () Int)
(declare-fun inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.10 () Int)
(declare-fun inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0.7 () Int)
(declare-fun inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.1 () Int)
(declare-fun inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.8 () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun k.49 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11.myNondetVar_0.2 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 () Int)
(declare-fun inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0.2 () Int)
(declare-fun inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.0 () Int)
(declare-fun cancelLockStatus_1.17 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..0 () Int)
(declare-fun inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.1 () Int)
(declare-fun inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.12 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.2 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun call63926formal.ret.0 () Int)
(declare-fun call64522formal.new.0 () Int)
(declare-fun errorReached.12 () Int)
(declare-fun k.46 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_1.9 () Int)
(declare-fun irpCompleted_0.9 () Int)
(declare-fun errorReached.14 () Int)
(declare-fun inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun call63984formal.new.0 () Int)
(declare-fun k.48 () Int)
(declare-fun call64187formal.ret.0 () Int)
(declare-fun irpCompleted_0.8 () Int)
(declare-fun call64017formal.ret.0 () Int)
(declare-fun k.47 () Int)
(declare-fun irpCompleted_1.8 () Int)
(declare-fun errorReached.13 () Int)
(declare-fun cancelLockStatus_1.15 () Int)
(declare-fun cancelLockStatus_0.15 () Int)
(declare-fun k.45 () Int)
(declare-fun k.44 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun errorReached.11 () Int)
(declare-fun k.43 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.1 () Int)
(declare-fun k.42 () Int)
(declare-fun k.40 () Int)
(declare-fun call64447formal.ret.0 () Int)
(declare-fun k.41 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun k.38 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.1 () Int)
(declare-fun k.39 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun k.33 () Int)
(declare-fun cancelLockStatus_1.14 () Int)
(declare-fun cancelLockStatus_0.14 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.8 () Int)
(declare-fun lockStatus_0.31 () Int)
(declare-fun lockStatus_1.31 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.70 () Int)
(declare-fun cancelLockStatus_0.13 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun call66482formal.ret.0 () Int)
(declare-fun k.32 () Int)
(declare-fun cancelLockStatus_1.13 () Int)
(declare-fun lockStatus_1.30 () Int)
(declare-fun lockStatus_0.30 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.68 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.66 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0.5 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.11 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.10 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.9 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.7 () Int)
(declare-fun lockStatus_0.29 () Int)
(declare-fun lockStatus_1.29 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.63 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun cancelLockStatus_0.12 () Int)
(declare-fun call66167formal.ret.0 () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.0 () Int)
(declare-fun k.31 () Int)
(declare-fun cancelLockStatus_1.12 () Int)
(declare-fun k.29 () Int)
(declare-fun lockStatus_1.28 () Int)
(declare-fun lockStatus_0.28 () Int)
(declare-fun k.30 () Int)
(declare-fun call66241formal.ret.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.61 () Int)
(declare-fun k.27 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.7 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.6 () Int)
(declare-fun k.26 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.59 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.51 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.55 () Int)
(declare-fun inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.6 () Int)
(declare-fun lockStatus_0.27 () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0.6 () Int)
(declare-fun lockStatus_1.27 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.58 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun lockStatus_1.26 () Int)
(declare-fun lockStatus_0.26 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.56 () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0.5 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.53 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.50 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.52 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.49 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.4 () Int)
(declare-fun k.19 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.20 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.6 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.12 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.5 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.4 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.8 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.4 () Int)
(declare-fun k.20 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.17 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.16 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.5 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.19 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.18 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.15 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.7 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.1 () Int)
(declare-fun lockStatus_1.18 () Int)
(declare-fun lockStatus_0.18 () Int)
(declare-fun lockStatus_1.19 () Int)
(declare-fun lockStatus_0.19 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.48 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.47 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.45 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.46 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.21 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.33 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.32 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.31 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.30 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.20 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.22 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.19 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.27 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.40 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.43 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.44 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.42 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.41 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.39 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.29 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.35 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.38 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.37 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.36 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.34 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.28 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.26 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.25 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.24 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.23 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.4 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.18 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.17 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.12 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.3 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.16 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.2 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.15 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.13 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.11 () Int)
(declare-fun lockStatus_1.16 () Int)
(declare-fun lockStatus_0.16 () Int)
(declare-fun k.14 () Int)
(declare-fun lockStatus_1.17 () Int)
(declare-fun call64919formal.ret.0 () Int)
(declare-fun lockStatus_0.17 () Int)
(declare-fun k.18 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.8 () Int)
(declare-fun lockStatus_1.15 () Int)
(declare-fun lockStatus_0.15 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.0 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun call64769formal.ret.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0.0 () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun call64662formal.ret.0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.4 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.3 () Int)
(declare-fun call63057formal.new.0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.2 () Int)
(declare-fun call63060formal.new.0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.13 () Int)
(declare-fun lockStatus_0.25 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.0 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..1 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.4 () Int)
(declare-fun lockStatus_1.25 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.11 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun k.25 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.12 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun lockStatus_0.24 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.1 () Int)
(declare-fun lockStatus_1.24 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.3 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.10 () Int)
(declare-fun k.24 () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun lockStatus_1.22 () Int)
(declare-fun lockStatus_0.22 () Int)
(declare-fun k.22 () Int)
(declare-fun lockStatus_1.23 () Int)
(declare-fun call63541formal.ret.0 () Int)
(declare-fun lockStatus_0.23 () Int)
(declare-fun k.23 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.9 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.5 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.2 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.9 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.7 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.1 () Int)
(declare-fun k.15 () Int)
(declare-fun lockStatus_1.21 () Int)
(declare-fun lockStatus_0.21 () Int)
(declare-fun call63242formal.ret.0 () Int)
(declare-fun k.21 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.2 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.1 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.1 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.6 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.5 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.0 () Int)
(declare-fun inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.3.myNondetVar_0.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun call59344formal.ret.0 () Int)
(declare-fun inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun irpCompleted_0.28 () Int)
(declare-fun call62026formal.new.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.6 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.13 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.3 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.20 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..1 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.havoc_stringTemp.1 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun lockStatus_1.39 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.10 () Int)
(declare-fun inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..0 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.4 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..3 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun k.121 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.9 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.5.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun call53172formal.new.0 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.0 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 () Int)
(declare-fun inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.5 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_2.1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.6 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.5 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.6 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.15 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.16 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun irpCompleted_1.28 () Int)
(declare-fun inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialGetNextWrite.0.havoc_stringTemp.2 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialSetTimer.2.myNondetVar_0.6 () Int)
(declare-fun inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.1.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrp.2.myNondetVar_0.1 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.12 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..3 () Int)
(declare-fun inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun call53215formal.ret.0 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0.3 () Int)
(declare-fun lockStatus_0.39 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun call53175formal.new.0 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.2 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun call53169formal.new.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.35 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.7 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.8 () Int)
(declare-fun inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialStartWrite.0..result.question.7..1 () Int)
(declare-fun call53178formal.new.0 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun cancelLockStatus_0.50 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 () Int)
(declare-fun inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..1 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.28 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun errorReached.48 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.4 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.22 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun cancelLockStatus_1.50 () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp.3 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.11 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun inline.KeSynchronizeExecution.5.myNondetVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.4 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.34 () Int)
(declare-fun cancelLockStatus_1.39 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.3.myNondetVar_0.2 () Int)
(declare-fun errorReached.39 () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.2 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.20 () Int)
(declare-fun inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0.3 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.23 () Int)
(declare-fun inline.SerialSetTimer.2.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun k.103 () Int)
(declare-fun irpCompleted_1.24 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun irpCompleted_0.24 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.27 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.8 () Int)
(declare-fun inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun cancelLockStatus_0.39 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.4 () Int)
(declare-fun inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun cancelLockStatus_1.37 () Int)
(declare-fun cancelLockStatus_0.37 () Int)
(declare-fun inline.KeSynchronizeExecution.5..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.5.myNondetVar_0.5 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.6 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.32 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.29 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.2 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.2 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.26 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialSetTimer.2.myNondetVar_0.4 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun call62570formal.ret.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.3.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.7 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.31 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.3 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.3 () Int)
(declare-fun call62520formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0.2 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.30 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.25 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.24 () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.28 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.21 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.22 () Int)
(declare-fun k.102 () Int)
(declare-fun errorReached.38 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun k.101 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.17 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.19 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.18 () Int)
(declare-fun k.100 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.16 () Int)
(declare-fun k.99 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.14 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.15 () Int)
(declare-fun k.98 () Int)
(declare-fun call59568formal.new.0 () Int)
(declare-fun call60020formal.ret.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.19 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.1 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.3 () Int)
(declare-fun inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.27 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 () Int)
(declare-fun cancelLockStatus_1.49 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun call59571formal.new.0 () Int)
(declare-fun errorReached.47 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun call59565formal.new.0 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.1 () Int)
(declare-fun inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8.myNondetVar_0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun call59989formal.new.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.4 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.5 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.2 () Int)
(declare-fun k.120 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun irpCompleted_1.27 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun call59562formal.new.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun irpCompleted_0.27 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.4 () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun call60987formal.new.0 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun cancelLockStatus_0.49 () Int)
(declare-fun inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.13 () Int)
(declare-fun inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..0 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrp.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.9 () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0.6 () Int)
(declare-fun cancelLockStatus_0.48 () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.18 () Int)
(declare-fun cancelLockStatus_1.48 () Int)
(declare-fun inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun cancelLockStatus_1.47 () Int)
(declare-fun cancelLockStatus_0.47 () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun cancelLockStatus_1.46 () Int)
(declare-fun cancelLockStatus_0.46 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.12 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.11 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.10 () Int)
(declare-fun errorReached.44 () Int)
(declare-fun k.116 () Int)
(declare-fun inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun irpCompleted_1.26 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun irpCompleted_0.26 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8.myNondetVar_0.1 () Int)
(declare-fun errorReached.46 () Int)
(declare-fun call60333formal.new.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun k.119 () Int)
(declare-fun call60537formal.ret.0 () Int)
(declare-fun call60366formal.ret.0 () Int)
(declare-fun irpCompleted_0.25 () Int)
(declare-fun k.118 () Int)
(declare-fun irpCompleted_1.25 () Int)
(declare-fun errorReached.45 () Int)
(declare-fun k.117 () Int)
(declare-fun cancelLockStatus_1.45 () Int)
(declare-fun cancelLockStatus_0.45 () Int)
(declare-fun k.115 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.2 () Int)
(declare-fun call60836formal.ret.0 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.0 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.1 () Int)
(declare-fun errorReached.43 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun k.114 () Int)
(declare-fun k.112 () Int)
(declare-fun errorReached.42 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.0 () Int)
(declare-fun k.113 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun cancelLockStatus_1.44 () Int)
(declare-fun cancelLockStatus_0.44 () Int)
(declare-fun k.111 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.5 () Int)
(declare-fun cancelLockStatus_0.38 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun cancelLockStatus_1.38 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.4 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun cancelLockStatus_0.43 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.7 () Int)
(declare-fun call61368formal.ret.0 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.15 () Int)
(declare-fun errorReached.41 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun k.110 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun cancelLockStatus_1.43 () Int)
(declare-fun inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2 () Int)
(declare-fun cancelLockStatus_1.40 () Int)
(declare-fun cancelLockStatus_0.40 () Int)
(declare-fun k.109 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.2 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.9 () Int)
(declare-fun errorReached.40 () Int)
(declare-fun k.107 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.0 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.3 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.2 () Int)
(declare-fun call61814formal.new.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.13 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0.1 () Int)
(declare-fun call61864formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.12 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.7 () Int)
(declare-fun k.106 () Int)
(declare-fun k.104 () Int)
(declare-fun call61518formal.ret.0 () Int)
(declare-fun k.105 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.0 () Int)
(declare-fun cancelLockStatus_0.42 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.8 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.5 () Int)
(declare-fun call59935formal.ret.0 () Int)
(declare-fun k.108 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun cancelLockStatus_1.42 () Int)
(declare-fun cancelLockStatus_1.41 () Int)
(declare-fun cancelLockStatus_0.41 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.0 () Int)
(declare-fun call59605formal.new.0 () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.0 () Int)
(declare-fun cancelLockStatus_1.36 () Int)
(declare-fun cancelLockStatus_0.36 () Int)
(declare-fun k.97 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.10 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.12 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.11 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.3 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.26 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.20 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.6 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.4 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.25 () Int)
(declare-fun inline.SerialStartWrite.0..result.question.7..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.9 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.24 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.22 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.23 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.7 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.8 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.21 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.19 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.18 () Int)
(declare-fun lockStatus_1.37 () Int)
(declare-fun lockStatus_0.37 () Int)
(declare-fun lockStatus_1.38 () Int)
(declare-fun lockStatus_0.38 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.15 () Int)
(declare-fun lockStatus_1.36 () Int)
(declare-fun lockStatus_0.36 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.2 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.7 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.0 () Int)
(declare-fun cancelLockStatus_0.8 () Int)
(declare-fun call53327formal.ret.0 () Int)
(declare-fun cancelLockStatus_1.8 () Int)
(declare-fun k.13 () Int)
(declare-fun cancelLockStatus_1.7 () Int)
(declare-fun cancelLockStatus_0.7 () Int)
(declare-fun k.11 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.2 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun cancelLockStatus_0.9 () Int)
(declare-fun cancelLockStatus_1.9 () Int)
(declare-fun k.12 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..2 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.14 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.5 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.11 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.6 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0.2 () Int)
(declare-fun inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..0 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.7 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun irpCompleted_0.23 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.5 () Int)
(declare-fun inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun cancelLockStatus_0.35 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.5 () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.5 () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0.2 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.0 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun errorReached.37 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7.myNondetVar_0.2 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.2 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.0 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.5 () Int)
(declare-fun inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.4 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.10 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun irpCompleted_1.23 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.5 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun cancelLockStatus_1.35 () Int)
(declare-fun k.96 () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0.7 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_2.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.6 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.15 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun call53678formal.new.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.21 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.4 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun irpCompleted_0.13 () Int)
(declare-fun irpCompleted_1.13 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7.myNondetVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..0 () Int)
(declare-fun inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun cancelLockStatus_0.21 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 () Int)
(declare-fun call58672formal.ret.0 () Int)
(declare-fun errorReached.20 () Int)
(declare-fun call58708formal.new.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun cancelLockStatus_1.21 () Int)
(declare-fun k.64 () Int)
(declare-fun call58912formal.ret.0 () Int)
(declare-fun errorReached.18 () Int)
(declare-fun k.61 () Int)
(declare-fun call58741formal.ret.0 () Int)
(declare-fun errorReached.19 () Int)
(declare-fun irpCompleted_0.12 () Int)
(declare-fun k.63 () Int)
(declare-fun irpCompleted_1.12 () Int)
(declare-fun k.62 () Int)
(declare-fun k.58 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun irpCompleted_0.22 () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun irpCompleted_1.22 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.5 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.9 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.6 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun cancelLockStatus_0.34 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 () Int)
(declare-fun errorReached.36 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.1 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 () Int)
(declare-fun inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.4 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun cancelLockStatus_1.34 () Int)
(declare-fun k.95 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.7 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.14 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.20 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun call55145formal.ret.0 () Int)
(declare-fun cancelLockStatus_0.20 () Int)
(declare-fun cancelLockStatus_1.20 () Int)
(declare-fun k.60 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun irpCompleted_0.21 () Int)
(declare-fun call57739formal.new.0 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun cancelLockStatus_0.33 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0.0 () Int)
(declare-fun errorReached.35 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun irpCompleted_1.21 () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun cancelLockStatus_1.33 () Int)
(declare-fun k.94 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun k.91 () Int)
(declare-fun errorReached.32 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_1.20 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun irpCompleted_0.20 () Int)
(declare-fun k.93 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun errorReached.34 () Int)
(declare-fun call58081formal.new.0 () Int)
(declare-fun call58284formal.ret.0 () Int)
(declare-fun irpCompleted_0.19 () Int)
(declare-fun call58114formal.ret.0 () Int)
(declare-fun k.92 () Int)
(declare-fun irpCompleted_1.19 () Int)
(declare-fun errorReached.33 () Int)
(declare-fun cancelLockStatus_1.22 () Int)
(declare-fun cancelLockStatus_0.22 () Int)
(declare-fun k.90 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.2 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.0 () Int)
(declare-fun call58585formal.ret.0 () Int)
(declare-fun errorReached.31 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.1 () Int)
(declare-fun k.89 () Int)
(declare-fun k.88 () Int)
(declare-fun k.66 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.1 () Int)
(declare-fun k.65 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun irpCompleted_0.18 () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.2 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1 () Int)
(declare-fun call55230formal.new.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun call55686formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.8 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun call56651formal.new.0 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun cancelLockStatus_0.32 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 () Int)
(declare-fun errorReached.30 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0.0 () Int)
(declare-fun irpCompleted_1.18 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.1 () Int)
(declare-fun call55655formal.new.0 () Int)
(declare-fun call55236formal.new.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.3 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun cancelLockStatus_1.32 () Int)
(declare-fun k.87 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun call55227formal.new.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.13 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.19 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.3 () Int)
(declare-fun call55233formal.new.0 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.9 () Int)
(declare-fun k.86 () Int)
(declare-fun cancelLockStatus_0.31 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun cancelLockStatus_1.31 () Int)
(declare-fun call56795formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.18 () Int)
(declare-fun cancelLockStatus_1.30 () Int)
(declare-fun cancelLockStatus_0.30 () Int)
(declare-fun k.84 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.5 () Int)
(declare-fun cancelLockStatus_1.29 () Int)
(declare-fun cancelLockStatus_0.29 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.12 () Int)
(declare-fun k.85 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.11 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.10 () Int)
(declare-fun k.81 () Int)
(declare-fun errorReached.27 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.1 () Int)
(declare-fun k.83 () Int)
(declare-fun call55998formal.new.0 () Int)
(declare-fun irpCompleted_1.17 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun errorReached.29 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun irpCompleted_0.17 () Int)
(declare-fun call56200formal.ret.0 () Int)
(declare-fun irpCompleted_1.16 () Int)
(declare-fun irpCompleted_0.16 () Int)
(declare-fun k.82 () Int)
(declare-fun errorReached.28 () Int)
(declare-fun cancelLockStatus_1.28 () Int)
(declare-fun cancelLockStatus_0.28 () Int)
(declare-fun k.80 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.0 () Int)
(declare-fun errorReached.26 () Int)
(declare-fun k.79 () Int)
(declare-fun errorReached.25 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.0 () Int)
(declare-fun k.78 () Int)
(declare-fun k.77 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun cancelLockStatus_1.27 () Int)
(declare-fun cancelLockStatus_0.27 () Int)
(declare-fun k.76 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun cancelLockStatus_0.26 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.7 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun errorReached.24 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun k.75 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.15 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.3 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun call56860formal.ret.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.4 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.3 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.2 () Int)
(declare-fun cancelLockStatus_1.26 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun cancelLockStatus_1.23 () Int)
(declare-fun cancelLockStatus_0.23 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.6 () Int)
(declare-fun errorReached.23 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.11 () Int)
(declare-fun k.74 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.3 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.13 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.1 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.2 () Int)
(declare-fun call57479formal.new.0 () Int)
(declare-fun call57529formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.12 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.9 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.5 () Int)
(declare-fun k.73 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.7 () Int)
(declare-fun k.72 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun k.69 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.3 () Int)
(declare-fun call55456formal.ret.0 () Int)
(declare-fun cancelLockStatus_0.25 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.8 () Int)
(declare-fun k.71 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun cancelLockStatus_1.25 () Int)
(declare-fun cancelLockStatus_1.24 () Int)
(declare-fun cancelLockStatus_0.24 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.6 () Int)
(declare-fun k.70 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.0 () Int)
(declare-fun call55270formal.new.0 () Int)
(declare-fun cancelLockStatus_0.19 () Int)
(declare-fun call55073formal.ret.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.6 () Int)
(declare-fun cancelLockStatus_1.19 () Int)
(declare-fun k.59 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.10 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.7 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.3 () Int)
(declare-fun k.56 () Int)
(declare-fun call54645formal.ret.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0.2 () Int)
(declare-fun inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.13 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.10 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun k.57 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.12 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.11 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0.0 () Int)
(declare-fun call54726formal.ret.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun call54364formal.ret.0 () Int)
(declare-fun inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0.2 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.7 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.8 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0.0 () Int)
(declare-fun call54445formal.ret.0 () Int)
(declare-fun k.16 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.5 () Int)
(declare-fun errorReached.17 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.2 () Int)
(declare-fun k.55 () Int)
(declare-fun k.54 () Int)
(declare-fun k.52 () Int)
(declare-fun call54289formal.ret.0 () Int)
(declare-fun k.53 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun k.51 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.4 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.3 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.1 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.0 () Int)
(declare-fun call53202formal.new.0 () Int)
(declare-fun cancelLockStatus_1.4 () Int)
(declare-fun cancelLockStatus_0.4 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0.0 () Int)
(declare-fun k.10 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun cancelLockStatus_0.5 () Int)
(declare-fun errorReached.8 () Int)
(declare-fun cancelLockStatus_1.5 () Int)
(declare-fun k.9 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..0 () Int)
(declare-fun irpCompleted_0.7 () Int)
(declare-fun k.17 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.14 () Int)
(declare-fun inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun irpCompleted_1.7 () Int)
(declare-fun call67512formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.16.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun call67447formal.ret.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..0 () Int)
(declare-fun cancelLockStatus_0.10 () Int)
(declare-fun errorReached.10 () Int)
(declare-fun cancelLockStatus_1.10 () Int)
(declare-fun call67713formal.ret.0 () Int)
(declare-fun irpCompleted_1.6 () Int)
(declare-fun irpCompleted_0.6 () Int)
(declare-fun errorReached.9 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.13 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.12 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.11 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialStartOrQueue.0.tempBoogie0.1 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartOrQueue.0.tempBoogie0.0 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.0 () Int)
(declare-fun call52583formal.new.0 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.121.23.12..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialWrite.0..result.SerialWrite.74.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialWrite.0.myNondetVar_0 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun irpCompleted_1 () Int)
(declare-fun inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError () Int)
(declare-fun inline.sdv_InterlockedDecrement.1.myNondetVar_0 () Int)
(declare-fun irpCompleted_0 () Int)
(declare-fun inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2. () Int)
(declare-fun errorReached.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialCompleteIfError.0.havoc_stringTemp () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3. () Int)
(declare-fun inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.1.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_1.1 () Int)
(declare-fun irpCompleted_0.1 () Int)
(declare-fun inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.0 () Int)
(declare-fun errorReached.4 () Int)
(declare-fun call52354formal.new.0 () Int)
(declare-fun inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..0 () Int)
(declare-fun inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun call52555formal.ret.0 () Int)
(declare-fun irpCompleted_0.0 () Int)
(declare-fun irpCompleted_1.0 () Int)
(declare-fun errorReached.3 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError () Int)
(declare-fun inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.0 () Int)
(declare-fun inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.1 () Int)
(declare-fun k.5 () Int)
(declare-fun call51907formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.118.20.9. () Int)
(declare-fun irpCompleted_1.15 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5..1 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0 () Int)
(declare-fun errorReached.22 () Int)
(declare-fun call51923formal.new.0 () Int)
(declare-fun inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError () Int)
(declare-fun inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError () Int)
(declare-fun inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.114.22.7..0 () Int)
(declare-fun inline.SerialWrite.0..result.SerialCompleteIfError.120.29.11. () Int)
(declare-fun inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError1 () Int)
(declare-fun inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError () Int)
(declare-fun inline.SerialCompleteIfError.0..result.SerialCompleteIfError.892.0.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.0.myNondetVar_0.2 () Int)
(declare-fun irpCompleted_0.15 () Int)
(declare-fun inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun k.68 () Int)
(declare-fun inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError1 () Int)
(declare-fun inline.SerialWrite.0.havoc_stringTemp.0 () Int)
(declare-fun call50562formal.new.0 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5..0 () Int)
(declare-fun k.67 () Int)
(declare-fun inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun errorReached.21 () Int)
(declare-fun call51927formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.0.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_1.14 () Int)
(declare-fun irpCompleted_0.14 () Int)
(declare-fun call52129formal.ret.0 () Int)
(declare-fun irpCompleted_0.2 () Int)
(declare-fun k.6 () Int)
(declare-fun irpCompleted_1.2 () Int)
(declare-fun errorReached.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun cancelLockStatus_0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.7 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.1 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.1 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0 () Int)
(declare-fun lockStatus_1.13 () Int)
(declare-fun k.3 () Int)
(declare-fun lockStatus_0.13 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.0..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.0..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.42 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.40 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.0..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.0..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun cancelLockStatus_1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3. () Int)
(declare-fun lockStatus_1.1 () Int)
(declare-fun lockStatus_0.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1. () Int)
(declare-fun lockStatus_1.12 () Int)
(declare-fun lockStatus_0.12 () Int)
(declare-fun k.0 () Int)
(declare-fun call51831formal.ret.0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.15 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.14 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.2 () Int)
(declare-fun lockStatus_1.11 () Int)
(declare-fun lockStatus_0.11 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.39 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun lockStatus_1.10 () Int)
(declare-fun lockStatus_0.10 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.17 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.13 () Int)
(declare-fun cancelLockStatus_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun errorReached.0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.5 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.0 () Int)
(declare-fun lockStatus_1.5 () Int)
(declare-fun k.4 () Int)
(declare-fun lockStatus_0.5 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.41 () Int)
(declare-fun call51323formal.ret.0 () Int)
(declare-fun cancelLockStatus_1.2 () Int)
(declare-fun call51660formal.ret.0 () Int)
(declare-fun cancelLockStatus_1.0 () Int)
(declare-fun cancelLockStatus_0.0 () Int)
(declare-fun k.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun cancelLockStatus_0.1 () Int)
(declare-fun inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..1 () Int)
(declare-fun k.2 () Int)
(declare-fun call51436formal.ret.0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.33 () Int)
(declare-fun cancelLockStatus_1.1 () Int)
(declare-fun lockStatus_1.4 () Int)
(declare-fun lockStatus_0.4 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.30 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.29 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.21 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.28 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.6 () Int)
(declare-fun lockStatus_1.7 () Int)
(declare-fun lockStatus_0.7 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.37 () Int)
(declare-fun lockStatus_1.6 () Int)
(declare-fun lockStatus_0.6 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.35 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.34 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.3 () Int)
(declare-fun lockStatus_1.9 () Int)
(declare-fun lockStatus_0.9 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.38 () Int)
(declare-fun lockStatus_1.8 () Int)
(declare-fun lockStatus_0.8 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.22 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.19 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.12 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.20 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.11 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.4 () Int)
(declare-fun lockStatus_1.3 () Int)
(declare-fun lockStatus_0.3 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.27 () Int)
(declare-fun lockStatus_1.2 () Int)
(declare-fun lockStatus_0.2 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.25 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.24 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.10 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.7 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.9 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.3 () Int)
(declare-fun lockStatus_1 () Int)
(declare-fun lockStatus_0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 () Int)
(declare-fun lockStatus_1.0 () Int)
(declare-fun lockStatus_0.0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.0 () Int)
(declare-fun call50617formal.new.0 () Int)
(declare-fun call50620formal.new.0 () Int)
(declare-fun inline.SerialWrite.0..Extension.3.102.29.SerialWrite () Int)
(declare-fun inline.SerialWrite.0..Extension.3.102.29.SerialWrite.0 () Int)
(declare-fun inline.SerialWrite.0..Extension.3.102.29.SerialWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.0..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.myInitDriver.0..Extension.2.11.27.myInitDriver () Int)
(declare-fun inline.myInitDriver.0..devobjTmp.1.10.17.myInitDriver () Int)
(assert (let ((?v_0 (MapType0Type intType boolType))) (and (= (Ctor intType) 0) (= (Ctor boolType) 1) (forall ((?arg0 Int)) (! (= (U_2_int (int_2_U ?arg0)) ?arg0) :pattern ((int_2_U ?arg0)) )) (forall ((?x boogieU)) (! (=> (= (type ?x) intType) (= (int_2_U (U_2_int ?x)) ?x)) :pattern ((int_2_U (U_2_int ?x))) )) (forall ((?arg00 Int)) (! (= (type (int_2_U ?arg00)) intType) :pattern ((int_2_U ?arg00)) )) (forall ((?arg01 TermBool)) (! (= (= (U_2_bool (bool_2_U ?arg01)) boolTrue) (= ?arg01 boolTrue)) :pattern ((bool_2_U ?arg01)) )) (forall ((?x0 boogieU)) (! (=> (= (type ?x0) boolType) (= (bool_2_U (U_2_bool ?x0)) ?x0)) :pattern ((bool_2_U (U_2_bool ?x0))) )) (forall ((?arg02 TermBool)) (! (= (type (bool_2_U ?arg02)) boolType) :pattern ((bool_2_U ?arg02)) )) (= (Ctor nameType) 2) (= (type UNALLOCATED) nameType) (= (type ALLOCATED) nameType) (= (type FREED) nameType) (= (type BYTE) nameType) (= (type T.Guid_WMIGUIDREGINFO) nameType) (= (type T.InstanceCount_WMIGUIDREGINFO) nameType) (= (type T.Flags_WMIGUIDREGINFO) nameType) (= (type T.OperationID__ACCESS_STATE) nameType) (= (type T.SecurityEvaluated__ACCESS_STATE) nameType) (= (type T.GenerateAudit__ACCESS_STATE) nameType) (= (type T.GenerateOnClose__ACCESS_STATE) nameType) (= (type T.PrivilegesAllocated__ACCESS_STATE) nameType) (= (type T.Flags__ACCESS_STATE) nameType) (= (type T.RemainingDesiredAccess__ACCESS_STATE) nameType) (= (type T.PreviouslyGrantedAccess__ACCESS_STATE) nameType) (= (type T.OriginalDesiredAccess__ACCESS_STATE) nameType) (= (type T.SubjectSecurityContext__ACCESS_STATE) nameType) (= (type T.SecurityDescriptor__ACCESS_STATE) nameType) (= (type T.AuxData__ACCESS_STATE) nameType) (= (type T.Privileges__ACCESS_STATE) nameType) (= (type T.AuditPrivileges__ACCESS_STATE) nameType) (= (type T.ObjectName__ACCESS_STATE) nameType) (= (type T.ObjectTypeName__ACCESS_STATE) nameType) (= (type T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Version__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Revision__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Count__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Count__CM_RESOURCE_LIST) nameType) (= (type T.List__CM_RESOURCE_LIST) nameType) (= (type T.Size__DEVICE_CAPABILITIES) nameType) (= (type T.Version__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceD1__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceD2__DEVICE_CAPABILITIES) nameType) (= (type T.LockSupported__DEVICE_CAPABILITIES) nameType) (= (type T.EjectSupported__DEVICE_CAPABILITIES) nameType) (= (type T.Removable__DEVICE_CAPABILITIES) nameType) (= (type T.DockDevice__DEVICE_CAPABILITIES) nameType) (= (type T.UniqueID__DEVICE_CAPABILITIES) nameType) (= (type T.SilentInstall__DEVICE_CAPABILITIES) nameType) (= (type T.RawDeviceOK__DEVICE_CAPABILITIES) nameType) (= (type T.SurpriseRemovalOK__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD0__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD1__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD2__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD3__DEVICE_CAPABILITIES) nameType) (= (type T.HardwareDisabled__DEVICE_CAPABILITIES) nameType) (= (type T.NonDynamic__DEVICE_CAPABILITIES) nameType) (= (type T.WarmEjectSupported__DEVICE_CAPABILITIES) nameType) (= (type T.NoDisplayInUI__DEVICE_CAPABILITIES) nameType) (= (type T.Reserved__DEVICE_CAPABILITIES) nameType) (= (type T.Address__DEVICE_CAPABILITIES) nameType) (= (type T.UINumber__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceState__DEVICE_CAPABILITIES) nameType) (= (type T.SystemWake__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceWake__DEVICE_CAPABILITIES) nameType) (= (type T.D1Latency__DEVICE_CAPABILITIES) nameType) (= (type T.D2Latency__DEVICE_CAPABILITIES) nameType) (= (type T.D3Latency__DEVICE_CAPABILITIES) nameType) (= (type T.Type__DEVICE_OBJECT) nameType) (= (type T.Size__DEVICE_OBJECT) nameType) (= (type T.ReferenceCount__DEVICE_OBJECT) nameType) (= (type T.DriverObject__DEVICE_OBJECT) nameType) (= (type T.NextDevice__DEVICE_OBJECT) nameType) (= (type T.AttachedDevice__DEVICE_OBJECT) nameType) (= (type T.CurrentIrp__DEVICE_OBJECT) nameType) (= (type T.Timer__DEVICE_OBJECT) nameType) (= (type T.Flags__DEVICE_OBJECT) nameType) (= (type T.Characteristics__DEVICE_OBJECT) nameType) (= (type T.Vpb__DEVICE_OBJECT) nameType) (= (type T.DeviceExtension__DEVICE_OBJECT) nameType) (= (type T.DeviceType__DEVICE_OBJECT) nameType) (= (type T.StackSize__DEVICE_OBJECT) nameType) (= (type T.Queue__DEVICE_OBJECT) nameType) (= (type T.AlignmentRequirement__DEVICE_OBJECT) nameType) (= (type T.DeviceQueue__DEVICE_OBJECT) nameType) (= (type T.Dpc__DEVICE_OBJECT) nameType) (= (type T.ActiveThreadCount__DEVICE_OBJECT) nameType) (= (type T.SecurityDescriptor__DEVICE_OBJECT) nameType) (= (type T.DeviceLock__DEVICE_OBJECT) nameType) (= (type T.SectorSize__DEVICE_OBJECT) nameType) (= (type T.Spare1__DEVICE_OBJECT) nameType) (= (type T.DeviceObjectExtension__DEVICE_OBJECT) nameType) (= (type T.Reserved__DEVICE_OBJECT) nameType) (= (type T.Type__DEVOBJ_EXTENSION) nameType) (= (type T.Size__DEVOBJ_EXTENSION) nameType) (= (type T.DeviceObject__DEVOBJ_EXTENSION) nameType) (= (type T.__unnamed_4_7b44c46c__DISPATCHER_HEADER) nameType) (= (type T.SignalState__DISPATCHER_HEADER) nameType) (= (type T.WaitListHead__DISPATCHER_HEADER) nameType) (= (type T.DriverObject__DRIVER_EXTENSION) nameType) (= (type T.AddDevice__DRIVER_EXTENSION) nameType) (= (type T.Count__DRIVER_EXTENSION) nameType) (= (type T.ServiceKeyName__DRIVER_EXTENSION) nameType) (= (type T.Type__DRIVER_OBJECT) nameType) (= (type T.Size__DRIVER_OBJECT) nameType) (= (type T.DeviceObject__DRIVER_OBJECT) nameType) (= (type T.Flags__DRIVER_OBJECT) nameType) (= (type T.DriverStart__DRIVER_OBJECT) nameType) (= (type T.DriverSize__DRIVER_OBJECT) nameType) (= (type T.DriverSection__DRIVER_OBJECT) nameType) (= (type T.DriverExtension__DRIVER_OBJECT) nameType) (= (type T.DriverName__DRIVER_OBJECT) nameType) (= (type T.HardwareDatabase__DRIVER_OBJECT) nameType) (= (type T.FastIoDispatch__DRIVER_OBJECT) nameType) (= (type T.DriverInit__DRIVER_OBJECT) nameType) (= (type T.DriverStartIo__DRIVER_OBJECT) nameType) (= (type T.DriverUnload__DRIVER_OBJECT) nameType) (= (type T.MajorFunction__DRIVER_OBJECT) nameType) (= (type T.SystemResourcesList__ERESOURCE) nameType) (= (type T.OwnerTable__ERESOURCE) nameType) (= (type T.ActiveCount__ERESOURCE) nameType) (= (type T.Flag__ERESOURCE) nameType) (= (type T.SharedWaiters__ERESOURCE) nameType) (= (type T.ExclusiveWaiters__ERESOURCE) nameType) (= (type T.OwnerEntry__ERESOURCE) nameType) (= (type T.ActiveEntries__ERESOURCE) nameType) (= (type T.ContentionCount__ERESOURCE) nameType) (= (type T.NumberOfSharedWaiters__ERESOURCE) nameType) (= (type T.NumberOfExclusiveWaiters__ERESOURCE) nameType) (= (type T.__unnamed_4_f13e195c__ERESOURCE) nameType) (= (type T.SpinLock__ERESOURCE) nameType) (= (type T.SizeOfFastIoDispatch__FAST_IO_DISPATCH) nameType) (= (type T.FastIoCheckIfPossible__FAST_IO_DISPATCH) nameType) (= (type T.FastIoRead__FAST_IO_DISPATCH) nameType) (= (type T.FastIoWrite__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryBasicInfo__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryStandardInfo__FAST_IO_DISPATCH) nameType) (= (type T.FastIoLock__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockSingle__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockAll__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockAllByKey__FAST_IO_DISPATCH) nameType) (= (type T.FastIoDeviceControl__FAST_IO_DISPATCH) nameType) (= (type T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH) nameType) (= (type T.FastIoDetachDevice__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH) nameType) (= (type T.AcquireForModWrite__FAST_IO_DISPATCH) nameType) (= (type T.MdlRead__FAST_IO_DISPATCH) nameType) (= (type T.MdlReadComplete__FAST_IO_DISPATCH) nameType) (= (type T.PrepareMdlWrite__FAST_IO_DISPATCH) nameType) (= (type T.MdlWriteComplete__FAST_IO_DISPATCH) nameType) (= (type T.FastIoReadCompressed__FAST_IO_DISPATCH) nameType) (= (type T.FastIoWriteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.MdlReadCompleteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryOpen__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseForModWrite__FAST_IO_DISPATCH) nameType) (= (type T.AcquireForCcFlush__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseForCcFlush__FAST_IO_DISPATCH) nameType) (= (type T.Count__FAST_MUTEX) nameType) (= (type T.Owner__FAST_MUTEX) nameType) (= (type T.Contention__FAST_MUTEX) nameType) (= (type T.Gate__FAST_MUTEX) nameType) (= (type T.OldIrql__FAST_MUTEX) nameType) (= (type T.CreationTime__FILE_BASIC_INFORMATION) nameType) (= (type T.LastAccessTime__FILE_BASIC_INFORMATION) nameType) (= (type T.LastWriteTime__FILE_BASIC_INFORMATION) nameType) (= (type T.ChangeTime__FILE_BASIC_INFORMATION) nameType) (= (type T.FileAttributes__FILE_BASIC_INFORMATION) nameType) (= (type T.CreationTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.Type__FILE_OBJECT) nameType) (= (type T.Size__FILE_OBJECT) nameType) (= (type T.DeviceObject__FILE_OBJECT) nameType) (= (type T.Vpb__FILE_OBJECT) nameType) (= (type T.FsContext__FILE_OBJECT) nameType) (= (type T.FsContext2__FILE_OBJECT) nameType) (= (type T.SectionObjectPointer__FILE_OBJECT) nameType) (= (type T.PrivateCacheMap__FILE_OBJECT) nameType) (= (type T.FinalStatus__FILE_OBJECT) nameType) (= (type T.RelatedFileObject__FILE_OBJECT) nameType) (= (type T.LockOperation__FILE_OBJECT) nameType) (= (type T.DeletePending__FILE_OBJECT) nameType) (= (type T.ReadAccess__FILE_OBJECT) nameType) (= (type T.WriteAccess__FILE_OBJECT) nameType) (= (type T.DeleteAccess__FILE_OBJECT) nameType) (= (type T.SharedRead__FILE_OBJECT) nameType) (= (type T.SharedWrite__FILE_OBJECT) nameType) (= (type T.SharedDelete__FILE_OBJECT) nameType) (= (type T.Flags__FILE_OBJECT) nameType) (= (type T.FileName__FILE_OBJECT) nameType) (= (type T.CurrentByteOffset__FILE_OBJECT) nameType) (= (type T.Waiters__FILE_OBJECT) nameType) (= (type T.Busy__FILE_OBJECT) nameType) (= (type T.LastLock__FILE_OBJECT) nameType) (= (type T.Lock__FILE_OBJECT) nameType) (= (type T.Event__FILE_OBJECT) nameType) (= (type T.CompletionContext__FILE_OBJECT) nameType) (= (type T.IrpListLock__FILE_OBJECT) nameType) (= (type T.IrpList__FILE_OBJECT) nameType) (= (type T.FileObjectExtension__FILE_OBJECT) nameType) (= (type T.AllocationSize__FILE_STANDARD_INFORMATION) nameType) (= (type T.EndOfFile__FILE_STANDARD_INFORMATION) nameType) (= (type T.NumberOfLinks__FILE_STANDARD_INFORMATION) nameType) (= (type T.DeletePending__FILE_STANDARD_INFORMATION) nameType) (= (type T.Directory__FILE_STANDARD_INFORMATION) nameType) (= (type T.Data1__GUID) nameType) (= (type T.Data2__GUID) nameType) (= (type T.Data3__GUID) nameType) (= (type T.Data4__GUID) nameType) (= (type T.PrivilegeCount__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Control__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Privilege__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Size__INTERFACE) nameType) (= (type T.Version__INTERFACE) nameType) (= (type T.Context__INTERFACE) nameType) (= (type T.InterfaceReference__INTERFACE) nameType) (= (type T.InterfaceDereference__INTERFACE) nameType) (= (type T.Port__IO_COMPLETION_CONTEXT) nameType) (= (type T.Key__IO_COMPLETION_CONTEXT) nameType) (= (type T.Option__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Type__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.ShareDisposition__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Spare1__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Flags__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Spare2__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.u__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Version__IO_RESOURCE_LIST) nameType) (= (type T.Revision__IO_RESOURCE_LIST) nameType) (= (type T.Count__IO_RESOURCE_LIST) nameType) (= (type T.Descriptors__IO_RESOURCE_LIST) nameType) (= (type T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.List__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.SecurityQos__IO_SECURITY_CONTEXT) nameType) (= (type T.AccessState__IO_SECURITY_CONTEXT) nameType) (= (type T.DesiredAccess__IO_SECURITY_CONTEXT) nameType) (= (type T.FullCreateOptions__IO_SECURITY_CONTEXT) nameType) (= (type T.MajorFunction__IO_STACK_LOCATION) nameType) (= (type T.MinorFunction__IO_STACK_LOCATION) nameType) (= (type T.Flags__IO_STACK_LOCATION) nameType) (= (type T.Control__IO_STACK_LOCATION) nameType) (= (type T.Parameters__IO_STACK_LOCATION) nameType) (= (type T.DeviceObject__IO_STACK_LOCATION) nameType) (= (type T.FileObject__IO_STACK_LOCATION) nameType) (= (type T.CompletionRoutine__IO_STACK_LOCATION) nameType) (= (type T.Context__IO_STACK_LOCATION) nameType) (= (type T.__unnamed_4_ab1173de__IO_STATUS_BLOCK) nameType) (= (type T.Information__IO_STATUS_BLOCK) nameType) (= (type T.Type__IRP) nameType) (= (type T.Size__IRP) nameType) (= (type T.MdlAddress__IRP) nameType) (= (type T.Flags__IRP) nameType) (= (type T.AssociatedIrp__IRP) nameType) (= (type T.ThreadListEntry__IRP) nameType) (= (type T.IoStatus__IRP) nameType) (= (type T.RequestorMode__IRP) nameType) (= (type T.PendingReturned__IRP) nameType) (= (type T.StackCount__IRP) nameType) (= (type T.CurrentLocation__IRP) nameType) (= (type T.Cancel__IRP) nameType) (= (type T.CancelIrql__IRP) nameType) (= (type T.ApcEnvironment__IRP) nameType) (= (type T.AllocationFlags__IRP) nameType) (= (type T.UserIosb__IRP) nameType) (= (type T.UserEvent__IRP) nameType) (= (type T.Overlay__IRP) nameType) (= (type T.CancelRoutine__IRP) nameType) (= (type T.UserBuffer__IRP) nameType) (= (type T.Tail__IRP) nameType) (= (type T.Type__KAPC) nameType) (= (type T.SpareByte0__KAPC) nameType) (= (type T.Size__KAPC) nameType) (= (type T.SpareByte1__KAPC) nameType) (= (type T.SpareLong0__KAPC) nameType) (= (type T.Thread__KAPC) nameType) (= (type T.ApcListEntry__KAPC) nameType) (= (type T.KernelRoutine__KAPC) nameType) (= (type T.RundownRoutine__KAPC) nameType) (= (type T.NormalRoutine__KAPC) nameType) (= (type T.NormalContext__KAPC) nameType) (= (type T.SystemArgument1__KAPC) nameType) (= (type T.SystemArgument2__KAPC) nameType) (= (type T.ApcStateIndex__KAPC) nameType) (= (type T.ApcMode__KAPC) nameType) (= (type T.Inserted__KAPC) nameType) (= (type T.Type__KDEVICE_QUEUE) nameType) (= (type T.Size__KDEVICE_QUEUE) nameType) (= (type T.DeviceListHead__KDEVICE_QUEUE) nameType) (= (type T.Lock__KDEVICE_QUEUE) nameType) (= (type T.Busy__KDEVICE_QUEUE) nameType) (= (type T.DeviceListEntry__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.SortKey__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.Inserted__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.Type__KDPC) nameType) (= (type T.Importance__KDPC) nameType) (= (type T.Number__KDPC) nameType) (= (type T.DpcListEntry__KDPC) nameType) (= (type T.DeferredRoutine__KDPC) nameType) (= (type T.DeferredContext__KDPC) nameType) (= (type T.SystemArgument1__KDPC) nameType) (= (type T.SystemArgument2__KDPC) nameType) (= (type T.DpcData__KDPC) nameType) (= (type T.Header__KEVENT) nameType) (= (type T.Header__KSEMAPHORE) nameType) (= (type T.Limit__KSEMAPHORE) nameType) (= (type T.Header__KTIMER) nameType) (= (type T.DueTime__KTIMER) nameType) (= (type T.TimerListEntry__KTIMER) nameType) (= (type T.Dpc__KTIMER) nameType) (= (type T.Period__KTIMER) nameType) (= (type T.__unnamed_8_544b88f4__LARGE_INTEGER) nameType) (= (type T.u__LARGE_INTEGER) nameType) (= (type T.QuadPart__LARGE_INTEGER) nameType) (= (type T.Flink__LIST_ENTRY) nameType) (= (type T.Blink__LIST_ENTRY) nameType) (= (type T.LowPart__LUID) nameType) (= (type T.HighPart__LUID) nameType) (= (type T.Luid__LUID_AND_ATTRIBUTES) nameType) (= (type T.Attributes__LUID_AND_ATTRIBUTES) nameType) (= (type T.Next__MDL) nameType) (= (type T.Size__MDL) nameType) (= (type T.MdlFlags__MDL) nameType) (= (type T.Process__MDL) nameType) (= (type T.MappedSystemVa__MDL) nameType) (= (type T.StartVa__MDL) nameType) (= (type T.ByteCount__MDL) nameType) (= (type T.ByteOffset__MDL) nameType) (= (type T.OwnerThread__OWNER_ENTRY) nameType) (= (type T.__unnamed_4_1c47e29a__OWNER_ENTRY) nameType) (= (type T.SequenceD1__POWER_SEQUENCE) nameType) (= (type T.SequenceD2__POWER_SEQUENCE) nameType) (= (type T.SequenceD3__POWER_SEQUENCE) nameType) (= (type T.SystemState__POWER_STATE) nameType) (= (type T.DeviceState__POWER_STATE) nameType) (= (type T.PrivilegeCount__PRIVILEGE_SET) nameType) (= (type T.Control__PRIVILEGE_SET) nameType) (= (type T.Privilege__PRIVILEGE_SET) nameType) (= (type T.DataSectionObject__SECTION_OBJECT_POINTERS) nameType) (= (type T.SharedCacheMap__SECTION_OBJECT_POINTERS) nameType) (= (type T.ImageSectionObject__SECTION_OBJECT_POINTERS) nameType) (= (type T.Length__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ClientToken__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.PrimaryToken__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.ReceivedCount__SERIALPERF_STATS) nameType) (= (type T.TransmittedCount__SERIALPERF_STATS) nameType) (= (type T.FrameErrorCount__SERIALPERF_STATS) nameType) (= (type T.SerialOverrunErrorCount__SERIALPERF_STATS) nameType) (= (type T.BufferOverrunErrorCount__SERIALPERF_STATS) nameType) (= (type T.ParityErrorCount__SERIALPERF_STATS) nameType) (= (type T.BaudRate__SERIAL_BAUD_RATE) nameType) (= (type T.EofChar__SERIAL_CHARS) nameType) (= (type T.ErrorChar__SERIAL_CHARS) nameType) (= (type T.BreakChar__SERIAL_CHARS) nameType) (= (type T.EventChar__SERIAL_CHARS) nameType) (= (type T.XonChar__SERIAL_CHARS) nameType) (= (type T.XoffChar__SERIAL_CHARS) nameType) (= (type T.IsrFunc__SERIAL_CISR_SW) nameType) (= (type T.Context__SERIAL_CISR_SW) nameType) (= (type T.SharerList__SERIAL_CISR_SW) nameType) (= (type T.PacketLength__SERIAL_COMMPROP) nameType) (= (type T.PacketVersion__SERIAL_COMMPROP) nameType) (= (type T.ServiceMask__SERIAL_COMMPROP) nameType) (= (type T.Reserved1__SERIAL_COMMPROP) nameType) (= (type T.MaxTxQueue__SERIAL_COMMPROP) nameType) (= (type T.MaxRxQueue__SERIAL_COMMPROP) nameType) (= (type T.MaxBaud__SERIAL_COMMPROP) nameType) (= (type T.ProvSubType__SERIAL_COMMPROP) nameType) (= (type T.ProvCapabilities__SERIAL_COMMPROP) nameType) (= (type T.SettableParams__SERIAL_COMMPROP) nameType) (= (type T.SettableBaud__SERIAL_COMMPROP) nameType) (= (type T.SettableData__SERIAL_COMMPROP) nameType) (= (type T.SettableStopParity__SERIAL_COMMPROP) nameType) (= (type T.CurrentTxQueue__SERIAL_COMMPROP) nameType) (= (type T.CurrentRxQueue__SERIAL_COMMPROP) nameType) (= (type T.ProvSpec1__SERIAL_COMMPROP) nameType) (= (type T.ProvSpec2__SERIAL_COMMPROP) nameType) (= (type T.ProvChar__SERIAL_COMMPROP) nameType) (= (type T.TopLevelOurIsr__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TopLevelOurIsrContext__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TopLevelSharers__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CommonInterruptObject__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.MultiportSiblings__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.AllDevObjs__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OriginalController__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OriginalInterruptStatus__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.IntervalTime__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ShortIntervalAmount__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LongIntervalAmount__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CutOverAmount__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LastReadTime__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceName__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ObjectDirectory__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SymbolicLinkName__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DosName__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.IntervalTimeToUse__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceObject__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OurIsr__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OurIsrContext__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Controller__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.InterruptStatus__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Interrupt__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ReadQueue__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WriteQueue__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.MaskQueue__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PurgeQueue__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentReadIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentWriteIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentMaskIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentWaitIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentXoffIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WriteLength__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WriteCurrentChar__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.InterruptReadBuffer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ReadBufferBase__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentCharSlot__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LastCharSlot__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.FirstReadableChar__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LockPtr__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.BufferSize__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.BufferSizePt8__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.NumberNeededForRead__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.IsrWaitMask__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.HistoryMask__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.IrpMaskLocation__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TXHolding__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.RXHolding__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ErrorWord__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TotalCharsQueued__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CountOnLastRead__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ReadByIsr__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentBaud__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CountSinceXoff__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CountOfTryingToLowerRTS__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SupportedBauds__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SpanOfController__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SpanOfInterruptStatus__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ClockRate__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TxFifoAmount__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PermitShare__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Timeouts__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SpecialChars__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.HandFlow__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PerfStats__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LineControl__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceIsOpened__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.UnMapRegisters__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.UnMapStatus__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.HoldingEmpty__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TransmitImmediate__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.EmptiedTransmit__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PortOnAMultiportCard__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Vector__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Irql__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OriginalVector__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OriginalIrql__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.AddressSpace__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.BusNumber__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.InterfaceType__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PortIndex__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Indexed__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.MaskInverted__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.NewPortIndex__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.NewMaskInverted__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.NewExtension__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ImmediateChar__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ValidDataMask__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.EscapeChar__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SendXonChar__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SendXoffChar__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.FifoPresent__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.RxFifoTrigger__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.InterruptShareable__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CreatedSymbolicLink__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CreatedSerialCommEntry__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ControlLock__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.FlagsLock__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CompleteWriteDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CompleteReadDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CommErrorDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CommWaitDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CompleteImmediateDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.XoffCountCompleteDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.StartTimerLowerRTSDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PerhapsLowerRTSDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.IsrUnlockPagesDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SetPendingDpcEvent__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.XoffCountTimer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LowerRTSTimer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LowerDeviceObject__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PowerState__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DriverObject__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SerialSyncEvent__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceClassSymbolicName__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CIsrSw__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PendingIRPCnt__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DevicePNPAccept__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PendingIRPEvent__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PNPState__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Flags__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OpenCount__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SerialStartEvent__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceState__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceStateMap__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PowerD0Event__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.StalledIrpQueue__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OpenMutex__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CloseMutex__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OwnsPowerPolicy__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.RetainPowerOnClose__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.QueueCreateIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SystemWake__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceWake__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Pdo__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SendWaitWake__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PendingWakeIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WmiLibInfo__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WmiIdentifier__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WmiCommData__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WmiHwData__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WmiPerfData__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DpcCount__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PendingDpcEvent__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SkipNaming__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TL16C550CAFC__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.NewDevicePowerState__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.UartRemovalDetect__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Reopen__SERIAL_DEVICE_STATE) nameType) (= (type T.IER__SERIAL_DEVICE_STATE) nameType) (= (type T.LCR__SERIAL_DEVICE_STATE) nameType) (= (type T.MCR__SERIAL_DEVICE_STATE) nameType) (= (type T.ControlHandShake__SERIAL_HANDFLOW) nameType) (= (type T.FlowReplace__SERIAL_HANDFLOW) nameType) (= (type T.XonLimit__SERIAL_HANDFLOW) nameType) (= (type T.XoffLimit__SERIAL_HANDFLOW) nameType) (= (type T.Extension__SERIAL_IOCTL_SYNC) nameType) (= (type T.Data__SERIAL_IOCTL_SYNC) nameType) (= (type T.StopBits__SERIAL_LINE_CONTROL) nameType) (= (type T.Parity__SERIAL_LINE_CONTROL) nameType) (= (type T.WordLength__SERIAL_LINE_CONTROL) nameType) (= (type T.InSize__SERIAL_QUEUE_SIZE) nameType) (= (type T.OutSize__SERIAL_QUEUE_SIZE) nameType) (= (type T.Extension__SERIAL_RESIZE_PARAMS) nameType) (= (type T.OldBuffer__SERIAL_RESIZE_PARAMS) nameType) (= (type T.NewBuffer__SERIAL_RESIZE_PARAMS) nameType) (= (type T.NewBufferSize__SERIAL_RESIZE_PARAMS) nameType) (= (type T.NumberMoved__SERIAL_RESIZE_PARAMS) nameType) (= (type T.ReadIntervalTimeout__SERIAL_TIMEOUTS) nameType) (= (type T.ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS) nameType) (= (type T.ReadTotalTimeoutConstant__SERIAL_TIMEOUTS) nameType) (= (type T.WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS) nameType) (= (type T.WriteTotalTimeoutConstant__SERIAL_TIMEOUTS) nameType) (= (type T.Extension__SERIAL_UPDATE_CHAR) nameType) (= (type T.CharsCopied__SERIAL_UPDATE_CHAR) nameType) (= (type T.Completed__SERIAL_UPDATE_CHAR) nameType) (= (type T.BaudRate__SERIAL_WMI_COMM_DATA) nameType) (= (type T.BitsPerByte__SERIAL_WMI_COMM_DATA) nameType) (= (type T.Parity__SERIAL_WMI_COMM_DATA) nameType) (= (type T.ParityCheckEnable__SERIAL_WMI_COMM_DATA) nameType) (= (type T.StopBits__SERIAL_WMI_COMM_DATA) nameType) (= (type T.XoffCharacter__SERIAL_WMI_COMM_DATA) nameType) (= (type T.XoffXmitThreshold__SERIAL_WMI_COMM_DATA) nameType) (= (type T.XonCharacter__SERIAL_WMI_COMM_DATA) nameType) (= (type T.XonXmitThreshold__SERIAL_WMI_COMM_DATA) nameType) (= (type T.MaximumBaudRate__SERIAL_WMI_COMM_DATA) nameType) (= (type T.MaximumOutputBufferSize__SERIAL_WMI_COMM_DATA) nameType) (= (type T.MaximumInputBufferSize__SERIAL_WMI_COMM_DATA) nameType) (= (type T.Support16BitMode__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SupportDTRDSR__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SupportIntervalTimeouts__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SupportParityCheck__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SupportRTSCTS__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SupportXonXoff__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SettableBaudRate__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SettableDataBits__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SettableFlowControl__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SettableParity__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SettableParityCheck__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SettableStopBits__SERIAL_WMI_COMM_DATA) nameType) (= (type T.IsBusy__SERIAL_WMI_COMM_DATA) nameType) (= (type T.IrqNumber__SERIAL_WMI_HW_DATA) nameType) (= (type T.IrqVector__SERIAL_WMI_HW_DATA) nameType) (= (type T.IrqLevel__SERIAL_WMI_HW_DATA) nameType) (= (type T.IrqAffinityMask__SERIAL_WMI_HW_DATA) nameType) (= (type T.InterruptType__SERIAL_WMI_HW_DATA) nameType) (= (type T.BaseIOAddress__SERIAL_WMI_HW_DATA) nameType) (= (type T.ReceivedCount__SERIAL_WMI_PERF_DATA) nameType) (= (type T.TransmittedCount__SERIAL_WMI_PERF_DATA) nameType) (= (type T.FrameErrorCount__SERIAL_WMI_PERF_DATA) nameType) (= (type T.SerialOverrunErrorCount__SERIAL_WMI_PERF_DATA) nameType) (= (type T.BufferOverrunErrorCount__SERIAL_WMI_PERF_DATA) nameType) (= (type T.ParityErrorCount__SERIAL_WMI_PERF_DATA) nameType) (= (type T.Timeout__SERIAL_XOFF_COUNTER) nameType) (= (type T.Counter__SERIAL_XOFF_COUNTER) nameType) (= (type T.XoffChar__SERIAL_XOFF_COUNTER) nameType) (= (type T.__unnamed_4_a8006df8__SYSTEM_POWER_STATE_CONTEXT) nameType) (= (type T.__unnamed_8_baf71367__ULARGE_INTEGER) nameType) (= (type T.u__ULARGE_INTEGER) nameType) (= (type T.QuadPart__ULARGE_INTEGER) nameType) (= (type T.Length__UNICODE_STRING) nameType) (= (type T.MaximumLength__UNICODE_STRING) nameType) (= (type T.Buffer__UNICODE_STRING) nameType) (= (type T.Type__VPB) nameType) (= (type T.Size__VPB) nameType) (= (type T.Flags__VPB) nameType) (= (type T.VolumeLabelLength__VPB) nameType) (= (type T.DeviceObject__VPB) nameType) (= (type T.RealDevice__VPB) nameType) (= (type T.SerialNumber__VPB) nameType) (= (type T.ReferenceCount__VPB) nameType) (= (type T.VolumeLabel__VPB) nameType) (= (type T.WaitQueueEntry__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceRoutine__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceContext__WAIT_CONTEXT_BLOCK) nameType) (= (type T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceObject__WAIT_CONTEXT_BLOCK) nameType) (= (type T.CurrentIrp__WAIT_CONTEXT_BLOCK) nameType) (= (type T.BufferChainingDpc__WAIT_CONTEXT_BLOCK) nameType) (= (type T.GuidCount__WMILIB_CONTEXT) nameType) (= (type T.GuidList__WMILIB_CONTEXT) nameType) (= (type T.QueryWmiRegInfo__WMILIB_CONTEXT) nameType) (= (type T.QueryWmiDataBlock__WMILIB_CONTEXT) nameType) (= (type T.SetWmiDataBlock__WMILIB_CONTEXT) nameType) (= (type T.SetWmiDataItem__WMILIB_CONTEXT) nameType) (= (type T.ExecuteWmiMethod__WMILIB_CONTEXT) nameType) (= (type T.WmiFunctionControl__WMILIB_CONTEXT) nameType) (= (type T.Priority___unnamed_12_0cb3dc26) nameType) (= (type T.Reserved1___unnamed_12_0cb3dc26) nameType) (= (type T.Reserved2___unnamed_12_0cb3dc26) nameType) (= (type T.Data___unnamed_12_1a4b0b08) nameType) (= (type T.Reserved___unnamed_12_1cbe20d6) nameType) (= (type T.MessageCount___unnamed_12_1cbe20d6) nameType) (= (type T.Vector___unnamed_12_1cbe20d6) nameType) (= (type T.Affinity___unnamed_12_1cbe20d6) nameType) (= (type T.Start___unnamed_12_28f1f9cc) nameType) (= (type T.Length___unnamed_12_28f1f9cc) nameType) (= (type T.Reserved___unnamed_12_28f1f9cc) nameType) (= (type T.__unnamed_12_9eaf06f6___unnamed_12_29a9546e) nameType) (= (type T.Start___unnamed_12_33a88444) nameType) (= (type T.Length48___unnamed_12_33a88444) nameType) (= (type T.Start___unnamed_12_468ce3a2) nameType) (= (type T.Length___unnamed_12_468ce3a2) nameType) (= (type T.ListEntry___unnamed_12_5cc47a19) nameType) (= (type T.__unnamed_4_61d4f5e1___unnamed_12_5cc47a19) nameType) (= (type T.Level___unnamed_12_6fbd747c) nameType) (= (type T.Vector___unnamed_12_6fbd747c) nameType) (= (type T.Affinity___unnamed_12_6fbd747c) nameType) (= (type T.Generic___unnamed_12_9a27b966) nameType) (= (type T.Port___unnamed_12_9a27b966) nameType) (= (type T.Interrupt___unnamed_12_9a27b966) nameType) (= (type T.MessageInterrupt___unnamed_12_9a27b966) nameType) (= (type T.Memory___unnamed_12_9a27b966) nameType) (= (type T.Dma___unnamed_12_9a27b966) nameType) (= (type T.DevicePrivate___unnamed_12_9a27b966) nameType) (= (type T.BusNumber___unnamed_12_9a27b966) nameType) (= (type T.DeviceSpecificData___unnamed_12_9a27b966) nameType) (= (type T.Memory40___unnamed_12_9a27b966) nameType) (= (type T.Memory48___unnamed_12_9a27b966) nameType) (= (type T.Memory64___unnamed_12_9a27b966) nameType) (= (type T.Raw___unnamed_12_9eaf06f6) nameType) (= (type T.Translated___unnamed_12_9eaf06f6) nameType) (= (type T.Data___unnamed_12_a967ef4a) nameType) (= (type T.Start___unnamed_12_ab6ff61b) nameType) (= (type T.Length64___unnamed_12_ab6ff61b) nameType) (= (type T.Start___unnamed_12_ad4e1918) nameType) (= (type T.Length___unnamed_12_ad4e1918) nameType) (= (type T.Start___unnamed_12_c0c3bd45) nameType) (= (type T.Length___unnamed_12_c0c3bd45) nameType) (= (type T.Start___unnamed_12_df63118d) nameType) (= (type T.Length40___unnamed_12_df63118d) nameType) (= (type T.Level___unnamed_12_e5164c3f) nameType) (= (type T.Vector___unnamed_12_e5164c3f) nameType) (= (type T.Affinity___unnamed_12_e5164c3f) nameType) (= (type T.Channel___unnamed_12_f1f9be0a) nameType) (= (type T.Port___unnamed_12_f1f9be0a) nameType) (= (type T.Reserved1___unnamed_12_f1f9be0a) nameType) (= (type T.DataSize___unnamed_12_f354d203) nameType) (= (type T.Reserved1___unnamed_12_f354d203) nameType) (= (type T.Reserved2___unnamed_12_f354d203) nameType) (= (type T.InterfaceType___unnamed_16_2ab145ec) nameType) (= (type T.Size___unnamed_16_2ab145ec) nameType) (= (type T.Version___unnamed_16_2ab145ec) nameType) (= (type T.Interface___unnamed_16_2ab145ec) nameType) (= (type T.InterfaceSpecificData___unnamed_16_2ab145ec) nameType) (= (type T.Length___unnamed_16_30f1d328) nameType) (= (type T.MinBusNumber___unnamed_16_30f1d328) nameType) (= (type T.MaxBusNumber___unnamed_16_30f1d328) nameType) (= (type T.Reserved___unnamed_16_30f1d328) nameType) (= (type T.DeviceQueueEntry___unnamed_16_3277c3a0) nameType) (= (type T.__unnamed_16_c774559b___unnamed_16_3277c3a0) nameType) (= (type T.Length___unnamed_16_3a584a7c) nameType) (= (type T.Key___unnamed_16_3a584a7c) nameType) (= (type T.ByteOffset___unnamed_16_3a584a7c) nameType) (= (type T.OutputBufferLength___unnamed_16_3dec08db) nameType) (= (type T.InputBufferLength___unnamed_16_3dec08db) nameType) (= (type T.FsControlCode___unnamed_16_3dec08db) nameType) (= (type T.Type3InputBuffer___unnamed_16_3dec08db) nameType) (= (type T.Create___unnamed_16_57edbc3a) nameType) (= (type T.Read___unnamed_16_57edbc3a) nameType) (= (type T.Write___unnamed_16_57edbc3a) nameType) (= (type T.QueryDirectory___unnamed_16_57edbc3a) nameType) (= (type T.NotifyDirectory___unnamed_16_57edbc3a) nameType) (= (type T.QueryFile___unnamed_16_57edbc3a) nameType) (= (type T.SetFile___unnamed_16_57edbc3a) nameType) (= (type T.QueryEa___unnamed_16_57edbc3a) nameType) (= (type T.SetEa___unnamed_16_57edbc3a) nameType) (= (type T.QueryVolume___unnamed_16_57edbc3a) nameType) (= (type T.SetVolume___unnamed_16_57edbc3a) nameType) (= (type T.FileSystemControl___unnamed_16_57edbc3a) nameType) (= (type T.LockControl___unnamed_16_57edbc3a) nameType) (= (type T.DeviceIoControl___unnamed_16_57edbc3a) nameType) (= (type T.QuerySecurity___unnamed_16_57edbc3a) nameType) (= (type T.SetSecurity___unnamed_16_57edbc3a) nameType) (= (type T.MountVolume___unnamed_16_57edbc3a) nameType) (= (type T.VerifyVolume___unnamed_16_57edbc3a) nameType) (= (type T.Scsi___unnamed_16_57edbc3a) nameType) (= (type T.QueryQuota___unnamed_16_57edbc3a) nameType) (= (type T.SetQuota___unnamed_16_57edbc3a) nameType) (= (type T.QueryDeviceRelations___unnamed_16_57edbc3a) nameType) (= (type T.QueryInterface___unnamed_16_57edbc3a) nameType) (= (type T.DeviceCapabilities___unnamed_16_57edbc3a) nameType) (= (type T.FilterResourceRequirements___unnamed_16_57edbc3a) nameType) (= (type T.ReadWriteConfig___unnamed_16_57edbc3a) nameType) (= (type T.SetLock___unnamed_16_57edbc3a) nameType) (= (type T.QueryId___unnamed_16_57edbc3a) nameType) (= (type T.QueryDeviceText___unnamed_16_57edbc3a) nameType) (= (type T.UsageNotification___unnamed_16_57edbc3a) nameType) (= (type T.WaitWake___unnamed_16_57edbc3a) nameType) (= (type T.PowerSequence___unnamed_16_57edbc3a) nameType) (= (type T.Power___unnamed_16_57edbc3a) nameType) (= (type T.StartDevice___unnamed_16_57edbc3a) nameType) (= (type T.WMI___unnamed_16_57edbc3a) nameType) (= (type T.Others___unnamed_16_57edbc3a) nameType) (= (type T.Argument1___unnamed_16_5ac3fe10) nameType) (= (type T.Argument2___unnamed_16_5ac3fe10) nameType) (= (type T.Argument3___unnamed_16_5ac3fe10) nameType) (= (type T.Argument4___unnamed_16_5ac3fe10) nameType) (= (type T.OutputBufferLength___unnamed_16_5bbbf1e7) nameType) (= (type T.InputBufferLength___unnamed_16_5bbbf1e7) nameType) (= (type T.IoControlCode___unnamed_16_5bbbf1e7) nameType) (= (type T.Type3InputBuffer___unnamed_16_5bbbf1e7) nameType) (= (type T.ProviderId___unnamed_16_66abee0d) nameType) (= (type T.DataPath___unnamed_16_66abee0d) nameType) (= (type T.BufferSize___unnamed_16_66abee0d) nameType) (= (type T.Buffer___unnamed_16_66abee0d) nameType) (= (type T.__unnamed_4_b38dc67f___unnamed_16_6c8935f2) nameType) (= (type T.Type___unnamed_16_6c8935f2) nameType) (= (type T.State___unnamed_16_6c8935f2) nameType) (= (type T.ShutdownType___unnamed_16_6c8935f2) nameType) (= (type T.Length___unnamed_16_834e30a3) nameType) (= (type T.EaList___unnamed_16_834e30a3) nameType) (= (type T.EaListLength___unnamed_16_834e30a3) nameType) (= (type T.EaIndex___unnamed_16_834e30a3) nameType) (= (type T.WhichSpace___unnamed_16_83707d7f) nameType) (= (type T.Buffer___unnamed_16_83707d7f) nameType) (= (type T.Offset___unnamed_16_83707d7f) nameType) (= (type T.Length___unnamed_16_83707d7f) nameType) (= (type T.Length___unnamed_16_94922103) nameType) (= (type T.Key___unnamed_16_94922103) nameType) (= (type T.ByteOffset___unnamed_16_94922103) nameType) (= (type T.Length___unnamed_16_9eb64f79) nameType) (= (type T.StartSid___unnamed_16_9eb64f79) nameType) (= (type T.SidList___unnamed_16_9eb64f79) nameType) (= (type T.SidListLength___unnamed_16_9eb64f79) nameType) (= (type T.Length___unnamed_16_a71f10bf) nameType) (= (type T.FileName___unnamed_16_a71f10bf) nameType) (= (type T.FileInformationClass___unnamed_16_a71f10bf) nameType) (= (type T.FileIndex___unnamed_16_a71f10bf) nameType) (= (type T.SecurityContext___unnamed_16_af2c1884) nameType) (= (type T.Options___unnamed_16_af2c1884) nameType) (= (type T.FileAttributes___unnamed_16_af2c1884) nameType) (= (type T.ShareAccess___unnamed_16_af2c1884) nameType) (= (type T.EaLength___unnamed_16_af2c1884) nameType) (= (type T.Length___unnamed_16_b1a6a9b2) nameType) (= (type T.FileInformationClass___unnamed_16_b1a6a9b2) nameType) (= (type T.FileObject___unnamed_16_b1a6a9b2) nameType) (= (type T.__unnamed_4_4d53984e___unnamed_16_b1a6a9b2) nameType) (= (type T.DriverContext___unnamed_16_c774559b) nameType) (= (type T.Length___unnamed_16_ca1b3ad0) nameType) (= (type T.Key___unnamed_16_ca1b3ad0) nameType) (= (type T.ByteOffset___unnamed_16_ca1b3ad0) nameType) (= (type T.Abandoned___unnamed_1_4258582a) nameType) (= (type T.Absolute___unnamed_1_4258582a) nameType) (= (type T.NpxIrql___unnamed_1_4258582a) nameType) (= (type T.Signalling___unnamed_1_4258582a) nameType) (= (type T.Lock___unnamed_1_4f5916b9) nameType) (= (type T.Size___unnamed_1_923f487b) nameType) (= (type T.Hand___unnamed_1_923f487b) nameType) (= (type T.Inserted___unnamed_1_ac5cb154) nameType) (= (type T.DebugActive___unnamed_1_ac5cb154) nameType) (= (type T.DpcActive___unnamed_1_ac5cb154) nameType) (= (type T.MinimumVector___unnamed_20_9fc4dd36) nameType) (= (type T.MaximumVector___unnamed_20_9fc4dd36) nameType) (= (type T.AffinityPolicy___unnamed_20_9fc4dd36) nameType) (= (type T.PriorityPolicy___unnamed_20_9fc4dd36) nameType) (= (type T.TargetedProcessors___unnamed_20_9fc4dd36) nameType) (= (type T.Length___unnamed_24_76c1f52c) nameType) (= (type T.Alignment___unnamed_24_76c1f52c) nameType) (= (type T.MinimumAddress___unnamed_24_76c1f52c) nameType) (= (type T.MaximumAddress___unnamed_24_76c1f52c) nameType) (= (type T.Length64___unnamed_24_87e4ad03) nameType) (= (type T.Alignment64___unnamed_24_87e4ad03) nameType) (= (type T.MinimumAddress___unnamed_24_87e4ad03) nameType) (= (type T.MaximumAddress___unnamed_24_87e4ad03) nameType) (= (type T.Port___unnamed_24_87fb9019) nameType) (= (type T.Memory___unnamed_24_87fb9019) nameType) (= (type T.Interrupt___unnamed_24_87fb9019) nameType) (= (type T.Dma___unnamed_24_87fb9019) nameType) (= (type T.Generic___unnamed_24_87fb9019) nameType) (= (type T.DevicePrivate___unnamed_24_87fb9019) nameType) (= (type T.BusNumber___unnamed_24_87fb9019) nameType) (= (type T.ConfigData___unnamed_24_87fb9019) nameType) (= (type T.Memory40___unnamed_24_87fb9019) nameType) (= (type T.Memory48___unnamed_24_87fb9019) nameType) (= (type T.Memory64___unnamed_24_87fb9019) nameType) (= (type T.Length40___unnamed_24_af527a47) nameType) (= (type T.Alignment40___unnamed_24_af527a47) nameType) (= (type T.MinimumAddress___unnamed_24_af527a47) nameType) (= (type T.MaximumAddress___unnamed_24_af527a47) nameType) (= (type T.Length___unnamed_24_b3ef9869) nameType) (= (type T.Alignment___unnamed_24_b3ef9869) nameType) (= (type T.MinimumAddress___unnamed_24_b3ef9869) nameType) (= (type T.MaximumAddress___unnamed_24_b3ef9869) nameType) (= (type T.Length___unnamed_24_c23e34f7) nameType) (= (type T.Alignment___unnamed_24_c23e34f7) nameType) (= (type T.MinimumAddress___unnamed_24_c23e34f7) nameType) (= (type T.MaximumAddress___unnamed_24_c23e34f7) nameType) (= (type T.Length48___unnamed_24_e04d7241) nameType) (= (type T.Alignment48___unnamed_24_e04d7241) nameType) (= (type T.MinimumAddress___unnamed_24_e04d7241) nameType) (= (type T.MaximumAddress___unnamed_24_e04d7241) nameType) (= (type T.ReplaceIfExists___unnamed_2_1d659b1d) nameType) (= (type T.AdvanceOnly___unnamed_2_1d659b1d) nameType) (= (type T.ListEntry___unnamed_40_1db13fa5) nameType) (= (type T.Wcb___unnamed_40_1db13fa5) nameType) (= (type T.__unnamed_16_3277c3a0___unnamed_40_ebf2206a) nameType) (= (type T.Thread___unnamed_40_ebf2206a) nameType) (= (type T.AuxiliaryBuffer___unnamed_40_ebf2206a) nameType) (= (type T.__unnamed_12_5cc47a19___unnamed_40_ebf2206a) nameType) (= (type T.OriginalFileObject___unnamed_40_ebf2206a) nameType) (= (type T.InitialPrivilegeSet___unnamed_44_0d347e8a) nameType) (= (type T.PrivilegeSet___unnamed_44_0d347e8a) nameType) (= (type T.Overlay___unnamed_48_ffd8d308) nameType) (= (type T.Apc___unnamed_48_ffd8d308) nameType) (= (type T.CompletionKey___unnamed_48_ffd8d308) nameType) (= (type T.IdType___unnamed_4_04fc9c34) nameType) (= (type T.PowerSequence___unnamed_4_082ca2fa) nameType) (= (type T.Type___unnamed_4_142d6b52) nameType) (= (type T.OwnerCount___unnamed_4_1c47e29a) nameType) (= (type T.TableSize___unnamed_4_1c47e29a) nameType) (= (type T.MasterIrp___unnamed_4_3dc37e35) nameType) (= (type T.IrpCount___unnamed_4_3dc37e35) nameType) (= (type T.SystemBuffer___unnamed_4_3dc37e35) nameType) (= (type T.__unnamed_2_1d659b1d___unnamed_4_4d53984e) nameType) (= (type T.ClusterCount___unnamed_4_4d53984e) nameType) (= (type T.DeleteHandle___unnamed_4_4d53984e) nameType) (= (type T.Length___unnamed_4_522a02ae) nameType) (= (type T.CurrentStackLocation___unnamed_4_61d4f5e1) nameType) (= (type T.PacketType___unnamed_4_61d4f5e1) nameType) (= (type T.Length___unnamed_4_6eaf329f) nameType) (= (type T.__unnamed_4_f14caa62___unnamed_4_7b44c46c) nameType) (= (type T.Lock___unnamed_4_7b44c46c) nameType) (= (type T.PowerState___unnamed_4_7bab7ec3) nameType) (= (type T.__unnamed_4_ce0c1b82___unnamed_4_a8006df8) nameType) (= (type T.ContextAsUlong___unnamed_4_a8006df8) nameType) (= (type T.Status___unnamed_4_ab1173de) nameType) (= (type T.Pointer___unnamed_4_ab1173de) nameType) (= (type T.Srb___unnamed_4_b2e59cbb) nameType) (= (type T.SystemContext___unnamed_4_b38dc67f) nameType) (= (type T.SystemPowerStateContext___unnamed_4_b38dc67f) nameType) (= (type T.Capabilities___unnamed_4_c62ef092) nameType) (= (type T.Reserved1___unnamed_4_ce0c1b82) nameType) (= (type T.TargetSystemState___unnamed_4_ce0c1b82) nameType) (= (type T.EffectiveSystemState___unnamed_4_ce0c1b82) nameType) (= (type T.CurrentSystemState___unnamed_4_ce0c1b82) nameType) (= (type T.IgnoreHibernationPath___unnamed_4_ce0c1b82) nameType) (= (type T.PseudoTransition___unnamed_4_ce0c1b82) nameType) (= (type T.Reserved2___unnamed_4_ce0c1b82) nameType) (= (type T.UserApcRoutine___unnamed_4_cedfeccd) nameType) (= (type T.IssuingProcess___unnamed_4_cedfeccd) nameType) (= (type T.Address___unnamed_4_f13e195c) nameType) (= (type T.CreatorBackTraceIndex___unnamed_4_f13e195c) nameType) (= (type T.Type___unnamed_4_f14caa62) nameType) (= (type T.__unnamed_1_4258582a___unnamed_4_f14caa62) nameType) (= (type T.__unnamed_1_923f487b___unnamed_4_f14caa62) nameType) (= (type T.__unnamed_1_ac5cb154___unnamed_4_f14caa62) nameType) (= (type T.IoResourceRequirementList___unnamed_4_f18e264a) nameType) (= (type T.Length___unnamed_8_06a6de28) nameType) (= (type T.CompletionFilter___unnamed_8_06a6de28) nameType) (= (type T.DeviceTextType___unnamed_8_219179d3) nameType) (= (type T.LocaleId___unnamed_8_219179d3) nameType) (= (type T.InPath___unnamed_8_380551ca) nameType) (= (type T.Reserved___unnamed_8_380551ca) nameType) (= (type T.Type___unnamed_8_380551ca) nameType) (= (type T.SecurityInformation___unnamed_8_3ebf0971) nameType) (= (type T.Length___unnamed_8_3ebf0971) nameType) (= (type T.AsynchronousParameters___unnamed_8_45a58840) nameType) (= (type T.AllocationSize___unnamed_8_45a58840) nameType) (= (type T.LowPart___unnamed_8_544b88f4) nameType) (= (type T.HighPart___unnamed_8_544b88f4) nameType) (= (type T.MinimumChannel___unnamed_8_5bc13409) nameType) (= (type T.MaximumChannel___unnamed_8_5bc13409) nameType) (= (type T.Length___unnamed_8_5d23cded) nameType) (= (type T.FsInformationClass___unnamed_8_5d23cded) nameType) (= (type T.LowPart___unnamed_8_5d67d492) nameType) (= (type T.HighPart___unnamed_8_5d67d492) nameType) (= (type T.SecurityInformation___unnamed_8_655e974a) nameType) (= (type T.SecurityDescriptor___unnamed_8_655e974a) nameType) (= (type T.Vpb___unnamed_8_a4174c52) nameType) (= (type T.DeviceObject___unnamed_8_a4174c52) nameType) (= (type T.LowPart___unnamed_8_a569aa82) nameType) (= (type T.HighPart___unnamed_8_a569aa82) nameType) (= (type T.Length___unnamed_8_b3031d0e) nameType) (= (type T.FileInformationClass___unnamed_8_b3031d0e) nameType) (= (type T.Length___unnamed_8_b7ca8084) nameType) (= (type T.FsInformationClass___unnamed_8_b7ca8084) nameType) (= (type T.Vpb___unnamed_8_b8c2e139) nameType) (= (type T.DeviceObject___unnamed_8_b8c2e139) nameType) (= (type T.LowPart___unnamed_8_baf71367) nameType) (= (type T.HighPart___unnamed_8_baf71367) nameType) (= (type T.__unnamed_4_cedfeccd___unnamed_8_be4b9317) nameType) (= (type T.UserApcContext___unnamed_8_be4b9317) nameType) (= (type T.AllocatedResources___unnamed_8_d81ae7e8) nameType) (= (type T.AllocatedResourcesTranslated___unnamed_8_d81ae7e8) nameType) (= (type T.A17CHAR) nameType) (= (type T.A18CHAR) nameType) (= (type T.A1UINT2) nameType) (= (type T.A1_CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_IO_RESOURCE_LIST) nameType) (= (type T.A1_LUID_AND_ATTRIBUTES) nameType) (= (type T.A20CHAR) nameType) (= (type T.A21CHAR) nameType) (= (type T.A22CHAR) nameType) (= (type T.A23CHAR) nameType) (= (type T.A24CHAR) nameType) (= (type T.A25CHAR) nameType) (= (type T.A26CHAR) nameType) (= (type T.A27CHAR) nameType) (= (type T.A28CHAR) nameType) (= (type T.A28PFDRIVER_DISPATCH) nameType) (= (type T.A30CHAR) nameType) (= (type T.A31CHAR) nameType) (= (type T.A32CHAR) nameType) (= (type T.A32UINT2) nameType) (= (type T.A34CHAR) nameType) (= (type T.A35CHAR) nameType) (= (type T.A37CHAR) nameType) (= (type T.A3UCHAR) nameType) (= (type T.A3UINT4) nameType) (= (type T.A3_LUID_AND_ATTRIBUTES) nameType) (= (type T.A4PVOID) nameType) (= (type T.A7_DEVICE_POWER_STATE) nameType) (= (type T.A8UCHAR) nameType) (= (type T.BUS_QUERY_ID_TYPE) nameType) (= (type T.CHAR) nameType) (= (type T.DEVICE_TEXT_TYPE) nameType) (= (type T.F0) nameType) (= (type T.F1) nameType) (= (type T.F10) nameType) (= (type T.F11) nameType) (= (type T.F12) nameType) (= (type T.F13) nameType) (= (type T.F14) nameType) (= (type T.F15) nameType) (= (type T.F16) nameType) (= (type T.F17) nameType) (= (type T.F18) nameType) (= (type T.F19) nameType) (= (type T.F2) nameType) (= (type T.F20) nameType) (= (type T.F21) nameType) (= (type T.F22) nameType) (= (type T.F23) nameType) (= (type T.F24) nameType) (= (type T.F25) nameType) (= (type T.F26) nameType) (= (type T.F27) nameType) (= (type T.F28) nameType) (= (type T.F29) nameType) (= (type T.F3) nameType) (= (type T.F30) nameType) (= (type T.F31) nameType) (= (type T.F32) nameType) (= (type T.F33) nameType) (= (type T.F34) nameType) (= (type T.F35) nameType) (= (type T.F36) nameType) (= (type T.F37) nameType) (= (type T.F38) nameType) (= (type T.F39) nameType) (= (type T.F4) nameType) (= (type T.F40) nameType) (= (type T.F41) nameType) (= (type T.F42) nameType) (= (type T.F43) nameType) (= (type T.F44) nameType) (= (type T.F45) nameType) (= (type T.F5) nameType) (= (type T.F6) nameType) (= (type T.F7) nameType) (= (type T.F8) nameType) (= (type T.F9) nameType) (= (type T.FDRIVER_ADD_DEVICE) nameType) (= (type T.FDRIVER_CANCEL) nameType) (= (type T.FDRIVER_DISPATCH) nameType) (= (type T.FDRIVER_INITIALIZE) nameType) (= (type T.FDRIVER_STARTIO) nameType) (= (type T.FDRIVER_UNLOAD) nameType) (= (type T.FFAST_IO_ACQUIRE_FILE) nameType) (= (type T.FFAST_IO_ACQUIRE_FOR_CCFLUSH) nameType) (= (type T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE) nameType) (= (type T.FFAST_IO_CHECK_IF_POSSIBLE) nameType) (= (type T.FFAST_IO_DETACH_DEVICE) nameType) (= (type T.FFAST_IO_DEVICE_CONTROL) nameType) (= (type T.FFAST_IO_LOCK) nameType) (= (type T.FFAST_IO_MDL_READ) nameType) (= (type T.FFAST_IO_MDL_READ_COMPLETE) nameType) (= (type T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED) nameType) (= (type T.FFAST_IO_MDL_WRITE_COMPLETE) nameType) (= (type T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED) nameType) (= (type T.FFAST_IO_PREPARE_MDL_WRITE) nameType) (= (type T.FFAST_IO_QUERY_BASIC_INFO) nameType) (= (type T.FFAST_IO_QUERY_NETWORK_OPEN_INFO) nameType) (= (type T.FFAST_IO_QUERY_OPEN) nameType) (= (type T.FFAST_IO_QUERY_STANDARD_INFO) nameType) (= (type T.FFAST_IO_READ) nameType) (= (type T.FFAST_IO_READ_COMPRESSED) nameType) (= (type T.FFAST_IO_RELEASE_FILE) nameType) (= (type T.FFAST_IO_RELEASE_FOR_CCFLUSH) nameType) (= (type T.FFAST_IO_RELEASE_FOR_MOD_WRITE) nameType) (= (type T.FFAST_IO_UNLOCK_ALL) nameType) (= (type T.FFAST_IO_UNLOCK_ALL_BY_KEY) nameType) (= (type T.FFAST_IO_UNLOCK_SINGLE) nameType) (= (type T.FFAST_IO_WRITE) nameType) (= (type T.FFAST_IO_WRITE_COMPRESSED) nameType) (= (type T.FIO_COMPLETION_ROUTINE) nameType) (= (type T.FKSERVICE_ROUTINE) nameType) (= (type T.INT2) nameType) (= (type T.INT4) nameType) (= (type T.INT8) nameType) (= (type T.PA17CHAR) nameType) (= (type T.PA18CHAR) nameType) (= (type T.PA20CHAR) nameType) (= (type T.PA21CHAR) nameType) (= (type T.PA22CHAR) nameType) (= (type T.PA23CHAR) nameType) (= (type T.PA24CHAR) nameType) (= (type T.PA25CHAR) nameType) (= (type T.PA26CHAR) nameType) (= (type T.PA27CHAR) nameType) (= (type T.PA28CHAR) nameType) (= (type T.PA30CHAR) nameType) (= (type T.PA31CHAR) nameType) (= (type T.PA32CHAR) nameType) (= (type T.PA34CHAR) nameType) (= (type T.PA35CHAR) nameType) (= (type T.PA37CHAR) nameType) (= (type T.PCHAR) nameType) (= (type T.PF0) nameType) (= (type T.PF20) nameType) (= (type T.PF21) nameType) (= (type T.PF22) nameType) (= (type T.PF24) nameType) (= (type T.PF25) nameType) (= (type T.PF26) nameType) (= (type T.PF32) nameType) (= (type T.PF33) nameType) (= (type T.PF34) nameType) (= (type T.PF36) nameType) (= (type T.PF37) nameType) (= (type T.PF38) nameType) (= (type T.PF39) nameType) (= (type T.PF40) nameType) (= (type T.PF41) nameType) (= (type T.PF42) nameType) (= (type T.PF43) nameType) (= (type T.PF44) nameType) (= (type T.PF45) nameType) (= (type T.PFDRIVER_ADD_DEVICE) nameType) (= (type T.PFDRIVER_CANCEL) nameType) (= (type T.PFDRIVER_DISPATCH) nameType) (= (type T.PFDRIVER_INITIALIZE) nameType) (= (type T.PFDRIVER_STARTIO) nameType) (= (type T.PFDRIVER_UNLOAD) nameType) (= (type T.PFFAST_IO_ACQUIRE_FILE) nameType) (= (type T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH) nameType) (= (type T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE) nameType) (= (type T.PFFAST_IO_CHECK_IF_POSSIBLE) nameType) (= (type T.PFFAST_IO_DETACH_DEVICE) nameType) (= (type T.PFFAST_IO_DEVICE_CONTROL) nameType) (= (type T.PFFAST_IO_LOCK) nameType) (= (type T.PFFAST_IO_MDL_READ) nameType) (= (type T.PFFAST_IO_MDL_READ_COMPLETE) nameType) (= (type T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED) nameType) (= (type T.PFFAST_IO_MDL_WRITE_COMPLETE) nameType) (= (type T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED) nameType) (= (type T.PFFAST_IO_PREPARE_MDL_WRITE) nameType) (= (type T.PFFAST_IO_QUERY_BASIC_INFO) nameType) (= (type T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO) nameType) (= (type T.PFFAST_IO_QUERY_OPEN) nameType) (= (type T.PFFAST_IO_QUERY_STANDARD_INFO) nameType) (= (type T.PFFAST_IO_READ) nameType) (= (type T.PFFAST_IO_READ_COMPRESSED) nameType) (= (type T.PFFAST_IO_RELEASE_FILE) nameType) (= (type T.PFFAST_IO_RELEASE_FOR_CCFLUSH) nameType) (= (type T.PFFAST_IO_RELEASE_FOR_MOD_WRITE) nameType) (= (type T.PFFAST_IO_UNLOCK_ALL) nameType) (= (type T.PFFAST_IO_UNLOCK_ALL_BY_KEY) nameType) (= (type T.PFFAST_IO_UNLOCK_SINGLE) nameType) (= (type T.PFFAST_IO_WRITE) nameType) (= (type T.PFFAST_IO_WRITE_COMPRESSED) nameType) (= (type T.PFIO_COMPLETION_ROUTINE) nameType) (= (type T.PFKSERVICE_ROUTINE) nameType) (= (type T.PINT2) nameType) (= (type T.PINT4) nameType) (= (type T.POWER_ACTION) nameType) (= (type T.PPCHAR) nameType) (= (type T.PPF0) nameType) (= (type T.PPF25) nameType) (= (type T.PPF34) nameType) (= (type T.PPF43) nameType) (= (type T.PPF44) nameType) (= (type T.PPFDRIVER_CANCEL) nameType) (= (type T.PPINT2) nameType) (= (type T.PPINT4) nameType) (= (type T.PPP_IRP) nameType) (= (type T.PPUCHAR) nameType) (= (type T.PPUINT4) nameType) (= (type T.PPVOID) nameType) (= (type T.PP_DEVICE_OBJECT) nameType) (= (type T.PP_ERESOURCE) nameType) (= (type T.PP_IO_STACK_LOCATION) nameType) (= (type T.PP_IRP) nameType) (= (type T.PP_KDPC) nameType) (= (type T.PP_KEVENT) nameType) (= (type T.PP_KINTERRUPT) nameType) (= (type T.PP_KTIMER) nameType) (= (type T.PP_LARGE_INTEGER) nameType) (= (type T.PP_LIST_ENTRY) nameType) (= (type T.PP_MDL) nameType) (= (type T.PP_SERIAL_BAUD_RATE) nameType) (= (type T.PP_SERIAL_CHARS) nameType) (= (type T.PP_SERIAL_COMMPROP) nameType) (= (type T.PP_SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PP_SERIAL_HANDFLOW) nameType) (= (type T.PP_SERIAL_LINE_CONTROL) nameType) (= (type T.PP_SERIAL_QUEUE_SIZE) nameType) (= (type T.PP_SERIAL_TIMEOUTS) nameType) (= (type T.PP_SERIAL_XOFF_COUNTER) nameType) (= (type T.PP_UNICODE_STRING) nameType) (= (type T.PUCHAR) nameType) (= (type T.PUINT2) nameType) (= (type T.PUINT4) nameType) (= (type T.PVOID) nameType) (= (type T.PWMIGUIDREGINFO) nameType) (= (type T.P_ACCESS_STATE) nameType) (= (type T.P_CM_RESOURCE_LIST) nameType) (= (type T.P_COMPRESSED_DATA_INFO) nameType) (= (type T.P_DEVICE_CAPABILITIES) nameType) (= (type T.P_DEVICE_OBJECT) nameType) (= (type T.P_DEVICE_POWER_STATE) nameType) (= (type T.P_DEVOBJ_EXTENSION) nameType) (= (type T.P_DRIVER_EXTENSION) nameType) (= (type T.P_DRIVER_OBJECT) nameType) (= (type T.P_EPROCESS) nameType) (= (type T.P_ERESOURCE) nameType) (= (type T.P_EVENT_TYPE) nameType) (= (type T.P_FAST_IO_DISPATCH) nameType) (= (type T.P_FILE_BASIC_INFORMATION) nameType) (= (type T.P_FILE_GET_QUOTA_INFORMATION) nameType) (= (type T.P_FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.P_FILE_OBJECT) nameType) (= (type T.P_FILE_STANDARD_INFORMATION) nameType) (= (type T.P_GUID) nameType) (= (type T.P_INTERFACE) nameType) (= (type T.P_IO_COMPLETION_CONTEXT) nameType) (= (type T.P_IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.P_IO_SECURITY_CONTEXT) nameType) (= (type T.P_IO_STACK_LOCATION) nameType) (= (type T.P_IO_STATUS_BLOCK) nameType) (= (type T.P_IO_TIMER) nameType) (= (type T.P_IRP) nameType) (= (type T.P_KAPC) nameType) (= (type T.P_KDPC) nameType) (= (type T.P_KEVENT) nameType) (= (type T.P_KINTERRUPT) nameType) (= (type T.P_KPROCESS) nameType) (= (type T.P_KSEMAPHORE) nameType) (= (type T.P_KTHREAD) nameType) (= (type T.P_KTIMER) nameType) (= (type T.P_KWAIT_REASON) nameType) (= (type T.P_LARGE_INTEGER) nameType) (= (type T.P_LIST_ENTRY) nameType) (= (type T.P_MDL) nameType) (= (type T.P_OWNER_ENTRY) nameType) (= (type T.P_POOL_TYPE) nameType) (= (type T.P_POWER_SEQUENCE) nameType) (= (type T.P_POWER_STATE) nameType) (= (type T.P_SCSI_REQUEST_BLOCK) nameType) (= (type T.P_SECTION_OBJECT_POINTERS) nameType) (= (type T.P_SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.P_SERIAL_BAUD_RATE) nameType) (= (type T.P_SERIAL_CHARS) nameType) (= (type T.P_SERIAL_CISR_SW) nameType) (= (type T.P_SERIAL_COMMPROP) nameType) (= (type T.P_SERIAL_DEVICE_EXTENSION) nameType) (= (type T.P_SERIAL_HANDFLOW) nameType) (= (type T.P_SERIAL_IOCTL_SYNC) nameType) (= (type T.P_SERIAL_LINE_CONTROL) nameType) (= (type T.P_SERIAL_QUEUE_SIZE) nameType) (= (type T.P_SERIAL_RESIZE_PARAMS) nameType) (= (type T.P_SERIAL_TIMEOUTS) nameType) (= (type T.P_SERIAL_UPDATE_CHAR) nameType) (= (type T.P_SERIAL_XOFF_COUNTER) nameType) (= (type T.P_UNICODE_STRING) nameType) (= (type T.P_VPB) nameType) (= (type T.UCHAR) nameType) (= (type T.UINT2) nameType) (= (type T.UINT4) nameType) (= (type T.UINT8) nameType) (= (type T.VOID) nameType) (= (type T.WMIENABLEDISABLECONTROL) nameType) (= (type T.WMIGUIDREGINFO) nameType) (= (type T._ACCESS_STATE) nameType) (= (type T._CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T._CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T._CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T._CM_RESOURCE_LIST) nameType) (= (type T._COMPRESSED_DATA_INFO) nameType) (= (type T._DEVICE_CAPABILITIES) nameType) (= (type T._DEVICE_OBJECT) nameType) (= (type T._DEVICE_POWER_STATE) nameType) (= (type T._DEVICE_RELATION_TYPE) nameType) (= (type T._DEVICE_USAGE_NOTIFICATION_TYPE) nameType) (= (type T._DEVOBJ_EXTENSION) nameType) (= (type T._DISPATCHER_HEADER) nameType) (= (type T._DRIVER_EXTENSION) nameType) (= (type T._DRIVER_OBJECT) nameType) (= (type T._EPROCESS) nameType) (= (type T._ERESOURCE) nameType) (= (type T._EVENT_TYPE) nameType) (= (type T._FAST_IO_DISPATCH) nameType) (= (type T._FAST_MUTEX) nameType) (= (type T._FILE_BASIC_INFORMATION) nameType) (= (type T._FILE_GET_QUOTA_INFORMATION) nameType) (= (type T._FILE_INFORMATION_CLASS) nameType) (= (type T._FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T._FILE_OBJECT) nameType) (= (type T._FILE_STANDARD_INFORMATION) nameType) (= (type T._FSINFOCLASS) nameType) (= (type T._GUID) nameType) (= (type T._INITIAL_PRIVILEGE_SET) nameType) (= (type T._INTERFACE) nameType) (= (type T._INTERFACE_TYPE) nameType) (= (type T._IO_ALLOCATION_ACTION) nameType) (= (type T._IO_COMPLETION_CONTEXT) nameType) (= (type T._IO_RESOURCE_DESCRIPTOR) nameType) (= (type T._IO_RESOURCE_LIST) nameType) (= (type T._IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T._IO_SECURITY_CONTEXT) nameType) (= (type T._IO_STACK_LOCATION) nameType) (= (type T._IO_STATUS_BLOCK) nameType) (= (type T._IO_TIMER) nameType) (= (type T._IRP) nameType) (= (type T._IRQ_DEVICE_POLICY) nameType) (= (type T._IRQ_PRIORITY) nameType) (= (type T._KAPC) nameType) (= (type T._KDEVICE_QUEUE) nameType) (= (type T._KDEVICE_QUEUE_ENTRY) nameType) (= (type T._KDPC) nameType) (= (type T._KEVENT) nameType) (= (type T._KINTERRUPT) nameType) (= (type T._KPROCESS) nameType) (= (type T._KSEMAPHORE) nameType) (= (type T._KTHREAD) nameType) (= (type T._KTIMER) nameType) (= (type T._KWAIT_REASON) nameType) (= (type T._LARGE_INTEGER) nameType) (= (type T._LIST_ENTRY) nameType) (= (type T._LUID) nameType) (= (type T._LUID_AND_ATTRIBUTES) nameType) (= (type T._MDL) nameType) (= (type T._OWNER_ENTRY) nameType) (= (type T._POOL_TYPE) nameType) (= (type T._POWER_SEQUENCE) nameType) (= (type T._POWER_STATE) nameType) (= (type T._POWER_STATE_TYPE) nameType) (= (type T._PRIVILEGE_SET) nameType) (= (type T._SCSI_REQUEST_BLOCK) nameType) (= (type T._SECTION_OBJECT_POINTERS) nameType) (= (type T._SECURITY_IMPERSONATION_LEVEL) nameType) (= (type T._SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T._SECURITY_SUBJECT_CONTEXT) nameType) (= (type T._SERIALPERF_STATS) nameType) (= (type T._SERIAL_BAUD_RATE) nameType) (= (type T._SERIAL_CHARS) nameType) (= (type T._SERIAL_CISR_SW) nameType) (= (type T._SERIAL_COMMPROP) nameType) (= (type T._SERIAL_DEVICE_EXTENSION) nameType) (= (type T._SERIAL_DEVICE_STATE) nameType) (= (type T._SERIAL_HANDFLOW) nameType) (= (type T._SERIAL_IOCTL_SYNC) nameType) (= (type T._SERIAL_LINE_CONTROL) nameType) (= (type T._SERIAL_QUEUE_SIZE) nameType) (= (type T._SERIAL_RESIZE_PARAMS) nameType) (= (type T._SERIAL_TIMEOUTS) nameType) (= (type T._SERIAL_UPDATE_CHAR) nameType) (= (type T._SERIAL_WMI_COMM_DATA) nameType) (= (type T._SERIAL_WMI_HW_DATA) nameType) (= (type T._SERIAL_WMI_PERF_DATA) nameType) (= (type T._SERIAL_XOFF_COUNTER) nameType) (= (type T._SYSTEM_POWER_STATE) nameType) (= (type T._SYSTEM_POWER_STATE_CONTEXT) nameType) (= (type T._ULARGE_INTEGER) nameType) (= (type T._UNICODE_STRING) nameType) (= (type T._VPB) nameType) (= (type T._WAIT_CONTEXT_BLOCK) nameType) (= (type T._WMILIB_CONTEXT) nameType) (= (type T.__unnamed_12_0cb3dc26) nameType) (= (type T.__unnamed_12_1a4b0b08) nameType) (= (type T.__unnamed_12_1cbe20d6) nameType) (= (type T.__unnamed_12_28f1f9cc) nameType) (= (type T.__unnamed_12_29a9546e) nameType) (= (type T.__unnamed_12_33a88444) nameType) (= (type T.__unnamed_12_468ce3a2) nameType) (= (type T.__unnamed_12_5cc47a19) nameType) (= (type T.__unnamed_12_6fbd747c) nameType) (= (type T.__unnamed_12_9a27b966) nameType) (= (type T.__unnamed_12_9eaf06f6) nameType) (= (type T.__unnamed_12_a967ef4a) nameType) (= (type T.__unnamed_12_ab6ff61b) nameType) (= (type T.__unnamed_12_ad4e1918) nameType) (= (type T.__unnamed_12_c0c3bd45) nameType) (= (type T.__unnamed_12_df63118d) nameType) (= (type T.__unnamed_12_e5164c3f) nameType) (= (type T.__unnamed_12_f1f9be0a) nameType) (= (type T.__unnamed_12_f354d203) nameType) (= (type T.__unnamed_16_2ab145ec) nameType) (= (type T.__unnamed_16_30f1d328) nameType) (= (type T.__unnamed_16_3277c3a0) nameType) (= (type T.__unnamed_16_3a584a7c) nameType) (= (type T.__unnamed_16_3dec08db) nameType) (= (type T.__unnamed_16_57edbc3a) nameType) (= (type T.__unnamed_16_5ac3fe10) nameType) (= (type T.__unnamed_16_5bbbf1e7) nameType) (= (type T.__unnamed_16_66abee0d) nameType) (= (type T.__unnamed_16_6c8935f2) nameType) (= (type T.__unnamed_16_834e30a3) nameType) (= (type T.__unnamed_16_83707d7f) nameType) (= (type T.__unnamed_16_94922103) nameType) (= (type T.__unnamed_16_9eb64f79) nameType) (= (type T.__unnamed_16_a71f10bf) nameType) (= (type T.__unnamed_16_af2c1884) nameType) (= (type T.__unnamed_16_b1a6a9b2) nameType) (= (type T.__unnamed_16_c774559b) nameType) (= (type T.__unnamed_16_ca1b3ad0) nameType) (= (type T.__unnamed_1_4258582a) nameType) (= (type T.__unnamed_1_4f5916b9) nameType) (= (type T.__unnamed_1_923f487b) nameType) (= (type T.__unnamed_1_ac5cb154) nameType) (= (type T.__unnamed_20_9fc4dd36) nameType) (= (type T.__unnamed_24_76c1f52c) nameType) (= (type T.__unnamed_24_87e4ad03) nameType) (= (type T.__unnamed_24_87fb9019) nameType) (= (type T.__unnamed_24_af527a47) nameType) (= (type T.__unnamed_24_b3ef9869) nameType) (= (type T.__unnamed_24_c23e34f7) nameType) (= (type T.__unnamed_24_e04d7241) nameType) (= (type T.__unnamed_2_1d659b1d) nameType) (= (type T.__unnamed_40_1db13fa5) nameType) (= (type T.__unnamed_40_ebf2206a) nameType) (= (type T.__unnamed_44_0d347e8a) nameType) (= (type T.__unnamed_48_ffd8d308) nameType) (= (type T.__unnamed_4_04fc9c34) nameType) (= (type T.__unnamed_4_082ca2fa) nameType) (= (type T.__unnamed_4_142d6b52) nameType) (= (type T.__unnamed_4_1c47e29a) nameType) (= (type T.__unnamed_4_3dc37e35) nameType) (= (type T.__unnamed_4_4d53984e) nameType) (= (type T.__unnamed_4_522a02ae) nameType) (= (type T.__unnamed_4_61d4f5e1) nameType) (= (type T.__unnamed_4_6eaf329f) nameType) (= (type T.__unnamed_4_7b44c46c) nameType) (= (type T.__unnamed_4_7bab7ec3) nameType) (= (type T.__unnamed_4_a8006df8) nameType) (= (type T.__unnamed_4_ab1173de) nameType) (= (type T.__unnamed_4_b2e59cbb) nameType) (= (type T.__unnamed_4_b38dc67f) nameType) (= (type T.__unnamed_4_c62ef092) nameType) (= (type T.__unnamed_4_ce0c1b82) nameType) (= (type T.__unnamed_4_cedfeccd) nameType) (= (type T.__unnamed_4_f13e195c) nameType) (= (type T.__unnamed_4_f14caa62) nameType) (= (type T.__unnamed_4_f18e264a) nameType) (= (type T.__unnamed_8_06a6de28) nameType) (= (type T.__unnamed_8_219179d3) nameType) (= (type T.__unnamed_8_380551ca) nameType) (= (type T.__unnamed_8_3ebf0971) nameType) (= (type T.__unnamed_8_45a58840) nameType) (= (type T.__unnamed_8_544b88f4) nameType) (= (type T.__unnamed_8_5bc13409) nameType) (= (type T.__unnamed_8_5d23cded) nameType) (= (type T.__unnamed_8_5d67d492) nameType) (= (type T.__unnamed_8_655e974a) nameType) (= (type T.__unnamed_8_a4174c52) nameType) (= (type T.__unnamed_8_a569aa82) nameType) (= (type T.__unnamed_8_b3031d0e) nameType) (= (type T.__unnamed_8_b7ca8084) nameType) (= (type T.__unnamed_8_b8c2e139) nameType) (= (type T.__unnamed_8_baf71367) nameType) (= (type T.__unnamed_8_be4b9317) nameType) (= (type T.__unnamed_8_d81ae7e8) nameType) (= (Ctor byteType) 3) (forall ((?arg03 boogieT) (?arg1 boogieT)) (= (Ctor (MapType0Type ?arg03 ?arg1)) 4)) (forall ((?arg04 boogieT) (?arg10 boogieT)) (! (= (MapType0TypeInv0 (MapType0Type ?arg04 ?arg10)) ?arg04) :pattern ((MapType0Type ?arg04 ?arg10)) )) (forall ((?arg05 boogieT) (?arg11 boogieT)) (! (= (MapType0TypeInv1 (MapType0Type ?arg05 ?arg11)) ?arg11) :pattern ((MapType0Type ?arg05 ?arg11)) )) (forall ((?arg06 boogieU) (?arg12 boogieU)) (! (= (type (MapType0Select ?arg06 ?arg12)) (MapType0TypeInv1 (type ?arg06))) :pattern ((MapType0Select ?arg06 ?arg12)) )) (forall ((?arg07 boogieU) (?arg13 boogieU) (?arg2 boogieU)) (! (= (type (MapType0Store ?arg07 ?arg13 ?arg2)) (MapType0Type (type ?arg13) (type ?arg2))) :pattern ((MapType0Store ?arg07 ?arg13 ?arg2)) )) (forall ((?val boogieU) (?m boogieU) (?x00 boogieU)) (= (MapType0Select (MapType0Store ?m ?x00 ?val) ?x00) ?val)) (forall ((?val0 boogieU) (?m0 boogieU) (?x01 boogieU) (?y0 boogieU)) (or (= ?x01 ?y0) (= (MapType0Select (MapType0Store ?m0 ?x01 ?val0) ?y0) (MapType0Select ?m0 ?y0)))) (forall ((?val1 boogieU) (?m1 boogieU) (?x02 boogieU) (?y00 boogieU)) (or true (= (MapType0Select (MapType0Store ?m1 ?x02 ?val1) ?y00) (MapType0Select ?m1 ?y00)))) (= (type Empty) ?v_0) (= (type SetTrue) ?v_0) (forall ((?arg08 Int)) (! (= (type (Singleton ?arg08)) ?v_0) :pattern ((Singleton ?arg08)) )) (forall ((?arg09 boogieU) (?arg14 boogieU)) (! (= (type (Union ?arg09 ?arg14)) ?v_0) :pattern ((Union ?arg09 ?arg14)) )) (forall ((?arg010 boogieU) (?arg15 boogieU)) (! (= (type (Intersection ?arg010 ?arg15)) ?v_0) :pattern ((Intersection ?arg010 ?arg15)) )) (forall ((?arg011 boogieU) (?arg16 boogieU)) (! (= (type (Difference ?arg011 ?arg16)) ?v_0) :pattern ((Difference ?arg011 ?arg16)) )) (forall ((?arg012 boogieU) (?arg17 Int)) (! (= (type (Inverse ?arg012 ?arg17)) ?v_0) :pattern ((Inverse ?arg012 ?arg17)) )) (forall ((?arg013 boogieU) (?arg18 boogieU)) (! (= (type (Dereference ?arg013 ?arg18)) ?v_0) :pattern ((Dereference ?arg013 ?arg18)) )) (forall ((?arg014 boogieU)) (! (= (type (Unified ?arg014)) (MapType0Type intType intType)) :pattern ((Unified ?arg014)) )) (forall ((?arg015 Int)) (! (= (type (Field ?arg015)) nameType) :pattern ((Field ?arg015)) )) (forall ((?arg016 boogieU) (?arg19 boogieU)) (! (= (type (Values ?arg016 ?arg19)) ?v_0) :pattern ((Values ?arg016 ?arg19)) )) (forall ((?arg017 boogieU)) (! (= (type (T.Ptr ?arg017)) nameType) :pattern ((T.Ptr ?arg017)) )) (forall ((?arg018 boogieU)) (! (= (type (x_S_Argument4___unnamed_16_5ac3fe10 ?arg018)) ?v_0) :pattern ((x_S_Argument4___unnamed_16_5ac3fe10 ?arg018)) )) (forall ((?arg019 boogieU)) (! (= (type (x_S_Argument4___unnamed_16_5ac3fe10Inv ?arg019)) ?v_0) :pattern ((x_S_Argument4___unnamed_16_5ac3fe10Inv ?arg019)) )) (forall ((?arg020 boogieU)) (! (= (type (x_S_AssociatedIrp__IRP ?arg020)) ?v_0) :pattern ((x_S_AssociatedIrp__IRP ?arg020)) )) (forall ((?arg021 boogieU)) (! (= (type (x_S_AssociatedIrp__IRPInv ?arg021)) ?v_0) :pattern ((x_S_AssociatedIrp__IRPInv ?arg021)) )) (forall ((?arg022 boogieU)) (! (= (type (x_S_BaudRate__SERIAL_BAUD_RATE ?arg022)) ?v_0) :pattern ((x_S_BaudRate__SERIAL_BAUD_RATE ?arg022)) )) (forall ((?arg023 boogieU)) (! (= (type (x_S_BaudRate__SERIAL_BAUD_RATEInv ?arg023)) ?v_0) :pattern ((x_S_BaudRate__SERIAL_BAUD_RATEInv ?arg023)) )) (forall ((?arg024 boogieU)) (! (= (type (x_S_BaudRate__SERIAL_WMI_COMM_DATA ?arg024)) ?v_0) :pattern ((x_S_BaudRate__SERIAL_WMI_COMM_DATA ?arg024)) )) (forall ((?arg025 boogieU)) (! (= (type (x_S_BaudRate__SERIAL_WMI_COMM_DATAInv ?arg025)) ?v_0) :pattern ((x_S_BaudRate__SERIAL_WMI_COMM_DATAInv ?arg025)) )) (forall ((?arg026 boogieU)) (! (= (type (x_S_BitsPerByte__SERIAL_WMI_COMM_DATA ?arg026)) ?v_0) :pattern ((x_S_BitsPerByte__SERIAL_WMI_COMM_DATA ?arg026)) )) (forall ((?arg027 boogieU)) (! (= (type (x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv ?arg027)) ?v_0) :pattern ((x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv ?arg027)) )) (forall ((?arg028 boogieU)) (! (= (type (x_S_Blink__LIST_ENTRY ?arg028)) ?v_0) :pattern ((x_S_Blink__LIST_ENTRY ?arg028)) )) (forall ((?arg029 boogieU)) (! (= (type (x_S_Blink__LIST_ENTRYInv ?arg029)) ?v_0) :pattern ((x_S_Blink__LIST_ENTRYInv ?arg029)) )) (forall ((?arg030 boogieU)) (! (= (type (x_S_BreakChar__SERIAL_CHARS ?arg030)) ?v_0) :pattern ((x_S_BreakChar__SERIAL_CHARS ?arg030)) )) (forall ((?arg031 boogieU)) (! (= (type (x_S_BreakChar__SERIAL_CHARSInv ?arg031)) ?v_0) :pattern ((x_S_BreakChar__SERIAL_CHARSInv ?arg031)) )) (forall ((?arg032 boogieU)) (! (= (type (x_S_BufferSize__SERIAL_DEVICE_EXTENSION ?arg032)) ?v_0) :pattern ((x_S_BufferSize__SERIAL_DEVICE_EXTENSION ?arg032)) )) (forall ((?arg033 boogieU)) (! (= (type (x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv ?arg033)) ?v_0) :pattern ((x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv ?arg033)) )) (forall ((?arg034 boogieU)) (! (= (type (x_S_CancelIrql__IRP ?arg034)) ?v_0) :pattern ((x_S_CancelIrql__IRP ?arg034)) )) (forall ((?arg035 boogieU)) (! (= (type (x_S_CancelIrql__IRPInv ?arg035)) ?v_0) :pattern ((x_S_CancelIrql__IRPInv ?arg035)) )) (forall ((?arg036 boogieU)) (! (= (type (x_S_CancelRoutine__IRP ?arg036)) ?v_0) :pattern ((x_S_CancelRoutine__IRP ?arg036)) )) (forall ((?arg037 boogieU)) (! (= (type (x_S_CancelRoutine__IRPInv ?arg037)) ?v_0) :pattern ((x_S_CancelRoutine__IRPInv ?arg037)) )) (forall ((?arg038 boogieU)) (! (= (type (x_S_Cancel__IRP ?arg038)) ?v_0) :pattern ((x_S_Cancel__IRP ?arg038)) )) (forall ((?arg039 boogieU)) (! (= (type (x_S_Cancel__IRPInv ?arg039)) ?v_0) :pattern ((x_S_Cancel__IRPInv ?arg039)) )) (forall ((?arg040 boogieU)) (! (= (type (x_S_CharsCopied__SERIAL_UPDATE_CHAR ?arg040)) ?v_0) :pattern ((x_S_CharsCopied__SERIAL_UPDATE_CHAR ?arg040)) )) (forall ((?arg041 boogieU)) (! (= (type (x_S_CharsCopied__SERIAL_UPDATE_CHARInv ?arg041)) ?v_0) :pattern ((x_S_CharsCopied__SERIAL_UPDATE_CHARInv ?arg041)) )) (forall ((?arg042 boogieU)) (! (= (type (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?arg042)) ?v_0) :pattern ((x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?arg042)) )) (forall ((?arg043 boogieU)) (! (= (type (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?arg043)) ?v_0) :pattern ((x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?arg043)) )) (forall ((?arg044 boogieU)) (! (= (type (x_S_ClockRate__SERIAL_DEVICE_EXTENSION ?arg044)) ?v_0) :pattern ((x_S_ClockRate__SERIAL_DEVICE_EXTENSION ?arg044)) )) (forall ((?arg045 boogieU)) (! (= (type (x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv ?arg045)) ?v_0) :pattern ((x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv ?arg045)) )) (forall ((?arg046 boogieU)) (! (= (type (x_S_Completed__SERIAL_UPDATE_CHAR ?arg046)) ?v_0) :pattern ((x_S_Completed__SERIAL_UPDATE_CHAR ?arg046)) )) (forall ((?arg047 boogieU)) (! (= (type (x_S_Completed__SERIAL_UPDATE_CHARInv ?arg047)) ?v_0) :pattern ((x_S_Completed__SERIAL_UPDATE_CHARInv ?arg047)) )) (forall ((?arg048 boogieU)) (! (= (type (x_S_ControlHandShake__SERIAL_HANDFLOW ?arg048)) ?v_0) :pattern ((x_S_ControlHandShake__SERIAL_HANDFLOW ?arg048)) )) (forall ((?arg049 boogieU)) (! (= (type (x_S_ControlHandShake__SERIAL_HANDFLOWInv ?arg049)) ?v_0) :pattern ((x_S_ControlHandShake__SERIAL_HANDFLOWInv ?arg049)) )) (forall ((?arg050 boogieU)) (! (= (type (x_S_ControlLock__SERIAL_DEVICE_EXTENSION ?arg050)) ?v_0) :pattern ((x_S_ControlLock__SERIAL_DEVICE_EXTENSION ?arg050)) )) (forall ((?arg051 boogieU)) (! (= (type (x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv ?arg051)) ?v_0) :pattern ((x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv ?arg051)) )) (forall ((?arg052 boogieU)) (! (= (type (x_S_Controller__SERIAL_DEVICE_EXTENSION ?arg052)) ?v_0) :pattern ((x_S_Controller__SERIAL_DEVICE_EXTENSION ?arg052)) )) (forall ((?arg053 boogieU)) (! (= (type (x_S_Controller__SERIAL_DEVICE_EXTENSIONInv ?arg053)) ?v_0) :pattern ((x_S_Controller__SERIAL_DEVICE_EXTENSIONInv ?arg053)) )) (forall ((?arg054 boogieU)) (! (= (type (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION ?arg054)) ?v_0) :pattern ((x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION ?arg054)) )) (forall ((?arg055 boogieU)) (! (= (type (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?arg055)) ?v_0) :pattern ((x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?arg055)) )) (forall ((?arg056 boogieU)) (! (= (type (x_S_Counter__SERIAL_XOFF_COUNTER ?arg056)) ?v_0) :pattern ((x_S_Counter__SERIAL_XOFF_COUNTER ?arg056)) )) (forall ((?arg057 boogieU)) (! (= (type (x_S_Counter__SERIAL_XOFF_COUNTERInv ?arg057)) ?v_0) :pattern ((x_S_Counter__SERIAL_XOFF_COUNTERInv ?arg057)) )) (forall ((?arg058 boogieU)) (! (= (type (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION ?arg058)) ?v_0) :pattern ((x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION ?arg058)) )) (forall ((?arg059 boogieU)) (! (= (type (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?arg059)) ?v_0) :pattern ((x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?arg059)) )) (forall ((?arg060 boogieU)) (! (= (type (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?arg060)) ?v_0) :pattern ((x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?arg060)) )) (forall ((?arg061 boogieU)) (! (= (type (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?arg061)) ?v_0) :pattern ((x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?arg061)) )) (forall ((?arg062 boogieU)) (! (= (type (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?arg062)) ?v_0) :pattern ((x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?arg062)) )) (forall ((?arg063 boogieU)) (! (= (type (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?arg063)) ?v_0) :pattern ((x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?arg063)) )) (forall ((?arg064 boogieU)) (! (= (type (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?arg064)) ?v_0) :pattern ((x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?arg064)) )) (forall ((?arg065 boogieU)) (! (= (type (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?arg065)) ?v_0) :pattern ((x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?arg065)) )) (forall ((?arg066 boogieU)) (! (= (type (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?arg066)) ?v_0) :pattern ((x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?arg066)) )) (forall ((?arg067 boogieU)) (! (= (type (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?arg067)) ?v_0) :pattern ((x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?arg067)) )) (forall ((?arg068 boogieU)) (! (= (type (x_S_CurrentRxQueue__SERIAL_COMMPROP ?arg068)) ?v_0) :pattern ((x_S_CurrentRxQueue__SERIAL_COMMPROP ?arg068)) )) (forall ((?arg069 boogieU)) (! (= (type (x_S_CurrentRxQueue__SERIAL_COMMPROPInv ?arg069)) ?v_0) :pattern ((x_S_CurrentRxQueue__SERIAL_COMMPROPInv ?arg069)) )) (forall ((?arg070 boogieU)) (! (= (type (x_S_CurrentTxQueue__SERIAL_COMMPROP ?arg070)) ?v_0) :pattern ((x_S_CurrentTxQueue__SERIAL_COMMPROP ?arg070)) )) (forall ((?arg071 boogieU)) (! (= (type (x_S_CurrentTxQueue__SERIAL_COMMPROPInv ?arg071)) ?v_0) :pattern ((x_S_CurrentTxQueue__SERIAL_COMMPROPInv ?arg071)) )) (forall ((?arg072 boogieU)) (! (= (type (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?arg072)) ?v_0) :pattern ((x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?arg072)) )) (forall ((?arg073 boogieU)) (! (= (type (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?arg073)) ?v_0) :pattern ((x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?arg073)) )) (forall ((?arg074 boogieU)) (! (= (type (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?arg074)) ?v_0) :pattern ((x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?arg074)) )) (forall ((?arg075 boogieU)) (! (= (type (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?arg075)) ?v_0) :pattern ((x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?arg075)) )) (forall ((?arg076 boogieU)) (! (= (type (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION ?arg076)) ?v_0) :pattern ((x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION ?arg076)) )) (forall ((?arg077 boogieU)) (! (= (type (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?arg077)) ?v_0) :pattern ((x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?arg077)) )) (forall ((?arg078 boogieU)) (! (= (type (x_S_Data__SERIAL_IOCTL_SYNC ?arg078)) ?v_0) :pattern ((x_S_Data__SERIAL_IOCTL_SYNC ?arg078)) )) (forall ((?arg079 boogieU)) (! (= (type (x_S_Data__SERIAL_IOCTL_SYNCInv ?arg079)) ?v_0) :pattern ((x_S_Data__SERIAL_IOCTL_SYNCInv ?arg079)) )) (forall ((?arg080 boogieU)) (! (= (type (x_S_DeviceExtension__DEVICE_OBJECT ?arg080)) ?v_0) :pattern ((x_S_DeviceExtension__DEVICE_OBJECT ?arg080)) )) (forall ((?arg081 boogieU)) (! (= (type (x_S_DeviceExtension__DEVICE_OBJECTInv ?arg081)) ?v_0) :pattern ((x_S_DeviceExtension__DEVICE_OBJECTInv ?arg081)) )) (forall ((?arg082 boogieU)) (! (= (type (x_S_DeviceIoControl___unnamed_16_57edbc3a ?arg082)) ?v_0) :pattern ((x_S_DeviceIoControl___unnamed_16_57edbc3a ?arg082)) )) (forall ((?arg083 boogieU)) (! (= (type (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?arg083)) ?v_0) :pattern ((x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?arg083)) )) (forall ((?arg084 boogieU)) (! (= (type (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?arg084)) ?v_0) :pattern ((x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?arg084)) )) (forall ((?arg085 boogieU)) (! (= (type (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?arg085)) ?v_0) :pattern ((x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?arg085)) )) (forall ((?arg086 boogieU)) (! (= (type (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?arg086)) ?v_0) :pattern ((x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?arg086)) )) (forall ((?arg087 boogieU)) (! (= (type (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?arg087)) ?v_0) :pattern ((x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?arg087)) )) (forall ((?arg088 boogieU)) (! (= (type (x_S_DeviceState__POWER_STATE ?arg088)) ?v_0) :pattern ((x_S_DeviceState__POWER_STATE ?arg088)) )) (forall ((?arg089 boogieU)) (! (= (type (x_S_DeviceState__POWER_STATEInv ?arg089)) ?v_0) :pattern ((x_S_DeviceState__POWER_STATEInv ?arg089)) )) (forall ((?arg090 boogieU)) (! (= (type (x_S_DpcCount__SERIAL_DEVICE_EXTENSION ?arg090)) ?v_0) :pattern ((x_S_DpcCount__SERIAL_DEVICE_EXTENSION ?arg090)) )) (forall ((?arg091 boogieU)) (! (= (type (x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv ?arg091)) ?v_0) :pattern ((x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv ?arg091)) )) (forall ((?arg092 boogieU)) (! (= (type (x_S_Dpc__KTIMER ?arg092)) ?v_0) :pattern ((x_S_Dpc__KTIMER ?arg092)) )) (forall ((?arg093 boogieU)) (! (= (type (x_S_Dpc__KTIMERInv ?arg093)) ?v_0) :pattern ((x_S_Dpc__KTIMERInv ?arg093)) )) (forall ((?arg094 boogieU)) (! (= (type (x_S_EofChar__SERIAL_CHARS ?arg094)) ?v_0) :pattern ((x_S_EofChar__SERIAL_CHARS ?arg094)) )) (forall ((?arg095 boogieU)) (! (= (type (x_S_EofChar__SERIAL_CHARSInv ?arg095)) ?v_0) :pattern ((x_S_EofChar__SERIAL_CHARSInv ?arg095)) )) (forall ((?arg096 boogieU)) (! (= (type (x_S_ErrorChar__SERIAL_CHARS ?arg096)) ?v_0) :pattern ((x_S_ErrorChar__SERIAL_CHARS ?arg096)) )) (forall ((?arg097 boogieU)) (! (= (type (x_S_ErrorChar__SERIAL_CHARSInv ?arg097)) ?v_0) :pattern ((x_S_ErrorChar__SERIAL_CHARSInv ?arg097)) )) (forall ((?arg098 boogieU)) (! (= (type (x_S_ErrorWord__SERIAL_DEVICE_EXTENSION ?arg098)) ?v_0) :pattern ((x_S_ErrorWord__SERIAL_DEVICE_EXTENSION ?arg098)) )) (forall ((?arg099 boogieU)) (! (= (type (x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?arg099)) ?v_0) :pattern ((x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?arg099)) )) (forall ((?arg0100 boogieU)) (! (= (type (x_S_EscapeChar__SERIAL_DEVICE_EXTENSION ?arg0100)) ?v_0) :pattern ((x_S_EscapeChar__SERIAL_DEVICE_EXTENSION ?arg0100)) )) (forall ((?arg0101 boogieU)) (! (= (type (x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?arg0101)) ?v_0) :pattern ((x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?arg0101)) )) (forall ((?arg0102 boogieU)) (! (= (type (x_S_EventChar__SERIAL_CHARS ?arg0102)) ?v_0) :pattern ((x_S_EventChar__SERIAL_CHARS ?arg0102)) )) (forall ((?arg0103 boogieU)) (! (= (type (x_S_EventChar__SERIAL_CHARSInv ?arg0103)) ?v_0) :pattern ((x_S_EventChar__SERIAL_CHARSInv ?arg0103)) )) (forall ((?arg0104 boogieU)) (! (= (type (x_S_Extension__SERIAL_IOCTL_SYNC ?arg0104)) ?v_0) :pattern ((x_S_Extension__SERIAL_IOCTL_SYNC ?arg0104)) )) (forall ((?arg0105 boogieU)) (! (= (type (x_S_Extension__SERIAL_IOCTL_SYNCInv ?arg0105)) ?v_0) :pattern ((x_S_Extension__SERIAL_IOCTL_SYNCInv ?arg0105)) )) (forall ((?arg0106 boogieU)) (! (= (type (x_S_Extension__SERIAL_RESIZE_PARAMS ?arg0106)) ?v_0) :pattern ((x_S_Extension__SERIAL_RESIZE_PARAMS ?arg0106)) )) (forall ((?arg0107 boogieU)) (! (= (type (x_S_Extension__SERIAL_RESIZE_PARAMSInv ?arg0107)) ?v_0) :pattern ((x_S_Extension__SERIAL_RESIZE_PARAMSInv ?arg0107)) )) (forall ((?arg0108 boogieU)) (! (= (type (x_S_Extension__SERIAL_UPDATE_CHAR ?arg0108)) ?v_0) :pattern ((x_S_Extension__SERIAL_UPDATE_CHAR ?arg0108)) )) (forall ((?arg0109 boogieU)) (! (= (type (x_S_Extension__SERIAL_UPDATE_CHARInv ?arg0109)) ?v_0) :pattern ((x_S_Extension__SERIAL_UPDATE_CHARInv ?arg0109)) )) (forall ((?arg0110 boogieU)) (! (= (type (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION ?arg0110)) ?v_0) :pattern ((x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION ?arg0110)) )) (forall ((?arg0111 boogieU)) (! (= (type (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?arg0111)) ?v_0) :pattern ((x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?arg0111)) )) (forall ((?arg0112 boogieU)) (! (= (type (x_S_FlagsLock__SERIAL_DEVICE_EXTENSION ?arg0112)) ?v_0) :pattern ((x_S_FlagsLock__SERIAL_DEVICE_EXTENSION ?arg0112)) )) (forall ((?arg0113 boogieU)) (! (= (type (x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?arg0113)) ?v_0) :pattern ((x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?arg0113)) )) (forall ((?arg0114 boogieU)) (! (= (type (x_S_Flags__SERIAL_DEVICE_EXTENSION ?arg0114)) ?v_0) :pattern ((x_S_Flags__SERIAL_DEVICE_EXTENSION ?arg0114)) )) (forall ((?arg0115 boogieU)) (! (= (type (x_S_Flags__SERIAL_DEVICE_EXTENSIONInv ?arg0115)) ?v_0) :pattern ((x_S_Flags__SERIAL_DEVICE_EXTENSIONInv ?arg0115)) )) (forall ((?arg0116 boogieU)) (! (= (type (x_S_Flink__LIST_ENTRY ?arg0116)) ?v_0) :pattern ((x_S_Flink__LIST_ENTRY ?arg0116)) )) (forall ((?arg0117 boogieU)) (! (= (type (x_S_Flink__LIST_ENTRYInv ?arg0117)) ?v_0) :pattern ((x_S_Flink__LIST_ENTRYInv ?arg0117)) )) (forall ((?arg0118 boogieU)) (! (= (type (x_S_FlowReplace__SERIAL_HANDFLOW ?arg0118)) ?v_0) :pattern ((x_S_FlowReplace__SERIAL_HANDFLOW ?arg0118)) )) (forall ((?arg0119 boogieU)) (! (= (type (x_S_FlowReplace__SERIAL_HANDFLOWInv ?arg0119)) ?v_0) :pattern ((x_S_FlowReplace__SERIAL_HANDFLOWInv ?arg0119)) )) (forall ((?arg0120 boogieU)) (! (= (type (x_S_HandFlow__SERIAL_DEVICE_EXTENSION ?arg0120)) ?v_0) :pattern ((x_S_HandFlow__SERIAL_DEVICE_EXTENSION ?arg0120)) )) (forall ((?arg0121 boogieU)) (! (= (type (x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv ?arg0121)) ?v_0) :pattern ((x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv ?arg0121)) )) (forall ((?arg0122 boogieU)) (! (= (type (x_S_HighPart___unnamed_8_544b88f4 ?arg0122)) ?v_0) :pattern ((x_S_HighPart___unnamed_8_544b88f4 ?arg0122)) )) (forall ((?arg0123 boogieU)) (! (= (type (x_S_HighPart___unnamed_8_544b88f4Inv ?arg0123)) ?v_0) :pattern ((x_S_HighPart___unnamed_8_544b88f4Inv ?arg0123)) )) (forall ((?arg0124 boogieU)) (! (= (type (x_S_HighPart___unnamed_8_5d67d492 ?arg0124)) ?v_0) :pattern ((x_S_HighPart___unnamed_8_5d67d492 ?arg0124)) )) (forall ((?arg0125 boogieU)) (! (= (type (x_S_HighPart___unnamed_8_5d67d492Inv ?arg0125)) ?v_0) :pattern ((x_S_HighPart___unnamed_8_5d67d492Inv ?arg0125)) )) (forall ((?arg0126 boogieU)) (! (= (type (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?arg0126)) ?v_0) :pattern ((x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?arg0126)) )) (forall ((?arg0127 boogieU)) (! (= (type (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0127)) ?v_0) :pattern ((x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0127)) )) (forall ((?arg0128 boogieU)) (! (= (type (x_S_InSize__SERIAL_QUEUE_SIZE ?arg0128)) ?v_0) :pattern ((x_S_InSize__SERIAL_QUEUE_SIZE ?arg0128)) )) (forall ((?arg0129 boogieU)) (! (= (type (x_S_InSize__SERIAL_QUEUE_SIZEInv ?arg0129)) ?v_0) :pattern ((x_S_InSize__SERIAL_QUEUE_SIZEInv ?arg0129)) )) (forall ((?arg0130 boogieU)) (! (= (type (x_S_Information__IO_STATUS_BLOCK ?arg0130)) ?v_0) :pattern ((x_S_Information__IO_STATUS_BLOCK ?arg0130)) )) (forall ((?arg0131 boogieU)) (! (= (type (x_S_Information__IO_STATUS_BLOCKInv ?arg0131)) ?v_0) :pattern ((x_S_Information__IO_STATUS_BLOCKInv ?arg0131)) )) (forall ((?arg0132 boogieU)) (! (= (type (x_S_InputBufferLength___unnamed_16_5bbbf1e7 ?arg0132)) ?v_0) :pattern ((x_S_InputBufferLength___unnamed_16_5bbbf1e7 ?arg0132)) )) (forall ((?arg0133 boogieU)) (! (= (type (x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv ?arg0133)) ?v_0) :pattern ((x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv ?arg0133)) )) (forall ((?arg0134 boogieU)) (! (= (type (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?arg0134)) ?v_0) :pattern ((x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?arg0134)) )) (forall ((?arg0135 boogieU)) (! (= (type (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?arg0135)) ?v_0) :pattern ((x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?arg0135)) )) (forall ((?arg0136 boogieU)) (! (= (type (x_S_Interrupt__SERIAL_DEVICE_EXTENSION ?arg0136)) ?v_0) :pattern ((x_S_Interrupt__SERIAL_DEVICE_EXTENSION ?arg0136)) )) (forall ((?arg0137 boogieU)) (! (= (type (x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv ?arg0137)) ?v_0) :pattern ((x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv ?arg0137)) )) (forall ((?arg0138 boogieU)) (! (= (type (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0138)) ?v_0) :pattern ((x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0138)) )) (forall ((?arg0139 boogieU)) (! (= (type (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0139)) ?v_0) :pattern ((x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0139)) )) (forall ((?arg0140 boogieU)) (! (= (type (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?arg0140)) ?v_0) :pattern ((x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?arg0140)) )) (forall ((?arg0141 boogieU)) (! (= (type (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?arg0141)) ?v_0) :pattern ((x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?arg0141)) )) (forall ((?arg0142 boogieU)) (! (= (type (x_S_IntervalTime__SERIAL_DEVICE_EXTENSION ?arg0142)) ?v_0) :pattern ((x_S_IntervalTime__SERIAL_DEVICE_EXTENSION ?arg0142)) )) (forall ((?arg0143 boogieU)) (! (= (type (x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?arg0143)) ?v_0) :pattern ((x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?arg0143)) )) (forall ((?arg0144 boogieU)) (! (= (type (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?arg0144)) ?v_0) :pattern ((x_S_IoControlCode___unnamed_16_5bbbf1e7 ?arg0144)) )) (forall ((?arg0145 boogieU)) (! (= (type (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?arg0145)) ?v_0) :pattern ((x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?arg0145)) )) (forall ((?arg0146 boogieU)) (! (= (type (x_S_IoStatus__IRP ?arg0146)) ?v_0) :pattern ((x_S_IoStatus__IRP ?arg0146)) )) (forall ((?arg0147 boogieU)) (! (= (type (x_S_IoStatus__IRPInv ?arg0147)) ?v_0) :pattern ((x_S_IoStatus__IRPInv ?arg0147)) )) (forall ((?arg0148 boogieU)) (! (= (type (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION ?arg0148)) ?v_0) :pattern ((x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION ?arg0148)) )) (forall ((?arg0149 boogieU)) (! (= (type (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?arg0149)) ?v_0) :pattern ((x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?arg0149)) )) (forall ((?arg0150 boogieU)) (! (= (type (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION ?arg0150)) ?v_0) :pattern ((x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION ?arg0150)) )) (forall ((?arg0151 boogieU)) (! (= (type (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?arg0151)) ?v_0) :pattern ((x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?arg0151)) )) (forall ((?arg0152 boogieU)) (! (= (type (x_S_LastReadTime__SERIAL_DEVICE_EXTENSION ?arg0152)) ?v_0) :pattern ((x_S_LastReadTime__SERIAL_DEVICE_EXTENSION ?arg0152)) )) (forall ((?arg0153 boogieU)) (! (= (type (x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?arg0153)) ?v_0) :pattern ((x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?arg0153)) )) (forall ((?arg0154 boogieU)) (! (= (type (x_S_Length___unnamed_16_3a584a7c ?arg0154)) ?v_0) :pattern ((x_S_Length___unnamed_16_3a584a7c ?arg0154)) )) (forall ((?arg0155 boogieU)) (! (= (type (x_S_Length___unnamed_16_3a584a7cInv ?arg0155)) ?v_0) :pattern ((x_S_Length___unnamed_16_3a584a7cInv ?arg0155)) )) (forall ((?arg0156 boogieU)) (! (= (type (x_S_Length___unnamed_16_94922103 ?arg0156)) ?v_0) :pattern ((x_S_Length___unnamed_16_94922103 ?arg0156)) )) (forall ((?arg0157 boogieU)) (! (= (type (x_S_Length___unnamed_16_94922103Inv ?arg0157)) ?v_0) :pattern ((x_S_Length___unnamed_16_94922103Inv ?arg0157)) )) (forall ((?arg0158 boogieU)) (! (= (type (x_S_LineControl__SERIAL_DEVICE_EXTENSION ?arg0158)) ?v_0) :pattern ((x_S_LineControl__SERIAL_DEVICE_EXTENSION ?arg0158)) )) (forall ((?arg0159 boogieU)) (! (= (type (x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv ?arg0159)) ?v_0) :pattern ((x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv ?arg0159)) )) (forall ((?arg0160 boogieU)) (! (= (type (x_S_ListEntry___unnamed_12_5cc47a19 ?arg0160)) ?v_0) :pattern ((x_S_ListEntry___unnamed_12_5cc47a19 ?arg0160)) )) (forall ((?arg0161 boogieU)) (! (= (type (x_S_ListEntry___unnamed_12_5cc47a19Inv ?arg0161)) ?v_0) :pattern ((x_S_ListEntry___unnamed_12_5cc47a19Inv ?arg0161)) )) (forall ((?arg0162 boogieU)) (! (= (type (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?arg0162)) ?v_0) :pattern ((x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?arg0162)) )) (forall ((?arg0163 boogieU)) (! (= (type (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?arg0163)) ?v_0) :pattern ((x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?arg0163)) )) (forall ((?arg0164 boogieU)) (! (= (type (x_S_LowPart___unnamed_8_544b88f4 ?arg0164)) ?v_0) :pattern ((x_S_LowPart___unnamed_8_544b88f4 ?arg0164)) )) (forall ((?arg0165 boogieU)) (! (= (type (x_S_LowPart___unnamed_8_544b88f4Inv ?arg0165)) ?v_0) :pattern ((x_S_LowPart___unnamed_8_544b88f4Inv ?arg0165)) )) (forall ((?arg0166 boogieU)) (! (= (type (x_S_LowPart___unnamed_8_5d67d492 ?arg0166)) ?v_0) :pattern ((x_S_LowPart___unnamed_8_5d67d492 ?arg0166)) )) (forall ((?arg0167 boogieU)) (! (= (type (x_S_LowPart___unnamed_8_5d67d492Inv ?arg0167)) ?v_0) :pattern ((x_S_LowPart___unnamed_8_5d67d492Inv ?arg0167)) )) (forall ((?arg0168 boogieU)) (! (= (type (x_S_MajorFunction__IO_STACK_LOCATION ?arg0168)) ?v_0) :pattern ((x_S_MajorFunction__IO_STACK_LOCATION ?arg0168)) )) (forall ((?arg0169 boogieU)) (! (= (type (x_S_MajorFunction__IO_STACK_LOCATIONInv ?arg0169)) ?v_0) :pattern ((x_S_MajorFunction__IO_STACK_LOCATIONInv ?arg0169)) )) (forall ((?arg0170 boogieU)) (! (= (type (x_S_MaskQueue__SERIAL_DEVICE_EXTENSION ?arg0170)) ?v_0) :pattern ((x_S_MaskQueue__SERIAL_DEVICE_EXTENSION ?arg0170)) )) (forall ((?arg0171 boogieU)) (! (= (type (x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0171)) ?v_0) :pattern ((x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0171)) )) (forall ((?arg0172 boogieU)) (! (= (type (x_S_MaxBaud__SERIAL_COMMPROP ?arg0172)) ?v_0) :pattern ((x_S_MaxBaud__SERIAL_COMMPROP ?arg0172)) )) (forall ((?arg0173 boogieU)) (! (= (type (x_S_MaxBaud__SERIAL_COMMPROPInv ?arg0173)) ?v_0) :pattern ((x_S_MaxBaud__SERIAL_COMMPROPInv ?arg0173)) )) (forall ((?arg0174 boogieU)) (! (= (type (x_S_MaxRxQueue__SERIAL_COMMPROP ?arg0174)) ?v_0) :pattern ((x_S_MaxRxQueue__SERIAL_COMMPROP ?arg0174)) )) (forall ((?arg0175 boogieU)) (! (= (type (x_S_MaxRxQueue__SERIAL_COMMPROPInv ?arg0175)) ?v_0) :pattern ((x_S_MaxRxQueue__SERIAL_COMMPROPInv ?arg0175)) )) (forall ((?arg0176 boogieU)) (! (= (type (x_S_MaxTxQueue__SERIAL_COMMPROP ?arg0176)) ?v_0) :pattern ((x_S_MaxTxQueue__SERIAL_COMMPROP ?arg0176)) )) (forall ((?arg0177 boogieU)) (! (= (type (x_S_MaxTxQueue__SERIAL_COMMPROPInv ?arg0177)) ?v_0) :pattern ((x_S_MaxTxQueue__SERIAL_COMMPROPInv ?arg0177)) )) (forall ((?arg0178 boogieU)) (! (= (type (x_S_NewBufferSize__SERIAL_RESIZE_PARAMS ?arg0178)) ?v_0) :pattern ((x_S_NewBufferSize__SERIAL_RESIZE_PARAMS ?arg0178)) )) (forall ((?arg0179 boogieU)) (! (= (type (x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv ?arg0179)) ?v_0) :pattern ((x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv ?arg0179)) )) (forall ((?arg0180 boogieU)) (! (= (type (x_S_NewBuffer__SERIAL_RESIZE_PARAMS ?arg0180)) ?v_0) :pattern ((x_S_NewBuffer__SERIAL_RESIZE_PARAMS ?arg0180)) )) (forall ((?arg0181 boogieU)) (! (= (type (x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv ?arg0181)) ?v_0) :pattern ((x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv ?arg0181)) )) (forall ((?arg0182 boogieU)) (! (= (type (x_S_NumberMoved__SERIAL_RESIZE_PARAMS ?arg0182)) ?v_0) :pattern ((x_S_NumberMoved__SERIAL_RESIZE_PARAMS ?arg0182)) )) (forall ((?arg0183 boogieU)) (! (= (type (x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv ?arg0183)) ?v_0) :pattern ((x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv ?arg0183)) )) (forall ((?arg0184 boogieU)) (! (= (type (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?arg0184)) ?v_0) :pattern ((x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?arg0184)) )) (forall ((?arg0185 boogieU)) (! (= (type (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?arg0185)) ?v_0) :pattern ((x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?arg0185)) )) (forall ((?arg0186 boogieU)) (! (= (type (x_S_OldBuffer__SERIAL_RESIZE_PARAMS ?arg0186)) ?v_0) :pattern ((x_S_OldBuffer__SERIAL_RESIZE_PARAMS ?arg0186)) )) (forall ((?arg0187 boogieU)) (! (= (type (x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv ?arg0187)) ?v_0) :pattern ((x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv ?arg0187)) )) (forall ((?arg0188 boogieU)) (! (= (type (x_S_Others___unnamed_16_57edbc3a ?arg0188)) ?v_0) :pattern ((x_S_Others___unnamed_16_57edbc3a ?arg0188)) )) (forall ((?arg0189 boogieU)) (! (= (type (x_S_Others___unnamed_16_57edbc3aInv ?arg0189)) ?v_0) :pattern ((x_S_Others___unnamed_16_57edbc3aInv ?arg0189)) )) (forall ((?arg0190 boogieU)) (! (= (type (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?arg0190)) ?v_0) :pattern ((x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?arg0190)) )) (forall ((?arg0191 boogieU)) (! (= (type (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?arg0191)) ?v_0) :pattern ((x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?arg0191)) )) (forall ((?arg0192 boogieU)) (! (= (type (x_S_Overlay___unnamed_48_ffd8d308 ?arg0192)) ?v_0) :pattern ((x_S_Overlay___unnamed_48_ffd8d308 ?arg0192)) )) (forall ((?arg0193 boogieU)) (! (= (type (x_S_Overlay___unnamed_48_ffd8d308Inv ?arg0193)) ?v_0) :pattern ((x_S_Overlay___unnamed_48_ffd8d308Inv ?arg0193)) )) (forall ((?arg0194 boogieU)) (! (= (type (x_S_PacketLength__SERIAL_COMMPROP ?arg0194)) ?v_0) :pattern ((x_S_PacketLength__SERIAL_COMMPROP ?arg0194)) )) (forall ((?arg0195 boogieU)) (! (= (type (x_S_PacketLength__SERIAL_COMMPROPInv ?arg0195)) ?v_0) :pattern ((x_S_PacketLength__SERIAL_COMMPROPInv ?arg0195)) )) (forall ((?arg0196 boogieU)) (! (= (type (x_S_PacketVersion__SERIAL_COMMPROP ?arg0196)) ?v_0) :pattern ((x_S_PacketVersion__SERIAL_COMMPROP ?arg0196)) )) (forall ((?arg0197 boogieU)) (! (= (type (x_S_PacketVersion__SERIAL_COMMPROPInv ?arg0197)) ?v_0) :pattern ((x_S_PacketVersion__SERIAL_COMMPROPInv ?arg0197)) )) (forall ((?arg0198 boogieU)) (! (= (type (x_S_Parameters__IO_STACK_LOCATION ?arg0198)) ?v_0) :pattern ((x_S_Parameters__IO_STACK_LOCATION ?arg0198)) )) (forall ((?arg0199 boogieU)) (! (= (type (x_S_Parameters__IO_STACK_LOCATIONInv ?arg0199)) ?v_0) :pattern ((x_S_Parameters__IO_STACK_LOCATIONInv ?arg0199)) )) (forall ((?arg0200 boogieU)) (! (= (type (x_S_Parity__SERIAL_LINE_CONTROL ?arg0200)) ?v_0) :pattern ((x_S_Parity__SERIAL_LINE_CONTROL ?arg0200)) )) (forall ((?arg0201 boogieU)) (! (= (type (x_S_Parity__SERIAL_LINE_CONTROLInv ?arg0201)) ?v_0) :pattern ((x_S_Parity__SERIAL_LINE_CONTROLInv ?arg0201)) )) (forall ((?arg0202 boogieU)) (! (= (type (x_S_Parity__SERIAL_WMI_COMM_DATA ?arg0202)) ?v_0) :pattern ((x_S_Parity__SERIAL_WMI_COMM_DATA ?arg0202)) )) (forall ((?arg0203 boogieU)) (! (= (type (x_S_Parity__SERIAL_WMI_COMM_DATAInv ?arg0203)) ?v_0) :pattern ((x_S_Parity__SERIAL_WMI_COMM_DATAInv ?arg0203)) )) (forall ((?arg0204 boogieU)) (! (= (type (x_S_Pdo__SERIAL_DEVICE_EXTENSION ?arg0204)) ?v_0) :pattern ((x_S_Pdo__SERIAL_DEVICE_EXTENSION ?arg0204)) )) (forall ((?arg0205 boogieU)) (! (= (type (x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv ?arg0205)) ?v_0) :pattern ((x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv ?arg0205)) )) (forall ((?arg0206 boogieU)) (! (= (type (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?arg0206)) ?v_0) :pattern ((x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?arg0206)) )) (forall ((?arg0207 boogieU)) (! (= (type (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?arg0207)) ?v_0) :pattern ((x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?arg0207)) )) (forall ((?arg0208 boogieU)) (! (= (type (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?arg0208)) ?v_0) :pattern ((x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?arg0208)) )) (forall ((?arg0209 boogieU)) (! (= (type (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?arg0209)) ?v_0) :pattern ((x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?arg0209)) )) (forall ((?arg0210 boogieU)) (! (= (type (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?arg0210)) ?v_0) :pattern ((x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?arg0210)) )) (forall ((?arg0211 boogieU)) (! (= (type (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?arg0211)) ?v_0) :pattern ((x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?arg0211)) )) (forall ((?arg0212 boogieU)) (! (= (type (x_S_PowerState__SERIAL_DEVICE_EXTENSION ?arg0212)) ?v_0) :pattern ((x_S_PowerState__SERIAL_DEVICE_EXTENSION ?arg0212)) )) (forall ((?arg0213 boogieU)) (! (= (type (x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv ?arg0213)) ?v_0) :pattern ((x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv ?arg0213)) )) (forall ((?arg0214 boogieU)) (! (= (type (x_S_ProvCapabilities__SERIAL_COMMPROP ?arg0214)) ?v_0) :pattern ((x_S_ProvCapabilities__SERIAL_COMMPROP ?arg0214)) )) (forall ((?arg0215 boogieU)) (! (= (type (x_S_ProvCapabilities__SERIAL_COMMPROPInv ?arg0215)) ?v_0) :pattern ((x_S_ProvCapabilities__SERIAL_COMMPROPInv ?arg0215)) )) (forall ((?arg0216 boogieU)) (! (= (type (x_S_ProvSubType__SERIAL_COMMPROP ?arg0216)) ?v_0) :pattern ((x_S_ProvSubType__SERIAL_COMMPROP ?arg0216)) )) (forall ((?arg0217 boogieU)) (! (= (type (x_S_ProvSubType__SERIAL_COMMPROPInv ?arg0217)) ?v_0) :pattern ((x_S_ProvSubType__SERIAL_COMMPROPInv ?arg0217)) )) (forall ((?arg0218 boogieU)) (! (= (type (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION ?arg0218)) ?v_0) :pattern ((x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION ?arg0218)) )) (forall ((?arg0219 boogieU)) (! (= (type (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0219)) ?v_0) :pattern ((x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0219)) )) (forall ((?arg0220 boogieU)) (! (= (type (x_S_QuadPart__LARGE_INTEGER ?arg0220)) ?v_0) :pattern ((x_S_QuadPart__LARGE_INTEGER ?arg0220)) )) (forall ((?arg0221 boogieU)) (! (= (type (x_S_QuadPart__LARGE_INTEGERInv ?arg0221)) ?v_0) :pattern ((x_S_QuadPart__LARGE_INTEGERInv ?arg0221)) )) (forall ((?arg0222 boogieU)) (! (= (type (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION ?arg0222)) ?v_0) :pattern ((x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION ?arg0222)) )) (forall ((?arg0223 boogieU)) (! (= (type (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?arg0223)) ?v_0) :pattern ((x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?arg0223)) )) (forall ((?arg0224 boogieU)) (! (= (type (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS ?arg0224)) ?v_0) :pattern ((x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS ?arg0224)) )) (forall ((?arg0225 boogieU)) (! (= (type (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?arg0225)) ?v_0) :pattern ((x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?arg0225)) )) (forall ((?arg0226 boogieU)) (! (= (type (x_S_ReadQueue__SERIAL_DEVICE_EXTENSION ?arg0226)) ?v_0) :pattern ((x_S_ReadQueue__SERIAL_DEVICE_EXTENSION ?arg0226)) )) (forall ((?arg0227 boogieU)) (! (= (type (x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0227)) ?v_0) :pattern ((x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0227)) )) (forall ((?arg0228 boogieU)) (! (= (type (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?arg0228)) ?v_0) :pattern ((x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?arg0228)) )) (forall ((?arg0229 boogieU)) (! (= (type (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0229)) ?v_0) :pattern ((x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0229)) )) (forall ((?arg0230 boogieU)) (! (= (type (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?arg0230)) ?v_0) :pattern ((x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?arg0230)) )) (forall ((?arg0231 boogieU)) (! (= (type (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0231)) ?v_0) :pattern ((x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0231)) )) (forall ((?arg0232 boogieU)) (! (= (type (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?arg0232)) ?v_0) :pattern ((x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?arg0232)) )) (forall ((?arg0233 boogieU)) (! (= (type (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?arg0233)) ?v_0) :pattern ((x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?arg0233)) )) (forall ((?arg0234 boogieU)) (! (= (type (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?arg0234)) ?v_0) :pattern ((x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?arg0234)) )) (forall ((?arg0235 boogieU)) (! (= (type (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?arg0235)) ?v_0) :pattern ((x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?arg0235)) )) (forall ((?arg0236 boogieU)) (! (= (type (x_S_Read___unnamed_16_57edbc3a ?arg0236)) ?v_0) :pattern ((x_S_Read___unnamed_16_57edbc3a ?arg0236)) )) (forall ((?arg0237 boogieU)) (! (= (type (x_S_Read___unnamed_16_57edbc3aInv ?arg0237)) ?v_0) :pattern ((x_S_Read___unnamed_16_57edbc3aInv ?arg0237)) )) (forall ((?arg0238 boogieU)) (! (= (type (x_S_ServiceMask__SERIAL_COMMPROP ?arg0238)) ?v_0) :pattern ((x_S_ServiceMask__SERIAL_COMMPROP ?arg0238)) )) (forall ((?arg0239 boogieU)) (! (= (type (x_S_ServiceMask__SERIAL_COMMPROPInv ?arg0239)) ?v_0) :pattern ((x_S_ServiceMask__SERIAL_COMMPROPInv ?arg0239)) )) (forall ((?arg0240 boogieU)) (! (= (type (x_S_SettableBaud__SERIAL_COMMPROP ?arg0240)) ?v_0) :pattern ((x_S_SettableBaud__SERIAL_COMMPROP ?arg0240)) )) (forall ((?arg0241 boogieU)) (! (= (type (x_S_SettableBaud__SERIAL_COMMPROPInv ?arg0241)) ?v_0) :pattern ((x_S_SettableBaud__SERIAL_COMMPROPInv ?arg0241)) )) (forall ((?arg0242 boogieU)) (! (= (type (x_S_SettableData__SERIAL_COMMPROP ?arg0242)) ?v_0) :pattern ((x_S_SettableData__SERIAL_COMMPROP ?arg0242)) )) (forall ((?arg0243 boogieU)) (! (= (type (x_S_SettableData__SERIAL_COMMPROPInv ?arg0243)) ?v_0) :pattern ((x_S_SettableData__SERIAL_COMMPROPInv ?arg0243)) )) (forall ((?arg0244 boogieU)) (! (= (type (x_S_SettableParams__SERIAL_COMMPROP ?arg0244)) ?v_0) :pattern ((x_S_SettableParams__SERIAL_COMMPROP ?arg0244)) )) (forall ((?arg0245 boogieU)) (! (= (type (x_S_SettableParams__SERIAL_COMMPROPInv ?arg0245)) ?v_0) :pattern ((x_S_SettableParams__SERIAL_COMMPROPInv ?arg0245)) )) (forall ((?arg0246 boogieU)) (! (= (type (x_S_SettableStopParity__SERIAL_COMMPROP ?arg0246)) ?v_0) :pattern ((x_S_SettableStopParity__SERIAL_COMMPROP ?arg0246)) )) (forall ((?arg0247 boogieU)) (! (= (type (x_S_SettableStopParity__SERIAL_COMMPROPInv ?arg0247)) ?v_0) :pattern ((x_S_SettableStopParity__SERIAL_COMMPROPInv ?arg0247)) )) (forall ((?arg0248 boogieU)) (! (= (type (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?arg0248)) ?v_0) :pattern ((x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?arg0248)) )) (forall ((?arg0249 boogieU)) (! (= (type (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?arg0249)) ?v_0) :pattern ((x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?arg0249)) )) (forall ((?arg0250 boogieU)) (! (= (type (x_S_SpecialChars__SERIAL_DEVICE_EXTENSION ?arg0250)) ?v_0) :pattern ((x_S_SpecialChars__SERIAL_DEVICE_EXTENSION ?arg0250)) )) (forall ((?arg0251 boogieU)) (! (= (type (x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?arg0251)) ?v_0) :pattern ((x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?arg0251)) )) (forall ((?arg0252 boogieU)) (! (= (type (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?arg0252)) ?v_0) :pattern ((x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?arg0252)) )) (forall ((?arg0253 boogieU)) (! (= (type (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0253)) ?v_0) :pattern ((x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0253)) )) (forall ((?arg0254 boogieU)) (! (= (type (x_S_Status___unnamed_4_ab1173de ?arg0254)) ?v_0) :pattern ((x_S_Status___unnamed_4_ab1173de ?arg0254)) )) (forall ((?arg0255 boogieU)) (! (= (type (x_S_Status___unnamed_4_ab1173deInv ?arg0255)) ?v_0) :pattern ((x_S_Status___unnamed_4_ab1173deInv ?arg0255)) )) (forall ((?arg0256 boogieU)) (! (= (type (x_S_StopBits__SERIAL_LINE_CONTROL ?arg0256)) ?v_0) :pattern ((x_S_StopBits__SERIAL_LINE_CONTROL ?arg0256)) )) (forall ((?arg0257 boogieU)) (! (= (type (x_S_StopBits__SERIAL_LINE_CONTROLInv ?arg0257)) ?v_0) :pattern ((x_S_StopBits__SERIAL_LINE_CONTROLInv ?arg0257)) )) (forall ((?arg0258 boogieU)) (! (= (type (x_S_StopBits__SERIAL_WMI_COMM_DATA ?arg0258)) ?v_0) :pattern ((x_S_StopBits__SERIAL_WMI_COMM_DATA ?arg0258)) )) (forall ((?arg0259 boogieU)) (! (= (type (x_S_StopBits__SERIAL_WMI_COMM_DATAInv ?arg0259)) ?v_0) :pattern ((x_S_StopBits__SERIAL_WMI_COMM_DATAInv ?arg0259)) )) (forall ((?arg0260 boogieU)) (! (= (type (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION ?arg0260)) ?v_0) :pattern ((x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION ?arg0260)) )) (forall ((?arg0261 boogieU)) (! (= (type (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?arg0261)) ?v_0) :pattern ((x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?arg0261)) )) (forall ((?arg0262 boogieU)) (! (= (type (x_S_SystemBuffer___unnamed_4_3dc37e35 ?arg0262)) ?v_0) :pattern ((x_S_SystemBuffer___unnamed_4_3dc37e35 ?arg0262)) )) (forall ((?arg0263 boogieU)) (! (= (type (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?arg0263)) ?v_0) :pattern ((x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?arg0263)) )) (forall ((?arg0264 boogieU)) (! (= (type (x_S_SystemState__POWER_STATE ?arg0264)) ?v_0) :pattern ((x_S_SystemState__POWER_STATE ?arg0264)) )) (forall ((?arg0265 boogieU)) (! (= (type (x_S_SystemState__POWER_STATEInv ?arg0265)) ?v_0) :pattern ((x_S_SystemState__POWER_STATEInv ?arg0265)) )) (forall ((?arg0266 boogieU)) (! (= (type (x_S_Tail__IRP ?arg0266)) ?v_0) :pattern ((x_S_Tail__IRP ?arg0266)) )) (forall ((?arg0267 boogieU)) (! (= (type (x_S_Tail__IRPInv ?arg0267)) ?v_0) :pattern ((x_S_Tail__IRPInv ?arg0267)) )) (forall ((?arg0268 boogieU)) (! (= (type (x_S_Timeout__SERIAL_XOFF_COUNTER ?arg0268)) ?v_0) :pattern ((x_S_Timeout__SERIAL_XOFF_COUNTER ?arg0268)) )) (forall ((?arg0269 boogieU)) (! (= (type (x_S_Timeout__SERIAL_XOFF_COUNTERInv ?arg0269)) ?v_0) :pattern ((x_S_Timeout__SERIAL_XOFF_COUNTERInv ?arg0269)) )) (forall ((?arg0270 boogieU)) (! (= (type (x_S_Timeouts__SERIAL_DEVICE_EXTENSION ?arg0270)) ?v_0) :pattern ((x_S_Timeouts__SERIAL_DEVICE_EXTENSION ?arg0270)) )) (forall ((?arg0271 boogieU)) (! (= (type (x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv ?arg0271)) ?v_0) :pattern ((x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv ?arg0271)) )) (forall ((?arg0272 boogieU)) (! (= (type (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?arg0272)) ?v_0) :pattern ((x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?arg0272)) )) (forall ((?arg0273 boogieU)) (! (= (type (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?arg0273)) ?v_0) :pattern ((x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?arg0273)) )) (forall ((?arg0274 boogieU)) (! (= (type (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0274)) ?v_0) :pattern ((x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0274)) )) (forall ((?arg0275 boogieU)) (! (= (type (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0275)) ?v_0) :pattern ((x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0275)) )) (forall ((?arg0276 boogieU)) (! (= (type (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0276)) ?v_0) :pattern ((x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0276)) )) (forall ((?arg0277 boogieU)) (! (= (type (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0277)) ?v_0) :pattern ((x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0277)) )) (forall ((?arg0278 boogieU)) (! (= (type (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0278)) ?v_0) :pattern ((x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0278)) )) (forall ((?arg0279 boogieU)) (! (= (type (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0279)) ?v_0) :pattern ((x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0279)) )) (forall ((?arg0280 boogieU)) (! (= (type (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 ?arg0280)) ?v_0) :pattern ((x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 ?arg0280)) )) (forall ((?arg0281 boogieU)) (! (= (type (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?arg0281)) ?v_0) :pattern ((x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?arg0281)) )) (forall ((?arg0282 boogieU)) (! (= (type (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION ?arg0282)) ?v_0) :pattern ((x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION ?arg0282)) )) (forall ((?arg0283 boogieU)) (! (= (type (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?arg0283)) ?v_0) :pattern ((x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?arg0283)) )) (forall ((?arg0284 boogieU)) (! (= (type (x_S_WmiCommData__SERIAL_DEVICE_EXTENSION ?arg0284)) ?v_0) :pattern ((x_S_WmiCommData__SERIAL_DEVICE_EXTENSION ?arg0284)) )) (forall ((?arg0285 boogieU)) (! (= (type (x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?arg0285)) ?v_0) :pattern ((x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?arg0285)) )) (forall ((?arg0286 boogieU)) (! (= (type (x_S_WordLength__SERIAL_LINE_CONTROL ?arg0286)) ?v_0) :pattern ((x_S_WordLength__SERIAL_LINE_CONTROL ?arg0286)) )) (forall ((?arg0287 boogieU)) (! (= (type (x_S_WordLength__SERIAL_LINE_CONTROLInv ?arg0287)) ?v_0) :pattern ((x_S_WordLength__SERIAL_LINE_CONTROLInv ?arg0287)) )) (forall ((?arg0288 boogieU)) (! (= (type (x_S_WriteQueue__SERIAL_DEVICE_EXTENSION ?arg0288)) ?v_0) :pattern ((x_S_WriteQueue__SERIAL_DEVICE_EXTENSION ?arg0288)) )) (forall ((?arg0289 boogieU)) (! (= (type (x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0289)) ?v_0) :pattern ((x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0289)) )) (forall ((?arg0290 boogieU)) (! (= (type (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?arg0290)) ?v_0) :pattern ((x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?arg0290)) )) (forall ((?arg0291 boogieU)) (! (= (type (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0291)) ?v_0) :pattern ((x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0291)) )) (forall ((?arg0292 boogieU)) (! (= (type (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?arg0292)) ?v_0) :pattern ((x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?arg0292)) )) (forall ((?arg0293 boogieU)) (! (= (type (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?arg0293)) ?v_0) :pattern ((x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?arg0293)) )) (forall ((?arg0294 boogieU)) (! (= (type (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?arg0294)) ?v_0) :pattern ((x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?arg0294)) )) (forall ((?arg0295 boogieU)) (! (= (type (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?arg0295)) ?v_0) :pattern ((x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?arg0295)) )) (forall ((?arg0296 boogieU)) (! (= (type (x_S_Write___unnamed_16_57edbc3a ?arg0296)) ?v_0) :pattern ((x_S_Write___unnamed_16_57edbc3a ?arg0296)) )) (forall ((?arg0297 boogieU)) (! (= (type (x_S_Write___unnamed_16_57edbc3aInv ?arg0297)) ?v_0) :pattern ((x_S_Write___unnamed_16_57edbc3aInv ?arg0297)) )) (forall ((?arg0298 boogieU)) (! (= (type (x_S_XoffChar__SERIAL_CHARS ?arg0298)) ?v_0) :pattern ((x_S_XoffChar__SERIAL_CHARS ?arg0298)) )) (forall ((?arg0299 boogieU)) (! (= (type (x_S_XoffChar__SERIAL_CHARSInv ?arg0299)) ?v_0) :pattern ((x_S_XoffChar__SERIAL_CHARSInv ?arg0299)) )) (forall ((?arg0300 boogieU)) (! (= (type (x_S_XoffCharacter__SERIAL_WMI_COMM_DATA ?arg0300)) ?v_0) :pattern ((x_S_XoffCharacter__SERIAL_WMI_COMM_DATA ?arg0300)) )) (forall ((?arg0301 boogieU)) (! (= (type (x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv ?arg0301)) ?v_0) :pattern ((x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv ?arg0301)) )) (forall ((?arg0302 boogieU)) (! (= (type (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0302)) ?v_0) :pattern ((x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0302)) )) (forall ((?arg0303 boogieU)) (! (= (type (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0303)) ?v_0) :pattern ((x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0303)) )) (forall ((?arg0304 boogieU)) (! (= (type (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION ?arg0304)) ?v_0) :pattern ((x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION ?arg0304)) )) (forall ((?arg0305 boogieU)) (! (= (type (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0305)) ?v_0) :pattern ((x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0305)) )) (forall ((?arg0306 boogieU)) (! (= (type (x_S_XoffLimit__SERIAL_HANDFLOW ?arg0306)) ?v_0) :pattern ((x_S_XoffLimit__SERIAL_HANDFLOW ?arg0306)) )) (forall ((?arg0307 boogieU)) (! (= (type (x_S_XoffLimit__SERIAL_HANDFLOWInv ?arg0307)) ?v_0) :pattern ((x_S_XoffLimit__SERIAL_HANDFLOWInv ?arg0307)) )) (forall ((?arg0308 boogieU)) (! (= (type (x_S_XonChar__SERIAL_CHARS ?arg0308)) ?v_0) :pattern ((x_S_XonChar__SERIAL_CHARS ?arg0308)) )) (forall ((?arg0309 boogieU)) (! (= (type (x_S_XonChar__SERIAL_CHARSInv ?arg0309)) ?v_0) :pattern ((x_S_XonChar__SERIAL_CHARSInv ?arg0309)) )) (forall ((?arg0310 boogieU)) (! (= (type (x_S_XonCharacter__SERIAL_WMI_COMM_DATA ?arg0310)) ?v_0) :pattern ((x_S_XonCharacter__SERIAL_WMI_COMM_DATA ?arg0310)) )) (forall ((?arg0311 boogieU)) (! (= (type (x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv ?arg0311)) ?v_0) :pattern ((x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv ?arg0311)) )) (forall ((?arg0312 boogieU)) (! (= (type (x_S_XonLimit__SERIAL_HANDFLOW ?arg0312)) ?v_0) :pattern ((x_S_XonLimit__SERIAL_HANDFLOW ?arg0312)) )) (forall ((?arg0313 boogieU)) (! (= (type (x_S_XonLimit__SERIAL_HANDFLOWInv ?arg0313)) ?v_0) :pattern ((x_S_XonLimit__SERIAL_HANDFLOWInv ?arg0313)) )) (forall ((?arg0314 boogieU)) (! (= (type (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a ?arg0314)) ?v_0) :pattern ((x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a ?arg0314)) )) (forall ((?arg0315 boogieU)) (! (= (type (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?arg0315)) ?v_0) :pattern ((x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?arg0315)) )) (forall ((?arg0316 boogieU)) (! (= (type (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?arg0316)) ?v_0) :pattern ((x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?arg0316)) )) (forall ((?arg0317 boogieU)) (! (= (type (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?arg0317)) ?v_0) :pattern ((x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?arg0317)) )) (forall ((?arg0318 boogieU)) (! (= (type (x_S___unnamed_8_544b88f4__LARGE_INTEGER ?arg0318)) ?v_0) :pattern ((x_S___unnamed_8_544b88f4__LARGE_INTEGER ?arg0318)) )) (forall ((?arg0319 boogieU)) (! (= (type (x_S___unnamed_8_544b88f4__LARGE_INTEGERInv ?arg0319)) ?v_0) :pattern ((x_S___unnamed_8_544b88f4__LARGE_INTEGERInv ?arg0319)) )) (forall ((?arg0320 boogieU)) (! (= (type (x_S_u__LARGE_INTEGER ?arg0320)) ?v_0) :pattern ((x_S_u__LARGE_INTEGER ?arg0320)) )) (forall ((?arg0321 boogieU)) (! (= (type (x_S_u__LARGE_INTEGERInv ?arg0321)) ?v_0) :pattern ((x_S_u__LARGE_INTEGERInv ?arg0321)) )))))
(assert (and (forall ((?x1 boogieU)) (UOrdering2 ?x1 ?x1)) (forall ((?x2 boogieU) (?y boogieU) (?z boogieU)) (! (let ((?v_0 (type ?x2))) (=> (and (= (type ?y) ?v_0) (= (type ?z) ?v_0)) (=> (and (UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) (UOrdering2 ?x2 ?z)))) :pattern ((UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) )) (forall ((?x3 boogieU) (?y1 boogieU)) (! (=> (= (type ?y1) (type ?x3)) (=> (and (UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) (= ?x3 ?y1))) :pattern ((UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) )) (distinct UNALLOCATED ALLOCATED FREED BYTE T.Guid_WMIGUIDREGINFO T.InstanceCount_WMIGUIDREGINFO T.Flags_WMIGUIDREGINFO T.OperationID__ACCESS_STATE T.SecurityEvaluated__ACCESS_STATE T.GenerateAudit__ACCESS_STATE T.GenerateOnClose__ACCESS_STATE T.PrivilegesAllocated__ACCESS_STATE T.Flags__ACCESS_STATE T.RemainingDesiredAccess__ACCESS_STATE T.PreviouslyGrantedAccess__ACCESS_STATE T.OriginalDesiredAccess__ACCESS_STATE T.SubjectSecurityContext__ACCESS_STATE T.SecurityDescriptor__ACCESS_STATE T.AuxData__ACCESS_STATE T.Privileges__ACCESS_STATE T.AuditPrivileges__ACCESS_STATE T.ObjectName__ACCESS_STATE T.ObjectTypeName__ACCESS_STATE T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR T.Version__CM_PARTIAL_RESOURCE_LIST T.Revision__CM_PARTIAL_RESOURCE_LIST T.Count__CM_PARTIAL_RESOURCE_LIST T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST T.Count__CM_RESOURCE_LIST T.List__CM_RESOURCE_LIST T.Size__DEVICE_CAPABILITIES T.Version__DEVICE_CAPABILITIES T.DeviceD1__DEVICE_CAPABILITIES T.DeviceD2__DEVICE_CAPABILITIES T.LockSupported__DEVICE_CAPABILITIES T.EjectSupported__DEVICE_CAPABILITIES T.Removable__DEVICE_CAPABILITIES T.DockDevice__DEVICE_CAPABILITIES T.UniqueID__DEVICE_CAPABILITIES T.SilentInstall__DEVICE_CAPABILITIES T.RawDeviceOK__DEVICE_CAPABILITIES T.SurpriseRemovalOK__DEVICE_CAPABILITIES T.WakeFromD0__DEVICE_CAPABILITIES T.WakeFromD1__DEVICE_CAPABILITIES T.WakeFromD2__DEVICE_CAPABILITIES T.WakeFromD3__DEVICE_CAPABILITIES T.HardwareDisabled__DEVICE_CAPABILITIES T.NonDynamic__DEVICE_CAPABILITIES T.WarmEjectSupported__DEVICE_CAPABILITIES T.NoDisplayInUI__DEVICE_CAPABILITIES T.Reserved__DEVICE_CAPABILITIES T.Address__DEVICE_CAPABILITIES T.UINumber__DEVICE_CAPABILITIES T.DeviceState__DEVICE_CAPABILITIES T.SystemWake__DEVICE_CAPABILITIES T.DeviceWake__DEVICE_CAPABILITIES T.D1Latency__DEVICE_CAPABILITIES T.D2Latency__DEVICE_CAPABILITIES T.D3Latency__DEVICE_CAPABILITIES T.Type__DEVICE_OBJECT T.Size__DEVICE_OBJECT T.ReferenceCount__DEVICE_OBJECT T.DriverObject__DEVICE_OBJECT T.NextDevice__DEVICE_OBJECT T.AttachedDevice__DEVICE_OBJECT T.CurrentIrp__DEVICE_OBJECT T.Timer__DEVICE_OBJECT T.Flags__DEVICE_OBJECT T.Characteristics__DEVICE_OBJECT T.Vpb__DEVICE_OBJECT T.DeviceExtension__DEVICE_OBJECT T.DeviceType__DEVICE_OBJECT T.StackSize__DEVICE_OBJECT T.Queue__DEVICE_OBJECT T.AlignmentRequirement__DEVICE_OBJECT T.DeviceQueue__DEVICE_OBJECT T.Dpc__DEVICE_OBJECT T.ActiveThreadCount__DEVICE_OBJECT T.SecurityDescriptor__DEVICE_OBJECT T.DeviceLock__DEVICE_OBJECT T.SectorSize__DEVICE_OBJECT T.Spare1__DEVICE_OBJECT T.DeviceObjectExtension__DEVICE_OBJECT T.Reserved__DEVICE_OBJECT T.Type__DEVOBJ_EXTENSION T.Size__DEVOBJ_EXTENSION T.DeviceObject__DEVOBJ_EXTENSION T.__unnamed_4_7b44c46c__DISPATCHER_HEADER T.SignalState__DISPATCHER_HEADER T.WaitListHead__DISPATCHER_HEADER T.DriverObject__DRIVER_EXTENSION T.AddDevice__DRIVER_EXTENSION T.Count__DRIVER_EXTENSION T.ServiceKeyName__DRIVER_EXTENSION T.Type__DRIVER_OBJECT T.Size__DRIVER_OBJECT T.DeviceObject__DRIVER_OBJECT T.Flags__DRIVER_OBJECT T.DriverStart__DRIVER_OBJECT T.DriverSize__DRIVER_OBJECT T.DriverSection__DRIVER_OBJECT T.DriverExtension__DRIVER_OBJECT T.DriverName__DRIVER_OBJECT T.HardwareDatabase__DRIVER_OBJECT T.FastIoDispatch__DRIVER_OBJECT T.DriverInit__DRIVER_OBJECT T.DriverStartIo__DRIVER_OBJECT T.DriverUnload__DRIVER_OBJECT T.MajorFunction__DRIVER_OBJECT T.SystemResourcesList__ERESOURCE T.OwnerTable__ERESOURCE T.ActiveCount__ERESOURCE T.Flag__ERESOURCE T.SharedWaiters__ERESOURCE T.ExclusiveWaiters__ERESOURCE T.OwnerEntry__ERESOURCE T.ActiveEntries__ERESOURCE T.ContentionCount__ERESOURCE T.NumberOfSharedWaiters__ERESOURCE T.NumberOfExclusiveWaiters__ERESOURCE T.__unnamed_4_f13e195c__ERESOURCE T.SpinLock__ERESOURCE T.SizeOfFastIoDispatch__FAST_IO_DISPATCH T.FastIoCheckIfPossible__FAST_IO_DISPATCH T.FastIoRead__FAST_IO_DISPATCH T.FastIoWrite__FAST_IO_DISPATCH T.FastIoQueryBasicInfo__FAST_IO_DISPATCH T.FastIoQueryStandardInfo__FAST_IO_DISPATCH T.FastIoLock__FAST_IO_DISPATCH T.FastIoUnlockSingle__FAST_IO_DISPATCH T.FastIoUnlockAll__FAST_IO_DISPATCH T.FastIoUnlockAllByKey__FAST_IO_DISPATCH T.FastIoDeviceControl__FAST_IO_DISPATCH T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH T.FastIoDetachDevice__FAST_IO_DISPATCH T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH T.AcquireForModWrite__FAST_IO_DISPATCH T.MdlRead__FAST_IO_DISPATCH T.MdlReadComplete__FAST_IO_DISPATCH T.PrepareMdlWrite__FAST_IO_DISPATCH T.MdlWriteComplete__FAST_IO_DISPATCH T.FastIoReadCompressed__FAST_IO_DISPATCH T.FastIoWriteCompressed__FAST_IO_DISPATCH T.MdlReadCompleteCompressed__FAST_IO_DISPATCH T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH T.FastIoQueryOpen__FAST_IO_DISPATCH T.ReleaseForModWrite__FAST_IO_DISPATCH T.AcquireForCcFlush__FAST_IO_DISPATCH T.ReleaseForCcFlush__FAST_IO_DISPATCH T.Count__FAST_MUTEX T.Owner__FAST_MUTEX T.Contention__FAST_MUTEX T.Gate__FAST_MUTEX T.OldIrql__FAST_MUTEX T.CreationTime__FILE_BASIC_INFORMATION T.LastAccessTime__FILE_BASIC_INFORMATION T.LastWriteTime__FILE_BASIC_INFORMATION T.ChangeTime__FILE_BASIC_INFORMATION T.FileAttributes__FILE_BASIC_INFORMATION T.CreationTime__FILE_NETWORK_OPEN_INFORMATION T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION T.Type__FILE_OBJECT T.Size__FILE_OBJECT T.DeviceObject__FILE_OBJECT T.Vpb__FILE_OBJECT T.FsContext__FILE_OBJECT T.FsContext2__FILE_OBJECT T.SectionObjectPointer__FILE_OBJECT T.PrivateCacheMap__FILE_OBJECT T.FinalStatus__FILE_OBJECT T.RelatedFileObject__FILE_OBJECT T.LockOperation__FILE_OBJECT T.DeletePending__FILE_OBJECT T.ReadAccess__FILE_OBJECT T.WriteAccess__FILE_OBJECT T.DeleteAccess__FILE_OBJECT T.SharedRead__FILE_OBJECT T.SharedWrite__FILE_OBJECT T.SharedDelete__FILE_OBJECT T.Flags__FILE_OBJECT T.FileName__FILE_OBJECT T.CurrentByteOffset__FILE_OBJECT T.Waiters__FILE_OBJECT T.Busy__FILE_OBJECT T.LastLock__FILE_OBJECT T.Lock__FILE_OBJECT T.Event__FILE_OBJECT T.CompletionContext__FILE_OBJECT T.IrpListLock__FILE_OBJECT T.IrpList__FILE_OBJECT T.FileObjectExtension__FILE_OBJECT T.AllocationSize__FILE_STANDARD_INFORMATION T.EndOfFile__FILE_STANDARD_INFORMATION T.NumberOfLinks__FILE_STANDARD_INFORMATION T.DeletePending__FILE_STANDARD_INFORMATION T.Directory__FILE_STANDARD_INFORMATION T.Data1__GUID T.Data2__GUID T.Data3__GUID T.Data4__GUID T.PrivilegeCount__INITIAL_PRIVILEGE_SET T.Control__INITIAL_PRIVILEGE_SET T.Privilege__INITIAL_PRIVILEGE_SET T.Size__INTERFACE T.Version__INTERFACE T.Context__INTERFACE T.InterfaceReference__INTERFACE T.InterfaceDereference__INTERFACE T.Port__IO_COMPLETION_CONTEXT T.Key__IO_COMPLETION_CONTEXT T.Option__IO_RESOURCE_DESCRIPTOR T.Type__IO_RESOURCE_DESCRIPTOR T.ShareDisposition__IO_RESOURCE_DESCRIPTOR T.Spare1__IO_RESOURCE_DESCRIPTOR T.Flags__IO_RESOURCE_DESCRIPTOR T.Spare2__IO_RESOURCE_DESCRIPTOR T.u__IO_RESOURCE_DESCRIPTOR T.Version__IO_RESOURCE_LIST T.Revision__IO_RESOURCE_LIST T.Count__IO_RESOURCE_LIST T.Descriptors__IO_RESOURCE_LIST T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST T.List__IO_RESOURCE_REQUIREMENTS_LIST T.SecurityQos__IO_SECURITY_CONTEXT T.AccessState__IO_SECURITY_CONTEXT T.DesiredAccess__IO_SECURITY_CONTEXT T.FullCreateOptions__IO_SECURITY_CONTEXT T.MajorFunction__IO_STACK_LOCATION T.MinorFunction__IO_STACK_LOCATION T.Flags__IO_STACK_LOCATION T.Control__IO_STACK_LOCATION T.Parameters__IO_STACK_LOCATION T.DeviceObject__IO_STACK_LOCATION T.FileObject__IO_STACK_LOCATION T.CompletionRoutine__IO_STACK_LOCATION T.Context__IO_STACK_LOCATION T.__unnamed_4_ab1173de__IO_STATUS_BLOCK T.Information__IO_STATUS_BLOCK T.Type__IRP T.Size__IRP T.MdlAddress__IRP T.Flags__IRP T.AssociatedIrp__IRP T.ThreadListEntry__IRP T.IoStatus__IRP T.RequestorMode__IRP T.PendingReturned__IRP T.StackCount__IRP T.CurrentLocation__IRP T.Cancel__IRP T.CancelIrql__IRP T.ApcEnvironment__IRP T.AllocationFlags__IRP T.UserIosb__IRP T.UserEvent__IRP T.Overlay__IRP T.CancelRoutine__IRP T.UserBuffer__IRP T.Tail__IRP T.Type__KAPC T.SpareByte0__KAPC T.Size__KAPC T.SpareByte1__KAPC T.SpareLong0__KAPC T.Thread__KAPC T.ApcListEntry__KAPC T.KernelRoutine__KAPC T.RundownRoutine__KAPC T.NormalRoutine__KAPC T.NormalContext__KAPC T.SystemArgument1__KAPC T.SystemArgument2__KAPC T.ApcStateIndex__KAPC T.ApcMode__KAPC T.Inserted__KAPC T.Type__KDEVICE_QUEUE T.Size__KDEVICE_QUEUE T.DeviceListHead__KDEVICE_QUEUE T.Lock__KDEVICE_QUEUE T.Busy__KDEVICE_QUEUE T.DeviceListEntry__KDEVICE_QUEUE_ENTRY T.SortKey__KDEVICE_QUEUE_ENTRY T.Inserted__KDEVICE_QUEUE_ENTRY T.Type__KDPC T.Importance__KDPC T.Number__KDPC T.DpcListEntry__KDPC T.DeferredRoutine__KDPC T.DeferredContext__KDPC T.SystemArgument1__KDPC T.SystemArgument2__KDPC T.DpcData__KDPC T.Header__KEVENT T.Header__KSEMAPHORE T.Limit__KSEMAPHORE T.Header__KTIMER T.DueTime__KTIMER T.TimerListEntry__KTIMER T.Dpc__KTIMER T.Period__KTIMER T.__unnamed_8_544b88f4__LARGE_INTEGER T.u__LARGE_INTEGER T.QuadPart__LARGE_INTEGER T.Flink__LIST_ENTRY T.Blink__LIST_ENTRY T.LowPart__LUID T.HighPart__LUID T.Luid__LUID_AND_ATTRIBUTES T.Attributes__LUID_AND_ATTRIBUTES T.Next__MDL T.Size__MDL T.MdlFlags__MDL T.Process__MDL T.MappedSystemVa__MDL T.StartVa__MDL T.ByteCount__MDL T.ByteOffset__MDL T.OwnerThread__OWNER_ENTRY T.__unnamed_4_1c47e29a__OWNER_ENTRY T.SequenceD1__POWER_SEQUENCE T.SequenceD2__POWER_SEQUENCE T.SequenceD3__POWER_SEQUENCE T.SystemState__POWER_STATE T.DeviceState__POWER_STATE T.PrivilegeCount__PRIVILEGE_SET T.Control__PRIVILEGE_SET T.Privilege__PRIVILEGE_SET T.DataSectionObject__SECTION_OBJECT_POINTERS T.SharedCacheMap__SECTION_OBJECT_POINTERS T.ImageSectionObject__SECTION_OBJECT_POINTERS T.Length__SECURITY_QUALITY_OF_SERVICE T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE T.ClientToken__SECURITY_SUBJECT_CONTEXT T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT T.PrimaryToken__SECURITY_SUBJECT_CONTEXT T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT T.ReceivedCount__SERIALPERF_STATS T.TransmittedCount__SERIALPERF_STATS T.FrameErrorCount__SERIALPERF_STATS T.SerialOverrunErrorCount__SERIALPERF_STATS T.BufferOverrunErrorCount__SERIALPERF_STATS T.ParityErrorCount__SERIALPERF_STATS T.BaudRate__SERIAL_BAUD_RATE T.EofChar__SERIAL_CHARS T.ErrorChar__SERIAL_CHARS T.BreakChar__SERIAL_CHARS T.EventChar__SERIAL_CHARS T.XonChar__SERIAL_CHARS T.XoffChar__SERIAL_CHARS T.IsrFunc__SERIAL_CISR_SW T.Context__SERIAL_CISR_SW T.SharerList__SERIAL_CISR_SW T.PacketLength__SERIAL_COMMPROP T.PacketVersion__SERIAL_COMMPROP T.ServiceMask__SERIAL_COMMPROP T.Reserved1__SERIAL_COMMPROP T.MaxTxQueue__SERIAL_COMMPROP T.MaxRxQueue__SERIAL_COMMPROP T.MaxBaud__SERIAL_COMMPROP T.ProvSubType__SERIAL_COMMPROP T.ProvCapabilities__SERIAL_COMMPROP T.SettableParams__SERIAL_COMMPROP T.SettableBaud__SERIAL_COMMPROP T.SettableData__SERIAL_COMMPROP T.SettableStopParity__SERIAL_COMMPROP T.CurrentTxQueue__SERIAL_COMMPROP T.CurrentRxQueue__SERIAL_COMMPROP T.ProvSpec1__SERIAL_COMMPROP T.ProvSpec2__SERIAL_COMMPROP T.ProvChar__SERIAL_COMMPROP T.TopLevelOurIsr__SERIAL_DEVICE_EXTENSION T.TopLevelOurIsrContext__SERIAL_DEVICE_EXTENSION T.TopLevelSharers__SERIAL_DEVICE_EXTENSION T.CommonInterruptObject__SERIAL_DEVICE_EXTENSION T.MultiportSiblings__SERIAL_DEVICE_EXTENSION T.AllDevObjs__SERIAL_DEVICE_EXTENSION T.OriginalController__SERIAL_DEVICE_EXTENSION T.OriginalInterruptStatus__SERIAL_DEVICE_EXTENSION T.IntervalTime__SERIAL_DEVICE_EXTENSION T.ShortIntervalAmount__SERIAL_DEVICE_EXTENSION T.LongIntervalAmount__SERIAL_DEVICE_EXTENSION T.CutOverAmount__SERIAL_DEVICE_EXTENSION T.LastReadTime__SERIAL_DEVICE_EXTENSION T.DeviceName__SERIAL_DEVICE_EXTENSION T.ObjectDirectory__SERIAL_DEVICE_EXTENSION T.SymbolicLinkName__SERIAL_DEVICE_EXTENSION T.DosName__SERIAL_DEVICE_EXTENSION T.IntervalTimeToUse__SERIAL_DEVICE_EXTENSION T.DeviceObject__SERIAL_DEVICE_EXTENSION T.OurIsr__SERIAL_DEVICE_EXTENSION T.OurIsrContext__SERIAL_DEVICE_EXTENSION T.Controller__SERIAL_DEVICE_EXTENSION T.InterruptStatus__SERIAL_DEVICE_EXTENSION T.Interrupt__SERIAL_DEVICE_EXTENSION T.ReadQueue__SERIAL_DEVICE_EXTENSION T.WriteQueue__SERIAL_DEVICE_EXTENSION T.MaskQueue__SERIAL_DEVICE_EXTENSION T.PurgeQueue__SERIAL_DEVICE_EXTENSION T.CurrentReadIrp__SERIAL_DEVICE_EXTENSION T.CurrentWriteIrp__SERIAL_DEVICE_EXTENSION T.CurrentMaskIrp__SERIAL_DEVICE_EXTENSION T.CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION T.CurrentWaitIrp__SERIAL_DEVICE_EXTENSION T.CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION T.CurrentXoffIrp__SERIAL_DEVICE_EXTENSION T.WriteLength__SERIAL_DEVICE_EXTENSION T.WriteCurrentChar__SERIAL_DEVICE_EXTENSION T.InterruptReadBuffer__SERIAL_DEVICE_EXTENSION T.ReadBufferBase__SERIAL_DEVICE_EXTENSION T.CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION T.CurrentCharSlot__SERIAL_DEVICE_EXTENSION T.LastCharSlot__SERIAL_DEVICE_EXTENSION T.FirstReadableChar__SERIAL_DEVICE_EXTENSION T.LockPtr__SERIAL_DEVICE_EXTENSION T.BufferSize__SERIAL_DEVICE_EXTENSION T.BufferSizePt8__SERIAL_DEVICE_EXTENSION T.NumberNeededForRead__SERIAL_DEVICE_EXTENSION T.IsrWaitMask__SERIAL_DEVICE_EXTENSION T.HistoryMask__SERIAL_DEVICE_EXTENSION T.IrpMaskLocation__SERIAL_DEVICE_EXTENSION T.TXHolding__SERIAL_DEVICE_EXTENSION T.RXHolding__SERIAL_DEVICE_EXTENSION T.ErrorWord__SERIAL_DEVICE_EXTENSION T.TotalCharsQueued__SERIAL_DEVICE_EXTENSION T.CountOnLastRead__SERIAL_DEVICE_EXTENSION T.ReadByIsr__SERIAL_DEVICE_EXTENSION T.CurrentBaud__SERIAL_DEVICE_EXTENSION T.CountSinceXoff__SERIAL_DEVICE_EXTENSION T.CountOfTryingToLowerRTS__SERIAL_DEVICE_EXTENSION T.SupportedBauds__SERIAL_DEVICE_EXTENSION T.SpanOfController__SERIAL_DEVICE_EXTENSION T.SpanOfInterruptStatus__SERIAL_DEVICE_EXTENSION T.ClockRate__SERIAL_DEVICE_EXTENSION T.TxFifoAmount__SERIAL_DEVICE_EXTENSION T.PermitShare__SERIAL_DEVICE_EXTENSION T.Timeouts__SERIAL_DEVICE_EXTENSION T.SpecialChars__SERIAL_DEVICE_EXTENSION T.HandFlow__SERIAL_DEVICE_EXTENSION T.PerfStats__SERIAL_DEVICE_EXTENSION T.LineControl__SERIAL_DEVICE_EXTENSION T.DeviceIsOpened__SERIAL_DEVICE_EXTENSION T.UnMapRegisters__SERIAL_DEVICE_EXTENSION T.UnMapStatus__SERIAL_DEVICE_EXTENSION T.HoldingEmpty__SERIAL_DEVICE_EXTENSION T.TransmitImmediate__SERIAL_DEVICE_EXTENSION T.EmptiedTransmit__SERIAL_DEVICE_EXTENSION T.PortOnAMultiportCard__SERIAL_DEVICE_EXTENSION T.Vector__SERIAL_DEVICE_EXTENSION T.Irql__SERIAL_DEVICE_EXTENSION T.OriginalVector__SERIAL_DEVICE_EXTENSION T.OriginalIrql__SERIAL_DEVICE_EXTENSION T.AddressSpace__SERIAL_DEVICE_EXTENSION T.BusNumber__SERIAL_DEVICE_EXTENSION T.InterfaceType__SERIAL_DEVICE_EXTENSION T.PortIndex__SERIAL_DEVICE_EXTENSION T.Indexed__SERIAL_DEVICE_EXTENSION T.MaskInverted__SERIAL_DEVICE_EXTENSION T.NewPortIndex__SERIAL_DEVICE_EXTENSION T.NewMaskInverted__SERIAL_DEVICE_EXTENSION T.NewExtension__SERIAL_DEVICE_EXTENSION T.ImmediateChar__SERIAL_DEVICE_EXTENSION T.ValidDataMask__SERIAL_DEVICE_EXTENSION T.EscapeChar__SERIAL_DEVICE_EXTENSION T.SendXonChar__SERIAL_DEVICE_EXTENSION T.SendXoffChar__SERIAL_DEVICE_EXTENSION T.FifoPresent__SERIAL_DEVICE_EXTENSION T.RxFifoTrigger__SERIAL_DEVICE_EXTENSION T.InterruptShareable__SERIAL_DEVICE_EXTENSION T.CreatedSymbolicLink__SERIAL_DEVICE_EXTENSION T.CreatedSerialCommEntry__SERIAL_DEVICE_EXTENSION T.ControlLock__SERIAL_DEVICE_EXTENSION T.FlagsLock__SERIAL_DEVICE_EXTENSION T.CompleteWriteDpc__SERIAL_DEVICE_EXTENSION T.CompleteReadDpc__SERIAL_DEVICE_EXTENSION T.TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION T.IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION T.TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION T.CommErrorDpc__SERIAL_DEVICE_EXTENSION T.CommWaitDpc__SERIAL_DEVICE_EXTENSION T.CompleteImmediateDpc__SERIAL_DEVICE_EXTENSION T.TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION T.XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION T.XoffCountCompleteDpc__SERIAL_DEVICE_EXTENSION T.StartTimerLowerRTSDpc__SERIAL_DEVICE_EXTENSION T.PerhapsLowerRTSDpc__SERIAL_DEVICE_EXTENSION T.IsrUnlockPagesDpc__SERIAL_DEVICE_EXTENSION T.SetPendingDpcEvent__SERIAL_DEVICE_EXTENSION T.ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION T.ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION T.WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION T.ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION T.XoffCountTimer__SERIAL_DEVICE_EXTENSION T.LowerRTSTimer__SERIAL_DEVICE_EXTENSION T.LowerDeviceObject__SERIAL_DEVICE_EXTENSION T.PowerState__SERIAL_DEVICE_EXTENSION T.DriverObject__SERIAL_DEVICE_EXTENSION T.SerialSyncEvent__SERIAL_DEVICE_EXTENSION T.DeviceClassSymbolicName__SERIAL_DEVICE_EXTENSION T.CIsrSw__SERIAL_DEVICE_EXTENSION T.PendingIRPCnt__SERIAL_DEVICE_EXTENSION T.DevicePNPAccept__SERIAL_DEVICE_EXTENSION T.PendingIRPEvent__SERIAL_DEVICE_EXTENSION T.PNPState__SERIAL_DEVICE_EXTENSION T.Flags__SERIAL_DEVICE_EXTENSION T.OpenCount__SERIAL_DEVICE_EXTENSION T.SerialStartEvent__SERIAL_DEVICE_EXTENSION T.DeviceState__SERIAL_DEVICE_EXTENSION T.DeviceStateMap__SERIAL_DEVICE_EXTENSION T.PowerD0Event__SERIAL_DEVICE_EXTENSION T.StalledIrpQueue__SERIAL_DEVICE_EXTENSION T.OpenMutex__SERIAL_DEVICE_EXTENSION T.CloseMutex__SERIAL_DEVICE_EXTENSION T.OwnsPowerPolicy__SERIAL_DEVICE_EXTENSION T.RetainPowerOnClose__SERIAL_DEVICE_EXTENSION T.QueueCreateIrp__SERIAL_DEVICE_EXTENSION T.SystemWake__SERIAL_DEVICE_EXTENSION T.DeviceWake__SERIAL_DEVICE_EXTENSION T.Pdo__SERIAL_DEVICE_EXTENSION T.SendWaitWake__SERIAL_DEVICE_EXTENSION T.PendingWakeIrp__SERIAL_DEVICE_EXTENSION T.WmiLibInfo__SERIAL_DEVICE_EXTENSION T.WmiIdentifier__SERIAL_DEVICE_EXTENSION T.WmiCommData__SERIAL_DEVICE_EXTENSION T.WmiHwData__SERIAL_DEVICE_EXTENSION T.WmiPerfData__SERIAL_DEVICE_EXTENSION T.DpcCount__SERIAL_DEVICE_EXTENSION T.PendingDpcEvent__SERIAL_DEVICE_EXTENSION T.SkipNaming__SERIAL_DEVICE_EXTENSION T.TL16C550CAFC__SERIAL_DEVICE_EXTENSION T.NewDevicePowerState__SERIAL_DEVICE_EXTENSION T.UartRemovalDetect__SERIAL_DEVICE_EXTENSION T.Reopen__SERIAL_DEVICE_STATE T.IER__SERIAL_DEVICE_STATE T.LCR__SERIAL_DEVICE_STATE T.MCR__SERIAL_DEVICE_STATE T.ControlHandShake__SERIAL_HANDFLOW T.FlowReplace__SERIAL_HANDFLOW T.XonLimit__SERIAL_HANDFLOW T.XoffLimit__SERIAL_HANDFLOW T.Extension__SERIAL_IOCTL_SYNC T.Data__SERIAL_IOCTL_SYNC T.StopBits__SERIAL_LINE_CONTROL T.Parity__SERIAL_LINE_CONTROL T.WordLength__SERIAL_LINE_CONTROL T.InSize__SERIAL_QUEUE_SIZE T.OutSize__SERIAL_QUEUE_SIZE T.Extension__SERIAL_RESIZE_PARAMS T.OldBuffer__SERIAL_RESIZE_PARAMS T.NewBuffer__SERIAL_RESIZE_PARAMS T.NewBufferSize__SERIAL_RESIZE_PARAMS T.NumberMoved__SERIAL_RESIZE_PARAMS T.ReadIntervalTimeout__SERIAL_TIMEOUTS T.ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS T.ReadTotalTimeoutConstant__SERIAL_TIMEOUTS T.WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS T.WriteTotalTimeoutConstant__SERIAL_TIMEOUTS T.Extension__SERIAL_UPDATE_CHAR T.CharsCopied__SERIAL_UPDATE_CHAR T.Completed__SERIAL_UPDATE_CHAR T.BaudRate__SERIAL_WMI_COMM_DATA T.BitsPerByte__SERIAL_WMI_COMM_DATA T.Parity__SERIAL_WMI_COMM_DATA T.ParityCheckEnable__SERIAL_WMI_COMM_DATA T.StopBits__SERIAL_WMI_COMM_DATA T.XoffCharacter__SERIAL_WMI_COMM_DATA T.XoffXmitThreshold__SERIAL_WMI_COMM_DATA T.XonCharacter__SERIAL_WMI_COMM_DATA T.XonXmitThreshold__SERIAL_WMI_COMM_DATA T.MaximumBaudRate__SERIAL_WMI_COMM_DATA T.MaximumOutputBufferSize__SERIAL_WMI_COMM_DATA T.MaximumInputBufferSize__SERIAL_WMI_COMM_DATA T.Support16BitMode__SERIAL_WMI_COMM_DATA T.SupportDTRDSR__SERIAL_WMI_COMM_DATA T.SupportIntervalTimeouts__SERIAL_WMI_COMM_DATA T.SupportParityCheck__SERIAL_WMI_COMM_DATA T.SupportRTSCTS__SERIAL_WMI_COMM_DATA T.SupportXonXoff__SERIAL_WMI_COMM_DATA T.SettableBaudRate__SERIAL_WMI_COMM_DATA T.SettableDataBits__SERIAL_WMI_COMM_DATA T.SettableFlowControl__SERIAL_WMI_COMM_DATA T.SettableParity__SERIAL_WMI_COMM_DATA T.SettableParityCheck__SERIAL_WMI_COMM_DATA T.SettableStopBits__SERIAL_WMI_COMM_DATA T.IsBusy__SERIAL_WMI_COMM_DATA T.IrqNumber__SERIAL_WMI_HW_DATA T.IrqVector__SERIAL_WMI_HW_DATA T.IrqLevel__SERIAL_WMI_HW_DATA T.IrqAffinityMask__SERIAL_WMI_HW_DATA T.InterruptType__SERIAL_WMI_HW_DATA T.BaseIOAddress__SERIAL_WMI_HW_DATA T.ReceivedCount__SERIAL_WMI_PERF_DATA T.TransmittedCount__SERIAL_WMI_PERF_DATA T.FrameErrorCount__SERIAL_WMI_PERF_DATA T.SerialOverrunErrorCount__SERIAL_WMI_PERF_DATA T.BufferOverrunErrorCount__SERIAL_WMI_PERF_DATA T.ParityErrorCount__SERIAL_WMI_PERF_DATA T.Timeout__SERIAL_XOFF_COUNTER T.Counter__SERIAL_XOFF_COUNTER T.XoffChar__SERIAL_XOFF_COUNTER T.__unnamed_4_a8006df8__SYSTEM_POWER_STATE_CONTEXT T.__unnamed_8_baf71367__ULARGE_INTEGER T.u__ULARGE_INTEGER T.QuadPart__ULARGE_INTEGER T.Length__UNICODE_STRING T.MaximumLength__UNICODE_STRING T.Buffer__UNICODE_STRING T.Type__VPB T.Size__VPB T.Flags__VPB T.VolumeLabelLength__VPB T.DeviceObject__VPB T.RealDevice__VPB T.SerialNumber__VPB T.ReferenceCount__VPB T.VolumeLabel__VPB T.WaitQueueEntry__WAIT_CONTEXT_BLOCK T.DeviceRoutine__WAIT_CONTEXT_BLOCK T.DeviceContext__WAIT_CONTEXT_BLOCK T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK T.DeviceObject__WAIT_CONTEXT_BLOCK T.CurrentIrp__WAIT_CONTEXT_BLOCK T.BufferChainingDpc__WAIT_CONTEXT_BLOCK T.GuidCount__WMILIB_CONTEXT T.GuidList__WMILIB_CONTEXT T.QueryWmiRegInfo__WMILIB_CONTEXT T.QueryWmiDataBlock__WMILIB_CONTEXT T.SetWmiDataBlock__WMILIB_CONTEXT T.SetWmiDataItem__WMILIB_CONTEXT T.ExecuteWmiMethod__WMILIB_CONTEXT T.WmiFunctionControl__WMILIB_CONTEXT T.Priority___unnamed_12_0cb3dc26 T.Reserved1___unnamed_12_0cb3dc26 T.Reserved2___unnamed_12_0cb3dc26 T.Data___unnamed_12_1a4b0b08 T.Reserved___unnamed_12_1cbe20d6 T.MessageCount___unnamed_12_1cbe20d6 T.Vector___unnamed_12_1cbe20d6 T.Affinity___unnamed_12_1cbe20d6 T.Start___unnamed_12_28f1f9cc T.Length___unnamed_12_28f1f9cc T.Reserved___unnamed_12_28f1f9cc T.__unnamed_12_9eaf06f6___unnamed_12_29a9546e T.Start___unnamed_12_33a88444 T.Length48___unnamed_12_33a88444 T.Start___unnamed_12_468ce3a2 T.Length___unnamed_12_468ce3a2 T.ListEntry___unnamed_12_5cc47a19 T.__unnamed_4_61d4f5e1___unnamed_12_5cc47a19 T.Level___unnamed_12_6fbd747c T.Vector___unnamed_12_6fbd747c T.Affinity___unnamed_12_6fbd747c T.Generic___unnamed_12_9a27b966 T.Port___unnamed_12_9a27b966 T.Interrupt___unnamed_12_9a27b966 T.MessageInterrupt___unnamed_12_9a27b966 T.Memory___unnamed_12_9a27b966 T.Dma___unnamed_12_9a27b966 T.DevicePrivate___unnamed_12_9a27b966 T.BusNumber___unnamed_12_9a27b966 T.DeviceSpecificData___unnamed_12_9a27b966 T.Memory40___unnamed_12_9a27b966 T.Memory48___unnamed_12_9a27b966 T.Memory64___unnamed_12_9a27b966 T.Raw___unnamed_12_9eaf06f6 T.Translated___unnamed_12_9eaf06f6 T.Data___unnamed_12_a967ef4a T.Start___unnamed_12_ab6ff61b T.Length64___unnamed_12_ab6ff61b T.Start___unnamed_12_ad4e1918 T.Length___unnamed_12_ad4e1918 T.Start___unnamed_12_c0c3bd45 T.Length___unnamed_12_c0c3bd45 T.Start___unnamed_12_df63118d T.Length40___unnamed_12_df63118d T.Level___unnamed_12_e5164c3f T.Vector___unnamed_12_e5164c3f T.Affinity___unnamed_12_e5164c3f T.Channel___unnamed_12_f1f9be0a T.Port___unnamed_12_f1f9be0a T.Reserved1___unnamed_12_f1f9be0a T.DataSize___unnamed_12_f354d203 T.Reserved1___unnamed_12_f354d203 T.Reserved2___unnamed_12_f354d203 T.InterfaceType___unnamed_16_2ab145ec T.Size___unnamed_16_2ab145ec T.Version___unnamed_16_2ab145ec T.Interface___unnamed_16_2ab145ec T.InterfaceSpecificData___unnamed_16_2ab145ec T.Length___unnamed_16_30f1d328 T.MinBusNumber___unnamed_16_30f1d328 T.MaxBusNumber___unnamed_16_30f1d328 T.Reserved___unnamed_16_30f1d328 T.DeviceQueueEntry___unnamed_16_3277c3a0 T.__unnamed_16_c774559b___unnamed_16_3277c3a0 T.Length___unnamed_16_3a584a7c T.Key___unnamed_16_3a584a7c T.ByteOffset___unnamed_16_3a584a7c T.OutputBufferLength___unnamed_16_3dec08db T.InputBufferLength___unnamed_16_3dec08db T.FsControlCode___unnamed_16_3dec08db T.Type3InputBuffer___unnamed_16_3dec08db T.Create___unnamed_16_57edbc3a T.Read___unnamed_16_57edbc3a T.Write___unnamed_16_57edbc3a T.QueryDirectory___unnamed_16_57edbc3a T.NotifyDirectory___unnamed_16_57edbc3a T.QueryFile___unnamed_16_57edbc3a T.SetFile___unnamed_16_57edbc3a T.QueryEa___unnamed_16_57edbc3a T.SetEa___unnamed_16_57edbc3a T.QueryVolume___unnamed_16_57edbc3a T.SetVolume___unnamed_16_57edbc3a T.FileSystemControl___unnamed_16_57edbc3a T.LockControl___unnamed_16_57edbc3a T.DeviceIoControl___unnamed_16_57edbc3a T.QuerySecurity___unnamed_16_57edbc3a T.SetSecurity___unnamed_16_57edbc3a T.MountVolume___unnamed_16_57edbc3a T.VerifyVolume___unnamed_16_57edbc3a T.Scsi___unnamed_16_57edbc3a T.QueryQuota___unnamed_16_57edbc3a T.SetQuota___unnamed_16_57edbc3a T.QueryDeviceRelations___unnamed_16_57edbc3a T.QueryInterface___unnamed_16_57edbc3a T.DeviceCapabilities___unnamed_16_57edbc3a T.FilterResourceRequirements___unnamed_16_57edbc3a T.ReadWriteConfig___unnamed_16_57edbc3a T.SetLock___unnamed_16_57edbc3a T.QueryId___unnamed_16_57edbc3a T.QueryDeviceText___unnamed_16_57edbc3a T.UsageNotification___unnamed_16_57edbc3a T.WaitWake___unnamed_16_57edbc3a T.PowerSequence___unnamed_16_57edbc3a T.Power___unnamed_16_57edbc3a T.StartDevice___unnamed_16_57edbc3a T.WMI___unnamed_16_57edbc3a T.Others___unnamed_16_57edbc3a T.Argument1___unnamed_16_5ac3fe10 T.Argument2___unnamed_16_5ac3fe10 T.Argument3___unnamed_16_5ac3fe10 T.Argument4___unnamed_16_5ac3fe10 T.OutputBufferLength___unnamed_16_5bbbf1e7 T.InputBufferLength___unnamed_16_5bbbf1e7 T.IoControlCode___unnamed_16_5bbbf1e7 T.Type3InputBuffer___unnamed_16_5bbbf1e7 T.ProviderId___unnamed_16_66abee0d T.DataPath___unnamed_16_66abee0d T.BufferSize___unnamed_16_66abee0d T.Buffer___unnamed_16_66abee0d T.__unnamed_4_b38dc67f___unnamed_16_6c8935f2 T.Type___unnamed_16_6c8935f2 T.State___unnamed_16_6c8935f2 T.ShutdownType___unnamed_16_6c8935f2 T.Length___unnamed_16_834e30a3 T.EaList___unnamed_16_834e30a3 T.EaListLength___unnamed_16_834e30a3 T.EaIndex___unnamed_16_834e30a3 T.WhichSpace___unnamed_16_83707d7f T.Buffer___unnamed_16_83707d7f T.Offset___unnamed_16_83707d7f T.Length___unnamed_16_83707d7f T.Length___unnamed_16_94922103 T.Key___unnamed_16_94922103 T.ByteOffset___unnamed_16_94922103 T.Length___unnamed_16_9eb64f79 T.StartSid___unnamed_16_9eb64f79 T.SidList___unnamed_16_9eb64f79 T.SidListLength___unnamed_16_9eb64f79 T.Length___unnamed_16_a71f10bf T.FileName___unnamed_16_a71f10bf T.FileInformationClass___unnamed_16_a71f10bf T.FileIndex___unnamed_16_a71f10bf T.SecurityContext___unnamed_16_af2c1884 T.Options___unnamed_16_af2c1884 T.FileAttributes___unnamed_16_af2c1884 T.ShareAccess___unnamed_16_af2c1884 T.EaLength___unnamed_16_af2c1884 T.Length___unnamed_16_b1a6a9b2 T.FileInformationClass___unnamed_16_b1a6a9b2 T.FileObject___unnamed_16_b1a6a9b2 T.__unnamed_4_4d53984e___unnamed_16_b1a6a9b2 T.DriverContext___unnamed_16_c774559b T.Length___unnamed_16_ca1b3ad0 T.Key___unnamed_16_ca1b3ad0 T.ByteOffset___unnamed_16_ca1b3ad0 T.Abandoned___unnamed_1_4258582a T.Absolute___unnamed_1_4258582a T.NpxIrql___unnamed_1_4258582a T.Signalling___unnamed_1_4258582a T.Lock___unnamed_1_4f5916b9 T.Size___unnamed_1_923f487b T.Hand___unnamed_1_923f487b T.Inserted___unnamed_1_ac5cb154 T.DebugActive___unnamed_1_ac5cb154 T.DpcActive___unnamed_1_ac5cb154 T.MinimumVector___unnamed_20_9fc4dd36 T.MaximumVector___unnamed_20_9fc4dd36 T.AffinityPolicy___unnamed_20_9fc4dd36 T.PriorityPolicy___unnamed_20_9fc4dd36 T.TargetedProcessors___unnamed_20_9fc4dd36 T.Length___unnamed_24_76c1f52c T.Alignment___unnamed_24_76c1f52c T.MinimumAddress___unnamed_24_76c1f52c T.MaximumAddress___unnamed_24_76c1f52c T.Length64___unnamed_24_87e4ad03 T.Alignment64___unnamed_24_87e4ad03 T.MinimumAddress___unnamed_24_87e4ad03 T.MaximumAddress___unnamed_24_87e4ad03 T.Port___unnamed_24_87fb9019 T.Memory___unnamed_24_87fb9019 T.Interrupt___unnamed_24_87fb9019 T.Dma___unnamed_24_87fb9019 T.Generic___unnamed_24_87fb9019 T.DevicePrivate___unnamed_24_87fb9019 T.BusNumber___unnamed_24_87fb9019 T.ConfigData___unnamed_24_87fb9019 T.Memory40___unnamed_24_87fb9019 T.Memory48___unnamed_24_87fb9019 T.Memory64___unnamed_24_87fb9019 T.Length40___unnamed_24_af527a47 T.Alignment40___unnamed_24_af527a47 T.MinimumAddress___unnamed_24_af527a47 T.MaximumAddress___unnamed_24_af527a47 T.Length___unnamed_24_b3ef9869 T.Alignment___unnamed_24_b3ef9869 T.MinimumAddress___unnamed_24_b3ef9869 T.MaximumAddress___unnamed_24_b3ef9869 T.Length___unnamed_24_c23e34f7 T.Alignment___unnamed_24_c23e34f7 T.MinimumAddress___unnamed_24_c23e34f7 T.MaximumAddress___unnamed_24_c23e34f7 T.Length48___unnamed_24_e04d7241 T.Alignment48___unnamed_24_e04d7241 T.MinimumAddress___unnamed_24_e04d7241 T.MaximumAddress___unnamed_24_e04d7241 T.ReplaceIfExists___unnamed_2_1d659b1d T.AdvanceOnly___unnamed_2_1d659b1d T.ListEntry___unnamed_40_1db13fa5 T.Wcb___unnamed_40_1db13fa5 T.__unnamed_16_3277c3a0___unnamed_40_ebf2206a T.Thread___unnamed_40_ebf2206a T.AuxiliaryBuffer___unnamed_40_ebf2206a T.__unnamed_12_5cc47a19___unnamed_40_ebf2206a T.OriginalFileObject___unnamed_40_ebf2206a T.InitialPrivilegeSet___unnamed_44_0d347e8a T.PrivilegeSet___unnamed_44_0d347e8a T.Overlay___unnamed_48_ffd8d308 T.Apc___unnamed_48_ffd8d308 T.CompletionKey___unnamed_48_ffd8d308 T.IdType___unnamed_4_04fc9c34 T.PowerSequence___unnamed_4_082ca2fa T.Type___unnamed_4_142d6b52 T.OwnerCount___unnamed_4_1c47e29a T.TableSize___unnamed_4_1c47e29a T.MasterIrp___unnamed_4_3dc37e35 T.IrpCount___unnamed_4_3dc37e35 T.SystemBuffer___unnamed_4_3dc37e35 T.__unnamed_2_1d659b1d___unnamed_4_4d53984e T.ClusterCount___unnamed_4_4d53984e T.DeleteHandle___unnamed_4_4d53984e T.Length___unnamed_4_522a02ae T.CurrentStackLocation___unnamed_4_61d4f5e1 T.PacketType___unnamed_4_61d4f5e1 T.Length___unnamed_4_6eaf329f T.__unnamed_4_f14caa62___unnamed_4_7b44c46c T.Lock___unnamed_4_7b44c46c T.PowerState___unnamed_4_7bab7ec3 T.__unnamed_4_ce0c1b82___unnamed_4_a8006df8 T.ContextAsUlong___unnamed_4_a8006df8 T.Status___unnamed_4_ab1173de T.Pointer___unnamed_4_ab1173de T.Srb___unnamed_4_b2e59cbb T.SystemContext___unnamed_4_b38dc67f T.SystemPowerStateContext___unnamed_4_b38dc67f T.Capabilities___unnamed_4_c62ef092 T.Reserved1___unnamed_4_ce0c1b82 T.TargetSystemState___unnamed_4_ce0c1b82 T.EffectiveSystemState___unnamed_4_ce0c1b82 T.CurrentSystemState___unnamed_4_ce0c1b82 T.IgnoreHibernationPath___unnamed_4_ce0c1b82 T.PseudoTransition___unnamed_4_ce0c1b82 T.Reserved2___unnamed_4_ce0c1b82 T.UserApcRoutine___unnamed_4_cedfeccd T.IssuingProcess___unnamed_4_cedfeccd T.Address___unnamed_4_f13e195c T.CreatorBackTraceIndex___unnamed_4_f13e195c T.Type___unnamed_4_f14caa62 T.__unnamed_1_4258582a___unnamed_4_f14caa62 T.__unnamed_1_923f487b___unnamed_4_f14caa62 T.__unnamed_1_ac5cb154___unnamed_4_f14caa62 T.IoResourceRequirementList___unnamed_4_f18e264a T.Length___unnamed_8_06a6de28 T.CompletionFilter___unnamed_8_06a6de28 T.DeviceTextType___unnamed_8_219179d3 T.LocaleId___unnamed_8_219179d3 T.InPath___unnamed_8_380551ca T.Reserved___unnamed_8_380551ca T.Type___unnamed_8_380551ca T.SecurityInformation___unnamed_8_3ebf0971 T.Length___unnamed_8_3ebf0971 T.AsynchronousParameters___unnamed_8_45a58840 T.AllocationSize___unnamed_8_45a58840 T.LowPart___unnamed_8_544b88f4 T.HighPart___unnamed_8_544b88f4 T.MinimumChannel___unnamed_8_5bc13409 T.MaximumChannel___unnamed_8_5bc13409 T.Length___unnamed_8_5d23cded T.FsInformationClass___unnamed_8_5d23cded T.LowPart___unnamed_8_5d67d492 T.HighPart___unnamed_8_5d67d492 T.SecurityInformation___unnamed_8_655e974a T.SecurityDescriptor___unnamed_8_655e974a T.Vpb___unnamed_8_a4174c52 T.DeviceObject___unnamed_8_a4174c52 T.LowPart___unnamed_8_a569aa82 T.HighPart___unnamed_8_a569aa82 T.Length___unnamed_8_b3031d0e T.FileInformationClass___unnamed_8_b3031d0e T.Length___unnamed_8_b7ca8084 T.FsInformationClass___unnamed_8_b7ca8084 T.Vpb___unnamed_8_b8c2e139 T.DeviceObject___unnamed_8_b8c2e139 T.LowPart___unnamed_8_baf71367 T.HighPart___unnamed_8_baf71367 T.__unnamed_4_cedfeccd___unnamed_8_be4b9317 T.UserApcContext___unnamed_8_be4b9317 T.AllocatedResources___unnamed_8_d81ae7e8 T.AllocatedResourcesTranslated___unnamed_8_d81ae7e8 T.A17CHAR T.A18CHAR T.A1UINT2 T.A1_CM_FULL_RESOURCE_DESCRIPTOR T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR T.A1_IO_RESOURCE_DESCRIPTOR T.A1_IO_RESOURCE_LIST T.A1_LUID_AND_ATTRIBUTES T.A20CHAR T.A21CHAR T.A22CHAR T.A23CHAR T.A24CHAR T.A25CHAR T.A26CHAR T.A27CHAR T.A28CHAR T.A28PFDRIVER_DISPATCH T.A30CHAR T.A31CHAR T.A32CHAR T.A32UINT2 T.A34CHAR T.A35CHAR T.A37CHAR T.A3UCHAR T.A3UINT4 T.A3_LUID_AND_ATTRIBUTES T.A4PVOID T.A7_DEVICE_POWER_STATE T.A8UCHAR T.BUS_QUERY_ID_TYPE T.CHAR T.DEVICE_TEXT_TYPE T.F0 T.F1 T.F10 T.F11 T.F12 T.F13 T.F14 T.F15 T.F16 T.F17 T.F18 T.F19 T.F2 T.F20 T.F21 T.F22 T.F23 T.F24 T.F25 T.F26 T.F27 T.F28 T.F29 T.F3 T.F30 T.F31 T.F32 T.F33 T.F34 T.F35 T.F36 T.F37 T.F38 T.F39 T.F4 T.F40 T.F41 T.F42 T.F43 T.F44 T.F45 T.F5 T.F6 T.F7 T.F8 T.F9 T.FDRIVER_ADD_DEVICE T.FDRIVER_CANCEL T.FDRIVER_DISPATCH T.FDRIVER_INITIALIZE T.FDRIVER_STARTIO T.FDRIVER_UNLOAD T.FFAST_IO_ACQUIRE_FILE T.FFAST_IO_ACQUIRE_FOR_CCFLUSH T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE T.FFAST_IO_CHECK_IF_POSSIBLE T.FFAST_IO_DETACH_DEVICE T.FFAST_IO_DEVICE_CONTROL T.FFAST_IO_LOCK T.FFAST_IO_MDL_READ T.FFAST_IO_MDL_READ_COMPLETE T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED T.FFAST_IO_MDL_WRITE_COMPLETE T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED T.FFAST_IO_PREPARE_MDL_WRITE T.FFAST_IO_QUERY_BASIC_INFO T.FFAST_IO_QUERY_NETWORK_OPEN_INFO T.FFAST_IO_QUERY_OPEN T.FFAST_IO_QUERY_STANDARD_INFO T.FFAST_IO_READ T.FFAST_IO_READ_COMPRESSED T.FFAST_IO_RELEASE_FILE T.FFAST_IO_RELEASE_FOR_CCFLUSH T.FFAST_IO_RELEASE_FOR_MOD_WRITE T.FFAST_IO_UNLOCK_ALL T.FFAST_IO_UNLOCK_ALL_BY_KEY T.FFAST_IO_UNLOCK_SINGLE T.FFAST_IO_WRITE T.FFAST_IO_WRITE_COMPRESSED T.FIO_COMPLETION_ROUTINE T.FKSERVICE_ROUTINE T.INT2 T.INT4 T.INT8 T.PA17CHAR T.PA18CHAR T.PA20CHAR T.PA21CHAR T.PA22CHAR T.PA23CHAR T.PA24CHAR T.PA25CHAR T.PA26CHAR T.PA27CHAR T.PA28CHAR T.PA30CHAR T.PA31CHAR T.PA32CHAR T.PA34CHAR T.PA35CHAR T.PA37CHAR T.PCHAR T.PF0 T.PF20 T.PF21 T.PF22 T.PF24 T.PF25 T.PF26 T.PF32 T.PF33 T.PF34 T.PF36 T.PF37 T.PF38 T.PF39 T.PF40 T.PF41 T.PF42 T.PF43 T.PF44 T.PF45 T.PFDRIVER_ADD_DEVICE T.PFDRIVER_CANCEL T.PFDRIVER_DISPATCH T.PFDRIVER_INITIALIZE T.PFDRIVER_STARTIO T.PFDRIVER_UNLOAD T.PFFAST_IO_ACQUIRE_FILE T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE T.PFFAST_IO_CHECK_IF_POSSIBLE T.PFFAST_IO_DETACH_DEVICE T.PFFAST_IO_DEVICE_CONTROL T.PFFAST_IO_LOCK T.PFFAST_IO_MDL_READ T.PFFAST_IO_MDL_READ_COMPLETE T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED T.PFFAST_IO_MDL_WRITE_COMPLETE T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED T.PFFAST_IO_PREPARE_MDL_WRITE T.PFFAST_IO_QUERY_BASIC_INFO T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO T.PFFAST_IO_QUERY_OPEN T.PFFAST_IO_QUERY_STANDARD_INFO T.PFFAST_IO_READ T.PFFAST_IO_READ_COMPRESSED T.PFFAST_IO_RELEASE_FILE T.PFFAST_IO_RELEASE_FOR_CCFLUSH T.PFFAST_IO_RELEASE_FOR_MOD_WRITE T.PFFAST_IO_UNLOCK_ALL T.PFFAST_IO_UNLOCK_ALL_BY_KEY T.PFFAST_IO_UNLOCK_SINGLE T.PFFAST_IO_WRITE T.PFFAST_IO_WRITE_COMPRESSED T.PFIO_COMPLETION_ROUTINE T.PFKSERVICE_ROUTINE T.PINT2 T.PINT4 T.POWER_ACTION T.PPCHAR T.PPF0 T.PPF25 T.PPF34 T.PPF43 T.PPF44 T.PPFDRIVER_CANCEL T.PPINT2 T.PPINT4 T.PPP_IRP T.PPUCHAR T.PPUINT4 T.PPVOID T.PP_DEVICE_OBJECT T.PP_ERESOURCE T.PP_IO_STACK_LOCATION T.PP_IRP T.PP_KDPC T.PP_KEVENT T.PP_KINTERRUPT T.PP_KTIMER T.PP_LARGE_INTEGER T.PP_LIST_ENTRY T.PP_MDL T.PP_SERIAL_BAUD_RATE T.PP_SERIAL_CHARS T.PP_SERIAL_COMMPROP T.PP_SERIAL_DEVICE_EXTENSION T.PP_SERIAL_HANDFLOW T.PP_SERIAL_LINE_CONTROL T.PP_SERIAL_QUEUE_SIZE T.PP_SERIAL_TIMEOUTS T.PP_SERIAL_XOFF_COUNTER T.PP_UNICODE_STRING T.PUCHAR T.PUINT2 T.PUINT4 T.PVOID T.PWMIGUIDREGINFO T.P_ACCESS_STATE T.P_CM_RESOURCE_LIST T.P_COMPRESSED_DATA_INFO T.P_DEVICE_CAPABILITIES T.P_DEVICE_OBJECT T.P_DEVICE_POWER_STATE T.P_DEVOBJ_EXTENSION T.P_DRIVER_EXTENSION T.P_DRIVER_OBJECT T.P_EPROCESS T.P_ERESOURCE T.P_EVENT_TYPE T.P_FAST_IO_DISPATCH T.P_FILE_BASIC_INFORMATION T.P_FILE_GET_QUOTA_INFORMATION T.P_FILE_NETWORK_OPEN_INFORMATION T.P_FILE_OBJECT T.P_FILE_STANDARD_INFORMATION T.P_GUID T.P_INTERFACE T.P_IO_COMPLETION_CONTEXT T.P_IO_RESOURCE_REQUIREMENTS_LIST T.P_IO_SECURITY_CONTEXT T.P_IO_STACK_LOCATION T.P_IO_STATUS_BLOCK T.P_IO_TIMER T.P_IRP T.P_KAPC T.P_KDPC T.P_KEVENT T.P_KINTERRUPT T.P_KPROCESS T.P_KSEMAPHORE T.P_KTHREAD T.P_KTIMER T.P_KWAIT_REASON T.P_LARGE_INTEGER T.P_LIST_ENTRY T.P_MDL T.P_OWNER_ENTRY T.P_POOL_TYPE T.P_POWER_SEQUENCE T.P_POWER_STATE T.P_SCSI_REQUEST_BLOCK T.P_SECTION_OBJECT_POINTERS T.P_SECURITY_QUALITY_OF_SERVICE T.P_SERIAL_BAUD_RATE T.P_SERIAL_CHARS T.P_SERIAL_CISR_SW T.P_SERIAL_COMMPROP T.P_SERIAL_DEVICE_EXTENSION T.P_SERIAL_HANDFLOW T.P_SERIAL_IOCTL_SYNC T.P_SERIAL_LINE_CONTROL T.P_SERIAL_QUEUE_SIZE T.P_SERIAL_RESIZE_PARAMS T.P_SERIAL_TIMEOUTS T.P_SERIAL_UPDATE_CHAR T.P_SERIAL_XOFF_COUNTER T.P_UNICODE_STRING T.P_VPB T.UCHAR T.UINT2 T.UINT4 T.UINT8 T.VOID T.WMIENABLEDISABLECONTROL T.WMIGUIDREGINFO T._ACCESS_STATE T._CM_FULL_RESOURCE_DESCRIPTOR T._CM_PARTIAL_RESOURCE_DESCRIPTOR T._CM_PARTIAL_RESOURCE_LIST T._CM_RESOURCE_LIST T._COMPRESSED_DATA_INFO T._DEVICE_CAPABILITIES T._DEVICE_OBJECT T._DEVICE_POWER_STATE T._DEVICE_RELATION_TYPE T._DEVICE_USAGE_NOTIFICATION_TYPE T._DEVOBJ_EXTENSION T._DISPATCHER_HEADER T._DRIVER_EXTENSION T._DRIVER_OBJECT T._EPROCESS T._ERESOURCE T._EVENT_TYPE T._FAST_IO_DISPATCH T._FAST_MUTEX T._FILE_BASIC_INFORMATION T._FILE_GET_QUOTA_INFORMATION T._FILE_INFORMATION_CLASS T._FILE_NETWORK_OPEN_INFORMATION T._FILE_OBJECT T._FILE_STANDARD_INFORMATION T._FSINFOCLASS T._GUID T._INITIAL_PRIVILEGE_SET T._INTERFACE T._INTERFACE_TYPE T._IO_ALLOCATION_ACTION T._IO_COMPLETION_CONTEXT T._IO_RESOURCE_DESCRIPTOR T._IO_RESOURCE_LIST T._IO_RESOURCE_REQUIREMENTS_LIST T._IO_SECURITY_CONTEXT T._IO_STACK_LOCATION T._IO_STATUS_BLOCK T._IO_TIMER T._IRP T._IRQ_DEVICE_POLICY T._IRQ_PRIORITY T._KAPC T._KDEVICE_QUEUE T._KDEVICE_QUEUE_ENTRY T._KDPC T._KEVENT T._KINTERRUPT T._KPROCESS T._KSEMAPHORE T._KTHREAD T._KTIMER T._KWAIT_REASON T._LARGE_INTEGER T._LIST_ENTRY T._LUID T._LUID_AND_ATTRIBUTES T._MDL T._OWNER_ENTRY T._POOL_TYPE T._POWER_SEQUENCE T._POWER_STATE T._POWER_STATE_TYPE T._PRIVILEGE_SET T._SCSI_REQUEST_BLOCK T._SECTION_OBJECT_POINTERS T._SECURITY_IMPERSONATION_LEVEL T._SECURITY_QUALITY_OF_SERVICE T._SECURITY_SUBJECT_CONTEXT T._SERIALPERF_STATS T._SERIAL_BAUD_RATE T._SERIAL_CHARS T._SERIAL_CISR_SW T._SERIAL_COMMPROP T._SERIAL_DEVICE_EXTENSION T._SERIAL_DEVICE_STATE T._SERIAL_HANDFLOW T._SERIAL_IOCTL_SYNC T._SERIAL_LINE_CONTROL T._SERIAL_QUEUE_SIZE T._SERIAL_RESIZE_PARAMS T._SERIAL_TIMEOUTS T._SERIAL_UPDATE_CHAR T._SERIAL_WMI_COMM_DATA T._SERIAL_WMI_HW_DATA T._SERIAL_WMI_PERF_DATA T._SERIAL_XOFF_COUNTER T._SYSTEM_POWER_STATE T._SYSTEM_POWER_STATE_CONTEXT T._ULARGE_INTEGER T._UNICODE_STRING T._VPB T._WAIT_CONTEXT_BLOCK T._WMILIB_CONTEXT T.__unnamed_12_0cb3dc26 T.__unnamed_12_1a4b0b08 T.__unnamed_12_1cbe20d6 T.__unnamed_12_28f1f9cc T.__unnamed_12_29a9546e T.__unnamed_12_33a88444 T.__unnamed_12_468ce3a2 T.__unnamed_12_5cc47a19 T.__unnamed_12_6fbd747c T.__unnamed_12_9a27b966 T.__unnamed_12_9eaf06f6 T.__unnamed_12_a967ef4a T.__unnamed_12_ab6ff61b T.__unnamed_12_ad4e1918 T.__unnamed_12_c0c3bd45 T.__unnamed_12_df63118d T.__unnamed_12_e5164c3f T.__unnamed_12_f1f9be0a T.__unnamed_12_f354d203 T.__unnamed_16_2ab145ec T.__unnamed_16_30f1d328 T.__unnamed_16_3277c3a0 T.__unnamed_16_3a584a7c T.__unnamed_16_3dec08db T.__unnamed_16_57edbc3a T.__unnamed_16_5ac3fe10 T.__unnamed_16_5bbbf1e7 T.__unnamed_16_66abee0d T.__unnamed_16_6c8935f2 T.__unnamed_16_834e30a3 T.__unnamed_16_83707d7f T.__unnamed_16_94922103 T.__unnamed_16_9eb64f79 T.__unnamed_16_a71f10bf T.__unnamed_16_af2c1884 T.__unnamed_16_b1a6a9b2 T.__unnamed_16_c774559b T.__unnamed_16_ca1b3ad0 T.__unnamed_1_4258582a T.__unnamed_1_4f5916b9 T.__unnamed_1_923f487b T.__unnamed_1_ac5cb154 T.__unnamed_20_9fc4dd36 T.__unnamed_24_76c1f52c T.__unnamed_24_87e4ad03 T.__unnamed_24_87fb9019 T.__unnamed_24_af527a47 T.__unnamed_24_b3ef9869 T.__unnamed_24_c23e34f7 T.__unnamed_24_e04d7241 T.__unnamed_2_1d659b1d T.__unnamed_40_1db13fa5 T.__unnamed_40_ebf2206a T.__unnamed_44_0d347e8a T.__unnamed_48_ffd8d308 T.__unnamed_4_04fc9c34 T.__unnamed_4_082ca2fa T.__unnamed_4_142d6b52 T.__unnamed_4_1c47e29a T.__unnamed_4_3dc37e35 T.__unnamed_4_4d53984e T.__unnamed_4_522a02ae T.__unnamed_4_61d4f5e1 T.__unnamed_4_6eaf329f T.__unnamed_4_7b44c46c T.__unnamed_4_7bab7ec3 T.__unnamed_4_a8006df8 T.__unnamed_4_ab1173de T.__unnamed_4_b2e59cbb T.__unnamed_4_b38dc67f T.__unnamed_4_c62ef092 T.__unnamed_4_ce0c1b82 T.__unnamed_4_cedfeccd T.__unnamed_4_f13e195c T.__unnamed_4_f14caa62 T.__unnamed_4_f18e264a T.__unnamed_8_06a6de28 T.__unnamed_8_219179d3 T.__unnamed_8_380551ca T.__unnamed_8_3ebf0971 T.__unnamed_8_45a58840 T.__unnamed_8_544b88f4 T.__unnamed_8_5bc13409 T.__unnamed_8_5d23cded T.__unnamed_8_5d67d492 T.__unnamed_8_655e974a T.__unnamed_8_a4174c52 T.__unnamed_8_a569aa82 T.__unnamed_8_b3031d0e T.__unnamed_8_b7ca8084 T.__unnamed_8_b8c2e139 T.__unnamed_8_baf71367 T.__unnamed_8_be4b9317 T.__unnamed_8_d81ae7e8 (int_2_U SerialCancelCurrentWrite) (int_2_U SerialCancelCurrentXoff) (int_2_U SerialCancelImmediate) (int_2_U SerialCancelQueued) (int_2_U SerialClearStats) (int_2_U SerialClrDTR) (int_2_U SerialClrRTS) (int_2_U SerialFilterCancelQueued) (int_2_U SerialGetCommStatus) (int_2_U SerialGetMCRContents) (int_2_U SerialGetModemUpdate) (int_2_U SerialGetNextIrp) (int_2_U SerialGetNextWrite) (int_2_U SerialGetStats) (int_2_U SerialGiveImmediateToIsr) (int_2_U SerialGiveWriteToIsr) (int_2_U SerialGiveXoffToIsr) (int_2_U SerialGrabReadFromIsr) (int_2_U SerialGrabWriteFromIsr) (int_2_U SerialGrabXoffFromIsr) (int_2_U SerialPretendXoff) (int_2_U SerialPretendXon) (int_2_U SerialProcessEmptyTransmit) (int_2_U SerialSetBaud) (int_2_U SerialSetChars) (int_2_U SerialSetDTR) (int_2_U SerialSetEscapeChar) (int_2_U SerialSetFCRContents) (int_2_U SerialSetHandFlow) (int_2_U SerialSetLineControl) (int_2_U SerialSetMCRContents) (int_2_U SerialSetRTS) (int_2_U SerialStartMask) (int_2_U SerialStartPurge) (int_2_U SerialStartRead) (int_2_U SerialStartWrite) (int_2_U SerialSystemPowerCompletion) (int_2_U SerialTurnOffBreak) (int_2_U SerialTurnOnBreak) (int_2_U SerialUpdateAndSwitchToNew) (int_2_U SerialUpdateAndSwitchToUser) (int_2_U SerialUpdateInterruptBuffer) (int_2_U SerialUpdateReadByIsr) (int_2_U hdevobj) (int_2_U hiostackloc) (int_2_U hirp) (int_2_U hlock) (int_2_U notused_hiostackloc) (int_2_U sdv_irql_current) (int_2_U sdv_irql_previous) (int_2_U sdv_irql_previous_2) (int_2_U sdv_irql_previous_3) (int_2_U BOOGIE_LARGE_INT_2147483648) (int_2_U BOOGIE_LARGE_INT_4294967295)) (forall ((?b0 boogieU) (?c0 boogieU)) (! (=> (and (= (type ?b0) byteType) (= (type ?c0) byteType)) (=> (= (OneByteToInt ?b0) (OneByteToInt ?c0)) (= ?b0 ?c0))) :pattern ((OneByteToInt ?b0) (OneByteToInt ?c0)) )) (forall ((?b00 boogieU) (?b1 boogieU) (?c00 boogieU) (?c1 boogieU)) (! (=> (and (= (type ?b00) byteType) (= (type ?b1) byteType) (= (type ?c00) byteType) (= (type ?c1) byteType)) (=> (= (TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) (and (= ?b00 ?c00) (= ?b1 ?c1)))) :pattern ((TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) )) (forall ((?b01 boogieU) (?b10 boogieU) (?b2 boogieU) (?b3 boogieU) (?c01 boogieU) (?c10 boogieU) (?c2 boogieU) (?c3 boogieU)) (! (=> (and (= (type ?b01) byteType) (= (type ?b10) byteType) (= (type ?b2) byteType) (= (type ?b3) byteType) (= (type ?c01) byteType) (= (type ?c10) byteType) (= (type ?c2) byteType) (= (type ?c3) byteType)) (=> (= (FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) (and (= ?b01 ?c01) (= ?b10 ?c10) (= ?b2 ?c2) (= ?b3 ?c3)))) :pattern ((FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) )) (forall ((?x4 boogieU)) (=> (= (type ?x4) intType) (not (= (U_2_bool (MapType0Select Empty ?x4)) boolTrue)))) (forall ((?x5 boogieU)) (=> (= (type ?x5) intType) (= (U_2_bool (MapType0Select SetTrue ?x5)) boolTrue))) (forall ((?x6 boogieU) (?y2 Int)) (! (=> (= (type ?x6) intType) (= (= (U_2_bool (MapType0Select (Singleton ?y2) ?x6)) boolTrue) (= (U_2_int ?x6) ?y2))) :pattern ((MapType0Select (Singleton ?y2) ?x6)) )) (forall ((?y3 Int)) (! (= (U_2_bool (MapType0Select (Singleton ?y3) (int_2_U ?y3))) boolTrue) :pattern ((Singleton ?y3)) )) (forall ((?x7 boogieU) (?S boogieU) (?T boogieU)) (! (let ((?v_1 (MapType0Type intType boolType))) (=> (and (= (type ?x7) intType) (= (type ?S) ?v_1) (= (type ?T) ?v_1)) (= (= (U_2_bool (MapType0Select (Union ?S ?T) ?x7)) boolTrue) (or (= (U_2_bool (MapType0Select ?S ?x7)) boolTrue) (= (U_2_bool (MapType0Select ?T ?x7)) boolTrue))))) :pattern ((MapType0Select (Union ?S ?T) ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?S ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?T ?x7)) )) (forall ((?x8 boogieU) (?S0 boogieU) (?T0 boogieU)) (! (let ((?v_2 (MapType0Type intType boolType))) (=> (and (= (type ?x8) intType) (= (type ?S0) ?v_2) (= (type ?T0) ?v_2)) (= (= (U_2_bool (MapType0Select (Intersection ?S0 ?T0) ?x8)) boolTrue) (and (= (U_2_bool (MapType0Select ?S0 ?x8)) boolTrue) (= (U_2_bool (MapType0Select ?T0 ?x8)) boolTrue))))) :pattern ((MapType0Select (Intersection ?S0 ?T0) ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?S0 ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?T0 ?x8)) )) (forall ((?x9 boogieU) (?S1 boogieU) (?T1 boogieU)) (! (let ((?v_3 (MapType0Type intType boolType))) (=> (and (= (type ?x9) intType) (= (type ?S1) ?v_3) (= (type ?T1) ?v_3)) (= (= (U_2_bool (MapType0Select (Difference ?S1 ?T1) ?x9)) boolTrue) (and (= (U_2_bool (MapType0Select ?S1 ?x9)) boolTrue) (not (= (U_2_bool (MapType0Select ?T1 ?x9)) boolTrue)))))) :pattern ((MapType0Select (Difference ?S1 ?T1) ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?S1 ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?T1 ?x9)) )) (forall ((?S2 boogieU) (?T2 boogieU)) (! (let ((?v_4 (MapType0Type intType boolType))) (=> (and (= (type ?S2) ?v_4) (= (type ?T2) ?v_4)) (= (= (Equal ?S2 ?T2) boolTrue) (and (= (Subset ?S2 ?T2) boolTrue) (= (Subset ?T2 ?S2) boolTrue))))) :pattern ((Equal ?S2 ?T2)) )) (forall ((?x10 boogieU) (?S3 boogieU) (?T3 boogieU)) (! (let ((?v_5 (MapType0Type intType boolType))) (=> (and (= (type ?x10) intType) (= (type ?S3) ?v_5) (= (type ?T3) ?v_5)) (=> (and (= (U_2_bool (MapType0Select ?S3 ?x10)) boolTrue) (= (Subset ?S3 ?T3) boolTrue)) (= (U_2_bool (MapType0Select ?T3 ?x10)) boolTrue)))) :pattern ((MapType0Select ?S3 ?x10) (Subset ?S3 ?T3))  :pattern ((MapType0Select ?T3 ?x10) (Subset ?S3 ?T3)) )) (forall ((?S4 boogieU) (?T4 boogieU)) (! (let ((?v_6 (MapType0Type intType boolType))) (=> (and (= (type ?S4) ?v_6) (= (type ?T4) ?v_6)) (or (= (Subset ?S4 ?T4) boolTrue) (exists ((?x11 Int)) (let ((?v_7 (int_2_U ?x11))) (and (= (U_2_bool (MapType0Select ?S4 ?v_7)) boolTrue) (not (= (U_2_bool (MapType0Select ?T4 ?v_7)) boolTrue)))))))) :pattern ((Subset ?S4 ?T4)) )) (forall ((?x12 boogieU) (?S5 boogieU) (?T5 boogieU)) (! (let ((?v_8 (MapType0Type intType boolType))) (=> (and (= (type ?x12) intType) (= (type ?S5) ?v_8) (= (type ?T5) ?v_8)) (not (and (= (U_2_bool (MapType0Select ?S5 ?x12)) boolTrue) (= (Disjoint ?S5 ?T5) boolTrue) (= (U_2_bool (MapType0Select ?T5 ?x12)) boolTrue))))) :pattern ((MapType0Select ?S5 ?x12) (Disjoint ?S5 ?T5))  :pattern ((MapType0Select ?T5 ?x12) (Disjoint ?S5 ?T5)) )) (forall ((?S6 boogieU) (?T6 boogieU)) (! (let ((?v_9 (MapType0Type intType boolType))) (=> (and (= (type ?S6) ?v_9) (= (type ?T6) ?v_9)) (or (= (Disjoint ?S6 ?T6) boolTrue) (exists ((?x13 Int)) (let ((?v_10 (int_2_U ?x13))) (and (= (U_2_bool (MapType0Select ?S6 ?v_10)) boolTrue) (= (U_2_bool (MapType0Select ?T6 ?v_10)) boolTrue))))))) :pattern ((Disjoint ?S6 ?T6)) )) (forall ((?f boogieU) (?x14 boogieU)) (! (=> (and (= (type ?f) (MapType0Type intType intType)) (= (type ?x14) intType)) (= (U_2_bool (MapType0Select (Inverse ?f (U_2_int (MapType0Select ?f ?x14))) ?x14)) boolTrue)) :pattern ((Inverse ?f (U_2_int (MapType0Select ?f ?x14)))) )) (forall ((?f0 boogieU) (?x15 boogieU) (?y4 Int)) (! (=> (and (= (type ?f0) (MapType0Type intType intType)) (= (type ?x15) intType)) (=> (= (U_2_bool (MapType0Select (Inverse ?f0 ?y4) ?x15)) boolTrue) (= (U_2_int (MapType0Select ?f0 ?x15)) ?y4))) :pattern ((Inverse ?f0 ?y4) (MapType0Select ?f0 ?x15)) )) (forall ((?f1 boogieU) (?x16 boogieU) (?y5 boogieU)) (! (let ((?v_11 (U_2_int ?y5))) (=> (and (= (type ?f1) (MapType0Type intType intType)) (= (type ?x16) intType) (= (type ?y5) intType)) (= (Equal (Inverse (MapType0Store ?f1 ?x16 ?y5) ?v_11) (Union (Inverse ?f1 ?v_11) (Singleton (U_2_int ?x16)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f1 ?x16 ?y5) (U_2_int ?y5))) )) (forall ((?f2 boogieU) (?x17 boogieU) (?y6 boogieU) (?z0 Int)) (! (=> (and (= (type ?f2) (MapType0Type intType intType)) (= (type ?x17) intType) (= (type ?y6) intType)) (or (= (U_2_int ?y6) ?z0) (= (Equal (Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0) (Difference (Inverse ?f2 ?z0) (Singleton (U_2_int ?x17)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0)) )) (forall ((?x18 boogieU) (?S7 boogieU) (?M boogieU)) (! (=> (and (= (type ?x18) intType) (= (type ?S7) (MapType0Type intType boolType)) (= (type ?M) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select (Dereference ?S7 ?M) ?x18)) boolTrue) (exists ((?y7 Int)) (let ((?v_12 (int_2_U ?y7))) (and (= (U_2_int ?x18) (U_2_int (MapType0Select ?M ?v_12))) (= (U_2_bool (MapType0Select ?S7 ?v_12)) boolTrue)))))) :pattern ((MapType0Select (Dereference ?S7 ?M) ?x18)) )) (forall ((?x19 boogieU) (?S8 boogieU) (?M0 boogieU)) (! (=> (and (= (type ?x19) intType) (= (type ?S8) (MapType0Type intType boolType)) (= (type ?M0) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select ?S8 ?x19)) boolTrue) (= (U_2_bool (MapType0Select (Dereference ?S8 ?M0) (MapType0Select ?M0 ?x19))) boolTrue))) :pattern ((MapType0Select ?M0 ?x19) (MapType0Select ?S8 ?x19) (Dereference ?S8 ?M0)) )) (forall ((?x20 boogieU) (?y8 boogieU) (?S9 boogieU) (?M1 boogieU)) (! (=> (and (= (type ?x20) intType) (= (type ?y8) intType) (= (type ?S9) (MapType0Type intType boolType)) (= (type ?M1) (MapType0Type intType intType))) (=> (not (= (U_2_bool (MapType0Select ?S9 ?x20)) boolTrue)) (= (Equal (Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8)) (Dereference ?S9 ?M1)) boolTrue))) :pattern ((Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8))) )) (forall ((?x21 boogieU) (?y9 boogieU) (?S10 boogieU) (?M2 boogieU)) (! (let ((?v_13 (U_2_int (MapType0Select ?M2 ?x21)))) (=> (and (= (type ?x21) intType) (= (type ?y9) intType) (= (type ?S10) (MapType0Type intType boolType)) (= (type ?M2) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S10 ?x21)) boolTrue) (= (Equal (Intersection (Inverse ?M2 ?v_13) ?S10) (Singleton (U_2_int ?x21))) boolTrue)) (= (Equal (Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9)) (Union (Difference (Dereference ?S10 ?M2) (Singleton ?v_13)) (Singleton (U_2_int ?y9)))) boolTrue)))) :pattern ((Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9))) )) (forall ((?x22 boogieU) (?y10 boogieU) (?S11 boogieU) (?M3 boogieU)) (! (=> (and (= (type ?x22) intType) (= (type ?y10) intType) (= (type ?S11) (MapType0Type intType boolType)) (= (type ?M3) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S11 ?x22)) boolTrue) (not (= (Equal (Intersection (Inverse ?M3 (U_2_int (MapType0Select ?M3 ?x22))) ?S11) (Singleton (U_2_int ?x22))) boolTrue))) (= (Equal (Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10)) (Union (Dereference ?S11 ?M3) (Singleton (U_2_int ?y10)))) boolTrue))) :pattern ((Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10))) )) (forall ((?M4 boogieU) (?x23 boogieU)) (! (=> (and (= (type ?M4) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x23) intType)) (= (U_2_int (MapType0Select (Unified ?M4) ?x23)) (U_2_int (MapType0Select (MapType0Select ?M4 (Field (U_2_int ?x23))) ?x23)))) :pattern ((MapType0Select (Unified ?M4) ?x23)) )) (forall ((?M5 boogieU) (?x24 boogieU) (?y11 boogieU)) (! (let ((?v_14 (Field (U_2_int ?x24)))) (=> (and (= (type ?M5) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x24) intType) (= (type ?y11) intType)) (= (Unified (MapType0Store ?M5 ?v_14 (MapType0Store (MapType0Select ?M5 ?v_14) ?x24 ?y11))) (MapType0Store (Unified ?M5) ?x24 ?y11)))) :pattern ((Unified (MapType0Store ?M5 (Field (U_2_int ?x24)) (MapType0Store (MapType0Select ?M5 (Field (U_2_int ?x24))) ?x24 ?y11)))) )) (forall ((?v boogieU) (?t boogieU) (?m2 boogieU)) (! (=> (and (= (type ?v) intType) (= (type ?t) nameType) (= (type ?m2) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (U_2_bool (MapType0Select (Values ?t ?m2) ?v)) boolTrue) (= (HasType (U_2_int ?v) ?t ?m2) boolTrue))) :pattern ((MapType0Select (Values ?t ?m2) ?v)) )) (forall ((?v0 Int) (?t0 boogieU) (?m3 boogieU)) (! (=> (and (= (type ?t0) nameType) (= (type ?m3) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (HasType ?v0 ?t0 ?m3) boolTrue) (= (U_2_bool (MapType0Select (Values ?t0 ?m3) (int_2_U ?v0))) boolTrue))) :pattern ((HasType ?v0 ?t0 ?m3) (Values ?t0 ?m3)) )) (forall ((?a Int) (?t1 boogieU)) (! (let ((?v_15 (T.Ptr ?t1))) (=> (= (type ?t1) nameType) (= (= (Match ?a ?v_15) boolTrue) (= (Field ?a) ?v_15)))) :pattern ((Match ?a (T.Ptr ?t1))) )) (forall ((?v1 Int) (?t2 boogieU) (?m4 boogieU)) (! (=> (and (= (type ?t2) nameType) (= (type ?m4) (MapType0Type nameType (MapType0Type intType intType)))) (= (= (HasType ?v1 (T.Ptr ?t2) ?m4) boolTrue) (or (= ?v1 0) (and (> ?v1 0) (= (Match ?v1 ?t2) boolTrue))))) :pattern ((HasType ?v1 (T.Ptr ?t2) ?m4)) )) (forall ((?v2 Int) (?t3 boogieU) (?m10 boogieU) (?m20 boogieU)) (! (let ((?v_16 (MapType0Type nameType (MapType0Type intType intType)))) (=> (and (= (type ?t3) nameType) (= (type ?m10) ?v_16) (= (type ?m20) ?v_16)) (= (= (HasType ?v2 ?t3 ?m10) boolTrue) (= (HasType ?v2 ?t3 ?m20) boolTrue)))) :pattern ((HasType ?v2 ?t3 ?m10) (HasType ?v2 ?t3 ?m20)) )) (forall ((?x25 Int)) (! (= (Argument4___unnamed_16_5ac3fe10Inv (Argument4___unnamed_16_5ac3fe10 ?x25)) ?x25) :pattern ((Argument4___unnamed_16_5ac3fe10Inv (Argument4___unnamed_16_5ac3fe10 ?x25))) )) (forall ((?x26 Int)) (! (= (Argument4___unnamed_16_5ac3fe10 (Argument4___unnamed_16_5ac3fe10Inv ?x26)) ?x26) :pattern ((Argument4___unnamed_16_5ac3fe10Inv ?x26)) )) (forall ((?x27 boogieU) (?S12 boogieU)) (! (=> (and (= (type ?x27) intType) (= (type ?S12) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Argument4___unnamed_16_5ac3fe10 ?S12) ?x27)) boolTrue) (= (U_2_bool (MapType0Select ?S12 (int_2_U (Argument4___unnamed_16_5ac3fe10Inv (U_2_int ?x27))))) boolTrue))) :pattern ((MapType0Select (x_S_Argument4___unnamed_16_5ac3fe10 ?S12) ?x27)) )) (forall ((?x28 boogieU) (?S13 boogieU)) (! (=> (and (= (type ?x28) intType) (= (type ?S13) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Argument4___unnamed_16_5ac3fe10Inv ?S13) ?x28)) boolTrue) (= (U_2_bool (MapType0Select ?S13 (int_2_U (Argument4___unnamed_16_5ac3fe10 (U_2_int ?x28))))) boolTrue))) :pattern ((MapType0Select (x_S_Argument4___unnamed_16_5ac3fe10Inv ?S13) ?x28)) )) (forall ((?x29 boogieU) (?S14 boogieU)) (! (=> (and (= (type ?x29) intType) (= (type ?S14) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S14 ?x29)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Argument4___unnamed_16_5ac3fe10 ?S14) (int_2_U (Argument4___unnamed_16_5ac3fe10 (U_2_int ?x29))))) boolTrue))) :pattern ((MapType0Select ?S14 ?x29) (x_S_Argument4___unnamed_16_5ac3fe10 ?S14)) )) (forall ((?x30 boogieU) (?S15 boogieU)) (! (=> (and (= (type ?x30) intType) (= (type ?S15) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S15 ?x30)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Argument4___unnamed_16_5ac3fe10Inv ?S15) (int_2_U (Argument4___unnamed_16_5ac3fe10Inv (U_2_int ?x30))))) boolTrue))) :pattern ((MapType0Select ?S15 ?x30) (x_S_Argument4___unnamed_16_5ac3fe10Inv ?S15)) )) (forall ((?x31 Int)) (! (= (Argument4___unnamed_16_5ac3fe10 ?x31) (+ ?x31 12)) :pattern ((Argument4___unnamed_16_5ac3fe10 ?x31)) )) (forall ((?x32 Int)) (! (= (Argument4___unnamed_16_5ac3fe10Inv ?x32) (- ?x32 12)) :pattern ((Argument4___unnamed_16_5ac3fe10Inv ?x32)) )) (forall ((?x33 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x33 12 1) (Argument4___unnamed_16_5ac3fe10Inv ?x33)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x33 12 1)) )) (forall ((?x34 Int)) (! (= (MINUS_LEFT_PTR ?x34 1 12) (Argument4___unnamed_16_5ac3fe10Inv ?x34)) :pattern ((MINUS_LEFT_PTR ?x34 1 12)) )) (forall ((?x35 Int)) (! (= (AssociatedIrp__IRPInv (AssociatedIrp__IRP ?x35)) ?x35) :pattern ((AssociatedIrp__IRPInv (AssociatedIrp__IRP ?x35))) )) (forall ((?x36 Int)) (! (= (AssociatedIrp__IRP (AssociatedIrp__IRPInv ?x36)) ?x36) :pattern ((AssociatedIrp__IRPInv ?x36)) )) (forall ((?x37 boogieU) (?S16 boogieU)) (! (=> (and (= (type ?x37) intType) (= (type ?S16) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_AssociatedIrp__IRP ?S16) ?x37)) boolTrue) (= (U_2_bool (MapType0Select ?S16 (int_2_U (AssociatedIrp__IRPInv (U_2_int ?x37))))) boolTrue))) :pattern ((MapType0Select (x_S_AssociatedIrp__IRP ?S16) ?x37)) )) (forall ((?x38 boogieU) (?S17 boogieU)) (! (=> (and (= (type ?x38) intType) (= (type ?S17) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_AssociatedIrp__IRPInv ?S17) ?x38)) boolTrue) (= (U_2_bool (MapType0Select ?S17 (int_2_U (AssociatedIrp__IRP (U_2_int ?x38))))) boolTrue))) :pattern ((MapType0Select (x_S_AssociatedIrp__IRPInv ?S17) ?x38)) )) (forall ((?x39 boogieU) (?S18 boogieU)) (! (=> (and (= (type ?x39) intType) (= (type ?S18) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S18 ?x39)) boolTrue) (= (U_2_bool (MapType0Select (x_S_AssociatedIrp__IRP ?S18) (int_2_U (AssociatedIrp__IRP (U_2_int ?x39))))) boolTrue))) :pattern ((MapType0Select ?S18 ?x39) (x_S_AssociatedIrp__IRP ?S18)) )) (forall ((?x40 boogieU) (?S19 boogieU)) (! (=> (and (= (type ?x40) intType) (= (type ?S19) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S19 ?x40)) boolTrue) (= (U_2_bool (MapType0Select (x_S_AssociatedIrp__IRPInv ?S19) (int_2_U (AssociatedIrp__IRPInv (U_2_int ?x40))))) boolTrue))) :pattern ((MapType0Select ?S19 ?x40) (x_S_AssociatedIrp__IRPInv ?S19)) )) (forall ((?x41 Int)) (! (= (AssociatedIrp__IRP ?x41) (+ ?x41 12)) :pattern ((AssociatedIrp__IRP ?x41)) )) (forall ((?x42 Int)) (! (= (AssociatedIrp__IRPInv ?x42) (- ?x42 12)) :pattern ((AssociatedIrp__IRPInv ?x42)) )) (forall ((?x43 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x43 12 1) (AssociatedIrp__IRPInv ?x43)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x43 12 1)) )) (forall ((?x44 Int)) (! (= (MINUS_LEFT_PTR ?x44 1 12) (AssociatedIrp__IRPInv ?x44)) :pattern ((MINUS_LEFT_PTR ?x44 1 12)) )) (forall ((?x45 Int)) (! (= (BaudRate__SERIAL_BAUD_RATEInv (BaudRate__SERIAL_BAUD_RATE ?x45)) ?x45) :pattern ((BaudRate__SERIAL_BAUD_RATEInv (BaudRate__SERIAL_BAUD_RATE ?x45))) )) (forall ((?x46 Int)) (! (= (BaudRate__SERIAL_BAUD_RATE (BaudRate__SERIAL_BAUD_RATEInv ?x46)) ?x46) :pattern ((BaudRate__SERIAL_BAUD_RATEInv ?x46)) )) (forall ((?x47 boogieU) (?S20 boogieU)) (! (=> (and (= (type ?x47) intType) (= (type ?S20) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_BAUD_RATE ?S20) ?x47)) boolTrue) (= (U_2_bool (MapType0Select ?S20 (int_2_U (BaudRate__SERIAL_BAUD_RATEInv (U_2_int ?x47))))) boolTrue))) :pattern ((MapType0Select (x_S_BaudRate__SERIAL_BAUD_RATE ?S20) ?x47)) )) (forall ((?x48 boogieU) (?S21 boogieU)) (! (=> (and (= (type ?x48) intType) (= (type ?S21) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_BAUD_RATEInv ?S21) ?x48)) boolTrue) (= (U_2_bool (MapType0Select ?S21 (int_2_U (BaudRate__SERIAL_BAUD_RATE (U_2_int ?x48))))) boolTrue))) :pattern ((MapType0Select (x_S_BaudRate__SERIAL_BAUD_RATEInv ?S21) ?x48)) )) (forall ((?x49 boogieU) (?S22 boogieU)) (! (=> (and (= (type ?x49) intType) (= (type ?S22) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S22 ?x49)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_BAUD_RATE ?S22) (int_2_U (BaudRate__SERIAL_BAUD_RATE (U_2_int ?x49))))) boolTrue))) :pattern ((MapType0Select ?S22 ?x49) (x_S_BaudRate__SERIAL_BAUD_RATE ?S22)) )) (forall ((?x50 boogieU) (?S23 boogieU)) (! (=> (and (= (type ?x50) intType) (= (type ?S23) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S23 ?x50)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_BAUD_RATEInv ?S23) (int_2_U (BaudRate__SERIAL_BAUD_RATEInv (U_2_int ?x50))))) boolTrue))) :pattern ((MapType0Select ?S23 ?x50) (x_S_BaudRate__SERIAL_BAUD_RATEInv ?S23)) )) (forall ((?x51 Int)) (! (= (BaudRate__SERIAL_BAUD_RATE ?x51) (+ ?x51 0)) :pattern ((BaudRate__SERIAL_BAUD_RATE ?x51)) )) (forall ((?x52 Int)) (! (= (BaudRate__SERIAL_BAUD_RATEInv ?x52) (- ?x52 0)) :pattern ((BaudRate__SERIAL_BAUD_RATEInv ?x52)) )) (forall ((?x53 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x53 0 1) (BaudRate__SERIAL_BAUD_RATEInv ?x53)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x53 0 1)) )) (forall ((?x54 Int)) (! (= (MINUS_LEFT_PTR ?x54 1 0) (BaudRate__SERIAL_BAUD_RATEInv ?x54)) :pattern ((MINUS_LEFT_PTR ?x54 1 0)) )) (forall ((?x55 Int)) (! (= (BaudRate__SERIAL_WMI_COMM_DATAInv (BaudRate__SERIAL_WMI_COMM_DATA ?x55)) ?x55) :pattern ((BaudRate__SERIAL_WMI_COMM_DATAInv (BaudRate__SERIAL_WMI_COMM_DATA ?x55))) )) (forall ((?x56 Int)) (! (= (BaudRate__SERIAL_WMI_COMM_DATA (BaudRate__SERIAL_WMI_COMM_DATAInv ?x56)) ?x56) :pattern ((BaudRate__SERIAL_WMI_COMM_DATAInv ?x56)) )) (forall ((?x57 boogieU) (?S24 boogieU)) (! (=> (and (= (type ?x57) intType) (= (type ?S24) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_WMI_COMM_DATA ?S24) ?x57)) boolTrue) (= (U_2_bool (MapType0Select ?S24 (int_2_U (BaudRate__SERIAL_WMI_COMM_DATAInv (U_2_int ?x57))))) boolTrue))) :pattern ((MapType0Select (x_S_BaudRate__SERIAL_WMI_COMM_DATA ?S24) ?x57)) )) (forall ((?x58 boogieU) (?S25 boogieU)) (! (=> (and (= (type ?x58) intType) (= (type ?S25) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_WMI_COMM_DATAInv ?S25) ?x58)) boolTrue) (= (U_2_bool (MapType0Select ?S25 (int_2_U (BaudRate__SERIAL_WMI_COMM_DATA (U_2_int ?x58))))) boolTrue))) :pattern ((MapType0Select (x_S_BaudRate__SERIAL_WMI_COMM_DATAInv ?S25) ?x58)) )) (forall ((?x59 boogieU) (?S26 boogieU)) (! (=> (and (= (type ?x59) intType) (= (type ?S26) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S26 ?x59)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_WMI_COMM_DATA ?S26) (int_2_U (BaudRate__SERIAL_WMI_COMM_DATA (U_2_int ?x59))))) boolTrue))) :pattern ((MapType0Select ?S26 ?x59) (x_S_BaudRate__SERIAL_WMI_COMM_DATA ?S26)) )) (forall ((?x60 boogieU) (?S27 boogieU)) (! (=> (and (= (type ?x60) intType) (= (type ?S27) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S27 ?x60)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_WMI_COMM_DATAInv ?S27) (int_2_U (BaudRate__SERIAL_WMI_COMM_DATAInv (U_2_int ?x60))))) boolTrue))) :pattern ((MapType0Select ?S27 ?x60) (x_S_BaudRate__SERIAL_WMI_COMM_DATAInv ?S27)) )) (forall ((?x61 Int)) (! (= (BaudRate__SERIAL_WMI_COMM_DATA ?x61) (+ ?x61 0)) :pattern ((BaudRate__SERIAL_WMI_COMM_DATA ?x61)) )) (forall ((?x62 Int)) (! (= (BaudRate__SERIAL_WMI_COMM_DATAInv ?x62) (- ?x62 0)) :pattern ((BaudRate__SERIAL_WMI_COMM_DATAInv ?x62)) )) (forall ((?x63 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x63 0 1) (BaudRate__SERIAL_WMI_COMM_DATAInv ?x63)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x63 0 1)) )) (forall ((?x64 Int)) (! (= (MINUS_LEFT_PTR ?x64 1 0) (BaudRate__SERIAL_WMI_COMM_DATAInv ?x64)) :pattern ((MINUS_LEFT_PTR ?x64 1 0)) )) (forall ((?x65 Int)) (! (= (BitsPerByte__SERIAL_WMI_COMM_DATAInv (BitsPerByte__SERIAL_WMI_COMM_DATA ?x65)) ?x65) :pattern ((BitsPerByte__SERIAL_WMI_COMM_DATAInv (BitsPerByte__SERIAL_WMI_COMM_DATA ?x65))) )) (forall ((?x66 Int)) (! (= (BitsPerByte__SERIAL_WMI_COMM_DATA (BitsPerByte__SERIAL_WMI_COMM_DATAInv ?x66)) ?x66) :pattern ((BitsPerByte__SERIAL_WMI_COMM_DATAInv ?x66)) )) (forall ((?x67 boogieU) (?S28 boogieU)) (! (=> (and (= (type ?x67) intType) (= (type ?S28) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BitsPerByte__SERIAL_WMI_COMM_DATA ?S28) ?x67)) boolTrue) (= (U_2_bool (MapType0Select ?S28 (int_2_U (BitsPerByte__SERIAL_WMI_COMM_DATAInv (U_2_int ?x67))))) boolTrue))) :pattern ((MapType0Select (x_S_BitsPerByte__SERIAL_WMI_COMM_DATA ?S28) ?x67)) )) (forall ((?x68 boogieU) (?S29 boogieU)) (! (=> (and (= (type ?x68) intType) (= (type ?S29) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv ?S29) ?x68)) boolTrue) (= (U_2_bool (MapType0Select ?S29 (int_2_U (BitsPerByte__SERIAL_WMI_COMM_DATA (U_2_int ?x68))))) boolTrue))) :pattern ((MapType0Select (x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv ?S29) ?x68)) )) (forall ((?x69 boogieU) (?S30 boogieU)) (! (=> (and (= (type ?x69) intType) (= (type ?S30) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S30 ?x69)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BitsPerByte__SERIAL_WMI_COMM_DATA ?S30) (int_2_U (BitsPerByte__SERIAL_WMI_COMM_DATA (U_2_int ?x69))))) boolTrue))) :pattern ((MapType0Select ?S30 ?x69) (x_S_BitsPerByte__SERIAL_WMI_COMM_DATA ?S30)) )) (forall ((?x70 boogieU) (?S31 boogieU)) (! (=> (and (= (type ?x70) intType) (= (type ?S31) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S31 ?x70)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv ?S31) (int_2_U (BitsPerByte__SERIAL_WMI_COMM_DATAInv (U_2_int ?x70))))) boolTrue))) :pattern ((MapType0Select ?S31 ?x70) (x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv ?S31)) )) (forall ((?x71 Int)) (! (= (BitsPerByte__SERIAL_WMI_COMM_DATA ?x71) (+ ?x71 4)) :pattern ((BitsPerByte__SERIAL_WMI_COMM_DATA ?x71)) )) (forall ((?x72 Int)) (! (= (BitsPerByte__SERIAL_WMI_COMM_DATAInv ?x72) (- ?x72 4)) :pattern ((BitsPerByte__SERIAL_WMI_COMM_DATAInv ?x72)) )) (forall ((?x73 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x73 4 1) (BitsPerByte__SERIAL_WMI_COMM_DATAInv ?x73)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x73 4 1)) )) (forall ((?x74 Int)) (! (= (MINUS_LEFT_PTR ?x74 1 4) (BitsPerByte__SERIAL_WMI_COMM_DATAInv ?x74)) :pattern ((MINUS_LEFT_PTR ?x74 1 4)) )) (forall ((?x75 Int)) (! (= (Blink__LIST_ENTRYInv (Blink__LIST_ENTRY ?x75)) ?x75) :pattern ((Blink__LIST_ENTRYInv (Blink__LIST_ENTRY ?x75))) )) (forall ((?x76 Int)) (! (= (Blink__LIST_ENTRY (Blink__LIST_ENTRYInv ?x76)) ?x76) :pattern ((Blink__LIST_ENTRYInv ?x76)) )) (forall ((?x77 boogieU) (?S32 boogieU)) (! (=> (and (= (type ?x77) intType) (= (type ?S32) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRY ?S32) ?x77)) boolTrue) (= (U_2_bool (MapType0Select ?S32 (int_2_U (Blink__LIST_ENTRYInv (U_2_int ?x77))))) boolTrue))) :pattern ((MapType0Select (x_S_Blink__LIST_ENTRY ?S32) ?x77)) )) (forall ((?x78 boogieU) (?S33 boogieU)) (! (=> (and (= (type ?x78) intType) (= (type ?S33) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRYInv ?S33) ?x78)) boolTrue) (= (U_2_bool (MapType0Select ?S33 (int_2_U (Blink__LIST_ENTRY (U_2_int ?x78))))) boolTrue))) :pattern ((MapType0Select (x_S_Blink__LIST_ENTRYInv ?S33) ?x78)) )) (forall ((?x79 boogieU) (?S34 boogieU)) (! (=> (and (= (type ?x79) intType) (= (type ?S34) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S34 ?x79)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRY ?S34) (int_2_U (Blink__LIST_ENTRY (U_2_int ?x79))))) boolTrue))) :pattern ((MapType0Select ?S34 ?x79) (x_S_Blink__LIST_ENTRY ?S34)) )) (forall ((?x80 boogieU) (?S35 boogieU)) (! (=> (and (= (type ?x80) intType) (= (type ?S35) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S35 ?x80)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRYInv ?S35) (int_2_U (Blink__LIST_ENTRYInv (U_2_int ?x80))))) boolTrue))) :pattern ((MapType0Select ?S35 ?x80) (x_S_Blink__LIST_ENTRYInv ?S35)) )) (forall ((?x81 Int)) (! (= (Blink__LIST_ENTRY ?x81) (+ ?x81 4)) :pattern ((Blink__LIST_ENTRY ?x81)) )) (forall ((?x82 Int)) (! (= (Blink__LIST_ENTRYInv ?x82) (- ?x82 4)) :pattern ((Blink__LIST_ENTRYInv ?x82)) )) (forall ((?x83 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x83 4 1) (Blink__LIST_ENTRYInv ?x83)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x83 4 1)) )) (forall ((?x84 Int)) (! (= (MINUS_LEFT_PTR ?x84 1 4) (Blink__LIST_ENTRYInv ?x84)) :pattern ((MINUS_LEFT_PTR ?x84 1 4)) )) (forall ((?x85 Int)) (! (= (BreakChar__SERIAL_CHARSInv (BreakChar__SERIAL_CHARS ?x85)) ?x85) :pattern ((BreakChar__SERIAL_CHARSInv (BreakChar__SERIAL_CHARS ?x85))) )) (forall ((?x86 Int)) (! (= (BreakChar__SERIAL_CHARS (BreakChar__SERIAL_CHARSInv ?x86)) ?x86) :pattern ((BreakChar__SERIAL_CHARSInv ?x86)) )) (forall ((?x87 boogieU) (?S36 boogieU)) (! (=> (and (= (type ?x87) intType) (= (type ?S36) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BreakChar__SERIAL_CHARS ?S36) ?x87)) boolTrue) (= (U_2_bool (MapType0Select ?S36 (int_2_U (BreakChar__SERIAL_CHARSInv (U_2_int ?x87))))) boolTrue))) :pattern ((MapType0Select (x_S_BreakChar__SERIAL_CHARS ?S36) ?x87)) )) (forall ((?x88 boogieU) (?S37 boogieU)) (! (=> (and (= (type ?x88) intType) (= (type ?S37) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BreakChar__SERIAL_CHARSInv ?S37) ?x88)) boolTrue) (= (U_2_bool (MapType0Select ?S37 (int_2_U (BreakChar__SERIAL_CHARS (U_2_int ?x88))))) boolTrue))) :pattern ((MapType0Select (x_S_BreakChar__SERIAL_CHARSInv ?S37) ?x88)) )) (forall ((?x89 boogieU) (?S38 boogieU)) (! (=> (and (= (type ?x89) intType) (= (type ?S38) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S38 ?x89)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BreakChar__SERIAL_CHARS ?S38) (int_2_U (BreakChar__SERIAL_CHARS (U_2_int ?x89))))) boolTrue))) :pattern ((MapType0Select ?S38 ?x89) (x_S_BreakChar__SERIAL_CHARS ?S38)) )) (forall ((?x90 boogieU) (?S39 boogieU)) (! (=> (and (= (type ?x90) intType) (= (type ?S39) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S39 ?x90)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BreakChar__SERIAL_CHARSInv ?S39) (int_2_U (BreakChar__SERIAL_CHARSInv (U_2_int ?x90))))) boolTrue))) :pattern ((MapType0Select ?S39 ?x90) (x_S_BreakChar__SERIAL_CHARSInv ?S39)) )) (forall ((?x91 Int)) (! (= (BreakChar__SERIAL_CHARS ?x91) (+ ?x91 2)) :pattern ((BreakChar__SERIAL_CHARS ?x91)) )) (forall ((?x92 Int)) (! (= (BreakChar__SERIAL_CHARSInv ?x92) (- ?x92 2)) :pattern ((BreakChar__SERIAL_CHARSInv ?x92)) )) (forall ((?x93 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x93 2 1) (BreakChar__SERIAL_CHARSInv ?x93)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x93 2 1)) )) (forall ((?x94 Int)) (! (= (MINUS_LEFT_PTR ?x94 1 2) (BreakChar__SERIAL_CHARSInv ?x94)) :pattern ((MINUS_LEFT_PTR ?x94 1 2)) )) (forall ((?x95 Int)) (! (= (BufferSize__SERIAL_DEVICE_EXTENSIONInv (BufferSize__SERIAL_DEVICE_EXTENSION ?x95)) ?x95) :pattern ((BufferSize__SERIAL_DEVICE_EXTENSIONInv (BufferSize__SERIAL_DEVICE_EXTENSION ?x95))) )) (forall ((?x96 Int)) (! (= (BufferSize__SERIAL_DEVICE_EXTENSION (BufferSize__SERIAL_DEVICE_EXTENSIONInv ?x96)) ?x96) :pattern ((BufferSize__SERIAL_DEVICE_EXTENSIONInv ?x96)) )) (forall ((?x97 boogieU) (?S40 boogieU)) (! (=> (and (= (type ?x97) intType) (= (type ?S40) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BufferSize__SERIAL_DEVICE_EXTENSION ?S40) ?x97)) boolTrue) (= (U_2_bool (MapType0Select ?S40 (int_2_U (BufferSize__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x97))))) boolTrue))) :pattern ((MapType0Select (x_S_BufferSize__SERIAL_DEVICE_EXTENSION ?S40) ?x97)) )) (forall ((?x98 boogieU) (?S41 boogieU)) (! (=> (and (= (type ?x98) intType) (= (type ?S41) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv ?S41) ?x98)) boolTrue) (= (U_2_bool (MapType0Select ?S41 (int_2_U (BufferSize__SERIAL_DEVICE_EXTENSION (U_2_int ?x98))))) boolTrue))) :pattern ((MapType0Select (x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv ?S41) ?x98)) )) (forall ((?x99 boogieU) (?S42 boogieU)) (! (=> (and (= (type ?x99) intType) (= (type ?S42) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S42 ?x99)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BufferSize__SERIAL_DEVICE_EXTENSION ?S42) (int_2_U (BufferSize__SERIAL_DEVICE_EXTENSION (U_2_int ?x99))))) boolTrue))) :pattern ((MapType0Select ?S42 ?x99) (x_S_BufferSize__SERIAL_DEVICE_EXTENSION ?S42)) )) (forall ((?x100 boogieU) (?S43 boogieU)) (! (=> (and (= (type ?x100) intType) (= (type ?S43) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S43 ?x100)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv ?S43) (int_2_U (BufferSize__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x100))))) boolTrue))) :pattern ((MapType0Select ?S43 ?x100) (x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv ?S43)) )) (forall ((?x101 Int)) (! (= (BufferSize__SERIAL_DEVICE_EXTENSION ?x101) (+ ?x101 252)) :pattern ((BufferSize__SERIAL_DEVICE_EXTENSION ?x101)) )) (forall ((?x102 Int)) (! (= (BufferSize__SERIAL_DEVICE_EXTENSIONInv ?x102) (- ?x102 252)) :pattern ((BufferSize__SERIAL_DEVICE_EXTENSIONInv ?x102)) )) (forall ((?x103 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x103 252 1) (BufferSize__SERIAL_DEVICE_EXTENSIONInv ?x103)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x103 252 1)) )) (forall ((?x104 Int)) (! (= (MINUS_LEFT_PTR ?x104 1 252) (BufferSize__SERIAL_DEVICE_EXTENSIONInv ?x104)) :pattern ((MINUS_LEFT_PTR ?x104 1 252)) )) (forall ((?x105 Int)) (! (= (CancelIrql__IRPInv (CancelIrql__IRP ?x105)) ?x105) :pattern ((CancelIrql__IRPInv (CancelIrql__IRP ?x105))) )) (forall ((?x106 Int)) (! (= (CancelIrql__IRP (CancelIrql__IRPInv ?x106)) ?x106) :pattern ((CancelIrql__IRPInv ?x106)) )) (forall ((?x107 boogieU) (?S44 boogieU)) (! (=> (and (= (type ?x107) intType) (= (type ?S44) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CancelIrql__IRP ?S44) ?x107)) boolTrue) (= (U_2_bool (MapType0Select ?S44 (int_2_U (CancelIrql__IRPInv (U_2_int ?x107))))) boolTrue))) :pattern ((MapType0Select (x_S_CancelIrql__IRP ?S44) ?x107)) )) (forall ((?x108 boogieU) (?S45 boogieU)) (! (=> (and (= (type ?x108) intType) (= (type ?S45) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CancelIrql__IRPInv ?S45) ?x108)) boolTrue) (= (U_2_bool (MapType0Select ?S45 (int_2_U (CancelIrql__IRP (U_2_int ?x108))))) boolTrue))) :pattern ((MapType0Select (x_S_CancelIrql__IRPInv ?S45) ?x108)) )) (forall ((?x109 boogieU) (?S46 boogieU)) (! (=> (and (= (type ?x109) intType) (= (type ?S46) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S46 ?x109)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CancelIrql__IRP ?S46) (int_2_U (CancelIrql__IRP (U_2_int ?x109))))) boolTrue))) :pattern ((MapType0Select ?S46 ?x109) (x_S_CancelIrql__IRP ?S46)) )) (forall ((?x110 boogieU) (?S47 boogieU)) (! (=> (and (= (type ?x110) intType) (= (type ?S47) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S47 ?x110)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CancelIrql__IRPInv ?S47) (int_2_U (CancelIrql__IRPInv (U_2_int ?x110))))) boolTrue))) :pattern ((MapType0Select ?S47 ?x110) (x_S_CancelIrql__IRPInv ?S47)) )) (forall ((?x111 Int)) (! (= (CancelIrql__IRP ?x111) (+ ?x111 37)) :pattern ((CancelIrql__IRP ?x111)) )) (forall ((?x112 Int)) (! (= (CancelIrql__IRPInv ?x112) (- ?x112 37)) :pattern ((CancelIrql__IRPInv ?x112)) )) (forall ((?x113 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x113 37 1) (CancelIrql__IRPInv ?x113)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x113 37 1)) )) (forall ((?x114 Int)) (! (= (MINUS_LEFT_PTR ?x114 1 37) (CancelIrql__IRPInv ?x114)) :pattern ((MINUS_LEFT_PTR ?x114 1 37)) )) (forall ((?x115 Int)) (! (= (CancelRoutine__IRPInv (CancelRoutine__IRP ?x115)) ?x115) :pattern ((CancelRoutine__IRPInv (CancelRoutine__IRP ?x115))) )) (forall ((?x116 Int)) (! (= (CancelRoutine__IRP (CancelRoutine__IRPInv ?x116)) ?x116) :pattern ((CancelRoutine__IRPInv ?x116)) )) (forall ((?x117 boogieU) (?S48 boogieU)) (! (=> (and (= (type ?x117) intType) (= (type ?S48) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CancelRoutine__IRP ?S48) ?x117)) boolTrue) (= (U_2_bool (MapType0Select ?S48 (int_2_U (CancelRoutine__IRPInv (U_2_int ?x117))))) boolTrue))) :pattern ((MapType0Select (x_S_CancelRoutine__IRP ?S48) ?x117)) )) (forall ((?x118 boogieU) (?S49 boogieU)) (! (=> (and (= (type ?x118) intType) (= (type ?S49) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CancelRoutine__IRPInv ?S49) ?x118)) boolTrue) (= (U_2_bool (MapType0Select ?S49 (int_2_U (CancelRoutine__IRP (U_2_int ?x118))))) boolTrue))) :pattern ((MapType0Select (x_S_CancelRoutine__IRPInv ?S49) ?x118)) )) (forall ((?x119 boogieU) (?S50 boogieU)) (! (=> (and (= (type ?x119) intType) (= (type ?S50) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S50 ?x119)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CancelRoutine__IRP ?S50) (int_2_U (CancelRoutine__IRP (U_2_int ?x119))))) boolTrue))) :pattern ((MapType0Select ?S50 ?x119) (x_S_CancelRoutine__IRP ?S50)) )) (forall ((?x120 boogieU) (?S51 boogieU)) (! (=> (and (= (type ?x120) intType) (= (type ?S51) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S51 ?x120)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CancelRoutine__IRPInv ?S51) (int_2_U (CancelRoutine__IRPInv (U_2_int ?x120))))) boolTrue))) :pattern ((MapType0Select ?S51 ?x120) (x_S_CancelRoutine__IRPInv ?S51)) )) (forall ((?x121 Int)) (! (= (CancelRoutine__IRP ?x121) (+ ?x121 56)) :pattern ((CancelRoutine__IRP ?x121)) )) (forall ((?x122 Int)) (! (= (CancelRoutine__IRPInv ?x122) (- ?x122 56)) :pattern ((CancelRoutine__IRPInv ?x122)) )) (forall ((?x123 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x123 56 1) (CancelRoutine__IRPInv ?x123)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x123 56 1)) )) (forall ((?x124 Int)) (! (= (MINUS_LEFT_PTR ?x124 1 56) (CancelRoutine__IRPInv ?x124)) :pattern ((MINUS_LEFT_PTR ?x124 1 56)) )) (forall ((?x125 Int)) (! (= (Cancel__IRPInv (Cancel__IRP ?x125)) ?x125) :pattern ((Cancel__IRPInv (Cancel__IRP ?x125))) )) (forall ((?x126 Int)) (! (= (Cancel__IRP (Cancel__IRPInv ?x126)) ?x126) :pattern ((Cancel__IRPInv ?x126)) )) (forall ((?x127 boogieU) (?S52 boogieU)) (! (=> (and (= (type ?x127) intType) (= (type ?S52) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancel__IRP ?S52) ?x127)) boolTrue) (= (U_2_bool (MapType0Select ?S52 (int_2_U (Cancel__IRPInv (U_2_int ?x127))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancel__IRP ?S52) ?x127)) )) (forall ((?x128 boogieU) (?S53 boogieU)) (! (=> (and (= (type ?x128) intType) (= (type ?S53) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancel__IRPInv ?S53) ?x128)) boolTrue) (= (U_2_bool (MapType0Select ?S53 (int_2_U (Cancel__IRP (U_2_int ?x128))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancel__IRPInv ?S53) ?x128)) )) (forall ((?x129 boogieU) (?S54 boogieU)) (! (=> (and (= (type ?x129) intType) (= (type ?S54) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S54 ?x129)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancel__IRP ?S54) (int_2_U (Cancel__IRP (U_2_int ?x129))))) boolTrue))) :pattern ((MapType0Select ?S54 ?x129) (x_S_Cancel__IRP ?S54)) )) (forall ((?x130 boogieU) (?S55 boogieU)) (! (=> (and (= (type ?x130) intType) (= (type ?S55) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S55 ?x130)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancel__IRPInv ?S55) (int_2_U (Cancel__IRPInv (U_2_int ?x130))))) boolTrue))) :pattern ((MapType0Select ?S55 ?x130) (x_S_Cancel__IRPInv ?S55)) )) (forall ((?x131 Int)) (! (= (Cancel__IRP ?x131) (+ ?x131 36)) :pattern ((Cancel__IRP ?x131)) )) (forall ((?x132 Int)) (! (= (Cancel__IRPInv ?x132) (- ?x132 36)) :pattern ((Cancel__IRPInv ?x132)) )) (forall ((?x133 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x133 36 1) (Cancel__IRPInv ?x133)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x133 36 1)) )) (forall ((?x134 Int)) (! (= (MINUS_LEFT_PTR ?x134 1 36) (Cancel__IRPInv ?x134)) :pattern ((MINUS_LEFT_PTR ?x134 1 36)) )) (forall ((?x135 Int)) (! (= (CharsCopied__SERIAL_UPDATE_CHARInv (CharsCopied__SERIAL_UPDATE_CHAR ?x135)) ?x135) :pattern ((CharsCopied__SERIAL_UPDATE_CHARInv (CharsCopied__SERIAL_UPDATE_CHAR ?x135))) )) (forall ((?x136 Int)) (! (= (CharsCopied__SERIAL_UPDATE_CHAR (CharsCopied__SERIAL_UPDATE_CHARInv ?x136)) ?x136) :pattern ((CharsCopied__SERIAL_UPDATE_CHARInv ?x136)) )) (forall ((?x137 boogieU) (?S56 boogieU)) (! (=> (and (= (type ?x137) intType) (= (type ?S56) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CharsCopied__SERIAL_UPDATE_CHAR ?S56) ?x137)) boolTrue) (= (U_2_bool (MapType0Select ?S56 (int_2_U (CharsCopied__SERIAL_UPDATE_CHARInv (U_2_int ?x137))))) boolTrue))) :pattern ((MapType0Select (x_S_CharsCopied__SERIAL_UPDATE_CHAR ?S56) ?x137)) )) (forall ((?x138 boogieU) (?S57 boogieU)) (! (=> (and (= (type ?x138) intType) (= (type ?S57) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CharsCopied__SERIAL_UPDATE_CHARInv ?S57) ?x138)) boolTrue) (= (U_2_bool (MapType0Select ?S57 (int_2_U (CharsCopied__SERIAL_UPDATE_CHAR (U_2_int ?x138))))) boolTrue))) :pattern ((MapType0Select (x_S_CharsCopied__SERIAL_UPDATE_CHARInv ?S57) ?x138)) )) (forall ((?x139 boogieU) (?S58 boogieU)) (! (=> (and (= (type ?x139) intType) (= (type ?S58) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S58 ?x139)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CharsCopied__SERIAL_UPDATE_CHAR ?S58) (int_2_U (CharsCopied__SERIAL_UPDATE_CHAR (U_2_int ?x139))))) boolTrue))) :pattern ((MapType0Select ?S58 ?x139) (x_S_CharsCopied__SERIAL_UPDATE_CHAR ?S58)) )) (forall ((?x140 boogieU) (?S59 boogieU)) (! (=> (and (= (type ?x140) intType) (= (type ?S59) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S59 ?x140)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CharsCopied__SERIAL_UPDATE_CHARInv ?S59) (int_2_U (CharsCopied__SERIAL_UPDATE_CHARInv (U_2_int ?x140))))) boolTrue))) :pattern ((MapType0Select ?S59 ?x140) (x_S_CharsCopied__SERIAL_UPDATE_CHARInv ?S59)) )) (forall ((?x141 Int)) (! (= (CharsCopied__SERIAL_UPDATE_CHAR ?x141) (+ ?x141 4)) :pattern ((CharsCopied__SERIAL_UPDATE_CHAR ?x141)) )) (forall ((?x142 Int)) (! (= (CharsCopied__SERIAL_UPDATE_CHARInv ?x142) (- ?x142 4)) :pattern ((CharsCopied__SERIAL_UPDATE_CHARInv ?x142)) )) (forall ((?x143 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x143 4 1) (CharsCopied__SERIAL_UPDATE_CHARInv ?x143)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x143 4 1)) )) (forall ((?x144 Int)) (! (= (MINUS_LEFT_PTR ?x144 1 4) (CharsCopied__SERIAL_UPDATE_CHARInv ?x144)) :pattern ((MINUS_LEFT_PTR ?x144 1 4)) )) (forall ((?x145 Int)) (! (= (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?x145)) ?x145) :pattern ((CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?x145))) )) (forall ((?x146 Int)) (! (= (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?x146)) ?x146) :pattern ((CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?x146)) )) (forall ((?x147 boogieU) (?S60 boogieU)) (! (=> (and (= (type ?x147) intType) (= (type ?S60) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?S60) ?x147)) boolTrue) (= (U_2_bool (MapType0Select ?S60 (int_2_U (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x147))))) boolTrue))) :pattern ((MapType0Select (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?S60) ?x147)) )) (forall ((?x148 boogieU) (?S61 boogieU)) (! (=> (and (= (type ?x148) intType) (= (type ?S61) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?S61) ?x148)) boolTrue) (= (U_2_bool (MapType0Select ?S61 (int_2_U (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION (U_2_int ?x148))))) boolTrue))) :pattern ((MapType0Select (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?S61) ?x148)) )) (forall ((?x149 boogieU) (?S62 boogieU)) (! (=> (and (= (type ?x149) intType) (= (type ?S62) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S62 ?x149)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?S62) (int_2_U (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION (U_2_int ?x149))))) boolTrue))) :pattern ((MapType0Select ?S62 ?x149) (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?S62)) )) (forall ((?x150 boogieU) (?S63 boogieU)) (! (=> (and (= (type ?x150) intType) (= (type ?S63) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S63 ?x150)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?S63) (int_2_U (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x150))))) boolTrue))) :pattern ((MapType0Select ?S63 ?x150) (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?S63)) )) (forall ((?x151 Int)) (! (= (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?x151) (+ ?x151 232)) :pattern ((CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?x151)) )) (forall ((?x152 Int)) (! (= (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?x152) (- ?x152 232)) :pattern ((CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?x152)) )) (forall ((?x153 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x153 232 1) (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?x153)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x153 232 1)) )) (forall ((?x154 Int)) (! (= (MINUS_LEFT_PTR ?x154 1 232) (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?x154)) :pattern ((MINUS_LEFT_PTR ?x154 1 232)) )) (forall ((?x155 Int)) (! (= (ClockRate__SERIAL_DEVICE_EXTENSIONInv (ClockRate__SERIAL_DEVICE_EXTENSION ?x155)) ?x155) :pattern ((ClockRate__SERIAL_DEVICE_EXTENSIONInv (ClockRate__SERIAL_DEVICE_EXTENSION ?x155))) )) (forall ((?x156 Int)) (! (= (ClockRate__SERIAL_DEVICE_EXTENSION (ClockRate__SERIAL_DEVICE_EXTENSIONInv ?x156)) ?x156) :pattern ((ClockRate__SERIAL_DEVICE_EXTENSIONInv ?x156)) )) (forall ((?x157 boogieU) (?S64 boogieU)) (! (=> (and (= (type ?x157) intType) (= (type ?S64) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ClockRate__SERIAL_DEVICE_EXTENSION ?S64) ?x157)) boolTrue) (= (U_2_bool (MapType0Select ?S64 (int_2_U (ClockRate__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x157))))) boolTrue))) :pattern ((MapType0Select (x_S_ClockRate__SERIAL_DEVICE_EXTENSION ?S64) ?x157)) )) (forall ((?x158 boogieU) (?S65 boogieU)) (! (=> (and (= (type ?x158) intType) (= (type ?S65) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv ?S65) ?x158)) boolTrue) (= (U_2_bool (MapType0Select ?S65 (int_2_U (ClockRate__SERIAL_DEVICE_EXTENSION (U_2_int ?x158))))) boolTrue))) :pattern ((MapType0Select (x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv ?S65) ?x158)) )) (forall ((?x159 boogieU) (?S66 boogieU)) (! (=> (and (= (type ?x159) intType) (= (type ?S66) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S66 ?x159)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ClockRate__SERIAL_DEVICE_EXTENSION ?S66) (int_2_U (ClockRate__SERIAL_DEVICE_EXTENSION (U_2_int ?x159))))) boolTrue))) :pattern ((MapType0Select ?S66 ?x159) (x_S_ClockRate__SERIAL_DEVICE_EXTENSION ?S66)) )) (forall ((?x160 boogieU) (?S67 boogieU)) (! (=> (and (= (type ?x160) intType) (= (type ?S67) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S67 ?x160)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv ?S67) (int_2_U (ClockRate__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x160))))) boolTrue))) :pattern ((MapType0Select ?S67 ?x160) (x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv ?S67)) )) (forall ((?x161 Int)) (! (= (ClockRate__SERIAL_DEVICE_EXTENSION ?x161) (+ ?x161 324)) :pattern ((ClockRate__SERIAL_DEVICE_EXTENSION ?x161)) )) (forall ((?x162 Int)) (! (= (ClockRate__SERIAL_DEVICE_EXTENSIONInv ?x162) (- ?x162 324)) :pattern ((ClockRate__SERIAL_DEVICE_EXTENSIONInv ?x162)) )) (forall ((?x163 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x163 324 1) (ClockRate__SERIAL_DEVICE_EXTENSIONInv ?x163)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x163 324 1)) )) (forall ((?x164 Int)) (! (= (MINUS_LEFT_PTR ?x164 1 324) (ClockRate__SERIAL_DEVICE_EXTENSIONInv ?x164)) :pattern ((MINUS_LEFT_PTR ?x164 1 324)) )) (forall ((?x165 Int)) (! (= (Completed__SERIAL_UPDATE_CHARInv (Completed__SERIAL_UPDATE_CHAR ?x165)) ?x165) :pattern ((Completed__SERIAL_UPDATE_CHARInv (Completed__SERIAL_UPDATE_CHAR ?x165))) )) (forall ((?x166 Int)) (! (= (Completed__SERIAL_UPDATE_CHAR (Completed__SERIAL_UPDATE_CHARInv ?x166)) ?x166) :pattern ((Completed__SERIAL_UPDATE_CHARInv ?x166)) )) (forall ((?x167 boogieU) (?S68 boogieU)) (! (=> (and (= (type ?x167) intType) (= (type ?S68) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Completed__SERIAL_UPDATE_CHAR ?S68) ?x167)) boolTrue) (= (U_2_bool (MapType0Select ?S68 (int_2_U (Completed__SERIAL_UPDATE_CHARInv (U_2_int ?x167))))) boolTrue))) :pattern ((MapType0Select (x_S_Completed__SERIAL_UPDATE_CHAR ?S68) ?x167)) )) (forall ((?x168 boogieU) (?S69 boogieU)) (! (=> (and (= (type ?x168) intType) (= (type ?S69) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Completed__SERIAL_UPDATE_CHARInv ?S69) ?x168)) boolTrue) (= (U_2_bool (MapType0Select ?S69 (int_2_U (Completed__SERIAL_UPDATE_CHAR (U_2_int ?x168))))) boolTrue))) :pattern ((MapType0Select (x_S_Completed__SERIAL_UPDATE_CHARInv ?S69) ?x168)) )) (forall ((?x169 boogieU) (?S70 boogieU)) (! (=> (and (= (type ?x169) intType) (= (type ?S70) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S70 ?x169)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Completed__SERIAL_UPDATE_CHAR ?S70) (int_2_U (Completed__SERIAL_UPDATE_CHAR (U_2_int ?x169))))) boolTrue))) :pattern ((MapType0Select ?S70 ?x169) (x_S_Completed__SERIAL_UPDATE_CHAR ?S70)) )) (forall ((?x170 boogieU) (?S71 boogieU)) (! (=> (and (= (type ?x170) intType) (= (type ?S71) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S71 ?x170)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Completed__SERIAL_UPDATE_CHARInv ?S71) (int_2_U (Completed__SERIAL_UPDATE_CHARInv (U_2_int ?x170))))) boolTrue))) :pattern ((MapType0Select ?S71 ?x170) (x_S_Completed__SERIAL_UPDATE_CHARInv ?S71)) )) (forall ((?x171 Int)) (! (= (Completed__SERIAL_UPDATE_CHAR ?x171) (+ ?x171 8)) :pattern ((Completed__SERIAL_UPDATE_CHAR ?x171)) )) (forall ((?x172 Int)) (! (= (Completed__SERIAL_UPDATE_CHARInv ?x172) (- ?x172 8)) :pattern ((Completed__SERIAL_UPDATE_CHARInv ?x172)) )) (forall ((?x173 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x173 8 1) (Completed__SERIAL_UPDATE_CHARInv ?x173)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x173 8 1)) )) (forall ((?x174 Int)) (! (= (MINUS_LEFT_PTR ?x174 1 8) (Completed__SERIAL_UPDATE_CHARInv ?x174)) :pattern ((MINUS_LEFT_PTR ?x174 1 8)) )) (forall ((?x175 Int)) (! (= (ControlHandShake__SERIAL_HANDFLOWInv (ControlHandShake__SERIAL_HANDFLOW ?x175)) ?x175) :pattern ((ControlHandShake__SERIAL_HANDFLOWInv (ControlHandShake__SERIAL_HANDFLOW ?x175))) )) (forall ((?x176 Int)) (! (= (ControlHandShake__SERIAL_HANDFLOW (ControlHandShake__SERIAL_HANDFLOWInv ?x176)) ?x176) :pattern ((ControlHandShake__SERIAL_HANDFLOWInv ?x176)) )) (forall ((?x177 boogieU) (?S72 boogieU)) (! (=> (and (= (type ?x177) intType) (= (type ?S72) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ControlHandShake__SERIAL_HANDFLOW ?S72) ?x177)) boolTrue) (= (U_2_bool (MapType0Select ?S72 (int_2_U (ControlHandShake__SERIAL_HANDFLOWInv (U_2_int ?x177))))) boolTrue))) :pattern ((MapType0Select (x_S_ControlHandShake__SERIAL_HANDFLOW ?S72) ?x177)) )) (forall ((?x178 boogieU) (?S73 boogieU)) (! (=> (and (= (type ?x178) intType) (= (type ?S73) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ControlHandShake__SERIAL_HANDFLOWInv ?S73) ?x178)) boolTrue) (= (U_2_bool (MapType0Select ?S73 (int_2_U (ControlHandShake__SERIAL_HANDFLOW (U_2_int ?x178))))) boolTrue))) :pattern ((MapType0Select (x_S_ControlHandShake__SERIAL_HANDFLOWInv ?S73) ?x178)) )) (forall ((?x179 boogieU) (?S74 boogieU)) (! (=> (and (= (type ?x179) intType) (= (type ?S74) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S74 ?x179)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ControlHandShake__SERIAL_HANDFLOW ?S74) (int_2_U (ControlHandShake__SERIAL_HANDFLOW (U_2_int ?x179))))) boolTrue))) :pattern ((MapType0Select ?S74 ?x179) (x_S_ControlHandShake__SERIAL_HANDFLOW ?S74)) )) (forall ((?x180 boogieU) (?S75 boogieU)) (! (=> (and (= (type ?x180) intType) (= (type ?S75) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S75 ?x180)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ControlHandShake__SERIAL_HANDFLOWInv ?S75) (int_2_U (ControlHandShake__SERIAL_HANDFLOWInv (U_2_int ?x180))))) boolTrue))) :pattern ((MapType0Select ?S75 ?x180) (x_S_ControlHandShake__SERIAL_HANDFLOWInv ?S75)) )) (forall ((?x181 Int)) (! (= (ControlHandShake__SERIAL_HANDFLOW ?x181) (+ ?x181 0)) :pattern ((ControlHandShake__SERIAL_HANDFLOW ?x181)) )) (forall ((?x182 Int)) (! (= (ControlHandShake__SERIAL_HANDFLOWInv ?x182) (- ?x182 0)) :pattern ((ControlHandShake__SERIAL_HANDFLOWInv ?x182)) )) (forall ((?x183 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x183 0 1) (ControlHandShake__SERIAL_HANDFLOWInv ?x183)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x183 0 1)) )) (forall ((?x184 Int)) (! (= (MINUS_LEFT_PTR ?x184 1 0) (ControlHandShake__SERIAL_HANDFLOWInv ?x184)) :pattern ((MINUS_LEFT_PTR ?x184 1 0)) )) (forall ((?x185 Int)) (! (= (ControlLock__SERIAL_DEVICE_EXTENSIONInv (ControlLock__SERIAL_DEVICE_EXTENSION ?x185)) ?x185) :pattern ((ControlLock__SERIAL_DEVICE_EXTENSIONInv (ControlLock__SERIAL_DEVICE_EXTENSION ?x185))) )) (forall ((?x186 Int)) (! (= (ControlLock__SERIAL_DEVICE_EXTENSION (ControlLock__SERIAL_DEVICE_EXTENSIONInv ?x186)) ?x186) :pattern ((ControlLock__SERIAL_DEVICE_EXTENSIONInv ?x186)) )) (forall ((?x187 boogieU) (?S76 boogieU)) (! (=> (and (= (type ?x187) intType) (= (type ?S76) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ControlLock__SERIAL_DEVICE_EXTENSION ?S76) ?x187)) boolTrue) (= (U_2_bool (MapType0Select ?S76 (int_2_U (ControlLock__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x187))))) boolTrue))) :pattern ((MapType0Select (x_S_ControlLock__SERIAL_DEVICE_EXTENSION ?S76) ?x187)) )) (forall ((?x188 boogieU) (?S77 boogieU)) (! (=> (and (= (type ?x188) intType) (= (type ?S77) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv ?S77) ?x188)) boolTrue) (= (U_2_bool (MapType0Select ?S77 (int_2_U (ControlLock__SERIAL_DEVICE_EXTENSION (U_2_int ?x188))))) boolTrue))) :pattern ((MapType0Select (x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv ?S77) ?x188)) )) (forall ((?x189 boogieU) (?S78 boogieU)) (! (=> (and (= (type ?x189) intType) (= (type ?S78) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S78 ?x189)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ControlLock__SERIAL_DEVICE_EXTENSION ?S78) (int_2_U (ControlLock__SERIAL_DEVICE_EXTENSION (U_2_int ?x189))))) boolTrue))) :pattern ((MapType0Select ?S78 ?x189) (x_S_ControlLock__SERIAL_DEVICE_EXTENSION ?S78)) )) (forall ((?x190 boogieU) (?S79 boogieU)) (! (=> (and (= (type ?x190) intType) (= (type ?S79) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S79 ?x190)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv ?S79) (int_2_U (ControlLock__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x190))))) boolTrue))) :pattern ((MapType0Select ?S79 ?x190) (x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv ?S79)) )) (forall ((?x191 Int)) (! (= (ControlLock__SERIAL_DEVICE_EXTENSION ?x191) (+ ?x191 476)) :pattern ((ControlLock__SERIAL_DEVICE_EXTENSION ?x191)) )) (forall ((?x192 Int)) (! (= (ControlLock__SERIAL_DEVICE_EXTENSIONInv ?x192) (- ?x192 476)) :pattern ((ControlLock__SERIAL_DEVICE_EXTENSIONInv ?x192)) )) (forall ((?x193 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x193 476 1) (ControlLock__SERIAL_DEVICE_EXTENSIONInv ?x193)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x193 476 1)) )) (forall ((?x194 Int)) (! (= (MINUS_LEFT_PTR ?x194 1 476) (ControlLock__SERIAL_DEVICE_EXTENSIONInv ?x194)) :pattern ((MINUS_LEFT_PTR ?x194 1 476)) )) (forall ((?x195 Int)) (! (= (Controller__SERIAL_DEVICE_EXTENSIONInv (Controller__SERIAL_DEVICE_EXTENSION ?x195)) ?x195) :pattern ((Controller__SERIAL_DEVICE_EXTENSIONInv (Controller__SERIAL_DEVICE_EXTENSION ?x195))) )) (forall ((?x196 Int)) (! (= (Controller__SERIAL_DEVICE_EXTENSION (Controller__SERIAL_DEVICE_EXTENSIONInv ?x196)) ?x196) :pattern ((Controller__SERIAL_DEVICE_EXTENSIONInv ?x196)) )) (forall ((?x197 boogieU) (?S80 boogieU)) (! (=> (and (= (type ?x197) intType) (= (type ?S80) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Controller__SERIAL_DEVICE_EXTENSION ?S80) ?x197)) boolTrue) (= (U_2_bool (MapType0Select ?S80 (int_2_U (Controller__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x197))))) boolTrue))) :pattern ((MapType0Select (x_S_Controller__SERIAL_DEVICE_EXTENSION ?S80) ?x197)) )) (forall ((?x198 boogieU) (?S81 boogieU)) (! (=> (and (= (type ?x198) intType) (= (type ?S81) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Controller__SERIAL_DEVICE_EXTENSIONInv ?S81) ?x198)) boolTrue) (= (U_2_bool (MapType0Select ?S81 (int_2_U (Controller__SERIAL_DEVICE_EXTENSION (U_2_int ?x198))))) boolTrue))) :pattern ((MapType0Select (x_S_Controller__SERIAL_DEVICE_EXTENSIONInv ?S81) ?x198)) )) (forall ((?x199 boogieU) (?S82 boogieU)) (! (=> (and (= (type ?x199) intType) (= (type ?S82) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S82 ?x199)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Controller__SERIAL_DEVICE_EXTENSION ?S82) (int_2_U (Controller__SERIAL_DEVICE_EXTENSION (U_2_int ?x199))))) boolTrue))) :pattern ((MapType0Select ?S82 ?x199) (x_S_Controller__SERIAL_DEVICE_EXTENSION ?S82)) )) (forall ((?x200 boogieU) (?S83 boogieU)) (! (=> (and (= (type ?x200) intType) (= (type ?S83) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S83 ?x200)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Controller__SERIAL_DEVICE_EXTENSIONInv ?S83) (int_2_U (Controller__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x200))))) boolTrue))) :pattern ((MapType0Select ?S83 ?x200) (x_S_Controller__SERIAL_DEVICE_EXTENSIONInv ?S83)) )) (forall ((?x201 Int)) (! (= (Controller__SERIAL_DEVICE_EXTENSION ?x201) (+ ?x201 144)) :pattern ((Controller__SERIAL_DEVICE_EXTENSION ?x201)) )) (forall ((?x202 Int)) (! (= (Controller__SERIAL_DEVICE_EXTENSIONInv ?x202) (- ?x202 144)) :pattern ((Controller__SERIAL_DEVICE_EXTENSIONInv ?x202)) )) (forall ((?x203 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x203 144 1) (Controller__SERIAL_DEVICE_EXTENSIONInv ?x203)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x203 144 1)) )) (forall ((?x204 Int)) (! (= (MINUS_LEFT_PTR ?x204 1 144) (Controller__SERIAL_DEVICE_EXTENSIONInv ?x204)) :pattern ((MINUS_LEFT_PTR ?x204 1 144)) )) (forall ((?x205 Int)) (! (= (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv (CountOnLastRead__SERIAL_DEVICE_EXTENSION ?x205)) ?x205) :pattern ((CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv (CountOnLastRead__SERIAL_DEVICE_EXTENSION ?x205))) )) (forall ((?x206 Int)) (! (= (CountOnLastRead__SERIAL_DEVICE_EXTENSION (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?x206)) ?x206) :pattern ((CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?x206)) )) (forall ((?x207 boogieU) (?S84 boogieU)) (! (=> (and (= (type ?x207) intType) (= (type ?S84) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION ?S84) ?x207)) boolTrue) (= (U_2_bool (MapType0Select ?S84 (int_2_U (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x207))))) boolTrue))) :pattern ((MapType0Select (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION ?S84) ?x207)) )) (forall ((?x208 boogieU) (?S85 boogieU)) (! (=> (and (= (type ?x208) intType) (= (type ?S85) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?S85) ?x208)) boolTrue) (= (U_2_bool (MapType0Select ?S85 (int_2_U (CountOnLastRead__SERIAL_DEVICE_EXTENSION (U_2_int ?x208))))) boolTrue))) :pattern ((MapType0Select (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?S85) ?x208)) )) (forall ((?x209 boogieU) (?S86 boogieU)) (! (=> (and (= (type ?x209) intType) (= (type ?S86) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S86 ?x209)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION ?S86) (int_2_U (CountOnLastRead__SERIAL_DEVICE_EXTENSION (U_2_int ?x209))))) boolTrue))) :pattern ((MapType0Select ?S86 ?x209) (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION ?S86)) )) (forall ((?x210 boogieU) (?S87 boogieU)) (! (=> (and (= (type ?x210) intType) (= (type ?S87) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S87 ?x210)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?S87) (int_2_U (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x210))))) boolTrue))) :pattern ((MapType0Select ?S87 ?x210) (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?S87)) )) (forall ((?x211 Int)) (! (= (CountOnLastRead__SERIAL_DEVICE_EXTENSION ?x211) (+ ?x211 292)) :pattern ((CountOnLastRead__SERIAL_DEVICE_EXTENSION ?x211)) )) (forall ((?x212 Int)) (! (= (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?x212) (- ?x212 292)) :pattern ((CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?x212)) )) (forall ((?x213 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x213 292 1) (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?x213)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x213 292 1)) )) (forall ((?x214 Int)) (! (= (MINUS_LEFT_PTR ?x214 1 292) (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?x214)) :pattern ((MINUS_LEFT_PTR ?x214 1 292)) )) (forall ((?x215 Int)) (! (= (Counter__SERIAL_XOFF_COUNTERInv (Counter__SERIAL_XOFF_COUNTER ?x215)) ?x215) :pattern ((Counter__SERIAL_XOFF_COUNTERInv (Counter__SERIAL_XOFF_COUNTER ?x215))) )) (forall ((?x216 Int)) (! (= (Counter__SERIAL_XOFF_COUNTER (Counter__SERIAL_XOFF_COUNTERInv ?x216)) ?x216) :pattern ((Counter__SERIAL_XOFF_COUNTERInv ?x216)) )) (forall ((?x217 boogieU) (?S88 boogieU)) (! (=> (and (= (type ?x217) intType) (= (type ?S88) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Counter__SERIAL_XOFF_COUNTER ?S88) ?x217)) boolTrue) (= (U_2_bool (MapType0Select ?S88 (int_2_U (Counter__SERIAL_XOFF_COUNTERInv (U_2_int ?x217))))) boolTrue))) :pattern ((MapType0Select (x_S_Counter__SERIAL_XOFF_COUNTER ?S88) ?x217)) )) (forall ((?x218 boogieU) (?S89 boogieU)) (! (=> (and (= (type ?x218) intType) (= (type ?S89) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Counter__SERIAL_XOFF_COUNTERInv ?S89) ?x218)) boolTrue) (= (U_2_bool (MapType0Select ?S89 (int_2_U (Counter__SERIAL_XOFF_COUNTER (U_2_int ?x218))))) boolTrue))) :pattern ((MapType0Select (x_S_Counter__SERIAL_XOFF_COUNTERInv ?S89) ?x218)) )) (forall ((?x219 boogieU) (?S90 boogieU)) (! (=> (and (= (type ?x219) intType) (= (type ?S90) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S90 ?x219)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Counter__SERIAL_XOFF_COUNTER ?S90) (int_2_U (Counter__SERIAL_XOFF_COUNTER (U_2_int ?x219))))) boolTrue))) :pattern ((MapType0Select ?S90 ?x219) (x_S_Counter__SERIAL_XOFF_COUNTER ?S90)) )) (forall ((?x220 boogieU) (?S91 boogieU)) (! (=> (and (= (type ?x220) intType) (= (type ?S91) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S91 ?x220)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Counter__SERIAL_XOFF_COUNTERInv ?S91) (int_2_U (Counter__SERIAL_XOFF_COUNTERInv (U_2_int ?x220))))) boolTrue))) :pattern ((MapType0Select ?S91 ?x220) (x_S_Counter__SERIAL_XOFF_COUNTERInv ?S91)) )) (forall ((?x221 Int)) (! (= (Counter__SERIAL_XOFF_COUNTER ?x221) (+ ?x221 4)) :pattern ((Counter__SERIAL_XOFF_COUNTER ?x221)) )) (forall ((?x222 Int)) (! (= (Counter__SERIAL_XOFF_COUNTERInv ?x222) (- ?x222 4)) :pattern ((Counter__SERIAL_XOFF_COUNTERInv ?x222)) )) (forall ((?x223 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x223 4 1) (Counter__SERIAL_XOFF_COUNTERInv ?x223)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x223 4 1)) )) (forall ((?x224 Int)) (! (= (MINUS_LEFT_PTR ?x224 1 4) (Counter__SERIAL_XOFF_COUNTERInv ?x224)) :pattern ((MINUS_LEFT_PTR ?x224 1 4)) )) (forall ((?x225 Int)) (! (= (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv (CurrentBaud__SERIAL_DEVICE_EXTENSION ?x225)) ?x225) :pattern ((CurrentBaud__SERIAL_DEVICE_EXTENSIONInv (CurrentBaud__SERIAL_DEVICE_EXTENSION ?x225))) )) (forall ((?x226 Int)) (! (= (CurrentBaud__SERIAL_DEVICE_EXTENSION (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?x226)) ?x226) :pattern ((CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?x226)) )) (forall ((?x227 boogieU) (?S92 boogieU)) (! (=> (and (= (type ?x227) intType) (= (type ?S92) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION ?S92) ?x227)) boolTrue) (= (U_2_bool (MapType0Select ?S92 (int_2_U (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x227))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION ?S92) ?x227)) )) (forall ((?x228 boogieU) (?S93 boogieU)) (! (=> (and (= (type ?x228) intType) (= (type ?S93) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?S93) ?x228)) boolTrue) (= (U_2_bool (MapType0Select ?S93 (int_2_U (CurrentBaud__SERIAL_DEVICE_EXTENSION (U_2_int ?x228))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?S93) ?x228)) )) (forall ((?x229 boogieU) (?S94 boogieU)) (! (=> (and (= (type ?x229) intType) (= (type ?S94) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S94 ?x229)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION ?S94) (int_2_U (CurrentBaud__SERIAL_DEVICE_EXTENSION (U_2_int ?x229))))) boolTrue))) :pattern ((MapType0Select ?S94 ?x229) (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION ?S94)) )) (forall ((?x230 boogieU) (?S95 boogieU)) (! (=> (and (= (type ?x230) intType) (= (type ?S95) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S95 ?x230)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?S95) (int_2_U (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x230))))) boolTrue))) :pattern ((MapType0Select ?S95 ?x230) (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?S95)) )) (forall ((?x231 Int)) (! (= (CurrentBaud__SERIAL_DEVICE_EXTENSION ?x231) (+ ?x231 300)) :pattern ((CurrentBaud__SERIAL_DEVICE_EXTENSION ?x231)) )) (forall ((?x232 Int)) (! (= (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?x232) (- ?x232 300)) :pattern ((CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?x232)) )) (forall ((?x233 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x233 300 1) (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?x233)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x233 300 1)) )) (forall ((?x234 Int)) (! (= (MINUS_LEFT_PTR ?x234 1 300) (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?x234)) :pattern ((MINUS_LEFT_PTR ?x234 1 300)) )) (forall ((?x235 Int)) (! (= (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?x235)) ?x235) :pattern ((CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?x235))) )) (forall ((?x236 Int)) (! (= (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?x236)) ?x236) :pattern ((CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?x236)) )) (forall ((?x237 boogieU) (?S96 boogieU)) (! (=> (and (= (type ?x237) intType) (= (type ?S96) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?S96) ?x237)) boolTrue) (= (U_2_bool (MapType0Select ?S96 (int_2_U (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x237))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?S96) ?x237)) )) (forall ((?x238 boogieU) (?S97 boogieU)) (! (=> (and (= (type ?x238) intType) (= (type ?S97) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?S97) ?x238)) boolTrue) (= (U_2_bool (MapType0Select ?S97 (int_2_U (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x238))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?S97) ?x238)) )) (forall ((?x239 boogieU) (?S98 boogieU)) (! (=> (and (= (type ?x239) intType) (= (type ?S98) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S98 ?x239)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?S98) (int_2_U (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x239))))) boolTrue))) :pattern ((MapType0Select ?S98 ?x239) (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?S98)) )) (forall ((?x240 boogieU) (?S99 boogieU)) (! (=> (and (= (type ?x240) intType) (= (type ?S99) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S99 ?x240)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?S99) (int_2_U (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x240))))) boolTrue))) :pattern ((MapType0Select ?S99 ?x240) (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?S99)) )) (forall ((?x241 Int)) (! (= (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?x241) (+ ?x241 208)) :pattern ((CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?x241)) )) (forall ((?x242 Int)) (! (= (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?x242) (- ?x242 208)) :pattern ((CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?x242)) )) (forall ((?x243 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x243 208 1) (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?x243)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x243 208 1)) )) (forall ((?x244 Int)) (! (= (MINUS_LEFT_PTR ?x244 1 208) (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?x244)) :pattern ((MINUS_LEFT_PTR ?x244 1 208)) )) (forall ((?x245 Int)) (! (= (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?x245)) ?x245) :pattern ((CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?x245))) )) (forall ((?x246 Int)) (! (= (CurrentMaskIrp__SERIAL_DEVICE_EXTENSION (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?x246)) ?x246) :pattern ((CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?x246)) )) (forall ((?x247 boogieU) (?S100 boogieU)) (! (=> (and (= (type ?x247) intType) (= (type ?S100) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?S100) ?x247)) boolTrue) (= (U_2_bool (MapType0Select ?S100 (int_2_U (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x247))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?S100) ?x247)) )) (forall ((?x248 boogieU) (?S101 boogieU)) (! (=> (and (= (type ?x248) intType) (= (type ?S101) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?S101) ?x248)) boolTrue) (= (U_2_bool (MapType0Select ?S101 (int_2_U (CurrentMaskIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x248))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?S101) ?x248)) )) (forall ((?x249 boogieU) (?S102 boogieU)) (! (=> (and (= (type ?x249) intType) (= (type ?S102) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S102 ?x249)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?S102) (int_2_U (CurrentMaskIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x249))))) boolTrue))) :pattern ((MapType0Select ?S102 ?x249) (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?S102)) )) (forall ((?x250 boogieU) (?S103 boogieU)) (! (=> (and (= (type ?x250) intType) (= (type ?S103) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S103 ?x250)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?S103) (int_2_U (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x250))))) boolTrue))) :pattern ((MapType0Select ?S103 ?x250) (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?S103)) )) (forall ((?x251 Int)) (! (= (CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?x251) (+ ?x251 196)) :pattern ((CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?x251)) )) (forall ((?x252 Int)) (! (= (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?x252) (- ?x252 196)) :pattern ((CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?x252)) )) (forall ((?x253 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x253 196 1) (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?x253)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x253 196 1)) )) (forall ((?x254 Int)) (! (= (MINUS_LEFT_PTR ?x254 1 196) (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?x254)) :pattern ((MINUS_LEFT_PTR ?x254 1 196)) )) (forall ((?x255 Int)) (! (= (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?x255)) ?x255) :pattern ((CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?x255))) )) (forall ((?x256 Int)) (! (= (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?x256)) ?x256) :pattern ((CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?x256)) )) (forall ((?x257 boogieU) (?S104 boogieU)) (! (=> (and (= (type ?x257) intType) (= (type ?S104) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?S104) ?x257)) boolTrue) (= (U_2_bool (MapType0Select ?S104 (int_2_U (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x257))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?S104) ?x257)) )) (forall ((?x258 boogieU) (?S105 boogieU)) (! (=> (and (= (type ?x258) intType) (= (type ?S105) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?S105) ?x258)) boolTrue) (= (U_2_bool (MapType0Select ?S105 (int_2_U (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x258))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?S105) ?x258)) )) (forall ((?x259 boogieU) (?S106 boogieU)) (! (=> (and (= (type ?x259) intType) (= (type ?S106) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S106 ?x259)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?S106) (int_2_U (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x259))))) boolTrue))) :pattern ((MapType0Select ?S106 ?x259) (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?S106)) )) (forall ((?x260 boogieU) (?S107 boogieU)) (! (=> (and (= (type ?x260) intType) (= (type ?S107) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S107 ?x260)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?S107) (int_2_U (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x260))))) boolTrue))) :pattern ((MapType0Select ?S107 ?x260) (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?S107)) )) (forall ((?x261 Int)) (! (= (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?x261) (+ ?x261 200)) :pattern ((CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?x261)) )) (forall ((?x262 Int)) (! (= (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?x262) (- ?x262 200)) :pattern ((CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?x262)) )) (forall ((?x263 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x263 200 1) (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?x263)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x263 200 1)) )) (forall ((?x264 Int)) (! (= (MINUS_LEFT_PTR ?x264 1 200) (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?x264)) :pattern ((MINUS_LEFT_PTR ?x264 1 200)) )) (forall ((?x265 Int)) (! (= (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?x265)) ?x265) :pattern ((CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?x265))) )) (forall ((?x266 Int)) (! (= (CurrentReadIrp__SERIAL_DEVICE_EXTENSION (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?x266)) ?x266) :pattern ((CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?x266)) )) (forall ((?x267 boogieU) (?S108 boogieU)) (! (=> (and (= (type ?x267) intType) (= (type ?S108) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?S108) ?x267)) boolTrue) (= (U_2_bool (MapType0Select ?S108 (int_2_U (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x267))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?S108) ?x267)) )) (forall ((?x268 boogieU) (?S109 boogieU)) (! (=> (and (= (type ?x268) intType) (= (type ?S109) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?S109) ?x268)) boolTrue) (= (U_2_bool (MapType0Select ?S109 (int_2_U (CurrentReadIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x268))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?S109) ?x268)) )) (forall ((?x269 boogieU) (?S110 boogieU)) (! (=> (and (= (type ?x269) intType) (= (type ?S110) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S110 ?x269)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?S110) (int_2_U (CurrentReadIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x269))))) boolTrue))) :pattern ((MapType0Select ?S110 ?x269) (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?S110)) )) (forall ((?x270 boogieU) (?S111 boogieU)) (! (=> (and (= (type ?x270) intType) (= (type ?S111) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S111 ?x270)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?S111) (int_2_U (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x270))))) boolTrue))) :pattern ((MapType0Select ?S111 ?x270) (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?S111)) )) (forall ((?x271 Int)) (! (= (CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?x271) (+ ?x271 188)) :pattern ((CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?x271)) )) (forall ((?x272 Int)) (! (= (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?x272) (- ?x272 188)) :pattern ((CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?x272)) )) (forall ((?x273 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x273 188 1) (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?x273)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x273 188 1)) )) (forall ((?x274 Int)) (! (= (MINUS_LEFT_PTR ?x274 1 188) (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?x274)) :pattern ((MINUS_LEFT_PTR ?x274 1 188)) )) (forall ((?x275 Int)) (! (= (CurrentRxQueue__SERIAL_COMMPROPInv (CurrentRxQueue__SERIAL_COMMPROP ?x275)) ?x275) :pattern ((CurrentRxQueue__SERIAL_COMMPROPInv (CurrentRxQueue__SERIAL_COMMPROP ?x275))) )) (forall ((?x276 Int)) (! (= (CurrentRxQueue__SERIAL_COMMPROP (CurrentRxQueue__SERIAL_COMMPROPInv ?x276)) ?x276) :pattern ((CurrentRxQueue__SERIAL_COMMPROPInv ?x276)) )) (forall ((?x277 boogieU) (?S112 boogieU)) (! (=> (and (= (type ?x277) intType) (= (type ?S112) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRxQueue__SERIAL_COMMPROP ?S112) ?x277)) boolTrue) (= (U_2_bool (MapType0Select ?S112 (int_2_U (CurrentRxQueue__SERIAL_COMMPROPInv (U_2_int ?x277))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRxQueue__SERIAL_COMMPROP ?S112) ?x277)) )) (forall ((?x278 boogieU) (?S113 boogieU)) (! (=> (and (= (type ?x278) intType) (= (type ?S113) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRxQueue__SERIAL_COMMPROPInv ?S113) ?x278)) boolTrue) (= (U_2_bool (MapType0Select ?S113 (int_2_U (CurrentRxQueue__SERIAL_COMMPROP (U_2_int ?x278))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRxQueue__SERIAL_COMMPROPInv ?S113) ?x278)) )) (forall ((?x279 boogieU) (?S114 boogieU)) (! (=> (and (= (type ?x279) intType) (= (type ?S114) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S114 ?x279)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRxQueue__SERIAL_COMMPROP ?S114) (int_2_U (CurrentRxQueue__SERIAL_COMMPROP (U_2_int ?x279))))) boolTrue))) :pattern ((MapType0Select ?S114 ?x279) (x_S_CurrentRxQueue__SERIAL_COMMPROP ?S114)) )) (forall ((?x280 boogieU) (?S115 boogieU)) (! (=> (and (= (type ?x280) intType) (= (type ?S115) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S115 ?x280)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRxQueue__SERIAL_COMMPROPInv ?S115) (int_2_U (CurrentRxQueue__SERIAL_COMMPROPInv (U_2_int ?x280))))) boolTrue))) :pattern ((MapType0Select ?S115 ?x280) (x_S_CurrentRxQueue__SERIAL_COMMPROPInv ?S115)) )) (forall ((?x281 Int)) (! (= (CurrentRxQueue__SERIAL_COMMPROP ?x281) (+ ?x281 48)) :pattern ((CurrentRxQueue__SERIAL_COMMPROP ?x281)) )) (forall ((?x282 Int)) (! (= (CurrentRxQueue__SERIAL_COMMPROPInv ?x282) (- ?x282 48)) :pattern ((CurrentRxQueue__SERIAL_COMMPROPInv ?x282)) )) (forall ((?x283 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x283 48 1) (CurrentRxQueue__SERIAL_COMMPROPInv ?x283)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x283 48 1)) )) (forall ((?x284 Int)) (! (= (MINUS_LEFT_PTR ?x284 1 48) (CurrentRxQueue__SERIAL_COMMPROPInv ?x284)) :pattern ((MINUS_LEFT_PTR ?x284 1 48)) )) (forall ((?x285 Int)) (! (= (CurrentTxQueue__SERIAL_COMMPROPInv (CurrentTxQueue__SERIAL_COMMPROP ?x285)) ?x285) :pattern ((CurrentTxQueue__SERIAL_COMMPROPInv (CurrentTxQueue__SERIAL_COMMPROP ?x285))) )) (forall ((?x286 Int)) (! (= (CurrentTxQueue__SERIAL_COMMPROP (CurrentTxQueue__SERIAL_COMMPROPInv ?x286)) ?x286) :pattern ((CurrentTxQueue__SERIAL_COMMPROPInv ?x286)) )) (forall ((?x287 boogieU) (?S116 boogieU)) (! (=> (and (= (type ?x287) intType) (= (type ?S116) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentTxQueue__SERIAL_COMMPROP ?S116) ?x287)) boolTrue) (= (U_2_bool (MapType0Select ?S116 (int_2_U (CurrentTxQueue__SERIAL_COMMPROPInv (U_2_int ?x287))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentTxQueue__SERIAL_COMMPROP ?S116) ?x287)) )) (forall ((?x288 boogieU) (?S117 boogieU)) (! (=> (and (= (type ?x288) intType) (= (type ?S117) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentTxQueue__SERIAL_COMMPROPInv ?S117) ?x288)) boolTrue) (= (U_2_bool (MapType0Select ?S117 (int_2_U (CurrentTxQueue__SERIAL_COMMPROP (U_2_int ?x288))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentTxQueue__SERIAL_COMMPROPInv ?S117) ?x288)) )) (forall ((?x289 boogieU) (?S118 boogieU)) (! (=> (and (= (type ?x289) intType) (= (type ?S118) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S118 ?x289)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentTxQueue__SERIAL_COMMPROP ?S118) (int_2_U (CurrentTxQueue__SERIAL_COMMPROP (U_2_int ?x289))))) boolTrue))) :pattern ((MapType0Select ?S118 ?x289) (x_S_CurrentTxQueue__SERIAL_COMMPROP ?S118)) )) (forall ((?x290 boogieU) (?S119 boogieU)) (! (=> (and (= (type ?x290) intType) (= (type ?S119) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S119 ?x290)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentTxQueue__SERIAL_COMMPROPInv ?S119) (int_2_U (CurrentTxQueue__SERIAL_COMMPROPInv (U_2_int ?x290))))) boolTrue))) :pattern ((MapType0Select ?S119 ?x290) (x_S_CurrentTxQueue__SERIAL_COMMPROPInv ?S119)) )) (forall ((?x291 Int)) (! (= (CurrentTxQueue__SERIAL_COMMPROP ?x291) (+ ?x291 44)) :pattern ((CurrentTxQueue__SERIAL_COMMPROP ?x291)) )) (forall ((?x292 Int)) (! (= (CurrentTxQueue__SERIAL_COMMPROPInv ?x292) (- ?x292 44)) :pattern ((CurrentTxQueue__SERIAL_COMMPROPInv ?x292)) )) (forall ((?x293 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x293 44 1) (CurrentTxQueue__SERIAL_COMMPROPInv ?x293)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x293 44 1)) )) (forall ((?x294 Int)) (! (= (MINUS_LEFT_PTR ?x294 1 44) (CurrentTxQueue__SERIAL_COMMPROPInv ?x294)) :pattern ((MINUS_LEFT_PTR ?x294 1 44)) )) (forall ((?x295 Int)) (! (= (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?x295)) ?x295) :pattern ((CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?x295))) )) (forall ((?x296 Int)) (! (= (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?x296)) ?x296) :pattern ((CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?x296)) )) (forall ((?x297 boogieU) (?S120 boogieU)) (! (=> (and (= (type ?x297) intType) (= (type ?S120) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?S120) ?x297)) boolTrue) (= (U_2_bool (MapType0Select ?S120 (int_2_U (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x297))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?S120) ?x297)) )) (forall ((?x298 boogieU) (?S121 boogieU)) (! (=> (and (= (type ?x298) intType) (= (type ?S121) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?S121) ?x298)) boolTrue) (= (U_2_bool (MapType0Select ?S121 (int_2_U (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x298))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?S121) ?x298)) )) (forall ((?x299 boogieU) (?S122 boogieU)) (! (=> (and (= (type ?x299) intType) (= (type ?S122) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S122 ?x299)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?S122) (int_2_U (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x299))))) boolTrue))) :pattern ((MapType0Select ?S122 ?x299) (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?S122)) )) (forall ((?x300 boogieU) (?S123 boogieU)) (! (=> (and (= (type ?x300) intType) (= (type ?S123) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S123 ?x300)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?S123) (int_2_U (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x300))))) boolTrue))) :pattern ((MapType0Select ?S123 ?x300) (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?S123)) )) (forall ((?x301 Int)) (! (= (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?x301) (+ ?x301 192)) :pattern ((CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?x301)) )) (forall ((?x302 Int)) (! (= (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?x302) (- ?x302 192)) :pattern ((CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?x302)) )) (forall ((?x303 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x303 192 1) (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?x303)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x303 192 1)) )) (forall ((?x304 Int)) (! (= (MINUS_LEFT_PTR ?x304 1 192) (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?x304)) :pattern ((MINUS_LEFT_PTR ?x304 1 192)) )) (forall ((?x305 Int)) (! (= (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?x305)) ?x305) :pattern ((CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?x305))) )) (forall ((?x306 Int)) (! (= (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?x306)) ?x306) :pattern ((CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?x306)) )) (forall ((?x307 boogieU) (?S124 boogieU)) (! (=> (and (= (type ?x307) intType) (= (type ?S124) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?S124) ?x307)) boolTrue) (= (U_2_bool (MapType0Select ?S124 (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x307))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?S124) ?x307)) )) (forall ((?x308 boogieU) (?S125 boogieU)) (! (=> (and (= (type ?x308) intType) (= (type ?S125) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?S125) ?x308)) boolTrue) (= (U_2_bool (MapType0Select ?S125 (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x308))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?S125) ?x308)) )) (forall ((?x309 boogieU) (?S126 boogieU)) (! (=> (and (= (type ?x309) intType) (= (type ?S126) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S126 ?x309)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?S126) (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x309))))) boolTrue))) :pattern ((MapType0Select ?S126 ?x309) (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?S126)) )) (forall ((?x310 boogieU) (?S127 boogieU)) (! (=> (and (= (type ?x310) intType) (= (type ?S127) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S127 ?x310)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?S127) (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x310))))) boolTrue))) :pattern ((MapType0Select ?S127 ?x310) (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?S127)) )) (forall ((?x311 Int)) (! (= (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?x311) (+ ?x311 212)) :pattern ((CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?x311)) )) (forall ((?x312 Int)) (! (= (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?x312) (- ?x312 212)) :pattern ((CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?x312)) )) (forall ((?x313 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x313 212 1) (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?x313)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x313 212 1)) )) (forall ((?x314 Int)) (! (= (MINUS_LEFT_PTR ?x314 1 212) (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?x314)) :pattern ((MINUS_LEFT_PTR ?x314 1 212)) )) (forall ((?x315 Int)) (! (= (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv (CutOverAmount__SERIAL_DEVICE_EXTENSION ?x315)) ?x315) :pattern ((CutOverAmount__SERIAL_DEVICE_EXTENSIONInv (CutOverAmount__SERIAL_DEVICE_EXTENSION ?x315))) )) (forall ((?x316 Int)) (! (= (CutOverAmount__SERIAL_DEVICE_EXTENSION (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?x316)) ?x316) :pattern ((CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?x316)) )) (forall ((?x317 boogieU) (?S128 boogieU)) (! (=> (and (= (type ?x317) intType) (= (type ?S128) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION ?S128) ?x317)) boolTrue) (= (U_2_bool (MapType0Select ?S128 (int_2_U (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x317))))) boolTrue))) :pattern ((MapType0Select (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION ?S128) ?x317)) )) (forall ((?x318 boogieU) (?S129 boogieU)) (! (=> (and (= (type ?x318) intType) (= (type ?S129) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?S129) ?x318)) boolTrue) (= (U_2_bool (MapType0Select ?S129 (int_2_U (CutOverAmount__SERIAL_DEVICE_EXTENSION (U_2_int ?x318))))) boolTrue))) :pattern ((MapType0Select (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?S129) ?x318)) )) (forall ((?x319 boogieU) (?S130 boogieU)) (! (=> (and (= (type ?x319) intType) (= (type ?S130) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S130 ?x319)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION ?S130) (int_2_U (CutOverAmount__SERIAL_DEVICE_EXTENSION (U_2_int ?x319))))) boolTrue))) :pattern ((MapType0Select ?S130 ?x319) (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION ?S130)) )) (forall ((?x320 boogieU) (?S131 boogieU)) (! (=> (and (= (type ?x320) intType) (= (type ?S131) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S131 ?x320)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?S131) (int_2_U (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x320))))) boolTrue))) :pattern ((MapType0Select ?S131 ?x320) (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?S131)) )) (forall ((?x321 Int)) (! (= (CutOverAmount__SERIAL_DEVICE_EXTENSION ?x321) (+ ?x321 80)) :pattern ((CutOverAmount__SERIAL_DEVICE_EXTENSION ?x321)) )) (forall ((?x322 Int)) (! (= (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?x322) (- ?x322 80)) :pattern ((CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?x322)) )) (forall ((?x323 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x323 80 1) (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?x323)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x323 80 1)) )) (forall ((?x324 Int)) (! (= (MINUS_LEFT_PTR ?x324 1 80) (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?x324)) :pattern ((MINUS_LEFT_PTR ?x324 1 80)) )) (forall ((?x325 Int)) (! (= (Data__SERIAL_IOCTL_SYNCInv (Data__SERIAL_IOCTL_SYNC ?x325)) ?x325) :pattern ((Data__SERIAL_IOCTL_SYNCInv (Data__SERIAL_IOCTL_SYNC ?x325))) )) (forall ((?x326 Int)) (! (= (Data__SERIAL_IOCTL_SYNC (Data__SERIAL_IOCTL_SYNCInv ?x326)) ?x326) :pattern ((Data__SERIAL_IOCTL_SYNCInv ?x326)) )) (forall ((?x327 boogieU) (?S132 boogieU)) (! (=> (and (= (type ?x327) intType) (= (type ?S132) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Data__SERIAL_IOCTL_SYNC ?S132) ?x327)) boolTrue) (= (U_2_bool (MapType0Select ?S132 (int_2_U (Data__SERIAL_IOCTL_SYNCInv (U_2_int ?x327))))) boolTrue))) :pattern ((MapType0Select (x_S_Data__SERIAL_IOCTL_SYNC ?S132) ?x327)) )) (forall ((?x328 boogieU) (?S133 boogieU)) (! (=> (and (= (type ?x328) intType) (= (type ?S133) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Data__SERIAL_IOCTL_SYNCInv ?S133) ?x328)) boolTrue) (= (U_2_bool (MapType0Select ?S133 (int_2_U (Data__SERIAL_IOCTL_SYNC (U_2_int ?x328))))) boolTrue))) :pattern ((MapType0Select (x_S_Data__SERIAL_IOCTL_SYNCInv ?S133) ?x328)) )) (forall ((?x329 boogieU) (?S134 boogieU)) (! (=> (and (= (type ?x329) intType) (= (type ?S134) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S134 ?x329)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Data__SERIAL_IOCTL_SYNC ?S134) (int_2_U (Data__SERIAL_IOCTL_SYNC (U_2_int ?x329))))) boolTrue))) :pattern ((MapType0Select ?S134 ?x329) (x_S_Data__SERIAL_IOCTL_SYNC ?S134)) )) (forall ((?x330 boogieU) (?S135 boogieU)) (! (=> (and (= (type ?x330) intType) (= (type ?S135) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S135 ?x330)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Data__SERIAL_IOCTL_SYNCInv ?S135) (int_2_U (Data__SERIAL_IOCTL_SYNCInv (U_2_int ?x330))))) boolTrue))) :pattern ((MapType0Select ?S135 ?x330) (x_S_Data__SERIAL_IOCTL_SYNCInv ?S135)) )) (forall ((?x331 Int)) (! (= (Data__SERIAL_IOCTL_SYNC ?x331) (+ ?x331 4)) :pattern ((Data__SERIAL_IOCTL_SYNC ?x331)) )) (forall ((?x332 Int)) (! (= (Data__SERIAL_IOCTL_SYNCInv ?x332) (- ?x332 4)) :pattern ((Data__SERIAL_IOCTL_SYNCInv ?x332)) )) (forall ((?x333 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x333 4 1) (Data__SERIAL_IOCTL_SYNCInv ?x333)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x333 4 1)) )) (forall ((?x334 Int)) (! (= (MINUS_LEFT_PTR ?x334 1 4) (Data__SERIAL_IOCTL_SYNCInv ?x334)) :pattern ((MINUS_LEFT_PTR ?x334 1 4)) )) (forall ((?x335 Int)) (! (= (DeviceExtension__DEVICE_OBJECTInv (DeviceExtension__DEVICE_OBJECT ?x335)) ?x335) :pattern ((DeviceExtension__DEVICE_OBJECTInv (DeviceExtension__DEVICE_OBJECT ?x335))) )) (forall ((?x336 Int)) (! (= (DeviceExtension__DEVICE_OBJECT (DeviceExtension__DEVICE_OBJECTInv ?x336)) ?x336) :pattern ((DeviceExtension__DEVICE_OBJECTInv ?x336)) )) (forall ((?x337 boogieU) (?S136 boogieU)) (! (=> (and (= (type ?x337) intType) (= (type ?S136) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceExtension__DEVICE_OBJECT ?S136) ?x337)) boolTrue) (= (U_2_bool (MapType0Select ?S136 (int_2_U (DeviceExtension__DEVICE_OBJECTInv (U_2_int ?x337))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceExtension__DEVICE_OBJECT ?S136) ?x337)) )) (forall ((?x338 boogieU) (?S137 boogieU)) (! (=> (and (= (type ?x338) intType) (= (type ?S137) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceExtension__DEVICE_OBJECTInv ?S137) ?x338)) boolTrue) (= (U_2_bool (MapType0Select ?S137 (int_2_U (DeviceExtension__DEVICE_OBJECT (U_2_int ?x338))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceExtension__DEVICE_OBJECTInv ?S137) ?x338)) )) (forall ((?x339 boogieU) (?S138 boogieU)) (! (=> (and (= (type ?x339) intType) (= (type ?S138) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S138 ?x339)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceExtension__DEVICE_OBJECT ?S138) (int_2_U (DeviceExtension__DEVICE_OBJECT (U_2_int ?x339))))) boolTrue))) :pattern ((MapType0Select ?S138 ?x339) (x_S_DeviceExtension__DEVICE_OBJECT ?S138)) )) (forall ((?x340 boogieU) (?S139 boogieU)) (! (=> (and (= (type ?x340) intType) (= (type ?S139) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S139 ?x340)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceExtension__DEVICE_OBJECTInv ?S139) (int_2_U (DeviceExtension__DEVICE_OBJECTInv (U_2_int ?x340))))) boolTrue))) :pattern ((MapType0Select ?S139 ?x340) (x_S_DeviceExtension__DEVICE_OBJECTInv ?S139)) )) (forall ((?x341 Int)) (! (= (DeviceExtension__DEVICE_OBJECT ?x341) (+ ?x341 40)) :pattern ((DeviceExtension__DEVICE_OBJECT ?x341)) )) (forall ((?x342 Int)) (! (= (DeviceExtension__DEVICE_OBJECTInv ?x342) (- ?x342 40)) :pattern ((DeviceExtension__DEVICE_OBJECTInv ?x342)) )) (forall ((?x343 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x343 40 1) (DeviceExtension__DEVICE_OBJECTInv ?x343)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x343 40 1)) )) (forall ((?x344 Int)) (! (= (MINUS_LEFT_PTR ?x344 1 40) (DeviceExtension__DEVICE_OBJECTInv ?x344)) :pattern ((MINUS_LEFT_PTR ?x344 1 40)) )) (forall ((?x345 Int)) (! (= (DeviceIoControl___unnamed_16_57edbc3aInv (DeviceIoControl___unnamed_16_57edbc3a ?x345)) ?x345) :pattern ((DeviceIoControl___unnamed_16_57edbc3aInv (DeviceIoControl___unnamed_16_57edbc3a ?x345))) )) (forall ((?x346 Int)) (! (= (DeviceIoControl___unnamed_16_57edbc3a (DeviceIoControl___unnamed_16_57edbc3aInv ?x346)) ?x346) :pattern ((DeviceIoControl___unnamed_16_57edbc3aInv ?x346)) )) (forall ((?x347 boogieU) (?S140 boogieU)) (! (=> (and (= (type ?x347) intType) (= (type ?S140) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3a ?S140) ?x347)) boolTrue) (= (U_2_bool (MapType0Select ?S140 (int_2_U (DeviceIoControl___unnamed_16_57edbc3aInv (U_2_int ?x347))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3a ?S140) ?x347)) )) (forall ((?x348 boogieU) (?S141 boogieU)) (! (=> (and (= (type ?x348) intType) (= (type ?S141) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?S141) ?x348)) boolTrue) (= (U_2_bool (MapType0Select ?S141 (int_2_U (DeviceIoControl___unnamed_16_57edbc3a (U_2_int ?x348))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?S141) ?x348)) )) (forall ((?x349 boogieU) (?S142 boogieU)) (! (=> (and (= (type ?x349) intType) (= (type ?S142) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S142 ?x349)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3a ?S142) (int_2_U (DeviceIoControl___unnamed_16_57edbc3a (U_2_int ?x349))))) boolTrue))) :pattern ((MapType0Select ?S142 ?x349) (x_S_DeviceIoControl___unnamed_16_57edbc3a ?S142)) )) (forall ((?x350 boogieU) (?S143 boogieU)) (! (=> (and (= (type ?x350) intType) (= (type ?S143) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S143 ?x350)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?S143) (int_2_U (DeviceIoControl___unnamed_16_57edbc3aInv (U_2_int ?x350))))) boolTrue))) :pattern ((MapType0Select ?S143 ?x350) (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?S143)) )) (forall ((?x351 Int)) (! (= (DeviceIoControl___unnamed_16_57edbc3a ?x351) (+ ?x351 0)) :pattern ((DeviceIoControl___unnamed_16_57edbc3a ?x351)) )) (forall ((?x352 Int)) (! (= (DeviceIoControl___unnamed_16_57edbc3aInv ?x352) (- ?x352 0)) :pattern ((DeviceIoControl___unnamed_16_57edbc3aInv ?x352)) )) (forall ((?x353 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x353 0 1) (DeviceIoControl___unnamed_16_57edbc3aInv ?x353)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x353 0 1)) )) (forall ((?x354 Int)) (! (= (MINUS_LEFT_PTR ?x354 1 0) (DeviceIoControl___unnamed_16_57edbc3aInv ?x354)) :pattern ((MINUS_LEFT_PTR ?x354 1 0)) )) (forall ((?x355 Int)) (! (= (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv (DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?x355)) ?x355) :pattern ((DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv (DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?x355))) )) (forall ((?x356 Int)) (! (= (DeviceIsOpened__SERIAL_DEVICE_EXTENSION (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?x356)) ?x356) :pattern ((DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?x356)) )) (forall ((?x357 boogieU) (?S144 boogieU)) (! (=> (and (= (type ?x357) intType) (= (type ?S144) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?S144) ?x357)) boolTrue) (= (U_2_bool (MapType0Select ?S144 (int_2_U (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x357))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?S144) ?x357)) )) (forall ((?x358 boogieU) (?S145 boogieU)) (! (=> (and (= (type ?x358) intType) (= (type ?S145) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?S145) ?x358)) boolTrue) (= (U_2_bool (MapType0Select ?S145 (int_2_U (DeviceIsOpened__SERIAL_DEVICE_EXTENSION (U_2_int ?x358))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?S145) ?x358)) )) (forall ((?x359 boogieU) (?S146 boogieU)) (! (=> (and (= (type ?x359) intType) (= (type ?S146) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S146 ?x359)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?S146) (int_2_U (DeviceIsOpened__SERIAL_DEVICE_EXTENSION (U_2_int ?x359))))) boolTrue))) :pattern ((MapType0Select ?S146 ?x359) (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?S146)) )) (forall ((?x360 boogieU) (?S147 boogieU)) (! (=> (and (= (type ?x360) intType) (= (type ?S147) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S147 ?x360)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?S147) (int_2_U (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x360))))) boolTrue))) :pattern ((MapType0Select ?S147 ?x360) (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?S147)) )) (forall ((?x361 Int)) (! (= (DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?x361) (+ ?x361 405)) :pattern ((DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?x361)) )) (forall ((?x362 Int)) (! (= (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?x362) (- ?x362 405)) :pattern ((DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?x362)) )) (forall ((?x363 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x363 405 1) (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?x363)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x363 405 1)) )) (forall ((?x364 Int)) (! (= (MINUS_LEFT_PTR ?x364 1 405) (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?x364)) :pattern ((MINUS_LEFT_PTR ?x364 1 405)) )) (forall ((?x365 Int)) (! (= (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv (DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?x365)) ?x365) :pattern ((DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv (DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?x365))) )) (forall ((?x366 Int)) (! (= (DevicePNPAccept__SERIAL_DEVICE_EXTENSION (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?x366)) ?x366) :pattern ((DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?x366)) )) (forall ((?x367 boogieU) (?S148 boogieU)) (! (=> (and (= (type ?x367) intType) (= (type ?S148) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?S148) ?x367)) boolTrue) (= (U_2_bool (MapType0Select ?S148 (int_2_U (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x367))))) boolTrue))) :pattern ((MapType0Select (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?S148) ?x367)) )) (forall ((?x368 boogieU) (?S149 boogieU)) (! (=> (and (= (type ?x368) intType) (= (type ?S149) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?S149) ?x368)) boolTrue) (= (U_2_bool (MapType0Select ?S149 (int_2_U (DevicePNPAccept__SERIAL_DEVICE_EXTENSION (U_2_int ?x368))))) boolTrue))) :pattern ((MapType0Select (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?S149) ?x368)) )) (forall ((?x369 boogieU) (?S150 boogieU)) (! (=> (and (= (type ?x369) intType) (= (type ?S150) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S150 ?x369)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?S150) (int_2_U (DevicePNPAccept__SERIAL_DEVICE_EXTENSION (U_2_int ?x369))))) boolTrue))) :pattern ((MapType0Select ?S150 ?x369) (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?S150)) )) (forall ((?x370 boogieU) (?S151 boogieU)) (! (=> (and (= (type ?x370) intType) (= (type ?S151) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S151 ?x370)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?S151) (int_2_U (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x370))))) boolTrue))) :pattern ((MapType0Select ?S151 ?x370) (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?S151)) )) (forall ((?x371 Int)) (! (= (DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?x371) (+ ?x371 1252)) :pattern ((DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?x371)) )) (forall ((?x372 Int)) (! (= (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?x372) (- ?x372 1252)) :pattern ((DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?x372)) )) (forall ((?x373 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x373 1252 1) (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?x373)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x373 1252 1)) )) (forall ((?x374 Int)) (! (= (MINUS_LEFT_PTR ?x374 1 1252) (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?x374)) :pattern ((MINUS_LEFT_PTR ?x374 1 1252)) )) (forall ((?x375 Int)) (! (= (DeviceState__POWER_STATEInv (DeviceState__POWER_STATE ?x375)) ?x375) :pattern ((DeviceState__POWER_STATEInv (DeviceState__POWER_STATE ?x375))) )) (forall ((?x376 Int)) (! (= (DeviceState__POWER_STATE (DeviceState__POWER_STATEInv ?x376)) ?x376) :pattern ((DeviceState__POWER_STATEInv ?x376)) )) (forall ((?x377 boogieU) (?S152 boogieU)) (! (=> (and (= (type ?x377) intType) (= (type ?S152) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceState__POWER_STATE ?S152) ?x377)) boolTrue) (= (U_2_bool (MapType0Select ?S152 (int_2_U (DeviceState__POWER_STATEInv (U_2_int ?x377))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceState__POWER_STATE ?S152) ?x377)) )) (forall ((?x378 boogieU) (?S153 boogieU)) (! (=> (and (= (type ?x378) intType) (= (type ?S153) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceState__POWER_STATEInv ?S153) ?x378)) boolTrue) (= (U_2_bool (MapType0Select ?S153 (int_2_U (DeviceState__POWER_STATE (U_2_int ?x378))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceState__POWER_STATEInv ?S153) ?x378)) )) (forall ((?x379 boogieU) (?S154 boogieU)) (! (=> (and (= (type ?x379) intType) (= (type ?S154) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S154 ?x379)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceState__POWER_STATE ?S154) (int_2_U (DeviceState__POWER_STATE (U_2_int ?x379))))) boolTrue))) :pattern ((MapType0Select ?S154 ?x379) (x_S_DeviceState__POWER_STATE ?S154)) )) (forall ((?x380 boogieU) (?S155 boogieU)) (! (=> (and (= (type ?x380) intType) (= (type ?S155) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S155 ?x380)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceState__POWER_STATEInv ?S155) (int_2_U (DeviceState__POWER_STATEInv (U_2_int ?x380))))) boolTrue))) :pattern ((MapType0Select ?S155 ?x380) (x_S_DeviceState__POWER_STATEInv ?S155)) )) (forall ((?x381 Int)) (! (= (DeviceState__POWER_STATE ?x381) (+ ?x381 0)) :pattern ((DeviceState__POWER_STATE ?x381)) )) (forall ((?x382 Int)) (! (= (DeviceState__POWER_STATEInv ?x382) (- ?x382 0)) :pattern ((DeviceState__POWER_STATEInv ?x382)) )) (forall ((?x383 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x383 0 1) (DeviceState__POWER_STATEInv ?x383)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x383 0 1)) )) (forall ((?x384 Int)) (! (= (MINUS_LEFT_PTR ?x384 1 0) (DeviceState__POWER_STATEInv ?x384)) :pattern ((MINUS_LEFT_PTR ?x384 1 0)) )) (forall ((?x385 Int)) (! (= (DpcCount__SERIAL_DEVICE_EXTENSIONInv (DpcCount__SERIAL_DEVICE_EXTENSION ?x385)) ?x385) :pattern ((DpcCount__SERIAL_DEVICE_EXTENSIONInv (DpcCount__SERIAL_DEVICE_EXTENSION ?x385))) )) (forall ((?x386 Int)) (! (= (DpcCount__SERIAL_DEVICE_EXTENSION (DpcCount__SERIAL_DEVICE_EXTENSIONInv ?x386)) ?x386) :pattern ((DpcCount__SERIAL_DEVICE_EXTENSIONInv ?x386)) )) (forall ((?x387 boogieU) (?S156 boogieU)) (! (=> (and (= (type ?x387) intType) (= (type ?S156) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcCount__SERIAL_DEVICE_EXTENSION ?S156) ?x387)) boolTrue) (= (U_2_bool (MapType0Select ?S156 (int_2_U (DpcCount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x387))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcCount__SERIAL_DEVICE_EXTENSION ?S156) ?x387)) )) (forall ((?x388 boogieU) (?S157 boogieU)) (! (=> (and (= (type ?x388) intType) (= (type ?S157) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv ?S157) ?x388)) boolTrue) (= (U_2_bool (MapType0Select ?S157 (int_2_U (DpcCount__SERIAL_DEVICE_EXTENSION (U_2_int ?x388))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv ?S157) ?x388)) )) (forall ((?x389 boogieU) (?S158 boogieU)) (! (=> (and (= (type ?x389) intType) (= (type ?S158) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S158 ?x389)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcCount__SERIAL_DEVICE_EXTENSION ?S158) (int_2_U (DpcCount__SERIAL_DEVICE_EXTENSION (U_2_int ?x389))))) boolTrue))) :pattern ((MapType0Select ?S158 ?x389) (x_S_DpcCount__SERIAL_DEVICE_EXTENSION ?S158)) )) (forall ((?x390 boogieU) (?S159 boogieU)) (! (=> (and (= (type ?x390) intType) (= (type ?S159) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S159 ?x390)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv ?S159) (int_2_U (DpcCount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x390))))) boolTrue))) :pattern ((MapType0Select ?S159 ?x390) (x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv ?S159)) )) (forall ((?x391 Int)) (! (= (DpcCount__SERIAL_DEVICE_EXTENSION ?x391) (+ ?x391 1616)) :pattern ((DpcCount__SERIAL_DEVICE_EXTENSION ?x391)) )) (forall ((?x392 Int)) (! (= (DpcCount__SERIAL_DEVICE_EXTENSIONInv ?x392) (- ?x392 1616)) :pattern ((DpcCount__SERIAL_DEVICE_EXTENSIONInv ?x392)) )) (forall ((?x393 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x393 1616 1) (DpcCount__SERIAL_DEVICE_EXTENSIONInv ?x393)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x393 1616 1)) )) (forall ((?x394 Int)) (! (= (MINUS_LEFT_PTR ?x394 1 1616) (DpcCount__SERIAL_DEVICE_EXTENSIONInv ?x394)) :pattern ((MINUS_LEFT_PTR ?x394 1 1616)) )) (forall ((?x395 Int)) (! (= (Dpc__KTIMERInv (Dpc__KTIMER ?x395)) ?x395) :pattern ((Dpc__KTIMERInv (Dpc__KTIMER ?x395))) )) (forall ((?x396 Int)) (! (= (Dpc__KTIMER (Dpc__KTIMERInv ?x396)) ?x396) :pattern ((Dpc__KTIMERInv ?x396)) )) (forall ((?x397 boogieU) (?S160 boogieU)) (! (=> (and (= (type ?x397) intType) (= (type ?S160) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Dpc__KTIMER ?S160) ?x397)) boolTrue) (= (U_2_bool (MapType0Select ?S160 (int_2_U (Dpc__KTIMERInv (U_2_int ?x397))))) boolTrue))) :pattern ((MapType0Select (x_S_Dpc__KTIMER ?S160) ?x397)) )) (forall ((?x398 boogieU) (?S161 boogieU)) (! (=> (and (= (type ?x398) intType) (= (type ?S161) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Dpc__KTIMERInv ?S161) ?x398)) boolTrue) (= (U_2_bool (MapType0Select ?S161 (int_2_U (Dpc__KTIMER (U_2_int ?x398))))) boolTrue))) :pattern ((MapType0Select (x_S_Dpc__KTIMERInv ?S161) ?x398)) )) (forall ((?x399 boogieU) (?S162 boogieU)) (! (=> (and (= (type ?x399) intType) (= (type ?S162) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S162 ?x399)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Dpc__KTIMER ?S162) (int_2_U (Dpc__KTIMER (U_2_int ?x399))))) boolTrue))) :pattern ((MapType0Select ?S162 ?x399) (x_S_Dpc__KTIMER ?S162)) )) (forall ((?x400 boogieU) (?S163 boogieU)) (! (=> (and (= (type ?x400) intType) (= (type ?S163) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S163 ?x400)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Dpc__KTIMERInv ?S163) (int_2_U (Dpc__KTIMERInv (U_2_int ?x400))))) boolTrue))) :pattern ((MapType0Select ?S163 ?x400) (x_S_Dpc__KTIMERInv ?S163)) )) (forall ((?x401 Int)) (! (= (Dpc__KTIMER ?x401) (+ ?x401 32)) :pattern ((Dpc__KTIMER ?x401)) )) (forall ((?x402 Int)) (! (= (Dpc__KTIMERInv ?x402) (- ?x402 32)) :pattern ((Dpc__KTIMERInv ?x402)) )) (forall ((?x403 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x403 32 1) (Dpc__KTIMERInv ?x403)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x403 32 1)) )) (forall ((?x404 Int)) (! (= (MINUS_LEFT_PTR ?x404 1 32) (Dpc__KTIMERInv ?x404)) :pattern ((MINUS_LEFT_PTR ?x404 1 32)) )) (forall ((?x405 Int)) (! (= (EofChar__SERIAL_CHARSInv (EofChar__SERIAL_CHARS ?x405)) ?x405) :pattern ((EofChar__SERIAL_CHARSInv (EofChar__SERIAL_CHARS ?x405))) )) (forall ((?x406 Int)) (! (= (EofChar__SERIAL_CHARS (EofChar__SERIAL_CHARSInv ?x406)) ?x406) :pattern ((EofChar__SERIAL_CHARSInv ?x406)) )) (forall ((?x407 boogieU) (?S164 boogieU)) (! (=> (and (= (type ?x407) intType) (= (type ?S164) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_EofChar__SERIAL_CHARS ?S164) ?x407)) boolTrue) (= (U_2_bool (MapType0Select ?S164 (int_2_U (EofChar__SERIAL_CHARSInv (U_2_int ?x407))))) boolTrue))) :pattern ((MapType0Select (x_S_EofChar__SERIAL_CHARS ?S164) ?x407)) )) (forall ((?x408 boogieU) (?S165 boogieU)) (! (=> (and (= (type ?x408) intType) (= (type ?S165) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_EofChar__SERIAL_CHARSInv ?S165) ?x408)) boolTrue) (= (U_2_bool (MapType0Select ?S165 (int_2_U (EofChar__SERIAL_CHARS (U_2_int ?x408))))) boolTrue))) :pattern ((MapType0Select (x_S_EofChar__SERIAL_CHARSInv ?S165) ?x408)) )) (forall ((?x409 boogieU) (?S166 boogieU)) (! (=> (and (= (type ?x409) intType) (= (type ?S166) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S166 ?x409)) boolTrue) (= (U_2_bool (MapType0Select (x_S_EofChar__SERIAL_CHARS ?S166) (int_2_U (EofChar__SERIAL_CHARS (U_2_int ?x409))))) boolTrue))) :pattern ((MapType0Select ?S166 ?x409) (x_S_EofChar__SERIAL_CHARS ?S166)) )) (forall ((?x410 boogieU) (?S167 boogieU)) (! (=> (and (= (type ?x410) intType) (= (type ?S167) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S167 ?x410)) boolTrue) (= (U_2_bool (MapType0Select (x_S_EofChar__SERIAL_CHARSInv ?S167) (int_2_U (EofChar__SERIAL_CHARSInv (U_2_int ?x410))))) boolTrue))) :pattern ((MapType0Select ?S167 ?x410) (x_S_EofChar__SERIAL_CHARSInv ?S167)) )) (forall ((?x411 Int)) (! (= (EofChar__SERIAL_CHARS ?x411) (+ ?x411 0)) :pattern ((EofChar__SERIAL_CHARS ?x411)) )) (forall ((?x412 Int)) (! (= (EofChar__SERIAL_CHARSInv ?x412) (- ?x412 0)) :pattern ((EofChar__SERIAL_CHARSInv ?x412)) )) (forall ((?x413 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x413 0 1) (EofChar__SERIAL_CHARSInv ?x413)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x413 0 1)) )) (forall ((?x414 Int)) (! (= (MINUS_LEFT_PTR ?x414 1 0) (EofChar__SERIAL_CHARSInv ?x414)) :pattern ((MINUS_LEFT_PTR ?x414 1 0)) )) (forall ((?x415 Int)) (! (= (ErrorChar__SERIAL_CHARSInv (ErrorChar__SERIAL_CHARS ?x415)) ?x415) :pattern ((ErrorChar__SERIAL_CHARSInv (ErrorChar__SERIAL_CHARS ?x415))) )) (forall ((?x416 Int)) (! (= (ErrorChar__SERIAL_CHARS (ErrorChar__SERIAL_CHARSInv ?x416)) ?x416) :pattern ((ErrorChar__SERIAL_CHARSInv ?x416)) )) (forall ((?x417 boogieU) (?S168 boogieU)) (! (=> (and (= (type ?x417) intType) (= (type ?S168) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ErrorChar__SERIAL_CHARS ?S168) ?x417)) boolTrue) (= (U_2_bool (MapType0Select ?S168 (int_2_U (ErrorChar__SERIAL_CHARSInv (U_2_int ?x417))))) boolTrue))) :pattern ((MapType0Select (x_S_ErrorChar__SERIAL_CHARS ?S168) ?x417)) )) (forall ((?x418 boogieU) (?S169 boogieU)) (! (=> (and (= (type ?x418) intType) (= (type ?S169) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ErrorChar__SERIAL_CHARSInv ?S169) ?x418)) boolTrue) (= (U_2_bool (MapType0Select ?S169 (int_2_U (ErrorChar__SERIAL_CHARS (U_2_int ?x418))))) boolTrue))) :pattern ((MapType0Select (x_S_ErrorChar__SERIAL_CHARSInv ?S169) ?x418)) )) (forall ((?x419 boogieU) (?S170 boogieU)) (! (=> (and (= (type ?x419) intType) (= (type ?S170) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S170 ?x419)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ErrorChar__SERIAL_CHARS ?S170) (int_2_U (ErrorChar__SERIAL_CHARS (U_2_int ?x419))))) boolTrue))) :pattern ((MapType0Select ?S170 ?x419) (x_S_ErrorChar__SERIAL_CHARS ?S170)) )) (forall ((?x420 boogieU) (?S171 boogieU)) (! (=> (and (= (type ?x420) intType) (= (type ?S171) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S171 ?x420)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ErrorChar__SERIAL_CHARSInv ?S171) (int_2_U (ErrorChar__SERIAL_CHARSInv (U_2_int ?x420))))) boolTrue))) :pattern ((MapType0Select ?S171 ?x420) (x_S_ErrorChar__SERIAL_CHARSInv ?S171)) )) (forall ((?x421 Int)) (! (= (ErrorChar__SERIAL_CHARS ?x421) (+ ?x421 1)) :pattern ((ErrorChar__SERIAL_CHARS ?x421)) )) (forall ((?x422 Int)) (! (= (ErrorChar__SERIAL_CHARSInv ?x422) (- ?x422 1)) :pattern ((ErrorChar__SERIAL_CHARSInv ?x422)) )) (forall ((?x423 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x423 1 1) (ErrorChar__SERIAL_CHARSInv ?x423)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x423 1 1)) )) (forall ((?x424 Int)) (! (= (MINUS_LEFT_PTR ?x424 1 1) (ErrorChar__SERIAL_CHARSInv ?x424)) :pattern ((MINUS_LEFT_PTR ?x424 1 1)) )) (forall ((?x425 Int)) (! (= (ErrorWord__SERIAL_DEVICE_EXTENSIONInv (ErrorWord__SERIAL_DEVICE_EXTENSION ?x425)) ?x425) :pattern ((ErrorWord__SERIAL_DEVICE_EXTENSIONInv (ErrorWord__SERIAL_DEVICE_EXTENSION ?x425))) )) (forall ((?x426 Int)) (! (= (ErrorWord__SERIAL_DEVICE_EXTENSION (ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?x426)) ?x426) :pattern ((ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?x426)) )) (forall ((?x427 boogieU) (?S172 boogieU)) (! (=> (and (= (type ?x427) intType) (= (type ?S172) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ErrorWord__SERIAL_DEVICE_EXTENSION ?S172) ?x427)) boolTrue) (= (U_2_bool (MapType0Select ?S172 (int_2_U (ErrorWord__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x427))))) boolTrue))) :pattern ((MapType0Select (x_S_ErrorWord__SERIAL_DEVICE_EXTENSION ?S172) ?x427)) )) (forall ((?x428 boogieU) (?S173 boogieU)) (! (=> (and (= (type ?x428) intType) (= (type ?S173) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?S173) ?x428)) boolTrue) (= (U_2_bool (MapType0Select ?S173 (int_2_U (ErrorWord__SERIAL_DEVICE_EXTENSION (U_2_int ?x428))))) boolTrue))) :pattern ((MapType0Select (x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?S173) ?x428)) )) (forall ((?x429 boogieU) (?S174 boogieU)) (! (=> (and (= (type ?x429) intType) (= (type ?S174) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S174 ?x429)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ErrorWord__SERIAL_DEVICE_EXTENSION ?S174) (int_2_U (ErrorWord__SERIAL_DEVICE_EXTENSION (U_2_int ?x429))))) boolTrue))) :pattern ((MapType0Select ?S174 ?x429) (x_S_ErrorWord__SERIAL_DEVICE_EXTENSION ?S174)) )) (forall ((?x430 boogieU) (?S175 boogieU)) (! (=> (and (= (type ?x430) intType) (= (type ?S175) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S175 ?x430)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?S175) (int_2_U (ErrorWord__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x430))))) boolTrue))) :pattern ((MapType0Select ?S175 ?x430) (x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?S175)) )) (forall ((?x431 Int)) (! (= (ErrorWord__SERIAL_DEVICE_EXTENSION ?x431) (+ ?x431 284)) :pattern ((ErrorWord__SERIAL_DEVICE_EXTENSION ?x431)) )) (forall ((?x432 Int)) (! (= (ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?x432) (- ?x432 284)) :pattern ((ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?x432)) )) (forall ((?x433 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x433 284 1) (ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?x433)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x433 284 1)) )) (forall ((?x434 Int)) (! (= (MINUS_LEFT_PTR ?x434 1 284) (ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?x434)) :pattern ((MINUS_LEFT_PTR ?x434 1 284)) )) (forall ((?x435 Int)) (! (= (EscapeChar__SERIAL_DEVICE_EXTENSIONInv (EscapeChar__SERIAL_DEVICE_EXTENSION ?x435)) ?x435) :pattern ((EscapeChar__SERIAL_DEVICE_EXTENSIONInv (EscapeChar__SERIAL_DEVICE_EXTENSION ?x435))) )) (forall ((?x436 Int)) (! (= (EscapeChar__SERIAL_DEVICE_EXTENSION (EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?x436)) ?x436) :pattern ((EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?x436)) )) (forall ((?x437 boogieU) (?S176 boogieU)) (! (=> (and (= (type ?x437) intType) (= (type ?S176) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_EscapeChar__SERIAL_DEVICE_EXTENSION ?S176) ?x437)) boolTrue) (= (U_2_bool (MapType0Select ?S176 (int_2_U (EscapeChar__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x437))))) boolTrue))) :pattern ((MapType0Select (x_S_EscapeChar__SERIAL_DEVICE_EXTENSION ?S176) ?x437)) )) (forall ((?x438 boogieU) (?S177 boogieU)) (! (=> (and (= (type ?x438) intType) (= (type ?S177) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?S177) ?x438)) boolTrue) (= (U_2_bool (MapType0Select ?S177 (int_2_U (EscapeChar__SERIAL_DEVICE_EXTENSION (U_2_int ?x438))))) boolTrue))) :pattern ((MapType0Select (x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?S177) ?x438)) )) (forall ((?x439 boogieU) (?S178 boogieU)) (! (=> (and (= (type ?x439) intType) (= (type ?S178) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S178 ?x439)) boolTrue) (= (U_2_bool (MapType0Select (x_S_EscapeChar__SERIAL_DEVICE_EXTENSION ?S178) (int_2_U (EscapeChar__SERIAL_DEVICE_EXTENSION (U_2_int ?x439))))) boolTrue))) :pattern ((MapType0Select ?S178 ?x439) (x_S_EscapeChar__SERIAL_DEVICE_EXTENSION ?S178)) )) (forall ((?x440 boogieU) (?S179 boogieU)) (! (=> (and (= (type ?x440) intType) (= (type ?S179) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S179 ?x440)) boolTrue) (= (U_2_bool (MapType0Select (x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?S179) (int_2_U (EscapeChar__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x440))))) boolTrue))) :pattern ((MapType0Select ?S179 ?x440) (x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?S179)) )) (forall ((?x441 Int)) (! (= (EscapeChar__SERIAL_DEVICE_EXTENSION ?x441) (+ ?x441 466)) :pattern ((EscapeChar__SERIAL_DEVICE_EXTENSION ?x441)) )) (forall ((?x442 Int)) (! (= (EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?x442) (- ?x442 466)) :pattern ((EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?x442)) )) (forall ((?x443 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x443 466 1) (EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?x443)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x443 466 1)) )) (forall ((?x444 Int)) (! (= (MINUS_LEFT_PTR ?x444 1 466) (EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?x444)) :pattern ((MINUS_LEFT_PTR ?x444 1 466)) )) (forall ((?x445 Int)) (! (= (EventChar__SERIAL_CHARSInv (EventChar__SERIAL_CHARS ?x445)) ?x445) :pattern ((EventChar__SERIAL_CHARSInv (EventChar__SERIAL_CHARS ?x445))) )) (forall ((?x446 Int)) (! (= (EventChar__SERIAL_CHARS (EventChar__SERIAL_CHARSInv ?x446)) ?x446) :pattern ((EventChar__SERIAL_CHARSInv ?x446)) )) (forall ((?x447 boogieU) (?S180 boogieU)) (! (=> (and (= (type ?x447) intType) (= (type ?S180) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_EventChar__SERIAL_CHARS ?S180) ?x447)) boolTrue) (= (U_2_bool (MapType0Select ?S180 (int_2_U (EventChar__SERIAL_CHARSInv (U_2_int ?x447))))) boolTrue))) :pattern ((MapType0Select (x_S_EventChar__SERIAL_CHARS ?S180) ?x447)) )) (forall ((?x448 boogieU) (?S181 boogieU)) (! (=> (and (= (type ?x448) intType) (= (type ?S181) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_EventChar__SERIAL_CHARSInv ?S181) ?x448)) boolTrue) (= (U_2_bool (MapType0Select ?S181 (int_2_U (EventChar__SERIAL_CHARS (U_2_int ?x448))))) boolTrue))) :pattern ((MapType0Select (x_S_EventChar__SERIAL_CHARSInv ?S181) ?x448)) )) (forall ((?x449 boogieU) (?S182 boogieU)) (! (=> (and (= (type ?x449) intType) (= (type ?S182) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S182 ?x449)) boolTrue) (= (U_2_bool (MapType0Select (x_S_EventChar__SERIAL_CHARS ?S182) (int_2_U (EventChar__SERIAL_CHARS (U_2_int ?x449))))) boolTrue))) :pattern ((MapType0Select ?S182 ?x449) (x_S_EventChar__SERIAL_CHARS ?S182)) )) (forall ((?x450 boogieU) (?S183 boogieU)) (! (=> (and (= (type ?x450) intType) (= (type ?S183) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S183 ?x450)) boolTrue) (= (U_2_bool (MapType0Select (x_S_EventChar__SERIAL_CHARSInv ?S183) (int_2_U (EventChar__SERIAL_CHARSInv (U_2_int ?x450))))) boolTrue))) :pattern ((MapType0Select ?S183 ?x450) (x_S_EventChar__SERIAL_CHARSInv ?S183)) )) (forall ((?x451 Int)) (! (= (EventChar__SERIAL_CHARS ?x451) (+ ?x451 3)) :pattern ((EventChar__SERIAL_CHARS ?x451)) )) (forall ((?x452 Int)) (! (= (EventChar__SERIAL_CHARSInv ?x452) (- ?x452 3)) :pattern ((EventChar__SERIAL_CHARSInv ?x452)) )) (forall ((?x453 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x453 3 1) (EventChar__SERIAL_CHARSInv ?x453)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x453 3 1)) )) (forall ((?x454 Int)) (! (= (MINUS_LEFT_PTR ?x454 1 3) (EventChar__SERIAL_CHARSInv ?x454)) :pattern ((MINUS_LEFT_PTR ?x454 1 3)) )) (forall ((?x455 Int)) (! (= (Extension__SERIAL_IOCTL_SYNCInv (Extension__SERIAL_IOCTL_SYNC ?x455)) ?x455) :pattern ((Extension__SERIAL_IOCTL_SYNCInv (Extension__SERIAL_IOCTL_SYNC ?x455))) )) (forall ((?x456 Int)) (! (= (Extension__SERIAL_IOCTL_SYNC (Extension__SERIAL_IOCTL_SYNCInv ?x456)) ?x456) :pattern ((Extension__SERIAL_IOCTL_SYNCInv ?x456)) )) (forall ((?x457 boogieU) (?S184 boogieU)) (! (=> (and (= (type ?x457) intType) (= (type ?S184) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_IOCTL_SYNC ?S184) ?x457)) boolTrue) (= (U_2_bool (MapType0Select ?S184 (int_2_U (Extension__SERIAL_IOCTL_SYNCInv (U_2_int ?x457))))) boolTrue))) :pattern ((MapType0Select (x_S_Extension__SERIAL_IOCTL_SYNC ?S184) ?x457)) )) (forall ((?x458 boogieU) (?S185 boogieU)) (! (=> (and (= (type ?x458) intType) (= (type ?S185) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_IOCTL_SYNCInv ?S185) ?x458)) boolTrue) (= (U_2_bool (MapType0Select ?S185 (int_2_U (Extension__SERIAL_IOCTL_SYNC (U_2_int ?x458))))) boolTrue))) :pattern ((MapType0Select (x_S_Extension__SERIAL_IOCTL_SYNCInv ?S185) ?x458)) )) (forall ((?x459 boogieU) (?S186 boogieU)) (! (=> (and (= (type ?x459) intType) (= (type ?S186) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S186 ?x459)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_IOCTL_SYNC ?S186) (int_2_U (Extension__SERIAL_IOCTL_SYNC (U_2_int ?x459))))) boolTrue))) :pattern ((MapType0Select ?S186 ?x459) (x_S_Extension__SERIAL_IOCTL_SYNC ?S186)) )) (forall ((?x460 boogieU) (?S187 boogieU)) (! (=> (and (= (type ?x460) intType) (= (type ?S187) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S187 ?x460)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_IOCTL_SYNCInv ?S187) (int_2_U (Extension__SERIAL_IOCTL_SYNCInv (U_2_int ?x460))))) boolTrue))) :pattern ((MapType0Select ?S187 ?x460) (x_S_Extension__SERIAL_IOCTL_SYNCInv ?S187)) )) (forall ((?x461 Int)) (! (= (Extension__SERIAL_IOCTL_SYNC ?x461) (+ ?x461 0)) :pattern ((Extension__SERIAL_IOCTL_SYNC ?x461)) )) (forall ((?x462 Int)) (! (= (Extension__SERIAL_IOCTL_SYNCInv ?x462) (- ?x462 0)) :pattern ((Extension__SERIAL_IOCTL_SYNCInv ?x462)) )) (forall ((?x463 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x463 0 1) (Extension__SERIAL_IOCTL_SYNCInv ?x463)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x463 0 1)) )) (forall ((?x464 Int)) (! (= (MINUS_LEFT_PTR ?x464 1 0) (Extension__SERIAL_IOCTL_SYNCInv ?x464)) :pattern ((MINUS_LEFT_PTR ?x464 1 0)) )) (forall ((?x465 Int)) (! (= (Extension__SERIAL_RESIZE_PARAMSInv (Extension__SERIAL_RESIZE_PARAMS ?x465)) ?x465) :pattern ((Extension__SERIAL_RESIZE_PARAMSInv (Extension__SERIAL_RESIZE_PARAMS ?x465))) )) (forall ((?x466 Int)) (! (= (Extension__SERIAL_RESIZE_PARAMS (Extension__SERIAL_RESIZE_PARAMSInv ?x466)) ?x466) :pattern ((Extension__SERIAL_RESIZE_PARAMSInv ?x466)) )) (forall ((?x467 boogieU) (?S188 boogieU)) (! (=> (and (= (type ?x467) intType) (= (type ?S188) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_RESIZE_PARAMS ?S188) ?x467)) boolTrue) (= (U_2_bool (MapType0Select ?S188 (int_2_U (Extension__SERIAL_RESIZE_PARAMSInv (U_2_int ?x467))))) boolTrue))) :pattern ((MapType0Select (x_S_Extension__SERIAL_RESIZE_PARAMS ?S188) ?x467)) )) (forall ((?x468 boogieU) (?S189 boogieU)) (! (=> (and (= (type ?x468) intType) (= (type ?S189) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_RESIZE_PARAMSInv ?S189) ?x468)) boolTrue) (= (U_2_bool (MapType0Select ?S189 (int_2_U (Extension__SERIAL_RESIZE_PARAMS (U_2_int ?x468))))) boolTrue))) :pattern ((MapType0Select (x_S_Extension__SERIAL_RESIZE_PARAMSInv ?S189) ?x468)) )) (forall ((?x469 boogieU) (?S190 boogieU)) (! (=> (and (= (type ?x469) intType) (= (type ?S190) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S190 ?x469)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_RESIZE_PARAMS ?S190) (int_2_U (Extension__SERIAL_RESIZE_PARAMS (U_2_int ?x469))))) boolTrue))) :pattern ((MapType0Select ?S190 ?x469) (x_S_Extension__SERIAL_RESIZE_PARAMS ?S190)) )) (forall ((?x470 boogieU) (?S191 boogieU)) (! (=> (and (= (type ?x470) intType) (= (type ?S191) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S191 ?x470)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_RESIZE_PARAMSInv ?S191) (int_2_U (Extension__SERIAL_RESIZE_PARAMSInv (U_2_int ?x470))))) boolTrue))) :pattern ((MapType0Select ?S191 ?x470) (x_S_Extension__SERIAL_RESIZE_PARAMSInv ?S191)) )) (forall ((?x471 Int)) (! (= (Extension__SERIAL_RESIZE_PARAMS ?x471) (+ ?x471 0)) :pattern ((Extension__SERIAL_RESIZE_PARAMS ?x471)) )) (forall ((?x472 Int)) (! (= (Extension__SERIAL_RESIZE_PARAMSInv ?x472) (- ?x472 0)) :pattern ((Extension__SERIAL_RESIZE_PARAMSInv ?x472)) )) (forall ((?x473 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x473 0 1) (Extension__SERIAL_RESIZE_PARAMSInv ?x473)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x473 0 1)) )) (forall ((?x474 Int)) (! (= (MINUS_LEFT_PTR ?x474 1 0) (Extension__SERIAL_RESIZE_PARAMSInv ?x474)) :pattern ((MINUS_LEFT_PTR ?x474 1 0)) )) (forall ((?x475 Int)) (! (= (Extension__SERIAL_UPDATE_CHARInv (Extension__SERIAL_UPDATE_CHAR ?x475)) ?x475) :pattern ((Extension__SERIAL_UPDATE_CHARInv (Extension__SERIAL_UPDATE_CHAR ?x475))) )) (forall ((?x476 Int)) (! (= (Extension__SERIAL_UPDATE_CHAR (Extension__SERIAL_UPDATE_CHARInv ?x476)) ?x476) :pattern ((Extension__SERIAL_UPDATE_CHARInv ?x476)) )) (forall ((?x477 boogieU) (?S192 boogieU)) (! (=> (and (= (type ?x477) intType) (= (type ?S192) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_UPDATE_CHAR ?S192) ?x477)) boolTrue) (= (U_2_bool (MapType0Select ?S192 (int_2_U (Extension__SERIAL_UPDATE_CHARInv (U_2_int ?x477))))) boolTrue))) :pattern ((MapType0Select (x_S_Extension__SERIAL_UPDATE_CHAR ?S192) ?x477)) )) (forall ((?x478 boogieU) (?S193 boogieU)) (! (=> (and (= (type ?x478) intType) (= (type ?S193) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_UPDATE_CHARInv ?S193) ?x478)) boolTrue) (= (U_2_bool (MapType0Select ?S193 (int_2_U (Extension__SERIAL_UPDATE_CHAR (U_2_int ?x478))))) boolTrue))) :pattern ((MapType0Select (x_S_Extension__SERIAL_UPDATE_CHARInv ?S193) ?x478)) )) (forall ((?x479 boogieU) (?S194 boogieU)) (! (=> (and (= (type ?x479) intType) (= (type ?S194) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S194 ?x479)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_UPDATE_CHAR ?S194) (int_2_U (Extension__SERIAL_UPDATE_CHAR (U_2_int ?x479))))) boolTrue))) :pattern ((MapType0Select ?S194 ?x479) (x_S_Extension__SERIAL_UPDATE_CHAR ?S194)) )) (forall ((?x480 boogieU) (?S195 boogieU)) (! (=> (and (= (type ?x480) intType) (= (type ?S195) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S195 ?x480)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_UPDATE_CHARInv ?S195) (int_2_U (Extension__SERIAL_UPDATE_CHARInv (U_2_int ?x480))))) boolTrue))) :pattern ((MapType0Select ?S195 ?x480) (x_S_Extension__SERIAL_UPDATE_CHARInv ?S195)) )) (forall ((?x481 Int)) (! (= (Extension__SERIAL_UPDATE_CHAR ?x481) (+ ?x481 0)) :pattern ((Extension__SERIAL_UPDATE_CHAR ?x481)) )) (forall ((?x482 Int)) (! (= (Extension__SERIAL_UPDATE_CHARInv ?x482) (- ?x482 0)) :pattern ((Extension__SERIAL_UPDATE_CHARInv ?x482)) )) (forall ((?x483 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x483 0 1) (Extension__SERIAL_UPDATE_CHARInv ?x483)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x483 0 1)) )) (forall ((?x484 Int)) (! (= (MINUS_LEFT_PTR ?x484 1 0) (Extension__SERIAL_UPDATE_CHARInv ?x484)) :pattern ((MINUS_LEFT_PTR ?x484 1 0)) )) (forall ((?x485 Int)) (! (= (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv (FirstReadableChar__SERIAL_DEVICE_EXTENSION ?x485)) ?x485) :pattern ((FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv (FirstReadableChar__SERIAL_DEVICE_EXTENSION ?x485))) )) (forall ((?x486 Int)) (! (= (FirstReadableChar__SERIAL_DEVICE_EXTENSION (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?x486)) ?x486) :pattern ((FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?x486)) )) (forall ((?x487 boogieU) (?S196 boogieU)) (! (=> (and (= (type ?x487) intType) (= (type ?S196) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION ?S196) ?x487)) boolTrue) (= (U_2_bool (MapType0Select ?S196 (int_2_U (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x487))))) boolTrue))) :pattern ((MapType0Select (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION ?S196) ?x487)) )) (forall ((?x488 boogieU) (?S197 boogieU)) (! (=> (and (= (type ?x488) intType) (= (type ?S197) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?S197) ?x488)) boolTrue) (= (U_2_bool (MapType0Select ?S197 (int_2_U (FirstReadableChar__SERIAL_DEVICE_EXTENSION (U_2_int ?x488))))) boolTrue))) :pattern ((MapType0Select (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?S197) ?x488)) )) (forall ((?x489 boogieU) (?S198 boogieU)) (! (=> (and (= (type ?x489) intType) (= (type ?S198) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S198 ?x489)) boolTrue) (= (U_2_bool (MapType0Select (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION ?S198) (int_2_U (FirstReadableChar__SERIAL_DEVICE_EXTENSION (U_2_int ?x489))))) boolTrue))) :pattern ((MapType0Select ?S198 ?x489) (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION ?S198)) )) (forall ((?x490 boogieU) (?S199 boogieU)) (! (=> (and (= (type ?x490) intType) (= (type ?S199) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S199 ?x490)) boolTrue) (= (U_2_bool (MapType0Select (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?S199) (int_2_U (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x490))))) boolTrue))) :pattern ((MapType0Select ?S199 ?x490) (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?S199)) )) (forall ((?x491 Int)) (! (= (FirstReadableChar__SERIAL_DEVICE_EXTENSION ?x491) (+ ?x491 244)) :pattern ((FirstReadableChar__SERIAL_DEVICE_EXTENSION ?x491)) )) (forall ((?x492 Int)) (! (= (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?x492) (- ?x492 244)) :pattern ((FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?x492)) )) (forall ((?x493 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x493 244 1) (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?x493)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x493 244 1)) )) (forall ((?x494 Int)) (! (= (MINUS_LEFT_PTR ?x494 1 244) (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?x494)) :pattern ((MINUS_LEFT_PTR ?x494 1 244)) )) (forall ((?x495 Int)) (! (= (FlagsLock__SERIAL_DEVICE_EXTENSIONInv (FlagsLock__SERIAL_DEVICE_EXTENSION ?x495)) ?x495) :pattern ((FlagsLock__SERIAL_DEVICE_EXTENSIONInv (FlagsLock__SERIAL_DEVICE_EXTENSION ?x495))) )) (forall ((?x496 Int)) (! (= (FlagsLock__SERIAL_DEVICE_EXTENSION (FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?x496)) ?x496) :pattern ((FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?x496)) )) (forall ((?x497 boogieU) (?S200 boogieU)) (! (=> (and (= (type ?x497) intType) (= (type ?S200) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_FlagsLock__SERIAL_DEVICE_EXTENSION ?S200) ?x497)) boolTrue) (= (U_2_bool (MapType0Select ?S200 (int_2_U (FlagsLock__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x497))))) boolTrue))) :pattern ((MapType0Select (x_S_FlagsLock__SERIAL_DEVICE_EXTENSION ?S200) ?x497)) )) (forall ((?x498 boogieU) (?S201 boogieU)) (! (=> (and (= (type ?x498) intType) (= (type ?S201) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?S201) ?x498)) boolTrue) (= (U_2_bool (MapType0Select ?S201 (int_2_U (FlagsLock__SERIAL_DEVICE_EXTENSION (U_2_int ?x498))))) boolTrue))) :pattern ((MapType0Select (x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?S201) ?x498)) )) (forall ((?x499 boogieU) (?S202 boogieU)) (! (=> (and (= (type ?x499) intType) (= (type ?S202) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S202 ?x499)) boolTrue) (= (U_2_bool (MapType0Select (x_S_FlagsLock__SERIAL_DEVICE_EXTENSION ?S202) (int_2_U (FlagsLock__SERIAL_DEVICE_EXTENSION (U_2_int ?x499))))) boolTrue))) :pattern ((MapType0Select ?S202 ?x499) (x_S_FlagsLock__SERIAL_DEVICE_EXTENSION ?S202)) )) (forall ((?x500 boogieU) (?S203 boogieU)) (! (=> (and (= (type ?x500) intType) (= (type ?S203) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S203 ?x500)) boolTrue) (= (U_2_bool (MapType0Select (x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?S203) (int_2_U (FlagsLock__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x500))))) boolTrue))) :pattern ((MapType0Select ?S203 ?x500) (x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?S203)) )) (forall ((?x501 Int)) (! (= (FlagsLock__SERIAL_DEVICE_EXTENSION ?x501) (+ ?x501 480)) :pattern ((FlagsLock__SERIAL_DEVICE_EXTENSION ?x501)) )) (forall ((?x502 Int)) (! (= (FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?x502) (- ?x502 480)) :pattern ((FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?x502)) )) (forall ((?x503 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x503 480 1) (FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?x503)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x503 480 1)) )) (forall ((?x504 Int)) (! (= (MINUS_LEFT_PTR ?x504 1 480) (FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?x504)) :pattern ((MINUS_LEFT_PTR ?x504 1 480)) )) (forall ((?x505 Int)) (! (= (Flags__SERIAL_DEVICE_EXTENSIONInv (Flags__SERIAL_DEVICE_EXTENSION ?x505)) ?x505) :pattern ((Flags__SERIAL_DEVICE_EXTENSIONInv (Flags__SERIAL_DEVICE_EXTENSION ?x505))) )) (forall ((?x506 Int)) (! (= (Flags__SERIAL_DEVICE_EXTENSION (Flags__SERIAL_DEVICE_EXTENSIONInv ?x506)) ?x506) :pattern ((Flags__SERIAL_DEVICE_EXTENSIONInv ?x506)) )) (forall ((?x507 boogieU) (?S204 boogieU)) (! (=> (and (= (type ?x507) intType) (= (type ?S204) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flags__SERIAL_DEVICE_EXTENSION ?S204) ?x507)) boolTrue) (= (U_2_bool (MapType0Select ?S204 (int_2_U (Flags__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x507))))) boolTrue))) :pattern ((MapType0Select (x_S_Flags__SERIAL_DEVICE_EXTENSION ?S204) ?x507)) )) (forall ((?x508 boogieU) (?S205 boogieU)) (! (=> (and (= (type ?x508) intType) (= (type ?S205) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flags__SERIAL_DEVICE_EXTENSIONInv ?S205) ?x508)) boolTrue) (= (U_2_bool (MapType0Select ?S205 (int_2_U (Flags__SERIAL_DEVICE_EXTENSION (U_2_int ?x508))))) boolTrue))) :pattern ((MapType0Select (x_S_Flags__SERIAL_DEVICE_EXTENSIONInv ?S205) ?x508)) )) (forall ((?x509 boogieU) (?S206 boogieU)) (! (=> (and (= (type ?x509) intType) (= (type ?S206) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S206 ?x509)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flags__SERIAL_DEVICE_EXTENSION ?S206) (int_2_U (Flags__SERIAL_DEVICE_EXTENSION (U_2_int ?x509))))) boolTrue))) :pattern ((MapType0Select ?S206 ?x509) (x_S_Flags__SERIAL_DEVICE_EXTENSION ?S206)) )) (forall ((?x510 boogieU) (?S207 boogieU)) (! (=> (and (= (type ?x510) intType) (= (type ?S207) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S207 ?x510)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flags__SERIAL_DEVICE_EXTENSIONInv ?S207) (int_2_U (Flags__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x510))))) boolTrue))) :pattern ((MapType0Select ?S207 ?x510) (x_S_Flags__SERIAL_DEVICE_EXTENSIONInv ?S207)) )) (forall ((?x511 Int)) (! (= (Flags__SERIAL_DEVICE_EXTENSION ?x511) (+ ?x511 1276)) :pattern ((Flags__SERIAL_DEVICE_EXTENSION ?x511)) )) (forall ((?x512 Int)) (! (= (Flags__SERIAL_DEVICE_EXTENSIONInv ?x512) (- ?x512 1276)) :pattern ((Flags__SERIAL_DEVICE_EXTENSIONInv ?x512)) )) (forall ((?x513 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x513 1276 1) (Flags__SERIAL_DEVICE_EXTENSIONInv ?x513)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x513 1276 1)) )) (forall ((?x514 Int)) (! (= (MINUS_LEFT_PTR ?x514 1 1276) (Flags__SERIAL_DEVICE_EXTENSIONInv ?x514)) :pattern ((MINUS_LEFT_PTR ?x514 1 1276)) )) (forall ((?x515 Int)) (! (= (Flink__LIST_ENTRYInv (Flink__LIST_ENTRY ?x515)) ?x515) :pattern ((Flink__LIST_ENTRYInv (Flink__LIST_ENTRY ?x515))) )) (forall ((?x516 Int)) (! (= (Flink__LIST_ENTRY (Flink__LIST_ENTRYInv ?x516)) ?x516) :pattern ((Flink__LIST_ENTRYInv ?x516)) )) (forall ((?x517 boogieU) (?S208 boogieU)) (! (=> (and (= (type ?x517) intType) (= (type ?S208) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRY ?S208) ?x517)) boolTrue) (= (U_2_bool (MapType0Select ?S208 (int_2_U (Flink__LIST_ENTRYInv (U_2_int ?x517))))) boolTrue))) :pattern ((MapType0Select (x_S_Flink__LIST_ENTRY ?S208) ?x517)) )) (forall ((?x518 boogieU) (?S209 boogieU)) (! (=> (and (= (type ?x518) intType) (= (type ?S209) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRYInv ?S209) ?x518)) boolTrue) (= (U_2_bool (MapType0Select ?S209 (int_2_U (Flink__LIST_ENTRY (U_2_int ?x518))))) boolTrue))) :pattern ((MapType0Select (x_S_Flink__LIST_ENTRYInv ?S209) ?x518)) )) (forall ((?x519 boogieU) (?S210 boogieU)) (! (=> (and (= (type ?x519) intType) (= (type ?S210) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S210 ?x519)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRY ?S210) (int_2_U (Flink__LIST_ENTRY (U_2_int ?x519))))) boolTrue))) :pattern ((MapType0Select ?S210 ?x519) (x_S_Flink__LIST_ENTRY ?S210)) )) (forall ((?x520 boogieU) (?S211 boogieU)) (! (=> (and (= (type ?x520) intType) (= (type ?S211) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S211 ?x520)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRYInv ?S211) (int_2_U (Flink__LIST_ENTRYInv (U_2_int ?x520))))) boolTrue))) :pattern ((MapType0Select ?S211 ?x520) (x_S_Flink__LIST_ENTRYInv ?S211)) )) (forall ((?x521 Int)) (! (= (Flink__LIST_ENTRY ?x521) (+ ?x521 0)) :pattern ((Flink__LIST_ENTRY ?x521)) )) (forall ((?x522 Int)) (! (= (Flink__LIST_ENTRYInv ?x522) (- ?x522 0)) :pattern ((Flink__LIST_ENTRYInv ?x522)) )) (forall ((?x523 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x523 0 1) (Flink__LIST_ENTRYInv ?x523)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x523 0 1)) )) (forall ((?x524 Int)) (! (= (MINUS_LEFT_PTR ?x524 1 0) (Flink__LIST_ENTRYInv ?x524)) :pattern ((MINUS_LEFT_PTR ?x524 1 0)) )) (forall ((?x525 Int)) (! (= (FlowReplace__SERIAL_HANDFLOWInv (FlowReplace__SERIAL_HANDFLOW ?x525)) ?x525) :pattern ((FlowReplace__SERIAL_HANDFLOWInv (FlowReplace__SERIAL_HANDFLOW ?x525))) )) (forall ((?x526 Int)) (! (= (FlowReplace__SERIAL_HANDFLOW (FlowReplace__SERIAL_HANDFLOWInv ?x526)) ?x526) :pattern ((FlowReplace__SERIAL_HANDFLOWInv ?x526)) )) (forall ((?x527 boogieU) (?S212 boogieU)) (! (=> (and (= (type ?x527) intType) (= (type ?S212) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_FlowReplace__SERIAL_HANDFLOW ?S212) ?x527)) boolTrue) (= (U_2_bool (MapType0Select ?S212 (int_2_U (FlowReplace__SERIAL_HANDFLOWInv (U_2_int ?x527))))) boolTrue))) :pattern ((MapType0Select (x_S_FlowReplace__SERIAL_HANDFLOW ?S212) ?x527)) )) (forall ((?x528 boogieU) (?S213 boogieU)) (! (=> (and (= (type ?x528) intType) (= (type ?S213) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_FlowReplace__SERIAL_HANDFLOWInv ?S213) ?x528)) boolTrue) (= (U_2_bool (MapType0Select ?S213 (int_2_U (FlowReplace__SERIAL_HANDFLOW (U_2_int ?x528))))) boolTrue))) :pattern ((MapType0Select (x_S_FlowReplace__SERIAL_HANDFLOWInv ?S213) ?x528)) )) (forall ((?x529 boogieU) (?S214 boogieU)) (! (=> (and (= (type ?x529) intType) (= (type ?S214) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S214 ?x529)) boolTrue) (= (U_2_bool (MapType0Select (x_S_FlowReplace__SERIAL_HANDFLOW ?S214) (int_2_U (FlowReplace__SERIAL_HANDFLOW (U_2_int ?x529))))) boolTrue))) :pattern ((MapType0Select ?S214 ?x529) (x_S_FlowReplace__SERIAL_HANDFLOW ?S214)) )) (forall ((?x530 boogieU) (?S215 boogieU)) (! (=> (and (= (type ?x530) intType) (= (type ?S215) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S215 ?x530)) boolTrue) (= (U_2_bool (MapType0Select (x_S_FlowReplace__SERIAL_HANDFLOWInv ?S215) (int_2_U (FlowReplace__SERIAL_HANDFLOWInv (U_2_int ?x530))))) boolTrue))) :pattern ((MapType0Select ?S215 ?x530) (x_S_FlowReplace__SERIAL_HANDFLOWInv ?S215)) )) (forall ((?x531 Int)) (! (= (FlowReplace__SERIAL_HANDFLOW ?x531) (+ ?x531 4)) :pattern ((FlowReplace__SERIAL_HANDFLOW ?x531)) )) (forall ((?x532 Int)) (! (= (FlowReplace__SERIAL_HANDFLOWInv ?x532) (- ?x532 4)) :pattern ((FlowReplace__SERIAL_HANDFLOWInv ?x532)) )) (forall ((?x533 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x533 4 1) (FlowReplace__SERIAL_HANDFLOWInv ?x533)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x533 4 1)) )) (forall ((?x534 Int)) (! (= (MINUS_LEFT_PTR ?x534 1 4) (FlowReplace__SERIAL_HANDFLOWInv ?x534)) :pattern ((MINUS_LEFT_PTR ?x534 1 4)) )) (forall ((?x535 Int)) (! (= (HandFlow__SERIAL_DEVICE_EXTENSIONInv (HandFlow__SERIAL_DEVICE_EXTENSION ?x535)) ?x535) :pattern ((HandFlow__SERIAL_DEVICE_EXTENSIONInv (HandFlow__SERIAL_DEVICE_EXTENSION ?x535))) )) (forall ((?x536 Int)) (! (= (HandFlow__SERIAL_DEVICE_EXTENSION (HandFlow__SERIAL_DEVICE_EXTENSIONInv ?x536)) ?x536) :pattern ((HandFlow__SERIAL_DEVICE_EXTENSIONInv ?x536)) )) (forall ((?x537 boogieU) (?S216 boogieU)) (! (=> (and (= (type ?x537) intType) (= (type ?S216) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_HandFlow__SERIAL_DEVICE_EXTENSION ?S216) ?x537)) boolTrue) (= (U_2_bool (MapType0Select ?S216 (int_2_U (HandFlow__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x537))))) boolTrue))) :pattern ((MapType0Select (x_S_HandFlow__SERIAL_DEVICE_EXTENSION ?S216) ?x537)) )) (forall ((?x538 boogieU) (?S217 boogieU)) (! (=> (and (= (type ?x538) intType) (= (type ?S217) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv ?S217) ?x538)) boolTrue) (= (U_2_bool (MapType0Select ?S217 (int_2_U (HandFlow__SERIAL_DEVICE_EXTENSION (U_2_int ?x538))))) boolTrue))) :pattern ((MapType0Select (x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv ?S217) ?x538)) )) (forall ((?x539 boogieU) (?S218 boogieU)) (! (=> (and (= (type ?x539) intType) (= (type ?S218) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S218 ?x539)) boolTrue) (= (U_2_bool (MapType0Select (x_S_HandFlow__SERIAL_DEVICE_EXTENSION ?S218) (int_2_U (HandFlow__SERIAL_DEVICE_EXTENSION (U_2_int ?x539))))) boolTrue))) :pattern ((MapType0Select ?S218 ?x539) (x_S_HandFlow__SERIAL_DEVICE_EXTENSION ?S218)) )) (forall ((?x540 boogieU) (?S219 boogieU)) (! (=> (and (= (type ?x540) intType) (= (type ?S219) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S219 ?x540)) boolTrue) (= (U_2_bool (MapType0Select (x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv ?S219) (int_2_U (HandFlow__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x540))))) boolTrue))) :pattern ((MapType0Select ?S219 ?x540) (x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv ?S219)) )) (forall ((?x541 Int)) (! (= (HandFlow__SERIAL_DEVICE_EXTENSION ?x541) (+ ?x541 364)) :pattern ((HandFlow__SERIAL_DEVICE_EXTENSION ?x541)) )) (forall ((?x542 Int)) (! (= (HandFlow__SERIAL_DEVICE_EXTENSIONInv ?x542) (- ?x542 364)) :pattern ((HandFlow__SERIAL_DEVICE_EXTENSIONInv ?x542)) )) (forall ((?x543 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x543 364 1) (HandFlow__SERIAL_DEVICE_EXTENSIONInv ?x543)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x543 364 1)) )) (forall ((?x544 Int)) (! (= (MINUS_LEFT_PTR ?x544 1 364) (HandFlow__SERIAL_DEVICE_EXTENSIONInv ?x544)) :pattern ((MINUS_LEFT_PTR ?x544 1 364)) )) (forall ((?x545 Int)) (! (= (HighPart___unnamed_8_544b88f4Inv (HighPart___unnamed_8_544b88f4 ?x545)) ?x545) :pattern ((HighPart___unnamed_8_544b88f4Inv (HighPart___unnamed_8_544b88f4 ?x545))) )) (forall ((?x546 Int)) (! (= (HighPart___unnamed_8_544b88f4 (HighPart___unnamed_8_544b88f4Inv ?x546)) ?x546) :pattern ((HighPart___unnamed_8_544b88f4Inv ?x546)) )) (forall ((?x547 boogieU) (?S220 boogieU)) (! (=> (and (= (type ?x547) intType) (= (type ?S220) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_544b88f4 ?S220) ?x547)) boolTrue) (= (U_2_bool (MapType0Select ?S220 (int_2_U (HighPart___unnamed_8_544b88f4Inv (U_2_int ?x547))))) boolTrue))) :pattern ((MapType0Select (x_S_HighPart___unnamed_8_544b88f4 ?S220) ?x547)) )) (forall ((?x548 boogieU) (?S221 boogieU)) (! (=> (and (= (type ?x548) intType) (= (type ?S221) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_544b88f4Inv ?S221) ?x548)) boolTrue) (= (U_2_bool (MapType0Select ?S221 (int_2_U (HighPart___unnamed_8_544b88f4 (U_2_int ?x548))))) boolTrue))) :pattern ((MapType0Select (x_S_HighPart___unnamed_8_544b88f4Inv ?S221) ?x548)) )) (forall ((?x549 boogieU) (?S222 boogieU)) (! (=> (and (= (type ?x549) intType) (= (type ?S222) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S222 ?x549)) boolTrue) (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_544b88f4 ?S222) (int_2_U (HighPart___unnamed_8_544b88f4 (U_2_int ?x549))))) boolTrue))) :pattern ((MapType0Select ?S222 ?x549) (x_S_HighPart___unnamed_8_544b88f4 ?S222)) )) (forall ((?x550 boogieU) (?S223 boogieU)) (! (=> (and (= (type ?x550) intType) (= (type ?S223) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S223 ?x550)) boolTrue) (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_544b88f4Inv ?S223) (int_2_U (HighPart___unnamed_8_544b88f4Inv (U_2_int ?x550))))) boolTrue))) :pattern ((MapType0Select ?S223 ?x550) (x_S_HighPart___unnamed_8_544b88f4Inv ?S223)) )) (forall ((?x551 Int)) (! (= (HighPart___unnamed_8_544b88f4 ?x551) (+ ?x551 4)) :pattern ((HighPart___unnamed_8_544b88f4 ?x551)) )) (forall ((?x552 Int)) (! (= (HighPart___unnamed_8_544b88f4Inv ?x552) (- ?x552 4)) :pattern ((HighPart___unnamed_8_544b88f4Inv ?x552)) )) (forall ((?x553 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x553 4 1) (HighPart___unnamed_8_544b88f4Inv ?x553)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x553 4 1)) )) (forall ((?x554 Int)) (! (= (MINUS_LEFT_PTR ?x554 1 4) (HighPart___unnamed_8_544b88f4Inv ?x554)) :pattern ((MINUS_LEFT_PTR ?x554 1 4)) )) (forall ((?x555 Int)) (! (= (HighPart___unnamed_8_5d67d492Inv (HighPart___unnamed_8_5d67d492 ?x555)) ?x555) :pattern ((HighPart___unnamed_8_5d67d492Inv (HighPart___unnamed_8_5d67d492 ?x555))) )) (forall ((?x556 Int)) (! (= (HighPart___unnamed_8_5d67d492 (HighPart___unnamed_8_5d67d492Inv ?x556)) ?x556) :pattern ((HighPart___unnamed_8_5d67d492Inv ?x556)) )) (forall ((?x557 boogieU) (?S224 boogieU)) (! (=> (and (= (type ?x557) intType) (= (type ?S224) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_5d67d492 ?S224) ?x557)) boolTrue) (= (U_2_bool (MapType0Select ?S224 (int_2_U (HighPart___unnamed_8_5d67d492Inv (U_2_int ?x557))))) boolTrue))) :pattern ((MapType0Select (x_S_HighPart___unnamed_8_5d67d492 ?S224) ?x557)) )) (forall ((?x558 boogieU) (?S225 boogieU)) (! (=> (and (= (type ?x558) intType) (= (type ?S225) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_5d67d492Inv ?S225) ?x558)) boolTrue) (= (U_2_bool (MapType0Select ?S225 (int_2_U (HighPart___unnamed_8_5d67d492 (U_2_int ?x558))))) boolTrue))) :pattern ((MapType0Select (x_S_HighPart___unnamed_8_5d67d492Inv ?S225) ?x558)) )) (forall ((?x559 boogieU) (?S226 boogieU)) (! (=> (and (= (type ?x559) intType) (= (type ?S226) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S226 ?x559)) boolTrue) (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_5d67d492 ?S226) (int_2_U (HighPart___unnamed_8_5d67d492 (U_2_int ?x559))))) boolTrue))) :pattern ((MapType0Select ?S226 ?x559) (x_S_HighPart___unnamed_8_5d67d492 ?S226)) )) (forall ((?x560 boogieU) (?S227 boogieU)) (! (=> (and (= (type ?x560) intType) (= (type ?S227) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S227 ?x560)) boolTrue) (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_5d67d492Inv ?S227) (int_2_U (HighPart___unnamed_8_5d67d492Inv (U_2_int ?x560))))) boolTrue))) :pattern ((MapType0Select ?S227 ?x560) (x_S_HighPart___unnamed_8_5d67d492Inv ?S227)) )) (forall ((?x561 Int)) (! (= (HighPart___unnamed_8_5d67d492 ?x561) (+ ?x561 4)) :pattern ((HighPart___unnamed_8_5d67d492 ?x561)) )) (forall ((?x562 Int)) (! (= (HighPart___unnamed_8_5d67d492Inv ?x562) (- ?x562 4)) :pattern ((HighPart___unnamed_8_5d67d492Inv ?x562)) )) (forall ((?x563 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x563 4 1) (HighPart___unnamed_8_5d67d492Inv ?x563)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x563 4 1)) )) (forall ((?x564 Int)) (! (= (MINUS_LEFT_PTR ?x564 1 4) (HighPart___unnamed_8_5d67d492Inv ?x564)) :pattern ((MINUS_LEFT_PTR ?x564 1 4)) )) (forall ((?x565 Int)) (! (= (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?x565)) ?x565) :pattern ((ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?x565))) )) (forall ((?x566 Int)) (! (= (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x566)) ?x566) :pattern ((ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x566)) )) (forall ((?x567 boogieU) (?S228 boogieU)) (! (=> (and (= (type ?x567) intType) (= (type ?S228) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?S228) ?x567)) boolTrue) (= (U_2_bool (MapType0Select ?S228 (int_2_U (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x567))))) boolTrue))) :pattern ((MapType0Select (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?S228) ?x567)) )) (forall ((?x568 boogieU) (?S229 boogieU)) (! (=> (and (= (type ?x568) intType) (= (type ?S229) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S229) ?x568)) boolTrue) (= (U_2_bool (MapType0Select ?S229 (int_2_U (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x568))))) boolTrue))) :pattern ((MapType0Select (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S229) ?x568)) )) (forall ((?x569 boogieU) (?S230 boogieU)) (! (=> (and (= (type ?x569) intType) (= (type ?S230) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S230 ?x569)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?S230) (int_2_U (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x569))))) boolTrue))) :pattern ((MapType0Select ?S230 ?x569) (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?S230)) )) (forall ((?x570 boogieU) (?S231 boogieU)) (! (=> (and (= (type ?x570) intType) (= (type ?S231) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S231 ?x570)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S231) (int_2_U (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x570))))) boolTrue))) :pattern ((MapType0Select ?S231 ?x570) (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S231)) )) (forall ((?x571 Int)) (! (= (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?x571) (+ ?x571 1088)) :pattern ((ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?x571)) )) (forall ((?x572 Int)) (! (= (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x572) (- ?x572 1088)) :pattern ((ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x572)) )) (forall ((?x573 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x573 1088 1) (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x573)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x573 1088 1)) )) (forall ((?x574 Int)) (! (= (MINUS_LEFT_PTR ?x574 1 1088) (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x574)) :pattern ((MINUS_LEFT_PTR ?x574 1 1088)) )) (forall ((?x575 Int)) (! (= (InSize__SERIAL_QUEUE_SIZEInv (InSize__SERIAL_QUEUE_SIZE ?x575)) ?x575) :pattern ((InSize__SERIAL_QUEUE_SIZEInv (InSize__SERIAL_QUEUE_SIZE ?x575))) )) (forall ((?x576 Int)) (! (= (InSize__SERIAL_QUEUE_SIZE (InSize__SERIAL_QUEUE_SIZEInv ?x576)) ?x576) :pattern ((InSize__SERIAL_QUEUE_SIZEInv ?x576)) )) (forall ((?x577 boogieU) (?S232 boogieU)) (! (=> (and (= (type ?x577) intType) (= (type ?S232) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_InSize__SERIAL_QUEUE_SIZE ?S232) ?x577)) boolTrue) (= (U_2_bool (MapType0Select ?S232 (int_2_U (InSize__SERIAL_QUEUE_SIZEInv (U_2_int ?x577))))) boolTrue))) :pattern ((MapType0Select (x_S_InSize__SERIAL_QUEUE_SIZE ?S232) ?x577)) )) (forall ((?x578 boogieU) (?S233 boogieU)) (! (=> (and (= (type ?x578) intType) (= (type ?S233) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_InSize__SERIAL_QUEUE_SIZEInv ?S233) ?x578)) boolTrue) (= (U_2_bool (MapType0Select ?S233 (int_2_U (InSize__SERIAL_QUEUE_SIZE (U_2_int ?x578))))) boolTrue))) :pattern ((MapType0Select (x_S_InSize__SERIAL_QUEUE_SIZEInv ?S233) ?x578)) )) (forall ((?x579 boogieU) (?S234 boogieU)) (! (=> (and (= (type ?x579) intType) (= (type ?S234) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S234 ?x579)) boolTrue) (= (U_2_bool (MapType0Select (x_S_InSize__SERIAL_QUEUE_SIZE ?S234) (int_2_U (InSize__SERIAL_QUEUE_SIZE (U_2_int ?x579))))) boolTrue))) :pattern ((MapType0Select ?S234 ?x579) (x_S_InSize__SERIAL_QUEUE_SIZE ?S234)) )) (forall ((?x580 boogieU) (?S235 boogieU)) (! (=> (and (= (type ?x580) intType) (= (type ?S235) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S235 ?x580)) boolTrue) (= (U_2_bool (MapType0Select (x_S_InSize__SERIAL_QUEUE_SIZEInv ?S235) (int_2_U (InSize__SERIAL_QUEUE_SIZEInv (U_2_int ?x580))))) boolTrue))) :pattern ((MapType0Select ?S235 ?x580) (x_S_InSize__SERIAL_QUEUE_SIZEInv ?S235)) )) (forall ((?x581 Int)) (! (= (InSize__SERIAL_QUEUE_SIZE ?x581) (+ ?x581 0)) :pattern ((InSize__SERIAL_QUEUE_SIZE ?x581)) )) (forall ((?x582 Int)) (! (= (InSize__SERIAL_QUEUE_SIZEInv ?x582) (- ?x582 0)) :pattern ((InSize__SERIAL_QUEUE_SIZEInv ?x582)) )) (forall ((?x583 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x583 0 1) (InSize__SERIAL_QUEUE_SIZEInv ?x583)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x583 0 1)) )) (forall ((?x584 Int)) (! (= (MINUS_LEFT_PTR ?x584 1 0) (InSize__SERIAL_QUEUE_SIZEInv ?x584)) :pattern ((MINUS_LEFT_PTR ?x584 1 0)) )) (forall ((?x585 Int)) (! (= (Information__IO_STATUS_BLOCKInv (Information__IO_STATUS_BLOCK ?x585)) ?x585) :pattern ((Information__IO_STATUS_BLOCKInv (Information__IO_STATUS_BLOCK ?x585))) )) (forall ((?x586 Int)) (! (= (Information__IO_STATUS_BLOCK (Information__IO_STATUS_BLOCKInv ?x586)) ?x586) :pattern ((Information__IO_STATUS_BLOCKInv ?x586)) )) (forall ((?x587 boogieU) (?S236 boogieU)) (! (=> (and (= (type ?x587) intType) (= (type ?S236) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Information__IO_STATUS_BLOCK ?S236) ?x587)) boolTrue) (= (U_2_bool (MapType0Select ?S236 (int_2_U (Information__IO_STATUS_BLOCKInv (U_2_int ?x587))))) boolTrue))) :pattern ((MapType0Select (x_S_Information__IO_STATUS_BLOCK ?S236) ?x587)) )) (forall ((?x588 boogieU) (?S237 boogieU)) (! (=> (and (= (type ?x588) intType) (= (type ?S237) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Information__IO_STATUS_BLOCKInv ?S237) ?x588)) boolTrue) (= (U_2_bool (MapType0Select ?S237 (int_2_U (Information__IO_STATUS_BLOCK (U_2_int ?x588))))) boolTrue))) :pattern ((MapType0Select (x_S_Information__IO_STATUS_BLOCKInv ?S237) ?x588)) )) (forall ((?x589 boogieU) (?S238 boogieU)) (! (=> (and (= (type ?x589) intType) (= (type ?S238) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S238 ?x589)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Information__IO_STATUS_BLOCK ?S238) (int_2_U (Information__IO_STATUS_BLOCK (U_2_int ?x589))))) boolTrue))) :pattern ((MapType0Select ?S238 ?x589) (x_S_Information__IO_STATUS_BLOCK ?S238)) )) (forall ((?x590 boogieU) (?S239 boogieU)) (! (=> (and (= (type ?x590) intType) (= (type ?S239) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S239 ?x590)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Information__IO_STATUS_BLOCKInv ?S239) (int_2_U (Information__IO_STATUS_BLOCKInv (U_2_int ?x590))))) boolTrue))) :pattern ((MapType0Select ?S239 ?x590) (x_S_Information__IO_STATUS_BLOCKInv ?S239)) )) (forall ((?x591 Int)) (! (= (Information__IO_STATUS_BLOCK ?x591) (+ ?x591 4)) :pattern ((Information__IO_STATUS_BLOCK ?x591)) )) (forall ((?x592 Int)) (! (= (Information__IO_STATUS_BLOCKInv ?x592) (- ?x592 4)) :pattern ((Information__IO_STATUS_BLOCKInv ?x592)) )) (forall ((?x593 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x593 4 1) (Information__IO_STATUS_BLOCKInv ?x593)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x593 4 1)) )) (forall ((?x594 Int)) (! (= (MINUS_LEFT_PTR ?x594 1 4) (Information__IO_STATUS_BLOCKInv ?x594)) :pattern ((MINUS_LEFT_PTR ?x594 1 4)) )) (forall ((?x595 Int)) (! (= (InputBufferLength___unnamed_16_5bbbf1e7Inv (InputBufferLength___unnamed_16_5bbbf1e7 ?x595)) ?x595) :pattern ((InputBufferLength___unnamed_16_5bbbf1e7Inv (InputBufferLength___unnamed_16_5bbbf1e7 ?x595))) )) (forall ((?x596 Int)) (! (= (InputBufferLength___unnamed_16_5bbbf1e7 (InputBufferLength___unnamed_16_5bbbf1e7Inv ?x596)) ?x596) :pattern ((InputBufferLength___unnamed_16_5bbbf1e7Inv ?x596)) )) (forall ((?x597 boogieU) (?S240 boogieU)) (! (=> (and (= (type ?x597) intType) (= (type ?S240) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_InputBufferLength___unnamed_16_5bbbf1e7 ?S240) ?x597)) boolTrue) (= (U_2_bool (MapType0Select ?S240 (int_2_U (InputBufferLength___unnamed_16_5bbbf1e7Inv (U_2_int ?x597))))) boolTrue))) :pattern ((MapType0Select (x_S_InputBufferLength___unnamed_16_5bbbf1e7 ?S240) ?x597)) )) (forall ((?x598 boogieU) (?S241 boogieU)) (! (=> (and (= (type ?x598) intType) (= (type ?S241) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv ?S241) ?x598)) boolTrue) (= (U_2_bool (MapType0Select ?S241 (int_2_U (InputBufferLength___unnamed_16_5bbbf1e7 (U_2_int ?x598))))) boolTrue))) :pattern ((MapType0Select (x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv ?S241) ?x598)) )) (forall ((?x599 boogieU) (?S242 boogieU)) (! (=> (and (= (type ?x599) intType) (= (type ?S242) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S242 ?x599)) boolTrue) (= (U_2_bool (MapType0Select (x_S_InputBufferLength___unnamed_16_5bbbf1e7 ?S242) (int_2_U (InputBufferLength___unnamed_16_5bbbf1e7 (U_2_int ?x599))))) boolTrue))) :pattern ((MapType0Select ?S242 ?x599) (x_S_InputBufferLength___unnamed_16_5bbbf1e7 ?S242)) )) (forall ((?x600 boogieU) (?S243 boogieU)) (! (=> (and (= (type ?x600) intType) (= (type ?S243) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S243 ?x600)) boolTrue) (= (U_2_bool (MapType0Select (x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv ?S243) (int_2_U (InputBufferLength___unnamed_16_5bbbf1e7Inv (U_2_int ?x600))))) boolTrue))) :pattern ((MapType0Select ?S243 ?x600) (x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv ?S243)) )) (forall ((?x601 Int)) (! (= (InputBufferLength___unnamed_16_5bbbf1e7 ?x601) (+ ?x601 4)) :pattern ((InputBufferLength___unnamed_16_5bbbf1e7 ?x601)) )) (forall ((?x602 Int)) (! (= (InputBufferLength___unnamed_16_5bbbf1e7Inv ?x602) (- ?x602 4)) :pattern ((InputBufferLength___unnamed_16_5bbbf1e7Inv ?x602)) )) (forall ((?x603 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x603 4 1) (InputBufferLength___unnamed_16_5bbbf1e7Inv ?x603)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x603 4 1)) )) (forall ((?x604 Int)) (! (= (MINUS_LEFT_PTR ?x604 1 4) (InputBufferLength___unnamed_16_5bbbf1e7Inv ?x604)) :pattern ((MINUS_LEFT_PTR ?x604 1 4)) )) (forall ((?x605 Int)) (! (= (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv (InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?x605)) ?x605) :pattern ((InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv (InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?x605))) )) (forall ((?x606 Int)) (! (= (InterruptReadBuffer__SERIAL_DEVICE_EXTENSION (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?x606)) ?x606) :pattern ((InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?x606)) )) (forall ((?x607 boogieU) (?S244 boogieU)) (! (=> (and (= (type ?x607) intType) (= (type ?S244) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?S244) ?x607)) boolTrue) (= (U_2_bool (MapType0Select ?S244 (int_2_U (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x607))))) boolTrue))) :pattern ((MapType0Select (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?S244) ?x607)) )) (forall ((?x608 boogieU) (?S245 boogieU)) (! (=> (and (= (type ?x608) intType) (= (type ?S245) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?S245) ?x608)) boolTrue) (= (U_2_bool (MapType0Select ?S245 (int_2_U (InterruptReadBuffer__SERIAL_DEVICE_EXTENSION (U_2_int ?x608))))) boolTrue))) :pattern ((MapType0Select (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?S245) ?x608)) )) (forall ((?x609 boogieU) (?S246 boogieU)) (! (=> (and (= (type ?x609) intType) (= (type ?S246) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S246 ?x609)) boolTrue) (= (U_2_bool (MapType0Select (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?S246) (int_2_U (InterruptReadBuffer__SERIAL_DEVICE_EXTENSION (U_2_int ?x609))))) boolTrue))) :pattern ((MapType0Select ?S246 ?x609) (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?S246)) )) (forall ((?x610 boogieU) (?S247 boogieU)) (! (=> (and (= (type ?x610) intType) (= (type ?S247) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S247 ?x610)) boolTrue) (= (U_2_bool (MapType0Select (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?S247) (int_2_U (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x610))))) boolTrue))) :pattern ((MapType0Select ?S247 ?x610) (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?S247)) )) (forall ((?x611 Int)) (! (= (InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?x611) (+ ?x611 224)) :pattern ((InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?x611)) )) (forall ((?x612 Int)) (! (= (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?x612) (- ?x612 224)) :pattern ((InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?x612)) )) (forall ((?x613 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x613 224 1) (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?x613)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x613 224 1)) )) (forall ((?x614 Int)) (! (= (MINUS_LEFT_PTR ?x614 1 224) (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?x614)) :pattern ((MINUS_LEFT_PTR ?x614 1 224)) )) (forall ((?x615 Int)) (! (= (Interrupt__SERIAL_DEVICE_EXTENSIONInv (Interrupt__SERIAL_DEVICE_EXTENSION ?x615)) ?x615) :pattern ((Interrupt__SERIAL_DEVICE_EXTENSIONInv (Interrupt__SERIAL_DEVICE_EXTENSION ?x615))) )) (forall ((?x616 Int)) (! (= (Interrupt__SERIAL_DEVICE_EXTENSION (Interrupt__SERIAL_DEVICE_EXTENSIONInv ?x616)) ?x616) :pattern ((Interrupt__SERIAL_DEVICE_EXTENSIONInv ?x616)) )) (forall ((?x617 boogieU) (?S248 boogieU)) (! (=> (and (= (type ?x617) intType) (= (type ?S248) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Interrupt__SERIAL_DEVICE_EXTENSION ?S248) ?x617)) boolTrue) (= (U_2_bool (MapType0Select ?S248 (int_2_U (Interrupt__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x617))))) boolTrue))) :pattern ((MapType0Select (x_S_Interrupt__SERIAL_DEVICE_EXTENSION ?S248) ?x617)) )) (forall ((?x618 boogieU) (?S249 boogieU)) (! (=> (and (= (type ?x618) intType) (= (type ?S249) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv ?S249) ?x618)) boolTrue) (= (U_2_bool (MapType0Select ?S249 (int_2_U (Interrupt__SERIAL_DEVICE_EXTENSION (U_2_int ?x618))))) boolTrue))) :pattern ((MapType0Select (x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv ?S249) ?x618)) )) (forall ((?x619 boogieU) (?S250 boogieU)) (! (=> (and (= (type ?x619) intType) (= (type ?S250) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S250 ?x619)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Interrupt__SERIAL_DEVICE_EXTENSION ?S250) (int_2_U (Interrupt__SERIAL_DEVICE_EXTENSION (U_2_int ?x619))))) boolTrue))) :pattern ((MapType0Select ?S250 ?x619) (x_S_Interrupt__SERIAL_DEVICE_EXTENSION ?S250)) )) (forall ((?x620 boogieU) (?S251 boogieU)) (! (=> (and (= (type ?x620) intType) (= (type ?S251) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S251 ?x620)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv ?S251) (int_2_U (Interrupt__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x620))))) boolTrue))) :pattern ((MapType0Select ?S251 ?x620) (x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv ?S251)) )) (forall ((?x621 Int)) (! (= (Interrupt__SERIAL_DEVICE_EXTENSION ?x621) (+ ?x621 152)) :pattern ((Interrupt__SERIAL_DEVICE_EXTENSION ?x621)) )) (forall ((?x622 Int)) (! (= (Interrupt__SERIAL_DEVICE_EXTENSIONInv ?x622) (- ?x622 152)) :pattern ((Interrupt__SERIAL_DEVICE_EXTENSIONInv ?x622)) )) (forall ((?x623 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x623 152 1) (Interrupt__SERIAL_DEVICE_EXTENSIONInv ?x623)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x623 152 1)) )) (forall ((?x624 Int)) (! (= (MINUS_LEFT_PTR ?x624 1 152) (Interrupt__SERIAL_DEVICE_EXTENSIONInv ?x624)) :pattern ((MINUS_LEFT_PTR ?x624 1 152)) )) (forall ((?x625 Int)) (! (= (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x625)) ?x625) :pattern ((IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x625))) )) (forall ((?x626 Int)) (! (= (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x626)) ?x626) :pattern ((IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x626)) )) (forall ((?x627 boogieU) (?S252 boogieU)) (! (=> (and (= (type ?x627) intType) (= (type ?S252) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S252) ?x627)) boolTrue) (= (U_2_bool (MapType0Select ?S252 (int_2_U (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x627))))) boolTrue))) :pattern ((MapType0Select (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S252) ?x627)) )) (forall ((?x628 boogieU) (?S253 boogieU)) (! (=> (and (= (type ?x628) intType) (= (type ?S253) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S253) ?x628)) boolTrue) (= (U_2_bool (MapType0Select ?S253 (int_2_U (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x628))))) boolTrue))) :pattern ((MapType0Select (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S253) ?x628)) )) (forall ((?x629 boogieU) (?S254 boogieU)) (! (=> (and (= (type ?x629) intType) (= (type ?S254) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S254 ?x629)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S254) (int_2_U (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x629))))) boolTrue))) :pattern ((MapType0Select ?S254 ?x629) (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S254)) )) (forall ((?x630 boogieU) (?S255 boogieU)) (! (=> (and (= (type ?x630) intType) (= (type ?S255) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S255 ?x630)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S255) (int_2_U (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x630))))) boolTrue))) :pattern ((MapType0Select ?S255 ?x630) (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S255)) )) (forall ((?x631 Int)) (! (= (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x631) (+ ?x631 580)) :pattern ((IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x631)) )) (forall ((?x632 Int)) (! (= (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x632) (- ?x632 580)) :pattern ((IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x632)) )) (forall ((?x633 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x633 580 1) (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x633)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x633 580 1)) )) (forall ((?x634 Int)) (! (= (MINUS_LEFT_PTR ?x634 1 580) (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x634)) :pattern ((MINUS_LEFT_PTR ?x634 1 580)) )) (forall ((?x635 Int)) (! (= (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv (IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?x635)) ?x635) :pattern ((IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv (IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?x635))) )) (forall ((?x636 Int)) (! (= (IntervalTimeToUse__SERIAL_DEVICE_EXTENSION (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?x636)) ?x636) :pattern ((IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?x636)) )) (forall ((?x637 boogieU) (?S256 boogieU)) (! (=> (and (= (type ?x637) intType) (= (type ?S256) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?S256) ?x637)) boolTrue) (= (U_2_bool (MapType0Select ?S256 (int_2_U (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x637))))) boolTrue))) :pattern ((MapType0Select (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?S256) ?x637)) )) (forall ((?x638 boogieU) (?S257 boogieU)) (! (=> (and (= (type ?x638) intType) (= (type ?S257) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?S257) ?x638)) boolTrue) (= (U_2_bool (MapType0Select ?S257 (int_2_U (IntervalTimeToUse__SERIAL_DEVICE_EXTENSION (U_2_int ?x638))))) boolTrue))) :pattern ((MapType0Select (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?S257) ?x638)) )) (forall ((?x639 boogieU) (?S258 boogieU)) (! (=> (and (= (type ?x639) intType) (= (type ?S258) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S258 ?x639)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?S258) (int_2_U (IntervalTimeToUse__SERIAL_DEVICE_EXTENSION (U_2_int ?x639))))) boolTrue))) :pattern ((MapType0Select ?S258 ?x639) (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?S258)) )) (forall ((?x640 boogieU) (?S259 boogieU)) (! (=> (and (= (type ?x640) intType) (= (type ?S259) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S259 ?x640)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?S259) (int_2_U (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x640))))) boolTrue))) :pattern ((MapType0Select ?S259 ?x640) (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?S259)) )) (forall ((?x641 Int)) (! (= (IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?x641) (+ ?x641 128)) :pattern ((IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?x641)) )) (forall ((?x642 Int)) (! (= (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?x642) (- ?x642 128)) :pattern ((IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?x642)) )) (forall ((?x643 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x643 128 1) (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?x643)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x643 128 1)) )) (forall ((?x644 Int)) (! (= (MINUS_LEFT_PTR ?x644 1 128) (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?x644)) :pattern ((MINUS_LEFT_PTR ?x644 1 128)) )) (forall ((?x645 Int)) (! (= (IntervalTime__SERIAL_DEVICE_EXTENSIONInv (IntervalTime__SERIAL_DEVICE_EXTENSION ?x645)) ?x645) :pattern ((IntervalTime__SERIAL_DEVICE_EXTENSIONInv (IntervalTime__SERIAL_DEVICE_EXTENSION ?x645))) )) (forall ((?x646 Int)) (! (= (IntervalTime__SERIAL_DEVICE_EXTENSION (IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?x646)) ?x646) :pattern ((IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?x646)) )) (forall ((?x647 boogieU) (?S260 boogieU)) (! (=> (and (= (type ?x647) intType) (= (type ?S260) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IntervalTime__SERIAL_DEVICE_EXTENSION ?S260) ?x647)) boolTrue) (= (U_2_bool (MapType0Select ?S260 (int_2_U (IntervalTime__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x647))))) boolTrue))) :pattern ((MapType0Select (x_S_IntervalTime__SERIAL_DEVICE_EXTENSION ?S260) ?x647)) )) (forall ((?x648 boogieU) (?S261 boogieU)) (! (=> (and (= (type ?x648) intType) (= (type ?S261) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?S261) ?x648)) boolTrue) (= (U_2_bool (MapType0Select ?S261 (int_2_U (IntervalTime__SERIAL_DEVICE_EXTENSION (U_2_int ?x648))))) boolTrue))) :pattern ((MapType0Select (x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?S261) ?x648)) )) (forall ((?x649 boogieU) (?S262 boogieU)) (! (=> (and (= (type ?x649) intType) (= (type ?S262) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S262 ?x649)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IntervalTime__SERIAL_DEVICE_EXTENSION ?S262) (int_2_U (IntervalTime__SERIAL_DEVICE_EXTENSION (U_2_int ?x649))))) boolTrue))) :pattern ((MapType0Select ?S262 ?x649) (x_S_IntervalTime__SERIAL_DEVICE_EXTENSION ?S262)) )) (forall ((?x650 boogieU) (?S263 boogieU)) (! (=> (and (= (type ?x650) intType) (= (type ?S263) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S263 ?x650)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?S263) (int_2_U (IntervalTime__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x650))))) boolTrue))) :pattern ((MapType0Select ?S263 ?x650) (x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?S263)) )) (forall ((?x651 Int)) (! (= (IntervalTime__SERIAL_DEVICE_EXTENSION ?x651) (+ ?x651 56)) :pattern ((IntervalTime__SERIAL_DEVICE_EXTENSION ?x651)) )) (forall ((?x652 Int)) (! (= (IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?x652) (- ?x652 56)) :pattern ((IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?x652)) )) (forall ((?x653 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x653 56 1) (IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?x653)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x653 56 1)) )) (forall ((?x654 Int)) (! (= (MINUS_LEFT_PTR ?x654 1 56) (IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?x654)) :pattern ((MINUS_LEFT_PTR ?x654 1 56)) )) (forall ((?x655 Int)) (! (= (IoControlCode___unnamed_16_5bbbf1e7Inv (IoControlCode___unnamed_16_5bbbf1e7 ?x655)) ?x655) :pattern ((IoControlCode___unnamed_16_5bbbf1e7Inv (IoControlCode___unnamed_16_5bbbf1e7 ?x655))) )) (forall ((?x656 Int)) (! (= (IoControlCode___unnamed_16_5bbbf1e7 (IoControlCode___unnamed_16_5bbbf1e7Inv ?x656)) ?x656) :pattern ((IoControlCode___unnamed_16_5bbbf1e7Inv ?x656)) )) (forall ((?x657 boogieU) (?S264 boogieU)) (! (=> (and (= (type ?x657) intType) (= (type ?S264) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?S264) ?x657)) boolTrue) (= (U_2_bool (MapType0Select ?S264 (int_2_U (IoControlCode___unnamed_16_5bbbf1e7Inv (U_2_int ?x657))))) boolTrue))) :pattern ((MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?S264) ?x657)) )) (forall ((?x658 boogieU) (?S265 boogieU)) (! (=> (and (= (type ?x658) intType) (= (type ?S265) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?S265) ?x658)) boolTrue) (= (U_2_bool (MapType0Select ?S265 (int_2_U (IoControlCode___unnamed_16_5bbbf1e7 (U_2_int ?x658))))) boolTrue))) :pattern ((MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?S265) ?x658)) )) (forall ((?x659 boogieU) (?S266 boogieU)) (! (=> (and (= (type ?x659) intType) (= (type ?S266) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S266 ?x659)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?S266) (int_2_U (IoControlCode___unnamed_16_5bbbf1e7 (U_2_int ?x659))))) boolTrue))) :pattern ((MapType0Select ?S266 ?x659) (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?S266)) )) (forall ((?x660 boogieU) (?S267 boogieU)) (! (=> (and (= (type ?x660) intType) (= (type ?S267) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S267 ?x660)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?S267) (int_2_U (IoControlCode___unnamed_16_5bbbf1e7Inv (U_2_int ?x660))))) boolTrue))) :pattern ((MapType0Select ?S267 ?x660) (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?S267)) )) (forall ((?x661 Int)) (! (= (IoControlCode___unnamed_16_5bbbf1e7 ?x661) (+ ?x661 8)) :pattern ((IoControlCode___unnamed_16_5bbbf1e7 ?x661)) )) (forall ((?x662 Int)) (! (= (IoControlCode___unnamed_16_5bbbf1e7Inv ?x662) (- ?x662 8)) :pattern ((IoControlCode___unnamed_16_5bbbf1e7Inv ?x662)) )) (forall ((?x663 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x663 8 1) (IoControlCode___unnamed_16_5bbbf1e7Inv ?x663)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x663 8 1)) )) (forall ((?x664 Int)) (! (= (MINUS_LEFT_PTR ?x664 1 8) (IoControlCode___unnamed_16_5bbbf1e7Inv ?x664)) :pattern ((MINUS_LEFT_PTR ?x664 1 8)) )) (forall ((?x665 Int)) (! (= (IoStatus__IRPInv (IoStatus__IRP ?x665)) ?x665) :pattern ((IoStatus__IRPInv (IoStatus__IRP ?x665))) )) (forall ((?x666 Int)) (! (= (IoStatus__IRP (IoStatus__IRPInv ?x666)) ?x666) :pattern ((IoStatus__IRPInv ?x666)) )) (forall ((?x667 boogieU) (?S268 boogieU)) (! (=> (and (= (type ?x667) intType) (= (type ?S268) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__IRP ?S268) ?x667)) boolTrue) (= (U_2_bool (MapType0Select ?S268 (int_2_U (IoStatus__IRPInv (U_2_int ?x667))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__IRP ?S268) ?x667)) )) (forall ((?x668 boogieU) (?S269 boogieU)) (! (=> (and (= (type ?x668) intType) (= (type ?S269) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__IRPInv ?S269) ?x668)) boolTrue) (= (U_2_bool (MapType0Select ?S269 (int_2_U (IoStatus__IRP (U_2_int ?x668))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__IRPInv ?S269) ?x668)) )) (forall ((?x669 boogieU) (?S270 boogieU)) (! (=> (and (= (type ?x669) intType) (= (type ?S270) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S270 ?x669)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__IRP ?S270) (int_2_U (IoStatus__IRP (U_2_int ?x669))))) boolTrue))) :pattern ((MapType0Select ?S270 ?x669) (x_S_IoStatus__IRP ?S270)) )) (forall ((?x670 boogieU) (?S271 boogieU)) (! (=> (and (= (type ?x670) intType) (= (type ?S271) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S271 ?x670)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__IRPInv ?S271) (int_2_U (IoStatus__IRPInv (U_2_int ?x670))))) boolTrue))) :pattern ((MapType0Select ?S271 ?x670) (x_S_IoStatus__IRPInv ?S271)) )) (forall ((?x671 Int)) (! (= (IoStatus__IRP ?x671) (+ ?x671 24)) :pattern ((IoStatus__IRP ?x671)) )) (forall ((?x672 Int)) (! (= (IoStatus__IRPInv ?x672) (- ?x672 24)) :pattern ((IoStatus__IRPInv ?x672)) )) (forall ((?x673 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x673 24 1) (IoStatus__IRPInv ?x673)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x673 24 1)) )) (forall ((?x674 Int)) (! (= (MINUS_LEFT_PTR ?x674 1 24) (IoStatus__IRPInv ?x674)) :pattern ((MINUS_LEFT_PTR ?x674 1 24)) )) (forall ((?x675 Int)) (! (= (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv (IsrWaitMask__SERIAL_DEVICE_EXTENSION ?x675)) ?x675) :pattern ((IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv (IsrWaitMask__SERIAL_DEVICE_EXTENSION ?x675))) )) (forall ((?x676 Int)) (! (= (IsrWaitMask__SERIAL_DEVICE_EXTENSION (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?x676)) ?x676) :pattern ((IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?x676)) )) (forall ((?x677 boogieU) (?S272 boogieU)) (! (=> (and (= (type ?x677) intType) (= (type ?S272) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION ?S272) ?x677)) boolTrue) (= (U_2_bool (MapType0Select ?S272 (int_2_U (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x677))))) boolTrue))) :pattern ((MapType0Select (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION ?S272) ?x677)) )) (forall ((?x678 boogieU) (?S273 boogieU)) (! (=> (and (= (type ?x678) intType) (= (type ?S273) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?S273) ?x678)) boolTrue) (= (U_2_bool (MapType0Select ?S273 (int_2_U (IsrWaitMask__SERIAL_DEVICE_EXTENSION (U_2_int ?x678))))) boolTrue))) :pattern ((MapType0Select (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?S273) ?x678)) )) (forall ((?x679 boogieU) (?S274 boogieU)) (! (=> (and (= (type ?x679) intType) (= (type ?S274) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S274 ?x679)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION ?S274) (int_2_U (IsrWaitMask__SERIAL_DEVICE_EXTENSION (U_2_int ?x679))))) boolTrue))) :pattern ((MapType0Select ?S274 ?x679) (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION ?S274)) )) (forall ((?x680 boogieU) (?S275 boogieU)) (! (=> (and (= (type ?x680) intType) (= (type ?S275) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S275 ?x680)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?S275) (int_2_U (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x680))))) boolTrue))) :pattern ((MapType0Select ?S275 ?x680) (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?S275)) )) (forall ((?x681 Int)) (! (= (IsrWaitMask__SERIAL_DEVICE_EXTENSION ?x681) (+ ?x681 264)) :pattern ((IsrWaitMask__SERIAL_DEVICE_EXTENSION ?x681)) )) (forall ((?x682 Int)) (! (= (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?x682) (- ?x682 264)) :pattern ((IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?x682)) )) (forall ((?x683 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x683 264 1) (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?x683)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x683 264 1)) )) (forall ((?x684 Int)) (! (= (MINUS_LEFT_PTR ?x684 1 264) (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?x684)) :pattern ((MINUS_LEFT_PTR ?x684 1 264)) )) (forall ((?x685 Int)) (! (= (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv (LastCharSlot__SERIAL_DEVICE_EXTENSION ?x685)) ?x685) :pattern ((LastCharSlot__SERIAL_DEVICE_EXTENSIONInv (LastCharSlot__SERIAL_DEVICE_EXTENSION ?x685))) )) (forall ((?x686 Int)) (! (= (LastCharSlot__SERIAL_DEVICE_EXTENSION (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?x686)) ?x686) :pattern ((LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?x686)) )) (forall ((?x687 boogieU) (?S276 boogieU)) (! (=> (and (= (type ?x687) intType) (= (type ?S276) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION ?S276) ?x687)) boolTrue) (= (U_2_bool (MapType0Select ?S276 (int_2_U (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x687))))) boolTrue))) :pattern ((MapType0Select (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION ?S276) ?x687)) )) (forall ((?x688 boogieU) (?S277 boogieU)) (! (=> (and (= (type ?x688) intType) (= (type ?S277) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?S277) ?x688)) boolTrue) (= (U_2_bool (MapType0Select ?S277 (int_2_U (LastCharSlot__SERIAL_DEVICE_EXTENSION (U_2_int ?x688))))) boolTrue))) :pattern ((MapType0Select (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?S277) ?x688)) )) (forall ((?x689 boogieU) (?S278 boogieU)) (! (=> (and (= (type ?x689) intType) (= (type ?S278) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S278 ?x689)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION ?S278) (int_2_U (LastCharSlot__SERIAL_DEVICE_EXTENSION (U_2_int ?x689))))) boolTrue))) :pattern ((MapType0Select ?S278 ?x689) (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION ?S278)) )) (forall ((?x690 boogieU) (?S279 boogieU)) (! (=> (and (= (type ?x690) intType) (= (type ?S279) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S279 ?x690)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?S279) (int_2_U (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x690))))) boolTrue))) :pattern ((MapType0Select ?S279 ?x690) (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?S279)) )) (forall ((?x691 Int)) (! (= (LastCharSlot__SERIAL_DEVICE_EXTENSION ?x691) (+ ?x691 240)) :pattern ((LastCharSlot__SERIAL_DEVICE_EXTENSION ?x691)) )) (forall ((?x692 Int)) (! (= (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?x692) (- ?x692 240)) :pattern ((LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?x692)) )) (forall ((?x693 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x693 240 1) (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?x693)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x693 240 1)) )) (forall ((?x694 Int)) (! (= (MINUS_LEFT_PTR ?x694 1 240) (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?x694)) :pattern ((MINUS_LEFT_PTR ?x694 1 240)) )) (forall ((?x695 Int)) (! (= (LastReadTime__SERIAL_DEVICE_EXTENSIONInv (LastReadTime__SERIAL_DEVICE_EXTENSION ?x695)) ?x695) :pattern ((LastReadTime__SERIAL_DEVICE_EXTENSIONInv (LastReadTime__SERIAL_DEVICE_EXTENSION ?x695))) )) (forall ((?x696 Int)) (! (= (LastReadTime__SERIAL_DEVICE_EXTENSION (LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?x696)) ?x696) :pattern ((LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?x696)) )) (forall ((?x697 boogieU) (?S280 boogieU)) (! (=> (and (= (type ?x697) intType) (= (type ?S280) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LastReadTime__SERIAL_DEVICE_EXTENSION ?S280) ?x697)) boolTrue) (= (U_2_bool (MapType0Select ?S280 (int_2_U (LastReadTime__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x697))))) boolTrue))) :pattern ((MapType0Select (x_S_LastReadTime__SERIAL_DEVICE_EXTENSION ?S280) ?x697)) )) (forall ((?x698 boogieU) (?S281 boogieU)) (! (=> (and (= (type ?x698) intType) (= (type ?S281) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?S281) ?x698)) boolTrue) (= (U_2_bool (MapType0Select ?S281 (int_2_U (LastReadTime__SERIAL_DEVICE_EXTENSION (U_2_int ?x698))))) boolTrue))) :pattern ((MapType0Select (x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?S281) ?x698)) )) (forall ((?x699 boogieU) (?S282 boogieU)) (! (=> (and (= (type ?x699) intType) (= (type ?S282) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S282 ?x699)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LastReadTime__SERIAL_DEVICE_EXTENSION ?S282) (int_2_U (LastReadTime__SERIAL_DEVICE_EXTENSION (U_2_int ?x699))))) boolTrue))) :pattern ((MapType0Select ?S282 ?x699) (x_S_LastReadTime__SERIAL_DEVICE_EXTENSION ?S282)) )) (forall ((?x700 boogieU) (?S283 boogieU)) (! (=> (and (= (type ?x700) intType) (= (type ?S283) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S283 ?x700)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?S283) (int_2_U (LastReadTime__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x700))))) boolTrue))) :pattern ((MapType0Select ?S283 ?x700) (x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?S283)) )) (forall ((?x701 Int)) (! (= (LastReadTime__SERIAL_DEVICE_EXTENSION ?x701) (+ ?x701 88)) :pattern ((LastReadTime__SERIAL_DEVICE_EXTENSION ?x701)) )) (forall ((?x702 Int)) (! (= (LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?x702) (- ?x702 88)) :pattern ((LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?x702)) )) (forall ((?x703 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x703 88 1) (LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?x703)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x703 88 1)) )) (forall ((?x704 Int)) (! (= (MINUS_LEFT_PTR ?x704 1 88) (LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?x704)) :pattern ((MINUS_LEFT_PTR ?x704 1 88)) )) (forall ((?x705 Int)) (! (= (Length___unnamed_16_3a584a7cInv (Length___unnamed_16_3a584a7c ?x705)) ?x705) :pattern ((Length___unnamed_16_3a584a7cInv (Length___unnamed_16_3a584a7c ?x705))) )) (forall ((?x706 Int)) (! (= (Length___unnamed_16_3a584a7c (Length___unnamed_16_3a584a7cInv ?x706)) ?x706) :pattern ((Length___unnamed_16_3a584a7cInv ?x706)) )) (forall ((?x707 boogieU) (?S284 boogieU)) (! (=> (and (= (type ?x707) intType) (= (type ?S284) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_3a584a7c ?S284) ?x707)) boolTrue) (= (U_2_bool (MapType0Select ?S284 (int_2_U (Length___unnamed_16_3a584a7cInv (U_2_int ?x707))))) boolTrue))) :pattern ((MapType0Select (x_S_Length___unnamed_16_3a584a7c ?S284) ?x707)) )) (forall ((?x708 boogieU) (?S285 boogieU)) (! (=> (and (= (type ?x708) intType) (= (type ?S285) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_3a584a7cInv ?S285) ?x708)) boolTrue) (= (U_2_bool (MapType0Select ?S285 (int_2_U (Length___unnamed_16_3a584a7c (U_2_int ?x708))))) boolTrue))) :pattern ((MapType0Select (x_S_Length___unnamed_16_3a584a7cInv ?S285) ?x708)) )) (forall ((?x709 boogieU) (?S286 boogieU)) (! (=> (and (= (type ?x709) intType) (= (type ?S286) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S286 ?x709)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_3a584a7c ?S286) (int_2_U (Length___unnamed_16_3a584a7c (U_2_int ?x709))))) boolTrue))) :pattern ((MapType0Select ?S286 ?x709) (x_S_Length___unnamed_16_3a584a7c ?S286)) )) (forall ((?x710 boogieU) (?S287 boogieU)) (! (=> (and (= (type ?x710) intType) (= (type ?S287) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S287 ?x710)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_3a584a7cInv ?S287) (int_2_U (Length___unnamed_16_3a584a7cInv (U_2_int ?x710))))) boolTrue))) :pattern ((MapType0Select ?S287 ?x710) (x_S_Length___unnamed_16_3a584a7cInv ?S287)) )) (forall ((?x711 Int)) (! (= (Length___unnamed_16_3a584a7c ?x711) (+ ?x711 0)) :pattern ((Length___unnamed_16_3a584a7c ?x711)) )) (forall ((?x712 Int)) (! (= (Length___unnamed_16_3a584a7cInv ?x712) (- ?x712 0)) :pattern ((Length___unnamed_16_3a584a7cInv ?x712)) )) (forall ((?x713 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x713 0 1) (Length___unnamed_16_3a584a7cInv ?x713)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x713 0 1)) )) (forall ((?x714 Int)) (! (= (MINUS_LEFT_PTR ?x714 1 0) (Length___unnamed_16_3a584a7cInv ?x714)) :pattern ((MINUS_LEFT_PTR ?x714 1 0)) )) (forall ((?x715 Int)) (! (= (Length___unnamed_16_94922103Inv (Length___unnamed_16_94922103 ?x715)) ?x715) :pattern ((Length___unnamed_16_94922103Inv (Length___unnamed_16_94922103 ?x715))) )) (forall ((?x716 Int)) (! (= (Length___unnamed_16_94922103 (Length___unnamed_16_94922103Inv ?x716)) ?x716) :pattern ((Length___unnamed_16_94922103Inv ?x716)) )) (forall ((?x717 boogieU) (?S288 boogieU)) (! (=> (and (= (type ?x717) intType) (= (type ?S288) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_94922103 ?S288) ?x717)) boolTrue) (= (U_2_bool (MapType0Select ?S288 (int_2_U (Length___unnamed_16_94922103Inv (U_2_int ?x717))))) boolTrue))) :pattern ((MapType0Select (x_S_Length___unnamed_16_94922103 ?S288) ?x717)) )) (forall ((?x718 boogieU) (?S289 boogieU)) (! (=> (and (= (type ?x718) intType) (= (type ?S289) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_94922103Inv ?S289) ?x718)) boolTrue) (= (U_2_bool (MapType0Select ?S289 (int_2_U (Length___unnamed_16_94922103 (U_2_int ?x718))))) boolTrue))) :pattern ((MapType0Select (x_S_Length___unnamed_16_94922103Inv ?S289) ?x718)) )) (forall ((?x719 boogieU) (?S290 boogieU)) (! (=> (and (= (type ?x719) intType) (= (type ?S290) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S290 ?x719)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_94922103 ?S290) (int_2_U (Length___unnamed_16_94922103 (U_2_int ?x719))))) boolTrue))) :pattern ((MapType0Select ?S290 ?x719) (x_S_Length___unnamed_16_94922103 ?S290)) )) (forall ((?x720 boogieU) (?S291 boogieU)) (! (=> (and (= (type ?x720) intType) (= (type ?S291) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S291 ?x720)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_94922103Inv ?S291) (int_2_U (Length___unnamed_16_94922103Inv (U_2_int ?x720))))) boolTrue))) :pattern ((MapType0Select ?S291 ?x720) (x_S_Length___unnamed_16_94922103Inv ?S291)) )) (forall ((?x721 Int)) (! (= (Length___unnamed_16_94922103 ?x721) (+ ?x721 0)) :pattern ((Length___unnamed_16_94922103 ?x721)) )) (forall ((?x722 Int)) (! (= (Length___unnamed_16_94922103Inv ?x722) (- ?x722 0)) :pattern ((Length___unnamed_16_94922103Inv ?x722)) )) (forall ((?x723 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x723 0 1) (Length___unnamed_16_94922103Inv ?x723)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x723 0 1)) )) (forall ((?x724 Int)) (! (= (MINUS_LEFT_PTR ?x724 1 0) (Length___unnamed_16_94922103Inv ?x724)) :pattern ((MINUS_LEFT_PTR ?x724 1 0)) )) (forall ((?x725 Int)) (! (= (LineControl__SERIAL_DEVICE_EXTENSIONInv (LineControl__SERIAL_DEVICE_EXTENSION ?x725)) ?x725) :pattern ((LineControl__SERIAL_DEVICE_EXTENSIONInv (LineControl__SERIAL_DEVICE_EXTENSION ?x725))) )) (forall ((?x726 Int)) (! (= (LineControl__SERIAL_DEVICE_EXTENSION (LineControl__SERIAL_DEVICE_EXTENSIONInv ?x726)) ?x726) :pattern ((LineControl__SERIAL_DEVICE_EXTENSIONInv ?x726)) )) (forall ((?x727 boogieU) (?S292 boogieU)) (! (=> (and (= (type ?x727) intType) (= (type ?S292) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LineControl__SERIAL_DEVICE_EXTENSION ?S292) ?x727)) boolTrue) (= (U_2_bool (MapType0Select ?S292 (int_2_U (LineControl__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x727))))) boolTrue))) :pattern ((MapType0Select (x_S_LineControl__SERIAL_DEVICE_EXTENSION ?S292) ?x727)) )) (forall ((?x728 boogieU) (?S293 boogieU)) (! (=> (and (= (type ?x728) intType) (= (type ?S293) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv ?S293) ?x728)) boolTrue) (= (U_2_bool (MapType0Select ?S293 (int_2_U (LineControl__SERIAL_DEVICE_EXTENSION (U_2_int ?x728))))) boolTrue))) :pattern ((MapType0Select (x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv ?S293) ?x728)) )) (forall ((?x729 boogieU) (?S294 boogieU)) (! (=> (and (= (type ?x729) intType) (= (type ?S294) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S294 ?x729)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LineControl__SERIAL_DEVICE_EXTENSION ?S294) (int_2_U (LineControl__SERIAL_DEVICE_EXTENSION (U_2_int ?x729))))) boolTrue))) :pattern ((MapType0Select ?S294 ?x729) (x_S_LineControl__SERIAL_DEVICE_EXTENSION ?S294)) )) (forall ((?x730 boogieU) (?S295 boogieU)) (! (=> (and (= (type ?x730) intType) (= (type ?S295) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S295 ?x730)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv ?S295) (int_2_U (LineControl__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x730))))) boolTrue))) :pattern ((MapType0Select ?S295 ?x730) (x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv ?S295)) )) (forall ((?x731 Int)) (! (= (LineControl__SERIAL_DEVICE_EXTENSION ?x731) (+ ?x731 404)) :pattern ((LineControl__SERIAL_DEVICE_EXTENSION ?x731)) )) (forall ((?x732 Int)) (! (= (LineControl__SERIAL_DEVICE_EXTENSIONInv ?x732) (- ?x732 404)) :pattern ((LineControl__SERIAL_DEVICE_EXTENSIONInv ?x732)) )) (forall ((?x733 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x733 404 1) (LineControl__SERIAL_DEVICE_EXTENSIONInv ?x733)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x733 404 1)) )) (forall ((?x734 Int)) (! (= (MINUS_LEFT_PTR ?x734 1 404) (LineControl__SERIAL_DEVICE_EXTENSIONInv ?x734)) :pattern ((MINUS_LEFT_PTR ?x734 1 404)) )) (forall ((?x735 Int)) (! (= (ListEntry___unnamed_12_5cc47a19Inv (ListEntry___unnamed_12_5cc47a19 ?x735)) ?x735) :pattern ((ListEntry___unnamed_12_5cc47a19Inv (ListEntry___unnamed_12_5cc47a19 ?x735))) )) (forall ((?x736 Int)) (! (= (ListEntry___unnamed_12_5cc47a19 (ListEntry___unnamed_12_5cc47a19Inv ?x736)) ?x736) :pattern ((ListEntry___unnamed_12_5cc47a19Inv ?x736)) )) (forall ((?x737 boogieU) (?S296 boogieU)) (! (=> (and (= (type ?x737) intType) (= (type ?S296) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ListEntry___unnamed_12_5cc47a19 ?S296) ?x737)) boolTrue) (= (U_2_bool (MapType0Select ?S296 (int_2_U (ListEntry___unnamed_12_5cc47a19Inv (U_2_int ?x737))))) boolTrue))) :pattern ((MapType0Select (x_S_ListEntry___unnamed_12_5cc47a19 ?S296) ?x737)) )) (forall ((?x738 boogieU) (?S297 boogieU)) (! (=> (and (= (type ?x738) intType) (= (type ?S297) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ListEntry___unnamed_12_5cc47a19Inv ?S297) ?x738)) boolTrue) (= (U_2_bool (MapType0Select ?S297 (int_2_U (ListEntry___unnamed_12_5cc47a19 (U_2_int ?x738))))) boolTrue))) :pattern ((MapType0Select (x_S_ListEntry___unnamed_12_5cc47a19Inv ?S297) ?x738)) )) (forall ((?x739 boogieU) (?S298 boogieU)) (! (=> (and (= (type ?x739) intType) (= (type ?S298) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S298 ?x739)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ListEntry___unnamed_12_5cc47a19 ?S298) (int_2_U (ListEntry___unnamed_12_5cc47a19 (U_2_int ?x739))))) boolTrue))) :pattern ((MapType0Select ?S298 ?x739) (x_S_ListEntry___unnamed_12_5cc47a19 ?S298)) )) (forall ((?x740 boogieU) (?S299 boogieU)) (! (=> (and (= (type ?x740) intType) (= (type ?S299) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S299 ?x740)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ListEntry___unnamed_12_5cc47a19Inv ?S299) (int_2_U (ListEntry___unnamed_12_5cc47a19Inv (U_2_int ?x740))))) boolTrue))) :pattern ((MapType0Select ?S299 ?x740) (x_S_ListEntry___unnamed_12_5cc47a19Inv ?S299)) )) (forall ((?x741 Int)) (! (= (ListEntry___unnamed_12_5cc47a19 ?x741) (+ ?x741 0)) :pattern ((ListEntry___unnamed_12_5cc47a19 ?x741)) )) (forall ((?x742 Int)) (! (= (ListEntry___unnamed_12_5cc47a19Inv ?x742) (- ?x742 0)) :pattern ((ListEntry___unnamed_12_5cc47a19Inv ?x742)) )) (forall ((?x743 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x743 0 1) (ListEntry___unnamed_12_5cc47a19Inv ?x743)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x743 0 1)) )) (forall ((?x744 Int)) (! (= (MINUS_LEFT_PTR ?x744 1 0) (ListEntry___unnamed_12_5cc47a19Inv ?x744)) :pattern ((MINUS_LEFT_PTR ?x744 1 0)) )) (forall ((?x745 Int)) (! (= (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?x745)) ?x745) :pattern ((LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?x745))) )) (forall ((?x746 Int)) (! (= (LongIntervalAmount__SERIAL_DEVICE_EXTENSION (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x746)) ?x746) :pattern ((LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x746)) )) (forall ((?x747 boogieU) (?S300 boogieU)) (! (=> (and (= (type ?x747) intType) (= (type ?S300) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?S300) ?x747)) boolTrue) (= (U_2_bool (MapType0Select ?S300 (int_2_U (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x747))))) boolTrue))) :pattern ((MapType0Select (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?S300) ?x747)) )) (forall ((?x748 boogieU) (?S301 boogieU)) (! (=> (and (= (type ?x748) intType) (= (type ?S301) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S301) ?x748)) boolTrue) (= (U_2_bool (MapType0Select ?S301 (int_2_U (LongIntervalAmount__SERIAL_DEVICE_EXTENSION (U_2_int ?x748))))) boolTrue))) :pattern ((MapType0Select (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S301) ?x748)) )) (forall ((?x749 boogieU) (?S302 boogieU)) (! (=> (and (= (type ?x749) intType) (= (type ?S302) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S302 ?x749)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?S302) (int_2_U (LongIntervalAmount__SERIAL_DEVICE_EXTENSION (U_2_int ?x749))))) boolTrue))) :pattern ((MapType0Select ?S302 ?x749) (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?S302)) )) (forall ((?x750 boogieU) (?S303 boogieU)) (! (=> (and (= (type ?x750) intType) (= (type ?S303) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S303 ?x750)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S303) (int_2_U (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x750))))) boolTrue))) :pattern ((MapType0Select ?S303 ?x750) (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S303)) )) (forall ((?x751 Int)) (! (= (LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?x751) (+ ?x751 72)) :pattern ((LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?x751)) )) (forall ((?x752 Int)) (! (= (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x752) (- ?x752 72)) :pattern ((LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x752)) )) (forall ((?x753 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x753 72 1) (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x753)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x753 72 1)) )) (forall ((?x754 Int)) (! (= (MINUS_LEFT_PTR ?x754 1 72) (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x754)) :pattern ((MINUS_LEFT_PTR ?x754 1 72)) )) (forall ((?x755 Int)) (! (= (LowPart___unnamed_8_544b88f4Inv (LowPart___unnamed_8_544b88f4 ?x755)) ?x755) :pattern ((LowPart___unnamed_8_544b88f4Inv (LowPart___unnamed_8_544b88f4 ?x755))) )) (forall ((?x756 Int)) (! (= (LowPart___unnamed_8_544b88f4 (LowPart___unnamed_8_544b88f4Inv ?x756)) ?x756) :pattern ((LowPart___unnamed_8_544b88f4Inv ?x756)) )) (forall ((?x757 boogieU) (?S304 boogieU)) (! (=> (and (= (type ?x757) intType) (= (type ?S304) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_544b88f4 ?S304) ?x757)) boolTrue) (= (U_2_bool (MapType0Select ?S304 (int_2_U (LowPart___unnamed_8_544b88f4Inv (U_2_int ?x757))))) boolTrue))) :pattern ((MapType0Select (x_S_LowPart___unnamed_8_544b88f4 ?S304) ?x757)) )) (forall ((?x758 boogieU) (?S305 boogieU)) (! (=> (and (= (type ?x758) intType) (= (type ?S305) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_544b88f4Inv ?S305) ?x758)) boolTrue) (= (U_2_bool (MapType0Select ?S305 (int_2_U (LowPart___unnamed_8_544b88f4 (U_2_int ?x758))))) boolTrue))) :pattern ((MapType0Select (x_S_LowPart___unnamed_8_544b88f4Inv ?S305) ?x758)) )) (forall ((?x759 boogieU) (?S306 boogieU)) (! (=> (and (= (type ?x759) intType) (= (type ?S306) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S306 ?x759)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_544b88f4 ?S306) (int_2_U (LowPart___unnamed_8_544b88f4 (U_2_int ?x759))))) boolTrue))) :pattern ((MapType0Select ?S306 ?x759) (x_S_LowPart___unnamed_8_544b88f4 ?S306)) )) (forall ((?x760 boogieU) (?S307 boogieU)) (! (=> (and (= (type ?x760) intType) (= (type ?S307) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S307 ?x760)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_544b88f4Inv ?S307) (int_2_U (LowPart___unnamed_8_544b88f4Inv (U_2_int ?x760))))) boolTrue))) :pattern ((MapType0Select ?S307 ?x760) (x_S_LowPart___unnamed_8_544b88f4Inv ?S307)) )) (forall ((?x761 Int)) (! (= (LowPart___unnamed_8_544b88f4 ?x761) (+ ?x761 0)) :pattern ((LowPart___unnamed_8_544b88f4 ?x761)) )) (forall ((?x762 Int)) (! (= (LowPart___unnamed_8_544b88f4Inv ?x762) (- ?x762 0)) :pattern ((LowPart___unnamed_8_544b88f4Inv ?x762)) )) (forall ((?x763 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x763 0 1) (LowPart___unnamed_8_544b88f4Inv ?x763)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x763 0 1)) )) (forall ((?x764 Int)) (! (= (MINUS_LEFT_PTR ?x764 1 0) (LowPart___unnamed_8_544b88f4Inv ?x764)) :pattern ((MINUS_LEFT_PTR ?x764 1 0)) )) (forall ((?x765 Int)) (! (= (LowPart___unnamed_8_5d67d492Inv (LowPart___unnamed_8_5d67d492 ?x765)) ?x765) :pattern ((LowPart___unnamed_8_5d67d492Inv (LowPart___unnamed_8_5d67d492 ?x765))) )) (forall ((?x766 Int)) (! (= (LowPart___unnamed_8_5d67d492 (LowPart___unnamed_8_5d67d492Inv ?x766)) ?x766) :pattern ((LowPart___unnamed_8_5d67d492Inv ?x766)) )) (forall ((?x767 boogieU) (?S308 boogieU)) (! (=> (and (= (type ?x767) intType) (= (type ?S308) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_5d67d492 ?S308) ?x767)) boolTrue) (= (U_2_bool (MapType0Select ?S308 (int_2_U (LowPart___unnamed_8_5d67d492Inv (U_2_int ?x767))))) boolTrue))) :pattern ((MapType0Select (x_S_LowPart___unnamed_8_5d67d492 ?S308) ?x767)) )) (forall ((?x768 boogieU) (?S309 boogieU)) (! (=> (and (= (type ?x768) intType) (= (type ?S309) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_5d67d492Inv ?S309) ?x768)) boolTrue) (= (U_2_bool (MapType0Select ?S309 (int_2_U (LowPart___unnamed_8_5d67d492 (U_2_int ?x768))))) boolTrue))) :pattern ((MapType0Select (x_S_LowPart___unnamed_8_5d67d492Inv ?S309) ?x768)) )) (forall ((?x769 boogieU) (?S310 boogieU)) (! (=> (and (= (type ?x769) intType) (= (type ?S310) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S310 ?x769)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_5d67d492 ?S310) (int_2_U (LowPart___unnamed_8_5d67d492 (U_2_int ?x769))))) boolTrue))) :pattern ((MapType0Select ?S310 ?x769) (x_S_LowPart___unnamed_8_5d67d492 ?S310)) )) (forall ((?x770 boogieU) (?S311 boogieU)) (! (=> (and (= (type ?x770) intType) (= (type ?S311) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S311 ?x770)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_5d67d492Inv ?S311) (int_2_U (LowPart___unnamed_8_5d67d492Inv (U_2_int ?x770))))) boolTrue))) :pattern ((MapType0Select ?S311 ?x770) (x_S_LowPart___unnamed_8_5d67d492Inv ?S311)) )) (forall ((?x771 Int)) (! (= (LowPart___unnamed_8_5d67d492 ?x771) (+ ?x771 0)) :pattern ((LowPart___unnamed_8_5d67d492 ?x771)) )) (forall ((?x772 Int)) (! (= (LowPart___unnamed_8_5d67d492Inv ?x772) (- ?x772 0)) :pattern ((LowPart___unnamed_8_5d67d492Inv ?x772)) )) (forall ((?x773 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x773 0 1) (LowPart___unnamed_8_5d67d492Inv ?x773)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x773 0 1)) )) (forall ((?x774 Int)) (! (= (MINUS_LEFT_PTR ?x774 1 0) (LowPart___unnamed_8_5d67d492Inv ?x774)) :pattern ((MINUS_LEFT_PTR ?x774 1 0)) )) (forall ((?x775 Int)) (! (= (MajorFunction__IO_STACK_LOCATIONInv (MajorFunction__IO_STACK_LOCATION ?x775)) ?x775) :pattern ((MajorFunction__IO_STACK_LOCATIONInv (MajorFunction__IO_STACK_LOCATION ?x775))) )) (forall ((?x776 Int)) (! (= (MajorFunction__IO_STACK_LOCATION (MajorFunction__IO_STACK_LOCATIONInv ?x776)) ?x776) :pattern ((MajorFunction__IO_STACK_LOCATIONInv ?x776)) )) (forall ((?x777 boogieU) (?S312 boogieU)) (! (=> (and (= (type ?x777) intType) (= (type ?S312) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MajorFunction__IO_STACK_LOCATION ?S312) ?x777)) boolTrue) (= (U_2_bool (MapType0Select ?S312 (int_2_U (MajorFunction__IO_STACK_LOCATIONInv (U_2_int ?x777))))) boolTrue))) :pattern ((MapType0Select (x_S_MajorFunction__IO_STACK_LOCATION ?S312) ?x777)) )) (forall ((?x778 boogieU) (?S313 boogieU)) (! (=> (and (= (type ?x778) intType) (= (type ?S313) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MajorFunction__IO_STACK_LOCATIONInv ?S313) ?x778)) boolTrue) (= (U_2_bool (MapType0Select ?S313 (int_2_U (MajorFunction__IO_STACK_LOCATION (U_2_int ?x778))))) boolTrue))) :pattern ((MapType0Select (x_S_MajorFunction__IO_STACK_LOCATIONInv ?S313) ?x778)) )) (forall ((?x779 boogieU) (?S314 boogieU)) (! (=> (and (= (type ?x779) intType) (= (type ?S314) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S314 ?x779)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MajorFunction__IO_STACK_LOCATION ?S314) (int_2_U (MajorFunction__IO_STACK_LOCATION (U_2_int ?x779))))) boolTrue))) :pattern ((MapType0Select ?S314 ?x779) (x_S_MajorFunction__IO_STACK_LOCATION ?S314)) )) (forall ((?x780 boogieU) (?S315 boogieU)) (! (=> (and (= (type ?x780) intType) (= (type ?S315) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S315 ?x780)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MajorFunction__IO_STACK_LOCATIONInv ?S315) (int_2_U (MajorFunction__IO_STACK_LOCATIONInv (U_2_int ?x780))))) boolTrue))) :pattern ((MapType0Select ?S315 ?x780) (x_S_MajorFunction__IO_STACK_LOCATIONInv ?S315)) )) (forall ((?x781 Int)) (! (= (MajorFunction__IO_STACK_LOCATION ?x781) (+ ?x781 0)) :pattern ((MajorFunction__IO_STACK_LOCATION ?x781)) )) (forall ((?x782 Int)) (! (= (MajorFunction__IO_STACK_LOCATIONInv ?x782) (- ?x782 0)) :pattern ((MajorFunction__IO_STACK_LOCATIONInv ?x782)) )) (forall ((?x783 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x783 0 1) (MajorFunction__IO_STACK_LOCATIONInv ?x783)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x783 0 1)) )) (forall ((?x784 Int)) (! (= (MINUS_LEFT_PTR ?x784 1 0) (MajorFunction__IO_STACK_LOCATIONInv ?x784)) :pattern ((MINUS_LEFT_PTR ?x784 1 0)) )) (forall ((?x785 Int)) (! (= (MaskQueue__SERIAL_DEVICE_EXTENSIONInv (MaskQueue__SERIAL_DEVICE_EXTENSION ?x785)) ?x785) :pattern ((MaskQueue__SERIAL_DEVICE_EXTENSIONInv (MaskQueue__SERIAL_DEVICE_EXTENSION ?x785))) )) (forall ((?x786 Int)) (! (= (MaskQueue__SERIAL_DEVICE_EXTENSION (MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?x786)) ?x786) :pattern ((MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?x786)) )) (forall ((?x787 boogieU) (?S316 boogieU)) (! (=> (and (= (type ?x787) intType) (= (type ?S316) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaskQueue__SERIAL_DEVICE_EXTENSION ?S316) ?x787)) boolTrue) (= (U_2_bool (MapType0Select ?S316 (int_2_U (MaskQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x787))))) boolTrue))) :pattern ((MapType0Select (x_S_MaskQueue__SERIAL_DEVICE_EXTENSION ?S316) ?x787)) )) (forall ((?x788 boogieU) (?S317 boogieU)) (! (=> (and (= (type ?x788) intType) (= (type ?S317) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?S317) ?x788)) boolTrue) (= (U_2_bool (MapType0Select ?S317 (int_2_U (MaskQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x788))))) boolTrue))) :pattern ((MapType0Select (x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?S317) ?x788)) )) (forall ((?x789 boogieU) (?S318 boogieU)) (! (=> (and (= (type ?x789) intType) (= (type ?S318) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S318 ?x789)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaskQueue__SERIAL_DEVICE_EXTENSION ?S318) (int_2_U (MaskQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x789))))) boolTrue))) :pattern ((MapType0Select ?S318 ?x789) (x_S_MaskQueue__SERIAL_DEVICE_EXTENSION ?S318)) )) (forall ((?x790 boogieU) (?S319 boogieU)) (! (=> (and (= (type ?x790) intType) (= (type ?S319) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S319 ?x790)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?S319) (int_2_U (MaskQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x790))))) boolTrue))) :pattern ((MapType0Select ?S319 ?x790) (x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?S319)) )) (forall ((?x791 Int)) (! (= (MaskQueue__SERIAL_DEVICE_EXTENSION ?x791) (+ ?x791 172)) :pattern ((MaskQueue__SERIAL_DEVICE_EXTENSION ?x791)) )) (forall ((?x792 Int)) (! (= (MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?x792) (- ?x792 172)) :pattern ((MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?x792)) )) (forall ((?x793 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x793 172 1) (MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?x793)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x793 172 1)) )) (forall ((?x794 Int)) (! (= (MINUS_LEFT_PTR ?x794 1 172) (MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?x794)) :pattern ((MINUS_LEFT_PTR ?x794 1 172)) )) (forall ((?x795 Int)) (! (= (MaxBaud__SERIAL_COMMPROPInv (MaxBaud__SERIAL_COMMPROP ?x795)) ?x795) :pattern ((MaxBaud__SERIAL_COMMPROPInv (MaxBaud__SERIAL_COMMPROP ?x795))) )) (forall ((?x796 Int)) (! (= (MaxBaud__SERIAL_COMMPROP (MaxBaud__SERIAL_COMMPROPInv ?x796)) ?x796) :pattern ((MaxBaud__SERIAL_COMMPROPInv ?x796)) )) (forall ((?x797 boogieU) (?S320 boogieU)) (! (=> (and (= (type ?x797) intType) (= (type ?S320) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxBaud__SERIAL_COMMPROP ?S320) ?x797)) boolTrue) (= (U_2_bool (MapType0Select ?S320 (int_2_U (MaxBaud__SERIAL_COMMPROPInv (U_2_int ?x797))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxBaud__SERIAL_COMMPROP ?S320) ?x797)) )) (forall ((?x798 boogieU) (?S321 boogieU)) (! (=> (and (= (type ?x798) intType) (= (type ?S321) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxBaud__SERIAL_COMMPROPInv ?S321) ?x798)) boolTrue) (= (U_2_bool (MapType0Select ?S321 (int_2_U (MaxBaud__SERIAL_COMMPROP (U_2_int ?x798))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxBaud__SERIAL_COMMPROPInv ?S321) ?x798)) )) (forall ((?x799 boogieU) (?S322 boogieU)) (! (=> (and (= (type ?x799) intType) (= (type ?S322) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S322 ?x799)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxBaud__SERIAL_COMMPROP ?S322) (int_2_U (MaxBaud__SERIAL_COMMPROP (U_2_int ?x799))))) boolTrue))) :pattern ((MapType0Select ?S322 ?x799) (x_S_MaxBaud__SERIAL_COMMPROP ?S322)) )) (forall ((?x800 boogieU) (?S323 boogieU)) (! (=> (and (= (type ?x800) intType) (= (type ?S323) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S323 ?x800)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxBaud__SERIAL_COMMPROPInv ?S323) (int_2_U (MaxBaud__SERIAL_COMMPROPInv (U_2_int ?x800))))) boolTrue))) :pattern ((MapType0Select ?S323 ?x800) (x_S_MaxBaud__SERIAL_COMMPROPInv ?S323)) )) (forall ((?x801 Int)) (! (= (MaxBaud__SERIAL_COMMPROP ?x801) (+ ?x801 20)) :pattern ((MaxBaud__SERIAL_COMMPROP ?x801)) )) (forall ((?x802 Int)) (! (= (MaxBaud__SERIAL_COMMPROPInv ?x802) (- ?x802 20)) :pattern ((MaxBaud__SERIAL_COMMPROPInv ?x802)) )) (forall ((?x803 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x803 20 1) (MaxBaud__SERIAL_COMMPROPInv ?x803)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x803 20 1)) )) (forall ((?x804 Int)) (! (= (MINUS_LEFT_PTR ?x804 1 20) (MaxBaud__SERIAL_COMMPROPInv ?x804)) :pattern ((MINUS_LEFT_PTR ?x804 1 20)) )) (forall ((?x805 Int)) (! (= (MaxRxQueue__SERIAL_COMMPROPInv (MaxRxQueue__SERIAL_COMMPROP ?x805)) ?x805) :pattern ((MaxRxQueue__SERIAL_COMMPROPInv (MaxRxQueue__SERIAL_COMMPROP ?x805))) )) (forall ((?x806 Int)) (! (= (MaxRxQueue__SERIAL_COMMPROP (MaxRxQueue__SERIAL_COMMPROPInv ?x806)) ?x806) :pattern ((MaxRxQueue__SERIAL_COMMPROPInv ?x806)) )) (forall ((?x807 boogieU) (?S324 boogieU)) (! (=> (and (= (type ?x807) intType) (= (type ?S324) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxRxQueue__SERIAL_COMMPROP ?S324) ?x807)) boolTrue) (= (U_2_bool (MapType0Select ?S324 (int_2_U (MaxRxQueue__SERIAL_COMMPROPInv (U_2_int ?x807))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxRxQueue__SERIAL_COMMPROP ?S324) ?x807)) )) (forall ((?x808 boogieU) (?S325 boogieU)) (! (=> (and (= (type ?x808) intType) (= (type ?S325) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxRxQueue__SERIAL_COMMPROPInv ?S325) ?x808)) boolTrue) (= (U_2_bool (MapType0Select ?S325 (int_2_U (MaxRxQueue__SERIAL_COMMPROP (U_2_int ?x808))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxRxQueue__SERIAL_COMMPROPInv ?S325) ?x808)) )) (forall ((?x809 boogieU) (?S326 boogieU)) (! (=> (and (= (type ?x809) intType) (= (type ?S326) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S326 ?x809)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxRxQueue__SERIAL_COMMPROP ?S326) (int_2_U (MaxRxQueue__SERIAL_COMMPROP (U_2_int ?x809))))) boolTrue))) :pattern ((MapType0Select ?S326 ?x809) (x_S_MaxRxQueue__SERIAL_COMMPROP ?S326)) )) (forall ((?x810 boogieU) (?S327 boogieU)) (! (=> (and (= (type ?x810) intType) (= (type ?S327) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S327 ?x810)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxRxQueue__SERIAL_COMMPROPInv ?S327) (int_2_U (MaxRxQueue__SERIAL_COMMPROPInv (U_2_int ?x810))))) boolTrue))) :pattern ((MapType0Select ?S327 ?x810) (x_S_MaxRxQueue__SERIAL_COMMPROPInv ?S327)) )) (forall ((?x811 Int)) (! (= (MaxRxQueue__SERIAL_COMMPROP ?x811) (+ ?x811 16)) :pattern ((MaxRxQueue__SERIAL_COMMPROP ?x811)) )) (forall ((?x812 Int)) (! (= (MaxRxQueue__SERIAL_COMMPROPInv ?x812) (- ?x812 16)) :pattern ((MaxRxQueue__SERIAL_COMMPROPInv ?x812)) )) (forall ((?x813 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x813 16 1) (MaxRxQueue__SERIAL_COMMPROPInv ?x813)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x813 16 1)) )) (forall ((?x814 Int)) (! (= (MINUS_LEFT_PTR ?x814 1 16) (MaxRxQueue__SERIAL_COMMPROPInv ?x814)) :pattern ((MINUS_LEFT_PTR ?x814 1 16)) )) (forall ((?x815 Int)) (! (= (MaxTxQueue__SERIAL_COMMPROPInv (MaxTxQueue__SERIAL_COMMPROP ?x815)) ?x815) :pattern ((MaxTxQueue__SERIAL_COMMPROPInv (MaxTxQueue__SERIAL_COMMPROP ?x815))) )) (forall ((?x816 Int)) (! (= (MaxTxQueue__SERIAL_COMMPROP (MaxTxQueue__SERIAL_COMMPROPInv ?x816)) ?x816) :pattern ((MaxTxQueue__SERIAL_COMMPROPInv ?x816)) )) (forall ((?x817 boogieU) (?S328 boogieU)) (! (=> (and (= (type ?x817) intType) (= (type ?S328) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxTxQueue__SERIAL_COMMPROP ?S328) ?x817)) boolTrue) (= (U_2_bool (MapType0Select ?S328 (int_2_U (MaxTxQueue__SERIAL_COMMPROPInv (U_2_int ?x817))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxTxQueue__SERIAL_COMMPROP ?S328) ?x817)) )) (forall ((?x818 boogieU) (?S329 boogieU)) (! (=> (and (= (type ?x818) intType) (= (type ?S329) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxTxQueue__SERIAL_COMMPROPInv ?S329) ?x818)) boolTrue) (= (U_2_bool (MapType0Select ?S329 (int_2_U (MaxTxQueue__SERIAL_COMMPROP (U_2_int ?x818))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxTxQueue__SERIAL_COMMPROPInv ?S329) ?x818)) )) (forall ((?x819 boogieU) (?S330 boogieU)) (! (=> (and (= (type ?x819) intType) (= (type ?S330) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S330 ?x819)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxTxQueue__SERIAL_COMMPROP ?S330) (int_2_U (MaxTxQueue__SERIAL_COMMPROP (U_2_int ?x819))))) boolTrue))) :pattern ((MapType0Select ?S330 ?x819) (x_S_MaxTxQueue__SERIAL_COMMPROP ?S330)) )) (forall ((?x820 boogieU) (?S331 boogieU)) (! (=> (and (= (type ?x820) intType) (= (type ?S331) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S331 ?x820)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxTxQueue__SERIAL_COMMPROPInv ?S331) (int_2_U (MaxTxQueue__SERIAL_COMMPROPInv (U_2_int ?x820))))) boolTrue))) :pattern ((MapType0Select ?S331 ?x820) (x_S_MaxTxQueue__SERIAL_COMMPROPInv ?S331)) )) (forall ((?x821 Int)) (! (= (MaxTxQueue__SERIAL_COMMPROP ?x821) (+ ?x821 12)) :pattern ((MaxTxQueue__SERIAL_COMMPROP ?x821)) )) (forall ((?x822 Int)) (! (= (MaxTxQueue__SERIAL_COMMPROPInv ?x822) (- ?x822 12)) :pattern ((MaxTxQueue__SERIAL_COMMPROPInv ?x822)) )) (forall ((?x823 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x823 12 1) (MaxTxQueue__SERIAL_COMMPROPInv ?x823)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x823 12 1)) )) (forall ((?x824 Int)) (! (= (MINUS_LEFT_PTR ?x824 1 12) (MaxTxQueue__SERIAL_COMMPROPInv ?x824)) :pattern ((MINUS_LEFT_PTR ?x824 1 12)) )) (forall ((?x825 Int)) (! (= (NewBufferSize__SERIAL_RESIZE_PARAMSInv (NewBufferSize__SERIAL_RESIZE_PARAMS ?x825)) ?x825) :pattern ((NewBufferSize__SERIAL_RESIZE_PARAMSInv (NewBufferSize__SERIAL_RESIZE_PARAMS ?x825))) )) (forall ((?x826 Int)) (! (= (NewBufferSize__SERIAL_RESIZE_PARAMS (NewBufferSize__SERIAL_RESIZE_PARAMSInv ?x826)) ?x826) :pattern ((NewBufferSize__SERIAL_RESIZE_PARAMSInv ?x826)) )) (forall ((?x827 boogieU) (?S332 boogieU)) (! (=> (and (= (type ?x827) intType) (= (type ?S332) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NewBufferSize__SERIAL_RESIZE_PARAMS ?S332) ?x827)) boolTrue) (= (U_2_bool (MapType0Select ?S332 (int_2_U (NewBufferSize__SERIAL_RESIZE_PARAMSInv (U_2_int ?x827))))) boolTrue))) :pattern ((MapType0Select (x_S_NewBufferSize__SERIAL_RESIZE_PARAMS ?S332) ?x827)) )) (forall ((?x828 boogieU) (?S333 boogieU)) (! (=> (and (= (type ?x828) intType) (= (type ?S333) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv ?S333) ?x828)) boolTrue) (= (U_2_bool (MapType0Select ?S333 (int_2_U (NewBufferSize__SERIAL_RESIZE_PARAMS (U_2_int ?x828))))) boolTrue))) :pattern ((MapType0Select (x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv ?S333) ?x828)) )) (forall ((?x829 boogieU) (?S334 boogieU)) (! (=> (and (= (type ?x829) intType) (= (type ?S334) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S334 ?x829)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NewBufferSize__SERIAL_RESIZE_PARAMS ?S334) (int_2_U (NewBufferSize__SERIAL_RESIZE_PARAMS (U_2_int ?x829))))) boolTrue))) :pattern ((MapType0Select ?S334 ?x829) (x_S_NewBufferSize__SERIAL_RESIZE_PARAMS ?S334)) )) (forall ((?x830 boogieU) (?S335 boogieU)) (! (=> (and (= (type ?x830) intType) (= (type ?S335) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S335 ?x830)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv ?S335) (int_2_U (NewBufferSize__SERIAL_RESIZE_PARAMSInv (U_2_int ?x830))))) boolTrue))) :pattern ((MapType0Select ?S335 ?x830) (x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv ?S335)) )) (forall ((?x831 Int)) (! (= (NewBufferSize__SERIAL_RESIZE_PARAMS ?x831) (+ ?x831 12)) :pattern ((NewBufferSize__SERIAL_RESIZE_PARAMS ?x831)) )) (forall ((?x832 Int)) (! (= (NewBufferSize__SERIAL_RESIZE_PARAMSInv ?x832) (- ?x832 12)) :pattern ((NewBufferSize__SERIAL_RESIZE_PARAMSInv ?x832)) )) (forall ((?x833 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x833 12 1) (NewBufferSize__SERIAL_RESIZE_PARAMSInv ?x833)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x833 12 1)) )) (forall ((?x834 Int)) (! (= (MINUS_LEFT_PTR ?x834 1 12) (NewBufferSize__SERIAL_RESIZE_PARAMSInv ?x834)) :pattern ((MINUS_LEFT_PTR ?x834 1 12)) )) (forall ((?x835 Int)) (! (= (NewBuffer__SERIAL_RESIZE_PARAMSInv (NewBuffer__SERIAL_RESIZE_PARAMS ?x835)) ?x835) :pattern ((NewBuffer__SERIAL_RESIZE_PARAMSInv (NewBuffer__SERIAL_RESIZE_PARAMS ?x835))) )) (forall ((?x836 Int)) (! (= (NewBuffer__SERIAL_RESIZE_PARAMS (NewBuffer__SERIAL_RESIZE_PARAMSInv ?x836)) ?x836) :pattern ((NewBuffer__SERIAL_RESIZE_PARAMSInv ?x836)) )) (forall ((?x837 boogieU) (?S336 boogieU)) (! (=> (and (= (type ?x837) intType) (= (type ?S336) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NewBuffer__SERIAL_RESIZE_PARAMS ?S336) ?x837)) boolTrue) (= (U_2_bool (MapType0Select ?S336 (int_2_U (NewBuffer__SERIAL_RESIZE_PARAMSInv (U_2_int ?x837))))) boolTrue))) :pattern ((MapType0Select (x_S_NewBuffer__SERIAL_RESIZE_PARAMS ?S336) ?x837)) )) (forall ((?x838 boogieU) (?S337 boogieU)) (! (=> (and (= (type ?x838) intType) (= (type ?S337) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv ?S337) ?x838)) boolTrue) (= (U_2_bool (MapType0Select ?S337 (int_2_U (NewBuffer__SERIAL_RESIZE_PARAMS (U_2_int ?x838))))) boolTrue))) :pattern ((MapType0Select (x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv ?S337) ?x838)) )) (forall ((?x839 boogieU) (?S338 boogieU)) (! (=> (and (= (type ?x839) intType) (= (type ?S338) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S338 ?x839)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NewBuffer__SERIAL_RESIZE_PARAMS ?S338) (int_2_U (NewBuffer__SERIAL_RESIZE_PARAMS (U_2_int ?x839))))) boolTrue))) :pattern ((MapType0Select ?S338 ?x839) (x_S_NewBuffer__SERIAL_RESIZE_PARAMS ?S338)) )) (forall ((?x840 boogieU) (?S339 boogieU)) (! (=> (and (= (type ?x840) intType) (= (type ?S339) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S339 ?x840)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv ?S339) (int_2_U (NewBuffer__SERIAL_RESIZE_PARAMSInv (U_2_int ?x840))))) boolTrue))) :pattern ((MapType0Select ?S339 ?x840) (x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv ?S339)) )) (forall ((?x841 Int)) (! (= (NewBuffer__SERIAL_RESIZE_PARAMS ?x841) (+ ?x841 8)) :pattern ((NewBuffer__SERIAL_RESIZE_PARAMS ?x841)) )) (forall ((?x842 Int)) (! (= (NewBuffer__SERIAL_RESIZE_PARAMSInv ?x842) (- ?x842 8)) :pattern ((NewBuffer__SERIAL_RESIZE_PARAMSInv ?x842)) )) (forall ((?x843 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x843 8 1) (NewBuffer__SERIAL_RESIZE_PARAMSInv ?x843)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x843 8 1)) )) (forall ((?x844 Int)) (! (= (MINUS_LEFT_PTR ?x844 1 8) (NewBuffer__SERIAL_RESIZE_PARAMSInv ?x844)) :pattern ((MINUS_LEFT_PTR ?x844 1 8)) )) (forall ((?x845 Int)) (! (= (NumberMoved__SERIAL_RESIZE_PARAMSInv (NumberMoved__SERIAL_RESIZE_PARAMS ?x845)) ?x845) :pattern ((NumberMoved__SERIAL_RESIZE_PARAMSInv (NumberMoved__SERIAL_RESIZE_PARAMS ?x845))) )) (forall ((?x846 Int)) (! (= (NumberMoved__SERIAL_RESIZE_PARAMS (NumberMoved__SERIAL_RESIZE_PARAMSInv ?x846)) ?x846) :pattern ((NumberMoved__SERIAL_RESIZE_PARAMSInv ?x846)) )) (forall ((?x847 boogieU) (?S340 boogieU)) (! (=> (and (= (type ?x847) intType) (= (type ?S340) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberMoved__SERIAL_RESIZE_PARAMS ?S340) ?x847)) boolTrue) (= (U_2_bool (MapType0Select ?S340 (int_2_U (NumberMoved__SERIAL_RESIZE_PARAMSInv (U_2_int ?x847))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberMoved__SERIAL_RESIZE_PARAMS ?S340) ?x847)) )) (forall ((?x848 boogieU) (?S341 boogieU)) (! (=> (and (= (type ?x848) intType) (= (type ?S341) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv ?S341) ?x848)) boolTrue) (= (U_2_bool (MapType0Select ?S341 (int_2_U (NumberMoved__SERIAL_RESIZE_PARAMS (U_2_int ?x848))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv ?S341) ?x848)) )) (forall ((?x849 boogieU) (?S342 boogieU)) (! (=> (and (= (type ?x849) intType) (= (type ?S342) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S342 ?x849)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberMoved__SERIAL_RESIZE_PARAMS ?S342) (int_2_U (NumberMoved__SERIAL_RESIZE_PARAMS (U_2_int ?x849))))) boolTrue))) :pattern ((MapType0Select ?S342 ?x849) (x_S_NumberMoved__SERIAL_RESIZE_PARAMS ?S342)) )) (forall ((?x850 boogieU) (?S343 boogieU)) (! (=> (and (= (type ?x850) intType) (= (type ?S343) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S343 ?x850)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv ?S343) (int_2_U (NumberMoved__SERIAL_RESIZE_PARAMSInv (U_2_int ?x850))))) boolTrue))) :pattern ((MapType0Select ?S343 ?x850) (x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv ?S343)) )) (forall ((?x851 Int)) (! (= (NumberMoved__SERIAL_RESIZE_PARAMS ?x851) (+ ?x851 16)) :pattern ((NumberMoved__SERIAL_RESIZE_PARAMS ?x851)) )) (forall ((?x852 Int)) (! (= (NumberMoved__SERIAL_RESIZE_PARAMSInv ?x852) (- ?x852 16)) :pattern ((NumberMoved__SERIAL_RESIZE_PARAMSInv ?x852)) )) (forall ((?x853 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x853 16 1) (NumberMoved__SERIAL_RESIZE_PARAMSInv ?x853)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x853 16 1)) )) (forall ((?x854 Int)) (! (= (MINUS_LEFT_PTR ?x854 1 16) (NumberMoved__SERIAL_RESIZE_PARAMSInv ?x854)) :pattern ((MINUS_LEFT_PTR ?x854 1 16)) )) (forall ((?x855 Int)) (! (= (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv (NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?x855)) ?x855) :pattern ((NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv (NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?x855))) )) (forall ((?x856 Int)) (! (= (NumberNeededForRead__SERIAL_DEVICE_EXTENSION (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?x856)) ?x856) :pattern ((NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?x856)) )) (forall ((?x857 boogieU) (?S344 boogieU)) (! (=> (and (= (type ?x857) intType) (= (type ?S344) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?S344) ?x857)) boolTrue) (= (U_2_bool (MapType0Select ?S344 (int_2_U (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x857))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?S344) ?x857)) )) (forall ((?x858 boogieU) (?S345 boogieU)) (! (=> (and (= (type ?x858) intType) (= (type ?S345) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?S345) ?x858)) boolTrue) (= (U_2_bool (MapType0Select ?S345 (int_2_U (NumberNeededForRead__SERIAL_DEVICE_EXTENSION (U_2_int ?x858))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?S345) ?x858)) )) (forall ((?x859 boogieU) (?S346 boogieU)) (! (=> (and (= (type ?x859) intType) (= (type ?S346) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S346 ?x859)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?S346) (int_2_U (NumberNeededForRead__SERIAL_DEVICE_EXTENSION (U_2_int ?x859))))) boolTrue))) :pattern ((MapType0Select ?S346 ?x859) (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?S346)) )) (forall ((?x860 boogieU) (?S347 boogieU)) (! (=> (and (= (type ?x860) intType) (= (type ?S347) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S347 ?x860)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?S347) (int_2_U (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x860))))) boolTrue))) :pattern ((MapType0Select ?S347 ?x860) (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?S347)) )) (forall ((?x861 Int)) (! (= (NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?x861) (+ ?x861 260)) :pattern ((NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?x861)) )) (forall ((?x862 Int)) (! (= (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?x862) (- ?x862 260)) :pattern ((NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?x862)) )) (forall ((?x863 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x863 260 1) (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?x863)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x863 260 1)) )) (forall ((?x864 Int)) (! (= (MINUS_LEFT_PTR ?x864 1 260) (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?x864)) :pattern ((MINUS_LEFT_PTR ?x864 1 260)) )) (forall ((?x865 Int)) (! (= (OldBuffer__SERIAL_RESIZE_PARAMSInv (OldBuffer__SERIAL_RESIZE_PARAMS ?x865)) ?x865) :pattern ((OldBuffer__SERIAL_RESIZE_PARAMSInv (OldBuffer__SERIAL_RESIZE_PARAMS ?x865))) )) (forall ((?x866 Int)) (! (= (OldBuffer__SERIAL_RESIZE_PARAMS (OldBuffer__SERIAL_RESIZE_PARAMSInv ?x866)) ?x866) :pattern ((OldBuffer__SERIAL_RESIZE_PARAMSInv ?x866)) )) (forall ((?x867 boogieU) (?S348 boogieU)) (! (=> (and (= (type ?x867) intType) (= (type ?S348) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_OldBuffer__SERIAL_RESIZE_PARAMS ?S348) ?x867)) boolTrue) (= (U_2_bool (MapType0Select ?S348 (int_2_U (OldBuffer__SERIAL_RESIZE_PARAMSInv (U_2_int ?x867))))) boolTrue))) :pattern ((MapType0Select (x_S_OldBuffer__SERIAL_RESIZE_PARAMS ?S348) ?x867)) )) (forall ((?x868 boogieU) (?S349 boogieU)) (! (=> (and (= (type ?x868) intType) (= (type ?S349) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv ?S349) ?x868)) boolTrue) (= (U_2_bool (MapType0Select ?S349 (int_2_U (OldBuffer__SERIAL_RESIZE_PARAMS (U_2_int ?x868))))) boolTrue))) :pattern ((MapType0Select (x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv ?S349) ?x868)) )) (forall ((?x869 boogieU) (?S350 boogieU)) (! (=> (and (= (type ?x869) intType) (= (type ?S350) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S350 ?x869)) boolTrue) (= (U_2_bool (MapType0Select (x_S_OldBuffer__SERIAL_RESIZE_PARAMS ?S350) (int_2_U (OldBuffer__SERIAL_RESIZE_PARAMS (U_2_int ?x869))))) boolTrue))) :pattern ((MapType0Select ?S350 ?x869) (x_S_OldBuffer__SERIAL_RESIZE_PARAMS ?S350)) )) (forall ((?x870 boogieU) (?S351 boogieU)) (! (=> (and (= (type ?x870) intType) (= (type ?S351) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S351 ?x870)) boolTrue) (= (U_2_bool (MapType0Select (x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv ?S351) (int_2_U (OldBuffer__SERIAL_RESIZE_PARAMSInv (U_2_int ?x870))))) boolTrue))) :pattern ((MapType0Select ?S351 ?x870) (x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv ?S351)) )) (forall ((?x871 Int)) (! (= (OldBuffer__SERIAL_RESIZE_PARAMS ?x871) (+ ?x871 4)) :pattern ((OldBuffer__SERIAL_RESIZE_PARAMS ?x871)) )) (forall ((?x872 Int)) (! (= (OldBuffer__SERIAL_RESIZE_PARAMSInv ?x872) (- ?x872 4)) :pattern ((OldBuffer__SERIAL_RESIZE_PARAMSInv ?x872)) )) (forall ((?x873 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x873 4 1) (OldBuffer__SERIAL_RESIZE_PARAMSInv ?x873)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x873 4 1)) )) (forall ((?x874 Int)) (! (= (MINUS_LEFT_PTR ?x874 1 4) (OldBuffer__SERIAL_RESIZE_PARAMSInv ?x874)) :pattern ((MINUS_LEFT_PTR ?x874 1 4)) )) (forall ((?x875 Int)) (! (= (Others___unnamed_16_57edbc3aInv (Others___unnamed_16_57edbc3a ?x875)) ?x875) :pattern ((Others___unnamed_16_57edbc3aInv (Others___unnamed_16_57edbc3a ?x875))) )) (forall ((?x876 Int)) (! (= (Others___unnamed_16_57edbc3a (Others___unnamed_16_57edbc3aInv ?x876)) ?x876) :pattern ((Others___unnamed_16_57edbc3aInv ?x876)) )) (forall ((?x877 boogieU) (?S352 boogieU)) (! (=> (and (= (type ?x877) intType) (= (type ?S352) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Others___unnamed_16_57edbc3a ?S352) ?x877)) boolTrue) (= (U_2_bool (MapType0Select ?S352 (int_2_U (Others___unnamed_16_57edbc3aInv (U_2_int ?x877))))) boolTrue))) :pattern ((MapType0Select (x_S_Others___unnamed_16_57edbc3a ?S352) ?x877)) )) (forall ((?x878 boogieU) (?S353 boogieU)) (! (=> (and (= (type ?x878) intType) (= (type ?S353) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Others___unnamed_16_57edbc3aInv ?S353) ?x878)) boolTrue) (= (U_2_bool (MapType0Select ?S353 (int_2_U (Others___unnamed_16_57edbc3a (U_2_int ?x878))))) boolTrue))) :pattern ((MapType0Select (x_S_Others___unnamed_16_57edbc3aInv ?S353) ?x878)) )) (forall ((?x879 boogieU) (?S354 boogieU)) (! (=> (and (= (type ?x879) intType) (= (type ?S354) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S354 ?x879)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Others___unnamed_16_57edbc3a ?S354) (int_2_U (Others___unnamed_16_57edbc3a (U_2_int ?x879))))) boolTrue))) :pattern ((MapType0Select ?S354 ?x879) (x_S_Others___unnamed_16_57edbc3a ?S354)) )) (forall ((?x880 boogieU) (?S355 boogieU)) (! (=> (and (= (type ?x880) intType) (= (type ?S355) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S355 ?x880)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Others___unnamed_16_57edbc3aInv ?S355) (int_2_U (Others___unnamed_16_57edbc3aInv (U_2_int ?x880))))) boolTrue))) :pattern ((MapType0Select ?S355 ?x880) (x_S_Others___unnamed_16_57edbc3aInv ?S355)) )) (forall ((?x881 Int)) (! (= (Others___unnamed_16_57edbc3a ?x881) (+ ?x881 0)) :pattern ((Others___unnamed_16_57edbc3a ?x881)) )) (forall ((?x882 Int)) (! (= (Others___unnamed_16_57edbc3aInv ?x882) (- ?x882 0)) :pattern ((Others___unnamed_16_57edbc3aInv ?x882)) )) (forall ((?x883 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x883 0 1) (Others___unnamed_16_57edbc3aInv ?x883)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x883 0 1)) )) (forall ((?x884 Int)) (! (= (MINUS_LEFT_PTR ?x884 1 0) (Others___unnamed_16_57edbc3aInv ?x884)) :pattern ((MINUS_LEFT_PTR ?x884 1 0)) )) (forall ((?x885 Int)) (! (= (OutputBufferLength___unnamed_16_5bbbf1e7Inv (OutputBufferLength___unnamed_16_5bbbf1e7 ?x885)) ?x885) :pattern ((OutputBufferLength___unnamed_16_5bbbf1e7Inv (OutputBufferLength___unnamed_16_5bbbf1e7 ?x885))) )) (forall ((?x886 Int)) (! (= (OutputBufferLength___unnamed_16_5bbbf1e7 (OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x886)) ?x886) :pattern ((OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x886)) )) (forall ((?x887 boogieU) (?S356 boogieU)) (! (=> (and (= (type ?x887) intType) (= (type ?S356) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?S356) ?x887)) boolTrue) (= (U_2_bool (MapType0Select ?S356 (int_2_U (OutputBufferLength___unnamed_16_5bbbf1e7Inv (U_2_int ?x887))))) boolTrue))) :pattern ((MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?S356) ?x887)) )) (forall ((?x888 boogieU) (?S357 boogieU)) (! (=> (and (= (type ?x888) intType) (= (type ?S357) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?S357) ?x888)) boolTrue) (= (U_2_bool (MapType0Select ?S357 (int_2_U (OutputBufferLength___unnamed_16_5bbbf1e7 (U_2_int ?x888))))) boolTrue))) :pattern ((MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?S357) ?x888)) )) (forall ((?x889 boogieU) (?S358 boogieU)) (! (=> (and (= (type ?x889) intType) (= (type ?S358) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S358 ?x889)) boolTrue) (= (U_2_bool (MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?S358) (int_2_U (OutputBufferLength___unnamed_16_5bbbf1e7 (U_2_int ?x889))))) boolTrue))) :pattern ((MapType0Select ?S358 ?x889) (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?S358)) )) (forall ((?x890 boogieU) (?S359 boogieU)) (! (=> (and (= (type ?x890) intType) (= (type ?S359) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S359 ?x890)) boolTrue) (= (U_2_bool (MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?S359) (int_2_U (OutputBufferLength___unnamed_16_5bbbf1e7Inv (U_2_int ?x890))))) boolTrue))) :pattern ((MapType0Select ?S359 ?x890) (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?S359)) )) (forall ((?x891 Int)) (! (= (OutputBufferLength___unnamed_16_5bbbf1e7 ?x891) (+ ?x891 0)) :pattern ((OutputBufferLength___unnamed_16_5bbbf1e7 ?x891)) )) (forall ((?x892 Int)) (! (= (OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x892) (- ?x892 0)) :pattern ((OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x892)) )) (forall ((?x893 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x893 0 1) (OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x893)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x893 0 1)) )) (forall ((?x894 Int)) (! (= (MINUS_LEFT_PTR ?x894 1 0) (OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x894)) :pattern ((MINUS_LEFT_PTR ?x894 1 0)) )) (forall ((?x895 Int)) (! (= (Overlay___unnamed_48_ffd8d308Inv (Overlay___unnamed_48_ffd8d308 ?x895)) ?x895) :pattern ((Overlay___unnamed_48_ffd8d308Inv (Overlay___unnamed_48_ffd8d308 ?x895))) )) (forall ((?x896 Int)) (! (= (Overlay___unnamed_48_ffd8d308 (Overlay___unnamed_48_ffd8d308Inv ?x896)) ?x896) :pattern ((Overlay___unnamed_48_ffd8d308Inv ?x896)) )) (forall ((?x897 boogieU) (?S360 boogieU)) (! (=> (and (= (type ?x897) intType) (= (type ?S360) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Overlay___unnamed_48_ffd8d308 ?S360) ?x897)) boolTrue) (= (U_2_bool (MapType0Select ?S360 (int_2_U (Overlay___unnamed_48_ffd8d308Inv (U_2_int ?x897))))) boolTrue))) :pattern ((MapType0Select (x_S_Overlay___unnamed_48_ffd8d308 ?S360) ?x897)) )) (forall ((?x898 boogieU) (?S361 boogieU)) (! (=> (and (= (type ?x898) intType) (= (type ?S361) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Overlay___unnamed_48_ffd8d308Inv ?S361) ?x898)) boolTrue) (= (U_2_bool (MapType0Select ?S361 (int_2_U (Overlay___unnamed_48_ffd8d308 (U_2_int ?x898))))) boolTrue))) :pattern ((MapType0Select (x_S_Overlay___unnamed_48_ffd8d308Inv ?S361) ?x898)) )) (forall ((?x899 boogieU) (?S362 boogieU)) (! (=> (and (= (type ?x899) intType) (= (type ?S362) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S362 ?x899)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Overlay___unnamed_48_ffd8d308 ?S362) (int_2_U (Overlay___unnamed_48_ffd8d308 (U_2_int ?x899))))) boolTrue))) :pattern ((MapType0Select ?S362 ?x899) (x_S_Overlay___unnamed_48_ffd8d308 ?S362)) )) (forall ((?x900 boogieU) (?S363 boogieU)) (! (=> (and (= (type ?x900) intType) (= (type ?S363) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S363 ?x900)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Overlay___unnamed_48_ffd8d308Inv ?S363) (int_2_U (Overlay___unnamed_48_ffd8d308Inv (U_2_int ?x900))))) boolTrue))) :pattern ((MapType0Select ?S363 ?x900) (x_S_Overlay___unnamed_48_ffd8d308Inv ?S363)) )) (forall ((?x901 Int)) (! (= (Overlay___unnamed_48_ffd8d308 ?x901) (+ ?x901 0)) :pattern ((Overlay___unnamed_48_ffd8d308 ?x901)) )) (forall ((?x902 Int)) (! (= (Overlay___unnamed_48_ffd8d308Inv ?x902) (- ?x902 0)) :pattern ((Overlay___unnamed_48_ffd8d308Inv ?x902)) )) (forall ((?x903 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x903 0 1) (Overlay___unnamed_48_ffd8d308Inv ?x903)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x903 0 1)) )) (forall ((?x904 Int)) (! (= (MINUS_LEFT_PTR ?x904 1 0) (Overlay___unnamed_48_ffd8d308Inv ?x904)) :pattern ((MINUS_LEFT_PTR ?x904 1 0)) )) (forall ((?x905 Int)) (! (= (PacketLength__SERIAL_COMMPROPInv (PacketLength__SERIAL_COMMPROP ?x905)) ?x905) :pattern ((PacketLength__SERIAL_COMMPROPInv (PacketLength__SERIAL_COMMPROP ?x905))) )) (forall ((?x906 Int)) (! (= (PacketLength__SERIAL_COMMPROP (PacketLength__SERIAL_COMMPROPInv ?x906)) ?x906) :pattern ((PacketLength__SERIAL_COMMPROPInv ?x906)) )) (forall ((?x907 boogieU) (?S364 boogieU)) (! (=> (and (= (type ?x907) intType) (= (type ?S364) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PacketLength__SERIAL_COMMPROP ?S364) ?x907)) boolTrue) (= (U_2_bool (MapType0Select ?S364 (int_2_U (PacketLength__SERIAL_COMMPROPInv (U_2_int ?x907))))) boolTrue))) :pattern ((MapType0Select (x_S_PacketLength__SERIAL_COMMPROP ?S364) ?x907)) )) (forall ((?x908 boogieU) (?S365 boogieU)) (! (=> (and (= (type ?x908) intType) (= (type ?S365) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PacketLength__SERIAL_COMMPROPInv ?S365) ?x908)) boolTrue) (= (U_2_bool (MapType0Select ?S365 (int_2_U (PacketLength__SERIAL_COMMPROP (U_2_int ?x908))))) boolTrue))) :pattern ((MapType0Select (x_S_PacketLength__SERIAL_COMMPROPInv ?S365) ?x908)) )) (forall ((?x909 boogieU) (?S366 boogieU)) (! (=> (and (= (type ?x909) intType) (= (type ?S366) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S366 ?x909)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PacketLength__SERIAL_COMMPROP ?S366) (int_2_U (PacketLength__SERIAL_COMMPROP (U_2_int ?x909))))) boolTrue))) :pattern ((MapType0Select ?S366 ?x909) (x_S_PacketLength__SERIAL_COMMPROP ?S366)) )) (forall ((?x910 boogieU) (?S367 boogieU)) (! (=> (and (= (type ?x910) intType) (= (type ?S367) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S367 ?x910)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PacketLength__SERIAL_COMMPROPInv ?S367) (int_2_U (PacketLength__SERIAL_COMMPROPInv (U_2_int ?x910))))) boolTrue))) :pattern ((MapType0Select ?S367 ?x910) (x_S_PacketLength__SERIAL_COMMPROPInv ?S367)) )) (forall ((?x911 Int)) (! (= (PacketLength__SERIAL_COMMPROP ?x911) (+ ?x911 0)) :pattern ((PacketLength__SERIAL_COMMPROP ?x911)) )) (forall ((?x912 Int)) (! (= (PacketLength__SERIAL_COMMPROPInv ?x912) (- ?x912 0)) :pattern ((PacketLength__SERIAL_COMMPROPInv ?x912)) )) (forall ((?x913 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x913 0 1) (PacketLength__SERIAL_COMMPROPInv ?x913)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x913 0 1)) )) (forall ((?x914 Int)) (! (= (MINUS_LEFT_PTR ?x914 1 0) (PacketLength__SERIAL_COMMPROPInv ?x914)) :pattern ((MINUS_LEFT_PTR ?x914 1 0)) )) (forall ((?x915 Int)) (! (= (PacketVersion__SERIAL_COMMPROPInv (PacketVersion__SERIAL_COMMPROP ?x915)) ?x915) :pattern ((PacketVersion__SERIAL_COMMPROPInv (PacketVersion__SERIAL_COMMPROP ?x915))) )) (forall ((?x916 Int)) (! (= (PacketVersion__SERIAL_COMMPROP (PacketVersion__SERIAL_COMMPROPInv ?x916)) ?x916) :pattern ((PacketVersion__SERIAL_COMMPROPInv ?x916)) )) (forall ((?x917 boogieU) (?S368 boogieU)) (! (=> (and (= (type ?x917) intType) (= (type ?S368) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PacketVersion__SERIAL_COMMPROP ?S368) ?x917)) boolTrue) (= (U_2_bool (MapType0Select ?S368 (int_2_U (PacketVersion__SERIAL_COMMPROPInv (U_2_int ?x917))))) boolTrue))) :pattern ((MapType0Select (x_S_PacketVersion__SERIAL_COMMPROP ?S368) ?x917)) )) (forall ((?x918 boogieU) (?S369 boogieU)) (! (=> (and (= (type ?x918) intType) (= (type ?S369) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PacketVersion__SERIAL_COMMPROPInv ?S369) ?x918)) boolTrue) (= (U_2_bool (MapType0Select ?S369 (int_2_U (PacketVersion__SERIAL_COMMPROP (U_2_int ?x918))))) boolTrue))) :pattern ((MapType0Select (x_S_PacketVersion__SERIAL_COMMPROPInv ?S369) ?x918)) )) (forall ((?x919 boogieU) (?S370 boogieU)) (! (=> (and (= (type ?x919) intType) (= (type ?S370) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S370 ?x919)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PacketVersion__SERIAL_COMMPROP ?S370) (int_2_U (PacketVersion__SERIAL_COMMPROP (U_2_int ?x919))))) boolTrue))) :pattern ((MapType0Select ?S370 ?x919) (x_S_PacketVersion__SERIAL_COMMPROP ?S370)) )) (forall ((?x920 boogieU) (?S371 boogieU)) (! (=> (and (= (type ?x920) intType) (= (type ?S371) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S371 ?x920)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PacketVersion__SERIAL_COMMPROPInv ?S371) (int_2_U (PacketVersion__SERIAL_COMMPROPInv (U_2_int ?x920))))) boolTrue))) :pattern ((MapType0Select ?S371 ?x920) (x_S_PacketVersion__SERIAL_COMMPROPInv ?S371)) )) (forall ((?x921 Int)) (! (= (PacketVersion__SERIAL_COMMPROP ?x921) (+ ?x921 2)) :pattern ((PacketVersion__SERIAL_COMMPROP ?x921)) )) (forall ((?x922 Int)) (! (= (PacketVersion__SERIAL_COMMPROPInv ?x922) (- ?x922 2)) :pattern ((PacketVersion__SERIAL_COMMPROPInv ?x922)) )) (forall ((?x923 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x923 2 1) (PacketVersion__SERIAL_COMMPROPInv ?x923)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x923 2 1)) )) (forall ((?x924 Int)) (! (= (MINUS_LEFT_PTR ?x924 1 2) (PacketVersion__SERIAL_COMMPROPInv ?x924)) :pattern ((MINUS_LEFT_PTR ?x924 1 2)) )) (forall ((?x925 Int)) (! (= (Parameters__IO_STACK_LOCATIONInv (Parameters__IO_STACK_LOCATION ?x925)) ?x925) :pattern ((Parameters__IO_STACK_LOCATIONInv (Parameters__IO_STACK_LOCATION ?x925))) )) (forall ((?x926 Int)) (! (= (Parameters__IO_STACK_LOCATION (Parameters__IO_STACK_LOCATIONInv ?x926)) ?x926) :pattern ((Parameters__IO_STACK_LOCATIONInv ?x926)) )) (forall ((?x927 boogieU) (?S372 boogieU)) (! (=> (and (= (type ?x927) intType) (= (type ?S372) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parameters__IO_STACK_LOCATION ?S372) ?x927)) boolTrue) (= (U_2_bool (MapType0Select ?S372 (int_2_U (Parameters__IO_STACK_LOCATIONInv (U_2_int ?x927))))) boolTrue))) :pattern ((MapType0Select (x_S_Parameters__IO_STACK_LOCATION ?S372) ?x927)) )) (forall ((?x928 boogieU) (?S373 boogieU)) (! (=> (and (= (type ?x928) intType) (= (type ?S373) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parameters__IO_STACK_LOCATIONInv ?S373) ?x928)) boolTrue) (= (U_2_bool (MapType0Select ?S373 (int_2_U (Parameters__IO_STACK_LOCATION (U_2_int ?x928))))) boolTrue))) :pattern ((MapType0Select (x_S_Parameters__IO_STACK_LOCATIONInv ?S373) ?x928)) )) (forall ((?x929 boogieU) (?S374 boogieU)) (! (=> (and (= (type ?x929) intType) (= (type ?S374) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S374 ?x929)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parameters__IO_STACK_LOCATION ?S374) (int_2_U (Parameters__IO_STACK_LOCATION (U_2_int ?x929))))) boolTrue))) :pattern ((MapType0Select ?S374 ?x929) (x_S_Parameters__IO_STACK_LOCATION ?S374)) )) (forall ((?x930 boogieU) (?S375 boogieU)) (! (=> (and (= (type ?x930) intType) (= (type ?S375) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S375 ?x930)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parameters__IO_STACK_LOCATIONInv ?S375) (int_2_U (Parameters__IO_STACK_LOCATIONInv (U_2_int ?x930))))) boolTrue))) :pattern ((MapType0Select ?S375 ?x930) (x_S_Parameters__IO_STACK_LOCATIONInv ?S375)) )) (forall ((?x931 Int)) (! (= (Parameters__IO_STACK_LOCATION ?x931) (+ ?x931 4)) :pattern ((Parameters__IO_STACK_LOCATION ?x931)) )) (forall ((?x932 Int)) (! (= (Parameters__IO_STACK_LOCATIONInv ?x932) (- ?x932 4)) :pattern ((Parameters__IO_STACK_LOCATIONInv ?x932)) )) (forall ((?x933 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x933 4 1) (Parameters__IO_STACK_LOCATIONInv ?x933)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x933 4 1)) )) (forall ((?x934 Int)) (! (= (MINUS_LEFT_PTR ?x934 1 4) (Parameters__IO_STACK_LOCATIONInv ?x934)) :pattern ((MINUS_LEFT_PTR ?x934 1 4)) )) (forall ((?x935 Int)) (! (= (Parity__SERIAL_LINE_CONTROLInv (Parity__SERIAL_LINE_CONTROL ?x935)) ?x935) :pattern ((Parity__SERIAL_LINE_CONTROLInv (Parity__SERIAL_LINE_CONTROL ?x935))) )) (forall ((?x936 Int)) (! (= (Parity__SERIAL_LINE_CONTROL (Parity__SERIAL_LINE_CONTROLInv ?x936)) ?x936) :pattern ((Parity__SERIAL_LINE_CONTROLInv ?x936)) )) (forall ((?x937 boogieU) (?S376 boogieU)) (! (=> (and (= (type ?x937) intType) (= (type ?S376) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_LINE_CONTROL ?S376) ?x937)) boolTrue) (= (U_2_bool (MapType0Select ?S376 (int_2_U (Parity__SERIAL_LINE_CONTROLInv (U_2_int ?x937))))) boolTrue))) :pattern ((MapType0Select (x_S_Parity__SERIAL_LINE_CONTROL ?S376) ?x937)) )) (forall ((?x938 boogieU) (?S377 boogieU)) (! (=> (and (= (type ?x938) intType) (= (type ?S377) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_LINE_CONTROLInv ?S377) ?x938)) boolTrue) (= (U_2_bool (MapType0Select ?S377 (int_2_U (Parity__SERIAL_LINE_CONTROL (U_2_int ?x938))))) boolTrue))) :pattern ((MapType0Select (x_S_Parity__SERIAL_LINE_CONTROLInv ?S377) ?x938)) )) (forall ((?x939 boogieU) (?S378 boogieU)) (! (=> (and (= (type ?x939) intType) (= (type ?S378) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S378 ?x939)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_LINE_CONTROL ?S378) (int_2_U (Parity__SERIAL_LINE_CONTROL (U_2_int ?x939))))) boolTrue))) :pattern ((MapType0Select ?S378 ?x939) (x_S_Parity__SERIAL_LINE_CONTROL ?S378)) )) (forall ((?x940 boogieU) (?S379 boogieU)) (! (=> (and (= (type ?x940) intType) (= (type ?S379) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S379 ?x940)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_LINE_CONTROLInv ?S379) (int_2_U (Parity__SERIAL_LINE_CONTROLInv (U_2_int ?x940))))) boolTrue))) :pattern ((MapType0Select ?S379 ?x940) (x_S_Parity__SERIAL_LINE_CONTROLInv ?S379)) )) (forall ((?x941 Int)) (! (= (Parity__SERIAL_LINE_CONTROL ?x941) (+ ?x941 1)) :pattern ((Parity__SERIAL_LINE_CONTROL ?x941)) )) (forall ((?x942 Int)) (! (= (Parity__SERIAL_LINE_CONTROLInv ?x942) (- ?x942 1)) :pattern ((Parity__SERIAL_LINE_CONTROLInv ?x942)) )) (forall ((?x943 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x943 1 1) (Parity__SERIAL_LINE_CONTROLInv ?x943)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x943 1 1)) )) (forall ((?x944 Int)) (! (= (MINUS_LEFT_PTR ?x944 1 1) (Parity__SERIAL_LINE_CONTROLInv ?x944)) :pattern ((MINUS_LEFT_PTR ?x944 1 1)) )) (forall ((?x945 Int)) (! (= (Parity__SERIAL_WMI_COMM_DATAInv (Parity__SERIAL_WMI_COMM_DATA ?x945)) ?x945) :pattern ((Parity__SERIAL_WMI_COMM_DATAInv (Parity__SERIAL_WMI_COMM_DATA ?x945))) )) (forall ((?x946 Int)) (! (= (Parity__SERIAL_WMI_COMM_DATA (Parity__SERIAL_WMI_COMM_DATAInv ?x946)) ?x946) :pattern ((Parity__SERIAL_WMI_COMM_DATAInv ?x946)) )) (forall ((?x947 boogieU) (?S380 boogieU)) (! (=> (and (= (type ?x947) intType) (= (type ?S380) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_WMI_COMM_DATA ?S380) ?x947)) boolTrue) (= (U_2_bool (MapType0Select ?S380 (int_2_U (Parity__SERIAL_WMI_COMM_DATAInv (U_2_int ?x947))))) boolTrue))) :pattern ((MapType0Select (x_S_Parity__SERIAL_WMI_COMM_DATA ?S380) ?x947)) )) (forall ((?x948 boogieU) (?S381 boogieU)) (! (=> (and (= (type ?x948) intType) (= (type ?S381) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_WMI_COMM_DATAInv ?S381) ?x948)) boolTrue) (= (U_2_bool (MapType0Select ?S381 (int_2_U (Parity__SERIAL_WMI_COMM_DATA (U_2_int ?x948))))) boolTrue))) :pattern ((MapType0Select (x_S_Parity__SERIAL_WMI_COMM_DATAInv ?S381) ?x948)) )) (forall ((?x949 boogieU) (?S382 boogieU)) (! (=> (and (= (type ?x949) intType) (= (type ?S382) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S382 ?x949)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_WMI_COMM_DATA ?S382) (int_2_U (Parity__SERIAL_WMI_COMM_DATA (U_2_int ?x949))))) boolTrue))) :pattern ((MapType0Select ?S382 ?x949) (x_S_Parity__SERIAL_WMI_COMM_DATA ?S382)) )) (forall ((?x950 boogieU) (?S383 boogieU)) (! (=> (and (= (type ?x950) intType) (= (type ?S383) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S383 ?x950)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_WMI_COMM_DATAInv ?S383) (int_2_U (Parity__SERIAL_WMI_COMM_DATAInv (U_2_int ?x950))))) boolTrue))) :pattern ((MapType0Select ?S383 ?x950) (x_S_Parity__SERIAL_WMI_COMM_DATAInv ?S383)) )) (forall ((?x951 Int)) (! (= (Parity__SERIAL_WMI_COMM_DATA ?x951) (+ ?x951 8)) :pattern ((Parity__SERIAL_WMI_COMM_DATA ?x951)) )) (forall ((?x952 Int)) (! (= (Parity__SERIAL_WMI_COMM_DATAInv ?x952) (- ?x952 8)) :pattern ((Parity__SERIAL_WMI_COMM_DATAInv ?x952)) )) (forall ((?x953 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x953 8 1) (Parity__SERIAL_WMI_COMM_DATAInv ?x953)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x953 8 1)) )) (forall ((?x954 Int)) (! (= (MINUS_LEFT_PTR ?x954 1 8) (Parity__SERIAL_WMI_COMM_DATAInv ?x954)) :pattern ((MINUS_LEFT_PTR ?x954 1 8)) )) (forall ((?x955 Int)) (! (= (Pdo__SERIAL_DEVICE_EXTENSIONInv (Pdo__SERIAL_DEVICE_EXTENSION ?x955)) ?x955) :pattern ((Pdo__SERIAL_DEVICE_EXTENSIONInv (Pdo__SERIAL_DEVICE_EXTENSION ?x955))) )) (forall ((?x956 Int)) (! (= (Pdo__SERIAL_DEVICE_EXTENSION (Pdo__SERIAL_DEVICE_EXTENSIONInv ?x956)) ?x956) :pattern ((Pdo__SERIAL_DEVICE_EXTENSIONInv ?x956)) )) (forall ((?x957 boogieU) (?S384 boogieU)) (! (=> (and (= (type ?x957) intType) (= (type ?S384) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Pdo__SERIAL_DEVICE_EXTENSION ?S384) ?x957)) boolTrue) (= (U_2_bool (MapType0Select ?S384 (int_2_U (Pdo__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x957))))) boolTrue))) :pattern ((MapType0Select (x_S_Pdo__SERIAL_DEVICE_EXTENSION ?S384) ?x957)) )) (forall ((?x958 boogieU) (?S385 boogieU)) (! (=> (and (= (type ?x958) intType) (= (type ?S385) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv ?S385) ?x958)) boolTrue) (= (U_2_bool (MapType0Select ?S385 (int_2_U (Pdo__SERIAL_DEVICE_EXTENSION (U_2_int ?x958))))) boolTrue))) :pattern ((MapType0Select (x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv ?S385) ?x958)) )) (forall ((?x959 boogieU) (?S386 boogieU)) (! (=> (and (= (type ?x959) intType) (= (type ?S386) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S386 ?x959)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Pdo__SERIAL_DEVICE_EXTENSION ?S386) (int_2_U (Pdo__SERIAL_DEVICE_EXTENSION (U_2_int ?x959))))) boolTrue))) :pattern ((MapType0Select ?S386 ?x959) (x_S_Pdo__SERIAL_DEVICE_EXTENSION ?S386)) )) (forall ((?x960 boogieU) (?S387 boogieU)) (! (=> (and (= (type ?x960) intType) (= (type ?S387) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S387 ?x960)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv ?S387) (int_2_U (Pdo__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x960))))) boolTrue))) :pattern ((MapType0Select ?S387 ?x960) (x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv ?S387)) )) (forall ((?x961 Int)) (! (= (Pdo__SERIAL_DEVICE_EXTENSION ?x961) (+ ?x961 1432)) :pattern ((Pdo__SERIAL_DEVICE_EXTENSION ?x961)) )) (forall ((?x962 Int)) (! (= (Pdo__SERIAL_DEVICE_EXTENSIONInv ?x962) (- ?x962 1432)) :pattern ((Pdo__SERIAL_DEVICE_EXTENSIONInv ?x962)) )) (forall ((?x963 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x963 1432 1) (Pdo__SERIAL_DEVICE_EXTENSIONInv ?x963)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x963 1432 1)) )) (forall ((?x964 Int)) (! (= (MINUS_LEFT_PTR ?x964 1 1432) (Pdo__SERIAL_DEVICE_EXTENSIONInv ?x964)) :pattern ((MINUS_LEFT_PTR ?x964 1 1432)) )) (forall ((?x965 Int)) (! (= (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv (PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?x965)) ?x965) :pattern ((PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv (PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?x965))) )) (forall ((?x966 Int)) (! (= (PendingDpcEvent__SERIAL_DEVICE_EXTENSION (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?x966)) ?x966) :pattern ((PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?x966)) )) (forall ((?x967 boogieU) (?S388 boogieU)) (! (=> (and (= (type ?x967) intType) (= (type ?S388) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?S388) ?x967)) boolTrue) (= (U_2_bool (MapType0Select ?S388 (int_2_U (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x967))))) boolTrue))) :pattern ((MapType0Select (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?S388) ?x967)) )) (forall ((?x968 boogieU) (?S389 boogieU)) (! (=> (and (= (type ?x968) intType) (= (type ?S389) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?S389) ?x968)) boolTrue) (= (U_2_bool (MapType0Select ?S389 (int_2_U (PendingDpcEvent__SERIAL_DEVICE_EXTENSION (U_2_int ?x968))))) boolTrue))) :pattern ((MapType0Select (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?S389) ?x968)) )) (forall ((?x969 boogieU) (?S390 boogieU)) (! (=> (and (= (type ?x969) intType) (= (type ?S390) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S390 ?x969)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?S390) (int_2_U (PendingDpcEvent__SERIAL_DEVICE_EXTENSION (U_2_int ?x969))))) boolTrue))) :pattern ((MapType0Select ?S390 ?x969) (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?S390)) )) (forall ((?x970 boogieU) (?S391 boogieU)) (! (=> (and (= (type ?x970) intType) (= (type ?S391) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S391 ?x970)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?S391) (int_2_U (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x970))))) boolTrue))) :pattern ((MapType0Select ?S391 ?x970) (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?S391)) )) (forall ((?x971 Int)) (! (= (PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?x971) (+ ?x971 1620)) :pattern ((PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?x971)) )) (forall ((?x972 Int)) (! (= (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?x972) (- ?x972 1620)) :pattern ((PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?x972)) )) (forall ((?x973 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x973 1620 1) (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?x973)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x973 1620 1)) )) (forall ((?x974 Int)) (! (= (MINUS_LEFT_PTR ?x974 1 1620) (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?x974)) :pattern ((MINUS_LEFT_PTR ?x974 1 1620)) )) (forall ((?x975 Int)) (! (= (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv (PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?x975)) ?x975) :pattern ((PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv (PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?x975))) )) (forall ((?x976 Int)) (! (= (PendingIRPCnt__SERIAL_DEVICE_EXTENSION (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?x976)) ?x976) :pattern ((PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?x976)) )) (forall ((?x977 boogieU) (?S392 boogieU)) (! (=> (and (= (type ?x977) intType) (= (type ?S392) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?S392) ?x977)) boolTrue) (= (U_2_bool (MapType0Select ?S392 (int_2_U (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x977))))) boolTrue))) :pattern ((MapType0Select (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?S392) ?x977)) )) (forall ((?x978 boogieU) (?S393 boogieU)) (! (=> (and (= (type ?x978) intType) (= (type ?S393) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?S393) ?x978)) boolTrue) (= (U_2_bool (MapType0Select ?S393 (int_2_U (PendingIRPCnt__SERIAL_DEVICE_EXTENSION (U_2_int ?x978))))) boolTrue))) :pattern ((MapType0Select (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?S393) ?x978)) )) (forall ((?x979 boogieU) (?S394 boogieU)) (! (=> (and (= (type ?x979) intType) (= (type ?S394) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S394 ?x979)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?S394) (int_2_U (PendingIRPCnt__SERIAL_DEVICE_EXTENSION (U_2_int ?x979))))) boolTrue))) :pattern ((MapType0Select ?S394 ?x979) (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?S394)) )) (forall ((?x980 boogieU) (?S395 boogieU)) (! (=> (and (= (type ?x980) intType) (= (type ?S395) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S395 ?x980)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?S395) (int_2_U (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x980))))) boolTrue))) :pattern ((MapType0Select ?S395 ?x980) (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?S395)) )) (forall ((?x981 Int)) (! (= (PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?x981) (+ ?x981 1248)) :pattern ((PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?x981)) )) (forall ((?x982 Int)) (! (= (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?x982) (- ?x982 1248)) :pattern ((PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?x982)) )) (forall ((?x983 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x983 1248 1) (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?x983)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x983 1248 1)) )) (forall ((?x984 Int)) (! (= (MINUS_LEFT_PTR ?x984 1 1248) (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?x984)) :pattern ((MINUS_LEFT_PTR ?x984 1 1248)) )) (forall ((?x985 Int)) (! (= (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv (PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?x985)) ?x985) :pattern ((PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv (PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?x985))) )) (forall ((?x986 Int)) (! (= (PendingIRPEvent__SERIAL_DEVICE_EXTENSION (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?x986)) ?x986) :pattern ((PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?x986)) )) (forall ((?x987 boogieU) (?S396 boogieU)) (! (=> (and (= (type ?x987) intType) (= (type ?S396) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?S396) ?x987)) boolTrue) (= (U_2_bool (MapType0Select ?S396 (int_2_U (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x987))))) boolTrue))) :pattern ((MapType0Select (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?S396) ?x987)) )) (forall ((?x988 boogieU) (?S397 boogieU)) (! (=> (and (= (type ?x988) intType) (= (type ?S397) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?S397) ?x988)) boolTrue) (= (U_2_bool (MapType0Select ?S397 (int_2_U (PendingIRPEvent__SERIAL_DEVICE_EXTENSION (U_2_int ?x988))))) boolTrue))) :pattern ((MapType0Select (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?S397) ?x988)) )) (forall ((?x989 boogieU) (?S398 boogieU)) (! (=> (and (= (type ?x989) intType) (= (type ?S398) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S398 ?x989)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?S398) (int_2_U (PendingIRPEvent__SERIAL_DEVICE_EXTENSION (U_2_int ?x989))))) boolTrue))) :pattern ((MapType0Select ?S398 ?x989) (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?S398)) )) (forall ((?x990 boogieU) (?S399 boogieU)) (! (=> (and (= (type ?x990) intType) (= (type ?S399) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S399 ?x990)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?S399) (int_2_U (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x990))))) boolTrue))) :pattern ((MapType0Select ?S399 ?x990) (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?S399)) )) (forall ((?x991 Int)) (! (= (PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?x991) (+ ?x991 1256)) :pattern ((PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?x991)) )) (forall ((?x992 Int)) (! (= (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?x992) (- ?x992 1256)) :pattern ((PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?x992)) )) (forall ((?x993 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x993 1256 1) (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?x993)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x993 1256 1)) )) (forall ((?x994 Int)) (! (= (MINUS_LEFT_PTR ?x994 1 1256) (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?x994)) :pattern ((MINUS_LEFT_PTR ?x994 1 1256)) )) (forall ((?x995 Int)) (! (= (PowerState__SERIAL_DEVICE_EXTENSIONInv (PowerState__SERIAL_DEVICE_EXTENSION ?x995)) ?x995) :pattern ((PowerState__SERIAL_DEVICE_EXTENSIONInv (PowerState__SERIAL_DEVICE_EXTENSION ?x995))) )) (forall ((?x996 Int)) (! (= (PowerState__SERIAL_DEVICE_EXTENSION (PowerState__SERIAL_DEVICE_EXTENSIONInv ?x996)) ?x996) :pattern ((PowerState__SERIAL_DEVICE_EXTENSIONInv ?x996)) )) (forall ((?x997 boogieU) (?S400 boogieU)) (! (=> (and (= (type ?x997) intType) (= (type ?S400) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PowerState__SERIAL_DEVICE_EXTENSION ?S400) ?x997)) boolTrue) (= (U_2_bool (MapType0Select ?S400 (int_2_U (PowerState__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x997))))) boolTrue))) :pattern ((MapType0Select (x_S_PowerState__SERIAL_DEVICE_EXTENSION ?S400) ?x997)) )) (forall ((?x998 boogieU) (?S401 boogieU)) (! (=> (and (= (type ?x998) intType) (= (type ?S401) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv ?S401) ?x998)) boolTrue) (= (U_2_bool (MapType0Select ?S401 (int_2_U (PowerState__SERIAL_DEVICE_EXTENSION (U_2_int ?x998))))) boolTrue))) :pattern ((MapType0Select (x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv ?S401) ?x998)) )) (forall ((?x999 boogieU) (?S402 boogieU)) (! (=> (and (= (type ?x999) intType) (= (type ?S402) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S402 ?x999)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PowerState__SERIAL_DEVICE_EXTENSION ?S402) (int_2_U (PowerState__SERIAL_DEVICE_EXTENSION (U_2_int ?x999))))) boolTrue))) :pattern ((MapType0Select ?S402 ?x999) (x_S_PowerState__SERIAL_DEVICE_EXTENSION ?S402)) )) (forall ((?x1000 boogieU) (?S403 boogieU)) (! (=> (and (= (type ?x1000) intType) (= (type ?S403) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S403 ?x1000)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv ?S403) (int_2_U (PowerState__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1000))))) boolTrue))) :pattern ((MapType0Select ?S403 ?x1000) (x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv ?S403)) )) (forall ((?x1001 Int)) (! (= (PowerState__SERIAL_DEVICE_EXTENSION ?x1001) (+ ?x1001 1212)) :pattern ((PowerState__SERIAL_DEVICE_EXTENSION ?x1001)) )) (forall ((?x1002 Int)) (! (= (PowerState__SERIAL_DEVICE_EXTENSIONInv ?x1002) (- ?x1002 1212)) :pattern ((PowerState__SERIAL_DEVICE_EXTENSIONInv ?x1002)) )) (forall ((?x1003 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1003 1212 1) (PowerState__SERIAL_DEVICE_EXTENSIONInv ?x1003)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1003 1212 1)) )) (forall ((?x1004 Int)) (! (= (MINUS_LEFT_PTR ?x1004 1 1212) (PowerState__SERIAL_DEVICE_EXTENSIONInv ?x1004)) :pattern ((MINUS_LEFT_PTR ?x1004 1 1212)) )) (forall ((?x1005 Int)) (! (= (ProvCapabilities__SERIAL_COMMPROPInv (ProvCapabilities__SERIAL_COMMPROP ?x1005)) ?x1005) :pattern ((ProvCapabilities__SERIAL_COMMPROPInv (ProvCapabilities__SERIAL_COMMPROP ?x1005))) )) (forall ((?x1006 Int)) (! (= (ProvCapabilities__SERIAL_COMMPROP (ProvCapabilities__SERIAL_COMMPROPInv ?x1006)) ?x1006) :pattern ((ProvCapabilities__SERIAL_COMMPROPInv ?x1006)) )) (forall ((?x1007 boogieU) (?S404 boogieU)) (! (=> (and (= (type ?x1007) intType) (= (type ?S404) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ProvCapabilities__SERIAL_COMMPROP ?S404) ?x1007)) boolTrue) (= (U_2_bool (MapType0Select ?S404 (int_2_U (ProvCapabilities__SERIAL_COMMPROPInv (U_2_int ?x1007))))) boolTrue))) :pattern ((MapType0Select (x_S_ProvCapabilities__SERIAL_COMMPROP ?S404) ?x1007)) )) (forall ((?x1008 boogieU) (?S405 boogieU)) (! (=> (and (= (type ?x1008) intType) (= (type ?S405) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ProvCapabilities__SERIAL_COMMPROPInv ?S405) ?x1008)) boolTrue) (= (U_2_bool (MapType0Select ?S405 (int_2_U (ProvCapabilities__SERIAL_COMMPROP (U_2_int ?x1008))))) boolTrue))) :pattern ((MapType0Select (x_S_ProvCapabilities__SERIAL_COMMPROPInv ?S405) ?x1008)) )) (forall ((?x1009 boogieU) (?S406 boogieU)) (! (=> (and (= (type ?x1009) intType) (= (type ?S406) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S406 ?x1009)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ProvCapabilities__SERIAL_COMMPROP ?S406) (int_2_U (ProvCapabilities__SERIAL_COMMPROP (U_2_int ?x1009))))) boolTrue))) :pattern ((MapType0Select ?S406 ?x1009) (x_S_ProvCapabilities__SERIAL_COMMPROP ?S406)) )) (forall ((?x1010 boogieU) (?S407 boogieU)) (! (=> (and (= (type ?x1010) intType) (= (type ?S407) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S407 ?x1010)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ProvCapabilities__SERIAL_COMMPROPInv ?S407) (int_2_U (ProvCapabilities__SERIAL_COMMPROPInv (U_2_int ?x1010))))) boolTrue))) :pattern ((MapType0Select ?S407 ?x1010) (x_S_ProvCapabilities__SERIAL_COMMPROPInv ?S407)) )) (forall ((?x1011 Int)) (! (= (ProvCapabilities__SERIAL_COMMPROP ?x1011) (+ ?x1011 28)) :pattern ((ProvCapabilities__SERIAL_COMMPROP ?x1011)) )) (forall ((?x1012 Int)) (! (= (ProvCapabilities__SERIAL_COMMPROPInv ?x1012) (- ?x1012 28)) :pattern ((ProvCapabilities__SERIAL_COMMPROPInv ?x1012)) )) (forall ((?x1013 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1013 28 1) (ProvCapabilities__SERIAL_COMMPROPInv ?x1013)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1013 28 1)) )) (forall ((?x1014 Int)) (! (= (MINUS_LEFT_PTR ?x1014 1 28) (ProvCapabilities__SERIAL_COMMPROPInv ?x1014)) :pattern ((MINUS_LEFT_PTR ?x1014 1 28)) )) (forall ((?x1015 Int)) (! (= (ProvSubType__SERIAL_COMMPROPInv (ProvSubType__SERIAL_COMMPROP ?x1015)) ?x1015) :pattern ((ProvSubType__SERIAL_COMMPROPInv (ProvSubType__SERIAL_COMMPROP ?x1015))) )) (forall ((?x1016 Int)) (! (= (ProvSubType__SERIAL_COMMPROP (ProvSubType__SERIAL_COMMPROPInv ?x1016)) ?x1016) :pattern ((ProvSubType__SERIAL_COMMPROPInv ?x1016)) )) (forall ((?x1017 boogieU) (?S408 boogieU)) (! (=> (and (= (type ?x1017) intType) (= (type ?S408) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ProvSubType__SERIAL_COMMPROP ?S408) ?x1017)) boolTrue) (= (U_2_bool (MapType0Select ?S408 (int_2_U (ProvSubType__SERIAL_COMMPROPInv (U_2_int ?x1017))))) boolTrue))) :pattern ((MapType0Select (x_S_ProvSubType__SERIAL_COMMPROP ?S408) ?x1017)) )) (forall ((?x1018 boogieU) (?S409 boogieU)) (! (=> (and (= (type ?x1018) intType) (= (type ?S409) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ProvSubType__SERIAL_COMMPROPInv ?S409) ?x1018)) boolTrue) (= (U_2_bool (MapType0Select ?S409 (int_2_U (ProvSubType__SERIAL_COMMPROP (U_2_int ?x1018))))) boolTrue))) :pattern ((MapType0Select (x_S_ProvSubType__SERIAL_COMMPROPInv ?S409) ?x1018)) )) (forall ((?x1019 boogieU) (?S410 boogieU)) (! (=> (and (= (type ?x1019) intType) (= (type ?S410) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S410 ?x1019)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ProvSubType__SERIAL_COMMPROP ?S410) (int_2_U (ProvSubType__SERIAL_COMMPROP (U_2_int ?x1019))))) boolTrue))) :pattern ((MapType0Select ?S410 ?x1019) (x_S_ProvSubType__SERIAL_COMMPROP ?S410)) )) (forall ((?x1020 boogieU) (?S411 boogieU)) (! (=> (and (= (type ?x1020) intType) (= (type ?S411) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S411 ?x1020)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ProvSubType__SERIAL_COMMPROPInv ?S411) (int_2_U (ProvSubType__SERIAL_COMMPROPInv (U_2_int ?x1020))))) boolTrue))) :pattern ((MapType0Select ?S411 ?x1020) (x_S_ProvSubType__SERIAL_COMMPROPInv ?S411)) )) (forall ((?x1021 Int)) (! (= (ProvSubType__SERIAL_COMMPROP ?x1021) (+ ?x1021 24)) :pattern ((ProvSubType__SERIAL_COMMPROP ?x1021)) )) (forall ((?x1022 Int)) (! (= (ProvSubType__SERIAL_COMMPROPInv ?x1022) (- ?x1022 24)) :pattern ((ProvSubType__SERIAL_COMMPROPInv ?x1022)) )) (forall ((?x1023 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1023 24 1) (ProvSubType__SERIAL_COMMPROPInv ?x1023)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1023 24 1)) )) (forall ((?x1024 Int)) (! (= (MINUS_LEFT_PTR ?x1024 1 24) (ProvSubType__SERIAL_COMMPROPInv ?x1024)) :pattern ((MINUS_LEFT_PTR ?x1024 1 24)) )) (forall ((?x1025 Int)) (! (= (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv (PurgeQueue__SERIAL_DEVICE_EXTENSION ?x1025)) ?x1025) :pattern ((PurgeQueue__SERIAL_DEVICE_EXTENSIONInv (PurgeQueue__SERIAL_DEVICE_EXTENSION ?x1025))) )) (forall ((?x1026 Int)) (! (= (PurgeQueue__SERIAL_DEVICE_EXTENSION (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?x1026)) ?x1026) :pattern ((PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?x1026)) )) (forall ((?x1027 boogieU) (?S412 boogieU)) (! (=> (and (= (type ?x1027) intType) (= (type ?S412) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION ?S412) ?x1027)) boolTrue) (= (U_2_bool (MapType0Select ?S412 (int_2_U (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1027))))) boolTrue))) :pattern ((MapType0Select (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION ?S412) ?x1027)) )) (forall ((?x1028 boogieU) (?S413 boogieU)) (! (=> (and (= (type ?x1028) intType) (= (type ?S413) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?S413) ?x1028)) boolTrue) (= (U_2_bool (MapType0Select ?S413 (int_2_U (PurgeQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1028))))) boolTrue))) :pattern ((MapType0Select (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?S413) ?x1028)) )) (forall ((?x1029 boogieU) (?S414 boogieU)) (! (=> (and (= (type ?x1029) intType) (= (type ?S414) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S414 ?x1029)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION ?S414) (int_2_U (PurgeQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1029))))) boolTrue))) :pattern ((MapType0Select ?S414 ?x1029) (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION ?S414)) )) (forall ((?x1030 boogieU) (?S415 boogieU)) (! (=> (and (= (type ?x1030) intType) (= (type ?S415) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S415 ?x1030)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?S415) (int_2_U (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1030))))) boolTrue))) :pattern ((MapType0Select ?S415 ?x1030) (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?S415)) )) (forall ((?x1031 Int)) (! (= (PurgeQueue__SERIAL_DEVICE_EXTENSION ?x1031) (+ ?x1031 180)) :pattern ((PurgeQueue__SERIAL_DEVICE_EXTENSION ?x1031)) )) (forall ((?x1032 Int)) (! (= (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?x1032) (- ?x1032 180)) :pattern ((PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?x1032)) )) (forall ((?x1033 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1033 180 1) (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?x1033)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1033 180 1)) )) (forall ((?x1034 Int)) (! (= (MINUS_LEFT_PTR ?x1034 1 180) (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?x1034)) :pattern ((MINUS_LEFT_PTR ?x1034 1 180)) )) (forall ((?x1035 Int)) (! (= (QuadPart__LARGE_INTEGERInv (QuadPart__LARGE_INTEGER ?x1035)) ?x1035) :pattern ((QuadPart__LARGE_INTEGERInv (QuadPart__LARGE_INTEGER ?x1035))) )) (forall ((?x1036 Int)) (! (= (QuadPart__LARGE_INTEGER (QuadPart__LARGE_INTEGERInv ?x1036)) ?x1036) :pattern ((QuadPart__LARGE_INTEGERInv ?x1036)) )) (forall ((?x1037 boogieU) (?S416 boogieU)) (! (=> (and (= (type ?x1037) intType) (= (type ?S416) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_QuadPart__LARGE_INTEGER ?S416) ?x1037)) boolTrue) (= (U_2_bool (MapType0Select ?S416 (int_2_U (QuadPart__LARGE_INTEGERInv (U_2_int ?x1037))))) boolTrue))) :pattern ((MapType0Select (x_S_QuadPart__LARGE_INTEGER ?S416) ?x1037)) )) (forall ((?x1038 boogieU) (?S417 boogieU)) (! (=> (and (= (type ?x1038) intType) (= (type ?S417) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_QuadPart__LARGE_INTEGERInv ?S417) ?x1038)) boolTrue) (= (U_2_bool (MapType0Select ?S417 (int_2_U (QuadPart__LARGE_INTEGER (U_2_int ?x1038))))) boolTrue))) :pattern ((MapType0Select (x_S_QuadPart__LARGE_INTEGERInv ?S417) ?x1038)) )) (forall ((?x1039 boogieU) (?S418 boogieU)) (! (=> (and (= (type ?x1039) intType) (= (type ?S418) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S418 ?x1039)) boolTrue) (= (U_2_bool (MapType0Select (x_S_QuadPart__LARGE_INTEGER ?S418) (int_2_U (QuadPart__LARGE_INTEGER (U_2_int ?x1039))))) boolTrue))) :pattern ((MapType0Select ?S418 ?x1039) (x_S_QuadPart__LARGE_INTEGER ?S418)) )) (forall ((?x1040 boogieU) (?S419 boogieU)) (! (=> (and (= (type ?x1040) intType) (= (type ?S419) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S419 ?x1040)) boolTrue) (= (U_2_bool (MapType0Select (x_S_QuadPart__LARGE_INTEGERInv ?S419) (int_2_U (QuadPart__LARGE_INTEGERInv (U_2_int ?x1040))))) boolTrue))) :pattern ((MapType0Select ?S419 ?x1040) (x_S_QuadPart__LARGE_INTEGERInv ?S419)) )) (forall ((?x1041 Int)) (! (= (QuadPart__LARGE_INTEGER ?x1041) (+ ?x1041 0)) :pattern ((QuadPart__LARGE_INTEGER ?x1041)) )) (forall ((?x1042 Int)) (! (= (QuadPart__LARGE_INTEGERInv ?x1042) (- ?x1042 0)) :pattern ((QuadPart__LARGE_INTEGERInv ?x1042)) )) (forall ((?x1043 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1043 0 1) (QuadPart__LARGE_INTEGERInv ?x1043)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1043 0 1)) )) (forall ((?x1044 Int)) (! (= (MINUS_LEFT_PTR ?x1044 1 0) (QuadPart__LARGE_INTEGERInv ?x1044)) :pattern ((MINUS_LEFT_PTR ?x1044 1 0)) )) (forall ((?x1045 Int)) (! (= (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv (ReadByIsr__SERIAL_DEVICE_EXTENSION ?x1045)) ?x1045) :pattern ((ReadByIsr__SERIAL_DEVICE_EXTENSIONInv (ReadByIsr__SERIAL_DEVICE_EXTENSION ?x1045))) )) (forall ((?x1046 Int)) (! (= (ReadByIsr__SERIAL_DEVICE_EXTENSION (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?x1046)) ?x1046) :pattern ((ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?x1046)) )) (forall ((?x1047 boogieU) (?S420 boogieU)) (! (=> (and (= (type ?x1047) intType) (= (type ?S420) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION ?S420) ?x1047)) boolTrue) (= (U_2_bool (MapType0Select ?S420 (int_2_U (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1047))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION ?S420) ?x1047)) )) (forall ((?x1048 boogieU) (?S421 boogieU)) (! (=> (and (= (type ?x1048) intType) (= (type ?S421) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?S421) ?x1048)) boolTrue) (= (U_2_bool (MapType0Select ?S421 (int_2_U (ReadByIsr__SERIAL_DEVICE_EXTENSION (U_2_int ?x1048))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?S421) ?x1048)) )) (forall ((?x1049 boogieU) (?S422 boogieU)) (! (=> (and (= (type ?x1049) intType) (= (type ?S422) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S422 ?x1049)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION ?S422) (int_2_U (ReadByIsr__SERIAL_DEVICE_EXTENSION (U_2_int ?x1049))))) boolTrue))) :pattern ((MapType0Select ?S422 ?x1049) (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION ?S422)) )) (forall ((?x1050 boogieU) (?S423 boogieU)) (! (=> (and (= (type ?x1050) intType) (= (type ?S423) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S423 ?x1050)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?S423) (int_2_U (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1050))))) boolTrue))) :pattern ((MapType0Select ?S423 ?x1050) (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?S423)) )) (forall ((?x1051 Int)) (! (= (ReadByIsr__SERIAL_DEVICE_EXTENSION ?x1051) (+ ?x1051 296)) :pattern ((ReadByIsr__SERIAL_DEVICE_EXTENSION ?x1051)) )) (forall ((?x1052 Int)) (! (= (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?x1052) (- ?x1052 296)) :pattern ((ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?x1052)) )) (forall ((?x1053 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1053 296 1) (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?x1053)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1053 296 1)) )) (forall ((?x1054 Int)) (! (= (MINUS_LEFT_PTR ?x1054 1 296) (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?x1054)) :pattern ((MINUS_LEFT_PTR ?x1054 1 296)) )) (forall ((?x1055 Int)) (! (= (ReadIntervalTimeout__SERIAL_TIMEOUTSInv (ReadIntervalTimeout__SERIAL_TIMEOUTS ?x1055)) ?x1055) :pattern ((ReadIntervalTimeout__SERIAL_TIMEOUTSInv (ReadIntervalTimeout__SERIAL_TIMEOUTS ?x1055))) )) (forall ((?x1056 Int)) (! (= (ReadIntervalTimeout__SERIAL_TIMEOUTS (ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?x1056)) ?x1056) :pattern ((ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?x1056)) )) (forall ((?x1057 boogieU) (?S424 boogieU)) (! (=> (and (= (type ?x1057) intType) (= (type ?S424) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS ?S424) ?x1057)) boolTrue) (= (U_2_bool (MapType0Select ?S424 (int_2_U (ReadIntervalTimeout__SERIAL_TIMEOUTSInv (U_2_int ?x1057))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS ?S424) ?x1057)) )) (forall ((?x1058 boogieU) (?S425 boogieU)) (! (=> (and (= (type ?x1058) intType) (= (type ?S425) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?S425) ?x1058)) boolTrue) (= (U_2_bool (MapType0Select ?S425 (int_2_U (ReadIntervalTimeout__SERIAL_TIMEOUTS (U_2_int ?x1058))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?S425) ?x1058)) )) (forall ((?x1059 boogieU) (?S426 boogieU)) (! (=> (and (= (type ?x1059) intType) (= (type ?S426) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S426 ?x1059)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS ?S426) (int_2_U (ReadIntervalTimeout__SERIAL_TIMEOUTS (U_2_int ?x1059))))) boolTrue))) :pattern ((MapType0Select ?S426 ?x1059) (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS ?S426)) )) (forall ((?x1060 boogieU) (?S427 boogieU)) (! (=> (and (= (type ?x1060) intType) (= (type ?S427) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S427 ?x1060)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?S427) (int_2_U (ReadIntervalTimeout__SERIAL_TIMEOUTSInv (U_2_int ?x1060))))) boolTrue))) :pattern ((MapType0Select ?S427 ?x1060) (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?S427)) )) (forall ((?x1061 Int)) (! (= (ReadIntervalTimeout__SERIAL_TIMEOUTS ?x1061) (+ ?x1061 0)) :pattern ((ReadIntervalTimeout__SERIAL_TIMEOUTS ?x1061)) )) (forall ((?x1062 Int)) (! (= (ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?x1062) (- ?x1062 0)) :pattern ((ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?x1062)) )) (forall ((?x1063 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1063 0 1) (ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?x1063)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1063 0 1)) )) (forall ((?x1064 Int)) (! (= (MINUS_LEFT_PTR ?x1064 1 0) (ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?x1064)) :pattern ((MINUS_LEFT_PTR ?x1064 1 0)) )) (forall ((?x1065 Int)) (! (= (ReadQueue__SERIAL_DEVICE_EXTENSIONInv (ReadQueue__SERIAL_DEVICE_EXTENSION ?x1065)) ?x1065) :pattern ((ReadQueue__SERIAL_DEVICE_EXTENSIONInv (ReadQueue__SERIAL_DEVICE_EXTENSION ?x1065))) )) (forall ((?x1066 Int)) (! (= (ReadQueue__SERIAL_DEVICE_EXTENSION (ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?x1066)) ?x1066) :pattern ((ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?x1066)) )) (forall ((?x1067 boogieU) (?S428 boogieU)) (! (=> (and (= (type ?x1067) intType) (= (type ?S428) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadQueue__SERIAL_DEVICE_EXTENSION ?S428) ?x1067)) boolTrue) (= (U_2_bool (MapType0Select ?S428 (int_2_U (ReadQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1067))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadQueue__SERIAL_DEVICE_EXTENSION ?S428) ?x1067)) )) (forall ((?x1068 boogieU) (?S429 boogieU)) (! (=> (and (= (type ?x1068) intType) (= (type ?S429) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?S429) ?x1068)) boolTrue) (= (U_2_bool (MapType0Select ?S429 (int_2_U (ReadQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1068))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?S429) ?x1068)) )) (forall ((?x1069 boogieU) (?S430 boogieU)) (! (=> (and (= (type ?x1069) intType) (= (type ?S430) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S430 ?x1069)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadQueue__SERIAL_DEVICE_EXTENSION ?S430) (int_2_U (ReadQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1069))))) boolTrue))) :pattern ((MapType0Select ?S430 ?x1069) (x_S_ReadQueue__SERIAL_DEVICE_EXTENSION ?S430)) )) (forall ((?x1070 boogieU) (?S431 boogieU)) (! (=> (and (= (type ?x1070) intType) (= (type ?S431) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S431 ?x1070)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?S431) (int_2_U (ReadQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1070))))) boolTrue))) :pattern ((MapType0Select ?S431 ?x1070) (x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?S431)) )) (forall ((?x1071 Int)) (! (= (ReadQueue__SERIAL_DEVICE_EXTENSION ?x1071) (+ ?x1071 156)) :pattern ((ReadQueue__SERIAL_DEVICE_EXTENSION ?x1071)) )) (forall ((?x1072 Int)) (! (= (ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?x1072) (- ?x1072 156)) :pattern ((ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?x1072)) )) (forall ((?x1073 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1073 156 1) (ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?x1073)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1073 156 1)) )) (forall ((?x1074 Int)) (! (= (MINUS_LEFT_PTR ?x1074 1 156) (ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?x1074)) :pattern ((MINUS_LEFT_PTR ?x1074 1 156)) )) (forall ((?x1075 Int)) (! (= (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?x1075)) ?x1075) :pattern ((ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?x1075))) )) (forall ((?x1076 Int)) (! (= (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1076)) ?x1076) :pattern ((ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1076)) )) (forall ((?x1077 boogieU) (?S432 boogieU)) (! (=> (and (= (type ?x1077) intType) (= (type ?S432) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?S432) ?x1077)) boolTrue) (= (U_2_bool (MapType0Select ?S432 (int_2_U (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1077))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?S432) ?x1077)) )) (forall ((?x1078 boogieU) (?S433 boogieU)) (! (=> (and (= (type ?x1078) intType) (= (type ?S433) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?S433) ?x1078)) boolTrue) (= (U_2_bool (MapType0Select ?S433 (int_2_U (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1078))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?S433) ?x1078)) )) (forall ((?x1079 boogieU) (?S434 boogieU)) (! (=> (and (= (type ?x1079) intType) (= (type ?S434) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S434 ?x1079)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?S434) (int_2_U (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1079))))) boolTrue))) :pattern ((MapType0Select ?S434 ?x1079) (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?S434)) )) (forall ((?x1080 boogieU) (?S435 boogieU)) (! (=> (and (= (type ?x1080) intType) (= (type ?S435) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S435 ?x1080)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?S435) (int_2_U (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1080))))) boolTrue))) :pattern ((MapType0Select ?S435 ?x1080) (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?S435)) )) (forall ((?x1081 Int)) (! (= (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?x1081) (+ ?x1081 1008)) :pattern ((ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?x1081)) )) (forall ((?x1082 Int)) (! (= (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1082) (- ?x1082 1008)) :pattern ((ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1082)) )) (forall ((?x1083 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1083 1008 1) (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1083)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1083 1008 1)) )) (forall ((?x1084 Int)) (! (= (MINUS_LEFT_PTR ?x1084 1 1008) (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1084)) :pattern ((MINUS_LEFT_PTR ?x1084 1 1008)) )) (forall ((?x1085 Int)) (! (= (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1085)) ?x1085) :pattern ((ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1085))) )) (forall ((?x1086 Int)) (! (= (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1086)) ?x1086) :pattern ((ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1086)) )) (forall ((?x1087 boogieU) (?S436 boogieU)) (! (=> (and (= (type ?x1087) intType) (= (type ?S436) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S436) ?x1087)) boolTrue) (= (U_2_bool (MapType0Select ?S436 (int_2_U (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1087))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S436) ?x1087)) )) (forall ((?x1088 boogieU) (?S437 boogieU)) (! (=> (and (= (type ?x1088) intType) (= (type ?S437) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S437) ?x1088)) boolTrue) (= (U_2_bool (MapType0Select ?S437 (int_2_U (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1088))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S437) ?x1088)) )) (forall ((?x1089 boogieU) (?S438 boogieU)) (! (=> (and (= (type ?x1089) intType) (= (type ?S438) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S438 ?x1089)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S438) (int_2_U (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1089))))) boolTrue))) :pattern ((MapType0Select ?S438 ?x1089) (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S438)) )) (forall ((?x1090 boogieU) (?S439 boogieU)) (! (=> (and (= (type ?x1090) intType) (= (type ?S439) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S439 ?x1090)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S439) (int_2_U (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1090))))) boolTrue))) :pattern ((MapType0Select ?S439 ?x1090) (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S439)) )) (forall ((?x1091 Int)) (! (= (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1091) (+ ?x1091 968)) :pattern ((ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1091)) )) (forall ((?x1092 Int)) (! (= (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1092) (- ?x1092 968)) :pattern ((ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1092)) )) (forall ((?x1093 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1093 968 1) (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1093)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1093 968 1)) )) (forall ((?x1094 Int)) (! (= (MINUS_LEFT_PTR ?x1094 1 968) (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1094)) :pattern ((MINUS_LEFT_PTR ?x1094 1 968)) )) (forall ((?x1095 Int)) (! (= (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv (ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1095)) ?x1095) :pattern ((ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv (ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1095))) )) (forall ((?x1096 Int)) (! (= (ReadTotalTimeoutConstant__SERIAL_TIMEOUTS (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1096)) ?x1096) :pattern ((ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1096)) )) (forall ((?x1097 boogieU) (?S440 boogieU)) (! (=> (and (= (type ?x1097) intType) (= (type ?S440) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?S440) ?x1097)) boolTrue) (= (U_2_bool (MapType0Select ?S440 (int_2_U (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv (U_2_int ?x1097))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?S440) ?x1097)) )) (forall ((?x1098 boogieU) (?S441 boogieU)) (! (=> (and (= (type ?x1098) intType) (= (type ?S441) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S441) ?x1098)) boolTrue) (= (U_2_bool (MapType0Select ?S441 (int_2_U (ReadTotalTimeoutConstant__SERIAL_TIMEOUTS (U_2_int ?x1098))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S441) ?x1098)) )) (forall ((?x1099 boogieU) (?S442 boogieU)) (! (=> (and (= (type ?x1099) intType) (= (type ?S442) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S442 ?x1099)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?S442) (int_2_U (ReadTotalTimeoutConstant__SERIAL_TIMEOUTS (U_2_int ?x1099))))) boolTrue))) :pattern ((MapType0Select ?S442 ?x1099) (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?S442)) )) (forall ((?x1100 boogieU) (?S443 boogieU)) (! (=> (and (= (type ?x1100) intType) (= (type ?S443) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S443 ?x1100)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S443) (int_2_U (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv (U_2_int ?x1100))))) boolTrue))) :pattern ((MapType0Select ?S443 ?x1100) (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S443)) )) (forall ((?x1101 Int)) (! (= (ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1101) (+ ?x1101 8)) :pattern ((ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1101)) )) (forall ((?x1102 Int)) (! (= (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1102) (- ?x1102 8)) :pattern ((ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1102)) )) (forall ((?x1103 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1103 8 1) (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1103)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1103 8 1)) )) (forall ((?x1104 Int)) (! (= (MINUS_LEFT_PTR ?x1104 1 8) (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1104)) :pattern ((MINUS_LEFT_PTR ?x1104 1 8)) )) (forall ((?x1105 Int)) (! (= (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1105)) ?x1105) :pattern ((ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1105))) )) (forall ((?x1106 Int)) (! (= (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1106)) ?x1106) :pattern ((ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1106)) )) (forall ((?x1107 boogieU) (?S444 boogieU)) (! (=> (and (= (type ?x1107) intType) (= (type ?S444) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S444) ?x1107)) boolTrue) (= (U_2_bool (MapType0Select ?S444 (int_2_U (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (U_2_int ?x1107))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S444) ?x1107)) )) (forall ((?x1108 boogieU) (?S445 boogieU)) (! (=> (and (= (type ?x1108) intType) (= (type ?S445) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S445) ?x1108)) boolTrue) (= (U_2_bool (MapType0Select ?S445 (int_2_U (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS (U_2_int ?x1108))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S445) ?x1108)) )) (forall ((?x1109 boogieU) (?S446 boogieU)) (! (=> (and (= (type ?x1109) intType) (= (type ?S446) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S446 ?x1109)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S446) (int_2_U (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS (U_2_int ?x1109))))) boolTrue))) :pattern ((MapType0Select ?S446 ?x1109) (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S446)) )) (forall ((?x1110 boogieU) (?S447 boogieU)) (! (=> (and (= (type ?x1110) intType) (= (type ?S447) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S447 ?x1110)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S447) (int_2_U (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (U_2_int ?x1110))))) boolTrue))) :pattern ((MapType0Select ?S447 ?x1110) (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S447)) )) (forall ((?x1111 Int)) (! (= (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1111) (+ ?x1111 4)) :pattern ((ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1111)) )) (forall ((?x1112 Int)) (! (= (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1112) (- ?x1112 4)) :pattern ((ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1112)) )) (forall ((?x1113 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1113 4 1) (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1113)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1113 4 1)) )) (forall ((?x1114 Int)) (! (= (MINUS_LEFT_PTR ?x1114 1 4) (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1114)) :pattern ((MINUS_LEFT_PTR ?x1114 1 4)) )) (forall ((?x1115 Int)) (! (= (Read___unnamed_16_57edbc3aInv (Read___unnamed_16_57edbc3a ?x1115)) ?x1115) :pattern ((Read___unnamed_16_57edbc3aInv (Read___unnamed_16_57edbc3a ?x1115))) )) (forall ((?x1116 Int)) (! (= (Read___unnamed_16_57edbc3a (Read___unnamed_16_57edbc3aInv ?x1116)) ?x1116) :pattern ((Read___unnamed_16_57edbc3aInv ?x1116)) )) (forall ((?x1117 boogieU) (?S448 boogieU)) (! (=> (and (= (type ?x1117) intType) (= (type ?S448) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Read___unnamed_16_57edbc3a ?S448) ?x1117)) boolTrue) (= (U_2_bool (MapType0Select ?S448 (int_2_U (Read___unnamed_16_57edbc3aInv (U_2_int ?x1117))))) boolTrue))) :pattern ((MapType0Select (x_S_Read___unnamed_16_57edbc3a ?S448) ?x1117)) )) (forall ((?x1118 boogieU) (?S449 boogieU)) (! (=> (and (= (type ?x1118) intType) (= (type ?S449) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Read___unnamed_16_57edbc3aInv ?S449) ?x1118)) boolTrue) (= (U_2_bool (MapType0Select ?S449 (int_2_U (Read___unnamed_16_57edbc3a (U_2_int ?x1118))))) boolTrue))) :pattern ((MapType0Select (x_S_Read___unnamed_16_57edbc3aInv ?S449) ?x1118)) )) (forall ((?x1119 boogieU) (?S450 boogieU)) (! (=> (and (= (type ?x1119) intType) (= (type ?S450) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S450 ?x1119)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Read___unnamed_16_57edbc3a ?S450) (int_2_U (Read___unnamed_16_57edbc3a (U_2_int ?x1119))))) boolTrue))) :pattern ((MapType0Select ?S450 ?x1119) (x_S_Read___unnamed_16_57edbc3a ?S450)) )) (forall ((?x1120 boogieU) (?S451 boogieU)) (! (=> (and (= (type ?x1120) intType) (= (type ?S451) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S451 ?x1120)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Read___unnamed_16_57edbc3aInv ?S451) (int_2_U (Read___unnamed_16_57edbc3aInv (U_2_int ?x1120))))) boolTrue))) :pattern ((MapType0Select ?S451 ?x1120) (x_S_Read___unnamed_16_57edbc3aInv ?S451)) )) (forall ((?x1121 Int)) (! (= (Read___unnamed_16_57edbc3a ?x1121) (+ ?x1121 0)) :pattern ((Read___unnamed_16_57edbc3a ?x1121)) )) (forall ((?x1122 Int)) (! (= (Read___unnamed_16_57edbc3aInv ?x1122) (- ?x1122 0)) :pattern ((Read___unnamed_16_57edbc3aInv ?x1122)) )) (forall ((?x1123 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1123 0 1) (Read___unnamed_16_57edbc3aInv ?x1123)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1123 0 1)) )) (forall ((?x1124 Int)) (! (= (MINUS_LEFT_PTR ?x1124 1 0) (Read___unnamed_16_57edbc3aInv ?x1124)) :pattern ((MINUS_LEFT_PTR ?x1124 1 0)) )) (forall ((?x1125 Int)) (! (= (ServiceMask__SERIAL_COMMPROPInv (ServiceMask__SERIAL_COMMPROP ?x1125)) ?x1125) :pattern ((ServiceMask__SERIAL_COMMPROPInv (ServiceMask__SERIAL_COMMPROP ?x1125))) )) (forall ((?x1126 Int)) (! (= (ServiceMask__SERIAL_COMMPROP (ServiceMask__SERIAL_COMMPROPInv ?x1126)) ?x1126) :pattern ((ServiceMask__SERIAL_COMMPROPInv ?x1126)) )) (forall ((?x1127 boogieU) (?S452 boogieU)) (! (=> (and (= (type ?x1127) intType) (= (type ?S452) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ServiceMask__SERIAL_COMMPROP ?S452) ?x1127)) boolTrue) (= (U_2_bool (MapType0Select ?S452 (int_2_U (ServiceMask__SERIAL_COMMPROPInv (U_2_int ?x1127))))) boolTrue))) :pattern ((MapType0Select (x_S_ServiceMask__SERIAL_COMMPROP ?S452) ?x1127)) )) (forall ((?x1128 boogieU) (?S453 boogieU)) (! (=> (and (= (type ?x1128) intType) (= (type ?S453) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ServiceMask__SERIAL_COMMPROPInv ?S453) ?x1128)) boolTrue) (= (U_2_bool (MapType0Select ?S453 (int_2_U (ServiceMask__SERIAL_COMMPROP (U_2_int ?x1128))))) boolTrue))) :pattern ((MapType0Select (x_S_ServiceMask__SERIAL_COMMPROPInv ?S453) ?x1128)) )) (forall ((?x1129 boogieU) (?S454 boogieU)) (! (=> (and (= (type ?x1129) intType) (= (type ?S454) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S454 ?x1129)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ServiceMask__SERIAL_COMMPROP ?S454) (int_2_U (ServiceMask__SERIAL_COMMPROP (U_2_int ?x1129))))) boolTrue))) :pattern ((MapType0Select ?S454 ?x1129) (x_S_ServiceMask__SERIAL_COMMPROP ?S454)) )) (forall ((?x1130 boogieU) (?S455 boogieU)) (! (=> (and (= (type ?x1130) intType) (= (type ?S455) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S455 ?x1130)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ServiceMask__SERIAL_COMMPROPInv ?S455) (int_2_U (ServiceMask__SERIAL_COMMPROPInv (U_2_int ?x1130))))) boolTrue))) :pattern ((MapType0Select ?S455 ?x1130) (x_S_ServiceMask__SERIAL_COMMPROPInv ?S455)) )) (forall ((?x1131 Int)) (! (= (ServiceMask__SERIAL_COMMPROP ?x1131) (+ ?x1131 4)) :pattern ((ServiceMask__SERIAL_COMMPROP ?x1131)) )) (forall ((?x1132 Int)) (! (= (ServiceMask__SERIAL_COMMPROPInv ?x1132) (- ?x1132 4)) :pattern ((ServiceMask__SERIAL_COMMPROPInv ?x1132)) )) (forall ((?x1133 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1133 4 1) (ServiceMask__SERIAL_COMMPROPInv ?x1133)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1133 4 1)) )) (forall ((?x1134 Int)) (! (= (MINUS_LEFT_PTR ?x1134 1 4) (ServiceMask__SERIAL_COMMPROPInv ?x1134)) :pattern ((MINUS_LEFT_PTR ?x1134 1 4)) )) (forall ((?x1135 Int)) (! (= (SettableBaud__SERIAL_COMMPROPInv (SettableBaud__SERIAL_COMMPROP ?x1135)) ?x1135) :pattern ((SettableBaud__SERIAL_COMMPROPInv (SettableBaud__SERIAL_COMMPROP ?x1135))) )) (forall ((?x1136 Int)) (! (= (SettableBaud__SERIAL_COMMPROP (SettableBaud__SERIAL_COMMPROPInv ?x1136)) ?x1136) :pattern ((SettableBaud__SERIAL_COMMPROPInv ?x1136)) )) (forall ((?x1137 boogieU) (?S456 boogieU)) (! (=> (and (= (type ?x1137) intType) (= (type ?S456) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableBaud__SERIAL_COMMPROP ?S456) ?x1137)) boolTrue) (= (U_2_bool (MapType0Select ?S456 (int_2_U (SettableBaud__SERIAL_COMMPROPInv (U_2_int ?x1137))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableBaud__SERIAL_COMMPROP ?S456) ?x1137)) )) (forall ((?x1138 boogieU) (?S457 boogieU)) (! (=> (and (= (type ?x1138) intType) (= (type ?S457) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableBaud__SERIAL_COMMPROPInv ?S457) ?x1138)) boolTrue) (= (U_2_bool (MapType0Select ?S457 (int_2_U (SettableBaud__SERIAL_COMMPROP (U_2_int ?x1138))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableBaud__SERIAL_COMMPROPInv ?S457) ?x1138)) )) (forall ((?x1139 boogieU) (?S458 boogieU)) (! (=> (and (= (type ?x1139) intType) (= (type ?S458) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S458 ?x1139)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableBaud__SERIAL_COMMPROP ?S458) (int_2_U (SettableBaud__SERIAL_COMMPROP (U_2_int ?x1139))))) boolTrue))) :pattern ((MapType0Select ?S458 ?x1139) (x_S_SettableBaud__SERIAL_COMMPROP ?S458)) )) (forall ((?x1140 boogieU) (?S459 boogieU)) (! (=> (and (= (type ?x1140) intType) (= (type ?S459) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S459 ?x1140)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableBaud__SERIAL_COMMPROPInv ?S459) (int_2_U (SettableBaud__SERIAL_COMMPROPInv (U_2_int ?x1140))))) boolTrue))) :pattern ((MapType0Select ?S459 ?x1140) (x_S_SettableBaud__SERIAL_COMMPROPInv ?S459)) )) (forall ((?x1141 Int)) (! (= (SettableBaud__SERIAL_COMMPROP ?x1141) (+ ?x1141 36)) :pattern ((SettableBaud__SERIAL_COMMPROP ?x1141)) )) (forall ((?x1142 Int)) (! (= (SettableBaud__SERIAL_COMMPROPInv ?x1142) (- ?x1142 36)) :pattern ((SettableBaud__SERIAL_COMMPROPInv ?x1142)) )) (forall ((?x1143 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1143 36 1) (SettableBaud__SERIAL_COMMPROPInv ?x1143)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1143 36 1)) )) (forall ((?x1144 Int)) (! (= (MINUS_LEFT_PTR ?x1144 1 36) (SettableBaud__SERIAL_COMMPROPInv ?x1144)) :pattern ((MINUS_LEFT_PTR ?x1144 1 36)) )) (forall ((?x1145 Int)) (! (= (SettableData__SERIAL_COMMPROPInv (SettableData__SERIAL_COMMPROP ?x1145)) ?x1145) :pattern ((SettableData__SERIAL_COMMPROPInv (SettableData__SERIAL_COMMPROP ?x1145))) )) (forall ((?x1146 Int)) (! (= (SettableData__SERIAL_COMMPROP (SettableData__SERIAL_COMMPROPInv ?x1146)) ?x1146) :pattern ((SettableData__SERIAL_COMMPROPInv ?x1146)) )) (forall ((?x1147 boogieU) (?S460 boogieU)) (! (=> (and (= (type ?x1147) intType) (= (type ?S460) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableData__SERIAL_COMMPROP ?S460) ?x1147)) boolTrue) (= (U_2_bool (MapType0Select ?S460 (int_2_U (SettableData__SERIAL_COMMPROPInv (U_2_int ?x1147))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableData__SERIAL_COMMPROP ?S460) ?x1147)) )) (forall ((?x1148 boogieU) (?S461 boogieU)) (! (=> (and (= (type ?x1148) intType) (= (type ?S461) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableData__SERIAL_COMMPROPInv ?S461) ?x1148)) boolTrue) (= (U_2_bool (MapType0Select ?S461 (int_2_U (SettableData__SERIAL_COMMPROP (U_2_int ?x1148))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableData__SERIAL_COMMPROPInv ?S461) ?x1148)) )) (forall ((?x1149 boogieU) (?S462 boogieU)) (! (=> (and (= (type ?x1149) intType) (= (type ?S462) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S462 ?x1149)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableData__SERIAL_COMMPROP ?S462) (int_2_U (SettableData__SERIAL_COMMPROP (U_2_int ?x1149))))) boolTrue))) :pattern ((MapType0Select ?S462 ?x1149) (x_S_SettableData__SERIAL_COMMPROP ?S462)) )) (forall ((?x1150 boogieU) (?S463 boogieU)) (! (=> (and (= (type ?x1150) intType) (= (type ?S463) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S463 ?x1150)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableData__SERIAL_COMMPROPInv ?S463) (int_2_U (SettableData__SERIAL_COMMPROPInv (U_2_int ?x1150))))) boolTrue))) :pattern ((MapType0Select ?S463 ?x1150) (x_S_SettableData__SERIAL_COMMPROPInv ?S463)) )) (forall ((?x1151 Int)) (! (= (SettableData__SERIAL_COMMPROP ?x1151) (+ ?x1151 40)) :pattern ((SettableData__SERIAL_COMMPROP ?x1151)) )) (forall ((?x1152 Int)) (! (= (SettableData__SERIAL_COMMPROPInv ?x1152) (- ?x1152 40)) :pattern ((SettableData__SERIAL_COMMPROPInv ?x1152)) )) (forall ((?x1153 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1153 40 1) (SettableData__SERIAL_COMMPROPInv ?x1153)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1153 40 1)) )) (forall ((?x1154 Int)) (! (= (MINUS_LEFT_PTR ?x1154 1 40) (SettableData__SERIAL_COMMPROPInv ?x1154)) :pattern ((MINUS_LEFT_PTR ?x1154 1 40)) )) (forall ((?x1155 Int)) (! (= (SettableParams__SERIAL_COMMPROPInv (SettableParams__SERIAL_COMMPROP ?x1155)) ?x1155) :pattern ((SettableParams__SERIAL_COMMPROPInv (SettableParams__SERIAL_COMMPROP ?x1155))) )) (forall ((?x1156 Int)) (! (= (SettableParams__SERIAL_COMMPROP (SettableParams__SERIAL_COMMPROPInv ?x1156)) ?x1156) :pattern ((SettableParams__SERIAL_COMMPROPInv ?x1156)) )) (forall ((?x1157 boogieU) (?S464 boogieU)) (! (=> (and (= (type ?x1157) intType) (= (type ?S464) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableParams__SERIAL_COMMPROP ?S464) ?x1157)) boolTrue) (= (U_2_bool (MapType0Select ?S464 (int_2_U (SettableParams__SERIAL_COMMPROPInv (U_2_int ?x1157))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableParams__SERIAL_COMMPROP ?S464) ?x1157)) )) (forall ((?x1158 boogieU) (?S465 boogieU)) (! (=> (and (= (type ?x1158) intType) (= (type ?S465) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableParams__SERIAL_COMMPROPInv ?S465) ?x1158)) boolTrue) (= (U_2_bool (MapType0Select ?S465 (int_2_U (SettableParams__SERIAL_COMMPROP (U_2_int ?x1158))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableParams__SERIAL_COMMPROPInv ?S465) ?x1158)) )) (forall ((?x1159 boogieU) (?S466 boogieU)) (! (=> (and (= (type ?x1159) intType) (= (type ?S466) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S466 ?x1159)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableParams__SERIAL_COMMPROP ?S466) (int_2_U (SettableParams__SERIAL_COMMPROP (U_2_int ?x1159))))) boolTrue))) :pattern ((MapType0Select ?S466 ?x1159) (x_S_SettableParams__SERIAL_COMMPROP ?S466)) )) (forall ((?x1160 boogieU) (?S467 boogieU)) (! (=> (and (= (type ?x1160) intType) (= (type ?S467) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S467 ?x1160)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableParams__SERIAL_COMMPROPInv ?S467) (int_2_U (SettableParams__SERIAL_COMMPROPInv (U_2_int ?x1160))))) boolTrue))) :pattern ((MapType0Select ?S467 ?x1160) (x_S_SettableParams__SERIAL_COMMPROPInv ?S467)) )) (forall ((?x1161 Int)) (! (= (SettableParams__SERIAL_COMMPROP ?x1161) (+ ?x1161 32)) :pattern ((SettableParams__SERIAL_COMMPROP ?x1161)) )) (forall ((?x1162 Int)) (! (= (SettableParams__SERIAL_COMMPROPInv ?x1162) (- ?x1162 32)) :pattern ((SettableParams__SERIAL_COMMPROPInv ?x1162)) )) (forall ((?x1163 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1163 32 1) (SettableParams__SERIAL_COMMPROPInv ?x1163)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1163 32 1)) )) (forall ((?x1164 Int)) (! (= (MINUS_LEFT_PTR ?x1164 1 32) (SettableParams__SERIAL_COMMPROPInv ?x1164)) :pattern ((MINUS_LEFT_PTR ?x1164 1 32)) )) (forall ((?x1165 Int)) (! (= (SettableStopParity__SERIAL_COMMPROPInv (SettableStopParity__SERIAL_COMMPROP ?x1165)) ?x1165) :pattern ((SettableStopParity__SERIAL_COMMPROPInv (SettableStopParity__SERIAL_COMMPROP ?x1165))) )) (forall ((?x1166 Int)) (! (= (SettableStopParity__SERIAL_COMMPROP (SettableStopParity__SERIAL_COMMPROPInv ?x1166)) ?x1166) :pattern ((SettableStopParity__SERIAL_COMMPROPInv ?x1166)) )) (forall ((?x1167 boogieU) (?S468 boogieU)) (! (=> (and (= (type ?x1167) intType) (= (type ?S468) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableStopParity__SERIAL_COMMPROP ?S468) ?x1167)) boolTrue) (= (U_2_bool (MapType0Select ?S468 (int_2_U (SettableStopParity__SERIAL_COMMPROPInv (U_2_int ?x1167))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableStopParity__SERIAL_COMMPROP ?S468) ?x1167)) )) (forall ((?x1168 boogieU) (?S469 boogieU)) (! (=> (and (= (type ?x1168) intType) (= (type ?S469) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableStopParity__SERIAL_COMMPROPInv ?S469) ?x1168)) boolTrue) (= (U_2_bool (MapType0Select ?S469 (int_2_U (SettableStopParity__SERIAL_COMMPROP (U_2_int ?x1168))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableStopParity__SERIAL_COMMPROPInv ?S469) ?x1168)) )) (forall ((?x1169 boogieU) (?S470 boogieU)) (! (=> (and (= (type ?x1169) intType) (= (type ?S470) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S470 ?x1169)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableStopParity__SERIAL_COMMPROP ?S470) (int_2_U (SettableStopParity__SERIAL_COMMPROP (U_2_int ?x1169))))) boolTrue))) :pattern ((MapType0Select ?S470 ?x1169) (x_S_SettableStopParity__SERIAL_COMMPROP ?S470)) )) (forall ((?x1170 boogieU) (?S471 boogieU)) (! (=> (and (= (type ?x1170) intType) (= (type ?S471) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S471 ?x1170)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableStopParity__SERIAL_COMMPROPInv ?S471) (int_2_U (SettableStopParity__SERIAL_COMMPROPInv (U_2_int ?x1170))))) boolTrue))) :pattern ((MapType0Select ?S471 ?x1170) (x_S_SettableStopParity__SERIAL_COMMPROPInv ?S471)) )) (forall ((?x1171 Int)) (! (= (SettableStopParity__SERIAL_COMMPROP ?x1171) (+ ?x1171 42)) :pattern ((SettableStopParity__SERIAL_COMMPROP ?x1171)) )) (forall ((?x1172 Int)) (! (= (SettableStopParity__SERIAL_COMMPROPInv ?x1172) (- ?x1172 42)) :pattern ((SettableStopParity__SERIAL_COMMPROPInv ?x1172)) )) (forall ((?x1173 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1173 42 1) (SettableStopParity__SERIAL_COMMPROPInv ?x1173)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1173 42 1)) )) (forall ((?x1174 Int)) (! (= (MINUS_LEFT_PTR ?x1174 1 42) (SettableStopParity__SERIAL_COMMPROPInv ?x1174)) :pattern ((MINUS_LEFT_PTR ?x1174 1 42)) )) (forall ((?x1175 Int)) (! (= (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?x1175)) ?x1175) :pattern ((ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?x1175))) )) (forall ((?x1176 Int)) (! (= (ShortIntervalAmount__SERIAL_DEVICE_EXTENSION (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x1176)) ?x1176) :pattern ((ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x1176)) )) (forall ((?x1177 boogieU) (?S472 boogieU)) (! (=> (and (= (type ?x1177) intType) (= (type ?S472) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?S472) ?x1177)) boolTrue) (= (U_2_bool (MapType0Select ?S472 (int_2_U (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1177))))) boolTrue))) :pattern ((MapType0Select (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?S472) ?x1177)) )) (forall ((?x1178 boogieU) (?S473 boogieU)) (! (=> (and (= (type ?x1178) intType) (= (type ?S473) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S473) ?x1178)) boolTrue) (= (U_2_bool (MapType0Select ?S473 (int_2_U (ShortIntervalAmount__SERIAL_DEVICE_EXTENSION (U_2_int ?x1178))))) boolTrue))) :pattern ((MapType0Select (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S473) ?x1178)) )) (forall ((?x1179 boogieU) (?S474 boogieU)) (! (=> (and (= (type ?x1179) intType) (= (type ?S474) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S474 ?x1179)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?S474) (int_2_U (ShortIntervalAmount__SERIAL_DEVICE_EXTENSION (U_2_int ?x1179))))) boolTrue))) :pattern ((MapType0Select ?S474 ?x1179) (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?S474)) )) (forall ((?x1180 boogieU) (?S475 boogieU)) (! (=> (and (= (type ?x1180) intType) (= (type ?S475) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S475 ?x1180)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S475) (int_2_U (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1180))))) boolTrue))) :pattern ((MapType0Select ?S475 ?x1180) (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S475)) )) (forall ((?x1181 Int)) (! (= (ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?x1181) (+ ?x1181 64)) :pattern ((ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?x1181)) )) (forall ((?x1182 Int)) (! (= (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x1182) (- ?x1182 64)) :pattern ((ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x1182)) )) (forall ((?x1183 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1183 64 1) (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x1183)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1183 64 1)) )) (forall ((?x1184 Int)) (! (= (MINUS_LEFT_PTR ?x1184 1 64) (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x1184)) :pattern ((MINUS_LEFT_PTR ?x1184 1 64)) )) (forall ((?x1185 Int)) (! (= (SpecialChars__SERIAL_DEVICE_EXTENSIONInv (SpecialChars__SERIAL_DEVICE_EXTENSION ?x1185)) ?x1185) :pattern ((SpecialChars__SERIAL_DEVICE_EXTENSIONInv (SpecialChars__SERIAL_DEVICE_EXTENSION ?x1185))) )) (forall ((?x1186 Int)) (! (= (SpecialChars__SERIAL_DEVICE_EXTENSION (SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?x1186)) ?x1186) :pattern ((SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?x1186)) )) (forall ((?x1187 boogieU) (?S476 boogieU)) (! (=> (and (= (type ?x1187) intType) (= (type ?S476) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SpecialChars__SERIAL_DEVICE_EXTENSION ?S476) ?x1187)) boolTrue) (= (U_2_bool (MapType0Select ?S476 (int_2_U (SpecialChars__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1187))))) boolTrue))) :pattern ((MapType0Select (x_S_SpecialChars__SERIAL_DEVICE_EXTENSION ?S476) ?x1187)) )) (forall ((?x1188 boogieU) (?S477 boogieU)) (! (=> (and (= (type ?x1188) intType) (= (type ?S477) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?S477) ?x1188)) boolTrue) (= (U_2_bool (MapType0Select ?S477 (int_2_U (SpecialChars__SERIAL_DEVICE_EXTENSION (U_2_int ?x1188))))) boolTrue))) :pattern ((MapType0Select (x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?S477) ?x1188)) )) (forall ((?x1189 boogieU) (?S478 boogieU)) (! (=> (and (= (type ?x1189) intType) (= (type ?S478) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S478 ?x1189)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SpecialChars__SERIAL_DEVICE_EXTENSION ?S478) (int_2_U (SpecialChars__SERIAL_DEVICE_EXTENSION (U_2_int ?x1189))))) boolTrue))) :pattern ((MapType0Select ?S478 ?x1189) (x_S_SpecialChars__SERIAL_DEVICE_EXTENSION ?S478)) )) (forall ((?x1190 boogieU) (?S479 boogieU)) (! (=> (and (= (type ?x1190) intType) (= (type ?S479) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S479 ?x1190)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?S479) (int_2_U (SpecialChars__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1190))))) boolTrue))) :pattern ((MapType0Select ?S479 ?x1190) (x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?S479)) )) (forall ((?x1191 Int)) (! (= (SpecialChars__SERIAL_DEVICE_EXTENSION ?x1191) (+ ?x1191 356)) :pattern ((SpecialChars__SERIAL_DEVICE_EXTENSION ?x1191)) )) (forall ((?x1192 Int)) (! (= (SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?x1192) (- ?x1192 356)) :pattern ((SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?x1192)) )) (forall ((?x1193 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1193 356 1) (SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?x1193)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1193 356 1)) )) (forall ((?x1194 Int)) (! (= (MINUS_LEFT_PTR ?x1194 1 356) (SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?x1194)) :pattern ((MINUS_LEFT_PTR ?x1194 1 356)) )) (forall ((?x1195 Int)) (! (= (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv (StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?x1195)) ?x1195) :pattern ((StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv (StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?x1195))) )) (forall ((?x1196 Int)) (! (= (StalledIrpQueue__SERIAL_DEVICE_EXTENSION (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?x1196)) ?x1196) :pattern ((StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?x1196)) )) (forall ((?x1197 boogieU) (?S480 boogieU)) (! (=> (and (= (type ?x1197) intType) (= (type ?S480) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?S480) ?x1197)) boolTrue) (= (U_2_bool (MapType0Select ?S480 (int_2_U (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1197))))) boolTrue))) :pattern ((MapType0Select (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?S480) ?x1197)) )) (forall ((?x1198 boogieU) (?S481 boogieU)) (! (=> (and (= (type ?x1198) intType) (= (type ?S481) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?S481) ?x1198)) boolTrue) (= (U_2_bool (MapType0Select ?S481 (int_2_U (StalledIrpQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1198))))) boolTrue))) :pattern ((MapType0Select (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?S481) ?x1198)) )) (forall ((?x1199 boogieU) (?S482 boogieU)) (! (=> (and (= (type ?x1199) intType) (= (type ?S482) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S482 ?x1199)) boolTrue) (= (U_2_bool (MapType0Select (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?S482) (int_2_U (StalledIrpQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1199))))) boolTrue))) :pattern ((MapType0Select ?S482 ?x1199) (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?S482)) )) (forall ((?x1200 boogieU) (?S483 boogieU)) (! (=> (and (= (type ?x1200) intType) (= (type ?S483) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S483 ?x1200)) boolTrue) (= (U_2_bool (MapType0Select (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?S483) (int_2_U (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1200))))) boolTrue))) :pattern ((MapType0Select ?S483 ?x1200) (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?S483)) )) (forall ((?x1201 Int)) (! (= (StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?x1201) (+ ?x1201 1348)) :pattern ((StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?x1201)) )) (forall ((?x1202 Int)) (! (= (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?x1202) (- ?x1202 1348)) :pattern ((StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?x1202)) )) (forall ((?x1203 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1203 1348 1) (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?x1203)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1203 1348 1)) )) (forall ((?x1204 Int)) (! (= (MINUS_LEFT_PTR ?x1204 1 1348) (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?x1204)) :pattern ((MINUS_LEFT_PTR ?x1204 1 1348)) )) (forall ((?x1205 Int)) (! (= (Status___unnamed_4_ab1173deInv (Status___unnamed_4_ab1173de ?x1205)) ?x1205) :pattern ((Status___unnamed_4_ab1173deInv (Status___unnamed_4_ab1173de ?x1205))) )) (forall ((?x1206 Int)) (! (= (Status___unnamed_4_ab1173de (Status___unnamed_4_ab1173deInv ?x1206)) ?x1206) :pattern ((Status___unnamed_4_ab1173deInv ?x1206)) )) (forall ((?x1207 boogieU) (?S484 boogieU)) (! (=> (and (= (type ?x1207) intType) (= (type ?S484) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_ab1173de ?S484) ?x1207)) boolTrue) (= (U_2_bool (MapType0Select ?S484 (int_2_U (Status___unnamed_4_ab1173deInv (U_2_int ?x1207))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_ab1173de ?S484) ?x1207)) )) (forall ((?x1208 boogieU) (?S485 boogieU)) (! (=> (and (= (type ?x1208) intType) (= (type ?S485) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_ab1173deInv ?S485) ?x1208)) boolTrue) (= (U_2_bool (MapType0Select ?S485 (int_2_U (Status___unnamed_4_ab1173de (U_2_int ?x1208))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_ab1173deInv ?S485) ?x1208)) )) (forall ((?x1209 boogieU) (?S486 boogieU)) (! (=> (and (= (type ?x1209) intType) (= (type ?S486) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S486 ?x1209)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_ab1173de ?S486) (int_2_U (Status___unnamed_4_ab1173de (U_2_int ?x1209))))) boolTrue))) :pattern ((MapType0Select ?S486 ?x1209) (x_S_Status___unnamed_4_ab1173de ?S486)) )) (forall ((?x1210 boogieU) (?S487 boogieU)) (! (=> (and (= (type ?x1210) intType) (= (type ?S487) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S487 ?x1210)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_ab1173deInv ?S487) (int_2_U (Status___unnamed_4_ab1173deInv (U_2_int ?x1210))))) boolTrue))) :pattern ((MapType0Select ?S487 ?x1210) (x_S_Status___unnamed_4_ab1173deInv ?S487)) )) (forall ((?x1211 Int)) (! (= (Status___unnamed_4_ab1173de ?x1211) (+ ?x1211 0)) :pattern ((Status___unnamed_4_ab1173de ?x1211)) )) (forall ((?x1212 Int)) (! (= (Status___unnamed_4_ab1173deInv ?x1212) (- ?x1212 0)) :pattern ((Status___unnamed_4_ab1173deInv ?x1212)) )) (forall ((?x1213 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1213 0 1) (Status___unnamed_4_ab1173deInv ?x1213)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1213 0 1)) )) (forall ((?x1214 Int)) (! (= (MINUS_LEFT_PTR ?x1214 1 0) (Status___unnamed_4_ab1173deInv ?x1214)) :pattern ((MINUS_LEFT_PTR ?x1214 1 0)) )) (forall ((?x1215 Int)) (! (= (StopBits__SERIAL_LINE_CONTROLInv (StopBits__SERIAL_LINE_CONTROL ?x1215)) ?x1215) :pattern ((StopBits__SERIAL_LINE_CONTROLInv (StopBits__SERIAL_LINE_CONTROL ?x1215))) )) (forall ((?x1216 Int)) (! (= (StopBits__SERIAL_LINE_CONTROL (StopBits__SERIAL_LINE_CONTROLInv ?x1216)) ?x1216) :pattern ((StopBits__SERIAL_LINE_CONTROLInv ?x1216)) )) (forall ((?x1217 boogieU) (?S488 boogieU)) (! (=> (and (= (type ?x1217) intType) (= (type ?S488) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_LINE_CONTROL ?S488) ?x1217)) boolTrue) (= (U_2_bool (MapType0Select ?S488 (int_2_U (StopBits__SERIAL_LINE_CONTROLInv (U_2_int ?x1217))))) boolTrue))) :pattern ((MapType0Select (x_S_StopBits__SERIAL_LINE_CONTROL ?S488) ?x1217)) )) (forall ((?x1218 boogieU) (?S489 boogieU)) (! (=> (and (= (type ?x1218) intType) (= (type ?S489) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_LINE_CONTROLInv ?S489) ?x1218)) boolTrue) (= (U_2_bool (MapType0Select ?S489 (int_2_U (StopBits__SERIAL_LINE_CONTROL (U_2_int ?x1218))))) boolTrue))) :pattern ((MapType0Select (x_S_StopBits__SERIAL_LINE_CONTROLInv ?S489) ?x1218)) )) (forall ((?x1219 boogieU) (?S490 boogieU)) (! (=> (and (= (type ?x1219) intType) (= (type ?S490) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S490 ?x1219)) boolTrue) (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_LINE_CONTROL ?S490) (int_2_U (StopBits__SERIAL_LINE_CONTROL (U_2_int ?x1219))))) boolTrue))) :pattern ((MapType0Select ?S490 ?x1219) (x_S_StopBits__SERIAL_LINE_CONTROL ?S490)) )) (forall ((?x1220 boogieU) (?S491 boogieU)) (! (=> (and (= (type ?x1220) intType) (= (type ?S491) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S491 ?x1220)) boolTrue) (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_LINE_CONTROLInv ?S491) (int_2_U (StopBits__SERIAL_LINE_CONTROLInv (U_2_int ?x1220))))) boolTrue))) :pattern ((MapType0Select ?S491 ?x1220) (x_S_StopBits__SERIAL_LINE_CONTROLInv ?S491)) )) (forall ((?x1221 Int)) (! (= (StopBits__SERIAL_LINE_CONTROL ?x1221) (+ ?x1221 0)) :pattern ((StopBits__SERIAL_LINE_CONTROL ?x1221)) )) (forall ((?x1222 Int)) (! (= (StopBits__SERIAL_LINE_CONTROLInv ?x1222) (- ?x1222 0)) :pattern ((StopBits__SERIAL_LINE_CONTROLInv ?x1222)) )) (forall ((?x1223 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1223 0 1) (StopBits__SERIAL_LINE_CONTROLInv ?x1223)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1223 0 1)) )) (forall ((?x1224 Int)) (! (= (MINUS_LEFT_PTR ?x1224 1 0) (StopBits__SERIAL_LINE_CONTROLInv ?x1224)) :pattern ((MINUS_LEFT_PTR ?x1224 1 0)) )) (forall ((?x1225 Int)) (! (= (StopBits__SERIAL_WMI_COMM_DATAInv (StopBits__SERIAL_WMI_COMM_DATA ?x1225)) ?x1225) :pattern ((StopBits__SERIAL_WMI_COMM_DATAInv (StopBits__SERIAL_WMI_COMM_DATA ?x1225))) )) (forall ((?x1226 Int)) (! (= (StopBits__SERIAL_WMI_COMM_DATA (StopBits__SERIAL_WMI_COMM_DATAInv ?x1226)) ?x1226) :pattern ((StopBits__SERIAL_WMI_COMM_DATAInv ?x1226)) )) (forall ((?x1227 boogieU) (?S492 boogieU)) (! (=> (and (= (type ?x1227) intType) (= (type ?S492) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_WMI_COMM_DATA ?S492) ?x1227)) boolTrue) (= (U_2_bool (MapType0Select ?S492 (int_2_U (StopBits__SERIAL_WMI_COMM_DATAInv (U_2_int ?x1227))))) boolTrue))) :pattern ((MapType0Select (x_S_StopBits__SERIAL_WMI_COMM_DATA ?S492) ?x1227)) )) (forall ((?x1228 boogieU) (?S493 boogieU)) (! (=> (and (= (type ?x1228) intType) (= (type ?S493) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_WMI_COMM_DATAInv ?S493) ?x1228)) boolTrue) (= (U_2_bool (MapType0Select ?S493 (int_2_U (StopBits__SERIAL_WMI_COMM_DATA (U_2_int ?x1228))))) boolTrue))) :pattern ((MapType0Select (x_S_StopBits__SERIAL_WMI_COMM_DATAInv ?S493) ?x1228)) )) (forall ((?x1229 boogieU) (?S494 boogieU)) (! (=> (and (= (type ?x1229) intType) (= (type ?S494) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S494 ?x1229)) boolTrue) (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_WMI_COMM_DATA ?S494) (int_2_U (StopBits__SERIAL_WMI_COMM_DATA (U_2_int ?x1229))))) boolTrue))) :pattern ((MapType0Select ?S494 ?x1229) (x_S_StopBits__SERIAL_WMI_COMM_DATA ?S494)) )) (forall ((?x1230 boogieU) (?S495 boogieU)) (! (=> (and (= (type ?x1230) intType) (= (type ?S495) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S495 ?x1230)) boolTrue) (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_WMI_COMM_DATAInv ?S495) (int_2_U (StopBits__SERIAL_WMI_COMM_DATAInv (U_2_int ?x1230))))) boolTrue))) :pattern ((MapType0Select ?S495 ?x1230) (x_S_StopBits__SERIAL_WMI_COMM_DATAInv ?S495)) )) (forall ((?x1231 Int)) (! (= (StopBits__SERIAL_WMI_COMM_DATA ?x1231) (+ ?x1231 16)) :pattern ((StopBits__SERIAL_WMI_COMM_DATA ?x1231)) )) (forall ((?x1232 Int)) (! (= (StopBits__SERIAL_WMI_COMM_DATAInv ?x1232) (- ?x1232 16)) :pattern ((StopBits__SERIAL_WMI_COMM_DATAInv ?x1232)) )) (forall ((?x1233 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1233 16 1) (StopBits__SERIAL_WMI_COMM_DATAInv ?x1233)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1233 16 1)) )) (forall ((?x1234 Int)) (! (= (MINUS_LEFT_PTR ?x1234 1 16) (StopBits__SERIAL_WMI_COMM_DATAInv ?x1234)) :pattern ((MINUS_LEFT_PTR ?x1234 1 16)) )) (forall ((?x1235 Int)) (! (= (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv (SupportedBauds__SERIAL_DEVICE_EXTENSION ?x1235)) ?x1235) :pattern ((SupportedBauds__SERIAL_DEVICE_EXTENSIONInv (SupportedBauds__SERIAL_DEVICE_EXTENSION ?x1235))) )) (forall ((?x1236 Int)) (! (= (SupportedBauds__SERIAL_DEVICE_EXTENSION (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?x1236)) ?x1236) :pattern ((SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?x1236)) )) (forall ((?x1237 boogieU) (?S496 boogieU)) (! (=> (and (= (type ?x1237) intType) (= (type ?S496) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION ?S496) ?x1237)) boolTrue) (= (U_2_bool (MapType0Select ?S496 (int_2_U (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1237))))) boolTrue))) :pattern ((MapType0Select (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION ?S496) ?x1237)) )) (forall ((?x1238 boogieU) (?S497 boogieU)) (! (=> (and (= (type ?x1238) intType) (= (type ?S497) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?S497) ?x1238)) boolTrue) (= (U_2_bool (MapType0Select ?S497 (int_2_U (SupportedBauds__SERIAL_DEVICE_EXTENSION (U_2_int ?x1238))))) boolTrue))) :pattern ((MapType0Select (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?S497) ?x1238)) )) (forall ((?x1239 boogieU) (?S498 boogieU)) (! (=> (and (= (type ?x1239) intType) (= (type ?S498) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S498 ?x1239)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION ?S498) (int_2_U (SupportedBauds__SERIAL_DEVICE_EXTENSION (U_2_int ?x1239))))) boolTrue))) :pattern ((MapType0Select ?S498 ?x1239) (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION ?S498)) )) (forall ((?x1240 boogieU) (?S499 boogieU)) (! (=> (and (= (type ?x1240) intType) (= (type ?S499) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S499 ?x1240)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?S499) (int_2_U (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1240))))) boolTrue))) :pattern ((MapType0Select ?S499 ?x1240) (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?S499)) )) (forall ((?x1241 Int)) (! (= (SupportedBauds__SERIAL_DEVICE_EXTENSION ?x1241) (+ ?x1241 312)) :pattern ((SupportedBauds__SERIAL_DEVICE_EXTENSION ?x1241)) )) (forall ((?x1242 Int)) (! (= (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?x1242) (- ?x1242 312)) :pattern ((SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?x1242)) )) (forall ((?x1243 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1243 312 1) (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?x1243)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1243 312 1)) )) (forall ((?x1244 Int)) (! (= (MINUS_LEFT_PTR ?x1244 1 312) (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?x1244)) :pattern ((MINUS_LEFT_PTR ?x1244 1 312)) )) (forall ((?x1245 Int)) (! (= (SystemBuffer___unnamed_4_3dc37e35Inv (SystemBuffer___unnamed_4_3dc37e35 ?x1245)) ?x1245) :pattern ((SystemBuffer___unnamed_4_3dc37e35Inv (SystemBuffer___unnamed_4_3dc37e35 ?x1245))) )) (forall ((?x1246 Int)) (! (= (SystemBuffer___unnamed_4_3dc37e35 (SystemBuffer___unnamed_4_3dc37e35Inv ?x1246)) ?x1246) :pattern ((SystemBuffer___unnamed_4_3dc37e35Inv ?x1246)) )) (forall ((?x1247 boogieU) (?S500 boogieU)) (! (=> (and (= (type ?x1247) intType) (= (type ?S500) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35 ?S500) ?x1247)) boolTrue) (= (U_2_bool (MapType0Select ?S500 (int_2_U (SystemBuffer___unnamed_4_3dc37e35Inv (U_2_int ?x1247))))) boolTrue))) :pattern ((MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35 ?S500) ?x1247)) )) (forall ((?x1248 boogieU) (?S501 boogieU)) (! (=> (and (= (type ?x1248) intType) (= (type ?S501) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?S501) ?x1248)) boolTrue) (= (U_2_bool (MapType0Select ?S501 (int_2_U (SystemBuffer___unnamed_4_3dc37e35 (U_2_int ?x1248))))) boolTrue))) :pattern ((MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?S501) ?x1248)) )) (forall ((?x1249 boogieU) (?S502 boogieU)) (! (=> (and (= (type ?x1249) intType) (= (type ?S502) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S502 ?x1249)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35 ?S502) (int_2_U (SystemBuffer___unnamed_4_3dc37e35 (U_2_int ?x1249))))) boolTrue))) :pattern ((MapType0Select ?S502 ?x1249) (x_S_SystemBuffer___unnamed_4_3dc37e35 ?S502)) )) (forall ((?x1250 boogieU) (?S503 boogieU)) (! (=> (and (= (type ?x1250) intType) (= (type ?S503) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S503 ?x1250)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?S503) (int_2_U (SystemBuffer___unnamed_4_3dc37e35Inv (U_2_int ?x1250))))) boolTrue))) :pattern ((MapType0Select ?S503 ?x1250) (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?S503)) )) (forall ((?x1251 Int)) (! (= (SystemBuffer___unnamed_4_3dc37e35 ?x1251) (+ ?x1251 0)) :pattern ((SystemBuffer___unnamed_4_3dc37e35 ?x1251)) )) (forall ((?x1252 Int)) (! (= (SystemBuffer___unnamed_4_3dc37e35Inv ?x1252) (- ?x1252 0)) :pattern ((SystemBuffer___unnamed_4_3dc37e35Inv ?x1252)) )) (forall ((?x1253 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1253 0 1) (SystemBuffer___unnamed_4_3dc37e35Inv ?x1253)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1253 0 1)) )) (forall ((?x1254 Int)) (! (= (MINUS_LEFT_PTR ?x1254 1 0) (SystemBuffer___unnamed_4_3dc37e35Inv ?x1254)) :pattern ((MINUS_LEFT_PTR ?x1254 1 0)) )) (forall ((?x1255 Int)) (! (= (SystemState__POWER_STATEInv (SystemState__POWER_STATE ?x1255)) ?x1255) :pattern ((SystemState__POWER_STATEInv (SystemState__POWER_STATE ?x1255))) )) (forall ((?x1256 Int)) (! (= (SystemState__POWER_STATE (SystemState__POWER_STATEInv ?x1256)) ?x1256) :pattern ((SystemState__POWER_STATEInv ?x1256)) )) (forall ((?x1257 boogieU) (?S504 boogieU)) (! (=> (and (= (type ?x1257) intType) (= (type ?S504) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SystemState__POWER_STATE ?S504) ?x1257)) boolTrue) (= (U_2_bool (MapType0Select ?S504 (int_2_U (SystemState__POWER_STATEInv (U_2_int ?x1257))))) boolTrue))) :pattern ((MapType0Select (x_S_SystemState__POWER_STATE ?S504) ?x1257)) )) (forall ((?x1258 boogieU) (?S505 boogieU)) (! (=> (and (= (type ?x1258) intType) (= (type ?S505) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SystemState__POWER_STATEInv ?S505) ?x1258)) boolTrue) (= (U_2_bool (MapType0Select ?S505 (int_2_U (SystemState__POWER_STATE (U_2_int ?x1258))))) boolTrue))) :pattern ((MapType0Select (x_S_SystemState__POWER_STATEInv ?S505) ?x1258)) )) (forall ((?x1259 boogieU) (?S506 boogieU)) (! (=> (and (= (type ?x1259) intType) (= (type ?S506) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S506 ?x1259)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SystemState__POWER_STATE ?S506) (int_2_U (SystemState__POWER_STATE (U_2_int ?x1259))))) boolTrue))) :pattern ((MapType0Select ?S506 ?x1259) (x_S_SystemState__POWER_STATE ?S506)) )) (forall ((?x1260 boogieU) (?S507 boogieU)) (! (=> (and (= (type ?x1260) intType) (= (type ?S507) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S507 ?x1260)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SystemState__POWER_STATEInv ?S507) (int_2_U (SystemState__POWER_STATEInv (U_2_int ?x1260))))) boolTrue))) :pattern ((MapType0Select ?S507 ?x1260) (x_S_SystemState__POWER_STATEInv ?S507)) )) (forall ((?x1261 Int)) (! (= (SystemState__POWER_STATE ?x1261) (+ ?x1261 0)) :pattern ((SystemState__POWER_STATE ?x1261)) )) (forall ((?x1262 Int)) (! (= (SystemState__POWER_STATEInv ?x1262) (- ?x1262 0)) :pattern ((SystemState__POWER_STATEInv ?x1262)) )) (forall ((?x1263 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1263 0 1) (SystemState__POWER_STATEInv ?x1263)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1263 0 1)) )) (forall ((?x1264 Int)) (! (= (MINUS_LEFT_PTR ?x1264 1 0) (SystemState__POWER_STATEInv ?x1264)) :pattern ((MINUS_LEFT_PTR ?x1264 1 0)) )) (forall ((?x1265 Int)) (! (= (Tail__IRPInv (Tail__IRP ?x1265)) ?x1265) :pattern ((Tail__IRPInv (Tail__IRP ?x1265))) )) (forall ((?x1266 Int)) (! (= (Tail__IRP (Tail__IRPInv ?x1266)) ?x1266) :pattern ((Tail__IRPInv ?x1266)) )) (forall ((?x1267 boogieU) (?S508 boogieU)) (! (=> (and (= (type ?x1267) intType) (= (type ?S508) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Tail__IRP ?S508) ?x1267)) boolTrue) (= (U_2_bool (MapType0Select ?S508 (int_2_U (Tail__IRPInv (U_2_int ?x1267))))) boolTrue))) :pattern ((MapType0Select (x_S_Tail__IRP ?S508) ?x1267)) )) (forall ((?x1268 boogieU) (?S509 boogieU)) (! (=> (and (= (type ?x1268) intType) (= (type ?S509) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Tail__IRPInv ?S509) ?x1268)) boolTrue) (= (U_2_bool (MapType0Select ?S509 (int_2_U (Tail__IRP (U_2_int ?x1268))))) boolTrue))) :pattern ((MapType0Select (x_S_Tail__IRPInv ?S509) ?x1268)) )) (forall ((?x1269 boogieU) (?S510 boogieU)) (! (=> (and (= (type ?x1269) intType) (= (type ?S510) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S510 ?x1269)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Tail__IRP ?S510) (int_2_U (Tail__IRP (U_2_int ?x1269))))) boolTrue))) :pattern ((MapType0Select ?S510 ?x1269) (x_S_Tail__IRP ?S510)) )) (forall ((?x1270 boogieU) (?S511 boogieU)) (! (=> (and (= (type ?x1270) intType) (= (type ?S511) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S511 ?x1270)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Tail__IRPInv ?S511) (int_2_U (Tail__IRPInv (U_2_int ?x1270))))) boolTrue))) :pattern ((MapType0Select ?S511 ?x1270) (x_S_Tail__IRPInv ?S511)) )) (forall ((?x1271 Int)) (! (= (Tail__IRP ?x1271) (+ ?x1271 64)) :pattern ((Tail__IRP ?x1271)) )) (forall ((?x1272 Int)) (! (= (Tail__IRPInv ?x1272) (- ?x1272 64)) :pattern ((Tail__IRPInv ?x1272)) )) (forall ((?x1273 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1273 64 1) (Tail__IRPInv ?x1273)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1273 64 1)) )) (forall ((?x1274 Int)) (! (= (MINUS_LEFT_PTR ?x1274 1 64) (Tail__IRPInv ?x1274)) :pattern ((MINUS_LEFT_PTR ?x1274 1 64)) )) (forall ((?x1275 Int)) (! (= (Timeout__SERIAL_XOFF_COUNTERInv (Timeout__SERIAL_XOFF_COUNTER ?x1275)) ?x1275) :pattern ((Timeout__SERIAL_XOFF_COUNTERInv (Timeout__SERIAL_XOFF_COUNTER ?x1275))) )) (forall ((?x1276 Int)) (! (= (Timeout__SERIAL_XOFF_COUNTER (Timeout__SERIAL_XOFF_COUNTERInv ?x1276)) ?x1276) :pattern ((Timeout__SERIAL_XOFF_COUNTERInv ?x1276)) )) (forall ((?x1277 boogieU) (?S512 boogieU)) (! (=> (and (= (type ?x1277) intType) (= (type ?S512) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Timeout__SERIAL_XOFF_COUNTER ?S512) ?x1277)) boolTrue) (= (U_2_bool (MapType0Select ?S512 (int_2_U (Timeout__SERIAL_XOFF_COUNTERInv (U_2_int ?x1277))))) boolTrue))) :pattern ((MapType0Select (x_S_Timeout__SERIAL_XOFF_COUNTER ?S512) ?x1277)) )) (forall ((?x1278 boogieU) (?S513 boogieU)) (! (=> (and (= (type ?x1278) intType) (= (type ?S513) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Timeout__SERIAL_XOFF_COUNTERInv ?S513) ?x1278)) boolTrue) (= (U_2_bool (MapType0Select ?S513 (int_2_U (Timeout__SERIAL_XOFF_COUNTER (U_2_int ?x1278))))) boolTrue))) :pattern ((MapType0Select (x_S_Timeout__SERIAL_XOFF_COUNTERInv ?S513) ?x1278)) )) (forall ((?x1279 boogieU) (?S514 boogieU)) (! (=> (and (= (type ?x1279) intType) (= (type ?S514) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S514 ?x1279)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Timeout__SERIAL_XOFF_COUNTER ?S514) (int_2_U (Timeout__SERIAL_XOFF_COUNTER (U_2_int ?x1279))))) boolTrue))) :pattern ((MapType0Select ?S514 ?x1279) (x_S_Timeout__SERIAL_XOFF_COUNTER ?S514)) )) (forall ((?x1280 boogieU) (?S515 boogieU)) (! (=> (and (= (type ?x1280) intType) (= (type ?S515) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S515 ?x1280)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Timeout__SERIAL_XOFF_COUNTERInv ?S515) (int_2_U (Timeout__SERIAL_XOFF_COUNTERInv (U_2_int ?x1280))))) boolTrue))) :pattern ((MapType0Select ?S515 ?x1280) (x_S_Timeout__SERIAL_XOFF_COUNTERInv ?S515)) )) (forall ((?x1281 Int)) (! (= (Timeout__SERIAL_XOFF_COUNTER ?x1281) (+ ?x1281 0)) :pattern ((Timeout__SERIAL_XOFF_COUNTER ?x1281)) )) (forall ((?x1282 Int)) (! (= (Timeout__SERIAL_XOFF_COUNTERInv ?x1282) (- ?x1282 0)) :pattern ((Timeout__SERIAL_XOFF_COUNTERInv ?x1282)) )) (forall ((?x1283 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1283 0 1) (Timeout__SERIAL_XOFF_COUNTERInv ?x1283)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1283 0 1)) )) (forall ((?x1284 Int)) (! (= (MINUS_LEFT_PTR ?x1284 1 0) (Timeout__SERIAL_XOFF_COUNTERInv ?x1284)) :pattern ((MINUS_LEFT_PTR ?x1284 1 0)) )) (forall ((?x1285 Int)) (! (= (Timeouts__SERIAL_DEVICE_EXTENSIONInv (Timeouts__SERIAL_DEVICE_EXTENSION ?x1285)) ?x1285) :pattern ((Timeouts__SERIAL_DEVICE_EXTENSIONInv (Timeouts__SERIAL_DEVICE_EXTENSION ?x1285))) )) (forall ((?x1286 Int)) (! (= (Timeouts__SERIAL_DEVICE_EXTENSION (Timeouts__SERIAL_DEVICE_EXTENSIONInv ?x1286)) ?x1286) :pattern ((Timeouts__SERIAL_DEVICE_EXTENSIONInv ?x1286)) )) (forall ((?x1287 boogieU) (?S516 boogieU)) (! (=> (and (= (type ?x1287) intType) (= (type ?S516) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Timeouts__SERIAL_DEVICE_EXTENSION ?S516) ?x1287)) boolTrue) (= (U_2_bool (MapType0Select ?S516 (int_2_U (Timeouts__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1287))))) boolTrue))) :pattern ((MapType0Select (x_S_Timeouts__SERIAL_DEVICE_EXTENSION ?S516) ?x1287)) )) (forall ((?x1288 boogieU) (?S517 boogieU)) (! (=> (and (= (type ?x1288) intType) (= (type ?S517) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv ?S517) ?x1288)) boolTrue) (= (U_2_bool (MapType0Select ?S517 (int_2_U (Timeouts__SERIAL_DEVICE_EXTENSION (U_2_int ?x1288))))) boolTrue))) :pattern ((MapType0Select (x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv ?S517) ?x1288)) )) (forall ((?x1289 boogieU) (?S518 boogieU)) (! (=> (and (= (type ?x1289) intType) (= (type ?S518) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S518 ?x1289)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Timeouts__SERIAL_DEVICE_EXTENSION ?S518) (int_2_U (Timeouts__SERIAL_DEVICE_EXTENSION (U_2_int ?x1289))))) boolTrue))) :pattern ((MapType0Select ?S518 ?x1289) (x_S_Timeouts__SERIAL_DEVICE_EXTENSION ?S518)) )) (forall ((?x1290 boogieU) (?S519 boogieU)) (! (=> (and (= (type ?x1290) intType) (= (type ?S519) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S519 ?x1290)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv ?S519) (int_2_U (Timeouts__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1290))))) boolTrue))) :pattern ((MapType0Select ?S519 ?x1290) (x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv ?S519)) )) (forall ((?x1291 Int)) (! (= (Timeouts__SERIAL_DEVICE_EXTENSION ?x1291) (+ ?x1291 336)) :pattern ((Timeouts__SERIAL_DEVICE_EXTENSION ?x1291)) )) (forall ((?x1292 Int)) (! (= (Timeouts__SERIAL_DEVICE_EXTENSIONInv ?x1292) (- ?x1292 336)) :pattern ((Timeouts__SERIAL_DEVICE_EXTENSIONInv ?x1292)) )) (forall ((?x1293 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1293 336 1) (Timeouts__SERIAL_DEVICE_EXTENSIONInv ?x1293)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1293 336 1)) )) (forall ((?x1294 Int)) (! (= (MINUS_LEFT_PTR ?x1294 1 336) (Timeouts__SERIAL_DEVICE_EXTENSIONInv ?x1294)) :pattern ((MINUS_LEFT_PTR ?x1294 1 336)) )) (forall ((?x1295 Int)) (! (= (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv (TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?x1295)) ?x1295) :pattern ((TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv (TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?x1295))) )) (forall ((?x1296 Int)) (! (= (TotalCharsQueued__SERIAL_DEVICE_EXTENSION (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?x1296)) ?x1296) :pattern ((TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?x1296)) )) (forall ((?x1297 boogieU) (?S520 boogieU)) (! (=> (and (= (type ?x1297) intType) (= (type ?S520) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?S520) ?x1297)) boolTrue) (= (U_2_bool (MapType0Select ?S520 (int_2_U (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1297))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?S520) ?x1297)) )) (forall ((?x1298 boogieU) (?S521 boogieU)) (! (=> (and (= (type ?x1298) intType) (= (type ?S521) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?S521) ?x1298)) boolTrue) (= (U_2_bool (MapType0Select ?S521 (int_2_U (TotalCharsQueued__SERIAL_DEVICE_EXTENSION (U_2_int ?x1298))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?S521) ?x1298)) )) (forall ((?x1299 boogieU) (?S522 boogieU)) (! (=> (and (= (type ?x1299) intType) (= (type ?S522) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S522 ?x1299)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?S522) (int_2_U (TotalCharsQueued__SERIAL_DEVICE_EXTENSION (U_2_int ?x1299))))) boolTrue))) :pattern ((MapType0Select ?S522 ?x1299) (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?S522)) )) (forall ((?x1300 boogieU) (?S523 boogieU)) (! (=> (and (= (type ?x1300) intType) (= (type ?S523) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S523 ?x1300)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?S523) (int_2_U (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1300))))) boolTrue))) :pattern ((MapType0Select ?S523 ?x1300) (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?S523)) )) (forall ((?x1301 Int)) (! (= (TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?x1301) (+ ?x1301 288)) :pattern ((TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?x1301)) )) (forall ((?x1302 Int)) (! (= (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?x1302) (- ?x1302 288)) :pattern ((TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?x1302)) )) (forall ((?x1303 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1303 288 1) (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?x1303)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1303 288 1)) )) (forall ((?x1304 Int)) (! (= (MINUS_LEFT_PTR ?x1304 1 288) (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?x1304)) :pattern ((MINUS_LEFT_PTR ?x1304 1 288)) )) (forall ((?x1305 Int)) (! (= (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1305)) ?x1305) :pattern ((TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1305))) )) (forall ((?x1306 Int)) (! (= (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1306)) ?x1306) :pattern ((TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1306)) )) (forall ((?x1307 boogieU) (?S524 boogieU)) (! (=> (and (= (type ?x1307) intType) (= (type ?S524) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S524) ?x1307)) boolTrue) (= (U_2_bool (MapType0Select ?S524 (int_2_U (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1307))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S524) ?x1307)) )) (forall ((?x1308 boogieU) (?S525 boogieU)) (! (=> (and (= (type ?x1308) intType) (= (type ?S525) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S525) ?x1308)) boolTrue) (= (U_2_bool (MapType0Select ?S525 (int_2_U (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1308))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S525) ?x1308)) )) (forall ((?x1309 boogieU) (?S526 boogieU)) (! (=> (and (= (type ?x1309) intType) (= (type ?S526) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S526 ?x1309)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S526) (int_2_U (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1309))))) boolTrue))) :pattern ((MapType0Select ?S526 ?x1309) (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S526)) )) (forall ((?x1310 boogieU) (?S527 boogieU)) (! (=> (and (= (type ?x1310) intType) (= (type ?S527) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S527 ?x1310)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S527) (int_2_U (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1310))))) boolTrue))) :pattern ((MapType0Select ?S527 ?x1310) (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S527)) )) (forall ((?x1311 Int)) (! (= (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1311) (+ ?x1311 740)) :pattern ((TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1311)) )) (forall ((?x1312 Int)) (! (= (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1312) (- ?x1312 740)) :pattern ((TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1312)) )) (forall ((?x1313 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1313 740 1) (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1313)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1313 740 1)) )) (forall ((?x1314 Int)) (! (= (MINUS_LEFT_PTR ?x1314 1 740) (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1314)) :pattern ((MINUS_LEFT_PTR ?x1314 1 740)) )) (forall ((?x1315 Int)) (! (= (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1315)) ?x1315) :pattern ((TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1315))) )) (forall ((?x1316 Int)) (! (= (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1316)) ?x1316) :pattern ((TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1316)) )) (forall ((?x1317 boogieU) (?S528 boogieU)) (! (=> (and (= (type ?x1317) intType) (= (type ?S528) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S528) ?x1317)) boolTrue) (= (U_2_bool (MapType0Select ?S528 (int_2_U (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1317))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S528) ?x1317)) )) (forall ((?x1318 boogieU) (?S529 boogieU)) (! (=> (and (= (type ?x1318) intType) (= (type ?S529) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S529) ?x1318)) boolTrue) (= (U_2_bool (MapType0Select ?S529 (int_2_U (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1318))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S529) ?x1318)) )) (forall ((?x1319 boogieU) (?S530 boogieU)) (! (=> (and (= (type ?x1319) intType) (= (type ?S530) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S530 ?x1319)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S530) (int_2_U (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1319))))) boolTrue))) :pattern ((MapType0Select ?S530 ?x1319) (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S530)) )) (forall ((?x1320 boogieU) (?S531 boogieU)) (! (=> (and (= (type ?x1320) intType) (= (type ?S531) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S531 ?x1320)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S531) (int_2_U (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1320))))) boolTrue))) :pattern ((MapType0Select ?S531 ?x1320) (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S531)) )) (forall ((?x1321 Int)) (! (= (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1321) (+ ?x1321 548)) :pattern ((TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1321)) )) (forall ((?x1322 Int)) (! (= (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1322) (- ?x1322 548)) :pattern ((TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1322)) )) (forall ((?x1323 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1323 548 1) (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1323)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1323 548 1)) )) (forall ((?x1324 Int)) (! (= (MINUS_LEFT_PTR ?x1324 1 548) (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1324)) :pattern ((MINUS_LEFT_PTR ?x1324 1 548)) )) (forall ((?x1325 Int)) (! (= (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1325)) ?x1325) :pattern ((TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1325))) )) (forall ((?x1326 Int)) (! (= (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1326)) ?x1326) :pattern ((TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1326)) )) (forall ((?x1327 boogieU) (?S532 boogieU)) (! (=> (and (= (type ?x1327) intType) (= (type ?S532) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S532) ?x1327)) boolTrue) (= (U_2_bool (MapType0Select ?S532 (int_2_U (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1327))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S532) ?x1327)) )) (forall ((?x1328 boogieU) (?S533 boogieU)) (! (=> (and (= (type ?x1328) intType) (= (type ?S533) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S533) ?x1328)) boolTrue) (= (U_2_bool (MapType0Select ?S533 (int_2_U (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1328))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S533) ?x1328)) )) (forall ((?x1329 boogieU) (?S534 boogieU)) (! (=> (and (= (type ?x1329) intType) (= (type ?S534) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S534 ?x1329)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S534) (int_2_U (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1329))))) boolTrue))) :pattern ((MapType0Select ?S534 ?x1329) (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S534)) )) (forall ((?x1330 boogieU) (?S535 boogieU)) (! (=> (and (= (type ?x1330) intType) (= (type ?S535) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S535 ?x1330)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S535) (int_2_U (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1330))))) boolTrue))) :pattern ((MapType0Select ?S535 ?x1330) (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S535)) )) (forall ((?x1331 Int)) (! (= (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1331) (+ ?x1331 612)) :pattern ((TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1331)) )) (forall ((?x1332 Int)) (! (= (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1332) (- ?x1332 612)) :pattern ((TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1332)) )) (forall ((?x1333 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1333 612 1) (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1333)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1333 612 1)) )) (forall ((?x1334 Int)) (! (= (MINUS_LEFT_PTR ?x1334 1 612) (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1334)) :pattern ((MINUS_LEFT_PTR ?x1334 1 612)) )) (forall ((?x1335 Int)) (! (= (Type3InputBuffer___unnamed_16_5bbbf1e7Inv (Type3InputBuffer___unnamed_16_5bbbf1e7 ?x1335)) ?x1335) :pattern ((Type3InputBuffer___unnamed_16_5bbbf1e7Inv (Type3InputBuffer___unnamed_16_5bbbf1e7 ?x1335))) )) (forall ((?x1336 Int)) (! (= (Type3InputBuffer___unnamed_16_5bbbf1e7 (Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?x1336)) ?x1336) :pattern ((Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?x1336)) )) (forall ((?x1337 boogieU) (?S536 boogieU)) (! (=> (and (= (type ?x1337) intType) (= (type ?S536) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 ?S536) ?x1337)) boolTrue) (= (U_2_bool (MapType0Select ?S536 (int_2_U (Type3InputBuffer___unnamed_16_5bbbf1e7Inv (U_2_int ?x1337))))) boolTrue))) :pattern ((MapType0Select (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 ?S536) ?x1337)) )) (forall ((?x1338 boogieU) (?S537 boogieU)) (! (=> (and (= (type ?x1338) intType) (= (type ?S537) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?S537) ?x1338)) boolTrue) (= (U_2_bool (MapType0Select ?S537 (int_2_U (Type3InputBuffer___unnamed_16_5bbbf1e7 (U_2_int ?x1338))))) boolTrue))) :pattern ((MapType0Select (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?S537) ?x1338)) )) (forall ((?x1339 boogieU) (?S538 boogieU)) (! (=> (and (= (type ?x1339) intType) (= (type ?S538) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S538 ?x1339)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 ?S538) (int_2_U (Type3InputBuffer___unnamed_16_5bbbf1e7 (U_2_int ?x1339))))) boolTrue))) :pattern ((MapType0Select ?S538 ?x1339) (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 ?S538)) )) (forall ((?x1340 boogieU) (?S539 boogieU)) (! (=> (and (= (type ?x1340) intType) (= (type ?S539) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S539 ?x1340)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?S539) (int_2_U (Type3InputBuffer___unnamed_16_5bbbf1e7Inv (U_2_int ?x1340))))) boolTrue))) :pattern ((MapType0Select ?S539 ?x1340) (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?S539)) )) (forall ((?x1341 Int)) (! (= (Type3InputBuffer___unnamed_16_5bbbf1e7 ?x1341) (+ ?x1341 12)) :pattern ((Type3InputBuffer___unnamed_16_5bbbf1e7 ?x1341)) )) (forall ((?x1342 Int)) (! (= (Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?x1342) (- ?x1342 12)) :pattern ((Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?x1342)) )) (forall ((?x1343 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1343 12 1) (Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?x1343)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1343 12 1)) )) (forall ((?x1344 Int)) (! (= (MINUS_LEFT_PTR ?x1344 1 12) (Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?x1344)) :pattern ((MINUS_LEFT_PTR ?x1344 1 12)) )) (forall ((?x1345 Int)) (! (= (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv (ValidDataMask__SERIAL_DEVICE_EXTENSION ?x1345)) ?x1345) :pattern ((ValidDataMask__SERIAL_DEVICE_EXTENSIONInv (ValidDataMask__SERIAL_DEVICE_EXTENSION ?x1345))) )) (forall ((?x1346 Int)) (! (= (ValidDataMask__SERIAL_DEVICE_EXTENSION (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?x1346)) ?x1346) :pattern ((ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?x1346)) )) (forall ((?x1347 boogieU) (?S540 boogieU)) (! (=> (and (= (type ?x1347) intType) (= (type ?S540) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION ?S540) ?x1347)) boolTrue) (= (U_2_bool (MapType0Select ?S540 (int_2_U (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1347))))) boolTrue))) :pattern ((MapType0Select (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION ?S540) ?x1347)) )) (forall ((?x1348 boogieU) (?S541 boogieU)) (! (=> (and (= (type ?x1348) intType) (= (type ?S541) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?S541) ?x1348)) boolTrue) (= (U_2_bool (MapType0Select ?S541 (int_2_U (ValidDataMask__SERIAL_DEVICE_EXTENSION (U_2_int ?x1348))))) boolTrue))) :pattern ((MapType0Select (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?S541) ?x1348)) )) (forall ((?x1349 boogieU) (?S542 boogieU)) (! (=> (and (= (type ?x1349) intType) (= (type ?S542) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S542 ?x1349)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION ?S542) (int_2_U (ValidDataMask__SERIAL_DEVICE_EXTENSION (U_2_int ?x1349))))) boolTrue))) :pattern ((MapType0Select ?S542 ?x1349) (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION ?S542)) )) (forall ((?x1350 boogieU) (?S543 boogieU)) (! (=> (and (= (type ?x1350) intType) (= (type ?S543) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S543 ?x1350)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?S543) (int_2_U (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1350))))) boolTrue))) :pattern ((MapType0Select ?S543 ?x1350) (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?S543)) )) (forall ((?x1351 Int)) (! (= (ValidDataMask__SERIAL_DEVICE_EXTENSION ?x1351) (+ ?x1351 465)) :pattern ((ValidDataMask__SERIAL_DEVICE_EXTENSION ?x1351)) )) (forall ((?x1352 Int)) (! (= (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?x1352) (- ?x1352 465)) :pattern ((ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?x1352)) )) (forall ((?x1353 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1353 465 1) (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?x1353)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1353 465 1)) )) (forall ((?x1354 Int)) (! (= (MINUS_LEFT_PTR ?x1354 1 465) (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?x1354)) :pattern ((MINUS_LEFT_PTR ?x1354 1 465)) )) (forall ((?x1355 Int)) (! (= (WmiCommData__SERIAL_DEVICE_EXTENSIONInv (WmiCommData__SERIAL_DEVICE_EXTENSION ?x1355)) ?x1355) :pattern ((WmiCommData__SERIAL_DEVICE_EXTENSIONInv (WmiCommData__SERIAL_DEVICE_EXTENSION ?x1355))) )) (forall ((?x1356 Int)) (! (= (WmiCommData__SERIAL_DEVICE_EXTENSION (WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?x1356)) ?x1356) :pattern ((WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?x1356)) )) (forall ((?x1357 boogieU) (?S544 boogieU)) (! (=> (and (= (type ?x1357) intType) (= (type ?S544) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WmiCommData__SERIAL_DEVICE_EXTENSION ?S544) ?x1357)) boolTrue) (= (U_2_bool (MapType0Select ?S544 (int_2_U (WmiCommData__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1357))))) boolTrue))) :pattern ((MapType0Select (x_S_WmiCommData__SERIAL_DEVICE_EXTENSION ?S544) ?x1357)) )) (forall ((?x1358 boogieU) (?S545 boogieU)) (! (=> (and (= (type ?x1358) intType) (= (type ?S545) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?S545) ?x1358)) boolTrue) (= (U_2_bool (MapType0Select ?S545 (int_2_U (WmiCommData__SERIAL_DEVICE_EXTENSION (U_2_int ?x1358))))) boolTrue))) :pattern ((MapType0Select (x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?S545) ?x1358)) )) (forall ((?x1359 boogieU) (?S546 boogieU)) (! (=> (and (= (type ?x1359) intType) (= (type ?S546) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S546 ?x1359)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WmiCommData__SERIAL_DEVICE_EXTENSION ?S546) (int_2_U (WmiCommData__SERIAL_DEVICE_EXTENSION (U_2_int ?x1359))))) boolTrue))) :pattern ((MapType0Select ?S546 ?x1359) (x_S_WmiCommData__SERIAL_DEVICE_EXTENSION ?S546)) )) (forall ((?x1360 boogieU) (?S547 boogieU)) (! (=> (and (= (type ?x1360) intType) (= (type ?S547) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S547 ?x1360)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?S547) (int_2_U (WmiCommData__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1360))))) boolTrue))) :pattern ((MapType0Select ?S547 ?x1360) (x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?S547)) )) (forall ((?x1361 Int)) (! (= (WmiCommData__SERIAL_DEVICE_EXTENSION ?x1361) (+ ?x1361 1484)) :pattern ((WmiCommData__SERIAL_DEVICE_EXTENSION ?x1361)) )) (forall ((?x1362 Int)) (! (= (WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?x1362) (- ?x1362 1484)) :pattern ((WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?x1362)) )) (forall ((?x1363 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1363 1484 1) (WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?x1363)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1363 1484 1)) )) (forall ((?x1364 Int)) (! (= (MINUS_LEFT_PTR ?x1364 1 1484) (WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?x1364)) :pattern ((MINUS_LEFT_PTR ?x1364 1 1484)) )) (forall ((?x1365 Int)) (! (= (WordLength__SERIAL_LINE_CONTROLInv (WordLength__SERIAL_LINE_CONTROL ?x1365)) ?x1365) :pattern ((WordLength__SERIAL_LINE_CONTROLInv (WordLength__SERIAL_LINE_CONTROL ?x1365))) )) (forall ((?x1366 Int)) (! (= (WordLength__SERIAL_LINE_CONTROL (WordLength__SERIAL_LINE_CONTROLInv ?x1366)) ?x1366) :pattern ((WordLength__SERIAL_LINE_CONTROLInv ?x1366)) )) (forall ((?x1367 boogieU) (?S548 boogieU)) (! (=> (and (= (type ?x1367) intType) (= (type ?S548) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WordLength__SERIAL_LINE_CONTROL ?S548) ?x1367)) boolTrue) (= (U_2_bool (MapType0Select ?S548 (int_2_U (WordLength__SERIAL_LINE_CONTROLInv (U_2_int ?x1367))))) boolTrue))) :pattern ((MapType0Select (x_S_WordLength__SERIAL_LINE_CONTROL ?S548) ?x1367)) )) (forall ((?x1368 boogieU) (?S549 boogieU)) (! (=> (and (= (type ?x1368) intType) (= (type ?S549) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WordLength__SERIAL_LINE_CONTROLInv ?S549) ?x1368)) boolTrue) (= (U_2_bool (MapType0Select ?S549 (int_2_U (WordLength__SERIAL_LINE_CONTROL (U_2_int ?x1368))))) boolTrue))) :pattern ((MapType0Select (x_S_WordLength__SERIAL_LINE_CONTROLInv ?S549) ?x1368)) )) (forall ((?x1369 boogieU) (?S550 boogieU)) (! (=> (and (= (type ?x1369) intType) (= (type ?S550) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S550 ?x1369)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WordLength__SERIAL_LINE_CONTROL ?S550) (int_2_U (WordLength__SERIAL_LINE_CONTROL (U_2_int ?x1369))))) boolTrue))) :pattern ((MapType0Select ?S550 ?x1369) (x_S_WordLength__SERIAL_LINE_CONTROL ?S550)) )) (forall ((?x1370 boogieU) (?S551 boogieU)) (! (=> (and (= (type ?x1370) intType) (= (type ?S551) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S551 ?x1370)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WordLength__SERIAL_LINE_CONTROLInv ?S551) (int_2_U (WordLength__SERIAL_LINE_CONTROLInv (U_2_int ?x1370))))) boolTrue))) :pattern ((MapType0Select ?S551 ?x1370) (x_S_WordLength__SERIAL_LINE_CONTROLInv ?S551)) )) (forall ((?x1371 Int)) (! (= (WordLength__SERIAL_LINE_CONTROL ?x1371) (+ ?x1371 2)) :pattern ((WordLength__SERIAL_LINE_CONTROL ?x1371)) )) (forall ((?x1372 Int)) (! (= (WordLength__SERIAL_LINE_CONTROLInv ?x1372) (- ?x1372 2)) :pattern ((WordLength__SERIAL_LINE_CONTROLInv ?x1372)) )) (forall ((?x1373 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1373 2 1) (WordLength__SERIAL_LINE_CONTROLInv ?x1373)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1373 2 1)) )) (forall ((?x1374 Int)) (! (= (MINUS_LEFT_PTR ?x1374 1 2) (WordLength__SERIAL_LINE_CONTROLInv ?x1374)) :pattern ((MINUS_LEFT_PTR ?x1374 1 2)) )) (forall ((?x1375 Int)) (! (= (WriteQueue__SERIAL_DEVICE_EXTENSIONInv (WriteQueue__SERIAL_DEVICE_EXTENSION ?x1375)) ?x1375) :pattern ((WriteQueue__SERIAL_DEVICE_EXTENSIONInv (WriteQueue__SERIAL_DEVICE_EXTENSION ?x1375))) )) (forall ((?x1376 Int)) (! (= (WriteQueue__SERIAL_DEVICE_EXTENSION (WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?x1376)) ?x1376) :pattern ((WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?x1376)) )) (forall ((?x1377 boogieU) (?S552 boogieU)) (! (=> (and (= (type ?x1377) intType) (= (type ?S552) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteQueue__SERIAL_DEVICE_EXTENSION ?S552) ?x1377)) boolTrue) (= (U_2_bool (MapType0Select ?S552 (int_2_U (WriteQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1377))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteQueue__SERIAL_DEVICE_EXTENSION ?S552) ?x1377)) )) (forall ((?x1378 boogieU) (?S553 boogieU)) (! (=> (and (= (type ?x1378) intType) (= (type ?S553) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?S553) ?x1378)) boolTrue) (= (U_2_bool (MapType0Select ?S553 (int_2_U (WriteQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1378))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?S553) ?x1378)) )) (forall ((?x1379 boogieU) (?S554 boogieU)) (! (=> (and (= (type ?x1379) intType) (= (type ?S554) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S554 ?x1379)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteQueue__SERIAL_DEVICE_EXTENSION ?S554) (int_2_U (WriteQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1379))))) boolTrue))) :pattern ((MapType0Select ?S554 ?x1379) (x_S_WriteQueue__SERIAL_DEVICE_EXTENSION ?S554)) )) (forall ((?x1380 boogieU) (?S555 boogieU)) (! (=> (and (= (type ?x1380) intType) (= (type ?S555) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S555 ?x1380)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?S555) (int_2_U (WriteQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1380))))) boolTrue))) :pattern ((MapType0Select ?S555 ?x1380) (x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?S555)) )) (forall ((?x1381 Int)) (! (= (WriteQueue__SERIAL_DEVICE_EXTENSION ?x1381) (+ ?x1381 164)) :pattern ((WriteQueue__SERIAL_DEVICE_EXTENSION ?x1381)) )) (forall ((?x1382 Int)) (! (= (WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?x1382) (- ?x1382 164)) :pattern ((WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?x1382)) )) (forall ((?x1383 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1383 164 1) (WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?x1383)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1383 164 1)) )) (forall ((?x1384 Int)) (! (= (MINUS_LEFT_PTR ?x1384 1 164) (WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?x1384)) :pattern ((MINUS_LEFT_PTR ?x1384 1 164)) )) (forall ((?x1385 Int)) (! (= (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1385)) ?x1385) :pattern ((WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1385))) )) (forall ((?x1386 Int)) (! (= (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1386)) ?x1386) :pattern ((WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1386)) )) (forall ((?x1387 boogieU) (?S556 boogieU)) (! (=> (and (= (type ?x1387) intType) (= (type ?S556) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S556) ?x1387)) boolTrue) (= (U_2_bool (MapType0Select ?S556 (int_2_U (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1387))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S556) ?x1387)) )) (forall ((?x1388 boogieU) (?S557 boogieU)) (! (=> (and (= (type ?x1388) intType) (= (type ?S557) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S557) ?x1388)) boolTrue) (= (U_2_bool (MapType0Select ?S557 (int_2_U (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1388))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S557) ?x1388)) )) (forall ((?x1389 boogieU) (?S558 boogieU)) (! (=> (and (= (type ?x1389) intType) (= (type ?S558) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S558 ?x1389)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S558) (int_2_U (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1389))))) boolTrue))) :pattern ((MapType0Select ?S558 ?x1389) (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S558)) )) (forall ((?x1390 boogieU) (?S559 boogieU)) (! (=> (and (= (type ?x1390) intType) (= (type ?S559) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S559 ?x1390)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S559) (int_2_U (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1390))))) boolTrue))) :pattern ((MapType0Select ?S559 ?x1390) (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S559)) )) (forall ((?x1391 Int)) (! (= (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1391) (+ ?x1391 1048)) :pattern ((WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1391)) )) (forall ((?x1392 Int)) (! (= (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1392) (- ?x1392 1048)) :pattern ((WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1392)) )) (forall ((?x1393 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1393 1048 1) (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1393)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1393 1048 1)) )) (forall ((?x1394 Int)) (! (= (MINUS_LEFT_PTR ?x1394 1 1048) (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1394)) :pattern ((MINUS_LEFT_PTR ?x1394 1 1048)) )) (forall ((?x1395 Int)) (! (= (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv (WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1395)) ?x1395) :pattern ((WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv (WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1395))) )) (forall ((?x1396 Int)) (! (= (WriteTotalTimeoutConstant__SERIAL_TIMEOUTS (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1396)) ?x1396) :pattern ((WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1396)) )) (forall ((?x1397 boogieU) (?S560 boogieU)) (! (=> (and (= (type ?x1397) intType) (= (type ?S560) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?S560) ?x1397)) boolTrue) (= (U_2_bool (MapType0Select ?S560 (int_2_U (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv (U_2_int ?x1397))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?S560) ?x1397)) )) (forall ((?x1398 boogieU) (?S561 boogieU)) (! (=> (and (= (type ?x1398) intType) (= (type ?S561) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S561) ?x1398)) boolTrue) (= (U_2_bool (MapType0Select ?S561 (int_2_U (WriteTotalTimeoutConstant__SERIAL_TIMEOUTS (U_2_int ?x1398))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S561) ?x1398)) )) (forall ((?x1399 boogieU) (?S562 boogieU)) (! (=> (and (= (type ?x1399) intType) (= (type ?S562) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S562 ?x1399)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?S562) (int_2_U (WriteTotalTimeoutConstant__SERIAL_TIMEOUTS (U_2_int ?x1399))))) boolTrue))) :pattern ((MapType0Select ?S562 ?x1399) (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?S562)) )) (forall ((?x1400 boogieU) (?S563 boogieU)) (! (=> (and (= (type ?x1400) intType) (= (type ?S563) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S563 ?x1400)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S563) (int_2_U (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv (U_2_int ?x1400))))) boolTrue))) :pattern ((MapType0Select ?S563 ?x1400) (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S563)) )) (forall ((?x1401 Int)) (! (= (WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1401) (+ ?x1401 16)) :pattern ((WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1401)) )) (forall ((?x1402 Int)) (! (= (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1402) (- ?x1402 16)) :pattern ((WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1402)) )) (forall ((?x1403 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1403 16 1) (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1403)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1403 16 1)) )) (forall ((?x1404 Int)) (! (= (MINUS_LEFT_PTR ?x1404 1 16) (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1404)) :pattern ((MINUS_LEFT_PTR ?x1404 1 16)) )) (forall ((?x1405 Int)) (! (= (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1405)) ?x1405) :pattern ((WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1405))) )) (forall ((?x1406 Int)) (! (= (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1406)) ?x1406) :pattern ((WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1406)) )) (forall ((?x1407 boogieU) (?S564 boogieU)) (! (=> (and (= (type ?x1407) intType) (= (type ?S564) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S564) ?x1407)) boolTrue) (= (U_2_bool (MapType0Select ?S564 (int_2_U (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (U_2_int ?x1407))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S564) ?x1407)) )) (forall ((?x1408 boogieU) (?S565 boogieU)) (! (=> (and (= (type ?x1408) intType) (= (type ?S565) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S565) ?x1408)) boolTrue) (= (U_2_bool (MapType0Select ?S565 (int_2_U (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS (U_2_int ?x1408))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S565) ?x1408)) )) (forall ((?x1409 boogieU) (?S566 boogieU)) (! (=> (and (= (type ?x1409) intType) (= (type ?S566) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S566 ?x1409)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S566) (int_2_U (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS (U_2_int ?x1409))))) boolTrue))) :pattern ((MapType0Select ?S566 ?x1409) (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S566)) )) (forall ((?x1410 boogieU) (?S567 boogieU)) (! (=> (and (= (type ?x1410) intType) (= (type ?S567) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S567 ?x1410)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S567) (int_2_U (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (U_2_int ?x1410))))) boolTrue))) :pattern ((MapType0Select ?S567 ?x1410) (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S567)) )) (forall ((?x1411 Int)) (! (= (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1411) (+ ?x1411 12)) :pattern ((WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1411)) )) (forall ((?x1412 Int)) (! (= (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1412) (- ?x1412 12)) :pattern ((WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1412)) )) (forall ((?x1413 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1413 12 1) (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1413)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1413 12 1)) )) (forall ((?x1414 Int)) (! (= (MINUS_LEFT_PTR ?x1414 1 12) (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1414)) :pattern ((MINUS_LEFT_PTR ?x1414 1 12)) )) (forall ((?x1415 Int)) (! (= (Write___unnamed_16_57edbc3aInv (Write___unnamed_16_57edbc3a ?x1415)) ?x1415) :pattern ((Write___unnamed_16_57edbc3aInv (Write___unnamed_16_57edbc3a ?x1415))) )) (forall ((?x1416 Int)) (! (= (Write___unnamed_16_57edbc3a (Write___unnamed_16_57edbc3aInv ?x1416)) ?x1416) :pattern ((Write___unnamed_16_57edbc3aInv ?x1416)) )) (forall ((?x1417 boogieU) (?S568 boogieU)) (! (=> (and (= (type ?x1417) intType) (= (type ?S568) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Write___unnamed_16_57edbc3a ?S568) ?x1417)) boolTrue) (= (U_2_bool (MapType0Select ?S568 (int_2_U (Write___unnamed_16_57edbc3aInv (U_2_int ?x1417))))) boolTrue))) :pattern ((MapType0Select (x_S_Write___unnamed_16_57edbc3a ?S568) ?x1417)) )) (forall ((?x1418 boogieU) (?S569 boogieU)) (! (=> (and (= (type ?x1418) intType) (= (type ?S569) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Write___unnamed_16_57edbc3aInv ?S569) ?x1418)) boolTrue) (= (U_2_bool (MapType0Select ?S569 (int_2_U (Write___unnamed_16_57edbc3a (U_2_int ?x1418))))) boolTrue))) :pattern ((MapType0Select (x_S_Write___unnamed_16_57edbc3aInv ?S569) ?x1418)) )) (forall ((?x1419 boogieU) (?S570 boogieU)) (! (=> (and (= (type ?x1419) intType) (= (type ?S570) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S570 ?x1419)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Write___unnamed_16_57edbc3a ?S570) (int_2_U (Write___unnamed_16_57edbc3a (U_2_int ?x1419))))) boolTrue))) :pattern ((MapType0Select ?S570 ?x1419) (x_S_Write___unnamed_16_57edbc3a ?S570)) )) (forall ((?x1420 boogieU) (?S571 boogieU)) (! (=> (and (= (type ?x1420) intType) (= (type ?S571) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S571 ?x1420)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Write___unnamed_16_57edbc3aInv ?S571) (int_2_U (Write___unnamed_16_57edbc3aInv (U_2_int ?x1420))))) boolTrue))) :pattern ((MapType0Select ?S571 ?x1420) (x_S_Write___unnamed_16_57edbc3aInv ?S571)) )) (forall ((?x1421 Int)) (! (= (Write___unnamed_16_57edbc3a ?x1421) (+ ?x1421 0)) :pattern ((Write___unnamed_16_57edbc3a ?x1421)) )) (forall ((?x1422 Int)) (! (= (Write___unnamed_16_57edbc3aInv ?x1422) (- ?x1422 0)) :pattern ((Write___unnamed_16_57edbc3aInv ?x1422)) )) (forall ((?x1423 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1423 0 1) (Write___unnamed_16_57edbc3aInv ?x1423)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1423 0 1)) )) (forall ((?x1424 Int)) (! (= (MINUS_LEFT_PTR ?x1424 1 0) (Write___unnamed_16_57edbc3aInv ?x1424)) :pattern ((MINUS_LEFT_PTR ?x1424 1 0)) )) (forall ((?x1425 Int)) (! (= (XoffChar__SERIAL_CHARSInv (XoffChar__SERIAL_CHARS ?x1425)) ?x1425) :pattern ((XoffChar__SERIAL_CHARSInv (XoffChar__SERIAL_CHARS ?x1425))) )) (forall ((?x1426 Int)) (! (= (XoffChar__SERIAL_CHARS (XoffChar__SERIAL_CHARSInv ?x1426)) ?x1426) :pattern ((XoffChar__SERIAL_CHARSInv ?x1426)) )) (forall ((?x1427 boogieU) (?S572 boogieU)) (! (=> (and (= (type ?x1427) intType) (= (type ?S572) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffChar__SERIAL_CHARS ?S572) ?x1427)) boolTrue) (= (U_2_bool (MapType0Select ?S572 (int_2_U (XoffChar__SERIAL_CHARSInv (U_2_int ?x1427))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffChar__SERIAL_CHARS ?S572) ?x1427)) )) (forall ((?x1428 boogieU) (?S573 boogieU)) (! (=> (and (= (type ?x1428) intType) (= (type ?S573) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffChar__SERIAL_CHARSInv ?S573) ?x1428)) boolTrue) (= (U_2_bool (MapType0Select ?S573 (int_2_U (XoffChar__SERIAL_CHARS (U_2_int ?x1428))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffChar__SERIAL_CHARSInv ?S573) ?x1428)) )) (forall ((?x1429 boogieU) (?S574 boogieU)) (! (=> (and (= (type ?x1429) intType) (= (type ?S574) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S574 ?x1429)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffChar__SERIAL_CHARS ?S574) (int_2_U (XoffChar__SERIAL_CHARS (U_2_int ?x1429))))) boolTrue))) :pattern ((MapType0Select ?S574 ?x1429) (x_S_XoffChar__SERIAL_CHARS ?S574)) )) (forall ((?x1430 boogieU) (?S575 boogieU)) (! (=> (and (= (type ?x1430) intType) (= (type ?S575) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S575 ?x1430)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffChar__SERIAL_CHARSInv ?S575) (int_2_U (XoffChar__SERIAL_CHARSInv (U_2_int ?x1430))))) boolTrue))) :pattern ((MapType0Select ?S575 ?x1430) (x_S_XoffChar__SERIAL_CHARSInv ?S575)) )) (forall ((?x1431 Int)) (! (= (XoffChar__SERIAL_CHARS ?x1431) (+ ?x1431 5)) :pattern ((XoffChar__SERIAL_CHARS ?x1431)) )) (forall ((?x1432 Int)) (! (= (XoffChar__SERIAL_CHARSInv ?x1432) (- ?x1432 5)) :pattern ((XoffChar__SERIAL_CHARSInv ?x1432)) )) (forall ((?x1433 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1433 5 1) (XoffChar__SERIAL_CHARSInv ?x1433)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1433 5 1)) )) (forall ((?x1434 Int)) (! (= (MINUS_LEFT_PTR ?x1434 1 5) (XoffChar__SERIAL_CHARSInv ?x1434)) :pattern ((MINUS_LEFT_PTR ?x1434 1 5)) )) (forall ((?x1435 Int)) (! (= (XoffCharacter__SERIAL_WMI_COMM_DATAInv (XoffCharacter__SERIAL_WMI_COMM_DATA ?x1435)) ?x1435) :pattern ((XoffCharacter__SERIAL_WMI_COMM_DATAInv (XoffCharacter__SERIAL_WMI_COMM_DATA ?x1435))) )) (forall ((?x1436 Int)) (! (= (XoffCharacter__SERIAL_WMI_COMM_DATA (XoffCharacter__SERIAL_WMI_COMM_DATAInv ?x1436)) ?x1436) :pattern ((XoffCharacter__SERIAL_WMI_COMM_DATAInv ?x1436)) )) (forall ((?x1437 boogieU) (?S576 boogieU)) (! (=> (and (= (type ?x1437) intType) (= (type ?S576) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffCharacter__SERIAL_WMI_COMM_DATA ?S576) ?x1437)) boolTrue) (= (U_2_bool (MapType0Select ?S576 (int_2_U (XoffCharacter__SERIAL_WMI_COMM_DATAInv (U_2_int ?x1437))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffCharacter__SERIAL_WMI_COMM_DATA ?S576) ?x1437)) )) (forall ((?x1438 boogieU) (?S577 boogieU)) (! (=> (and (= (type ?x1438) intType) (= (type ?S577) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv ?S577) ?x1438)) boolTrue) (= (U_2_bool (MapType0Select ?S577 (int_2_U (XoffCharacter__SERIAL_WMI_COMM_DATA (U_2_int ?x1438))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv ?S577) ?x1438)) )) (forall ((?x1439 boogieU) (?S578 boogieU)) (! (=> (and (= (type ?x1439) intType) (= (type ?S578) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S578 ?x1439)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffCharacter__SERIAL_WMI_COMM_DATA ?S578) (int_2_U (XoffCharacter__SERIAL_WMI_COMM_DATA (U_2_int ?x1439))))) boolTrue))) :pattern ((MapType0Select ?S578 ?x1439) (x_S_XoffCharacter__SERIAL_WMI_COMM_DATA ?S578)) )) (forall ((?x1440 boogieU) (?S579 boogieU)) (! (=> (and (= (type ?x1440) intType) (= (type ?S579) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S579 ?x1440)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv ?S579) (int_2_U (XoffCharacter__SERIAL_WMI_COMM_DATAInv (U_2_int ?x1440))))) boolTrue))) :pattern ((MapType0Select ?S579 ?x1440) (x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv ?S579)) )) (forall ((?x1441 Int)) (! (= (XoffCharacter__SERIAL_WMI_COMM_DATA ?x1441) (+ ?x1441 20)) :pattern ((XoffCharacter__SERIAL_WMI_COMM_DATA ?x1441)) )) (forall ((?x1442 Int)) (! (= (XoffCharacter__SERIAL_WMI_COMM_DATAInv ?x1442) (- ?x1442 20)) :pattern ((XoffCharacter__SERIAL_WMI_COMM_DATAInv ?x1442)) )) (forall ((?x1443 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1443 20 1) (XoffCharacter__SERIAL_WMI_COMM_DATAInv ?x1443)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1443 20 1)) )) (forall ((?x1444 Int)) (! (= (MINUS_LEFT_PTR ?x1444 1 20) (XoffCharacter__SERIAL_WMI_COMM_DATAInv ?x1444)) :pattern ((MINUS_LEFT_PTR ?x1444 1 20)) )) (forall ((?x1445 Int)) (! (= (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1445)) ?x1445) :pattern ((XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1445))) )) (forall ((?x1446 Int)) (! (= (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1446)) ?x1446) :pattern ((XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1446)) )) (forall ((?x1447 boogieU) (?S580 boogieU)) (! (=> (and (= (type ?x1447) intType) (= (type ?S580) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S580) ?x1447)) boolTrue) (= (U_2_bool (MapType0Select ?S580 (int_2_U (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1447))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S580) ?x1447)) )) (forall ((?x1448 boogieU) (?S581 boogieU)) (! (=> (and (= (type ?x1448) intType) (= (type ?S581) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S581) ?x1448)) boolTrue) (= (U_2_bool (MapType0Select ?S581 (int_2_U (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1448))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S581) ?x1448)) )) (forall ((?x1449 boogieU) (?S582 boogieU)) (! (=> (and (= (type ?x1449) intType) (= (type ?S582) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S582 ?x1449)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S582) (int_2_U (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1449))))) boolTrue))) :pattern ((MapType0Select ?S582 ?x1449) (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S582)) )) (forall ((?x1450 boogieU) (?S583 boogieU)) (! (=> (and (= (type ?x1450) intType) (= (type ?S583) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S583 ?x1450)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S583) (int_2_U (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1450))))) boolTrue))) :pattern ((MapType0Select ?S583 ?x1450) (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S583)) )) (forall ((?x1451 Int)) (! (= (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1451) (+ ?x1451 772)) :pattern ((XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1451)) )) (forall ((?x1452 Int)) (! (= (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1452) (- ?x1452 772)) :pattern ((XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1452)) )) (forall ((?x1453 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1453 772 1) (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1453)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1453 772 1)) )) (forall ((?x1454 Int)) (! (= (MINUS_LEFT_PTR ?x1454 1 772) (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1454)) :pattern ((MINUS_LEFT_PTR ?x1454 1 772)) )) (forall ((?x1455 Int)) (! (= (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv (XoffCountTimer__SERIAL_DEVICE_EXTENSION ?x1455)) ?x1455) :pattern ((XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv (XoffCountTimer__SERIAL_DEVICE_EXTENSION ?x1455))) )) (forall ((?x1456 Int)) (! (= (XoffCountTimer__SERIAL_DEVICE_EXTENSION (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?x1456)) ?x1456) :pattern ((XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?x1456)) )) (forall ((?x1457 boogieU) (?S584 boogieU)) (! (=> (and (= (type ?x1457) intType) (= (type ?S584) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION ?S584) ?x1457)) boolTrue) (= (U_2_bool (MapType0Select ?S584 (int_2_U (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1457))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION ?S584) ?x1457)) )) (forall ((?x1458 boogieU) (?S585 boogieU)) (! (=> (and (= (type ?x1458) intType) (= (type ?S585) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?S585) ?x1458)) boolTrue) (= (U_2_bool (MapType0Select ?S585 (int_2_U (XoffCountTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1458))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?S585) ?x1458)) )) (forall ((?x1459 boogieU) (?S586 boogieU)) (! (=> (and (= (type ?x1459) intType) (= (type ?S586) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S586 ?x1459)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION ?S586) (int_2_U (XoffCountTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1459))))) boolTrue))) :pattern ((MapType0Select ?S586 ?x1459) (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION ?S586)) )) (forall ((?x1460 boogieU) (?S587 boogieU)) (! (=> (and (= (type ?x1460) intType) (= (type ?S587) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S587 ?x1460)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?S587) (int_2_U (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1460))))) boolTrue))) :pattern ((MapType0Select ?S587 ?x1460) (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?S587)) )) (forall ((?x1461 Int)) (! (= (XoffCountTimer__SERIAL_DEVICE_EXTENSION ?x1461) (+ ?x1461 1128)) :pattern ((XoffCountTimer__SERIAL_DEVICE_EXTENSION ?x1461)) )) (forall ((?x1462 Int)) (! (= (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?x1462) (- ?x1462 1128)) :pattern ((XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?x1462)) )) (forall ((?x1463 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1463 1128 1) (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?x1463)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1463 1128 1)) )) (forall ((?x1464 Int)) (! (= (MINUS_LEFT_PTR ?x1464 1 1128) (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?x1464)) :pattern ((MINUS_LEFT_PTR ?x1464 1 1128)) )) (forall ((?x1465 Int)) (! (= (XoffLimit__SERIAL_HANDFLOWInv (XoffLimit__SERIAL_HANDFLOW ?x1465)) ?x1465) :pattern ((XoffLimit__SERIAL_HANDFLOWInv (XoffLimit__SERIAL_HANDFLOW ?x1465))) )) (forall ((?x1466 Int)) (! (= (XoffLimit__SERIAL_HANDFLOW (XoffLimit__SERIAL_HANDFLOWInv ?x1466)) ?x1466) :pattern ((XoffLimit__SERIAL_HANDFLOWInv ?x1466)) )) (forall ((?x1467 boogieU) (?S588 boogieU)) (! (=> (and (= (type ?x1467) intType) (= (type ?S588) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffLimit__SERIAL_HANDFLOW ?S588) ?x1467)) boolTrue) (= (U_2_bool (MapType0Select ?S588 (int_2_U (XoffLimit__SERIAL_HANDFLOWInv (U_2_int ?x1467))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffLimit__SERIAL_HANDFLOW ?S588) ?x1467)) )) (forall ((?x1468 boogieU) (?S589 boogieU)) (! (=> (and (= (type ?x1468) intType) (= (type ?S589) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffLimit__SERIAL_HANDFLOWInv ?S589) ?x1468)) boolTrue) (= (U_2_bool (MapType0Select ?S589 (int_2_U (XoffLimit__SERIAL_HANDFLOW (U_2_int ?x1468))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffLimit__SERIAL_HANDFLOWInv ?S589) ?x1468)) )) (forall ((?x1469 boogieU) (?S590 boogieU)) (! (=> (and (= (type ?x1469) intType) (= (type ?S590) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S590 ?x1469)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffLimit__SERIAL_HANDFLOW ?S590) (int_2_U (XoffLimit__SERIAL_HANDFLOW (U_2_int ?x1469))))) boolTrue))) :pattern ((MapType0Select ?S590 ?x1469) (x_S_XoffLimit__SERIAL_HANDFLOW ?S590)) )) (forall ((?x1470 boogieU) (?S591 boogieU)) (! (=> (and (= (type ?x1470) intType) (= (type ?S591) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S591 ?x1470)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffLimit__SERIAL_HANDFLOWInv ?S591) (int_2_U (XoffLimit__SERIAL_HANDFLOWInv (U_2_int ?x1470))))) boolTrue))) :pattern ((MapType0Select ?S591 ?x1470) (x_S_XoffLimit__SERIAL_HANDFLOWInv ?S591)) )) (forall ((?x1471 Int)) (! (= (XoffLimit__SERIAL_HANDFLOW ?x1471) (+ ?x1471 12)) :pattern ((XoffLimit__SERIAL_HANDFLOW ?x1471)) )) (forall ((?x1472 Int)) (! (= (XoffLimit__SERIAL_HANDFLOWInv ?x1472) (- ?x1472 12)) :pattern ((XoffLimit__SERIAL_HANDFLOWInv ?x1472)) )) (forall ((?x1473 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1473 12 1) (XoffLimit__SERIAL_HANDFLOWInv ?x1473)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1473 12 1)) )) (forall ((?x1474 Int)) (! (= (MINUS_LEFT_PTR ?x1474 1 12) (XoffLimit__SERIAL_HANDFLOWInv ?x1474)) :pattern ((MINUS_LEFT_PTR ?x1474 1 12)) )) (forall ((?x1475 Int)) (! (= (XonChar__SERIAL_CHARSInv (XonChar__SERIAL_CHARS ?x1475)) ?x1475) :pattern ((XonChar__SERIAL_CHARSInv (XonChar__SERIAL_CHARS ?x1475))) )) (forall ((?x1476 Int)) (! (= (XonChar__SERIAL_CHARS (XonChar__SERIAL_CHARSInv ?x1476)) ?x1476) :pattern ((XonChar__SERIAL_CHARSInv ?x1476)) )) (forall ((?x1477 boogieU) (?S592 boogieU)) (! (=> (and (= (type ?x1477) intType) (= (type ?S592) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XonChar__SERIAL_CHARS ?S592) ?x1477)) boolTrue) (= (U_2_bool (MapType0Select ?S592 (int_2_U (XonChar__SERIAL_CHARSInv (U_2_int ?x1477))))) boolTrue))) :pattern ((MapType0Select (x_S_XonChar__SERIAL_CHARS ?S592) ?x1477)) )) (forall ((?x1478 boogieU) (?S593 boogieU)) (! (=> (and (= (type ?x1478) intType) (= (type ?S593) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XonChar__SERIAL_CHARSInv ?S593) ?x1478)) boolTrue) (= (U_2_bool (MapType0Select ?S593 (int_2_U (XonChar__SERIAL_CHARS (U_2_int ?x1478))))) boolTrue))) :pattern ((MapType0Select (x_S_XonChar__SERIAL_CHARSInv ?S593) ?x1478)) )) (forall ((?x1479 boogieU) (?S594 boogieU)) (! (=> (and (= (type ?x1479) intType) (= (type ?S594) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S594 ?x1479)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XonChar__SERIAL_CHARS ?S594) (int_2_U (XonChar__SERIAL_CHARS (U_2_int ?x1479))))) boolTrue))) :pattern ((MapType0Select ?S594 ?x1479) (x_S_XonChar__SERIAL_CHARS ?S594)) )) (forall ((?x1480 boogieU) (?S595 boogieU)) (! (=> (and (= (type ?x1480) intType) (= (type ?S595) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S595 ?x1480)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XonChar__SERIAL_CHARSInv ?S595) (int_2_U (XonChar__SERIAL_CHARSInv (U_2_int ?x1480))))) boolTrue))) :pattern ((MapType0Select ?S595 ?x1480) (x_S_XonChar__SERIAL_CHARSInv ?S595)) )) (forall ((?x1481 Int)) (! (= (XonChar__SERIAL_CHARS ?x1481) (+ ?x1481 4)) :pattern ((XonChar__SERIAL_CHARS ?x1481)) )) (forall ((?x1482 Int)) (! (= (XonChar__SERIAL_CHARSInv ?x1482) (- ?x1482 4)) :pattern ((XonChar__SERIAL_CHARSInv ?x1482)) )) (forall ((?x1483 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1483 4 1) (XonChar__SERIAL_CHARSInv ?x1483)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1483 4 1)) )) (forall ((?x1484 Int)) (! (= (MINUS_LEFT_PTR ?x1484 1 4) (XonChar__SERIAL_CHARSInv ?x1484)) :pattern ((MINUS_LEFT_PTR ?x1484 1 4)) )) (forall ((?x1485 Int)) (! (= (XonCharacter__SERIAL_WMI_COMM_DATAInv (XonCharacter__SERIAL_WMI_COMM_DATA ?x1485)) ?x1485) :pattern ((XonCharacter__SERIAL_WMI_COMM_DATAInv (XonCharacter__SERIAL_WMI_COMM_DATA ?x1485))) )) (forall ((?x1486 Int)) (! (= (XonCharacter__SERIAL_WMI_COMM_DATA (XonCharacter__SERIAL_WMI_COMM_DATAInv ?x1486)) ?x1486) :pattern ((XonCharacter__SERIAL_WMI_COMM_DATAInv ?x1486)) )) (forall ((?x1487 boogieU) (?S596 boogieU)) (! (=> (and (= (type ?x1487) intType) (= (type ?S596) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XonCharacter__SERIAL_WMI_COMM_DATA ?S596) ?x1487)) boolTrue) (= (U_2_bool (MapType0Select ?S596 (int_2_U (XonCharacter__SERIAL_WMI_COMM_DATAInv (U_2_int ?x1487))))) boolTrue))) :pattern ((MapType0Select (x_S_XonCharacter__SERIAL_WMI_COMM_DATA ?S596) ?x1487)) )) (forall ((?x1488 boogieU) (?S597 boogieU)) (! (=> (and (= (type ?x1488) intType) (= (type ?S597) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv ?S597) ?x1488)) boolTrue) (= (U_2_bool (MapType0Select ?S597 (int_2_U (XonCharacter__SERIAL_WMI_COMM_DATA (U_2_int ?x1488))))) boolTrue))) :pattern ((MapType0Select (x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv ?S597) ?x1488)) )) (forall ((?x1489 boogieU) (?S598 boogieU)) (! (=> (and (= (type ?x1489) intType) (= (type ?S598) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S598 ?x1489)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XonCharacter__SERIAL_WMI_COMM_DATA ?S598) (int_2_U (XonCharacter__SERIAL_WMI_COMM_DATA (U_2_int ?x1489))))) boolTrue))) :pattern ((MapType0Select ?S598 ?x1489) (x_S_XonCharacter__SERIAL_WMI_COMM_DATA ?S598)) )) (forall ((?x1490 boogieU) (?S599 boogieU)) (! (=> (and (= (type ?x1490) intType) (= (type ?S599) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S599 ?x1490)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv ?S599) (int_2_U (XonCharacter__SERIAL_WMI_COMM_DATAInv (U_2_int ?x1490))))) boolTrue))) :pattern ((MapType0Select ?S599 ?x1490) (x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv ?S599)) )) (forall ((?x1491 Int)) (! (= (XonCharacter__SERIAL_WMI_COMM_DATA ?x1491) (+ ?x1491 28)) :pattern ((XonCharacter__SERIAL_WMI_COMM_DATA ?x1491)) )) (forall ((?x1492 Int)) (! (= (XonCharacter__SERIAL_WMI_COMM_DATAInv ?x1492) (- ?x1492 28)) :pattern ((XonCharacter__SERIAL_WMI_COMM_DATAInv ?x1492)) )) (forall ((?x1493 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1493 28 1) (XonCharacter__SERIAL_WMI_COMM_DATAInv ?x1493)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1493 28 1)) )) (forall ((?x1494 Int)) (! (= (MINUS_LEFT_PTR ?x1494 1 28) (XonCharacter__SERIAL_WMI_COMM_DATAInv ?x1494)) :pattern ((MINUS_LEFT_PTR ?x1494 1 28)) )) (forall ((?x1495 Int)) (! (= (XonLimit__SERIAL_HANDFLOWInv (XonLimit__SERIAL_HANDFLOW ?x1495)) ?x1495) :pattern ((XonLimit__SERIAL_HANDFLOWInv (XonLimit__SERIAL_HANDFLOW ?x1495))) )) (forall ((?x1496 Int)) (! (= (XonLimit__SERIAL_HANDFLOW (XonLimit__SERIAL_HANDFLOWInv ?x1496)) ?x1496) :pattern ((XonLimit__SERIAL_HANDFLOWInv ?x1496)) )) (forall ((?x1497 boogieU) (?S600 boogieU)) (! (=> (and (= (type ?x1497) intType) (= (type ?S600) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XonLimit__SERIAL_HANDFLOW ?S600) ?x1497)) boolTrue) (= (U_2_bool (MapType0Select ?S600 (int_2_U (XonLimit__SERIAL_HANDFLOWInv (U_2_int ?x1497))))) boolTrue))) :pattern ((MapType0Select (x_S_XonLimit__SERIAL_HANDFLOW ?S600) ?x1497)) )) (forall ((?x1498 boogieU) (?S601 boogieU)) (! (=> (and (= (type ?x1498) intType) (= (type ?S601) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XonLimit__SERIAL_HANDFLOWInv ?S601) ?x1498)) boolTrue) (= (U_2_bool (MapType0Select ?S601 (int_2_U (XonLimit__SERIAL_HANDFLOW (U_2_int ?x1498))))) boolTrue))) :pattern ((MapType0Select (x_S_XonLimit__SERIAL_HANDFLOWInv ?S601) ?x1498)) )) (forall ((?x1499 boogieU) (?S602 boogieU)) (! (=> (and (= (type ?x1499) intType) (= (type ?S602) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S602 ?x1499)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XonLimit__SERIAL_HANDFLOW ?S602) (int_2_U (XonLimit__SERIAL_HANDFLOW (U_2_int ?x1499))))) boolTrue))) :pattern ((MapType0Select ?S602 ?x1499) (x_S_XonLimit__SERIAL_HANDFLOW ?S602)) )) (forall ((?x1500 boogieU) (?S603 boogieU)) (! (=> (and (= (type ?x1500) intType) (= (type ?S603) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S603 ?x1500)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XonLimit__SERIAL_HANDFLOWInv ?S603) (int_2_U (XonLimit__SERIAL_HANDFLOWInv (U_2_int ?x1500))))) boolTrue))) :pattern ((MapType0Select ?S603 ?x1500) (x_S_XonLimit__SERIAL_HANDFLOWInv ?S603)) )) (forall ((?x1501 Int)) (! (= (XonLimit__SERIAL_HANDFLOW ?x1501) (+ ?x1501 8)) :pattern ((XonLimit__SERIAL_HANDFLOW ?x1501)) )) (forall ((?x1502 Int)) (! (= (XonLimit__SERIAL_HANDFLOWInv ?x1502) (- ?x1502 8)) :pattern ((XonLimit__SERIAL_HANDFLOWInv ?x1502)) )) (forall ((?x1503 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1503 8 1) (XonLimit__SERIAL_HANDFLOWInv ?x1503)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1503 8 1)) )) (forall ((?x1504 Int)) (! (= (MINUS_LEFT_PTR ?x1504 1 8) (XonLimit__SERIAL_HANDFLOWInv ?x1504)) :pattern ((MINUS_LEFT_PTR ?x1504 1 8)) )) (forall ((?x1505 Int)) (! (= (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv (x__unnamed_12_5cc47a19___unnamed_40_ebf2206a ?x1505)) ?x1505) :pattern ((x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv (x__unnamed_12_5cc47a19___unnamed_40_ebf2206a ?x1505))) )) (forall ((?x1506 Int)) (! (= (x__unnamed_12_5cc47a19___unnamed_40_ebf2206a (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?x1506)) ?x1506) :pattern ((x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?x1506)) )) (forall ((?x1507 boogieU) (?S604 boogieU)) (! (=> (and (= (type ?x1507) intType) (= (type ?S604) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a ?S604) ?x1507)) boolTrue) (= (U_2_bool (MapType0Select ?S604 (int_2_U (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv (U_2_int ?x1507))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a ?S604) ?x1507)) )) (forall ((?x1508 boogieU) (?S605 boogieU)) (! (=> (and (= (type ?x1508) intType) (= (type ?S605) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?S605) ?x1508)) boolTrue) (= (U_2_bool (MapType0Select ?S605 (int_2_U (x__unnamed_12_5cc47a19___unnamed_40_ebf2206a (U_2_int ?x1508))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?S605) ?x1508)) )) (forall ((?x1509 boogieU) (?S606 boogieU)) (! (=> (and (= (type ?x1509) intType) (= (type ?S606) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S606 ?x1509)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a ?S606) (int_2_U (x__unnamed_12_5cc47a19___unnamed_40_ebf2206a (U_2_int ?x1509))))) boolTrue))) :pattern ((MapType0Select ?S606 ?x1509) (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a ?S606)) )) (forall ((?x1510 boogieU) (?S607 boogieU)) (! (=> (and (= (type ?x1510) intType) (= (type ?S607) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S607 ?x1510)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?S607) (int_2_U (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv (U_2_int ?x1510))))) boolTrue))) :pattern ((MapType0Select ?S607 ?x1510) (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?S607)) )) (forall ((?x1511 Int)) (! (= (x__unnamed_12_5cc47a19___unnamed_40_ebf2206a ?x1511) (+ ?x1511 24)) :pattern ((x__unnamed_12_5cc47a19___unnamed_40_ebf2206a ?x1511)) )) (forall ((?x1512 Int)) (! (= (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?x1512) (- ?x1512 24)) :pattern ((x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?x1512)) )) (forall ((?x1513 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1513 24 1) (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?x1513)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1513 24 1)) )) (forall ((?x1514 Int)) (! (= (MINUS_LEFT_PTR ?x1514 1 24) (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?x1514)) :pattern ((MINUS_LEFT_PTR ?x1514 1 24)) )) (forall ((?x1515 Int)) (! (= (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (x__unnamed_4_ab1173de__IO_STATUS_BLOCK ?x1515)) ?x1515) :pattern ((x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (x__unnamed_4_ab1173de__IO_STATUS_BLOCK ?x1515))) )) (forall ((?x1516 Int)) (! (= (x__unnamed_4_ab1173de__IO_STATUS_BLOCK (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x1516)) ?x1516) :pattern ((x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x1516)) )) (forall ((?x1517 boogieU) (?S608 boogieU)) (! (=> (and (= (type ?x1517) intType) (= (type ?S608) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?S608) ?x1517)) boolTrue) (= (U_2_bool (MapType0Select ?S608 (int_2_U (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (U_2_int ?x1517))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?S608) ?x1517)) )) (forall ((?x1518 boogieU) (?S609 boogieU)) (! (=> (and (= (type ?x1518) intType) (= (type ?S609) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?S609) ?x1518)) boolTrue) (= (U_2_bool (MapType0Select ?S609 (int_2_U (x__unnamed_4_ab1173de__IO_STATUS_BLOCK (U_2_int ?x1518))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?S609) ?x1518)) )) (forall ((?x1519 boogieU) (?S610 boogieU)) (! (=> (and (= (type ?x1519) intType) (= (type ?S610) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S610 ?x1519)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?S610) (int_2_U (x__unnamed_4_ab1173de__IO_STATUS_BLOCK (U_2_int ?x1519))))) boolTrue))) :pattern ((MapType0Select ?S610 ?x1519) (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?S610)) )) (forall ((?x1520 boogieU) (?S611 boogieU)) (! (=> (and (= (type ?x1520) intType) (= (type ?S611) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S611 ?x1520)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?S611) (int_2_U (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (U_2_int ?x1520))))) boolTrue))) :pattern ((MapType0Select ?S611 ?x1520) (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?S611)) )) (forall ((?x1521 Int)) (! (= (x__unnamed_4_ab1173de__IO_STATUS_BLOCK ?x1521) (+ ?x1521 0)) :pattern ((x__unnamed_4_ab1173de__IO_STATUS_BLOCK ?x1521)) )) (forall ((?x1522 Int)) (! (= (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x1522) (- ?x1522 0)) :pattern ((x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x1522)) )) (forall ((?x1523 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1523 0 1) (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x1523)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1523 0 1)) )) (forall ((?x1524 Int)) (! (= (MINUS_LEFT_PTR ?x1524 1 0) (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x1524)) :pattern ((MINUS_LEFT_PTR ?x1524 1 0)) )) (forall ((?x1525 Int)) (! (= (x__unnamed_8_544b88f4__LARGE_INTEGERInv (x__unnamed_8_544b88f4__LARGE_INTEGER ?x1525)) ?x1525) :pattern ((x__unnamed_8_544b88f4__LARGE_INTEGERInv (x__unnamed_8_544b88f4__LARGE_INTEGER ?x1525))) )) (forall ((?x1526 Int)) (! (= (x__unnamed_8_544b88f4__LARGE_INTEGER (x__unnamed_8_544b88f4__LARGE_INTEGERInv ?x1526)) ?x1526) :pattern ((x__unnamed_8_544b88f4__LARGE_INTEGERInv ?x1526)) )) (forall ((?x1527 boogieU) (?S612 boogieU)) (! (=> (and (= (type ?x1527) intType) (= (type ?S612) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_8_544b88f4__LARGE_INTEGER ?S612) ?x1527)) boolTrue) (= (U_2_bool (MapType0Select ?S612 (int_2_U (x__unnamed_8_544b88f4__LARGE_INTEGERInv (U_2_int ?x1527))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_8_544b88f4__LARGE_INTEGER ?S612) ?x1527)) )) (forall ((?x1528 boogieU) (?S613 boogieU)) (! (=> (and (= (type ?x1528) intType) (= (type ?S613) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_8_544b88f4__LARGE_INTEGERInv ?S613) ?x1528)) boolTrue) (= (U_2_bool (MapType0Select ?S613 (int_2_U (x__unnamed_8_544b88f4__LARGE_INTEGER (U_2_int ?x1528))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_8_544b88f4__LARGE_INTEGERInv ?S613) ?x1528)) )) (forall ((?x1529 boogieU) (?S614 boogieU)) (! (=> (and (= (type ?x1529) intType) (= (type ?S614) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S614 ?x1529)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_8_544b88f4__LARGE_INTEGER ?S614) (int_2_U (x__unnamed_8_544b88f4__LARGE_INTEGER (U_2_int ?x1529))))) boolTrue))) :pattern ((MapType0Select ?S614 ?x1529) (x_S___unnamed_8_544b88f4__LARGE_INTEGER ?S614)) )) (forall ((?x1530 boogieU) (?S615 boogieU)) (! (=> (and (= (type ?x1530) intType) (= (type ?S615) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S615 ?x1530)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_8_544b88f4__LARGE_INTEGERInv ?S615) (int_2_U (x__unnamed_8_544b88f4__LARGE_INTEGERInv (U_2_int ?x1530))))) boolTrue))) :pattern ((MapType0Select ?S615 ?x1530) (x_S___unnamed_8_544b88f4__LARGE_INTEGERInv ?S615)) )) (forall ((?x1531 Int)) (! (= (x__unnamed_8_544b88f4__LARGE_INTEGER ?x1531) (+ ?x1531 0)) :pattern ((x__unnamed_8_544b88f4__LARGE_INTEGER ?x1531)) )) (forall ((?x1532 Int)) (! (= (x__unnamed_8_544b88f4__LARGE_INTEGERInv ?x1532) (- ?x1532 0)) :pattern ((x__unnamed_8_544b88f4__LARGE_INTEGERInv ?x1532)) )) (forall ((?x1533 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1533 0 1) (x__unnamed_8_544b88f4__LARGE_INTEGERInv ?x1533)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1533 0 1)) )) (forall ((?x1534 Int)) (! (= (MINUS_LEFT_PTR ?x1534 1 0) (x__unnamed_8_544b88f4__LARGE_INTEGERInv ?x1534)) :pattern ((MINUS_LEFT_PTR ?x1534 1 0)) )) (forall ((?x1535 Int)) (! (= (u__LARGE_INTEGERInv (u__LARGE_INTEGER ?x1535)) ?x1535) :pattern ((u__LARGE_INTEGERInv (u__LARGE_INTEGER ?x1535))) )) (forall ((?x1536 Int)) (! (= (u__LARGE_INTEGER (u__LARGE_INTEGERInv ?x1536)) ?x1536) :pattern ((u__LARGE_INTEGERInv ?x1536)) )) (forall ((?x1537 boogieU) (?S616 boogieU)) (! (=> (and (= (type ?x1537) intType) (= (type ?S616) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_u__LARGE_INTEGER ?S616) ?x1537)) boolTrue) (= (U_2_bool (MapType0Select ?S616 (int_2_U (u__LARGE_INTEGERInv (U_2_int ?x1537))))) boolTrue))) :pattern ((MapType0Select (x_S_u__LARGE_INTEGER ?S616) ?x1537)) )) (forall ((?x1538 boogieU) (?S617 boogieU)) (! (=> (and (= (type ?x1538) intType) (= (type ?S617) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_u__LARGE_INTEGERInv ?S617) ?x1538)) boolTrue) (= (U_2_bool (MapType0Select ?S617 (int_2_U (u__LARGE_INTEGER (U_2_int ?x1538))))) boolTrue))) :pattern ((MapType0Select (x_S_u__LARGE_INTEGERInv ?S617) ?x1538)) )) (forall ((?x1539 boogieU) (?S618 boogieU)) (! (=> (and (= (type ?x1539) intType) (= (type ?S618) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S618 ?x1539)) boolTrue) (= (U_2_bool (MapType0Select (x_S_u__LARGE_INTEGER ?S618) (int_2_U (u__LARGE_INTEGER (U_2_int ?x1539))))) boolTrue))) :pattern ((MapType0Select ?S618 ?x1539) (x_S_u__LARGE_INTEGER ?S618)) )) (forall ((?x1540 boogieU) (?S619 boogieU)) (! (=> (and (= (type ?x1540) intType) (= (type ?S619) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S619 ?x1540)) boolTrue) (= (U_2_bool (MapType0Select (x_S_u__LARGE_INTEGERInv ?S619) (int_2_U (u__LARGE_INTEGERInv (U_2_int ?x1540))))) boolTrue))) :pattern ((MapType0Select ?S619 ?x1540) (x_S_u__LARGE_INTEGERInv ?S619)) )) (forall ((?x1541 Int)) (! (= (u__LARGE_INTEGER ?x1541) (+ ?x1541 0)) :pattern ((u__LARGE_INTEGER ?x1541)) )) (forall ((?x1542 Int)) (! (= (u__LARGE_INTEGERInv ?x1542) (- ?x1542 0)) :pattern ((u__LARGE_INTEGERInv ?x1542)) )) (forall ((?x1543 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1543 0 1) (u__LARGE_INTEGERInv ?x1543)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1543 0 1)) )) (forall ((?x1544 Int)) (! (= (MINUS_LEFT_PTR ?x1544 1 0) (u__LARGE_INTEGERInv ?x1544)) :pattern ((MINUS_LEFT_PTR ?x1544 1 0)) )) (forall ((?a0 Int) (?b Int) (?size Int)) (! (let ((?v_17 (- ?a0 ?b)) (?v_18 (MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size))) (and (<= (* ?size ?v_18) ?v_17) (< ?v_17 (* ?size (+ ?v_18 1))))) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size)) )) (forall ((?a1 Int) (?a_size Int) (?b4 Int)) (! (= (MINUS_LEFT_PTR ?a1 ?a_size ?b4) (- ?a1 (* ?a_size ?b4))) :pattern ((MINUS_LEFT_PTR ?a1 ?a_size ?b4)) )) (forall ((?a2 Int) (?a_size0 Int) (?b5 Int)) (! (= (PLUS ?a2 ?a_size0 ?b5) (+ ?a2 (* ?a_size0 ?b5))) :pattern ((PLUS ?a2 ?a_size0 ?b5)) )) (forall ((?a3 Int) (?b6 Int)) (! (= (MULT ?a3 ?b6) (* ?a3 ?b6)) :pattern ((MULT ?a3 ?b6)) )) (forall ((?a4 Int) (?b7 Int)) (! (let ((?v_19 (DIV ?a4 ?b7))) (=> (and (>= ?a4 0) (> ?b7 0)) (and (<= (* ?b7 ?v_19) ?a4) (< ?a4 (* ?b7 (+ ?v_19 1)))))) :pattern ((DIV ?a4 ?b7)) )) (forall ((?a5 Int) (?b8 Int)) (! (let ((?v_20 (DIV ?a5 ?b8))) (=> (and (>= ?a5 0) (< ?b8 0)) (and (<= (* ?b8 ?v_20) ?a5) (< ?a5 (* ?b8 (- ?v_20 1)))))) :pattern ((DIV ?a5 ?b8)) )) (forall ((?a6 Int) (?b9 Int)) (! (let ((?v_21 (DIV ?a6 ?b9))) (=> (and (< ?a6 0) (> ?b9 0)) (and (>= (* ?b9 ?v_21) ?a6) (> ?a6 (* ?b9 (- ?v_21 1)))))) :pattern ((DIV ?a6 ?b9)) )) (forall ((?a7 Int) (?b11 Int)) (! (let ((?v_22 (DIV ?a7 ?b11))) (=> (and (< ?a7 0) (< ?b11 0)) (and (>= (* ?b11 ?v_22) ?a7) (> ?a7 (* ?b11 (+ ?v_22 1)))))) :pattern ((DIV ?a7 ?b11)) )) (= (POW2 1) boolTrue) (= (POW2 2) boolTrue) (= (POW2 4) boolTrue) (= (POW2 8) boolTrue) (= (POW2 16) boolTrue) (= (POW2 32) boolTrue) (= (POW2 64) boolTrue) (= (POW2 128) boolTrue) (= (POW2 256) boolTrue) (= (POW2 512) boolTrue) (= (POW2 1024) boolTrue) (= (POW2 2048) boolTrue) (= (POW2 4096) boolTrue) (= (POW2 8192) boolTrue) (= (POW2 16384) boolTrue) (= (POW2 32768) boolTrue) (= (POW2 65536) boolTrue) (= (POW2 131072) boolTrue) (= (POW2 262144) boolTrue) (= (POW2 524288) boolTrue) (= (POW2 1048576) boolTrue) (= (POW2 2097152) boolTrue) (= (POW2 4194304) boolTrue) (= (POW2 8388608) boolTrue) (= (POW2 16777216) boolTrue) (= (POW2 33554432) boolTrue) (forall ((?a8 TermBool) (?b12 Int) (?c Int)) (! (=> (= ?a8 boolTrue) (= (choose ?a8 ?b12 ?c) ?b12)) :pattern ((choose ?a8 ?b12 ?c)) )) (forall ((?a9 TermBool) (?b13 Int) (?c4 Int)) (! (=> (not (= ?a9 boolTrue)) (= (choose ?a9 ?b13 ?c4) ?c4)) :pattern ((choose ?a9 ?b13 ?c4)) )) (forall ((?a10 Int) (?b14 Int)) (! (=> (= ?a10 ?b14) (= (BIT_BAND ?a10 ?b14) ?a10)) :pattern ((BIT_BAND ?a10 ?b14)) )) (forall ((?a11 Int) (?b15 Int)) (! (=> (and (= (POW2 ?a11) boolTrue) (= (POW2 ?b15) boolTrue) (not (= ?a11 ?b15))) (= (BIT_BAND ?a11 ?b15) 0)) :pattern ((BIT_BAND ?a11 ?b15)) )) (forall ((?a12 Int) (?b16 Int)) (! (=> (or (= ?a12 0) (= ?b16 0)) (= (BIT_BAND ?a12 ?b16) 0)) :pattern ((BIT_BAND ?a12 ?b16)) )) (forall ((?a13 TermBool)) (! (= (= ?a13 boolTrue) (not (= (LIFT ?a13) 0))) :pattern ((LIFT ?a13)) )) (forall ((?a14 Int)) (! (=> (= ?a14 0) (not (= (NOT ?a14) 0))) :pattern ((NOT ?a14)) )) (forall ((?a15 Int)) (! (=> (not (= ?a15 0)) (= (NOT ?a15) 0)) :pattern ((NOT ?a15)) )) (forall ((?a16 Int)) (! (=> (= ?a16 0) (not (= (NULL_CHECK ?a16) 0))) :pattern ((NULL_CHECK ?a16)) )) (forall ((?a17 Int)) (! (=> (not (= ?a17 0)) (= (NULL_CHECK ?a17) 0)) :pattern ((NULL_CHECK ?a17)) )) (not (= SerialCancelCurrentWrite 0)) (not (= SerialCancelCurrentXoff 0)) (not (= SerialCancelImmediate 0)) (not (= SerialCancelQueued 0)) (not (= SerialClearStats 0)) (not (= SerialClrDTR 0)) (not (= SerialClrRTS 0)) (not (= SerialFilterCancelQueued 0)) (not (= SerialGetCommStatus 0)) (not (= SerialGetMCRContents 0)) (not (= SerialGetModemUpdate 0)) (not (= SerialGetNextIrp 0)) (not (= SerialGetNextWrite 0)) (not (= SerialGetStats 0)) (not (= SerialGiveImmediateToIsr 0)) (not (= SerialGiveWriteToIsr 0)) (not (= SerialGiveXoffToIsr 0)) (not (= SerialGrabReadFromIsr 0)) (not (= SerialGrabWriteFromIsr 0)) (not (= SerialGrabXoffFromIsr 0)) (not (= SerialPretendXoff 0)) (not (= SerialPretendXon 0)) (not (= SerialProcessEmptyTransmit 0)) (not (= SerialSetBaud 0)) (not (= SerialSetChars 0)) (not (= SerialSetDTR 0)) (not (= SerialSetEscapeChar 0)) (not (= SerialSetFCRContents 0)) (not (= SerialSetHandFlow 0)) (not (= SerialSetLineControl 0)) (not (= SerialSetMCRContents 0)) (not (= SerialSetRTS 0)) (not (= SerialStartMask 0)) (not (= SerialStartPurge 0)) (not (= SerialStartRead 0)) (not (= SerialStartWrite 0)) (not (= SerialSystemPowerCompletion 0)) (not (= SerialTurnOffBreak 0)) (not (= SerialTurnOnBreak 0)) (not (= SerialUpdateAndSwitchToNew 0)) (not (= SerialUpdateAndSwitchToUser 0)) (not (= SerialUpdateInterruptBuffer 0)) (not (= SerialUpdateReadByIsr 0)) (not (= hdevobj 0)) (not (= hiostackloc 0)) (not (= hirp 0)) (not (= hlock 0)) (not (= notused_hiostackloc 0)) (not (= sdv_irql_current 0)) (not (= sdv_irql_previous 0)) (not (= sdv_irql_previous_2 0)) (not (= sdv_irql_previous_3 0))))
(assert (let ((?v_0 (MapType0Type intType intType)) (?v_1 (MapType0Type intType nameType))) (and (= (type Mem_0_T.CancelRoutine__IRP.125) ?v_0) (= (type Mem_s_1_T.CancelRoutine__IRP) ?v_0) (= (type Mem_0_T.Cancel__IRP.2) ?v_0) (= (type Mem_s_1_T.Cancel__IRP) ?v_0) (= (type Mem_0_T.DeviceExtension__DEVICE_OBJECT) ?v_0) (= (type Mem_s_1_T.DeviceExtension__DEVICE_OBJECT) ?v_0) (= (type Mem_0_T.P_IRP.92) ?v_0) (= (type Mem_s_1_T.P_IRP) ?v_0) (= (type alloc.119) ?v_1) (= (type alloc.96) ?v_1) (= (type Mem_1_T.P_IRP.92) ?v_0) (= (type Mem_1_T.P_IRP.69) ?v_0) (= (type Mem_0_T.P_IRP.69) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.125) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.98) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.98) ?v_0) (= (type alloc.118) ?v_1) (= (type Mem_1_T.P_IRP.91) ?v_0) (= (type Mem_0_T.P_IRP.91) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.124) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.124) ?v_0) (= (type alloc.117) ?v_1) (= (type alloc.99) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.101) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.101) ?v_0) (= (type alloc.116) ?v_1) (= (type Mem_1_T.P_IRP.90) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.123) ?v_0) (= (type Mem_0_T.P_IRP.90) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.123) ?v_0) (= (type alloc.115) ?v_1) (= (type Mem_1_T.P_IRP.89) ?v_0) (= (type Mem_0_T.P_IRP.89) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.122) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.122) ?v_0) (= (type alloc.114) ?v_1) (= (type Mem_T.MajorFunction__IO_STACK_LOCATION.0) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.121) ?v_0) (= (type alloc.113) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.121) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.120) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.120) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.119) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.118) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.118) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.119) ?v_0) (= (type alloc.112) ?v_1) (= (type Mem_0_T.P_IRP.88) ?v_0) (= (type Mem_1_T.P_IRP.87) ?v_0) (= (type Mem_0_T.P_IRP.87) ?v_0) (= (type Mem_1_T.P_IRP.88) ?v_0) (= (type Mem_0_T.P_IRP.84) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.115) ?v_0) (= (type Mem_1_T.P_IRP.84) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.115) ?v_0) (= (type Mem_0_T.P_IRP.83) ?v_0) (= (type Mem_1_T.P_IRP.82) ?v_0) (= (type Mem_0_T.P_IRP.82) ?v_0) (= (type Mem_1_T.P_IRP.83) ?v_0) (= (type Mem_0_T.P_IRP.86) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.117) ?v_0) (= (type Mem_1_T.P_IRP.86) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.117) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.116) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.116) ?v_0) (= (type Mem_0_T.P_IRP.85) ?v_0) (= (type Mem_1_T.P_IRP.85) ?v_0) (= (type alloc.111) ?v_1) (= (type alloc.106) ?v_1) (= (type alloc.110) ?v_1) (= (type Mem_1_T.P_IRP.81) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.114) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.114) ?v_0) (= (type Mem_0_T.P_IRP.81) ?v_0) (= (type Mem_1_T.Cancel__IRP.2) ?v_0) (= (type alloc.109) ?v_1) (= (type Mem_1_T.P_IRP.80) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.113) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.113) ?v_0) (= (type Mem_0_T.P_IRP.80) ?v_0) (= (type Mem_0_T.P_IRP.79) ?v_0) (= (type Mem_1_T.P_IRP.79) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.112) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.112) ?v_0) (= (type alloc.105) ?v_1) (= (type alloc.102) ?v_1) (= (type alloc.103) ?v_1) (= (type alloc.104) ?v_1) (= (type alloc.108) ?v_1) (= (type Mem_1_T.P_IRP.78) ?v_0) (= (type Mem_0_T.P_IRP.78) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.111) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.111) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.110) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.110) ?v_0) (= (type alloc.107) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.109) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.109) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.108) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.107) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.107) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.108) ?v_0) (= (type alloc.101) ?v_1) (= (type Mem_0_T.P_IRP.77) ?v_0) (= (type Mem_1_T.P_IRP.76) ?v_0) (= (type Mem_0_T.P_IRP.76) ?v_0) (= (type Mem_1_T.P_IRP.77) ?v_0) (= (type Mem_0_T.P_IRP.75) ?v_0) (= (type Mem_1_T.P_IRP.75) ?v_0) (= (type Mem_0_T.P_IRP.74) ?v_0) (= (type Mem_1_T.P_IRP.74) ?v_0) (= (type Mem_0_T.P_IRP.73) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.106) ?v_0) (= (type Mem_1_T.P_IRP.73) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.106) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.105) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.105) ?v_0) (= (type Mem_0_T.P_IRP.72) ?v_0) (= (type Mem_1_T.P_IRP.72) ?v_0) (= (type alloc.100) ?v_1) (= (type Mem_1_T.P_IRP.71) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.104) ?v_0) (= (type Mem_0_T.P_IRP.71) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.104) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.103) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.103) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.102) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.102) ?v_0) (= (type Mem_0_T.P_IRP.70) ?v_0) (= (type Mem_1_T.P_IRP.70) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.100) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.100) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.99) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.99) ?v_0) (= (type alloc.98) ?v_1) (= (type alloc.97) ?v_1) (= (type Mem_1_T.DeviceExtension__DEVICE_OBJECT) ?v_0) (= (type Mem_1_T.P_IRP.46) ?v_0) (= (type alloc.76) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.69) ?v_0) (= (type Mem_0_T.Cancel__IRP) ?v_0) (= (type Mem_0_T.P_IRP.46) ?v_0) (= (type Mem_1_T.Cancel__IRP) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.69) ?v_0) (= (type Mem_1_T.P_IRP.68) ?v_0) (= (type alloc.95) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.97) ?v_0) (= (type Mem_0_T.Cancel__IRP.1) ?v_0) (= (type Mem_0_T.P_IRP.68) ?v_0) (= (type Mem_1_T.Cancel__IRP.1) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.97) ?v_0) (= (type alloc.77) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.74) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.74) ?v_0) (= (type Mem_1_T.P_IRP.67) ?v_0) (= (type alloc.94) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.96) ?v_0) (= (type Mem_0_T.P_IRP.67) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.96) ?v_0) (= (type Mem_1_T.P_IRP.66) ?v_0) (= (type alloc.93) ?v_1) (= (type Mem_0_T.P_IRP.66) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.95) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.95) ?v_0) (= (type alloc.92) ?v_1) (= (type alloc.91) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.94) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.94) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.93) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.93) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.92) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.91) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.91) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.92) ?v_0) (= (type alloc.90) ?v_1) (= (type Mem_0_T.P_IRP.65) ?v_0) (= (type Mem_1_T.P_IRP.64) ?v_0) (= (type Mem_0_T.P_IRP.64) ?v_0) (= (type Mem_1_T.P_IRP.65) ?v_0) (= (type Mem_0_T.P_IRP.61) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.88) ?v_0) (= (type Mem_1_T.P_IRP.61) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.88) ?v_0) (= (type Mem_0_T.P_IRP.60) ?v_0) (= (type Mem_1_T.P_IRP.59) ?v_0) (= (type Mem_0_T.P_IRP.59) ?v_0) (= (type Mem_1_T.P_IRP.60) ?v_0) (= (type Mem_0_T.P_IRP.63) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.90) ?v_0) (= (type Mem_1_T.P_IRP.63) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.90) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.89) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.89) ?v_0) (= (type Mem_0_T.P_IRP.62) ?v_0) (= (type Mem_1_T.P_IRP.62) ?v_0) (= (type alloc.89) ?v_1) (= (type alloc.83) ?v_1) (= (type alloc.88) ?v_1) (= (type Mem_1_T.P_IRP.58) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.87) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.87) ?v_0) (= (type Mem_0_T.P_IRP.58) ?v_0) (= (type alloc.87) ?v_1) (= (type Mem_1_T.P_IRP.57) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.79) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.79) ?v_0) (= (type Mem_0_T.P_IRP.57) ?v_0) (= (type Mem_0_T.P_IRP.53) ?v_0) (= (type Mem_1_T.P_IRP.53) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.78) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.78) ?v_0) (= (type alloc.82) ?v_1) (= (type alloc.79) ?v_1) (= (type alloc.80) ?v_1) (= (type alloc.81) ?v_1) (= (type Mem_1_T.P_IRP.56) ?v_0) (= (type alloc.86) ?v_1) (= (type Mem_0_T.P_IRP.56) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.86) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.86) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.85) ?v_0) (= (type alloc.85) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.85) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.84) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.84) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.83) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.82) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.82) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.83) ?v_0) (= (type alloc.78) ?v_1) (= (type Mem_0_T.P_IRP.55) ?v_0) (= (type Mem_1_T.P_IRP.54) ?v_0) (= (type Mem_0_T.P_IRP.54) ?v_0) (= (type Mem_1_T.P_IRP.55) ?v_0) (= (type Mem_0_T.P_IRP.50) ?v_0) (= (type Mem_1_T.P_IRP.50) ?v_0) (= (type Mem_0_T.P_IRP.49) ?v_0) (= (type Mem_1_T.P_IRP.49) ?v_0) (= (type Mem_0_T.P_IRP.52) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.81) ?v_0) (= (type Mem_1_T.P_IRP.52) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.81) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.80) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.80) ?v_0) (= (type Mem_0_T.P_IRP.51) ?v_0) (= (type Mem_1_T.P_IRP.51) ?v_0) (= (type Mem_1_T.P_IRP.48) ?v_0) (= (type alloc.84) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.77) ?v_0) (= (type Mem_0_T.P_IRP.48) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.77) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.76) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.76) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.75) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.75) ?v_0) (= (type Mem_0_T.P_IRP.47) ?v_0) (= (type Mem_1_T.P_IRP.47) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.73) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.73) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.72) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.71) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.71) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.72) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.70) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.70) ?v_0) (= (type Mem_0_T.Cancel__IRP.0) ?v_0) (= (type Mem_1_T.Cancel__IRP.0) ?v_0) (= (type Mem_0_T.P_IRP) ?v_0) (= (type Mem_1_T.P_IRP) ?v_0) (= (type alloc.45) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.32) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.32) ?v_0) (= (type alloc.44) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.31) ?v_0) (= (type alloc.3) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.31) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.4) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.4) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.3) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.2) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.2) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.3) ?v_0) (= (type alloc.2) ?v_1) (= (type alloc.7) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.8) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.8) ?v_0) (= (type alloc.6) ?v_1) (= (type Mem_0_T.P_IRP.45) ?v_0) (= (type Mem_1_T.P_IRP.45) ?v_0) (= (type alloc.75) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.68) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.68) ?v_0) (= (type alloc.74) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.16) ?v_0) (= (type alloc.26) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.16) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.15) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.15) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.14) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.14) ?v_0) (= (type alloc.9) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.13) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.13) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.12) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.12) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.67) ?v_0) (= (type Mem_0_T.P_IRP.44) ?v_0) (= (type Mem_1_T.P_IRP.44) ?v_0) (= (type alloc.73) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.67) ?v_0) (= (type alloc.72) ?v_1) (= (type alloc.71) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.66) ?v_0) (= (type Mem_0_T.P_IRP.43) ?v_0) (= (type Mem_1_T.P_IRP.43) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.66) ?v_0) (= (type alloc.70) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.65) ?v_0) (= (type alloc.69) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.65) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.64) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.64) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.63) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.62) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.62) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.63) ?v_0) (= (type alloc.68) ?v_1) (= (type Mem_0_T.P_IRP.42) ?v_0) (= (type Mem_1_T.P_IRP.41) ?v_0) (= (type Mem_0_T.P_IRP.41) ?v_0) (= (type Mem_1_T.P_IRP.42) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.59) ?v_0) (= (type Mem_1_T.P_IRP.38) ?v_0) (= (type Mem_0_T.P_IRP.38) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.59) ?v_0) (= (type Mem_0_T.P_IRP.37) ?v_0) (= (type Mem_1_T.P_IRP.36) ?v_0) (= (type Mem_0_T.P_IRP.36) ?v_0) (= (type Mem_1_T.P_IRP.37) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.61) ?v_0) (= (type Mem_1_T.P_IRP.40) ?v_0) (= (type Mem_0_T.P_IRP.40) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.61) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.60) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.60) ?v_0) (= (type Mem_0_T.P_IRP.39) ?v_0) (= (type Mem_1_T.P_IRP.39) ?v_0) (= (type alloc.67) ?v_1) (= (type alloc.64) ?v_1) (= (type Mem_1_T.P_IRP.32) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.53) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.53) ?v_0) (= (type Mem_0_T.P_IRP.32) ?v_0) (= (type alloc.66) ?v_1) (= (type Mem_1_T.P_IRP.35) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.58) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.58) ?v_0) (= (type Mem_0_T.P_IRP.35) ?v_0) (= (type alloc.65) ?v_1) (= (type Mem_1_T.P_IRP.34) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.57) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.57) ?v_0) (= (type Mem_0_T.P_IRP.34) ?v_0) (= (type Mem_0_T.P_IRP.33) ?v_0) (= (type Mem_1_T.P_IRP.33) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.56) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.56) ?v_0) (= (type alloc.63) ?v_1) (= (type alloc.60) ?v_1) (= (type alloc.57) ?v_1) (= (type alloc.61) ?v_1) (= (type alloc.62) ?v_1) (= (type alloc.59) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.55) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.55) ?v_0) (= (type alloc.58) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.54) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.54) ?v_0) (= (type Mem_1_T.P_IRP.31) ?v_0) (= (type alloc.56) ?v_1) (= (type Mem_0_T.P_IRP.31) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.52) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.52) ?v_0) (= (type Mem_1_T.P_IRP.1) ?v_0) (= (type alloc.25) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.27) ?v_0) (= (type Mem_0_T.P_IRP.1) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.27) ?v_0) (= (type Mem_1_T.P_IRP.30) ?v_0) (= (type alloc.55) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.51) ?v_0) (= (type Mem_0_T.P_IRP.30) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.51) ?v_0) (= (type Mem_1_T.P_IRP.26) ?v_0) (= (type alloc.52) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.43) ?v_0) (= (type Mem_0_T.P_IRP.26) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.43) ?v_0) (= (type alloc.51) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.42) ?v_0) (= (type alloc.50) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.42) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.41) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.41) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.40) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.39) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.39) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.40) ?v_0) (= (type alloc.49) ?v_1) (= (type Mem_0_T.P_IRP.25) ?v_0) (= (type Mem_1_T.P_IRP.24) ?v_0) (= (type Mem_0_T.P_IRP.24) ?v_0) (= (type Mem_1_T.P_IRP.25) ?v_0) (= (type Mem_0_T.P_IRP.21) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.36) ?v_0) (= (type Mem_1_T.P_IRP.21) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.36) ?v_0) (= (type Mem_0_T.P_IRP.20) ?v_0) (= (type Mem_1_T.P_IRP.19) ?v_0) (= (type Mem_0_T.P_IRP.19) ?v_0) (= (type Mem_1_T.P_IRP.20) ?v_0) (= (type Mem_0_T.P_IRP.23) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.38) ?v_0) (= (type Mem_1_T.P_IRP.23) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.38) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.37) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.37) ?v_0) (= (type Mem_0_T.P_IRP.22) ?v_0) (= (type Mem_1_T.P_IRP.22) ?v_0) (= (type alloc.48) ?v_1) (= (type alloc.43) ?v_1) (= (type alloc.47) ?v_1) (= (type Mem_1_T.P_IRP.18) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.35) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.35) ?v_0) (= (type Mem_0_T.P_IRP.18) ?v_0) (= (type alloc.46) ?v_1) (= (type Mem_1_T.P_IRP.17) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.34) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.34) ?v_0) (= (type Mem_0_T.P_IRP.17) ?v_0) (= (type Mem_0_T.P_IRP.16) ?v_0) (= (type Mem_1_T.P_IRP.16) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.33) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.33) ?v_0) (= (type alloc.40) ?v_1) (= (type alloc.37) ?v_1) (= (type alloc.38) ?v_1) (= (type alloc.39) ?v_1) (= (type Mem_1_T.P_IRP.29) ?v_0) (= (type alloc.54) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.50) ?v_0) (= (type Mem_0_T.P_IRP.29) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.50) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.49) ?v_0) (= (type alloc.53) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.49) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.48) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.48) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.47) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.46) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.46) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.47) ?v_0) (= (type alloc.41) ?v_1) (= (type Mem_0_T.P_IRP.28) ?v_0) (= (type Mem_1_T.P_IRP.27) ?v_0) (= (type Mem_0_T.P_IRP.27) ?v_0) (= (type Mem_1_T.P_IRP.28) ?v_0) (= (type Mem_0_T.P_IRP.13) ?v_0) (= (type Mem_1_T.P_IRP.13) ?v_0) (= (type Mem_0_T.P_IRP.12) ?v_0) (= (type Mem_1_T.P_IRP.12) ?v_0) (= (type Mem_0_T.P_IRP.15) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.45) ?v_0) (= (type Mem_1_T.P_IRP.15) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.45) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.44) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.44) ?v_0) (= (type Mem_0_T.P_IRP.14) ?v_0) (= (type Mem_1_T.P_IRP.14) ?v_0) (= (type Mem_1_T.P_IRP.11) ?v_0) (= (type alloc.42) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.30) ?v_0) (= (type Mem_0_T.P_IRP.11) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.30) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.29) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.29) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.28) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.28) ?v_0) (= (type Mem_0_T.P_IRP.10) ?v_0) (= (type Mem_1_T.P_IRP.10) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.26) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.26) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.25) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.25) ?v_0) (= (type alloc.15) ?v_1) (= (type alloc.14) ?v_1) (= (type alloc.11) ?v_1) (= (type alloc.12) ?v_1) (= (type alloc.13) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.24) ?v_0) (= (type Mem_0_T.P_IRP.9) ?v_0) (= (type Mem_1_T.P_IRP.9) ?v_0) (= (type alloc.36) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.24) ?v_0) (= (type Mem_1_T.P_IRP.8) ?v_0) (= (type alloc.35) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.23) ?v_0) (= (type Mem_0_T.P_IRP.8) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.23) ?v_0) (= (type alloc.34) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.22) ?v_0) (= (type alloc.33) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.22) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.21) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.21) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.20) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.19) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.19) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.20) ?v_0) (= (type alloc.28) ?v_1) (= (type Mem_0_T.P_IRP.7) ?v_0) (= (type Mem_1_T.P_IRP.6) ?v_0) (= (type Mem_0_T.P_IRP.6) ?v_0) (= (type Mem_1_T.P_IRP.7) ?v_0) (= (type Mem_0_T.P_IRP.3) ?v_0) (= (type Mem_1_T.P_IRP.3) ?v_0) (= (type Mem_0_T.P_IRP.2) ?v_0) (= (type Mem_1_T.P_IRP.2) ?v_0) (= (type Mem_0_T.P_IRP.5) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.18) ?v_0) (= (type Mem_1_T.P_IRP.5) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.18) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.17) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.17) ?v_0) (= (type Mem_0_T.P_IRP.4) ?v_0) (= (type Mem_1_T.P_IRP.4) ?v_0) (= (type alloc.27) ?v_1) (= (type alloc.24) ?v_1) (= (type alloc.23) ?v_1) (= (type alloc.22) ?v_1) (= (type alloc.32) ?v_1) (= (type alloc.31) ?v_1) (= (type alloc.30) ?v_1) (= (type alloc.29) ?v_1) (= (type alloc.21) ?v_1) (= (type alloc.16) ?v_1) (= (type alloc.17) ?v_1) (= (type alloc.18) ?v_1) (= (type alloc.19) ?v_1) (= (type alloc.20) ?v_1) (= (type Mem_0_T.P_IRP.0) ?v_0) (= (type Mem_1_T.P_IRP.0) ?v_0) (= (type alloc.10) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.11) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.11) ?v_0) (= (type alloc.8) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.10) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.10) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.9) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.9) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.7) ?v_0) (= (type alloc.5) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.7) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.6) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.6) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.5) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.5) ?v_0) (= (type alloc.4) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.1) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.1) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.0) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.0) ?v_0) (= (type alloc.1) ?v_1) (= (type alloc.0) ?v_1) (= (type alloc) ?v_1) (= (type Mem_T.MajorFunction__IO_STACK_LOCATION) ?v_0))))
(assert (let ((?v_4105 (int_2_U SerialCancelCurrentWrite)) (?v_302 (int_2_U SerialCancelCurrentXoff)) (?v_3700 (int_2_U SerialCancelQueued)) (?v_6036 (int_2_U SerialFilterCancelQueued)) (?v_5855 (int_2_U hirp)) (?v_632 (= SerialGetNextWrite 0))) (let ((?v_970 (not ?v_632)) (?v_4088 (= SerialGiveWriteToIsr 0)) (?v_291 (= SerialGiveXoffToIsr 0))) (let ((?v_1181 (not ?v_291)) (?v_1846 (= SerialGrabWriteFromIsr 0))) (let ((?v_955 (not ?v_1846)) (?v_5028 (= SerialGrabXoffFromIsr 0))) (let ((?v_3727 (not ?v_5028)) (?v_119 (= SerialProcessEmptyTransmit 0))) (let ((?v_1027 (not ?v_119)) (?v_5498 (= SerialUpdateAndSwitchToNew 0)) (?v_5735 (= SerialUpdateAndSwitchToUser 0)) (?v_5606 (= SerialUpdateInterruptBuffer 0)) (?v_23 (not (not (= errorReached.90 0))))) (let ((?v_45 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.125 Mem_s_1_T.CancelRoutine__IRP) (=> (= Mem_0_T.Cancel__IRP.2 Mem_s_1_T.Cancel__IRP) (=> (= Mem_0_T.DeviceExtension__DEVICE_OBJECT Mem_s_1_T.DeviceExtension__DEVICE_OBJECT) (=> (= Mem_0_T.P_IRP.92 Mem_s_1_T.P_IRP) (=> (= irpCompleted_0.52 irpCompleted_s_1) (=> (= lockStatus_0.41 lockStatus_s_1) (=> (= cancelLockStatus_0.90 cancelLockStatus_s_1) (and ?v_23 (=> ?v_23 true))))))))))) (?v_8 (>= 1 0)) (?v_44 (int_2_U call74023formal.new.0))) (let ((?v_47 (=> true (and ?v_8 (=> ?v_8 (=> (> call74023formal.new.0 0) (=> (forall ((?x1545 Int)) (! (=> (and (<= call74023formal.new.0 ?x1545) (< ?x1545 (+ call74023formal.new.0 1))) (= (Base ?x1545) call74023formal.new.0)) :pattern ((Base ?x1545)) )) (=> (forall ((?x1546 boogieU)) (! (=> (= (type ?x1546) intType) (or (= (U_2_int ?x1546) call74023formal.new.0) (= (MapType0Select alloc.117 ?x1546) (MapType0Select alloc.118 ?x1546)))) :pattern ((MapType0Select alloc.118 ?x1546)) )) (=> (and (= (MapType0Select alloc.117 ?v_44) UNALLOCATED) (= (MapType0Select alloc.118 ?v_44) ALLOCATED)) (=> true (=> (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialTryToCompleteCurrent.1.myVar_0.2) (=> (= inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..1) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1) (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.SerialCompleteWrite.0.myNondetVar_0.1 inline.SerialCompleteWrite.0.myNondetVar_0.0) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2) (=> (= inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..3) (=> (= inline.SerialGetNextIrp.4.myNondetVar_0.3 inline.SerialGetNextIrp.4.myNondetVar_0.2) (=> (= inline.sdv_InterlockedDecrement.23.myNondetVar_0.3 inline.sdv_InterlockedDecrement.23.myNondetVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialDpcEpilogue.6..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.24.myNondetVar_0.1) (=> (= inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..1 inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..0) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.1) (=> (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.4 inline.sdv_InterlockedDecrement.18.myNondetVar_0.3) (=> (= inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5) (=> (= inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= irpCompleted_0.52 irpCompleted_0.51) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3) (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.4.havoc_stringTemp.2) (=> (= inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.0) (=> (= inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent.0 x.SerialCompleteWrite.arg.2.7..2) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.sdv_InterlockedDecrement.24.myNondetVar_0.2 inline.sdv_InterlockedDecrement.24.myNondetVar_0.1) (=> (= inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 0) (=> (= inline.RemoveHeadList.4.myNondetVar_0.5 inline.RemoveHeadList.4.myNondetVar_0.4) (=> (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.3) (=> (= irpCompleted_1.52 irpCompleted_1.51) (=> (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 SerialGetNextWrite) (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.11 inline.KeSynchronizeExecution.11.myNondetVar_0.10) (=> (= inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= alloc.119 alloc.118) (=> (= k.193 k.192) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.4) (=> (= inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= Mem_1_T.P_IRP.92 Mem_1_T.P_IRP.91) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.5 inline.sdv_InterlockedDecrement.22.myNondetVar_0.4) (=> (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.5 inline.sdv_InterlockedDecrement.20.myNondetVar_0.4) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_1.1 inline.SerialTryToCompleteCurrent.1.myNondetVar_1.0) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.4) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.5.havoc_stringTemp.2) (=> (= inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.1) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.3) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.4) (=> (= Mem_0_T.P_IRP.92 Mem_0_T.P_IRP.91) (=> (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= x.devobjTmp.3.6629.17.sdv_main.0 hdevobj) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.3) (=> (= inline.SerialTryToCompleteCurrent.1.._refType.12.396.0.SerialTryToCompleteCurrent.0 1) (=> (= inline.SerialCompleteWrite.0.havoc_stringTemp.0 call74023formal.new.0) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 SerialGetNextWrite) (=> (= inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..1) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.7 inline.sdv_InterlockedDecrement.21.myNondetVar_0.6) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3) (=> (= cancelLockStatus_1.90 cancelLockStatus_1.89) (=> (= inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 0) (=> (= inline.SerialTryToCompleteCurrent.1..newIrp.14.428.13.SerialTryToCompleteCurrent.0 call68727formal.new.0) (=> (= Mem_1_T.CancelRoutine__IRP.125 Mem_1_T.CancelRoutine__IRP.124) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite.0 x.SerialCompleteWrite.arg.2.7..2) (=> (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.6 inline.SerialGetNextIrpLocked.4.myVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= x.SerialCompleteWrite.arg.2.7..3 x.SerialCompleteWrite.arg.2.7..2) (=> (= inline.SerialGetNextIrp.5.myNondetVar_0.3 inline.SerialGetNextIrp.5.myNondetVar_0.2) (=> (= inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..1) (=> (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.SerialCompleteWrite.0..OldIrql.6.742.10.SerialCompleteWrite.0 call68596formal.new.0) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialTryToCompleteCurrent.1.myVar_0.2) (=> (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.6 inline.sdv_InterlockedIncrement.6.myNondetVar_0.5) (=> (= inline.SerialDpcEpilogue.6..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.24.myNondetVar_0.1) (=> (= x.Extension.4.6630.27.sdv_main.3 x.Extension.4.6630.27.sdv_main.2) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialTryToCompleteCurrent.1.myVar_0.5) (=> (= inline.SerialSetTimer.5.myNondetVar_0.9 inline.SerialSetTimer.5.myNondetVar_0.8) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1) (=> (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..2) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.4) (=> (= Mem_0_T.CancelRoutine__IRP.125 Mem_0_T.CancelRoutine__IRP.124) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.1) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_1.6 inline.SerialRundownIrpRefs.1.myNondetVar_1.5) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.3) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_2.6 inline.SerialRundownIrpRefs.1.myNondetVar_2.5) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3) (=> (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.4 inline.sdv_InterlockedDecrement.19.myNondetVar_0.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialCompleteWrite.0..Extension.5.741.29.SerialCompleteWrite.0 x.SerialCompleteWrite.arg.2.7..2) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= errorReached.90 errorReached.89) (=> (= inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..1) (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.0) (=> (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.3) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 0) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..0) (=> (= inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..2) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3) (=> (= inline.sdv_IoAcquireCancelSpinLock.15..result.userContextSwitch.1645.2.1..0 call68628formal.ret.0) (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1) (=> (= x.tmpIrp.2.6628.7.sdv_main.3 x.tmpIrp.2.6628.7.sdv_main.2) (=> (= inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.747.20.1..1 inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.747.20.1..0) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.6 inline.SerialRundownIrpRefs.1.tempBoogie0.5) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialTryToCompleteCurrent.1.myVar_0.5) (=> (= inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..2 inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.22 inline.SerialGetNextWrite.2.myNondetVar_0.21) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..1) (=> (= inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.1) (=> (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.6 inline.SerialGetNextIrpLocked.5.myVar_0.5) (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.IsListEmpty.6.myNondetVar_0.3 inline.IsListEmpty.6.myNondetVar_0.2) (=> (= inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.3) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_InterlockedDecrement.24..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.24.myNondetVar_0.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextWrite.2.myVar_0.16 inline.SerialGetNextWrite.2.myVar_0.15) (=> (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..0) (=> (= inline.SerialRundownIrpRefs.1.myVar_0.15 inline.SerialRundownIrpRefs.1.myVar_0.14) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.1) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.IsListEmpty.5.myNondetVar_0.3 inline.IsListEmpty.5.myNondetVar_0.2) (=> (= inline.SerialCancelTimer.5.myNondetVar_0.3 inline.SerialCancelTimer.5.myNondetVar_0.2) (=> (= inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite1.0 x.SerialCompleteWrite.arg.2.7..2) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.7 inline.SerialGetNextWrite.2.myNondetVar_1.6) (=> (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..2) (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.4) (=> (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..1 inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_0.12 inline.SerialRundownIrpRefs.1.myNondetVar_0.11) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..2) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.1) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.761.20.3..1 inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.761.20.3..0) (=> (= inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 0) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2) (=> (= inline.SerialGetNextWrite.2.havoc_stringTemp.2 inline.SerialGetNextWrite.2.havoc_stringTemp.1) (=> (= inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.1) (=> (= inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.0) (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.RemoveHeadList.5.myNondetVar_0.5 inline.RemoveHeadList.5.myNondetVar_0.4) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 0) (=> (= inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..2) (=> (= inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..2) (=> (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_2.1 inline.SerialTryToCompleteCurrent.1.myNondetVar_2.0) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.8 inline.SerialTryToCompleteCurrent.1.myNondetVar_0.7) (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.10 inline.KeSynchronizeExecution.10.myNondetVar_0.9) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..4) (=> (= inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.4) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.3) (=> (= inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent.0 1) (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.6 inline.SerialTryToCompleteCurrent.1.myVar_0.5) (=> (= inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 0) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.6 inline.SerialGetNextWrite.2.myNondetVar_2.5) (=> (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.3) (=> (= inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..2) (=> (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent1.0 1) (=> (= inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.1) (=> (= cancelLockStatus_0.90 cancelLockStatus_0.89) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.KeSynchronizeExecution.9.myNondetVar_0.8 inline.KeSynchronizeExecution.9.myNondetVar_0.7) (=> (= inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.1 inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.0) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.SerialCancelTimer.4.myNondetVar_0.3 inline.SerialCancelTimer.4.myNondetVar_0.2) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.8 inline.SerialGetNextWrite.2.tempBoogie0.7) (=> (= inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..0) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent1.0 x.SerialCompleteWrite.arg.2.7..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1..0) (=> (= inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..1) ?v_45))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_46 (= inline.sdv_InterlockedDecrement.24.myNondetVar_0.1 0))) (let ((?v_81 (and (=> true (=> (not ?v_46) (=> true (=> (= inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2.) ?v_47)))) (=> true (=> ?v_46 (=> true (=> (= inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..0 call74013formal.ret.0) (=> true (=> true (=> true ?v_47)))))))))) (let ((?v_805 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_81)))))))))))))))))) (?v_636 (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1.)) (?v_637 (= inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1.)) (?v_638 (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList)) (?v_639 (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_640 (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_641 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_642 (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_643 (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1.)) (?v_644 (= inline.SerialGetNextIrp.4.myNondetVar_0.2 inline.SerialGetNextIrp.4.myNondetVar_0)) (?v_645 (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite)) (?v_646 (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_647 (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_648 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_649 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1)) (?v_650 (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2.)) (?v_651 (= inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite)) (?v_652 (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite)) (?v_653 (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_654 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_655 (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_656 (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.4.havoc_stringTemp)) (?v_657 (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_658 (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_659 (= inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1.)) (?v_660 (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_661 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1)) (?v_662 (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_663 (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_664 (= inline.KeSynchronizeExecution.11.myNondetVar_0.10 inline.KeSynchronizeExecution.11.myNondetVar_0)) (?v_665 (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1.)) (?v_666 (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_667 (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution)) (?v_668 (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_669 (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.4 inline.sdv_InterlockedDecrement.22.myNondetVar_0)) (?v_670 (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.4 inline.sdv_InterlockedDecrement.20.myNondetVar_0)) (?v_671 (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_672 (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_673 (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.5.havoc_stringTemp)) (?v_674 (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4.)) (?v_675 (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_676 (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp)) (?v_677 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer)) (?v_678 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_679 (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_680 (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_681 (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_682 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer)) (?v_683 (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_684 (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4.)) (?v_685 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_686 (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.6 inline.sdv_InterlockedDecrement.21.myNondetVar_0)) (?v_687 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_688 (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_689 (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_690 (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_691 (= inline.SerialGetNextIrpLocked.4.myVar_0.5 inline.SerialGetNextIrpLocked.4.myVar_0)) (?v_692 (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_693 (= inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1.)) (?v_694 (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_695 (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_696 (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2.)) (?v_697 (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_698 (= inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite)) (?v_699 (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2.)) (?v_700 (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1.)) (?v_701 (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_702 (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.5 inline.sdv_InterlockedIncrement.6.myNondetVar_0)) (?v_703 (= inline.SerialGetNextWrite.2.tempBoogie0.7 inline.SerialGetNextWrite.2.tempBoogie0)) (?v_704 (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_705 (= inline.SerialSetTimer.5.myNondetVar_0.8 inline.SerialSetTimer.5.myNondetVar_0)) (?v_706 (= inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_707 (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2.)) (?v_708 (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_709 (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_710 (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1.)) (?v_711 (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_712 (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_713 (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite)) (?v_714 (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2.)) (?v_715 (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_716 (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_717 (= inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1.)) (?v_718 (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_719 (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_720 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_721 (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1.)) (?v_722 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1)) (?v_723 (= inline.SerialGetNextIrp.5.myNondetVar_0.2 inline.SerialGetNextIrp.5.myNondetVar_0)) (?v_724 (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_725 (= inline.KeSynchronizeExecution.10.myNondetVar_0.9 inline.KeSynchronizeExecution.10.myNondetVar_0)) (?v_726 (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite)) (?v_727 (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_728 (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList)) (?v_729 (= inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1.)) (?v_730 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_731 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer)) (?v_732 (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_733 (= inline.SerialGetNextWrite.2.myNondetVar_0.21 inline.SerialGetNextWrite.2.myNondetVar_0)) (?v_734 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_735 (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp)) (?v_736 (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_737 (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.7 inline.SerialTryToCompleteCurrent.1.myNondetVar_0.5)) (?v_738 (= inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp)) (?v_739 (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_740 (= inline.SerialGetNextIrpLocked.5.myVar_0.5 inline.SerialGetNextIrpLocked.5.myVar_0)) (?v_741 (= inline.IsListEmpty.6.myNondetVar_0.2 inline.IsListEmpty.6.myNondetVar_0)) (?v_742 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1)) (?v_743 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_744 (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_745 (= inline.SerialGetNextWrite.2.myVar_0.15 inline.SerialGetNextWrite.2.myVar_0)) (?v_746 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1)) (?v_747 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_748 (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1)) (?v_749 (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_750 (= inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp)) (?v_751 (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_752 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty)) (?v_753 (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_754 (= inline.IsListEmpty.5.myNondetVar_0.2 inline.IsListEmpty.5.myNondetVar_0)) (?v_755 (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_756 (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_757 (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution)) (?v_758 (= inline.SerialGetNextWrite.2.myNondetVar_1.6 inline.SerialGetNextWrite.2.myNondetVar_1)) (?v_759 (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_760 (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_761 (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_762 (= inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1.)) (?v_763 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_764 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_765 (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1.)) (?v_766 (= inline.SerialGetNextWrite.2.havoc_stringTemp.1 inline.SerialGetNextWrite.2.havoc_stringTemp)) (?v_767 (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13.)) (?v_768 (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_769 (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_770 (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_771 (= inline.RemoveHeadList.5.myNondetVar_0.4 inline.RemoveHeadList.5.myNondetVar_0)) (?v_772 (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_773 (= inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1.)) (?v_774 (= inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite)) (?v_775 (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_776 (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1.)) (?v_777 (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3.)) (?v_778 (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_779 (= inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite)) (?v_780 (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_781 (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_782 (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_783 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty)) (?v_784 (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_785 (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_786 (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_787 (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer)) (?v_788 (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_789 (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_790 (= inline.SerialGetNextWrite.2.myNondetVar_2.5 inline.SerialGetNextWrite.2.myNondetVar_2)) (?v_791 (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_792 (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite)) (?v_793 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_794 (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_795 (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_796 (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_797 (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_798 (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_799 (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_800 (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_801 (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_802 (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_803 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_804 (= inline.RemoveHeadList.4.myNondetVar_0.4 inline.RemoveHeadList.4.myNondetVar_0))) (let ((?v_807 (=> true (=> ?v_636 (=> ?v_637 (=> ?v_638 (=> ?v_639 (=> ?v_640 (=> ?v_641 (=> ?v_642 (=> ?v_643 (=> ?v_644 (=> (= inline.sdv_InterlockedDecrement.23.myNondetVar_0.2 inline.sdv_InterlockedDecrement.23.myNondetVar_0.1) (=> ?v_645 (=> ?v_646 (=> ?v_647 (=> ?v_648 (=> ?v_649 (=> ?v_650 (=> ?v_651 (=> ?v_652 (=> ?v_653 (=> ?v_654 (=> ?v_655 (=> ?v_656 (=> ?v_657 (=> ?v_658 (=> ?v_659 (=> ?v_660 (=> ?v_661 (=> ?v_662 (=> ?v_663 (=> ?v_664 (=> (= alloc.117 alloc.100) (=> ?v_665 (=> ?v_666 (=> ?v_667 (=> (= Mem_1_T.P_IRP.91 Mem_1_T.P_IRP.71) (=> ?v_668 (=> ?v_669 (=> ?v_670 (=> ?v_671 (=> ?v_672 (=> ?v_673 (=> ?v_674 (=> ?v_675 (=> (= inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.23.myNondetVar_0.1) (=> ?v_676 (=> ?v_677 (=> ?v_678 (=> ?v_679 (=> ?v_680 (=> ?v_681 (=> ?v_682 (=> ?v_683 (=> ?v_684 (=> ?v_685 (=> ?v_686 (=> ?v_687 (=> ?v_688 (=> (= irpCompleted_0.51 irpCompleted_0.43) (=> ?v_689 (=> (= inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.23.myNondetVar_0.1) (=> ?v_690 (=> ?v_691 (=> ?v_692 (=> (= cancelLockStatus_0.89 cancelLockStatus_0.73) (=> ?v_693 (=> ?v_694 (=> ?v_695 (=> ?v_696 (=> ?v_697 (=> ?v_698 (=> ?v_699 (=> ?v_700 (=> ?v_701 (=> ?v_702 (=> ?v_703 (=> ?v_704 (=> ?v_705 (=> ?v_706 (=> (= Mem_1_T.CancelRoutine__IRP.124 Mem_1_T.CancelRoutine__IRP.104) (=> ?v_707 (=> ?v_708 (=> ?v_709 (=> ?v_710 (=> ?v_711 (=> ?v_712 (=> ?v_713 (=> ?v_714 (=> ?v_715 (=> ?v_716 (=> (= inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..0) (=> ?v_717 (=> ?v_718 (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) (=> ?v_719 (=> ?v_720 (=> ?v_721 (=> ?v_722 (=> (= errorReached.89 errorReached.74) (=> ?v_723 (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> (= irpCompleted_1.51 irpCompleted_1.43) (=> ?v_731 (=> (= inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..1 inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..0) (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) (=> ?v_739 (=> ?v_740 (=> (= Mem_0_T.P_IRP.91 Mem_0_T.P_IRP.71) (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> (= inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1..0 call73710formal.ret.0) (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> (= cancelLockStatus_1.89 cancelLockStatus_1.73) (=> (= k.192 k.166) (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> (= Mem_0_T.CancelRoutine__IRP.124 Mem_0_T.CancelRoutine__IRP.104) (=> ?v_791 (=> ?v_792 (=> (= inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.23.myNondetVar_0.1) (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> (= inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.0 call73746formal.new.0) (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 ?v_805))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_806 (= inline.sdv_InterlockedDecrement.23.myNondetVar_0.1 0))) (let ((?v_821 (and (=> true (=> (not ?v_806) (=> true (=> (= inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2.) ?v_807)))) (=> true (=> ?v_806 (=> true (=> (= inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..0 call73947formal.ret.0) (=> true (=> true (=> true ?v_807))))))))) (?v_820 (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 hirp))) (let ((?v_809 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.104 Mem_0_T.CancelRoutine__IRP.103) (=> (= Mem_1_T.CancelRoutine__IRP.104 Mem_1_T.CancelRoutine__IRP.103) (=> (= irpCompleted_0.43 irpCompleted_0.42) (=> (= irpCompleted_1.43 irpCompleted_1.42) (=> (= errorReached.74 errorReached.73) ?v_821))))))) (?v_810 (= irpCompleted_1.42 irpCompleted_1.41))) (let ((?v_811 (=> (= irpCompleted_0.42 irpCompleted_0.41) (=> true ?v_809))) (?v_808 (= k.166 1))) (let ((?v_815 (not ?v_808)) (?v_635 (= k.166 0))) (let ((?v_812 (not ?v_635))) (let ((?v_814 (and (=> true (=> ?v_635 (=> true (=> ?v_810 (=> (= irpCompleted_0.42 1) ?v_809))))) (=> true (=> ?v_812 (and (=> true (=> ?v_808 (=> true (=> (= irpCompleted_1.42 1) ?v_811)))) (=> true (=> ?v_815 (=> true (=> ?v_810 ?v_811)))))))))) (let ((?v_818 (=> true (=> true ?v_814))) (?v_816 (= Mem_0_T.CancelRoutine__IRP.103 Mem_0_T.CancelRoutine__IRP.101)) (?v_817 (= Mem_1_T.CancelRoutine__IRP.103 Mem_1_T.CancelRoutine__IRP.101)) (?v_813 (int_2_U (CancelRoutine__IRP inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2))) (?v_38 (int_2_U 0))) (let ((?v_819 (and (=> true (=> ?v_635 (=> (= Mem_0_T.CancelRoutine__IRP.102 (MapType0Store Mem_0_T.CancelRoutine__IRP.101 ?v_813 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.103 Mem_0_T.CancelRoutine__IRP.102) (=> ?v_817 ?v_814)))))) (=> true (=> ?v_812 (and (=> true (=> ?v_808 (=> (= Mem_1_T.CancelRoutine__IRP.102 (MapType0Store Mem_1_T.CancelRoutine__IRP.101 ?v_813 ?v_38)) (=> true (=> ?v_816 (=> (= Mem_1_T.CancelRoutine__IRP.103 Mem_1_T.CancelRoutine__IRP.102) ?v_818)))))) (=> true (=> ?v_815 (=> true (=> ?v_816 (=> ?v_817 ?v_818)))))))))) (?v_139 (= irpCompleted_0.41 0)) (?v_140 (= irpCompleted_1.41 0))) (let ((?v_65 (not ?v_139)) (?v_66 (not ?v_140)) (?v_634 (int_2_U call73746formal.new.0))) (let ((?v_822 (=> true (and ?v_8 (=> ?v_8 (=> (> call73746formal.new.0 0) (=> (forall ((?x1547 Int)) (! (=> (and (<= call73746formal.new.0 ?x1547) (< ?x1547 (+ call73746formal.new.0 1))) (= (Base ?x1547) call73746formal.new.0)) :pattern ((Base ?x1547)) )) (=> (forall ((?x1548 boogieU)) (! (=> (= (type ?x1548) intType) (or (= (U_2_int ?x1548) call73746formal.new.0) (= (MapType0Select alloc.99 ?x1548) (MapType0Select alloc.100 ?x1548)))) :pattern ((MapType0Select alloc.100 ?x1548)) )) (=> (and (= (MapType0Select alloc.99 ?v_634) UNALLOCATED) (= (MapType0Select alloc.100 ?v_634) ALLOCATED)) (and (=> true (=> ?v_820 (and (=> true (=> (=> ?v_635 ?v_65) (=> (=> ?v_808 ?v_66) (=> true (=> (= errorReached.73 1) ?v_819))))) (=> true (=> (=> ?v_635 ?v_139) (=> (=> ?v_808 ?v_140) (=> true (=> (= errorReached.73 errorReached.72) (=> true ?v_819))))))))) (=> true (=> (not ?v_820) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.104 Mem_0_T.CancelRoutine__IRP.101) (=> (= Mem_1_T.CancelRoutine__IRP.104 Mem_1_T.CancelRoutine__IRP.101) (=> (= irpCompleted_0.43 irpCompleted_0.41) (=> (= irpCompleted_1.43 irpCompleted_1.41) (=> (= errorReached.74 errorReached.72) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_821)))))))))))))))))))))))))))))))))) (?v_823 (= cancelLockStatus_1.73 cancelLockStatus_1.72))) (let ((?v_824 (=> (= cancelLockStatus_0.73 cancelLockStatus_0.72) (=> true (=> true (=> true (=> true ?v_822))))))) (let ((?v_826 (=> true (=> (<= k.165 k.166) (=> (< k.166 2) (and (=> true (=> ?v_635 (=> true (=> ?v_823 (=> (= cancelLockStatus_0.73 0) ?v_822))))) (=> true (=> ?v_812 (and (=> true (=> ?v_808 (=> true (=> (= cancelLockStatus_1.73 0) ?v_824)))) (=> true (=> ?v_815 (=> true (=> ?v_823 ?v_824))))))))))))) (let ((?v_829 (=> true (=> true (=> true (=> true ?v_826))))) (?v_827 (= Mem_0_T.P_IRP.71 Mem_0_T.P_IRP.69)) (?v_828 (= Mem_1_T.P_IRP.71 Mem_1_T.P_IRP.69)) (?v_49 (= k.165 1))) (let ((?v_378 (not ?v_49)) (?v_34 (int_2_U inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0))) (let ((?v_825 (MapType0Store Mem_1_T.P_IRP.69 ?v_34 ?v_38)) (?v_42 (= k.165 0))) (let ((?v_376 (not ?v_42)) (?v_633 (MapType0Store Mem_0_T.P_IRP.69 ?v_34 ?v_38))) (let ((?v_830 (and (=> true (=> ?v_42 (=> (= Mem_0_T.P_IRP.70 ?v_633) (=> true (=> (= Mem_0_T.P_IRP.71 Mem_0_T.P_IRP.70) (=> ?v_828 ?v_826)))))) (=> true (=> ?v_376 (and (=> true (=> ?v_49 (=> (= Mem_1_T.P_IRP.70 ?v_825) (=> true (=> ?v_827 (=> (= Mem_1_T.P_IRP.71 Mem_1_T.P_IRP.70) ?v_829)))))) (=> true (=> ?v_378 (=> true (=> ?v_827 (=> ?v_828 ?v_829))))))))))) (let ((?v_831 (=> true (=> true ?v_830))) (?v_203 (U_2_int (MapType0Select Mem_1_T.P_IRP.69 ?v_34))) (?v_32 (U_2_int (MapType0Select Mem_0_T.P_IRP.69 ?v_34))) (?v_70 (= inline.sdv_InterlockedDecrement.23.myNondetVar_0.2 inline.sdv_InterlockedDecrement.23.myNondetVar_0)) (?v_71 (= inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_72 (= inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_73 (= inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2.)) (?v_74 (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent)) (?v_75 (= inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..1 inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4.)) (?v_76 (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_77 (= inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1.)) (?v_78 (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_79 (= inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_80 (= inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.0 inline.SerialTryToCompleteCurrent.1.havoc_stringTemp))) (let ((?v_86 (=> true (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..0) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..2) (=> (= inline.SerialGetNextIrp.4.myNondetVar_0.2 inline.SerialGetNextIrp.4.myNondetVar_0.1) (=> ?v_70 (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..1) (=> (= inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.0) (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.4.havoc_stringTemp.1) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..1) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.2) (=> (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.10 inline.KeSynchronizeExecution.11.myNondetVar_0.9) (=> (= alloc.117 alloc.116) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.3) (=> (= Mem_1_T.P_IRP.91 Mem_1_T.P_IRP.90) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.4 inline.sdv_InterlockedDecrement.22.myNondetVar_0.3) (=> (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.4 inline.sdv_InterlockedDecrement.20.myNondetVar_0.3) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.5.havoc_stringTemp.1) (=> (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..2) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> ?v_71 (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.0) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.2) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.2) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.6 inline.sdv_InterlockedDecrement.21.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= irpCompleted_0.51 irpCompleted_0.50) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> ?v_72 (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.5 inline.SerialGetNextIrpLocked.4.myVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= cancelLockStatus_0.89 cancelLockStatus_0.87) (=> (= inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..0) (=> (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..1) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.0) (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.5 inline.sdv_InterlockedIncrement.6.myNondetVar_0.4) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.7 inline.SerialGetNextWrite.2.tempBoogie0.6) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialSetTimer.5.myNondetVar_0.8 inline.SerialSetTimer.5.myNondetVar_0.7) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0) (=> (= Mem_1_T.CancelRoutine__IRP.124 Mem_1_T.CancelRoutine__IRP.123) (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.0) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> ?v_73 (=> (= inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..0) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> ?v_74 (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.3) (=> (= errorReached.89 errorReached.88) (=> (= inline.SerialGetNextIrp.5.myNondetVar_0.2 inline.SerialGetNextIrp.5.myNondetVar_0.1) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.9 inline.KeSynchronizeExecution.10.myNondetVar_0.8) (=> (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.2) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..1) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= irpCompleted_1.51 irpCompleted_1.50) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.2) (=> ?v_75 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.21 inline.SerialGetNextWrite.2.myNondetVar_0.20) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.0) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> ?v_737 (=> (= inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.0) (=> ?v_76 (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.5 inline.SerialGetNextIrpLocked.5.myVar_0.4) (=> (= Mem_0_T.P_IRP.91 Mem_0_T.P_IRP.90) (=> (= inline.IsListEmpty.6.myNondetVar_0.2 inline.IsListEmpty.6.myNondetVar_0.1) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.3) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextWrite.2.myVar_0.15 inline.SerialGetNextWrite.2.myVar_0.14) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.0) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.0) (=> ?v_77 (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.IsListEmpty.5.myNondetVar_0.2 inline.IsListEmpty.5.myNondetVar_0.1) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.6 inline.SerialGetNextWrite.2.myNondetVar_1.5) (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.3) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.0) (=> (= cancelLockStatus_1.89 cancelLockStatus_1.87) (=> (= k.192 k.191) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1) (=> (= inline.SerialGetNextWrite.2.havoc_stringTemp.1 inline.SerialGetNextWrite.2.havoc_stringTemp.0) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..1) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.RemoveHeadList.5.myNondetVar_0.4 inline.RemoveHeadList.5.myNondetVar_0.3) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..1) (=> (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> ?v_78 (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.3) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.0) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.5 inline.SerialGetNextWrite.2.myNondetVar_2.4) (=> (= Mem_0_T.CancelRoutine__IRP.124 Mem_0_T.CancelRoutine__IRP.123) (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.2) (=> ?v_79 (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.0) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> ?v_80 (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1) (=> (= inline.RemoveHeadList.4.myNondetVar_0.4 inline.RemoveHeadList.4.myNondetVar_0.3) ?v_805))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_82 (= k.191 0)) (?v_30 (int_2_U call68727formal.new.0))) (let ((?v_83 (= (U_2_int (MapType0Select Mem_0_T.P_IRP.90 ?v_30)) 0)) (?v_84 (= k.191 1)) (?v_85 (= (U_2_int (MapType0Select Mem_1_T.P_IRP.90 ?v_30)) 0)) (?v_0 (= 0 0))) (let ((?v_31 (not ?v_0))) (let ((?v_386 (and (=> true (=> (=> ?v_82 (not ?v_83)) (=> (=> ?v_84 (not ?v_85)) (=> true (=> ?v_31 ?v_86))))) (=> true (=> (=> ?v_82 ?v_83) (=> (=> ?v_84 ?v_85) ?v_86))))) (?v_461 (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_462 (= inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1.)) (?v_463 (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_464 (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_465 (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_466 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_467 (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_468 (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1.)) (?v_469 (= inline.SerialGetNextIrp.4.myNondetVar_0.1 inline.SerialGetNextIrp.4.myNondetVar_0)) (?v_470 (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite)) (?v_471 (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_472 (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_473 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_474 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1)) (?v_475 (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2.)) (?v_476 (= inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite)) (?v_477 (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.4 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite)) (?v_478 (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_479 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_480 (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_481 (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.4.havoc_stringTemp)) (?v_482 (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_483 (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_484 (= inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1.)) (?v_485 (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_486 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1)) (?v_487 (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_488 (= inline.KeSynchronizeExecution.11.myNondetVar_0.9 inline.KeSynchronizeExecution.11.myNondetVar_0)) (?v_489 (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1.)) (?v_490 (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_491 (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_492 (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution)) (?v_493 (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_494 (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.3 inline.sdv_InterlockedDecrement.22.myNondetVar_0)) (?v_495 (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.3 inline.sdv_InterlockedDecrement.20.myNondetVar_0)) (?v_496 (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_497 (= inline.SerialGetNextWrite.2.tempBoogie0.6 inline.SerialGetNextWrite.2.tempBoogie0)) (?v_498 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_499 (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_500 (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.5.havoc_stringTemp)) (?v_501 (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4.)) (?v_502 (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_503 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_504 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer)) (?v_505 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_506 (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_507 (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_508 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer)) (?v_509 (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_510 (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4.)) (?v_511 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_512 (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.5 inline.sdv_InterlockedDecrement.21.myNondetVar_0)) (?v_513 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_514 (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_515 (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1.)) (?v_516 (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_517 (= inline.SerialGetNextIrpLocked.4.myVar_0.4 inline.SerialGetNextIrpLocked.4.myVar_0)) (?v_518 (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_519 (= inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1.)) (?v_520 (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_521 (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_522 (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_523 (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2.)) (?v_524 (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1.)) (?v_525 (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_526 (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.4 inline.sdv_InterlockedIncrement.6.myNondetVar_0)) (?v_527 (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_528 (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_529 (= inline.SerialSetTimer.5.myNondetVar_0.7 inline.SerialSetTimer.5.myNondetVar_0)) (?v_530 (= inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_531 (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2.)) (?v_532 (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_533 (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_534 (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1.)) (?v_535 (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_536 (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_537 (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite)) (?v_538 (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2.)) (?v_539 (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_540 (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_541 (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_542 (= inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1.)) (?v_543 (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_544 (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_545 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_546 (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_547 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1)) (?v_548 (= inline.SerialGetNextIrp.5.myNondetVar_0.1 inline.SerialGetNextIrp.5.myNondetVar_0)) (?v_549 (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_550 (= inline.KeSynchronizeExecution.10.myNondetVar_0.8 inline.KeSynchronizeExecution.10.myNondetVar_0)) (?v_551 (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite)) (?v_552 (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_553 (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList)) (?v_554 (= inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1.)) (?v_555 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_556 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer)) (?v_557 (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_558 (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_559 (= inline.SerialGetNextWrite.2.myNondetVar_0.20 inline.SerialGetNextWrite.2.myNondetVar_0)) (?v_560 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_561 (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp)) (?v_562 (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_563 (= inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp)) (?v_564 (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.0 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_565 (= inline.SerialGetNextIrpLocked.5.myVar_0.4 inline.SerialGetNextIrpLocked.5.myVar_0)) (?v_566 (= inline.IsListEmpty.6.myNondetVar_0.1 inline.IsListEmpty.6.myNondetVar_0)) (?v_567 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1)) (?v_568 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_569 (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_570 (= inline.SerialGetNextWrite.2.myVar_0.14 inline.SerialGetNextWrite.2.myVar_0)) (?v_571 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1)) (?v_572 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_573 (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList)) (?v_574 (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1)) (?v_575 (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_576 (= inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp)) (?v_577 (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_578 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty)) (?v_579 (= inline.IsListEmpty.5.myNondetVar_0.1 inline.IsListEmpty.5.myNondetVar_0)) (?v_580 (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_581 (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution)) (?v_582 (= inline.SerialGetNextWrite.2.myNondetVar_1.5 inline.SerialGetNextWrite.2.myNondetVar_1)) (?v_583 (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_584 (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13.)) (?v_585 (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_586 (= inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1.)) (?v_587 (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_588 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_589 (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1.)) (?v_590 (= inline.SerialGetNextWrite.2.havoc_stringTemp.0 inline.SerialGetNextWrite.2.havoc_stringTemp)) (?v_591 (= inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite)) (?v_592 (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_593 (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_594 (= inline.RemoveHeadList.5.myNondetVar_0.3 inline.RemoveHeadList.5.myNondetVar_0)) (?v_595 (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_596 (= inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1.)) (?v_597 (= inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite)) (?v_598 (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_599 (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1.)) (?v_600 (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3.)) (?v_601 (= inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite)) (?v_602 (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_603 (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1.)) (?v_604 (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_605 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty)) (?v_606 (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_607 (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_608 (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_609 (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer)) (?v_610 (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_611 (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp)) (?v_612 (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_613 (= inline.SerialGetNextWrite.2.myNondetVar_2.4 inline.SerialGetNextWrite.2.myNondetVar_2)) (?v_614 (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_615 (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite)) (?v_616 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_617 (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2.)) (?v_618 (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_619 (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_620 (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_621 (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_622 (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_623 (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_624 (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_625 (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_626 (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_627 (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1))) (let ((?v_628 (=> (= inline.RemoveHeadList.4.myNondetVar_0.3 inline.RemoveHeadList.4.myNondetVar_0) (=> true ?v_386))) (?v_460 (= SerialGetNextWrite SerialGetNextIrp))) (let ((?v_1375 (not ?v_460)) (?v_405 (=> true (=> ?v_461 (=> (= inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..0 call72808formal.ret.0) (=> ?v_463 (=> ?v_464 (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 1) (=> ?v_466 (=> ?v_467 (=> ?v_468 (=> ?v_469 (=> ?v_470 (=> ?v_471 (=> ?v_472 (=> ?v_473 (=> ?v_474 (=> (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..0) (=> ?v_476 (=> ?v_477 (=> ?v_478 (=> ?v_479 (=> ?v_480 (=> ?v_481 (=> ?v_482 (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call68727formal.new.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..0 call73063formal.ret.0) (=> ?v_485 (=> ?v_486 (=> (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> ?v_488 (=> (= alloc.116 alloc.108) (=> ?v_489 (=> ?v_490 (=> ?v_491 (=> ?v_492 (=> (= Mem_1_T.P_IRP.90 Mem_1_T.P_IRP.78) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.3 inline.sdv_InterlockedDecrement.22.myNondetVar_0.2) (=> ?v_495 (=> ?v_496 (=> ?v_497 (=> ?v_498 (=> ?v_499 (=> (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.5.havoc_stringTemp.0) (=> (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..1) (=> ?v_502 (=> ?v_503 (=> ?v_504 (=> ?v_505 (=> (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..0) (=> ?v_507 (=> ?v_508 (=> ?v_509 (=> ?v_510 (=> ?v_511 (=> ?v_512 (=> ?v_513 (=> (= irpCompleted_0.50 irpCompleted_0.46) (=> ?v_514 (=> ?v_515 (=> ?v_516 (=> ?v_517 (=> ?v_518 (=> (= cancelLockStatus_0.87 cancelLockStatus_0.78) (=> ?v_519 (=> (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_522 (=> ?v_523 (=> ?v_524 (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_526 (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> ?v_528 (=> ?v_529 (=> ?v_530 (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_533 (=> ?v_534 (=> ?v_535 (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> ?v_537 (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..1) (=> ?v_539 (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call68727formal.new.0) (=> (= inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_544 (=> ?v_545 (=> ?v_546 (=> ?v_547 (=> (= errorReached.88 errorReached.79) (=> (= inline.SerialGetNextIrp.5.myNondetVar_0.1 inline.SerialGetNextIrp.5.myNondetVar_0.0) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_550 (=> ?v_551 (=> ?v_552 (=> (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.0) (=> ?v_554 (=> ?v_555 (=> (= irpCompleted_1.50 irpCompleted_1.46) (=> ?v_556 (=> ?v_557 (=> ?v_558 (=> ?v_559 (=> ?v_560 (=> ?v_561 (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.0 call72777formal.new.0) (=> ?v_564 (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.4 inline.SerialGetNextIrpLocked.5.myVar_0.3) (=> (= Mem_0_T.P_IRP.90 Mem_0_T.P_IRP.78) (=> (= inline.IsListEmpty.6.myNondetVar_0.1 inline.IsListEmpty.6.myNondetVar_0.0) (=> ?v_567 (=> ?v_568 (=> ?v_569 (=> ?v_570 (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_572 (=> ?v_573 (=> ?v_574 (=> ?v_575 (=> ?v_576 (=> ?v_577 (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= Mem_1_T.CancelRoutine__IRP.123 Mem_1_T.CancelRoutine__IRP.111) (=> ?v_579 (=> ?v_580 (=> ?v_581 (=> ?v_582 (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> ?v_584 (=> ?v_585 (=> ?v_586 (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.0 call68727formal.new.0) (=> (= cancelLockStatus_1.87 cancelLockStatus_1.78) (=> (= k.191 k.178) (=> ?v_588 (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0) (=> ?v_590 (=> ?v_591 (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.0 1) (=> (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.RemoveHeadList.5.myNondetVar_0.3 inline.RemoveHeadList.5.myNondetVar_0.2) (=> ?v_595 (=> ?v_596 (=> ?v_597 (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 1) (=> (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..0) (=> ?v_600 (=> ?v_601 (=> ?v_602 (=> ?v_603 (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_605 (=> ?v_606 (=> ?v_607 (=> ?v_608 (=> ?v_609 (=> ?v_610 (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.0 call68727formal.new.0) (=> ?v_612 (=> ?v_613 (=> (= Mem_0_T.CancelRoutine__IRP.123 Mem_0_T.CancelRoutine__IRP.111) (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> ?v_615 (=> ?v_616 (=> ?v_617 (=> ?v_618 (=> ?v_619 (=> ?v_620 (=> ?v_621 (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> ?v_623 (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 1) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_626 (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.0) ?v_628))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_407 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.111 Mem_0_T.CancelRoutine__IRP.107) (=> (= Mem_1_T.CancelRoutine__IRP.111 Mem_1_T.CancelRoutine__IRP.107) (=> (= k.178 k.175) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4.) (=> (= errorReached.79 errorReached.76) (=> (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= alloc.108 alloc.101) (=> (= irpCompleted_1.46 irpCompleted_1.41) (=> (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.2 inline.sdv_InterlockedDecrement.22.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.5.havoc_stringTemp) (=> (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= irpCompleted_0.46 irpCompleted_0.41) (=> true (=> true (=> true (=> true (=> true (=> true ?v_405)))))))))))))))))))))))) (?v_406 (= 1 0)) (?v_404 (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2 0)) (?v_388 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.111 Mem_0_T.CancelRoutine__IRP.110) (=> (= Mem_1_T.CancelRoutine__IRP.111 Mem_1_T.CancelRoutine__IRP.110) (=> (= k.178 k.177) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..0) (=> (= errorReached.79 errorReached.78) (=> (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.22.myNondetVar_0.1) (=> (= alloc.108 alloc.107) (=> (= irpCompleted_1.46 irpCompleted_1.45) (=> (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.22.myNondetVar_0.1) (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.2 inline.sdv_InterlockedDecrement.22.myNondetVar_0.1) (=> (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.0 call73121formal.new.0) (=> (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.22.myNondetVar_0.1) (=> (= irpCompleted_0.46 irpCompleted_0.45) ?v_405)))))))))))))))))) (?v_387 (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.1 0))) (let ((?v_403 (and (=> true (=> (not ?v_387) (=> true (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2.) ?v_388)))) (=> true (=> ?v_387 (=> true (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..0 call73323formal.ret.0) (=> true (=> true (=> true ?v_388))))))))) (?v_402 (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2 hirp))) (let ((?v_389 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.110 Mem_0_T.CancelRoutine__IRP.109) (=> (= Mem_1_T.CancelRoutine__IRP.110 Mem_1_T.CancelRoutine__IRP.109) (=> (= irpCompleted_0.45 irpCompleted_0.44) (=> (= k.177 k.176) (=> (= irpCompleted_1.45 irpCompleted_1.44) (=> (= errorReached.78 errorReached.77) ?v_403)))))))) (?v_391 (= irpCompleted_1.44 irpCompleted_1.41))) (let ((?v_392 (=> (= irpCompleted_0.44 irpCompleted_0.41) (=> true ?v_389))) (?v_390 (= k.176 1))) (let ((?v_396 (not ?v_390)) (?v_385 (= k.176 0))) (let ((?v_393 (not ?v_385))) (let ((?v_395 (and (=> true (=> ?v_385 (=> true (=> ?v_391 (=> (= irpCompleted_0.44 1) ?v_389))))) (=> true (=> ?v_393 (and (=> true (=> ?v_390 (=> true (=> (= irpCompleted_1.44 1) ?v_392)))) (=> true (=> ?v_396 (=> true (=> ?v_391 ?v_392)))))))))) (let ((?v_399 (=> true (=> true ?v_395))) (?v_397 (= Mem_0_T.CancelRoutine__IRP.109 Mem_0_T.CancelRoutine__IRP.107)) (?v_398 (= Mem_1_T.CancelRoutine__IRP.109 Mem_1_T.CancelRoutine__IRP.107)) (?v_394 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2)))) (let ((?v_401 (=> true (=> (<= k.175 k.176) (=> (< k.176 2) (and (=> true (=> ?v_385 (=> (= Mem_0_T.CancelRoutine__IRP.108 (MapType0Store Mem_0_T.CancelRoutine__IRP.107 ?v_394 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.109 Mem_0_T.CancelRoutine__IRP.108) (=> ?v_398 ?v_395)))))) (=> true (=> ?v_393 (and (=> true (=> ?v_390 (=> (= Mem_1_T.CancelRoutine__IRP.108 (MapType0Store Mem_1_T.CancelRoutine__IRP.107 ?v_394 ?v_38)) (=> true (=> ?v_397 (=> (= Mem_1_T.CancelRoutine__IRP.109 Mem_1_T.CancelRoutine__IRP.108) ?v_399)))))) (=> true (=> ?v_396 (=> true (=> ?v_397 (=> ?v_398 ?v_399))))))))))))) (?v_384 (= k.175 0)) (?v_400 (= k.175 1)) (?v_383 (int_2_U call73121formal.new.0)) (?v_1304 (not ?v_406))) (let ((?v_408 (and (=> true (=> ?v_1304 (and (=> true (=> (not ?v_404) (=> true (and ?v_8 (=> ?v_8 (=> (> call73121formal.new.0 0) (=> (forall ((?x1549 Int)) (! (=> (and (<= call73121formal.new.0 ?x1549) (< ?x1549 (+ call73121formal.new.0 1))) (= (Base ?x1549) call73121formal.new.0)) :pattern ((Base ?x1549)) )) (=> (forall ((?x1550 boogieU)) (! (=> (= (type ?x1550) intType) (or (= (U_2_int ?x1550) call73121formal.new.0) (= (MapType0Select alloc.101 ?x1550) (MapType0Select alloc.107 ?x1550)))) :pattern ((MapType0Select alloc.107 ?x1550)) )) (=> (and (= (MapType0Select alloc.101 ?v_383) UNALLOCATED) (= (MapType0Select alloc.107 ?v_383) ALLOCATED)) (and (=> true (=> ?v_402 (and (=> true (=> (=> ?v_384 ?v_65) (=> (=> ?v_400 ?v_66) (=> true (=> (= errorReached.77 1) ?v_401))))) (=> true (=> (=> ?v_384 ?v_139) (=> (=> ?v_400 ?v_140) (=> true (=> (= errorReached.77 errorReached.76) ?v_401)))))))) (=> true (=> (not ?v_402) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.110 Mem_0_T.CancelRoutine__IRP.107) (=> (= Mem_1_T.CancelRoutine__IRP.110 Mem_1_T.CancelRoutine__IRP.107) (=> (= irpCompleted_0.45 irpCompleted_0.41) (=> (= k.177 k.175) (=> (= irpCompleted_1.45 irpCompleted_1.41) (=> (= errorReached.78 errorReached.76) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_403)))))))))))))))))))))))))))))))))))) (=> true (=> ?v_404 ?v_407))))) (=> true (=> ?v_406 ?v_407)))) (?v_409 (= cancelLockStatus_1.78 cancelLockStatus_1.75))) (let ((?v_410 (=> (= cancelLockStatus_0.78 cancelLockStatus_0.75) (=> true (=> true (=> true (=> true (=> true ?v_408)))))))) (let ((?v_412 (=> true (=> (<= k.174 k.175) (=> (< k.175 2) (and (=> true (=> ?v_384 (=> true (=> ?v_409 (=> (= cancelLockStatus_0.78 0) ?v_408))))) (=> true (=> (not ?v_384) (and (=> true (=> ?v_400 (=> true (=> (= cancelLockStatus_1.78 0) ?v_410)))) (=> true (=> (not ?v_400) (=> true (=> ?v_409 ?v_410))))))))))))) (let ((?v_416 (=> true (=> true (=> true (=> true ?v_412))))) (?v_414 (= Mem_0_T.P_IRP.78 Mem_0_T.P_IRP.76)) (?v_415 (= Mem_1_T.P_IRP.78 Mem_1_T.P_IRP.76)) (?v_413 (= k.174 1)) (?v_411 (= k.174 0))) (let ((?v_426 (and (=> true (=> ?v_411 (=> (= Mem_0_T.P_IRP.77 (MapType0Store Mem_0_T.P_IRP.76 ?v_30 (MapType0Select Mem_0_T.P_IRP.76 ?v_34))) (=> true (=> (= Mem_0_T.P_IRP.78 Mem_0_T.P_IRP.77) (=> ?v_415 ?v_412)))))) (=> true (=> (not ?v_411) (and (=> true (=> ?v_413 (=> (= Mem_1_T.P_IRP.77 (MapType0Store Mem_1_T.P_IRP.76 ?v_30 (MapType0Select Mem_1_T.P_IRP.76 ?v_34))) (=> true (=> ?v_414 (=> (= Mem_1_T.P_IRP.78 Mem_1_T.P_IRP.77) ?v_416)))))) (=> true (=> (not ?v_413) (=> true (=> ?v_414 (=> ?v_415 ?v_416))))))))))) (let ((?v_428 (=> true (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= Mem_0_T.P_IRP.76 Mem_0_T.P_IRP.73) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..0) (=> (= errorReached.76 errorReached.75) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.5.myVar_0.2) (=> (= Mem_0_T.CancelRoutine__IRP.107 Mem_0_T.CancelRoutine__IRP.106) (=> (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.5.myNondetVar_0.0) (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.3 inline.SerialGetNextIrpLocked.5.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= Mem_1_T.P_IRP.76 Mem_1_T.P_IRP.73) (=> (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.5.myNondetVar_0.0) (=> (= Mem_1_T.CancelRoutine__IRP.107 Mem_1_T.CancelRoutine__IRP.106) (=> (= inline.RemoveHeadList.5.myNondetVar_0.2 inline.RemoveHeadList.5.myNondetVar_0.1) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.5.myVar_0.2) (=> (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.5.myNondetVar_0.0) (=> (= k.174 k.173) (=> (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.5.myNondetVar_0.0) (=> true ?v_426)))))))))))))))))))))) (let ((?v_432 (=> true (=> true (=> true (=> true (=> true (=> true ?v_428))))))) (?v_430 (= Mem_0_T.CancelRoutine__IRP.106 Mem_0_T.CancelRoutine__IRP.101)) (?v_431 (= Mem_1_T.CancelRoutine__IRP.106 Mem_1_T.CancelRoutine__IRP.101)) (?v_429 (= k.173 1)) (?v_425 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.5.myVar_0.2))) (?v_427 (= k.173 0))) (let ((?v_437 (and (=> true (=> ?v_427 (=> (= Mem_0_T.CancelRoutine__IRP.105 (MapType0Store Mem_0_T.CancelRoutine__IRP.101 ?v_425 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.106 Mem_0_T.CancelRoutine__IRP.105) (=> ?v_431 ?v_428)))))) (=> true (=> (not ?v_427) (and (=> true (=> ?v_429 (=> (= Mem_1_T.CancelRoutine__IRP.105 (MapType0Store Mem_1_T.CancelRoutine__IRP.101 ?v_425 ?v_38)) (=> true (=> ?v_430 (=> (= Mem_1_T.CancelRoutine__IRP.106 Mem_1_T.CancelRoutine__IRP.105) ?v_432)))))) (=> true (=> (not ?v_429) (=> true (=> ?v_430 (=> ?v_431 ?v_432))))))))))) (let ((?v_439 (=> (= errorReached.75 errorReached.72) (=> true ?v_437))) (?v_438 (= inline.SerialGetNextIrpLocked.5.myVar_0.2 hirp)) (?v_435 (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..0 call73582formal.ret.0)) (?v_436 (= k.173 k.172)) (?v_433 (= k.172 0)) (?v_434 (= k.172 1))) (let ((?v_441 (and (=> true (=> ?v_438 (=> true (=> (<= k.171 k.172) (=> (< k.172 2) (and (=> true (=> (=> ?v_433 ?v_65) (=> (=> ?v_434 ?v_66) (=> true (=> ?v_435 (=> ?v_436 (=> (= errorReached.75 1) ?v_437))))))) (=> true (=> (=> ?v_433 ?v_139) (=> (=> ?v_434 ?v_140) (=> true (=> ?v_435 (=> ?v_436 ?v_439)))))))))))) (=> true (=> (not ?v_438) (=> true (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2.) (=> (= k.173 k.171) ?v_439)))))))) (let ((?v_442 (=> true (=> true ?v_441))) (?v_440 (= k.171 1))) (let ((?v_446 (not ?v_440)) (?v_423 (= k.171 0))) (let ((?v_443 (not ?v_423))) (let ((?v_445 (and (=> true (=> ?v_423 (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.101 ?v_425))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_441))))) (=> true (=> ?v_443 (and (=> true (=> ?v_440 (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.101 ?v_425))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_442))))) (=> true (=> ?v_446 (=> true (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_442)))))))))) (let ((?v_447 (=> true (=> true (=> true (=> true (=> true ?v_445)))))) (?v_444 (U_2_int (MapType0Select Mem_1_T.P_IRP.73 ?v_34))) (?v_424 (U_2_int (MapType0Select Mem_0_T.P_IRP.73 ?v_34)))) (let ((?v_449 (=> true (=> (=> ?v_423 (not (= ?v_424 hirp))) (=> (=> ?v_440 (not (= ?v_444 hirp))) (and (=> true (=> ?v_423 (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.1 ?v_424) (=> true (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.2 inline.SerialGetNextIrpLocked.5.myVar_0.1) ?v_445))))) (=> true (=> ?v_443 (and (=> true (=> ?v_440 (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.0 ?v_444) (=> true (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.2 inline.SerialGetNextIrpLocked.5.myVar_0.0) ?v_447))))) (=> true (=> ?v_446 (=> true (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.2 inline.SerialGetNextIrpLocked.5.myVar_0) ?v_447))))))))))))) (let ((?v_452 (=> true ?v_449)) (?v_450 (= Mem_0_T.P_IRP.73 Mem_0_T.P_IRP.69)) (?v_451 (= Mem_1_T.P_IRP.73 Mem_1_T.P_IRP.69)) (?v_448 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.5.myNondetVar_0.0 1 88))) (?v_422 (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0 0)) (?v_418 (=> true (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= Mem_0_T.P_IRP.76 Mem_0_T.P_IRP.75) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2.) (=> (= errorReached.76 errorReached.72) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= Mem_0_T.CancelRoutine__IRP.107 Mem_0_T.CancelRoutine__IRP.101) (=> (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2.) (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.3 inline.SerialGetNextIrpLocked.5.myVar_0) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= Mem_1_T.P_IRP.76 Mem_1_T.P_IRP.75) (=> (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= Mem_1_T.CancelRoutine__IRP.107 Mem_1_T.CancelRoutine__IRP.101) (=> (= inline.RemoveHeadList.5.myNondetVar_0.2 inline.RemoveHeadList.5.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1.) (=> (= k.174 k.167) (=> (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList) ?v_426))))))))))))))))))))) (let ((?v_421 (=> true ?v_418)) (?v_419 (= Mem_0_T.P_IRP.75 Mem_0_T.P_IRP.69)) (?v_420 (= Mem_1_T.P_IRP.75 Mem_1_T.P_IRP.69)) (?v_417 (= k.167 1))) (let ((?v_455 (not ?v_417)) (?v_382 (= k.167 0))) (let ((?v_453 (not ?v_382))) (let ((?v_454 (=> true (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.6.myNondetVar_0.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0))) (and (=> true (=> (not ?v_422) (and (=> true (=> ?v_382 (=> (= Mem_0_T.P_IRP.74 ?v_633) (=> true (=> (= Mem_0_T.P_IRP.75 Mem_0_T.P_IRP.74) (=> ?v_420 ?v_418)))))) (=> true (=> ?v_453 (and (=> true (=> ?v_417 (=> (= Mem_1_T.P_IRP.74 ?v_825) (=> true (=> ?v_419 (=> (= Mem_1_T.P_IRP.75 Mem_1_T.P_IRP.74) ?v_421)))))) (=> true (=> ?v_455 (=> true (=> ?v_419 (=> ?v_420 ?v_421))))))))))) (=> true (=> ?v_422 (=> true (=> (<= k.167 k.171) (=> (< k.171 2) (and (=> true (=> ?v_423 (=> (= Mem_0_T.P_IRP.72 (MapType0Store Mem_0_T.P_IRP.69 ?v_34 ?v_448)) (=> true (=> (= Mem_0_T.P_IRP.73 Mem_0_T.P_IRP.72) (=> ?v_451 ?v_449)))))) (=> true (=> ?v_443 (and (=> true (=> ?v_440 (=> (= Mem_1_T.P_IRP.72 (MapType0Store Mem_1_T.P_IRP.69 ?v_34 ?v_448)) (=> true (=> ?v_450 (=> (= Mem_1_T.P_IRP.73 Mem_1_T.P_IRP.72) ?v_452)))))) (=> true (=> ?v_446 (=> true (=> ?v_450 (=> ?v_451 ?v_452))))))))))))))))))) (let ((?v_456 (=> true (=> true (=> true (=> true ?v_454)))))) (let ((?v_457 (and (=> true (=> ?v_382 (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.1 ?v_32) (=> true (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_454))))) (=> true (=> ?v_453 (and (=> true (=> ?v_417 (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.0 ?v_203) (=> true (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_456))))) (=> true (=> ?v_455 (=> true (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_456))))))))) (?v_458 (= cancelLockStatus_1.75 cancelLockStatus_1.74))) (let ((?v_459 (=> (= cancelLockStatus_0.75 cancelLockStatus_0.74) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_457))))))))))) (?v_58 (= cancelLockStatus_0.74 0)) (?v_213 (= cancelLockStatus_1.74 0)) (?v_381 (int_2_U call72777formal.new.0)) (?v_380 (= SerialGetNextWrite SerialGetNextWrite))) (let ((?v_1299 (not ?v_380)) (?v_69 (int_2_U call71693formal.new.0))) (let ((?v_115 (=> true (and ?v_8 (=> ?v_8 (=> (> call71693formal.new.0 0) (=> (forall ((?x1553 Int)) (! (=> (and (<= call71693formal.new.0 ?x1553) (< ?x1553 (+ call71693formal.new.0 1))) (= (Base ?x1553) call71693formal.new.0)) :pattern ((Base ?x1553)) )) (=> (forall ((?x1554 boogieU)) (! (=> (= (type ?x1554) intType) (or (= (U_2_int ?x1554) call71693formal.new.0) (= (MapType0Select alloc.114 ?x1554) (MapType0Select alloc.115 ?x1554)))) :pattern ((MapType0Select alloc.115 ?x1554)) )) (=> (and (= (MapType0Select alloc.114 ?v_69) UNALLOCATED) (= (MapType0Select alloc.115 ?v_69) ALLOCATED)) (=> true (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.0 call68727formal.new.0) (=> ?v_462 (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_465 (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..1) (=> (= inline.SerialGetNextIrp.4.myNondetVar_0.1 inline.SerialGetNextIrp.4.myNondetVar_0.0) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.0 x.SerialCompleteWrite.arg.2.7..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_475 (=> (= inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.0 call70274formal.new.0) (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.4 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.4.havoc_stringTemp.0) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> ?v_483 (=> ?v_484 (=> (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.1) (=> ?v_487 (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.9 inline.KeSynchronizeExecution.11.myNondetVar_0.8) (=> (= alloc.116 alloc.115) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.2) (=> (= Mem_1_T.P_IRP.90 Mem_1_T.P_IRP.89) (=> ?v_493 (=> ?v_494 (=> (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.3 inline.sdv_InterlockedDecrement.20.myNondetVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.2.myVar_0.2) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.6 inline.SerialGetNextWrite.2.tempBoogie0.5) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_500 (=> ?v_501 (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.1) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.2) (=> ?v_506 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.1) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.5 inline.sdv_InterlockedDecrement.21.myNondetVar_0.4) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= irpCompleted_0.50 irpCompleted_0.49) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call68727formal.new.0) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..0) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call68727formal.new.0) (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.4 inline.SerialGetNextIrpLocked.4.myVar_0.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= cancelLockStatus_0.87 cancelLockStatus_0.86) (=> (= inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0) (=> ?v_520 (=> ?v_521 (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..2) (=> ?v_525 (=> (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.4 inline.sdv_InterlockedIncrement.6.myNondetVar_0.3) (=> ?v_527 (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialSetTimer.5.myNondetVar_0.7 inline.SerialSetTimer.5.myNondetVar_0.6) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 1) (=> ?v_531 (=> ?v_532 (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_536 (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.0 call68727formal.new.0) (=> ?v_538 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_540 (=> ?v_541 (=> ?v_542 (=> ?v_543 (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.2) (=> (= errorReached.88 errorReached.87) (=> ?v_548 (=> ?v_549 (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.8 inline.KeSynchronizeExecution.10.myNondetVar_0.7) (=> (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.0 call68727formal.new.0) (=> ?v_553 (=> (= inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..0) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= irpCompleted_1.50 irpCompleted_1.49) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.1) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.20 inline.SerialGetNextWrite.2.myNondetVar_0.19) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.0 call68727formal.new.0) (=> ?v_562 (=> ?v_563 (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_565 (=> (= Mem_0_T.P_IRP.90 Mem_0_T.P_IRP.89) (=> ?v_566 (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.2) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.2.myVar_0.2) (=> (= inline.SerialGetNextWrite.2.myVar_0.14 inline.SerialGetNextWrite.2.myVar_0.13) (=> ?v_571 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.0 x.SerialCompleteWrite.arg.2.7..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.0 call70697formal.new.0) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_578 (=> (= Mem_1_T.CancelRoutine__IRP.123 Mem_1_T.CancelRoutine__IRP.122) (=> (= inline.IsListEmpty.5.myNondetVar_0.1 inline.IsListEmpty.5.myNondetVar_0.0) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.5 inline.SerialGetNextWrite.2.myNondetVar_1.4) (=> ?v_583 (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..0) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..0 call70728formal.ret.0) (=> ?v_587 (=> (= cancelLockStatus_1.87 cancelLockStatus_1.86) (=> (= k.191 k.190) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_589 (=> (= inline.SerialGetNextWrite.2.havoc_stringTemp.0 call71693formal.new.0) (=> (= inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.0 call70277formal.new.0) (=> ?v_592 (=> ?v_593 (=> ?v_594 (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.0 call70271formal.new.0) (=> ?v_598 (=> ?v_599 (=> (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..1) (=> (= inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.0 call70268formal.new.0) (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0) (=> ?v_604 (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_611 (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.4 inline.SerialGetNextWrite.2.myNondetVar_2.3) (=> (= Mem_0_T.CancelRoutine__IRP.123 Mem_0_T.CancelRoutine__IRP.122) (=> ?v_614 (=> (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.1) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..0) (=> (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..0) (=> ?v_622 (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> ?v_624 (=> ?v_625 (=> (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> ?v_627 (=> (= inline.RemoveHeadList.4.myNondetVar_0.3 inline.RemoveHeadList.4.myNondetVar_0.2) ?v_386)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_114 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1))) (let ((?v_116 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialProcessEmptyTransmit) (=> (= k.190 k.188) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialProcessEmptyTransmit) (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.0) (=> (= cancelLockStatus_1.86 cancelLockStatus_1.85) (=> (= cancelLockStatus_0.86 cancelLockStatus_0.85) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.) (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.7 inline.KeSynchronizeExecution.10.myNondetVar_0.6) (=> (= inline.SerialGetNextWrite.2.myVar_0.13 inline.SerialGetNextWrite.2.myVar_0.9) (=> ?v_114 (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.19 inline.SerialGetNextWrite.2.myNondetVar_0.18) ?v_115))))))))))))))))) (?v_117 (= cancelLockStatus_1.85 cancelLockStatus_1.84))) (let ((?v_118 (=> (= cancelLockStatus_0.85 cancelLockStatus_0.84) (=> true (=> true (=> true (=> true ?v_116)))))) (?v_111 (= k.188 1))) (let ((?v_123 (not ?v_111)) (?v_109 (= k.188 0))) (let ((?v_121 (not ?v_109))) (let ((?v_120 (and (=> true (=> ?v_109 (=> true (=> ?v_117 (=> (= cancelLockStatus_0.85 0) ?v_116))))) (=> true (=> ?v_121 (and (=> true (=> ?v_111 (=> true (=> (= cancelLockStatus_1.85 0) ?v_118)))) (=> true (=> ?v_123 (=> true (=> ?v_117 ?v_118)))))))))) (let ((?v_122 (and (=> true (=> ?v_1027 (=> true (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.6 inline.KeSynchronizeExecution.10.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.10..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.10..result.SynchronizeRoutine.4679.26.2.) ?v_120)))))) (=> true (=> ?v_119 (=> true (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.6 inline.KeSynchronizeExecution.10.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_120)))))))))))))))) (?v_124 (= cancelLockStatus_1.84 cancelLockStatus_1.83))) (let ((?v_125 (=> (= cancelLockStatus_0.84 cancelLockStatus_0.83) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_122))))))))))) (?v_113 (= cancelLockStatus_0.83 0)) (?v_148 (= cancelLockStatus_1.83 0)) (?v_68 (U_2_int (MapType0Select Mem_0_T.P_IRP.89 ?v_30)))) (let ((?v_110 (= ?v_68 0)) (?v_105 (U_2_int (MapType0Select Mem_1_T.P_IRP.89 ?v_30)))) (let ((?v_112 (= ?v_105 0)) (?v_88 (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.2.myVar_0.12)) (?v_89 (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_90 (= k.190 k.189)) (?v_91 (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_92 (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1.)) (?v_93 (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.2.myVar_0.12)) (?v_94 (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_95 (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution)) (?v_96 (= cancelLockStatus_1.86 cancelLockStatus_1.83)) (?v_97 (= cancelLockStatus_0.86 cancelLockStatus_0.83)) (?v_98 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_99 (= inline.KeSynchronizeExecution.10.myNondetVar_0.7 inline.KeSynchronizeExecution.10.myNondetVar_0)) (?v_100 (= inline.SerialGetNextWrite.2.myVar_0.13 inline.SerialGetNextWrite.2.myVar_0.12)) (?v_101 (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.19 inline.SerialGetNextWrite.2.myNondetVar_0.16) ?v_115)) (?v_87 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 9))) (let ((?v_103 (and (=> true (=> ?v_87 (=> true (=> ?v_88 (=> ?v_89 (=> ?v_90 (=> ?v_91 (=> ?v_92 (=> ?v_93 (=> ?v_94 (=> ?v_95 (=> ?v_96 (=> ?v_97 (=> ?v_98 (=> ?v_99 (=> ?v_100 (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.2 1) ?v_101))))))))))))))))) (=> true (=> (not ?v_87) (=> true (=> ?v_88 (=> ?v_89 (=> ?v_90 (=> ?v_91 (=> ?v_92 (=> ?v_93 (=> ?v_94 (=> ?v_95 (=> ?v_96 (=> ?v_97 (=> ?v_98 (=> ?v_99 (=> ?v_100 (=> ?v_114 ?v_101))))))))))))))))))) (?v_102 (= inline.SerialGetNextWrite.2.myVar_0.12 hirp))) (let ((?v_106 (and (=> true (=> ?v_102 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_103)))) (=> true (=> (not ?v_102) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_103))))))))))) (let ((?v_108 (=> true (=> true (=> true (=> true ?v_106))))) (?v_107 (= k.189 1)) (?v_104 (= k.189 0))) (let ((?v_145 (and (=> true (=> (=> ?v_109 (not ?v_110)) (=> (=> ?v_111 (not ?v_112)) (=> true (=> (<= k.188 k.189) (=> (< k.189 2) (and (=> true (=> ?v_104 (=> (= inline.SerialGetNextWrite.2.myVar_0.10 ?v_68) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.12 inline.SerialGetNextWrite.2.myVar_0.10) ?v_106))))) (=> true (=> (not ?v_104) (and (=> true (=> ?v_107 (=> (= inline.SerialGetNextWrite.2.myVar_0.11 ?v_105) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.12 inline.SerialGetNextWrite.2.myVar_0.11) ?v_108))))) (=> true (=> (not ?v_107) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.12 inline.SerialGetNextWrite.2.myVar_0.9) ?v_108)))))))))))))) (=> true (=> (=> ?v_109 ?v_110) (=> (=> ?v_111 ?v_112) (=> true (=> (=> ?v_109 ?v_113) (=> (=> ?v_111 ?v_148) (and (=> true (=> ?v_109 (=> true (=> ?v_124 (=> (= cancelLockStatus_0.84 1) ?v_122))))) (=> true (=> ?v_121 (and (=> true (=> ?v_111 (=> true (=> (= cancelLockStatus_1.84 1) ?v_125)))) (=> true (=> ?v_123 (=> true (=> ?v_124 ?v_125))))))))))))))))) (let ((?v_147 (=> true (=> (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.2 inline.sdv_InterlockedDecrement.20.myNondetVar_0) (=> (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= irpCompleted_1.49 irpCompleted_1.41) (=> (= Mem_0_T.CancelRoutine__IRP.122 Mem_0_T.CancelRoutine__IRP.118) (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= irpCompleted_0.49 irpCompleted_0.41) (=> (= alloc.114 alloc.112) (=> (= errorReached.87 errorReached.84) (=> (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= Mem_1_T.CancelRoutine__IRP.122 Mem_1_T.CancelRoutine__IRP.118) (=> (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1.) (=> (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.4.havoc_stringTemp) (=> (= k.188 k.185) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_145)))))))))))))))))))))))))) (?v_146 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1 0)) (?v_144 (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2 0)) (?v_127 (=> true (=> (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.20.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.2 inline.sdv_InterlockedDecrement.20.myNondetVar_0.1) (=> (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.20.myNondetVar_0.1) (=> (= irpCompleted_1.49 irpCompleted_1.48) (=> (= Mem_0_T.CancelRoutine__IRP.122 Mem_0_T.CancelRoutine__IRP.121) (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= irpCompleted_0.49 irpCompleted_0.48) (=> (= alloc.114 alloc.113) (=> (= errorReached.87 errorReached.86) (=> (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.20.myNondetVar_0.1) (=> (= Mem_1_T.CancelRoutine__IRP.122 Mem_1_T.CancelRoutine__IRP.121) (=> (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..0) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..0) (=> (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.0 call71041formal.new.0) (=> (= k.188 k.187) ?v_145))))))))))))))))))) (?v_126 (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.1 0))) (let ((?v_143 (and (=> true (=> (not ?v_126) (=> true (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2.) ?v_127)))) (=> true (=> ?v_126 (=> true (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..0 call71244formal.ret.0) (=> true (=> true (=> true ?v_127))))))))) (?v_142 (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2 hirp))) (let ((?v_129 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.121 Mem_0_T.CancelRoutine__IRP.120) (=> (= Mem_1_T.CancelRoutine__IRP.121 Mem_1_T.CancelRoutine__IRP.120) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..0 call71074formal.ret.0) (=> (= irpCompleted_0.48 irpCompleted_0.47) (=> (= k.187 k.186) (=> (= irpCompleted_1.48 irpCompleted_1.47) (=> (= errorReached.86 errorReached.85) ?v_143))))))))) (?v_130 (= irpCompleted_1.47 irpCompleted_1.41))) (let ((?v_131 (=> (= irpCompleted_0.47 irpCompleted_0.41) (=> true ?v_129))) (?v_128 (= k.186 1))) (let ((?v_135 (not ?v_128)) (?v_67 (= k.186 0))) (let ((?v_132 (not ?v_67))) (let ((?v_134 (and (=> true (=> ?v_67 (=> true (=> ?v_130 (=> (= irpCompleted_0.47 1) ?v_129))))) (=> true (=> ?v_132 (and (=> true (=> ?v_128 (=> true (=> (= irpCompleted_1.47 1) ?v_131)))) (=> true (=> ?v_135 (=> true (=> ?v_130 ?v_131)))))))))) (let ((?v_138 (=> true (=> true ?v_134))) (?v_136 (= Mem_0_T.CancelRoutine__IRP.120 Mem_0_T.CancelRoutine__IRP.118)) (?v_137 (= Mem_1_T.CancelRoutine__IRP.120 Mem_1_T.CancelRoutine__IRP.118)) (?v_133 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2)))) (let ((?v_141 (and (=> true (=> ?v_67 (=> (= Mem_0_T.CancelRoutine__IRP.119 (MapType0Store Mem_0_T.CancelRoutine__IRP.118 ?v_133 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.120 Mem_0_T.CancelRoutine__IRP.119) (=> ?v_137 ?v_134)))))) (=> true (=> ?v_132 (and (=> true (=> ?v_128 (=> (= Mem_1_T.CancelRoutine__IRP.119 (MapType0Store Mem_1_T.CancelRoutine__IRP.118 ?v_133 ?v_38)) (=> true (=> ?v_136 (=> (= Mem_1_T.CancelRoutine__IRP.120 Mem_1_T.CancelRoutine__IRP.119) ?v_138)))))) (=> true (=> ?v_135 (=> true (=> ?v_136 (=> ?v_137 ?v_138)))))))))) (?v_64 (int_2_U call71041formal.new.0))) (let ((?v_149 (and (=> true (=> (not ?v_146) (and (=> true (=> (not ?v_144) (=> true (and ?v_8 (=> ?v_8 (=> (> call71041formal.new.0 0) (=> (forall ((?x1555 Int)) (! (=> (and (<= call71041formal.new.0 ?x1555) (< ?x1555 (+ call71041formal.new.0 1))) (= (Base ?x1555) call71041formal.new.0)) :pattern ((Base ?x1555)) )) (=> (forall ((?x1556 boogieU)) (! (=> (= (type ?x1556) intType) (or (= (U_2_int ?x1556) call71041formal.new.0) (= (MapType0Select alloc.112 ?x1556) (MapType0Select alloc.113 ?x1556)))) :pattern ((MapType0Select alloc.113 ?x1556)) )) (=> (and (= (MapType0Select alloc.112 ?v_64) UNALLOCATED) (= (MapType0Select alloc.113 ?v_64) ALLOCATED)) (and (=> true (=> ?v_142 (=> true (=> (<= k.185 k.186) (=> (< k.186 2) (and (=> true (=> (=> ?v_67 ?v_65) (=> (=> ?v_128 ?v_66) (=> true (=> (= errorReached.85 1) ?v_141))))) (=> true (=> (=> ?v_67 ?v_139) (=> (=> ?v_128 ?v_140) (=> true (=> (= errorReached.85 errorReached.84) (=> true ?v_141)))))))))))) (=> true (=> (not ?v_142) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.121 Mem_0_T.CancelRoutine__IRP.118) (=> (= Mem_1_T.CancelRoutine__IRP.121 Mem_1_T.CancelRoutine__IRP.118) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1.) (=> (= irpCompleted_0.48 irpCompleted_0.41) (=> (= k.187 k.185) (=> (= irpCompleted_1.48 irpCompleted_1.41) (=> (= errorReached.86 errorReached.84) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_143))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_144 ?v_147))))) (=> true (=> ?v_146 ?v_147)))) (?v_151 (= cancelLockStatus_1.83 cancelLockStatus_1.82))) (let ((?v_152 (=> (= cancelLockStatus_0.83 cancelLockStatus_0.82) (=> true (=> true (=> true (=> true (=> true ?v_149))))))) (?v_150 (= k.185 1))) (let ((?v_155 (not ?v_150)) (?v_63 (= k.185 0))) (let ((?v_153 (not ?v_63))) (let ((?v_154 (and (=> true (=> ?v_63 (=> true (=> ?v_151 (=> ?v_113 ?v_149))))) (=> true (=> ?v_153 (and (=> true (=> ?v_150 (=> true (=> ?v_148 ?v_152)))) (=> true (=> ?v_155 (=> true (=> ?v_151 ?v_152)))))))))) (let ((?v_158 (=> true (=> true (=> true (=> true (=> true (=> true ?v_154))))))) (?v_156 (= Mem_0_T.P_IRP.89 Mem_0_T.P_IRP.87)) (?v_157 (= Mem_1_T.P_IRP.89 Mem_1_T.P_IRP.87))) (let ((?v_170 (and (=> true (=> ?v_63 (=> (= Mem_0_T.P_IRP.88 (MapType0Store Mem_0_T.P_IRP.87 ?v_30 (MapType0Select Mem_0_T.P_IRP.87 ?v_34))) (=> true (=> (= Mem_0_T.P_IRP.89 Mem_0_T.P_IRP.88) (=> ?v_157 ?v_154)))))) (=> true (=> ?v_153 (and (=> true (=> ?v_150 (=> (= Mem_1_T.P_IRP.88 (MapType0Store Mem_1_T.P_IRP.87 ?v_30 (MapType0Select Mem_1_T.P_IRP.87 ?v_34))) (=> true (=> ?v_156 (=> (= Mem_1_T.P_IRP.89 Mem_1_T.P_IRP.88) ?v_158)))))) (=> true (=> ?v_155 (=> true (=> ?v_156 (=> ?v_157 ?v_158))))))))))) (let ((?v_171 (=> true (=> (= inline.RemoveHeadList.4.myNondetVar_0.2 inline.RemoveHeadList.4.myNondetVar_0.1) (=> (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.4.myVar_0.2) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> (= Mem_0_T.P_IRP.87 Mem_0_T.P_IRP.86) (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.3 inline.SerialGetNextIrpLocked.4.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= Mem_0_T.CancelRoutine__IRP.118 Mem_0_T.CancelRoutine__IRP.117) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.4.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> (= Mem_1_T.P_IRP.87 Mem_1_T.P_IRP.86) (=> (= errorReached.84 errorReached.83) (=> (= Mem_1_T.CancelRoutine__IRP.118 Mem_1_T.CancelRoutine__IRP.117) (=> (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> (= k.185 k.183) (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> true ?v_170))))))))))))))))))))) (let ((?v_174 (=> true (=> true (=> true (=> true (=> true (=> true ?v_171))))))) (?v_172 (= Mem_0_T.CancelRoutine__IRP.117 Mem_0_T.CancelRoutine__IRP.115)) (?v_173 (= Mem_1_T.CancelRoutine__IRP.117 Mem_1_T.CancelRoutine__IRP.115)) (?v_168 (= k.183 1))) (let ((?v_180 (not ?v_168)) (?v_169 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.4.myVar_0.2))) (?v_166 (= k.183 0))) (let ((?v_178 (not ?v_166))) (let ((?v_175 (and (=> true (=> ?v_166 (=> (= Mem_0_T.CancelRoutine__IRP.116 (MapType0Store Mem_0_T.CancelRoutine__IRP.115 ?v_169 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.117 Mem_0_T.CancelRoutine__IRP.116) (=> ?v_173 ?v_171)))))) (=> true (=> ?v_178 (and (=> true (=> ?v_168 (=> (= Mem_1_T.CancelRoutine__IRP.116 (MapType0Store Mem_1_T.CancelRoutine__IRP.115 ?v_169 ?v_38)) (=> true (=> ?v_172 (=> (= Mem_1_T.CancelRoutine__IRP.117 Mem_1_T.CancelRoutine__IRP.116) ?v_174)))))) (=> true (=> ?v_180 (=> true (=> ?v_172 (=> ?v_173 ?v_174))))))))))) (let ((?v_177 (=> true (=> (= errorReached.83 errorReached.82) (=> true ?v_175)))) (?v_176 (= inline.SerialGetNextIrpLocked.4.myVar_0.2 hirp))) (let ((?v_179 (and (=> true (=> ?v_176 (and (=> true (=> (=> ?v_166 ?v_65) (=> (=> ?v_168 ?v_66) (=> true (=> (= errorReached.83 1) ?v_175))))) (=> true (=> (=> ?v_166 ?v_139) (=> (=> ?v_168 ?v_140) ?v_177)))))) (=> true (=> (not ?v_176) ?v_177))))) (let ((?v_181 (=> true (=> true ?v_179)))) (let ((?v_183 (and (=> true (=> ?v_166 (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.115 ?v_169))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_179))))) (=> true (=> ?v_178 (and (=> true (=> ?v_168 (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.115 ?v_169))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_181))))) (=> true (=> ?v_180 (=> true (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_181)))))))))) (let ((?v_184 (=> true (=> true (=> true (=> true (=> true ?v_183)))))) (?v_182 (U_2_int (MapType0Select Mem_1_T.P_IRP.86 ?v_34))) (?v_167 (U_2_int (MapType0Select Mem_0_T.P_IRP.86 ?v_34)))) (let ((?v_186 (=> true (=> (=> ?v_166 (not (= ?v_167 hirp))) (=> (=> ?v_168 (not (= ?v_182 hirp))) (and (=> true (=> ?v_166 (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.1 ?v_167) (=> true (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.2 inline.SerialGetNextIrpLocked.4.myVar_0.1) ?v_183))))) (=> true (=> ?v_178 (and (=> true (=> ?v_168 (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.0 ?v_182) (=> true (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.2 inline.SerialGetNextIrpLocked.4.myVar_0.0) ?v_184))))) (=> true (=> ?v_180 (=> true (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.2 inline.SerialGetNextIrpLocked.4.myVar_0) ?v_184))))))))))))) (let ((?v_189 (=> true ?v_186)) (?v_187 (= Mem_0_T.P_IRP.86 Mem_0_T.P_IRP.82)) (?v_188 (= Mem_1_T.P_IRP.86 Mem_1_T.P_IRP.82)) (?v_185 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.4.myNondetVar_0.0 1 88))) (?v_165 (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0 0)) (?v_160 (=> true (=> (= inline.RemoveHeadList.4.myNondetVar_0.2 inline.RemoveHeadList.4.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList) (=> (= Mem_0_T.P_IRP.87 Mem_0_T.P_IRP.84) (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.3 inline.SerialGetNextIrpLocked.4.myVar_0) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= Mem_0_T.CancelRoutine__IRP.118 Mem_0_T.CancelRoutine__IRP.115) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1.) (=> (= Mem_1_T.P_IRP.87 Mem_1_T.P_IRP.84) (=> (= errorReached.84 errorReached.82) (=> (= Mem_1_T.CancelRoutine__IRP.118 Mem_1_T.CancelRoutine__IRP.115) (=> (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2.) (=> (= k.185 k.184) (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_170)))))))))))))))))))) (let ((?v_164 (=> true ?v_160)) (?v_162 (= Mem_0_T.P_IRP.84 Mem_0_T.P_IRP.82)) (?v_163 (= Mem_1_T.P_IRP.84 Mem_1_T.P_IRP.82)) (?v_161 (= k.184 1)) (?v_159 (= k.184 0))) (let ((?v_190 (=> true (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.5.myNondetVar_0.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0))) (and (=> true (=> (not ?v_165) (=> true (=> (<= k.183 k.184) (=> (< k.184 2) (and (=> true (=> ?v_159 (=> (= Mem_0_T.P_IRP.83 (MapType0Store Mem_0_T.P_IRP.82 ?v_34 ?v_38)) (=> true (=> (= Mem_0_T.P_IRP.84 Mem_0_T.P_IRP.83) (=> ?v_163 ?v_160)))))) (=> true (=> (not ?v_159) (and (=> true (=> ?v_161 (=> (= Mem_1_T.P_IRP.83 (MapType0Store Mem_1_T.P_IRP.82 ?v_34 ?v_38)) (=> true (=> ?v_162 (=> (= Mem_1_T.P_IRP.84 Mem_1_T.P_IRP.83) ?v_164)))))) (=> true (=> (not ?v_161) (=> true (=> ?v_162 (=> ?v_163 ?v_164)))))))))))))) (=> true (=> ?v_165 (and (=> true (=> ?v_166 (=> (= Mem_0_T.P_IRP.85 (MapType0Store Mem_0_T.P_IRP.82 ?v_34 ?v_185)) (=> true (=> (= Mem_0_T.P_IRP.86 Mem_0_T.P_IRP.85) (=> ?v_188 ?v_186)))))) (=> true (=> ?v_178 (and (=> true (=> ?v_168 (=> (= Mem_1_T.P_IRP.85 (MapType0Store Mem_1_T.P_IRP.82 ?v_34 ?v_185)) (=> true (=> ?v_187 (=> (= Mem_1_T.P_IRP.86 Mem_1_T.P_IRP.85) ?v_189)))))) (=> true (=> ?v_180 (=> true (=> ?v_187 (=> ?v_188 ?v_189)))))))))))))))) (let ((?v_191 (=> true (=> true (=> true (=> true ?v_190)))))) (let ((?v_193 (=> true (=> (<= k.182 k.183) (=> (< k.183 2) (and (=> true (=> ?v_166 (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.0 (U_2_int (MapType0Select Mem_0_T.P_IRP.82 ?v_34))) (=> true (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_190))))) (=> true (=> ?v_178 (and (=> true (=> ?v_168 (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.1 (U_2_int (MapType0Select Mem_1_T.P_IRP.82 ?v_34))) (=> true (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_191))))) (=> true (=> ?v_180 (=> true (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_191)))))))))))) (?v_194 (= cancelLockStatus_1.82 cancelLockStatus_1.81))) (let ((?v_195 (=> (= cancelLockStatus_0.82 cancelLockStatus_0.81) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_193)))))))))) (?v_192 (= k.182 1)) (?v_62 (= k.182 0)) (?v_61 (int_2_U call70697formal.new.0))) (let ((?v_214 (=> true (and ?v_8 (=> ?v_8 (=> (> call70697formal.new.0 0) (=> (forall ((?x1557 Int)) (! (=> (and (<= call70697formal.new.0 ?x1557) (< ?x1557 (+ call70697formal.new.0 1))) (= (Base ?x1557) call70697formal.new.0)) :pattern ((Base ?x1557)) )) (=> (forall ((?x1558 boogieU)) (! (=> (= (type ?x1558) intType) (or (= (U_2_int ?x1558) call70697formal.new.0) (= (MapType0Select alloc.111 ?x1558) (MapType0Select alloc.112 ?x1558)))) :pattern ((MapType0Select alloc.112 ?x1558)) )) (=> (and (= (MapType0Select alloc.111 ?v_61) UNALLOCATED) (= (MapType0Select alloc.112 ?v_61) ALLOCATED)) (=> true (=> (<= k.181 k.182) (=> (< k.182 2) (=> true (=> (=> ?v_62 (= cancelLockStatus_0.81 0)) (=> (=> ?v_192 (= cancelLockStatus_1.81 0)) (and (=> true (=> ?v_62 (=> true (=> ?v_194 (=> (= cancelLockStatus_0.82 1) ?v_193))))) (=> true (=> (not ?v_62) (and (=> true (=> ?v_192 (=> true (=> (= cancelLockStatus_1.82 1) ?v_195)))) (=> true (=> (not ?v_192) (=> true (=> ?v_194 ?v_195))))))))))))))))))))))) (let ((?v_367 (=> true (=> true ?v_214))) (?v_319 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1)) (?v_320 (= alloc.111 alloc.106)) (?v_321 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_322 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_323 (= inline.KeSynchronizeExecution.11.myNondetVar_0.8 inline.KeSynchronizeExecution.11.myNondetVar_0)) (?v_324 (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_325 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_326 (= Mem_1_T.P_IRP.82 Mem_1_T.P_IRP.69)) (?v_327 (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.3 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite)) (?v_328 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_329 (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_330 (= Mem_1_T.CancelRoutine__IRP.115 Mem_1_T.CancelRoutine__IRP.101)) (?v_331 (= inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1.)) (?v_332 (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.2.myVar_0.8)) (?v_333 (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.3 inline.sdv_InterlockedIncrement.6.myNondetVar_0)) (?v_334 (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_335 (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution)) (?v_336 (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_337 (= errorReached.82 errorReached.72)) (?v_338 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_339 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1)) (?v_340 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_341 (= inline.SerialSetTimer.5.myNondetVar_0.6 inline.SerialSetTimer.5.myNondetVar_0)) (?v_342 (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite)) (?v_343 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer)) (?v_344 (= Mem_0_T.CancelRoutine__IRP.115 Mem_0_T.CancelRoutine__IRP.101)) (?v_345 (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_346 (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3.)) (?v_347 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer)) (?v_348 (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer)) (?v_349 (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.4 inline.sdv_InterlockedDecrement.21.myNondetVar_0)) (?v_350 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer)) (?v_351 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1 1)) (?v_352 (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.2.myVar_0.8)) (?v_353 (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_354 (= inline.SerialGetNextWrite.2.myVar_0.9 inline.SerialGetNextWrite.2.myVar_0.8)) (?v_355 (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1.)) (?v_356 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_357 (= inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1.)) (?v_358 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_359 (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite)) (?v_360 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_361 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_362 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1)) (?v_363 (= inline.SerialGetNextWrite.2.myNondetVar_2.3 inline.SerialGetNextWrite.2.myNondetVar_2)) (?v_364 (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_365 (= Mem_0_T.P_IRP.82 Mem_0_T.P_IRP.69)) (?v_366 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_318 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 14))) (let ((?v_216 (=> true (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.0) (=> (= alloc.111 alloc.110) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.5 inline.SerialGetNextWrite.2.tempBoogie0.4) (=> (= cancelLockStatus_0.81 cancelLockStatus_0.80) (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.8 inline.KeSynchronizeExecution.11.myNondetVar_0.7) (=> ?v_324 (=> ?v_325 (=> (= Mem_1_T.P_IRP.82 Mem_1_T.P_IRP.81) (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.3 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= Mem_1_T.CancelRoutine__IRP.115 Mem_1_T.CancelRoutine__IRP.114) (=> ?v_331 (=> ?v_332 (=> (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.3 inline.sdv_InterlockedIncrement.6.myNondetVar_0.2) (=> ?v_334 (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.1) (=> ?v_336 (=> (= errorReached.82 errorReached.81) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= k.181 k.180) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialSetTimer.5.myNondetVar_0.6 inline.SerialSetTimer.5.myNondetVar_0.5) (=> (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.0) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.0) (=> (= Mem_0_T.CancelRoutine__IRP.115 Mem_0_T.CancelRoutine__IRP.114) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..0) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.0) (=> (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.0) (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.4 inline.sdv_InterlockedDecrement.21.myNondetVar_0.3) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.0) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.0) (=> ?v_352 (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> ?v_354 (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..0 call72074formal.ret.0) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.0) (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.16 inline.SerialGetNextWrite.2.myNondetVar_0.15) (=> (= cancelLockStatus_1.81 cancelLockStatus_1.80) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.1) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.3 inline.SerialGetNextWrite.2.myNondetVar_2.2) (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.4 inline.SerialGetNextWrite.2.myNondetVar_1.3) (=> ?v_364 (=> (= Mem_0_T.P_IRP.82 Mem_0_T.P_IRP.81) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) ?v_367)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_218 (= cancelLockStatus_1.80 cancelLockStatus_1.79))) (let ((?v_219 (=> (= cancelLockStatus_0.80 cancelLockStatus_0.79) (=> true (=> true (=> true (=> true ?v_216)))))) (?v_217 (= k.180 1)) (?v_215 (= k.180 0))) (let ((?v_261 (=> true (=> (<= k.179 k.180) (=> (< k.180 2) (and (=> true (=> ?v_215 (=> true (=> ?v_218 (=> (= cancelLockStatus_0.80 0) ?v_216))))) (=> true (=> (not ?v_215) (and (=> true (=> ?v_217 (=> true (=> (= cancelLockStatus_1.80 0) ?v_219)))) (=> true (=> (not ?v_217) (=> true (=> ?v_218 ?v_219))))))))))))) (let ((?v_268 (=> true (=> true (=> true ?v_261)))) (?v_222 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1)) (?v_223 (= alloc.110 alloc.106)) (?v_272 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2)) (?v_273 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialCancelCurrentXoff)) (?v_274 (= inline.KeSynchronizeExecution.11.myNondetVar_0.7 inline.KeSynchronizeExecution.11.myNondetVar_0.6)) (?v_275 (= Mem_1_T.P_IRP.81 Mem_1_T.P_IRP.80)) (?v_276 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2)) (?v_230 (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_277 (= Mem_1_T.CancelRoutine__IRP.114 Mem_1_T.CancelRoutine__IRP.113)) (?v_232 (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.2 inline.sdv_InterlockedIncrement.6.myNondetVar_0)) (?v_278 (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.0)) (?v_279 (= errorReached.81 errorReached.80)) (?v_235 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_236 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1)) (?v_280 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGiveXoffToIsr)) (?v_281 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2)) (?v_239 (= inline.SerialSetTimer.5.myNondetVar_0.5 inline.SerialSetTimer.5.myNondetVar_0)) (?v_282 (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.0 2)) (?v_241 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer)) (?v_283 (= Mem_0_T.CancelRoutine__IRP.114 Mem_0_T.CancelRoutine__IRP.113)) (?v_243 (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3.)) (?v_244 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer)) (?v_245 (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer)) (?v_246 (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.3 inline.sdv_InterlockedDecrement.21.myNondetVar_0)) (?v_247 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer)) (?v_284 (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_285 (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2)) (?v_286 (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..0)) (?v_287 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2)) (?v_288 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialCancelCurrentXoff)) (?v_289 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.0 0)) (?v_254 (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite)) (?v_256 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_257 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1))) (let ((?v_290 (=> (= Mem_0_T.P_IRP.81 Mem_0_T.P_IRP.80) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGiveXoffToIsr) ?v_268)))) (let ((?v_269 (=> true (=> (forall ((?r Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.2.myNondetVar_1.2 ?r) 0)) (not (= (BIT_BAND 4 ?r) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.2.myNondetVar_2.1 4) ?r) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.2.myNondetVar_0.12 4) ?r)) )) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.3 (BIT_BOR inline.SerialGetNextWrite.2.myNondetVar_0.13 4)) (=> true (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.0 call70277formal.new.0) (=> (= alloc.110 alloc.109) (=> ?v_272 (=> ?v_273 (=> (= inline.SerialGetNextWrite.2.tempBoogie0.4 inline.SerialGetNextWrite.2.tempBoogie0.3) (=> ?v_274 (=> ?v_275 (=> ?v_276 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_277 (=> (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.2 inline.sdv_InterlockedIncrement.6.myNondetVar_0.1) (=> ?v_278 (=> ?v_279 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.0) (=> ?v_280 (=> ?v_281 (=> (= inline.SerialSetTimer.5.myNondetVar_0.5 inline.SerialSetTimer.5.myNondetVar_0.4) (=> ?v_282 (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.0) (=> ?v_283 (=> (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..0 call72567formal.ret.0) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.0 call72517formal.new.0) (=> (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.0 call72567formal.ret.0) (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.3 inline.sdv_InterlockedDecrement.21.myNondetVar_0.2) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.0) (=> ?v_284 (=> ?v_285 (=> ?v_286 (=> ?v_287 (=> ?v_288 (=> ?v_289 (=> (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.0 4) (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.14 inline.SerialGetNextWrite.2.myNondetVar_0.13) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.2 inline.SerialGetNextWrite.2.myNondetVar_2.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.3 inline.SerialGetNextWrite.2.myNondetVar_1.2) ?v_290))))))))))))))))))))))))))))))))))))))))))) (?v_266 (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2 hirp))) (let ((?v_299 (not ?v_266))) (let ((?v_271 (and (=> true (=> ?v_266 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_269)))) (=> true (=> ?v_299 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_269)))))))))) (?v_270 (= call72567formal.ret.0 0)) (?v_55 (>= 8 0)) (?v_267 (int_2_U call72517formal.new.0))) (let ((?v_292 (and (=> true (=> (not (= inline.SerialGetNextWrite.2.myNondetVar_0.10 0)) (=> true (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.0 (XoffCountTimer__SERIAL_DEVICE_EXTENSION x.SerialCompleteWrite.arg.2.7..2)) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.0 (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION x.SerialCompleteWrite.arg.2.7..2)) (=> true (and ?v_55 (=> ?v_55 (=> (> call72517formal.new.0 0) (=> (forall ((?x1559 Int)) (! (=> (and (<= call72517formal.new.0 ?x1559) (< ?x1559 (+ call72517formal.new.0 8))) (= (Base ?x1559) call72517formal.new.0)) :pattern ((Base ?x1559)) )) (=> (forall ((?x1560 boogieU)) (! (=> (= (type ?x1560) intType) (or (= (U_2_int ?x1560) call72517formal.new.0) (= (MapType0Select alloc.106 ?x1560) (MapType0Select alloc.109 ?x1560)))) :pattern ((MapType0Select alloc.109 ?x1560)) )) (=> (and (= (MapType0Select alloc.106 ?v_267) UNALLOCATED) (= (MapType0Select alloc.109 ?v_267) ALLOCATED)) (=> (= (Base call70277formal.new.0) call70277formal.new.0) (and (=> true (=> (not ?v_270) (=> true (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.2 inline.sdv_InterlockedDecrement.21.myNondetVar_0.1) ?v_271)))) (=> true (=> ?v_270 (=> true (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.2 inline.sdv_InterlockedDecrement.21.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_271))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.9 0) (=> true (=> ?v_222 (=> ?v_223 (=> ?v_272 (=> ?v_273 (=> (= inline.SerialGetNextWrite.2.tempBoogie0.4 inline.SerialGetNextWrite.2.tempBoogie0.2) (=> ?v_274 (=> ?v_275 (=> ?v_276 (=> ?v_230 (=> ?v_277 (=> ?v_232 (=> ?v_278 (=> ?v_279 (=> ?v_235 (=> ?v_236 (=> ?v_280 (=> ?v_281 (=> ?v_239 (=> ?v_282 (=> ?v_241 (=> ?v_283 (=> ?v_243 (=> ?v_244 (=> ?v_245 (=> ?v_246 (=> ?v_247 (=> ?v_284 (=> ?v_285 (=> ?v_286 (=> ?v_287 (=> ?v_288 (=> ?v_289 (=> ?v_254 (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.14 inline.SerialGetNextWrite.2.myNondetVar_0.9) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.2 inline.SerialGetNextWrite.2.myNondetVar_2.0) (=> ?v_256 (=> ?v_257 (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.3 inline.SerialGetNextWrite.2.myNondetVar_1.1) ?v_290)))))))))))))))))))))))))))))))))))))))))))) (let ((?v_295 (and (=> true (=> ?v_1181 (=> true (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.6 inline.KeSynchronizeExecution.11.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.11..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.11..result.SynchronizeRoutine.4679.26.2.) ?v_292)))))) (=> true (=> ?v_291 (=> true (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.6 inline.KeSynchronizeExecution.11.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true (=> true ?v_292))))))))))))) (let ((?v_298 (=> true (=> true (=> true (=> true (=> true (=> true ?v_295))))))) (?v_296 (= Mem_0_T.P_IRP.80 Mem_0_T.P_IRP.69)) (?v_297 (= Mem_1_T.P_IRP.80 Mem_1_T.P_IRP.69)) (?v_263 (= k.179 1))) (let ((?v_304 (not ?v_263)) (?v_293 (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION x.SerialCompleteWrite.arg.2.7..2))) (?v_294 (int_2_U inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2)) (?v_220 (= k.179 0))) (let ((?v_301 (not ?v_220))) (let ((?v_300 (=> true (=> (forall ((?r0 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.2.myNondetVar_1.1 ?r0) 0)) (not (= (BIT_BAND 2 ?r0) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.2.myNondetVar_2.0 2) ?r0) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.2.myNondetVar_0.5 2) ?r0)) )) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.2 (BIT_BOR inline.SerialGetNextWrite.2.myNondetVar_0.6 2)) (and (=> true (=> ?v_220 (=> (= Mem_0_T.P_IRP.79 (MapType0Store Mem_0_T.P_IRP.69 ?v_293 ?v_294)) (=> true (=> (= Mem_0_T.P_IRP.80 Mem_0_T.P_IRP.79) (=> ?v_297 ?v_295)))))) (=> true (=> ?v_301 (and (=> true (=> ?v_263 (=> (= Mem_1_T.P_IRP.79 (MapType0Store Mem_1_T.P_IRP.69 ?v_293 ?v_294)) (=> true (=> ?v_296 (=> (= Mem_1_T.P_IRP.80 Mem_1_T.P_IRP.79) ?v_298)))))) (=> true (=> ?v_304 (=> true (=> ?v_296 (=> ?v_297 ?v_298)))))))))))))) (let ((?v_303 (and (=> true (=> ?v_266 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_300)))) (=> true (=> ?v_299 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_300))))))))))) (let ((?v_307 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_303)))))))))))))) (?v_305 (= Mem_0_T.CancelRoutine__IRP.113 Mem_0_T.CancelRoutine__IRP.101)) (?v_306 (= Mem_1_T.CancelRoutine__IRP.113 Mem_1_T.CancelRoutine__IRP.101)) (?v_265 (int_2_U (CancelRoutine__IRP inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2)))) (let ((?v_308 (and (=> true (=> ?v_220 (=> (= Mem_0_T.CancelRoutine__IRP.112 (MapType0Store Mem_0_T.CancelRoutine__IRP.101 ?v_265 ?v_302)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.113 Mem_0_T.CancelRoutine__IRP.112) (=> ?v_306 ?v_303)))))) (=> true (=> ?v_301 (and (=> true (=> ?v_263 (=> (= Mem_1_T.CancelRoutine__IRP.112 (MapType0Store Mem_1_T.CancelRoutine__IRP.101 ?v_265 ?v_302)) (=> true (=> ?v_305 (=> (= Mem_1_T.CancelRoutine__IRP.113 Mem_1_T.CancelRoutine__IRP.112) ?v_307)))))) (=> true (=> ?v_304 (=> true (=> ?v_305 (=> ?v_306 ?v_307))))))))))) (let ((?v_309 (=> true (=> (= errorReached.80 errorReached.72) (=> true ?v_308))))) (let ((?v_310 (and (=> true (=> ?v_266 (and (=> true (=> (=> ?v_220 ?v_65) (=> (=> ?v_263 ?v_66) (=> true (=> (= errorReached.80 1) ?v_308))))) (=> true (=> (=> ?v_220 ?v_139) (=> (=> ?v_263 ?v_140) ?v_309)))))) (=> true (=> ?v_299 ?v_309))))) (let ((?v_311 (=> true (=> true ?v_310))) (?v_221 (int_2_U (Cancel__IRP inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2)))) (let ((?v_262 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP.2 ?v_221)) 0)) (?v_264 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP.2 ?v_221)) 0)) (?v_224 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_225 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_226 (= inline.SerialGetNextWrite.2.tempBoogie0.4 inline.SerialGetNextWrite.2.tempBoogie0.1)) (?v_227 (= inline.KeSynchronizeExecution.11.myNondetVar_0.7 inline.KeSynchronizeExecution.11.myNondetVar_0)) (?v_228 (= Mem_1_T.P_IRP.81 Mem_1_T.P_IRP.69)) (?v_229 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_231 (= Mem_1_T.CancelRoutine__IRP.114 Mem_1_T.CancelRoutine__IRP.101)) (?v_233 (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution)) (?v_234 (= errorReached.81 errorReached.72)) (?v_237 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_238 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_240 (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite)) (?v_242 (= Mem_0_T.CancelRoutine__IRP.114 Mem_0_T.CancelRoutine__IRP.101)) (?v_248 (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_249 (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_250 (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1.)) (?v_251 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_252 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_253 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.0 1)) (?v_255 (= inline.SerialGetNextWrite.2.myNondetVar_2.2 inline.SerialGetNextWrite.2.myNondetVar_2)) (?v_258 (= inline.SerialGetNextWrite.2.myNondetVar_1.3 inline.SerialGetNextWrite.2.myNondetVar_1)) (?v_259 (= Mem_0_T.P_IRP.81 Mem_0_T.P_IRP.69)) (?v_260 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1))) (let ((?v_312 (=> true (=> (= inline.SerialGetNextWrite.2.tempBoogie0.1 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.2.myNondetVar_0.3 1 1)) (and (=> true (=> (not (= inline.SerialGetNextWrite.2.myNondetVar_0.8 0)) (=> true (=> ?v_222 (=> ?v_223 (=> ?v_224 (=> ?v_225 (=> ?v_226 (=> ?v_227 (=> ?v_228 (=> ?v_229 (=> ?v_230 (=> ?v_231 (=> ?v_232 (=> ?v_233 (=> ?v_234 (=> ?v_235 (=> ?v_236 (=> ?v_237 (=> ?v_238 (=> ?v_239 (=> ?v_240 (=> ?v_241 (=> ?v_242 (=> ?v_243 (=> ?v_244 (=> ?v_245 (=> ?v_246 (=> ?v_247 (=> ?v_248 (=> ?v_249 (=> ?v_250 (=> ?v_251 (=> ?v_252 (=> ?v_253 (=> ?v_254 (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.14 inline.SerialGetNextWrite.2.myNondetVar_0.8) (=> ?v_255 (=> ?v_256 (=> ?v_257 (=> ?v_258 (=> ?v_259 (=> ?v_260 ?v_261))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.4 0) (and (=> true (=> (=> ?v_220 (not ?v_262)) (=> (=> ?v_263 (not ?v_264)) (=> true (=> ?v_222 (=> ?v_223 (=> ?v_224 (=> ?v_225 (=> ?v_226 (=> ?v_227 (=> ?v_228 (=> ?v_229 (=> ?v_230 (=> ?v_231 (=> ?v_232 (=> ?v_233 (=> ?v_234 (=> ?v_235 (=> ?v_236 (=> ?v_237 (=> ?v_238 (=> ?v_239 (=> ?v_240 (=> ?v_241 (=> ?v_242 (=> ?v_243 (=> ?v_244 (=> ?v_245 (=> ?v_246 (=> ?v_247 (=> ?v_248 (=> ?v_249 (=> ?v_250 (=> ?v_251 (=> ?v_252 (=> ?v_253 (=> ?v_254 (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.14 inline.SerialGetNextWrite.2.myNondetVar_0.4) (=> ?v_255 (=> ?v_256 (=> ?v_257 (=> ?v_258 (=> ?v_259 (=> ?v_260 ?v_268)))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (=> ?v_220 ?v_262) (=> (=> ?v_263 ?v_264) (and (=> true (=> ?v_220 (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.101 ?v_265))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_310))))) (=> true (=> ?v_301 (and (=> true (=> ?v_263 (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.101 ?v_265))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_311))))) (=> true (=> ?v_304 (=> true (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_311))))))))))))))))))) (let ((?v_313 (=> true (=> true ?v_312)))) (let ((?v_315 (=> true (=> (<= k.168 k.179) (=> (< k.179 2) (and (=> true (=> ?v_220 (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.0 ?v_32) (=> true (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.0) ?v_312))))) (=> true (=> ?v_301 (and (=> true (=> ?v_263 (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.1 ?v_203) (=> true (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.1) ?v_313))))) (=> true (=> ?v_304 (=> true (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite) ?v_313)))))))))))) (?v_316 (= cancelLockStatus_1.79 cancelLockStatus_1.74))) (let ((?v_317 (=> (= cancelLockStatus_0.79 cancelLockStatus_0.74) (=> true (=> true (=> true (=> true ?v_315)))))) (?v_314 (= k.168 1))) (let ((?v_372 (not ?v_314)) (?v_212 (= k.168 0))) (let ((?v_370 (not ?v_212))) (let ((?v_369 (and (=> true (=> ?v_318 (=> true (=> (=> ?v_212 ?v_58) (=> (=> ?v_314 ?v_213) (and (=> true (=> ?v_212 (=> true (=> ?v_316 (=> (= cancelLockStatus_0.79 1) ?v_315))))) (=> true (=> ?v_370 (and (=> true (=> ?v_314 (=> true (=> (= cancelLockStatus_1.79 1) ?v_317)))) (=> true (=> ?v_372 (=> true (=> ?v_316 ?v_317))))))))))))) (=> true (=> (not ?v_318) (=> true (=> ?v_319 (=> ?v_320 (=> ?v_321 (=> ?v_322 (=> (= inline.SerialGetNextWrite.2.tempBoogie0.5 inline.SerialGetNextWrite.2.tempBoogie0) (=> (= cancelLockStatus_0.81 cancelLockStatus_0.74) (=> ?v_323 (=> ?v_324 (=> ?v_325 (=> ?v_326 (=> ?v_327 (=> ?v_328 (=> ?v_329 (=> ?v_330 (=> ?v_331 (=> ?v_332 (=> ?v_333 (=> ?v_334 (=> ?v_335 (=> ?v_336 (=> ?v_337 (=> ?v_338 (=> ?v_339 (=> (= k.181 k.168) (=> ?v_340 (=> ?v_341 (=> ?v_342 (=> ?v_343 (=> ?v_344 (=> ?v_345 (=> ?v_346 (=> ?v_347 (=> ?v_348 (=> ?v_349 (=> ?v_350 (=> ?v_351 (=> ?v_352 (=> ?v_353 (=> ?v_354 (=> ?v_355 (=> ?v_356 (=> ?v_357 (=> ?v_358 (=> ?v_359 (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.16 inline.SerialGetNextWrite.2.myNondetVar_0) (=> (= cancelLockStatus_1.81 cancelLockStatus_1.74) (=> ?v_360 (=> ?v_361 (=> ?v_362 (=> ?v_363 (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.4 inline.SerialGetNextWrite.2.myNondetVar_1) (=> ?v_364 (=> ?v_365 (=> ?v_366 ?v_367))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_368 (= inline.SerialGetNextWrite.2.myVar_0.8 hirp))) (let ((?v_371 (and (=> true (=> ?v_368 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_369)))) (=> true (=> (not ?v_368) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_369))))))))))) (let ((?v_373 (=> true (=> true (=> true (=> true ?v_371))))) (?v_211 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 4)) (?v_196 (=> true (=> ?v_319 (=> ?v_320 (=> ?v_321 (=> ?v_322 (=> (= inline.SerialGetNextWrite.2.tempBoogie0.5 inline.SerialGetNextWrite.2.tempBoogie0.0) (=> (= cancelLockStatus_0.81 cancelLockStatus_0.77) (=> ?v_323 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.2.myVar_0.6) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.) (=> ?v_326 (=> ?v_327 (=> ?v_328 (=> ?v_329 (=> ?v_330 (=> (= inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..0 call70498formal.ret.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> ?v_333 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.2.myVar_0.6) (=> ?v_335 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_337 (=> ?v_338 (=> ?v_339 (=> (= k.181 k.170) (=> ?v_340 (=> ?v_341 (=> ?v_342 (=> ?v_343 (=> ?v_344 (=> ?v_345 (=> ?v_346 (=> ?v_347 (=> ?v_348 (=> ?v_349 (=> ?v_350 (=> ?v_351 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> ?v_353 (=> (= inline.SerialGetNextWrite.2.myVar_0.9 inline.SerialGetNextWrite.2.myVar_0.6) (=> ?v_355 (=> ?v_356 (=> ?v_357 (=> ?v_358 (=> ?v_359 (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.16 inline.SerialGetNextWrite.2.myNondetVar_0.1) (=> (= cancelLockStatus_1.81 cancelLockStatus_1.77) (=> ?v_360 (=> ?v_361 (=> ?v_362 (=> ?v_363 (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.4 inline.SerialGetNextWrite.2.myNondetVar_1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> ?v_365 (=> ?v_366 ?v_214)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_198 (= cancelLockStatus_1.77 cancelLockStatus_1.76))) (let ((?v_199 (=> (= cancelLockStatus_0.77 cancelLockStatus_0.76) (=> true (=> true (=> true (=> true ?v_196)))))) (?v_197 (= k.170 1))) (let ((?v_205 (not ?v_197)) (?v_60 (= k.170 0))) (let ((?v_202 (not ?v_60))) (let ((?v_201 (=> true (=> (= inline.SerialGetNextWrite.2.tempBoogie0.0 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.2.myNondetVar_0.0 inline.SerialGetNextWrite.2.myNondetVar_1.0 1)) (and (=> true (=> ?v_60 (=> true (=> ?v_198 (=> (= cancelLockStatus_0.77 0) ?v_196))))) (=> true (=> ?v_202 (and (=> true (=> ?v_197 (=> true (=> (= cancelLockStatus_1.77 0) ?v_199)))) (=> true (=> ?v_205 (=> true (=> ?v_198 ?v_199))))))))))) (?v_200 (= inline.SerialGetNextWrite.2.myVar_0.6 hirp))) (let ((?v_204 (and (=> true (=> ?v_200 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_201)))) (=> true (=> (not ?v_200) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true ?v_201)))))))))) (let ((?v_206 (=> true (=> true (=> true (=> true ?v_204)))))) (let ((?v_208 (=> true (=> (<= k.169 k.170) (=> (< k.170 2) (and (=> true (=> ?v_60 (=> (= inline.SerialGetNextWrite.2.myVar_0.5 ?v_32) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.6 inline.SerialGetNextWrite.2.myVar_0.5) ?v_204))))) (=> true (=> ?v_202 (and (=> true (=> ?v_197 (=> (= inline.SerialGetNextWrite.2.myVar_0.4 ?v_203) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.6 inline.SerialGetNextWrite.2.myVar_0.4) ?v_206))))) (=> true (=> ?v_205 (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.6 inline.SerialGetNextWrite.2.myVar_0.2) ?v_206)))))))))))) (?v_209 (= cancelLockStatus_1.76 cancelLockStatus_1.74))) (let ((?v_210 (=> (= cancelLockStatus_0.76 cancelLockStatus_0.74) (=> true (=> true (=> true (=> true ?v_208)))))) (?v_207 (= k.169 1)) (?v_59 (= k.169 0))) (let ((?v_375 (and (=> true (=> ?v_211 (=> true (=> (<= k.165 k.169) (=> (< k.169 2) (=> true (=> (=> ?v_59 ?v_58) (=> (=> ?v_207 ?v_213) (and (=> true (=> ?v_59 (=> true (=> ?v_209 (=> (= cancelLockStatus_0.76 1) ?v_208))))) (=> true (=> (not ?v_59) (and (=> true (=> ?v_207 (=> true (=> (= cancelLockStatus_1.76 1) ?v_210)))) (=> true (=> (not ?v_207) (=> true (=> ?v_209 ?v_210)))))))))))))))) (=> true (=> (not ?v_211) (=> true (=> (<= k.165 k.168) (=> (< k.168 2) (and (=> true (=> ?v_212 (=> (= inline.SerialGetNextWrite.2.myVar_0.7 ?v_32) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.8 inline.SerialGetNextWrite.2.myVar_0.7) ?v_371))))) (=> true (=> ?v_370 (and (=> true (=> ?v_314 (=> (= inline.SerialGetNextWrite.2.myVar_0.3 ?v_203) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.8 inline.SerialGetNextWrite.2.myVar_0.3) ?v_373))))) (=> true (=> ?v_372 (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.8 inline.SerialGetNextWrite.2.myVar_0.2) ?v_373))))))))))))))) (?v_374 (= inline.SerialGetNextWrite.2.myVar_0.2 hirp))) (let ((?v_377 (and (=> true (=> ?v_374 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_375)))) (=> true (=> (not ?v_374) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_375))))))))))) (let ((?v_379 (=> true (=> true (=> true (=> true ?v_377))))) (?v_57 (int_2_U call70311formal.new.0)) (?v_52 (int_2_U call70268formal.new.0)) (?v_53 (int_2_U call70271formal.new.0)) (?v_54 (int_2_U call70274formal.new.0)) (?v_56 (int_2_U call70277formal.new.0))) (let ((?v_629 (and (=> true (=> ?v_380 (=> true (and ?v_8 (=> ?v_8 (=> (> call70268formal.new.0 0) (=> (forall ((?x1563 Int)) (! (=> (and (<= call70268formal.new.0 ?x1563) (< ?x1563 (+ call70268formal.new.0 1))) (= (Base ?x1563) call70268formal.new.0)) :pattern ((Base ?x1563)) )) (=> (forall ((?x1564 boogieU)) (! (=> (= (type ?x1564) intType) (or (= (U_2_int ?x1564) call70268formal.new.0) (= (MapType0Select alloc.99 ?x1564) (MapType0Select alloc.102 ?x1564)))) :pattern ((MapType0Select alloc.102 ?x1564)) )) (=> (and (= (MapType0Select alloc.99 ?v_52) UNALLOCATED) (= (MapType0Select alloc.102 ?v_52) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call70271formal.new.0 0) (=> (forall ((?x1565 Int)) (! (=> (and (<= call70271formal.new.0 ?x1565) (< ?x1565 (+ call70271formal.new.0 1))) (= (Base ?x1565) call70271formal.new.0)) :pattern ((Base ?x1565)) )) (=> (forall ((?x1566 boogieU)) (! (=> (= (type ?x1566) intType) (or (= (U_2_int ?x1566) call70271formal.new.0) (= (MapType0Select alloc.102 ?x1566) (MapType0Select alloc.103 ?x1566)))) :pattern ((MapType0Select alloc.103 ?x1566)) )) (=> (and (= (MapType0Select alloc.102 ?v_53) UNALLOCATED) (= (MapType0Select alloc.103 ?v_53) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call70274formal.new.0 0) (=> (forall ((?x1567 Int)) (! (=> (and (<= call70274formal.new.0 ?x1567) (< ?x1567 (+ call70274formal.new.0 1))) (= (Base ?x1567) call70274formal.new.0)) :pattern ((Base ?x1567)) )) (=> (forall ((?x1568 boogieU)) (! (=> (= (type ?x1568) intType) (or (= (U_2_int ?x1568) call70274formal.new.0) (= (MapType0Select alloc.103 ?x1568) (MapType0Select alloc.104 ?x1568)))) :pattern ((MapType0Select alloc.104 ?x1568)) )) (=> (and (= (MapType0Select alloc.103 ?v_54) UNALLOCATED) (= (MapType0Select alloc.104 ?v_54) ALLOCATED)) (and ?v_55 (=> ?v_55 (=> (> call70277formal.new.0 0) (=> (forall ((?x1569 Int)) (! (=> (and (<= call70277formal.new.0 ?x1569) (< ?x1569 (+ call70277formal.new.0 8))) (= (Base ?x1569) call70277formal.new.0)) :pattern ((Base ?x1569)) )) (=> (forall ((?x1570 boogieU)) (! (=> (= (type ?x1570) intType) (or (= (U_2_int ?x1570) call70277formal.new.0) (= (MapType0Select alloc.104 ?x1570) (MapType0Select alloc.105 ?x1570)))) :pattern ((MapType0Select alloc.105 ?x1570)) )) (=> (and (= (MapType0Select alloc.104 ?v_56) UNALLOCATED) (= (MapType0Select alloc.105 ?v_56) ALLOCATED)) (=> true (and ?v_8 (=> ?v_8 (=> (> call70311formal.new.0 0) (=> (forall ((?x1561 Int)) (! (=> (and (<= call70311formal.new.0 ?x1561) (< ?x1561 (+ call70311formal.new.0 1))) (= (Base ?x1561) call70311formal.new.0)) :pattern ((Base ?x1561)) )) (=> (forall ((?x1562 boogieU)) (! (=> (= (type ?x1562) intType) (or (= (U_2_int ?x1562) call70311formal.new.0) (= (MapType0Select alloc.105 ?x1562) (MapType0Select alloc.106 ?x1562)))) :pattern ((MapType0Select alloc.106 ?x1562)) )) (=> (and (= (MapType0Select alloc.105 ?v_57) UNALLOCATED) (= (MapType0Select alloc.106 ?v_57) ALLOCATED)) (and (=> true (=> ?v_42 (=> (= inline.SerialGetNextWrite.2.myVar_0.1 ?v_32) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.2 inline.SerialGetNextWrite.2.myVar_0.1) ?v_377))))) (=> true (=> ?v_376 (and (=> true (=> ?v_49 (=> (= inline.SerialGetNextWrite.2.myVar_0.0 ?v_203) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.2 inline.SerialGetNextWrite.2.myVar_0.0) ?v_379))))) (=> true (=> ?v_378 (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.2 inline.SerialGetNextWrite.2.myVar_0) ?v_379)))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1299 (and (=> true (=> ?v_460 (=> true (and ?v_8 (=> ?v_8 (=> (> call72777formal.new.0 0) (=> (forall ((?x1551 Int)) (! (=> (and (<= call72777formal.new.0 ?x1551) (< ?x1551 (+ call72777formal.new.0 1))) (= (Base ?x1551) call72777formal.new.0)) :pattern ((Base ?x1551)) )) (=> (forall ((?x1552 boogieU)) (! (=> (= (type ?x1552) intType) (or (= (U_2_int ?x1552) call72777formal.new.0) (= (MapType0Select alloc.99 ?x1552) (MapType0Select alloc.101 ?x1552)))) :pattern ((MapType0Select alloc.101 ?x1552)) )) (=> (and (= (MapType0Select alloc.99 ?v_381) UNALLOCATED) (= (MapType0Select alloc.101 ?v_381) ALLOCATED)) (=> true (=> (<= k.165 k.167) (=> (< k.167 2) (=> true (=> (=> ?v_382 ?v_58) (=> (=> ?v_417 ?v_213) (and (=> true (=> ?v_382 (=> true (=> ?v_458 (=> (= cancelLockStatus_0.75 1) ?v_457))))) (=> true (=> ?v_453 (and (=> true (=> ?v_417 (=> true (=> (= cancelLockStatus_1.75 1) ?v_459)))) (=> true (=> ?v_455 (=> true (=> ?v_458 ?v_459))))))))))))))))))))))) (=> true (=> ?v_1375 (=> true (and ?v_31 (=> ?v_31 (=> true (=> ?v_461 (=> ?v_462 (=> ?v_463 (=> ?v_464 (=> ?v_465 (=> ?v_466 (=> ?v_467 (=> ?v_468 (=> ?v_469 (=> ?v_470 (=> ?v_471 (=> ?v_472 (=> ?v_473 (=> ?v_474 (=> ?v_475 (=> ?v_476 (=> ?v_477 (=> ?v_478 (=> ?v_479 (=> ?v_480 (=> ?v_481 (=> ?v_482 (=> ?v_483 (=> ?v_484 (=> ?v_485 (=> ?v_486 (=> ?v_487 (=> ?v_488 (=> (= alloc.116 alloc.99) (=> ?v_489 (=> ?v_490 (=> ?v_491 (=> ?v_492 (=> (= Mem_1_T.P_IRP.90 Mem_1_T.P_IRP.69) (=> ?v_493 (=> ?v_494 (=> ?v_495 (=> ?v_496 (=> ?v_497 (=> ?v_498 (=> ?v_499 (=> ?v_500 (=> ?v_501 (=> ?v_502 (=> ?v_503 (=> ?v_504 (=> ?v_505 (=> ?v_506 (=> ?v_507 (=> ?v_508 (=> ?v_509 (=> ?v_510 (=> ?v_511 (=> ?v_512 (=> ?v_513 (=> (= irpCompleted_0.50 irpCompleted_0.41) (=> ?v_514 (=> ?v_515 (=> ?v_516 (=> ?v_517 (=> ?v_518 (=> (= cancelLockStatus_0.87 cancelLockStatus_0.74) (=> ?v_519 (=> ?v_520 (=> ?v_521 (=> ?v_522 (=> ?v_523 (=> ?v_524 (=> ?v_525 (=> ?v_526 (=> ?v_527 (=> ?v_528 (=> ?v_529 (=> ?v_530 (=> ?v_531 (=> ?v_532 (=> ?v_533 (=> ?v_534 (=> ?v_535 (=> ?v_536 (=> ?v_537 (=> ?v_538 (=> ?v_539 (=> ?v_540 (=> ?v_541 (=> ?v_542 (=> ?v_543 (=> ?v_544 (=> ?v_545 (=> ?v_546 (=> ?v_547 (=> (= errorReached.88 errorReached.72) (=> ?v_548 (=> ?v_549 (=> ?v_550 (=> ?v_551 (=> ?v_552 (=> ?v_553 (=> ?v_554 (=> ?v_555 (=> (= irpCompleted_1.50 irpCompleted_1.41) (=> ?v_556 (=> ?v_557 (=> ?v_558 (=> ?v_559 (=> ?v_560 (=> ?v_561 (=> ?v_562 (=> ?v_563 (=> ?v_564 (=> ?v_565 (=> (= Mem_0_T.P_IRP.90 Mem_0_T.P_IRP.69) (=> ?v_566 (=> ?v_567 (=> ?v_568 (=> ?v_569 (=> ?v_570 (=> ?v_571 (=> ?v_572 (=> ?v_573 (=> ?v_574 (=> ?v_575 (=> ?v_576 (=> ?v_577 (=> ?v_578 (=> (= Mem_1_T.CancelRoutine__IRP.123 Mem_1_T.CancelRoutine__IRP.101) (=> ?v_579 (=> ?v_580 (=> ?v_581 (=> ?v_582 (=> ?v_583 (=> ?v_584 (=> ?v_585 (=> ?v_586 (=> ?v_587 (=> (= cancelLockStatus_1.87 cancelLockStatus_1.74) (=> (= k.191 k.165) (=> ?v_588 (=> ?v_589 (=> ?v_590 (=> ?v_591 (=> ?v_592 (=> ?v_593 (=> ?v_594 (=> ?v_595 (=> ?v_596 (=> ?v_597 (=> ?v_598 (=> ?v_599 (=> ?v_600 (=> ?v_601 (=> ?v_602 (=> ?v_603 (=> ?v_604 (=> ?v_605 (=> ?v_606 (=> ?v_607 (=> ?v_608 (=> ?v_609 (=> ?v_610 (=> ?v_611 (=> ?v_612 (=> ?v_613 (=> (= Mem_0_T.CancelRoutine__IRP.123 Mem_0_T.CancelRoutine__IRP.101) (=> ?v_614 (=> ?v_615 (=> ?v_616 (=> ?v_617 (=> ?v_618 (=> ?v_619 (=> ?v_620 (=> ?v_621 (=> ?v_622 (=> ?v_623 (=> ?v_624 (=> ?v_625 (=> ?v_626 (=> ?v_627 ?v_628))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_630 (= cancelLockStatus_1.74 cancelLockStatus_1.72))) (let ((?v_631 (=> (= cancelLockStatus_0.74 cancelLockStatus_0.72) (=> true (=> true (=> true (=> true (=> true ?v_629)))))))) (let ((?v_833 (and (=> true (=> ?v_970 (and (=> true (=> ?v_42 (=> true (=> ?v_630 (=> ?v_58 ?v_629))))) (=> true (=> ?v_376 (and (=> true (=> ?v_49 (=> true (=> ?v_213 ?v_631)))) (=> true (=> ?v_378 (=> true (=> ?v_630 ?v_631)))))))))) (=> true (=> ?v_632 (and (=> true (=> ?v_42 (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.1 ?v_32) (=> true (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.1) ?v_830))))) (=> true (=> ?v_376 (and (=> true (=> ?v_49 (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.0 ?v_203) (=> true (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.0) ?v_831))))) (=> true (=> ?v_378 (=> true (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent) ?v_831)))))))))))) (?v_953 (- 0 1073741536))) (let ((?v_832 (= 0 ?v_953)) (?v_48 (=> true (=> ?v_636 (=> ?v_637 (=> ?v_638 (=> ?v_639 (=> ?v_640 (=> ?v_641 (=> ?v_642 (=> ?v_643 (=> ?v_644 (=> ?v_70 (=> ?v_645 (=> ?v_646 (=> ?v_647 (=> ?v_648 (=> ?v_649 (=> ?v_650 (=> ?v_651 (=> ?v_652 (=> ?v_653 (=> ?v_654 (=> ?v_655 (=> ?v_656 (=> ?v_657 (=> ?v_658 (=> ?v_659 (=> ?v_660 (=> ?v_661 (=> ?v_662 (=> ?v_663 (=> ?v_664 (=> (= alloc.117 alloc.99) (=> ?v_665 (=> ?v_666 (=> ?v_667 (=> (= Mem_1_T.P_IRP.91 Mem_1_T.P_IRP.69) (=> ?v_668 (=> ?v_669 (=> ?v_670 (=> ?v_671 (=> ?v_672 (=> ?v_673 (=> ?v_674 (=> ?v_675 (=> ?v_71 (=> ?v_676 (=> ?v_677 (=> ?v_678 (=> ?v_679 (=> ?v_680 (=> ?v_681 (=> ?v_682 (=> ?v_683 (=> ?v_684 (=> ?v_685 (=> ?v_686 (=> ?v_687 (=> ?v_688 (=> (= irpCompleted_0.51 irpCompleted_0.41) (=> ?v_689 (=> ?v_72 (=> ?v_690 (=> ?v_691 (=> ?v_692 (=> (= cancelLockStatus_0.89 cancelLockStatus_0.88) (=> ?v_693 (=> ?v_694 (=> ?v_695 (=> ?v_696 (=> ?v_697 (=> ?v_698 (=> ?v_699 (=> ?v_700 (=> ?v_701 (=> ?v_702 (=> ?v_703 (=> ?v_704 (=> ?v_705 (=> ?v_706 (=> (= Mem_1_T.CancelRoutine__IRP.124 Mem_1_T.CancelRoutine__IRP.101) (=> ?v_707 (=> ?v_708 (=> ?v_709 (=> ?v_710 (=> ?v_711 (=> ?v_712 (=> ?v_713 (=> ?v_714 (=> ?v_715 (=> ?v_716 (=> ?v_73 (=> ?v_717 (=> ?v_718 (=> ?v_74 (=> ?v_719 (=> ?v_720 (=> ?v_721 (=> ?v_722 (=> (= errorReached.89 errorReached.72) (=> ?v_723 (=> ?v_724 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> (= irpCompleted_1.51 irpCompleted_1.41) (=> ?v_731 (=> ?v_75 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.7 inline.SerialTryToCompleteCurrent.1.myNondetVar_0.6) (=> ?v_738 (=> ?v_76 (=> ?v_739 (=> ?v_740 (=> (= Mem_0_T.P_IRP.91 Mem_0_T.P_IRP.69) (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_77 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> (= cancelLockStatus_1.89 cancelLockStatus_1.88) (=> (= k.192 k.165) (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 (=> ?v_772 (=> ?v_773 (=> ?v_774 (=> ?v_775 (=> ?v_776 (=> ?v_777 (=> ?v_778 (=> ?v_779 (=> ?v_780 (=> ?v_781 (=> ?v_78 (=> ?v_782 (=> ?v_783 (=> ?v_784 (=> ?v_785 (=> ?v_786 (=> ?v_787 (=> ?v_788 (=> ?v_789 (=> ?v_790 (=> (= Mem_0_T.CancelRoutine__IRP.124 Mem_0_T.CancelRoutine__IRP.101) (=> ?v_791 (=> ?v_792 (=> ?v_79 (=> ?v_793 (=> ?v_794 (=> ?v_795 (=> ?v_796 (=> ?v_797 (=> ?v_798 (=> ?v_80 (=> ?v_799 (=> ?v_800 (=> ?v_801 (=> ?v_802 (=> ?v_803 (=> ?v_804 ?v_81))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_50 (= cancelLockStatus_1.88 cancelLockStatus_1.72))) (let ((?v_51 (=> (= cancelLockStatus_0.88 cancelLockStatus_0.72) (=> true (=> true (=> true (=> true ?v_48))))))) (let ((?v_835 (and (=> true (=> (not (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.6 0)) (and (=> true (=> ?v_42 (=> true (=> ?v_50 (=> (= cancelLockStatus_0.88 0) ?v_48))))) (=> true (=> ?v_376 (and (=> true (=> ?v_49 (=> true (=> (= cancelLockStatus_1.88 0) ?v_51)))) (=> true (=> ?v_378 (=> true (=> ?v_50 ?v_51)))))))))) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.5 0) (and (=> true (=> ?v_832 ?v_833)) (=> true (=> (not ?v_832) (=> true ?v_833)))))))) (?v_834 (= inline.SerialTryToCompleteCurrent.1.myVar_0.5 hirp))) (let ((?v_836 (and (=> true (=> ?v_834 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_835)))) (=> true (=> (not ?v_834) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_835))))))))))) (let ((?v_837 (=> true (=> true (=> true (=> true ?v_836)))))) (let ((?v_855 (and (=> true (=> ?v_42 (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.3 ?v_32) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.5 inline.SerialTryToCompleteCurrent.1.myVar_0.3) ?v_836))))) (=> true (=> ?v_376 (and (=> true (=> ?v_49 (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.4 ?v_203) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.5 inline.SerialTryToCompleteCurrent.1.myVar_0.4) ?v_837))))) (=> true (=> ?v_378 (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.5 inline.SerialTryToCompleteCurrent.1.myVar_0.2) ?v_837))))))))) (?v_860 (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_861 (= inline.SerialRundownIrpRefs.1.myNondetVar_1.5 inline.SerialRundownIrpRefs.1.myNondetVar_1.3)) (?v_862 (= inline.SerialRundownIrpRefs.1.tempBoogie0.5 inline.SerialRundownIrpRefs.1.tempBoogie0.3)) (?v_863 (= inline.SerialRundownIrpRefs.1.myNondetVar_0.11 inline.SerialRundownIrpRefs.1.myNondetVar_0.7)) (?v_864 (= inline.SerialRundownIrpRefs.1.myNondetVar_2.5 inline.SerialRundownIrpRefs.1.myNondetVar_2.3)) (?v_865 (= inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs)) (?v_866 (= inline.SerialRundownIrpRefs.1.myVar_0.14 inline.SerialRundownIrpRefs.1.myVar_0.10)) (?v_867 (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1))) (let ((?v_868 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> true (=> true (=> true (=> true ?v_855)))))) (?v_859 (= inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 0)) (?v_843 (= inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.0 call69691formal.ret.0)) (?v_844 (= inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..0 call69691formal.ret.0)) (?v_845 (= inline.SerialCancelTimer.5.myNondetVar_0.2 inline.SerialCancelTimer.5.myNondetVar_0.1)) (?v_846 (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.3 inline.sdv_InterlockedDecrement.19.myNondetVar_0.2)) (?v_847 (= inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_848 (= inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_849 (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..1)) (?v_850 (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0)) (?v_851 (= inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..0 call69691formal.ret.0)) (?v_852 (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0)) (?v_853 (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..0 call69691formal.ret.0)) (?v_854 (= inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_842 (= call69691formal.ret.0 0)) (?v_43 (BIT_BNOT 4))) (let ((?v_839 (=> true (=> (forall ((?r1 Int)) (! (=> (and (= (POW2 ?r1) boolTrue) (= (POW2 4) boolTrue) (not (= ?r1 4))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_1.4 ?r1) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_2.4 ?v_43) ?r1) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.8 ?v_43) ?r1)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.9 ?v_43) 4) 0) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.4 (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.10 ?v_43)) (=> true (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.1.myVar_0.13) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_1.5 inline.SerialRundownIrpRefs.1.myNondetVar_1.4) (=> ?v_847 (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.5 inline.SerialRundownIrpRefs.1.tempBoogie0.4) (=> ?v_848 (=> ?v_849 (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_0.11 inline.SerialRundownIrpRefs.1.myNondetVar_0.10) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_2.5 inline.SerialRundownIrpRefs.1.myNondetVar_2.4) (=> (= inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.0 4) (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.14 inline.SerialRundownIrpRefs.1.myVar_0.13) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.1.myVar_0.13) (=> ?v_854 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) ?v_855))))))))))))))))))))))))))) (?v_838 (= inline.SerialRundownIrpRefs.1.myVar_0.13 hirp))) (let ((?v_840 (and (=> true (=> ?v_838 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_839)))) (=> true (=> (not ?v_838) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_839))))))))))) (let ((?v_841 (=> true (=> true (=> true (=> true ?v_840))))) (?v_41 (not ?v_842))) (let ((?v_858 (and (=> true (=> ?v_41 (and (=> true (=> ?v_42 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.11 ?v_32) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.13 inline.SerialRundownIrpRefs.1.myVar_0.11) ?v_840))))) (=> true (=> ?v_376 (and (=> true (=> ?v_49 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.12 ?v_203) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.13 inline.SerialRundownIrpRefs.1.myVar_0.12) ?v_841))))) (=> true (=> ?v_378 (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.13 inline.SerialRundownIrpRefs.1.myVar_0.10) ?v_841)))))))))) (=> true (=> ?v_842 (=> true (=> ?v_843 (=> ?v_844 (=> ?v_845 (=> ?v_846 (=> ?v_860 (=> ?v_861 (=> ?v_847 (=> ?v_862 (=> ?v_848 (=> ?v_849 (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_853 (=> ?v_866 (=> ?v_867 (=> ?v_854 ?v_868)))))))))))))))))))))))))) (let ((?v_857 (=> true (=> (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.2 inline.sdv_InterlockedDecrement.19.myNondetVar_0.1) (=> (= inline.SerialCancelTimer.5.myNondetVar_0.1 inline.SerialCancelTimer.5.myNondetVar_0.0) (=> (= inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.19.myNondetVar_0.1) (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.19.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.19.myNondetVar_0.1) ?v_858)))))))) (?v_856 (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.1 0))) (let ((?v_886 (and (=> true (=> (not ?v_859) (and (=> true (=> ?v_41 (and (=> true (=> (not ?v_856) (=> true (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2.) ?v_857)))) (=> true (=> ?v_856 (=> true (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..0 call69772formal.ret.0) (=> true (=> true (=> true ?v_857)))))))))) (=> true (=> ?v_842 (=> true (=> (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.2 inline.sdv_InterlockedDecrement.19.myNondetVar_0) (=> (= inline.SerialCancelTimer.5.myNondetVar_0.1 inline.SerialCancelTimer.5.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1.) (=> true (=> true (=> true (=> true (=> true ?v_858))))))))))))))))) (=> true (=> ?v_859 (=> true (=> (= inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer) (=> (= inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..0 inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1.) (=> (= inline.SerialCancelTimer.5.myNondetVar_0.2 inline.SerialCancelTimer.5.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.3 inline.sdv_InterlockedDecrement.19.myNondetVar_0) (=> ?v_860 (=> ?v_861 (=> (= inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> ?v_862 (=> (= inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2.) (=> ?v_863 (=> ?v_864 (=> ?v_865 (=> (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1) (=> (= inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2.) (=> (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..0 inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5.) (=> ?v_866 (=> ?v_867 (=> (= inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1.) ?v_868))))))))))))))))))))))))) (?v_890 (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_891 (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_892 (= inline.SerialRundownIrpRefs.1.myNondetVar_0.7 inline.SerialRundownIrpRefs.1.myNondetVar_0.3)) (?v_893 (= inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_894 (= inline.SerialRundownIrpRefs.1.myNondetVar_1.3 inline.SerialRundownIrpRefs.1.myNondetVar_1.1)) (?v_895 (= inline.SerialRundownIrpRefs.1.tempBoogie0.3 inline.SerialRundownIrpRefs.1.tempBoogie0.1)) (?v_896 (= inline.SerialRundownIrpRefs.1.myNondetVar_2.3 inline.SerialRundownIrpRefs.1.myNondetVar_2.1)) (?v_897 (= inline.SerialRundownIrpRefs.1.myVar_0.10 inline.SerialRundownIrpRefs.1.myVar_0.6))) (let ((?v_898 (=> (= inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs) (=> true ?v_886))) (?v_874 (= inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_875 (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.0 0)) (?v_876 (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.3 inline.sdv_InterlockedDecrement.18.myNondetVar_0.2)) (?v_877 (= inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_878 (= inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_879 (= inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..0 call69410formal.ret.0)) (?v_880 (= inline.SerialCancelTimer.4.myNondetVar_0.2 inline.SerialCancelTimer.4.myNondetVar_0.1)) (?v_881 (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..0 call69410formal.ret.0)) (?v_882 (= inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.0 call69410formal.ret.0)) (?v_883 (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.0 0)) (?v_884 (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..1)) (?v_885 (= inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..0 call69410formal.ret.0)) (?v_873 (= call69410formal.ret.0 0)) (?v_40 (BIT_BNOT 8))) (let ((?v_870 (=> true (=> (forall ((?r2 Int)) (! (=> (and (= (POW2 ?r2) boolTrue) (= (POW2 8) boolTrue) (not (= ?r2 8))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_1.2 ?r2) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_2.2 ?v_40) ?r2) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.4 ?v_40) ?r2)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.5 ?v_40) 8) 0) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.2 (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.6 ?v_40)) (=> true (=> ?v_874 (=> ?v_875 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.1.myVar_0.9) (=> ?v_876 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.1.myVar_0.9) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_0.7 inline.SerialRundownIrpRefs.1.myNondetVar_0.6) (=> ?v_877 (=> ?v_878 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_879 (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_1.3 inline.SerialRundownIrpRefs.1.myNondetVar_1.2) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.3 inline.SerialRundownIrpRefs.1.tempBoogie0.2) (=> ?v_880 (=> ?v_881 (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_2.3 inline.SerialRundownIrpRefs.1.myNondetVar_2.2) (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.10 inline.SerialRundownIrpRefs.1.myVar_0.9) (=> ?v_885 (=> (= inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.0 8) ?v_886))))))))))))))))))))))))))) (?v_869 (= inline.SerialRundownIrpRefs.1.myVar_0.9 hirp))) (let ((?v_871 (and (=> true (=> ?v_869 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_870)))) (=> true (=> (not ?v_869) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_870))))))))))) (let ((?v_872 (=> true (=> true (=> true (=> true ?v_871))))) (?v_39 (not ?v_873))) (let ((?v_889 (and (=> true (=> ?v_39 (and (=> true (=> ?v_42 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.7 ?v_32) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.9 inline.SerialRundownIrpRefs.1.myVar_0.7) ?v_871))))) (=> true (=> ?v_376 (and (=> true (=> ?v_49 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.8 ?v_203) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.9 inline.SerialRundownIrpRefs.1.myVar_0.8) ?v_872))))) (=> true (=> ?v_378 (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.9 inline.SerialRundownIrpRefs.1.myVar_0.6) ?v_872)))))))))) (=> true (=> ?v_873 (=> true (=> ?v_874 (=> ?v_875 (=> ?v_890 (=> ?v_876 (=> ?v_891 (=> ?v_892 (=> ?v_877 (=> ?v_878 (=> ?v_893 (=> ?v_879 (=> ?v_894 (=> ?v_895 (=> ?v_880 (=> ?v_881 (=> ?v_896 (=> ?v_882 (=> ?v_883 (=> ?v_884 (=> ?v_897 (=> ?v_885 ?v_898)))))))))))))))))))))))))) (let ((?v_888 (=> true (=> (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.2 inline.sdv_InterlockedDecrement.18.myNondetVar_0.1) (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.SerialCancelTimer.4.myNondetVar_0.1 inline.SerialCancelTimer.4.myNondetVar_0.0) (=> (= inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.18.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.18.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.18.myNondetVar_0.1) ?v_889)))))))) (?v_887 (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.1 0))) (let ((?v_925 (and (=> true (=> ?v_31 (and (=> true (=> ?v_39 (and (=> true (=> (not ?v_887) (=> true (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2.) ?v_888)))) (=> true (=> ?v_887 (=> true (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..0 call69491formal.ret.0) (=> true (=> true (=> true ?v_888)))))))))) (=> true (=> ?v_873 (=> true (=> (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.2 inline.sdv_InterlockedDecrement.18.myNondetVar_0) (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialCancelTimer.4.myNondetVar_0.1 inline.SerialCancelTimer.4.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1.) (=> true (=> true (=> true (=> true (=> true ?v_889))))))))))))))))) (=> true (=> ?v_0 (=> true (=> (= inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1) (=> ?v_890 (=> (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.3 inline.sdv_InterlockedDecrement.18.myNondetVar_0) (=> ?v_891 (=> ?v_892 (=> (= inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1.) (=> ?v_893 (=> (= inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..0 inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1.) (=> ?v_894 (=> ?v_895 (=> (= inline.SerialCancelTimer.4.myNondetVar_0.2 inline.SerialCancelTimer.4.myNondetVar_0) (=> (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..0 inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3.) (=> ?v_896 (=> (= inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer) (=> (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2.) (=> ?v_897 (=> (= inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2.) ?v_898))))))))))))))))))))))))) (?v_28 (= k.161 0)) (?v_923 (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.98 (int_2_U (CancelRoutine__IRP ?v_32)))) 0)) (?v_33 (= k.161 1)) (?v_924 (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.98 (int_2_U (CancelRoutine__IRP ?v_203)))) 0))) (let ((?v_900 (=> true (=> (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..0) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.1.myVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_0.3 inline.SerialRundownIrpRefs.1.myNondetVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialRundownIrpRefs.1.myVar_0.5) (=> (= Mem_0_T.CancelRoutine__IRP.101 Mem_0_T.CancelRoutine__IRP.100) (=> (= inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.0 2) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_1.1 inline.SerialRundownIrpRefs.1.myNondetVar_1.0) (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.1.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialRundownIrpRefs.1.myVar_0.5) (=> (= errorReached.72 errorReached.71) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_2.1 inline.SerialRundownIrpRefs.1.myNondetVar_2.0) (=> (= Mem_1_T.CancelRoutine__IRP.101 Mem_1_T.CancelRoutine__IRP.100) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.1 inline.SerialRundownIrpRefs.1.tempBoogie0.0) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.SerialRundownIrpRefs.1.myVar_0.6 inline.SerialRundownIrpRefs.1.myVar_0.5) (=> (= k.165 k.164) ?v_925)))))))))))))))))))))) (let ((?v_904 (=> true (=> true (=> true (=> true (=> true (=> true ?v_900))))))) (?v_902 (= Mem_0_T.CancelRoutine__IRP.100 Mem_0_T.CancelRoutine__IRP.98)) (?v_903 (= Mem_1_T.CancelRoutine__IRP.100 Mem_1_T.CancelRoutine__IRP.98)) (?v_901 (= k.164 1)) (?v_37 (int_2_U (CancelRoutine__IRP inline.SerialRundownIrpRefs.1.myVar_0.5))) (?v_899 (= k.164 0))) (let ((?v_909 (and (=> true (=> ?v_899 (=> (= Mem_0_T.CancelRoutine__IRP.99 (MapType0Store Mem_0_T.CancelRoutine__IRP.98 ?v_37 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.100 Mem_0_T.CancelRoutine__IRP.99) (=> ?v_903 ?v_900)))))) (=> true (=> (not ?v_899) (and (=> true (=> ?v_901 (=> (= Mem_1_T.CancelRoutine__IRP.99 (MapType0Store Mem_1_T.CancelRoutine__IRP.98 ?v_37 ?v_38)) (=> true (=> ?v_902 (=> (= Mem_1_T.CancelRoutine__IRP.100 Mem_1_T.CancelRoutine__IRP.99) ?v_904)))))) (=> true (=> (not ?v_901) (=> true (=> ?v_902 (=> ?v_903 ?v_904))))))))))) (let ((?v_911 (=> (= errorReached.71 errorReached.70) (=> true ?v_909))) (?v_910 (= inline.SerialRundownIrpRefs.1.myVar_0.5 hirp)) (?v_907 (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..0 call69335formal.ret.0)) (?v_908 (= k.164 k.163)) (?v_905 (= k.163 0)) (?v_906 (= k.163 1))) (let ((?v_912 (and (=> true (=> ?v_910 (=> true (=> (<= k.162 k.163) (=> (< k.163 2) (and (=> true (=> (=> ?v_905 ?v_65) (=> (=> ?v_906 ?v_66) (=> true (=> ?v_907 (=> ?v_908 (=> (= errorReached.71 1) ?v_909))))))) (=> true (=> (=> ?v_905 ?v_139) (=> (=> ?v_906 ?v_140) (=> true (=> ?v_907 (=> ?v_908 ?v_911)))))))))))) (=> true (=> (not ?v_910) (=> true (=> (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2.) (=> (= k.164 k.162) ?v_911)))))))) (let ((?v_914 (=> true (=> true ?v_912))) (?v_913 (= k.162 1))) (let ((?v_917 (not ?v_913)) (?v_36 (= k.162 0))) (let ((?v_915 (not ?v_36))) (let ((?v_916 (and (=> true (=> ?v_36 (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.98 ?v_37))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_912))))) (=> true (=> ?v_915 (and (=> true (=> ?v_913 (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.98 ?v_37))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_914))))) (=> true (=> ?v_917 (=> true (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_914)))))))))) (let ((?v_918 (=> true (=> true (=> true (=> true (=> true ?v_916)))))) (?v_35 (BIT_BNOT 2))) (let ((?v_920 (=> true (=> (forall ((?r3 Int)) (! (=> (and (= (POW2 ?r3) boolTrue) (= (POW2 2) boolTrue) (not (= ?r3 2))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_1.0 ?r3) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_2.0 ?v_35) ?r3) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.0 ?v_35) ?r3)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.1 ?v_35) 2) 0) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.0 (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.2 ?v_35)) (=> true (=> (<= k.161 k.162) (=> (< k.162 2) (and (=> true (=> ?v_36 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.4 ?v_32) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.5 inline.SerialRundownIrpRefs.1.myVar_0.4) ?v_916))))) (=> true (=> ?v_915 (and (=> true (=> ?v_913 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.3 ?v_203) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.5 inline.SerialRundownIrpRefs.1.myVar_0.3) ?v_918))))) (=> true (=> ?v_917 (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.5 inline.SerialRundownIrpRefs.1.myVar_0.2) ?v_918)))))))))))))))) (?v_919 (= inline.SerialRundownIrpRefs.1.myVar_0.2 hirp))) (let ((?v_921 (and (=> true (=> ?v_919 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_920)))) (=> true (=> (not ?v_919) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_920))))))))))) (let ((?v_922 (=> true (=> true (=> true (=> true ?v_921))))) (?v_932 (not ?v_33)) (?v_930 (not ?v_28))) (let ((?v_927 (and (=> true (=> (=> ?v_28 (not ?v_923)) (=> (=> ?v_33 (not ?v_924)) (and (=> true (=> ?v_28 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.0 ?v_32) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.2 inline.SerialRundownIrpRefs.1.myVar_0.0) ?v_921))))) (=> true (=> ?v_930 (and (=> true (=> ?v_33 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.1 ?v_203) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.2 inline.SerialRundownIrpRefs.1.myVar_0.1) ?v_922))))) (=> true (=> ?v_932 (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.2 inline.SerialRundownIrpRefs.1.myVar_0) ?v_922))))))))))) (=> true (=> (=> ?v_28 ?v_923) (=> (=> ?v_33 ?v_924) (=> true (=> (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2.) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_0.3 inline.SerialRundownIrpRefs.1.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= Mem_0_T.CancelRoutine__IRP.101 Mem_0_T.CancelRoutine__IRP.98) (=> (= inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_1.1 inline.SerialRundownIrpRefs.1.myNondetVar_1) (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= errorReached.72 errorReached.70) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_2.1 inline.SerialRundownIrpRefs.1.myNondetVar_2) (=> (= Mem_1_T.CancelRoutine__IRP.101 Mem_1_T.CancelRoutine__IRP.98) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.1 inline.SerialRundownIrpRefs.1.tempBoogie0) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialRundownIrpRefs.1.myVar_0.6 inline.SerialRundownIrpRefs.1.myVar_0) (=> (= k.165 k.161) (=> true ?v_925))))))))))))))))))))))))))) (let ((?v_926 (=> true (=> (= inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 0) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 0) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.4 inline.SerialTryToCompleteCurrent.1.myNondetVar_0.3) (=> (= inline.KeSynchronizeExecution.9.myNondetVar_0.7 inline.KeSynchronizeExecution.9.myNondetVar_0.6) ?v_927))))))))) (let ((?v_929 (=> true (=> (forall ((?r4 Int)) (! (=> (and (= (POW2 ?r4) boolTrue) (= (POW2 1) boolTrue) (not (= ?r4 1))) (= (not (= (BIT_BAND inline.SerialTryToCompleteCurrent.1.myNondetVar_1.0 ?r4) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.1.myNondetVar_2.0 (BIT_BNOT 1)) ?r4) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.1.myNondetVar_0.0 (BIT_BNOT 1)) ?r4)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.1.myNondetVar_0.1 (BIT_BNOT 1)) 1) 0) (and (=> true (=> ?v_31 (and (=> true (=> ?v_31 (=> true (=> (= inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.9..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.9..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.9.myNondetVar_0.6 inline.KeSynchronizeExecution.9.myNondetVar_0.5) ?v_926)))))) (=> true (=> ?v_0 (=> true (=> (= inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.9.myNondetVar_0.6 inline.KeSynchronizeExecution.9.myNondetVar_0) (=> true (=> true (=> true ?v_926)))))))))))) (=> true (=> ?v_0 (=> true (=> (= inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.4 inline.SerialTryToCompleteCurrent.1.myNondetVar_0.2) (=> (= inline.KeSynchronizeExecution.9.myNondetVar_0.7 inline.KeSynchronizeExecution.9.myNondetVar_0) (=> true (=> true (=> true (=> true ?v_927)))))))))))))))))) (?v_928 (= inline.SerialTryToCompleteCurrent.1.myVar_0.2 hirp))) (let ((?v_931 (and (=> true (=> ?v_928 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_929)))) (=> true (=> (not ?v_928) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_929))))))))))) (let ((?v_933 (=> true (=> true (=> true (=> true ?v_931))))) (?v_29 (>= 4 0))) (let ((?v_934 (=> true (=> (= inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0 (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION x.SerialCompleteWrite.arg.2.7..2)) (=> (= inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 (WriteQueue__SERIAL_DEVICE_EXTENSION x.SerialCompleteWrite.arg.2.7..2)) (=> (= inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION x.SerialCompleteWrite.arg.2.7..2)) (=> true (and ?v_29 (=> ?v_29 (=> (> call68727formal.new.0 0) (=> (forall ((?x1571 Int)) (! (=> (and (<= call68727formal.new.0 ?x1571) (< ?x1571 (+ call68727formal.new.0 4))) (= (Base ?x1571) call68727formal.new.0)) :pattern ((Base ?x1571)) )) (=> (forall ((?x1572 boogieU)) (! (=> (= (type ?x1572) intType) (or (= (U_2_int ?x1572) call68727formal.new.0) (= (MapType0Select alloc.98 ?x1572) (MapType0Select alloc.99 ?x1572)))) :pattern ((MapType0Select alloc.99 ?x1572)) )) (=> (and (= (MapType0Select alloc.98 ?v_30) UNALLOCATED) (= (MapType0Select alloc.99 ?v_30) ALLOCATED)) (and (=> true (=> ?v_28 (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.0 ?v_32) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.2 inline.SerialTryToCompleteCurrent.1.myVar_0.0) ?v_931))))) (=> true (=> ?v_930 (and (=> true (=> ?v_33 (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.1 ?v_203) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.2 inline.SerialTryToCompleteCurrent.1.myVar_0.1) ?v_933))))) (=> true (=> ?v_932 (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.2 inline.SerialTryToCompleteCurrent.1.myVar_0) ?v_933)))))))))))))))))))) (?v_935 (= cancelLockStatus_1.72 cancelLockStatus_1.71))) (let ((?v_936 (=> (= cancelLockStatus_0.72 cancelLockStatus_0.71) (=> true (=> true (=> true (=> true (=> true ?v_934))))))) (?v_27 (int_2_U call68615formal.new.0)) (?v_26 (int_2_U call68596formal.new.0))) (let ((?v_939 (=> true (and ?v_8 (=> ?v_8 (=> (> call68596formal.new.0 0) (=> (forall ((?x1575 Int)) (! (=> (and (<= call68596formal.new.0 ?x1575) (< ?x1575 (+ call68596formal.new.0 1))) (= (Base ?x1575) call68596formal.new.0)) :pattern ((Base ?x1575)) )) (=> (forall ((?x1576 boogieU)) (! (=> (= (type ?x1576) intType) (or (= (U_2_int ?x1576) call68596formal.new.0) (= (MapType0Select alloc.96 ?x1576) (MapType0Select alloc.97 ?x1576)))) :pattern ((MapType0Select alloc.97 ?x1576)) )) (=> (and (= (MapType0Select alloc.96 ?v_26) UNALLOCATED) (= (MapType0Select alloc.97 ?v_26) ALLOCATED)) (=> true (and ?v_8 (=> ?v_8 (=> (> call68615formal.new.0 0) (=> (forall ((?x1573 Int)) (! (=> (and (<= call68615formal.new.0 ?x1573) (< ?x1573 (+ call68615formal.new.0 1))) (= (Base ?x1573) call68615formal.new.0)) :pattern ((Base ?x1573)) )) (=> (forall ((?x1574 boogieU)) (! (=> (= (type ?x1574) intType) (or (= (U_2_int ?x1574) call68615formal.new.0) (= (MapType0Select alloc.97 ?x1574) (MapType0Select alloc.98 ?x1574)))) :pattern ((MapType0Select alloc.98 ?x1574)) )) (=> (and (= (MapType0Select alloc.97 ?v_27) UNALLOCATED) (= (MapType0Select alloc.98 ?v_27) ALLOCATED)) (=> true (=> (<= k.160 k.161) (=> (< k.161 2) (=> true (=> (=> ?v_28 (= cancelLockStatus_0.71 0)) (=> (=> ?v_33 (= cancelLockStatus_1.71 0)) (and (=> true (=> ?v_28 (=> true (=> ?v_935 (=> (= cancelLockStatus_0.72 1) ?v_934))))) (=> true (=> ?v_930 (and (=> true (=> ?v_33 (=> true (=> (= cancelLockStatus_1.72 1) ?v_936)))) (=> true (=> ?v_932 (=> true (=> ?v_935 ?v_936)))))))))))))))))))))))))))))) (let ((?v_941 (=> true (=> true (=> true ?v_939)))) (?v_940 (= k.160 1)) (?v_938 (int_2_U (DeviceExtension__DEVICE_OBJECT hdevobj)))) (let ((?v_945 (U_2_int (MapType0Select Mem_1_T.DeviceExtension__DEVICE_OBJECT ?v_938))) (?v_937 (= k.160 0)) (?v_25 (U_2_int (MapType0Select Mem_0_T.DeviceExtension__DEVICE_OBJECT ?v_938)))) (let ((?v_943 (=> true (=> (not (= x.tmpIrp.2.6628.7.sdv_main.2 0)) (=> true (=> (<= 0 k.160) (=> (< k.160 2) (and (=> true (=> ?v_937 (=> (= x.SerialCompleteWrite.arg.2.7..0 ?v_25) (=> true (=> (= x.SerialCompleteWrite.arg.2.7..2 x.SerialCompleteWrite.arg.2.7..0) ?v_939))))) (=> true (=> (not ?v_937) (and (=> true (=> ?v_940 (=> (= x.SerialCompleteWrite.arg.2.7..1 ?v_945) (=> true (=> (= x.SerialCompleteWrite.arg.2.7..2 x.SerialCompleteWrite.arg.2.7..1) ?v_941))))) (=> true (=> (not ?v_940) (=> true (=> (= x.SerialCompleteWrite.arg.2.7..2 x.SerialCompleteWrite.arg.2.7.) ?v_941))))))))))))))) (let ((?v_944 (=> true ?v_943)) (?v_1 (= 0 1))) (let ((?v_947 (not ?v_1)) (?v_942 (int_2_U (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION x.Extension.4.6630.27.sdv_main.2)))) (let ((?v_946 (and (=> true (=> ?v_0 (=> (= x.tmpIrp.2.6628.7.sdv_main.0 (U_2_int (MapType0Select Mem_0_T.P_IRP.69 ?v_942))) (=> true (=> (= x.tmpIrp.2.6628.7.sdv_main.2 x.tmpIrp.2.6628.7.sdv_main.0) ?v_943))))) (=> true (=> ?v_31 (and (=> true (=> ?v_1 (=> (= x.tmpIrp.2.6628.7.sdv_main.1 (U_2_int (MapType0Select Mem_1_T.P_IRP.69 ?v_942))) (=> true (=> (= x.tmpIrp.2.6628.7.sdv_main.2 x.tmpIrp.2.6628.7.sdv_main.1) ?v_944))))) (=> true (=> ?v_947 (=> true (=> (= x.tmpIrp.2.6628.7.sdv_main.2 x.tmpIrp.2.6628.7.sdv_main) ?v_944)))))))))) (let ((?v_948 (=> true (=> true ?v_946))) (?v_24 (= call68416formal.ret.0 0))) (let ((?v_963 (and (=> true (=> (not ?v_24) (=> true (=> (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1.) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1) (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1) (=> (= inline.SerialCompleteWrite.0.myNondetVar_0.1 inline.SerialCompleteWrite.0.myNondetVar_0) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.) (=> (= inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1.) (=> (= inline.SerialGetNextIrp.4.myNondetVar_0.3 inline.SerialGetNextIrp.4.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.23.myNondetVar_0.3 inline.sdv_InterlockedDecrement.23.myNondetVar_0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialDpcEpilogue.6..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.6..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1) (=> (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..1 inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5.) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite) (=> (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.4 inline.sdv_InterlockedDecrement.18.myNondetVar_0) (=> (= inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite) (=> (= inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= irpCompleted_0.52 irpCompleted_0.41) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.4.havoc_stringTemp) (=> (= inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs) (=> (= inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked) (=> (= inline.sdv_InterlockedDecrement.24.myNondetVar_0.2 inline.sdv_InterlockedDecrement.24.myNondetVar_0) (=> (= inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1) (=> (= inline.RemoveHeadList.4.myNondetVar_0.5 inline.RemoveHeadList.4.myNondetVar_0) (=> (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1) (=> (= irpCompleted_1.52 irpCompleted_1.41) (=> (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent) (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.11 inline.KeSynchronizeExecution.11.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= alloc.119 alloc.96) (=> (= k.193 0) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs1) (=> (= Mem_1_T.P_IRP.92 Mem_1_T.P_IRP.69) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1) (=> (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.5 inline.sdv_InterlockedDecrement.22.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.5 inline.sdv_InterlockedDecrement.20.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_1.1 inline.SerialTryToCompleteCurrent.1.myNondetVar_1) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.5.havoc_stringTemp) (=> (= inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked) (=> (= inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs) (=> (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite) (=> (= Mem_0_T.P_IRP.92 Mem_0_T.P_IRP.69) (=> (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= x.devobjTmp.3.6629.17.sdv_main.0 x.devobjTmp.3.6629.17.sdv_main) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.SerialTryToCompleteCurrent.1.._refType.12.396.0.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1.._refType.12.396.0.SerialTryToCompleteCurrent) (=> (= inline.SerialCompleteWrite.0.havoc_stringTemp.0 inline.SerialCompleteWrite.0.havoc_stringTemp) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1) (=> (= inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1) (=> (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2.) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.7 inline.sdv_InterlockedDecrement.21.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= cancelLockStatus_1.90 cancelLockStatus_1.71) (=> (= inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs1) (=> (= inline.SerialTryToCompleteCurrent.1..newIrp.14.428.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..newIrp.14.428.13.SerialTryToCompleteCurrent) (=> (= Mem_1_T.CancelRoutine__IRP.125 Mem_1_T.CancelRoutine__IRP.98) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked) (=> (= inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite.0 inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite) (=> (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked) (=> (= inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1) (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.6 inline.SerialGetNextIrpLocked.4.myVar_0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= x.SerialCompleteWrite.arg.2.7..3 x.SerialCompleteWrite.arg.2.7.) (=> (= inline.SerialGetNextIrp.5.myNondetVar_0.3 inline.SerialGetNextIrp.5.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1.) (=> (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp) (=> (= inline.SerialCompleteWrite.0..OldIrql.6.742.10.SerialCompleteWrite.0 inline.SerialCompleteWrite.0..OldIrql.6.742.10.SerialCompleteWrite) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.6 inline.sdv_InterlockedIncrement.6.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.6..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.6..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= x.Extension.4.6630.27.sdv_main.3 x.Extension.4.6630.27.sdv_main) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialSetTimer.5.myNondetVar_0.9 inline.SerialSetTimer.5.myNondetVar_0) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite) (=> (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1) (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1) (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1.) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1) (=> (= Mem_0_T.CancelRoutine__IRP.125 Mem_0_T.CancelRoutine__IRP.98) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_1.6 inline.SerialRundownIrpRefs.1.myNondetVar_1) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1) (=> (= inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked) (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_2.6 inline.SerialRundownIrpRefs.1.myNondetVar_2) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.4 inline.sdv_InterlockedDecrement.19.myNondetVar_0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialCompleteWrite.0..Extension.5.741.29.SerialCompleteWrite.0 inline.SerialCompleteWrite.0..Extension.5.741.29.SerialCompleteWrite) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= errorReached.90 errorReached.70) (=> (= inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1.) (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1) (=> (= inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs) (=> (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1) (=> (= inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1.) (=> (= inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.30..result.userContextSwitch.3151.2.1.) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.sdv_IoAcquireCancelSpinLock.15..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.15..result.userContextSwitch.1645.2.1.) (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1) (=> (= x.tmpIrp.2.6628.7.sdv_main.3 x.tmpIrp.2.6628.7.sdv_main) (=> (= inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.747.20.1..1 inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.747.20.1.) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.6 inline.SerialRundownIrpRefs.1.tempBoogie0) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..2 inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.22 inline.SerialGetNextWrite.2.myNondetVar_0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.31..result.userContextSwitch.3151.2.1.) (=> (= inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1) (=> (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1) (=> (= inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs) (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.6 inline.SerialGetNextIrpLocked.5.myVar_0) (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.IsListEmpty.6.myNondetVar_0.3 inline.IsListEmpty.6.myNondetVar_0) (=> (= inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.sdv_InterlockedDecrement.24..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.24..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialGetNextWrite.2.myVar_0.16 inline.SerialGetNextWrite.2.myVar_0) (=> (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2.) (=> (= inline.SerialRundownIrpRefs.1.myVar_0.15 inline.SerialRundownIrpRefs.1.myVar_0) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp) (=> (= inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent) (=> (= inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp) (=> (= inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty) (=> (= inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.IsListEmpty.5.myNondetVar_0.3 inline.IsListEmpty.5.myNondetVar_0) (=> (= inline.SerialCancelTimer.5.myNondetVar_0.3 inline.SerialCancelTimer.5.myNondetVar_0) (=> (= inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite1.0 inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite1) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.7 inline.SerialGetNextWrite.2.myNondetVar_1) (=> (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2.) (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked) (=> (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..1 inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_0.12 inline.SerialRundownIrpRefs.1.myNondetVar_0) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13.) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.17..result.userContextSwitch.1645.2.1.) (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1) (=> (= inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.761.20.3..1 inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.761.20.3.) (=> (= inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer) (=> (= inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1.) (=> (= inline.SerialGetNextWrite.2.havoc_stringTemp.2 inline.SerialGetNextWrite.2.havoc_stringTemp) (=> (= inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite) (=> (= inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs) (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp) (=> (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.RemoveHeadList.5.myNondetVar_0.5 inline.RemoveHeadList.5.myNondetVar_0) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp) (=> (= inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent) (=> (= inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.16..result.userContextSwitch.1645.2.1.) (=> (= inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1) (=> (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1.) (=> (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_2.1 inline.SerialTryToCompleteCurrent.1.myNondetVar_2) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.8 inline.SerialTryToCompleteCurrent.1.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.10 inline.KeSynchronizeExecution.10.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1.) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked) (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1) (=> (= inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1) (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1) (=> (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer) (=> (= inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent) (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp) (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.6 inline.SerialTryToCompleteCurrent.1.myVar_0) (=> (= inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.6 inline.SerialGetNextWrite.2.myNondetVar_2) (=> (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite) (=> (= inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2.) (=> (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent1) (=> (= inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite) (=> (= cancelLockStatus_0.90 cancelLockStatus_0.71) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.KeSynchronizeExecution.9.myNondetVar_0.8 inline.KeSynchronizeExecution.9.myNondetVar_0) (=> (= inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.1 inline.SerialTryToCompleteCurrent.1.havoc_stringTemp) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1) (=> (= inline.SerialCancelTimer.4.myNondetVar_0.3 inline.SerialCancelTimer.4.myNondetVar_0) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.8 inline.SerialGetNextWrite.2.tempBoogie0) (=> (= inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2.) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.32..result.userContextSwitch.3151.2.1.) (=> (= inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1.) ?v_45))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_24 (and (=> true (=> ?v_0 (=> (= x.Extension.4.6630.27.sdv_main.0 ?v_25) (=> true (=> (= x.Extension.4.6630.27.sdv_main.2 x.Extension.4.6630.27.sdv_main.0) ?v_946))))) (=> true (=> ?v_31 (and (=> true (=> ?v_1 (=> (= x.Extension.4.6630.27.sdv_main.1 ?v_945) (=> true (=> (= x.Extension.4.6630.27.sdv_main.2 x.Extension.4.6630.27.sdv_main.1) ?v_948))))) (=> true (=> ?v_947 (=> true (=> (= x.Extension.4.6630.27.sdv_main.2 x.Extension.4.6630.27.sdv_main) ?v_948))))))))))))) (let ((?v_2149 (=> true (=> true (=> true (=> true (=> true ?v_963)))))) (?v_1863 (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_1864 (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1865 (= inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1.)) (?v_1866 (= inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1867 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1868 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1869 (= inline.SerialTryToCompleteCurrent.2.myVar_0.6 inline.SerialTryToCompleteCurrent.2.myVar_0)) (?v_1870 (= inline.RemoveHeadList.7.myNondetVar_0.5 inline.RemoveHeadList.7.myNondetVar_0)) (?v_1871 (= inline.SerialCancelCurrentWrite.0.myNondetVar_0.1 inline.SerialCancelCurrentWrite.0.myNondetVar_0)) (?v_1872 (= inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1873 (= inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1.)) (?v_1874 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer)) (?v_1875 (= inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite)) (?v_1876 (= inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs)) (?v_1877 (= inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1.)) (?v_1878 (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1.)) (?v_1879 (= inline.SerialCancelTimer.6.myNondetVar_0.3 inline.SerialCancelTimer.6.myNondetVar_0)) (?v_1880 (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1881 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1.)) (?v_1882 (= irpCompleted_0.41 irpCompleted_0.30)) (?v_1883 (= inline.SerialTryToCompleteCurrent.2.myNondetVar_2.1 inline.SerialTryToCompleteCurrent.2.myNondetVar_2)) (?v_1884 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_1885 (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution)) (?v_1886 (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_1887 (= inline.SerialGetNextWrite.3.havoc_stringTemp.2 inline.SerialGetNextWrite.3.havoc_stringTemp)) (?v_1888 (= inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1)) (?v_1889 (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_1890 (= inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1)) (?v_1891 (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_1892 (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_1893 (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1894 (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1.)) (?v_1895 (= irpCompleted_1.41 irpCompleted_1.30)) (?v_1896 (= inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs)) (?v_1897 (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_1898 (= inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.3 inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite)) (?v_1899 (= inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2.)) (?v_1900 (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_1901 (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_1902 (= inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1.)) (?v_1903 (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.4 inline.sdv_InterlockedDecrement.26.myNondetVar_0)) (?v_1904 (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1905 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1906 (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_1907 (= inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs1)) (?v_1908 (= inline.SerialRundownIrpRefs.2.myVar_0.15 inline.SerialRundownIrpRefs.2.myVar_0)) (?v_1909 (= inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite)) (?v_1910 (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1911 (= inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_1912 (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1913 (= Mem_1_T.P_IRP.69 Mem_1_T.P_IRP.46)) (?v_1914 (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2.)) (?v_1915 (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_1916 (= inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1)) (?v_1917 (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_1918 (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_1919 (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1920 (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_1921 (= inline.KeSynchronizeExecution.13.myNondetVar_0.10 inline.KeSynchronizeExecution.13.myNondetVar_0)) (?v_1922 (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_1923 (= inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs)) (?v_1924 (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_1925 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1926 (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3.)) (?v_1927 (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1.)) (?v_1928 (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_1929 (= inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1930 (= inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1)) (?v_1931 (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1932 (= inline.KeSynchronizeExecution.14.myNondetVar_0.11 inline.KeSynchronizeExecution.14.myNondetVar_0)) (?v_1933 (= alloc.96 alloc.76)) (?v_1934 (= inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1.)) (?v_1935 (= inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.1 inline.SerialTryToCompleteCurrent.2.havoc_stringTemp)) (?v_1936 (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_1937 (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp)) (?v_1938 (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_1939 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1940 (= inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1)) (?v_1941 (= inline.SerialGetNextIrpLocked.7.myVar_0.6 inline.SerialGetNextIrpLocked.7.myVar_0)) (?v_1942 (= inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent)) (?v_1943 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1944 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty)) (?v_1945 (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1.)) (?v_1946 (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2.)) (?v_1947 (= Mem_1_T.CancelRoutine__IRP.98 Mem_1_T.CancelRoutine__IRP.69)) (?v_1948 (= inline.SerialGetNextWrite.3.myNondetVar_2.6 inline.SerialGetNextWrite.3.myNondetVar_2)) (?v_1949 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer)) (?v_1950 (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1951 (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1952 (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1953 (= inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite)) (?v_1954 (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_1955 (= inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1956 (= inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution)) (?v_1957 (= inline.SerialCancelTimer.7.myNondetVar_0.3 inline.SerialCancelTimer.7.myNondetVar_0)) (?v_1958 (= inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite.0 inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite)) (?v_1959 (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_1960 (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_1961 (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.6 inline.sdv_InterlockedIncrement.7.myNondetVar_0)) (?v_1962 (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_1963 (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..1 inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5.)) (?v_1964 (= inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent)) (?v_1965 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_1966 (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1967 (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.8 inline.SerialTryToCompleteCurrent.2.myNondetVar_0)) (?v_1968 (= inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp)) (?v_1969 (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_1970 (= inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite1.0 inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite1)) (?v_1971 (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_1972 (= inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent)) (?v_1973 (= inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_1974 (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_1975 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer)) (?v_1976 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_1977 (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1978 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1979 (= inline.SerialGetNextWrite.3.myNondetVar_0.22 inline.SerialGetNextWrite.3.myNondetVar_0)) (?v_1980 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1981 (= inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs)) (?v_1982 (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.7.havoc_stringTemp)) (?v_1983 (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.7 inline.sdv_InterlockedDecrement.28.myNondetVar_0)) (?v_1984 (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_1985 (= inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent)) (?v_1986 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_1987 (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2.)) (?v_1988 (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite)) (?v_1989 (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13.)) (?v_1990 (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_1991 (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1.)) (?v_1992 (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1993 (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite)) (?v_1994 (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1995 (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1996 (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2.)) (?v_1997 (= errorReached.70 errorReached.50)) (?v_1998 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_1999 (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2000 (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_2001 (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer)) (?v_2002 (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2003 (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_2004 (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_2005 (= inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1.)) (?v_2006 (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..4 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3.)) (?v_2007 (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2008 (= inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1.)) (?v_2009 (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2010 (= inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent)) (?v_2011 (= inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs1)) (?v_2012 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_2013 (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2.)) (?v_2014 (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1)) (?v_2015 (= inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2016 (= Mem_0_T.Cancel__IRP.2 Mem_0_T.Cancel__IRP.1)) (?v_2017 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1)) (?v_2018 (= inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2019 (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.5 inline.sdv_InterlockedDecrement.29.myNondetVar_0)) (?v_2020 (= inline.IsListEmpty.7.myNondetVar_0.3 inline.IsListEmpty.7.myNondetVar_0)) (?v_2021 (= inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs)) (?v_2022 (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1.)) (?v_2023 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1)) (?v_2024 (= inline.SerialTryToCompleteCurrent.2..newIrp.14.428.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..newIrp.14.428.13.SerialTryToCompleteCurrent)) (?v_2025 (= inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1.)) (?v_2026 (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1.)) (?v_2027 (= inline.IsListEmpty.8.myNondetVar_0.3 inline.IsListEmpty.8.myNondetVar_0)) (?v_2028 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2029 (= inline.SerialGetNextIrpLocked.6.myVar_0.6 inline.SerialGetNextIrpLocked.6.myVar_0)) (?v_2030 (= inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2031 (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_2032 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_2033 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2034 (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp)) (?v_2035 (= Mem_0_T.P_IRP.69 Mem_0_T.P_IRP.46)) (?v_2036 (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4.)) (?v_2037 (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2038 (= inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs)) (?v_2039 (= inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp)) (?v_2040 (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_2041 (= inline.SerialGetNextIrp.6.myNondetVar_0.3 inline.SerialGetNextIrp.6.myNondetVar_0)) (?v_2042 (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2043 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2044 (= inline.sdv_InterlockedDecrement.30.myNondetVar_0.3 inline.sdv_InterlockedDecrement.30.myNondetVar_0)) (?v_2045 (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2.)) (?v_2046 (= inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent)) (?v_2047 (= inline.SerialGetNextWrite.3.tempBoogie0.8 inline.SerialGetNextWrite.3.tempBoogie0)) (?v_2048 (= inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1.)) (?v_2049 (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2050 (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_2051 (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_2052 (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..1 inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3.)) (?v_2053 (= Mem_1_T.Cancel__IRP.2 Mem_1_T.Cancel__IRP.1)) (?v_2054 (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1)) (?v_2055 (= inline.SerialRundownIrpRefs.2.myNondetVar_2.6 inline.SerialRundownIrpRefs.2.myNondetVar_2)) (?v_2056 (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList)) (?v_2057 (= inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent)) (?v_2058 (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_2059 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2060 (= inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1.)) (?v_2061 (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4.)) (?v_2062 (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2063 (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2064 (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_2065 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty)) (?v_2066 (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2067 (= inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2.)) (?v_2068 (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_2069 (= inline.RemoveHeadList.6.myNondetVar_0.5 inline.RemoveHeadList.6.myNondetVar_0)) (?v_2070 (= inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_2071 (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3.)) (?v_2072 (= inline.SerialRundownIrpRefs.2.myNondetVar_0.12 inline.SerialRundownIrpRefs.2.myNondetVar_0)) (?v_2073 (= inline.SerialGetNextWrite.3.myVar_0.16 inline.SerialGetNextWrite.3.myVar_0)) (?v_2074 (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution)) (?v_2075 (= k.159 k.124)) (?v_2076 (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer)) (?v_2077 (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2078 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2079 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1)) (?v_2080 (= inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2.)) (?v_2081 (= inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2082 (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.4 inline.sdv_InterlockedDecrement.25.myNondetVar_0)) (?v_2083 (= inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent)) (?v_2084 (= inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2085 (= inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent1)) (?v_2086 (= inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer)) (?v_2087 (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_2088 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2089 (= inline.SerialGetNextWrite.3.myNondetVar_1.7 inline.SerialGetNextWrite.3.myNondetVar_1)) (?v_2090 (= inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent1)) (?v_2091 (= inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_2092 (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_2093 (= inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_2094 (= inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1.)) (?v_2095 (= inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2096 (= inline.KeSynchronizeExecution.12.myNondetVar_0.8 inline.KeSynchronizeExecution.12.myNondetVar_0)) (?v_2097 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1)) (?v_2098 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1)) (?v_2099 (= inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1)) (?v_2100 (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_2101 (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_2102 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2103 (= inline.SerialGetNextIrp.7.myNondetVar_0.3 inline.SerialGetNextIrp.7.myNondetVar_0)) (?v_2104 (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer)) (?v_2105 (= inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..2 inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4.)) (?v_2106 (= inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2107 (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_2108 (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2109 (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite)) (?v_2110 (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2111 (= inline.SerialTryToCompleteCurrent.2.._refType.12.396.0.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2.._refType.12.396.0.SerialTryToCompleteCurrent)) (?v_2112 (= inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2113 (= inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1.)) (?v_2114 (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite)) (?v_2115 (= inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_2116 (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_2117 (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1)) (?v_2118 (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2119 (= inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2120 (= inline.SerialRundownIrpRefs.2.myNondetVar_1.6 inline.SerialRundownIrpRefs.2.myNondetVar_1)) (?v_2121 (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_2122 (= inline.SerialSetTimer.6.myNondetVar_0.9 inline.SerialSetTimer.6.myNondetVar_0)) (?v_2123 (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.6.havoc_stringTemp)) (?v_2124 (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent)) (?v_2125 (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2126 (= inline.SerialRundownIrpRefs.2.tempBoogie0.6 inline.SerialRundownIrpRefs.2.tempBoogie0)) (?v_2127 (= Mem_0_T.CancelRoutine__IRP.98 Mem_0_T.CancelRoutine__IRP.69)) (?v_2128 (= inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite)) (?v_2129 (= inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer)) (?v_2130 (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2131 (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.5 inline.sdv_InterlockedDecrement.27.myNondetVar_0)) (?v_2132 (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_2133 (= inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent)) (?v_2134 (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_2135 (= inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1)) (?v_2136 (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_2137 (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2138 (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite)) (?v_2139 (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1.)) (?v_2140 (= inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1.)) (?v_2141 (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1.)) (?v_2142 (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2143 (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList)) (?v_2144 (= inline.SerialTryToCompleteCurrent.2.myNondetVar_1.1 inline.SerialTryToCompleteCurrent.2.myNondetVar_1)) (?v_2145 (= inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1)) (?v_2146 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_2147 (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_2148 (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_950 (= k.124 0)) (?v_952 (int_2_U (CancelRoutine__IRP hirp)))) (let ((?v_1861 (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.69 ?v_952)) SerialCancelCurrentWrite)) (?v_951 (= k.124 1)) (?v_1862 (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.69 ?v_952)) SerialCancelCurrentWrite)) (?v_1001 (=> true (=> (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialTryToCompleteCurrent.2.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.3) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.6 inline.SerialTryToCompleteCurrent.2.myVar_0.5) (=> (= inline.RemoveHeadList.7.myNondetVar_0.5 inline.RemoveHeadList.7.myNondetVar_0.4) (=> (= inline.SerialCancelCurrentWrite.0.myNondetVar_0.1 inline.SerialCancelCurrentWrite.0.myNondetVar_0.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.3) (=> (= inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.1) (=> (= inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1..0) (=> (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..2) (=> (= inline.SerialCancelTimer.6.myNondetVar_0.3 inline.SerialCancelTimer.6.myNondetVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2) (=> (= irpCompleted_0.41 irpCompleted_0.40) (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_2.1 inline.SerialTryToCompleteCurrent.2.myNondetVar_2.0) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2) (=> (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.4) (=> (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.SerialGetNextWrite.3.havoc_stringTemp.2 inline.SerialGetNextWrite.3.havoc_stringTemp.1) (=> (= inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 0) (=> (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2) (=> (= irpCompleted_1.41 irpCompleted_1.40) (=> (= inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 0) (=> (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.3 inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2) (=> (= inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..0) (=> (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..1) (=> (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.4 inline.sdv_InterlockedDecrement.26.myNondetVar_0.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialRundownIrpRefs.2.myVar_0.15 inline.SerialRundownIrpRefs.2.myVar_0.14) (=> (= inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= Mem_1_T.P_IRP.69 Mem_1_T.P_IRP.68) (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 SerialGrabWriteFromIsr) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.10 inline.KeSynchronizeExecution.13.myNondetVar_0.9) (=> (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.0) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3) (=> (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..2) (=> (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..2) (=> (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialTryToCompleteCurrent.2.myVar_0.2) (=> (= inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 SerialGetNextWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSynchronizeExecution.14.myNondetVar_0.11 inline.KeSynchronizeExecution.14.myNondetVar_0.10) (=> (= alloc.96 alloc.95) (=> (= inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..2) (=> (= inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.1 inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.0) (=> (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.6 inline.SerialGetNextIrpLocked.7.myVar_0.5) (=> (= inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1) (=> (= cancelLockStatus_1.71 cancelLockStatus_1.70) (=> (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..3) (=> (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..2) (=> (= Mem_1_T.CancelRoutine__IRP.98 Mem_1_T.CancelRoutine__IRP.97) (=> (= inline.SerialGetNextWrite.3.myNondetVar_2.6 inline.SerialGetNextWrite.3.myNondetVar_2.5) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.3) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.SerialCancelTimer.7.myNondetVar_0.3 inline.SerialCancelTimer.7.myNondetVar_0.2) (=> (= cancelLockStatus_0.71 cancelLockStatus_0.70) (=> (= inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite.0 hdevobj) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.6 inline.sdv_InterlockedIncrement.7.myNondetVar_0.5) (=> (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.1) (=> (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..1 inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..0) (=> (= inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 SerialGrabWriteFromIsr) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.8 inline.SerialTryToCompleteCurrent.2.myNondetVar_0.7) (=> (= inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite1.0 hdevobj) (=> (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 0) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1) (=> (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.3) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.22 inline.SerialGetNextWrite.3.myNondetVar_0.21) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.7.havoc_stringTemp.2) (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.7 inline.sdv_InterlockedDecrement.28.myNondetVar_0.6) (=> (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3) (=> (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..2) (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5) (=> (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..2) (=> (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.1) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..2) (=> (= errorReached.70 errorReached.69) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..0) (=> (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..4 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..3) (=> (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent.0 2) (=> (= inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 0) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2) (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_2016 (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.5 inline.sdv_InterlockedDecrement.29.myNondetVar_0.4) (=> (= inline.IsListEmpty.7.myNondetVar_0.3 inline.IsListEmpty.7.myNondetVar_0.2) (=> (= inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.0) (=> (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..2) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.4) (=> (= inline.SerialTryToCompleteCurrent.2..newIrp.14.428.13.SerialTryToCompleteCurrent.0 call74315formal.new.0) (=> (= inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..1) (=> (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..2) (=> (= inline.IsListEmpty.8.myNondetVar_0.3 inline.IsListEmpty.8.myNondetVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.6 inline.SerialGetNextIrpLocked.6.myVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialTryToCompleteCurrent.2.myVar_0.2) (=> (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.1) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3) (=> (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= Mem_0_T.P_IRP.69 Mem_0_T.P_IRP.68) (=> (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextIrp.6.myNondetVar_0.3 inline.SerialGetNextIrp.6.myNondetVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.sdv_InterlockedDecrement.30.myNondetVar_0.3 inline.sdv_InterlockedDecrement.30.myNondetVar_0.2) (=> (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent.0 inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2) (=> (= inline.SerialGetNextWrite.3.tempBoogie0.8 inline.SerialGetNextWrite.3.tempBoogie0.7) (=> (= inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.1) (=> (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..1 inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..0) (=> ?v_2053 (=> (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.1) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_2.6 inline.SerialRundownIrpRefs.2.myNondetVar_2.5) (=> (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.RemoveHeadList.6.myNondetVar_0.5 inline.RemoveHeadList.6.myNondetVar_0.4) (=> (= inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..3) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_0.12 inline.SerialRundownIrpRefs.2.myNondetVar_0.11) (=> (= inline.SerialGetNextWrite.3.myVar_0.16 inline.SerialGetNextWrite.3.myVar_0.15) (=> (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.3) (=> (= k.159 k.158) (=> (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.4 inline.sdv_InterlockedDecrement.25.myNondetVar_0.3) (=> (= inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent1.0 2) (=> (= inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.7 inline.SerialGetNextWrite.3.myNondetVar_1.6) (=> (= inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent1.0 inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2) (=> (= inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialTryToCompleteCurrent.2.myVar_0.5) (=> (= inline.KeSynchronizeExecution.12.myNondetVar_0.8 inline.KeSynchronizeExecution.12.myNondetVar_0.7) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.3) (=> (= inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.4) (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.4) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3) (=> (= inline.SerialGetNextIrp.7.myNondetVar_0.3 inline.SerialGetNextIrp.7.myNondetVar_0.2) (=> (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..2 inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..1) (=> (= inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.3) (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialTryToCompleteCurrent.2.._refType.12.396.0.SerialTryToCompleteCurrent.0 2) (=> (= inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.3) (=> (= inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_1.6 inline.SerialRundownIrpRefs.2.myNondetVar_1.5) (=> (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.SerialSetTimer.6.myNondetVar_0.9 inline.SerialSetTimer.6.myNondetVar_0.8) (=> (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.6.havoc_stringTemp.2) (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.3) (=> (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.6 inline.SerialRundownIrpRefs.2.tempBoogie0.5) (=> (= Mem_0_T.CancelRoutine__IRP.98 Mem_0_T.CancelRoutine__IRP.97) (=> (= inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.1) (=> (= inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.5 inline.sdv_InterlockedDecrement.27.myNondetVar_0.4) (=> (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 SerialGetNextWrite) (=> (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.1) (=> (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..3) (=> (= inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..2) (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_1.1 inline.SerialTryToCompleteCurrent.2.myNondetVar_1.0) (=> (= inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.4) (=> (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) ?v_2149))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1726 (=> true (=> true (=> true (=> true (=> true (=> true ?v_1001))))))) (?v_1553 (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_1554 (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1555 (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_1556 (= inline.SerialGetNextIrp.7.myNondetVar_0.2 inline.SerialGetNextIrp.7.myNondetVar_0)) (?v_1557 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1558 (= inline.RemoveHeadList.7.myNondetVar_0.4 inline.RemoveHeadList.7.myNondetVar_0)) (?v_1559 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1560 (= inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1.)) (?v_1561 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer)) (?v_1562 (= inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite)) (?v_1563 (= inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1.)) (?v_1564 (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1.)) (?v_1565 (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_1566 (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1567 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1.)) (?v_1568 (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_1569 (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution)) (?v_1570 (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_1571 (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1.)) (?v_1572 (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_1573 (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_1574 (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_1575 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1)) (?v_1576 (= inline.IsListEmpty.8.myNondetVar_0.2 inline.IsListEmpty.8.myNondetVar_0)) (?v_1577 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1578 (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_1579 (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList)) (?v_1580 (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1581 (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2.)) (?v_1582 (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_1583 (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_1584 (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1585 (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_1586 (= inline.KeSynchronizeExecution.13.myNondetVar_0.9 inline.KeSynchronizeExecution.13.myNondetVar_0)) (?v_1587 (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite)) (?v_1588 (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_1589 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1590 (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3.)) (?v_1591 (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_1592 (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1593 (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3.)) (?v_1594 (= inline.KeSynchronizeExecution.14.myNondetVar_0.10 inline.KeSynchronizeExecution.14.myNondetVar_0)) (?v_1595 (= inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1.)) (?v_1596 (= inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1.)) (?v_1597 (= inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1.)) (?v_1598 (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp)) (?v_1599 (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_1600 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1601 (= inline.SerialGetNextIrpLocked.7.myVar_0.5 inline.SerialGetNextIrpLocked.7.myVar_0)) (?v_1602 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1603 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty)) (?v_1604 (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1.)) (?v_1605 (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_1606 (= inline.SerialGetNextWrite.3.myNondetVar_2.5 inline.SerialGetNextWrite.3.myNondetVar_2)) (?v_1607 (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1.)) (?v_1608 (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1609 (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1610 (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1611 (= inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite)) (?v_1612 (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_1613 (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_1614 (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_1615 (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.5 inline.sdv_InterlockedIncrement.7.myNondetVar_0)) (?v_1616 (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_1617 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_1618 (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1619 (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.7 inline.SerialTryToCompleteCurrent.2.myNondetVar_0.5)) (?v_1620 (= inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp)) (?v_1621 (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_1622 (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_1623 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer)) (?v_1624 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_1625 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1626 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_1627 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1628 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_1629 (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.7.havoc_stringTemp)) (?v_1630 (= inline.SerialGetNextWrite.3.havoc_stringTemp.1 inline.SerialGetNextWrite.3.havoc_stringTemp)) (?v_1631 (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.6 inline.sdv_InterlockedDecrement.28.myNondetVar_0)) (?v_1632 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_1633 (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2.)) (?v_1634 (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite)) (?v_1635 (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13.)) (?v_1636 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1637 (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite)) (?v_1638 (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1639 (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1640 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_1641 (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_1642 (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer)) (?v_1643 (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_1644 (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_1645 (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3.)) (?v_1646 (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_1647 (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1648 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_1649 (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2.)) (?v_1650 (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1.)) (?v_1651 (= inline.SerialGetNextWrite.3.myNondetVar_0.21 inline.SerialGetNextWrite.3.myNondetVar_0)) (?v_1652 (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.4 inline.sdv_InterlockedDecrement.29.myNondetVar_0)) (?v_1653 (= inline.IsListEmpty.7.myNondetVar_0.2 inline.IsListEmpty.7.myNondetVar_0)) (?v_1654 (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1.)) (?v_1655 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1)) (?v_1656 (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_1657 (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1.)) (?v_1658 (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_1659 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1660 (= inline.SerialGetNextIrpLocked.6.myVar_0.5 inline.SerialGetNextIrpLocked.6.myVar_0)) (?v_1661 (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_1662 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_1663 (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp)) (?v_1664 (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_1665 (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4.)) (?v_1666 (= inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp)) (?v_1667 (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_1668 (= inline.SerialGetNextIrp.6.myNondetVar_0.2 inline.SerialGetNextIrp.6.myNondetVar_0)) (?v_1669 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1)) (?v_1670 (= inline.SerialGetNextWrite.3.tempBoogie0.7 inline.SerialGetNextWrite.3.tempBoogie0)) (?v_1671 (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_1672 (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_1673 (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_1674 (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1)) (?v_1675 (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1676 (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_1677 (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_1678 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1679 (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4.)) (?v_1680 (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution)) (?v_1681 (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_1682 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty)) (?v_1683 (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1684 (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_1685 (= inline.RemoveHeadList.6.myNondetVar_0.4 inline.RemoveHeadList.6.myNondetVar_0)) (?v_1686 (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1687 (= inline.SerialGetNextWrite.3.myVar_0.15 inline.SerialGetNextWrite.3.myVar_0)) (?v_1688 (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_1689 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1690 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1)) (?v_1691 (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_1692 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1693 (= inline.SerialGetNextWrite.3.myNondetVar_1.6 inline.SerialGetNextWrite.3.myNondetVar_1)) (?v_1694 (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1695 (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_1696 (= inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1.)) (?v_1697 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1)) (?v_1698 (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_1699 (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_1700 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_1701 (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_1702 (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1703 (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_1704 (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite)) (?v_1705 (= inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1.)) (?v_1706 (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite)) (?v_1707 (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_1708 (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_1709 (= inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_1710 (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_1711 (= inline.SerialSetTimer.6.myNondetVar_0.8 inline.SerialSetTimer.6.myNondetVar_0)) (?v_1712 (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.6.havoc_stringTemp)) (?v_1713 (= inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite)) (?v_1714 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer)) (?v_1715 (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1716 (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2.)) (?v_1717 (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.4 inline.sdv_InterlockedDecrement.27.myNondetVar_0)) (?v_1718 (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1719 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1720 (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1.)) (?v_1721 (= inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1.)) (?v_1722 (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1.)) (?v_1723 (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList)) (?v_1724 (= inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite)) (?v_1725 (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1))) (let ((?v_1728 (=> true (=> ?v_1553 (=> (= inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..0) (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_1562 (=> ?v_1563 (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> (= irpCompleted_0.40 irpCompleted_0.32) (=> ?v_1568 (=> ?v_1569 (=> ?v_1570 (=> ?v_1571 (=> (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> (= Mem_1_T.P_IRP.68 Mem_1_T.P_IRP.48) (=> ?v_1581 (=> ?v_1582 (=> ?v_1583 (=> ?v_1584 (=> ?v_1585 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> (= alloc.95 alloc.84) (=> ?v_1595 (=> (= inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.0 call79339formal.new.0) (=> ?v_1596 (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> (= Mem_1_T.CancelRoutine__IRP.97 Mem_1_T.CancelRoutine__IRP.77) (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_1610 (=> ?v_1611 (=> ?v_1612 (=> (= cancelLockStatus_0.70 cancelLockStatus_0.59) (=> ?v_1613 (=> ?v_1614 (=> ?v_1615 (=> ?v_1616 (=> (= inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1..0 call79303formal.ret.0) (=> ?v_1617 (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> ?v_1621 (=> ?v_1622 (=> ?v_1623 (=> ?v_1624 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> ?v_1628 (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> ?v_1632 (=> ?v_1633 (=> ?v_1634 (=> ?v_1635 (=> ?v_1636 (=> ?v_1637 (=> ?v_1638 (=> ?v_1639 (=> (= errorReached.69 errorReached.54) (=> ?v_1640 (=> ?v_1641 (=> ?v_1642 (=> ?v_1643 (=> ?v_1644 (=> ?v_1645 (=> ?v_1646 (=> ?v_1647 (=> ?v_1648 (=> ?v_1649 (=> (= irpCompleted_1.40 irpCompleted_1.32) (=> ?v_1650 (=> ?v_1651 (=> ?v_1652 (=> ?v_1653 (=> ?v_1654 (=> ?v_1655 (=> ?v_1656 (=> ?v_1657 (=> ?v_1658 (=> ?v_1659 (=> ?v_1660 (=> ?v_1661 (=> ?v_1662 (=> ?v_1663 (=> (= Mem_0_T.P_IRP.68 Mem_0_T.P_IRP.48) (=> ?v_1664 (=> ?v_1665 (=> ?v_1666 (=> ?v_1667 (=> ?v_1668 (=> ?v_1669 (=> (= inline.sdv_InterlockedDecrement.30.myNondetVar_0.2 inline.sdv_InterlockedDecrement.30.myNondetVar_0.1) (=> ?v_1670 (=> ?v_1671 (=> ?v_1672 (=> ?v_1673 (=> ?v_1674 (=> ?v_1675 (=> ?v_1676 (=> ?v_1677 (=> ?v_1678 (=> ?v_1679 (=> ?v_1680 (=> ?v_1681 (=> ?v_1682 (=> ?v_1683 (=> (= inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..0) (=> ?v_1684 (=> ?v_1685 (=> ?v_1686 (=> ?v_1687 (=> (= cancelLockStatus_1.70 cancelLockStatus_1.59) (=> (= k.158 k.137) (=> ?v_1688 (=> ?v_1689 (=> ?v_1690 (=> (= inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.30.myNondetVar_0.1) (=> ?v_1691 (=> ?v_1692 (=> ?v_1693 (=> ?v_1694 (=> ?v_1695 (=> ?v_1696 (=> ?v_1697 (=> ?v_1698 (=> ?v_1699 (=> ?v_1700 (=> ?v_1701 (=> (= inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..1 inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..0) (=> ?v_1702 (=> ?v_1703 (=> ?v_1704 (=> (= inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.30.myNondetVar_0.1) (=> ?v_1705 (=> (= inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.30.myNondetVar_0.1) (=> ?v_1706 (=> ?v_1707 (=> ?v_1708 (=> ?v_1709 (=> (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) (=> ?v_1710 (=> ?v_1711 (=> ?v_1712 (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) (=> (= Mem_0_T.CancelRoutine__IRP.97 Mem_0_T.CancelRoutine__IRP.77) (=> ?v_1713 (=> ?v_1714 (=> ?v_1715 (=> ?v_1716 (=> ?v_1717 (=> ?v_1718 (=> ?v_1719 (=> ?v_1720 (=> ?v_1721 (=> ?v_1722 (=> ?v_1723 (=> ?v_1724 (=> ?v_1725 ?v_1726)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1727 (= inline.sdv_InterlockedDecrement.30.myNondetVar_0.1 0))) (let ((?v_1742 (and (=> true (=> (not ?v_1727) (=> true (=> (= inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2.) ?v_1728)))) (=> true (=> ?v_1727 (=> true (=> (= inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..0 call79542formal.ret.0) (=> true (=> true (=> true ?v_1728))))))))) (?v_1741 (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 hirp))) (let ((?v_1730 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.77 Mem_0_T.CancelRoutine__IRP.76) (=> (= Mem_1_T.CancelRoutine__IRP.77 Mem_1_T.CancelRoutine__IRP.76) (=> (= errorReached.54 errorReached.53) (=> (= irpCompleted_0.32 irpCompleted_0.31) (=> (= k.137 k.136) (=> (= irpCompleted_1.32 irpCompleted_1.31) (=> (= inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..0 call79372formal.ret.0) ?v_1742))))))))) (?v_1731 (= irpCompleted_1.31 irpCompleted_1.30))) (let ((?v_1732 (=> (= irpCompleted_0.31 irpCompleted_0.30) (=> true ?v_1730))) (?v_1729 (= k.136 1))) (let ((?v_1736 (not ?v_1729)) (?v_1552 (= k.136 0))) (let ((?v_1733 (not ?v_1552))) (let ((?v_1735 (and (=> true (=> ?v_1552 (=> true (=> ?v_1731 (=> (= irpCompleted_0.31 1) ?v_1730))))) (=> true (=> ?v_1733 (and (=> true (=> ?v_1729 (=> true (=> (= irpCompleted_1.31 1) ?v_1732)))) (=> true (=> ?v_1736 (=> true (=> ?v_1731 ?v_1732)))))))))) (let ((?v_1739 (=> true (=> true ?v_1735))) (?v_1737 (= Mem_0_T.CancelRoutine__IRP.76 Mem_0_T.CancelRoutine__IRP.74)) (?v_1738 (= Mem_1_T.CancelRoutine__IRP.76 Mem_1_T.CancelRoutine__IRP.74)) (?v_1734 (int_2_U (CancelRoutine__IRP inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2)))) (let ((?v_1740 (and (=> true (=> ?v_1552 (=> (= Mem_0_T.CancelRoutine__IRP.75 (MapType0Store Mem_0_T.CancelRoutine__IRP.74 ?v_1734 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.76 Mem_0_T.CancelRoutine__IRP.75) (=> ?v_1738 ?v_1735)))))) (=> true (=> ?v_1733 (and (=> true (=> ?v_1729 (=> (= Mem_1_T.CancelRoutine__IRP.75 (MapType0Store Mem_1_T.CancelRoutine__IRP.74 ?v_1734 ?v_38)) (=> true (=> ?v_1737 (=> (= Mem_1_T.CancelRoutine__IRP.76 Mem_1_T.CancelRoutine__IRP.75) ?v_1739)))))) (=> true (=> ?v_1736 (=> true (=> ?v_1737 (=> ?v_1738 ?v_1739)))))))))) (?v_1053 (= irpCompleted_0.30 0)) (?v_1054 (= irpCompleted_1.30 0))) (let ((?v_984 (not ?v_1053)) (?v_985 (not ?v_1054)) (?v_1551 (int_2_U call79339formal.new.0))) (let ((?v_1744 (=> true (and ?v_8 (=> ?v_8 (=> (> call79339formal.new.0 0) (=> (forall ((?x1577 Int)) (! (=> (and (<= call79339formal.new.0 ?x1577) (< ?x1577 (+ call79339formal.new.0 1))) (= (Base ?x1577) call79339formal.new.0)) :pattern ((Base ?x1577)) )) (=> (forall ((?x1578 boogieU)) (! (=> (= (type ?x1578) intType) (or (= (U_2_int ?x1578) call79339formal.new.0) (= (MapType0Select alloc.77 ?x1578) (MapType0Select alloc.84 ?x1578)))) :pattern ((MapType0Select alloc.84 ?x1578)) )) (=> (and (= (MapType0Select alloc.77 ?v_1551) UNALLOCATED) (= (MapType0Select alloc.84 ?v_1551) ALLOCATED)) (and (=> true (=> ?v_1741 (=> true (=> (<= k.135 k.136) (=> (< k.136 2) (and (=> true (=> (=> ?v_1552 ?v_984) (=> (=> ?v_1729 ?v_985) (=> true (=> (= errorReached.53 1) ?v_1740))))) (=> true (=> (=> ?v_1552 ?v_1053) (=> (=> ?v_1729 ?v_1054) (=> true (=> (= errorReached.53 errorReached.52) (=> true ?v_1740)))))))))))) (=> true (=> (not ?v_1741) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.77 Mem_0_T.CancelRoutine__IRP.74) (=> (= Mem_1_T.CancelRoutine__IRP.77 Mem_1_T.CancelRoutine__IRP.74) (=> (= errorReached.54 errorReached.52) (=> (= irpCompleted_0.32 irpCompleted_0.30) (=> (= k.137 k.135) (=> (= irpCompleted_1.32 irpCompleted_1.30) (=> (= inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1742)))))))))))))))))))))))))))))))))))) (?v_1746 (= cancelLockStatus_1.59 cancelLockStatus_1.53))) (let ((?v_1747 (=> (= cancelLockStatus_0.59 cancelLockStatus_0.53) (=> true (=> true (=> true (=> true ?v_1744)))))) (?v_1745 (= k.135 1)) (?v_1743 (= k.135 0))) (let ((?v_1749 (=> true (=> (<= k.128 k.135) (=> (< k.135 2) (and (=> true (=> ?v_1743 (=> true (=> ?v_1746 (=> (= cancelLockStatus_0.59 0) ?v_1744))))) (=> true (=> (not ?v_1743) (and (=> true (=> ?v_1745 (=> true (=> (= cancelLockStatus_1.59 0) ?v_1747)))) (=> true (=> (not ?v_1745) (=> true (=> ?v_1746 ?v_1747))))))))))))) (let ((?v_1753 (=> true (=> true (=> true (=> true ?v_1749))))) (?v_1751 (= Mem_0_T.P_IRP.48 Mem_0_T.P_IRP.46)) (?v_1752 (= Mem_1_T.P_IRP.48 Mem_1_T.P_IRP.46)) (?v_1750 (= k.128 1))) (let ((?v_1756 (not ?v_1750)) (?v_958 (int_2_U inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0))) (let ((?v_1748 (MapType0Store Mem_1_T.P_IRP.46 ?v_958 ?v_38)) (?v_1549 (= k.128 0))) (let ((?v_1754 (not ?v_1549)) (?v_1550 (MapType0Store Mem_0_T.P_IRP.46 ?v_958 ?v_38))) (let ((?v_1755 (and (=> true (=> ?v_1549 (=> (= Mem_0_T.P_IRP.47 ?v_1550) (=> true (=> (= Mem_0_T.P_IRP.48 Mem_0_T.P_IRP.47) (=> ?v_1752 ?v_1749)))))) (=> true (=> ?v_1754 (and (=> true (=> ?v_1750 (=> (= Mem_1_T.P_IRP.47 ?v_1748) (=> true (=> ?v_1751 (=> (= Mem_1_T.P_IRP.48 Mem_1_T.P_IRP.47) ?v_1753)))))) (=> true (=> ?v_1756 (=> true (=> ?v_1751 (=> ?v_1752 ?v_1753))))))))))) (let ((?v_1757 (=> true (=> true ?v_1755))) (?v_1115 (U_2_int (MapType0Select Mem_1_T.P_IRP.46 ?v_958))) (?v_957 (U_2_int (MapType0Select Mem_0_T.P_IRP.46 ?v_958))) (?v_989 (= inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1.)) (?v_990 (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_991 (= inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.0 inline.SerialTryToCompleteCurrent.2.havoc_stringTemp)) (?v_992 (= inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.40..result.userContextSwitch.3151.2.1.)) (?v_993 (= inline.sdv_InterlockedDecrement.30.myNondetVar_0.2 inline.sdv_InterlockedDecrement.30.myNondetVar_0)) (?v_994 (= inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2.)) (?v_995 (= inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_996 (= inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..1 inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4.)) (?v_997 (= inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_998 (= inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_999 (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_1000 (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent))) (let ((?v_1006 (=> true (=> (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> ?v_989 (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrp.7.myNondetVar_0.2 inline.SerialGetNextIrp.7.myNondetVar_0.1) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.RemoveHeadList.7.myNondetVar_0.4 inline.RemoveHeadList.7.myNondetVar_0.3) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..0 call75776formal.ret.0) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.2) (=> (= inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.0) (=> ?v_1563 (=> (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1) (=> (= irpCompleted_0.40 irpCompleted_0.39) (=> (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1) (=> ?v_990 (=> (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.IsListEmpty.8.myNondetVar_0.2 inline.IsListEmpty.8.myNondetVar_0.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= Mem_1_T.P_IRP.68 Mem_1_T.P_IRP.67) (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.9 inline.KeSynchronizeExecution.13.myNondetVar_0.8) (=> (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.0) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..1) (=> (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..2) (=> (= inline.KeSynchronizeExecution.14.myNondetVar_0.10 inline.KeSynchronizeExecution.14.myNondetVar_0.9) (=> (= alloc.95 alloc.94) (=> (= inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..1) (=> ?v_991 (=> (= inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..0) (=> (= inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..0) (=> (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.5 inline.SerialGetNextIrpLocked.7.myVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..2) (=> (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= Mem_1_T.CancelRoutine__IRP.97 Mem_1_T.CancelRoutine__IRP.96) (=> (= inline.SerialGetNextWrite.3.myNondetVar_2.5 inline.SerialGetNextWrite.3.myNondetVar_2.4) (=> (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..1) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.0) (=> (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= cancelLockStatus_0.70 cancelLockStatus_0.69) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.5 inline.sdv_InterlockedIncrement.7.myNondetVar_0.4) (=> (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> ?v_992 (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_1619 (=> (= inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..1) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.2) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1) (=> (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.7.havoc_stringTemp.1) (=> (= inline.SerialGetNextWrite.3.havoc_stringTemp.1 inline.SerialGetNextWrite.3.havoc_stringTemp.0) (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.6 inline.sdv_InterlockedDecrement.28.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..1) (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.4) (=> (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..1) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.0) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= errorReached.69 errorReached.68) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0) (=> (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.2) (=> (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..2) (=> (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1) (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..2) (=> (= irpCompleted_1.40 irpCompleted_1.39) (=> (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.21 inline.SerialGetNextWrite.3.myNondetVar_0.20) (=> (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.4 inline.sdv_InterlockedDecrement.29.myNondetVar_0.3) (=> (= inline.IsListEmpty.7.myNondetVar_0.2 inline.IsListEmpty.7.myNondetVar_0.1) (=> (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..1) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.3) (=> (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..1) (=> (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.5 inline.SerialGetNextIrpLocked.6.myVar_0.4) (=> (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.0) (=> (= Mem_0_T.P_IRP.68 Mem_0_T.P_IRP.67) (=> (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..2) (=> (= inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrp.6.myNondetVar_0.2 inline.SerialGetNextIrp.6.myNondetVar_0.1) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0) (=> ?v_993 (=> (= inline.SerialGetNextWrite.3.tempBoogie0.7 inline.SerialGetNextWrite.3.tempBoogie0.6) (=> (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..2) (=> (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_994 (=> (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> (= inline.RemoveHeadList.6.myNondetVar_0.4 inline.RemoveHeadList.6.myNondetVar_0.3) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextWrite.3.myVar_0.15 inline.SerialGetNextWrite.3.myVar_0.14) (=> (= cancelLockStatus_1.70 cancelLockStatus_1.69) (=> (= k.158 k.157) (=> (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.3) (=> ?v_995 (=> (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.6 inline.SerialGetNextWrite.3.myNondetVar_1.5) (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.2) (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.3) (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.3) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.0) (=> ?v_996 (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.2) (=> ?v_997 (=> (= inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..0) (=> ?v_998 (=> (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.2) (=> (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0) (=> ?v_999 (=> (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= inline.SerialSetTimer.6.myNondetVar_0.8 inline.SerialSetTimer.6.myNondetVar_0.7) (=> (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.6.havoc_stringTemp.1) (=> ?v_1000 (=> (= Mem_0_T.CancelRoutine__IRP.97 Mem_0_T.CancelRoutine__IRP.96) (=> (= inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.0) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.2) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..1) (=> (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.4 inline.sdv_InterlockedDecrement.27.myNondetVar_0.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..2) (=> (= inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..1) (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) ?v_1726)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1002 (= k.157 0)) (?v_954 (int_2_U call74315formal.new.0))) (let ((?v_1003 (= (U_2_int (MapType0Select Mem_0_T.P_IRP.67 ?v_954)) 0)) (?v_1004 (= k.157 1)) (?v_1005 (= (U_2_int (MapType0Select Mem_1_T.P_IRP.67 ?v_954)) 0))) (let ((?v_1307 (and (=> true (=> (=> ?v_1002 (not ?v_1003)) (=> (=> ?v_1004 (not ?v_1005)) (=> true (=> ?v_31 ?v_1006))))) (=> true (=> (=> ?v_1002 ?v_1003) (=> (=> ?v_1004 ?v_1005) ?v_1006))))) (?v_1376 (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_1377 (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1378 (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_1379 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1380 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1381 (= inline.RemoveHeadList.7.myNondetVar_0.3 inline.RemoveHeadList.7.myNondetVar_0)) (?v_1382 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer)) (?v_1383 (= inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite)) (?v_1384 (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1.)) (?v_1385 (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_1386 (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1387 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1.)) (?v_1388 (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_1389 (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution)) (?v_1390 (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_1391 (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1.)) (?v_1392 (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_1393 (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_1394 (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_1395 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1)) (?v_1396 (= inline.IsListEmpty.8.myNondetVar_0.1 inline.IsListEmpty.8.myNondetVar_0)) (?v_1397 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1398 (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_1399 (= inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite)) (?v_1400 (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1401 (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2.)) (?v_1402 (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_1403 (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_1404 (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1405 (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_1406 (= inline.KeSynchronizeExecution.13.myNondetVar_0.8 inline.KeSynchronizeExecution.13.myNondetVar_0)) (?v_1407 (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite)) (?v_1408 (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_1409 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1410 (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3.)) (?v_1411 (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_1412 (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1413 (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3.)) (?v_1414 (= inline.KeSynchronizeExecution.14.myNondetVar_0.9 inline.KeSynchronizeExecution.14.myNondetVar_0)) (?v_1415 (= inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1.)) (?v_1416 (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3.)) (?v_1417 (= inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1.)) (?v_1418 (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp)) (?v_1419 (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_1420 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1421 (= inline.SerialGetNextIrpLocked.7.myVar_0.4 inline.SerialGetNextIrpLocked.7.myVar_0)) (?v_1422 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1423 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty)) (?v_1424 (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2.)) (?v_1425 (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1426 (= inline.SerialGetNextWrite.3.myNondetVar_2.4 inline.SerialGetNextWrite.3.myNondetVar_2)) (?v_1427 (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1.)) (?v_1428 (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1429 (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1430 (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1431 (= inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite)) (?v_1432 (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_1433 (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_1434 (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_1435 (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.4 inline.sdv_InterlockedIncrement.7.myNondetVar_0)) (?v_1436 (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_1437 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_1438 (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1439 (= inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp)) (?v_1440 (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_1441 (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_1442 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer)) (?v_1443 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_1444 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1445 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_1446 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1447 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_1448 (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.7.havoc_stringTemp)) (?v_1449 (= inline.SerialGetNextWrite.3.havoc_stringTemp.0 inline.SerialGetNextWrite.3.havoc_stringTemp)) (?v_1450 (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.5 inline.sdv_InterlockedDecrement.28.myNondetVar_0)) (?v_1451 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_1452 (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2.)) (?v_1453 (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.4 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite)) (?v_1454 (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13.)) (?v_1455 (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_1456 (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite)) (?v_1457 (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1458 (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1459 (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_1460 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_1461 (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_1462 (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer)) (?v_1463 (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1464 (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_1465 (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_1466 (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_1467 (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1468 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_1469 (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2.)) (?v_1470 (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1.)) (?v_1471 (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_1472 (= inline.SerialGetNextWrite.3.myNondetVar_0.20 inline.SerialGetNextWrite.3.myNondetVar_0)) (?v_1473 (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.3 inline.sdv_InterlockedDecrement.29.myNondetVar_0)) (?v_1474 (= inline.IsListEmpty.7.myNondetVar_0.1 inline.IsListEmpty.7.myNondetVar_0)) (?v_1475 (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1.)) (?v_1476 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1)) (?v_1477 (= inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1.)) (?v_1478 (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1.)) (?v_1479 (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_1480 (= inline.SerialGetNextIrpLocked.6.myVar_0.4 inline.SerialGetNextIrpLocked.6.myVar_0)) (?v_1481 (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_1482 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_1483 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1484 (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp)) (?v_1485 (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4.)) (?v_1486 (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_1487 (= inline.SerialGetNextIrp.6.myNondetVar_0.1 inline.SerialGetNextIrp.6.myNondetVar_0)) (?v_1488 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1489 (= inline.SerialGetNextIrp.7.myNondetVar_0.1 inline.SerialGetNextIrp.7.myNondetVar_0)) (?v_1490 (= inline.SerialGetNextWrite.3.tempBoogie0.6 inline.SerialGetNextWrite.3.tempBoogie0)) (?v_1491 (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_1492 (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_1493 (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1)) (?v_1494 (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList)) (?v_1495 (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_1496 (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_1497 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1498 (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4.)) (?v_1499 (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution)) (?v_1500 (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_1501 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty)) (?v_1502 (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1503 (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1.)) (?v_1504 (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_1505 (= inline.RemoveHeadList.6.myNondetVar_0.3 inline.RemoveHeadList.6.myNondetVar_0)) (?v_1506 (= inline.SerialGetNextWrite.3.myVar_0.14 inline.SerialGetNextWrite.3.myVar_0)) (?v_1507 (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_1508 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1509 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1)) (?v_1510 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1)) (?v_1511 (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.0 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_1512 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1513 (= inline.SerialGetNextWrite.3.myNondetVar_1.5 inline.SerialGetNextWrite.3.myNondetVar_1)) (?v_1514 (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1515 (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_1516 (= inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1.)) (?v_1517 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1)) (?v_1518 (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_1519 (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_1520 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_1521 (= inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp)) (?v_1522 (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1523 (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_1524 (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite)) (?v_1525 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1526 (= inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1.)) (?v_1527 (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite)) (?v_1528 (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_1529 (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_1530 (= inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_1531 (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_1532 (= inline.SerialSetTimer.6.myNondetVar_0.7 inline.SerialSetTimer.6.myNondetVar_0)) (?v_1533 (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.6.havoc_stringTemp)) (?v_1534 (= inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite)) (?v_1535 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer)) (?v_1536 (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1537 (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.3 inline.sdv_InterlockedDecrement.27.myNondetVar_0)) (?v_1538 (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_1539 (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_1540 (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1.)) (?v_1541 (= inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1.)) (?v_1542 (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1.)) (?v_1543 (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList)) (?v_1544 (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1))) (let ((?v_1545 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> true ?v_1307)))) (let ((?v_1325 (=> true (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> (= inline.RemoveHeadList.7.myNondetVar_0.3 inline.RemoveHeadList.7.myNondetVar_0.2) (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.0 call74315formal.new.0) (=> ?v_1386 (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0) (=> ?v_1388 (=> (= irpCompleted_0.39 irpCompleted_0.35) (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 1) (=> ?v_1395 (=> (= inline.IsListEmpty.8.myNondetVar_0.1 inline.IsListEmpty.8.myNondetVar_0.0) (=> ?v_1397 (=> (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..0) (=> ?v_1399 (=> ?v_1400 (=> (= Mem_1_T.P_IRP.67 Mem_1_T.P_IRP.56) (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..1) (=> ?v_1402 (=> ?v_1403 (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> (= alloc.94 alloc.86) (=> ?v_1415 (=> ?v_1416 (=> (= inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0) (=> (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.0 call74315formal.new.0) (=> ?v_1419 (=> ?v_1420 (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.4 inline.SerialGetNextIrpLocked.7.myVar_0.3) (=> ?v_1422 (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_1424 (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> (= cancelLockStatus_0.69 cancelLockStatus_0.61) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..0) (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.7.havoc_stringTemp.0) (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..0) (=> ?v_1453 (=> ?v_1454 (=> (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= errorReached.68 errorReached.60) (=> ?v_1456 (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> ?v_1458 (=> (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_1460 (=> (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_1462 (=> ?v_1463 (=> (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 1) (=> ?v_1465 (=> (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> (= irpCompleted_1.39 irpCompleted_1.35) (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.3 inline.sdv_InterlockedDecrement.29.myNondetVar_0.2) (=> ?v_1474 (=> (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..0) (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> (= Mem_0_T.P_IRP.67 Mem_0_T.P_IRP.56) (=> (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..1) (=> ?v_1486 (=> ?v_1487 (=> ?v_1488 (=> (= inline.SerialGetNextIrp.7.myNondetVar_0.1 inline.SerialGetNextIrp.7.myNondetVar_0.0) (=> ?v_1490 (=> (= Mem_1_T.CancelRoutine__IRP.96 Mem_1_T.CancelRoutine__IRP.86) (=> (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.0 1) (=> ?v_1492 (=> ?v_1493 (=> (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.0) (=> (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call74315formal.new.0) (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_1501 (=> ?v_1502 (=> (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..1) (=> ?v_1504 (=> ?v_1505 (=> ?v_1506 (=> (= cancelLockStatus_1.69 cancelLockStatus_1.61) (=> (= k.157 k.144) (=> ?v_1507 (=> ?v_1508 (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> ?v_1520 (=> (= inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.0 call78371formal.new.0) (=> ?v_1522 (=> (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_1524 (=> ?v_1525 (=> (= inline.sdv_IoAcquireCancelSpinLock.25..result.userContextSwitch.1645.2.1..0 call78402formal.ret.0) (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_1532 (=> ?v_1533 (=> (= Mem_0_T.CancelRoutine__IRP.96 Mem_0_T.CancelRoutine__IRP.86) (=> ?v_1534 (=> ?v_1535 (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> ?v_1537 (=> ?v_1538 (=> (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call74315formal.new.0) (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 1) ?v_1545))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1326 (=> true (=> (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.2 inline.sdv_InterlockedDecrement.29.myNondetVar_0) (=> (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1.) (=> (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.7.havoc_stringTemp) (=> (= irpCompleted_1.35 irpCompleted_1.30) (=> (= Mem_0_T.CancelRoutine__IRP.86 Mem_0_T.CancelRoutine__IRP.82) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= irpCompleted_0.35 irpCompleted_0.30) (=> (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= alloc.86 alloc.78) (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2.) (=> (= errorReached.60 errorReached.57) (=> (= Mem_1_T.CancelRoutine__IRP.86 Mem_1_T.CancelRoutine__IRP.82) (=> (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= k.144 k.141) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1325))))))))))))))))))))))))) (?v_1324 (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2 0)) (?v_1309 (=> true (=> (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.2 inline.sdv_InterlockedDecrement.29.myNondetVar_0.1) (=> (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..0) (=> (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.0 call78714formal.new.0) (=> (= irpCompleted_1.35 irpCompleted_1.34) (=> (= Mem_0_T.CancelRoutine__IRP.86 Mem_0_T.CancelRoutine__IRP.85) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.29.myNondetVar_0.1) (=> (= irpCompleted_0.35 irpCompleted_0.34) (=> (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.29.myNondetVar_0.1) (=> (= alloc.86 alloc.85) (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..0) (=> (= errorReached.60 errorReached.59) (=> (= Mem_1_T.CancelRoutine__IRP.86 Mem_1_T.CancelRoutine__IRP.85) (=> (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..0) (=> (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.29.myNondetVar_0.1) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= k.144 k.143) ?v_1325))))))))))))))))))) (?v_1308 (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.1 0))) (let ((?v_1323 (and (=> true (=> (not ?v_1308) (=> true (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2.) ?v_1309)))) (=> true (=> ?v_1308 (=> true (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..0 call78917formal.ret.0) (=> true (=> true (=> true ?v_1309))))))))) (?v_1322 (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2 hirp))) (let ((?v_1311 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.85 Mem_0_T.CancelRoutine__IRP.84) (=> (= Mem_1_T.CancelRoutine__IRP.85 Mem_1_T.CancelRoutine__IRP.84) (=> (= irpCompleted_0.34 irpCompleted_0.33) (=> (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..0 call78747formal.ret.0) (=> (= k.143 k.142) (=> (= irpCompleted_1.34 irpCompleted_1.33) (=> (= errorReached.59 errorReached.58) ?v_1323))))))))) (?v_1312 (= irpCompleted_1.33 irpCompleted_1.30))) (let ((?v_1313 (=> (= irpCompleted_0.33 irpCompleted_0.30) (=> true ?v_1311))) (?v_1310 (= k.142 1))) (let ((?v_1317 (not ?v_1310)) (?v_1306 (= k.142 0))) (let ((?v_1314 (not ?v_1306))) (let ((?v_1316 (and (=> true (=> ?v_1306 (=> true (=> ?v_1312 (=> (= irpCompleted_0.33 1) ?v_1311))))) (=> true (=> ?v_1314 (and (=> true (=> ?v_1310 (=> true (=> (= irpCompleted_1.33 1) ?v_1313)))) (=> true (=> ?v_1317 (=> true (=> ?v_1312 ?v_1313)))))))))) (let ((?v_1320 (=> true (=> true ?v_1316))) (?v_1318 (= Mem_0_T.CancelRoutine__IRP.84 Mem_0_T.CancelRoutine__IRP.82)) (?v_1319 (= Mem_1_T.CancelRoutine__IRP.84 Mem_1_T.CancelRoutine__IRP.82)) (?v_1315 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2)))) (let ((?v_1321 (and (=> true (=> ?v_1306 (=> (= Mem_0_T.CancelRoutine__IRP.83 (MapType0Store Mem_0_T.CancelRoutine__IRP.82 ?v_1315 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.84 Mem_0_T.CancelRoutine__IRP.83) (=> ?v_1319 ?v_1316)))))) (=> true (=> ?v_1314 (and (=> true (=> ?v_1310 (=> (= Mem_1_T.CancelRoutine__IRP.83 (MapType0Store Mem_1_T.CancelRoutine__IRP.82 ?v_1315 ?v_38)) (=> true (=> ?v_1318 (=> (= Mem_1_T.CancelRoutine__IRP.84 Mem_1_T.CancelRoutine__IRP.83) ?v_1320)))))) (=> true (=> ?v_1317 (=> true (=> ?v_1318 (=> ?v_1319 ?v_1320)))))))))) (?v_1305 (int_2_U call78714formal.new.0))) (let ((?v_1327 (and (=> true (=> ?v_1304 (and (=> true (=> (not ?v_1324) (=> true (and ?v_8 (=> ?v_8 (=> (> call78714formal.new.0 0) (=> (forall ((?x1579 Int)) (! (=> (and (<= call78714formal.new.0 ?x1579) (< ?x1579 (+ call78714formal.new.0 1))) (= (Base ?x1579) call78714formal.new.0)) :pattern ((Base ?x1579)) )) (=> (forall ((?x1580 boogieU)) (! (=> (= (type ?x1580) intType) (or (= (U_2_int ?x1580) call78714formal.new.0) (= (MapType0Select alloc.78 ?x1580) (MapType0Select alloc.85 ?x1580)))) :pattern ((MapType0Select alloc.85 ?x1580)) )) (=> (and (= (MapType0Select alloc.78 ?v_1305) UNALLOCATED) (= (MapType0Select alloc.85 ?v_1305) ALLOCATED)) (and (=> true (=> ?v_1322 (=> true (=> (<= k.141 k.142) (=> (< k.142 2) (and (=> true (=> (=> ?v_1306 ?v_984) (=> (=> ?v_1310 ?v_985) (=> true (=> (= errorReached.58 1) ?v_1321))))) (=> true (=> (=> ?v_1306 ?v_1053) (=> (=> ?v_1310 ?v_1054) (=> true (=> (= errorReached.58 errorReached.57) (=> true ?v_1321)))))))))))) (=> true (=> (not ?v_1322) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.85 Mem_0_T.CancelRoutine__IRP.82) (=> (= Mem_1_T.CancelRoutine__IRP.85 Mem_1_T.CancelRoutine__IRP.82) (=> (= irpCompleted_0.34 irpCompleted_0.30) (=> (= inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.13..result.userContextSwitch.2077.4.1.) (=> (= k.143 k.141) (=> (= irpCompleted_1.34 irpCompleted_1.30) (=> (= errorReached.59 errorReached.57) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1323))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1324 ?v_1326))))) (=> true (=> ?v_406 ?v_1326)))) (?v_1329 (= cancelLockStatus_1.61 cancelLockStatus_1.60))) (let ((?v_1330 (=> (= cancelLockStatus_0.61 cancelLockStatus_0.60) (=> true (=> true (=> true (=> true (=> true ?v_1327))))))) (?v_1328 (= k.141 1))) (let ((?v_1333 (not ?v_1328)) (?v_1303 (= k.141 0))) (let ((?v_1331 (not ?v_1303))) (let ((?v_1332 (and (=> true (=> ?v_1303 (=> true (=> ?v_1329 (=> (= cancelLockStatus_0.61 0) ?v_1327))))) (=> true (=> ?v_1331 (and (=> true (=> ?v_1328 (=> true (=> (= cancelLockStatus_1.61 0) ?v_1330)))) (=> true (=> ?v_1333 (=> true (=> ?v_1329 ?v_1330)))))))))) (let ((?v_1336 (=> true (=> true (=> true (=> true (=> true (=> true ?v_1332))))))) (?v_1334 (= Mem_0_T.P_IRP.56 Mem_0_T.P_IRP.54)) (?v_1335 (= Mem_1_T.P_IRP.56 Mem_1_T.P_IRP.54))) (let ((?v_1347 (and (=> true (=> ?v_1303 (=> (= Mem_0_T.P_IRP.55 (MapType0Store Mem_0_T.P_IRP.54 ?v_954 (MapType0Select Mem_0_T.P_IRP.54 ?v_958))) (=> true (=> (= Mem_0_T.P_IRP.56 Mem_0_T.P_IRP.55) (=> ?v_1335 ?v_1332)))))) (=> true (=> ?v_1331 (and (=> true (=> ?v_1328 (=> (= Mem_1_T.P_IRP.55 (MapType0Store Mem_1_T.P_IRP.54 ?v_954 (MapType0Select Mem_1_T.P_IRP.54 ?v_958))) (=> true (=> ?v_1334 (=> (= Mem_1_T.P_IRP.56 Mem_1_T.P_IRP.55) ?v_1336)))))) (=> true (=> ?v_1333 (=> true (=> ?v_1334 (=> ?v_1335 ?v_1336))))))))))) (let ((?v_1348 (=> true (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.7.myVar_0.2) (=> (= Mem_0_T.P_IRP.54 Mem_0_T.P_IRP.52) (=> (= inline.RemoveHeadList.7.myNondetVar_0.2 inline.RemoveHeadList.7.myNondetVar_0.1) (=> (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.7.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.7.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.7.myNondetVar_0.0) (=> (= Mem_0_T.CancelRoutine__IRP.82 Mem_0_T.CancelRoutine__IRP.81) (=> (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.7.myNondetVar_0.0) (=> (= Mem_1_T.P_IRP.54 Mem_1_T.P_IRP.52) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= errorReached.57 errorReached.56) (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.3 inline.SerialGetNextIrpLocked.7.myVar_0.2) (=> (= Mem_1_T.CancelRoutine__IRP.82 Mem_1_T.CancelRoutine__IRP.81) (=> (= k.141 k.139) (=> (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.7.myNondetVar_0.0) (=> true ?v_1347))))))))))))))))))))) (let ((?v_1351 (=> true (=> true (=> true (=> true (=> true (=> true ?v_1348))))))) (?v_1349 (= Mem_0_T.CancelRoutine__IRP.81 Mem_0_T.CancelRoutine__IRP.74)) (?v_1350 (= Mem_1_T.CancelRoutine__IRP.81 Mem_1_T.CancelRoutine__IRP.74)) (?v_1345 (= k.139 1))) (let ((?v_1357 (not ?v_1345)) (?v_1346 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.7.myVar_0.2))) (?v_1343 (= k.139 0))) (let ((?v_1355 (not ?v_1343))) (let ((?v_1352 (and (=> true (=> ?v_1343 (=> (= Mem_0_T.CancelRoutine__IRP.80 (MapType0Store Mem_0_T.CancelRoutine__IRP.74 ?v_1346 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.81 Mem_0_T.CancelRoutine__IRP.80) (=> ?v_1350 ?v_1348)))))) (=> true (=> ?v_1355 (and (=> true (=> ?v_1345 (=> (= Mem_1_T.CancelRoutine__IRP.80 (MapType0Store Mem_1_T.CancelRoutine__IRP.74 ?v_1346 ?v_38)) (=> true (=> ?v_1349 (=> (= Mem_1_T.CancelRoutine__IRP.81 Mem_1_T.CancelRoutine__IRP.80) ?v_1351)))))) (=> true (=> ?v_1357 (=> true (=> ?v_1349 (=> ?v_1350 ?v_1351))))))))))) (let ((?v_1354 (=> true (=> (= errorReached.56 errorReached.52) (=> true ?v_1352)))) (?v_1353 (= inline.SerialGetNextIrpLocked.7.myVar_0.2 hirp))) (let ((?v_1356 (and (=> true (=> ?v_1353 (and (=> true (=> (=> ?v_1343 ?v_984) (=> (=> ?v_1345 ?v_985) (=> true (=> (= errorReached.56 1) ?v_1352))))) (=> true (=> (=> ?v_1343 ?v_1053) (=> (=> ?v_1345 ?v_1054) ?v_1354)))))) (=> true (=> (not ?v_1353) ?v_1354))))) (let ((?v_1358 (=> true (=> true ?v_1356)))) (let ((?v_1360 (and (=> true (=> ?v_1343 (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.74 ?v_1346))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_1356))))) (=> true (=> ?v_1355 (and (=> true (=> ?v_1345 (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.74 ?v_1346))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_1358))))) (=> true (=> ?v_1357 (=> true (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_1358)))))))))) (let ((?v_1361 (=> true (=> true (=> true (=> true (=> true ?v_1360)))))) (?v_1359 (U_2_int (MapType0Select Mem_1_T.P_IRP.52 ?v_958))) (?v_1344 (U_2_int (MapType0Select Mem_0_T.P_IRP.52 ?v_958)))) (let ((?v_1363 (=> true (=> (=> ?v_1343 (not (= ?v_1344 hirp))) (=> (=> ?v_1345 (not (= ?v_1359 hirp))) (and (=> true (=> ?v_1343 (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.1 ?v_1344) (=> true (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.2 inline.SerialGetNextIrpLocked.7.myVar_0.1) ?v_1360))))) (=> true (=> ?v_1355 (and (=> true (=> ?v_1345 (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.0 ?v_1359) (=> true (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.2 inline.SerialGetNextIrpLocked.7.myVar_0.0) ?v_1361))))) (=> true (=> ?v_1357 (=> true (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.2 inline.SerialGetNextIrpLocked.7.myVar_0) ?v_1361))))))))))))) (let ((?v_1366 (=> true ?v_1363)) (?v_1364 (= Mem_0_T.P_IRP.52 Mem_0_T.P_IRP.46)) (?v_1365 (= Mem_1_T.P_IRP.52 Mem_1_T.P_IRP.46)) (?v_1362 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.7.myNondetVar_0.0 1 88))) (?v_1342 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0 0)) (?v_1337 (=> true (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= Mem_0_T.P_IRP.54 Mem_0_T.P_IRP.50) (=> (= inline.RemoveHeadList.7.myNondetVar_0.2 inline.RemoveHeadList.7.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2.) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= Mem_0_T.CancelRoutine__IRP.82 Mem_0_T.CancelRoutine__IRP.74) (=> (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList) (=> (= Mem_1_T.P_IRP.54 Mem_1_T.P_IRP.50) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= errorReached.57 errorReached.52) (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.3 inline.SerialGetNextIrpLocked.7.myVar_0) (=> (= Mem_1_T.CancelRoutine__IRP.82 Mem_1_T.CancelRoutine__IRP.74) (=> (= k.141 k.138) (=> (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1.) ?v_1347)))))))))))))))))))) (let ((?v_1341 (=> true ?v_1337)) (?v_1339 (= Mem_0_T.P_IRP.50 Mem_0_T.P_IRP.46)) (?v_1340 (= Mem_1_T.P_IRP.50 Mem_1_T.P_IRP.46)) (?v_1338 (= k.138 1))) (let ((?v_1369 (not ?v_1338)) (?v_1302 (= k.138 0))) (let ((?v_1367 (not ?v_1302))) (let ((?v_1368 (=> true (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.8.myNondetVar_0.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0))) (and (=> true (=> (not ?v_1342) (and (=> true (=> ?v_1302 (=> (= Mem_0_T.P_IRP.49 ?v_1550) (=> true (=> (= Mem_0_T.P_IRP.50 Mem_0_T.P_IRP.49) (=> ?v_1340 ?v_1337)))))) (=> true (=> ?v_1367 (and (=> true (=> ?v_1338 (=> (= Mem_1_T.P_IRP.49 ?v_1748) (=> true (=> ?v_1339 (=> (= Mem_1_T.P_IRP.50 Mem_1_T.P_IRP.49) ?v_1341)))))) (=> true (=> ?v_1369 (=> true (=> ?v_1339 (=> ?v_1340 ?v_1341))))))))))) (=> true (=> ?v_1342 (=> true (=> (<= k.138 k.139) (=> (< k.139 2) (and (=> true (=> ?v_1343 (=> (= Mem_0_T.P_IRP.51 (MapType0Store Mem_0_T.P_IRP.46 ?v_958 ?v_1362)) (=> true (=> (= Mem_0_T.P_IRP.52 Mem_0_T.P_IRP.51) (=> ?v_1365 ?v_1363)))))) (=> true (=> ?v_1355 (and (=> true (=> ?v_1345 (=> (= Mem_1_T.P_IRP.51 (MapType0Store Mem_1_T.P_IRP.46 ?v_958 ?v_1362)) (=> true (=> ?v_1364 (=> (= Mem_1_T.P_IRP.52 Mem_1_T.P_IRP.51) ?v_1366)))))) (=> true (=> ?v_1357 (=> true (=> ?v_1364 (=> ?v_1365 ?v_1366))))))))))))))))))) (let ((?v_1370 (=> true (=> true (=> true (=> true ?v_1368)))))) (let ((?v_1372 (=> true (=> (<= k.130 k.138) (=> (< k.138 2) (and (=> true (=> ?v_1302 (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.1 ?v_957) (=> true (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_1368))))) (=> true (=> ?v_1367 (and (=> true (=> ?v_1338 (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.0 ?v_1115) (=> true (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_1370))))) (=> true (=> ?v_1369 (=> true (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_1370)))))))))))) (?v_1373 (= cancelLockStatus_1.60 cancelLockStatus_1.55))) (let ((?v_1374 (=> (= cancelLockStatus_0.60 cancelLockStatus_0.55) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1372)))))))))) (?v_1371 (= k.130 1)) (?v_1301 (= k.130 0)) (?v_977 (= cancelLockStatus_0.55 0)) (?v_1124 (= cancelLockStatus_1.55 0)) (?v_1300 (int_2_U call78371formal.new.0)) (?v_988 (int_2_U call77281formal.new.0))) (let ((?v_1029 (=> true (and ?v_8 (=> ?v_8 (=> (> call77281formal.new.0 0) (=> (forall ((?x1583 Int)) (! (=> (and (<= call77281formal.new.0 ?x1583) (< ?x1583 (+ call77281formal.new.0 1))) (= (Base ?x1583) call77281formal.new.0)) :pattern ((Base ?x1583)) )) (=> (forall ((?x1584 boogieU)) (! (=> (= (type ?x1584) intType) (or (= (U_2_int ?x1584) call77281formal.new.0) (= (MapType0Select alloc.92 ?x1584) (MapType0Select alloc.93 ?x1584)))) :pattern ((MapType0Select alloc.93 ?x1584)) )) (=> (and (= (MapType0Select alloc.92 ?v_988) UNALLOCATED) (= (MapType0Select alloc.93 ?v_988) ALLOCATED)) (=> true (=> (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call74315formal.new.0) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> ?v_1381 (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.1) (=> (= inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.0 call75858formal.new.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..0) (=> ?v_1385 (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> ?v_1387 (=> (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= irpCompleted_0.39 irpCompleted_0.38) (=> (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0) (=> (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> ?v_1393 (=> ?v_1394 (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_1396 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_1398 (=> (= inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.0 call75867formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.3.myVar_0.2) (=> (= Mem_1_T.P_IRP.67 Mem_1_T.P_IRP.66) (=> ?v_1401 (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_1404 (=> ?v_1405 (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.8 inline.KeSynchronizeExecution.13.myNondetVar_0.7) (=> (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.0 call74315formal.new.0) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..0) (=> (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.0 call74315formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..1) (=> (= inline.KeSynchronizeExecution.14.myNondetVar_0.9 inline.KeSynchronizeExecution.14.myNondetVar_0.8) (=> (= alloc.94 alloc.93) (=> (= inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..0) (=> (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..1) (=> ?v_1417 (=> ?v_1418 (=> (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_1421 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_1423 (=> (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..0) (=> ?v_1425 (=> (= inline.SerialGetNextWrite.3.myNondetVar_2.4 inline.SerialGetNextWrite.3.myNondetVar_2.3) (=> (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..0) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.0 call75864formal.new.0) (=> (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= cancelLockStatus_0.69 cancelLockStatus_0.68) (=> ?v_1433 (=> ?v_1434 (=> (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.4 inline.sdv_InterlockedIncrement.7.myNondetVar_0.3) (=> (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.0 call76286formal.new.0) (=> (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> ?v_1441 (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.1) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0) (=> ?v_1448 (=> (= inline.SerialGetNextWrite.3.havoc_stringTemp.0 call77281formal.new.0) (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.5 inline.sdv_InterlockedDecrement.28.myNondetVar_0.4) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> ?v_1452 (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.4 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.3) (=> (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..0) (=> ?v_1455 (=> (= errorReached.68 errorReached.67) (=> (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2) (=> ?v_1457 (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> ?v_1459 (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_1461 (=> (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_1464 (=> (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_1466 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0) (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..1) (=> (= irpCompleted_1.39 irpCompleted_1.38) (=> (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.20 inline.SerialGetNextWrite.3.myNondetVar_0.19) (=> ?v_1473 (=> (= inline.IsListEmpty.7.myNondetVar_0.1 inline.IsListEmpty.7.myNondetVar_0.0) (=> ?v_1475 (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.2) (=> (= inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0) (=> (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..0) (=> (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.4 inline.SerialGetNextIrpLocked.6.myVar_0.3) (=> ?v_1481 (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 1) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.0 call74315formal.new.0) (=> (= Mem_0_T.P_IRP.67 Mem_0_T.P_IRP.66) (=> ?v_1485 (=> (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrp.6.myNondetVar_0.1 inline.SerialGetNextIrp.6.myNondetVar_0.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_1489 (=> (= inline.SerialGetNextWrite.3.tempBoogie0.6 inline.SerialGetNextWrite.3.tempBoogie0.5) (=> (= Mem_1_T.CancelRoutine__IRP.96 Mem_1_T.CancelRoutine__IRP.95) (=> ?v_1491 (=> (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.0 call74315formal.new.0) (=> (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2) (=> ?v_1494 (=> ?v_1495 (=> (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..1) (=> (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.1) (=> ?v_1500 (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.3.myVar_0.2) (=> ?v_1503 (=> (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.RemoveHeadList.6.myNondetVar_0.3 inline.RemoveHeadList.6.myNondetVar_0.2) (=> (= inline.SerialGetNextWrite.3.myVar_0.14 inline.SerialGetNextWrite.3.myVar_0.13) (=> (= cancelLockStatus_1.69 cancelLockStatus_1.68) (=> (= k.157 k.156) (=> (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_1509 (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.2) (=> (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.5 inline.SerialGetNextWrite.3.myNondetVar_1.4) (=> ?v_1514 (=> (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.1) (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> ?v_1519 (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> ?v_1521 (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> ?v_1523 (=> (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_1526 (=> (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call74315formal.new.0) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 1) (=> ?v_1531 (=> (= inline.SerialSetTimer.6.myNondetVar_0.7 inline.SerialSetTimer.6.myNondetVar_0.6) (=> (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.6.havoc_stringTemp.0) (=> (= Mem_0_T.CancelRoutine__IRP.96 Mem_0_T.CancelRoutine__IRP.95) (=> (= inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.0 call75861formal.new.0) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.1) (=> ?v_1536 (=> (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.3 inline.sdv_InterlockedDecrement.27.myNondetVar_0.2) (=> (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> ?v_1539 (=> (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..1) (=> (= inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..0) (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.0) (=> ?v_1544 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) ?v_1307)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1028 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1))) (let ((?v_1031 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.0) (=> (= cancelLockStatus_0.68 cancelLockStatus_0.67) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.) (=> (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..0 call77300formal.ret.0) (=> ?v_1028 (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialProcessEmptyTransmit) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= cancelLockStatus_1.68 cancelLockStatus_1.67) (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.7 inline.KeSynchronizeExecution.13.myNondetVar_0.6) (=> (= inline.SerialGetNextWrite.3.myVar_0.13 inline.SerialGetNextWrite.3.myVar_0.9) (=> (= inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..0 call77427formal.ret.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialProcessEmptyTransmit) (=> (= k.156 k.155) (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.19 inline.SerialGetNextWrite.3.myNondetVar_0.18) ?v_1029))))))))))))))))))) (?v_1033 (= cancelLockStatus_1.67 cancelLockStatus_1.66))) (let ((?v_1034 (=> (= cancelLockStatus_0.67 cancelLockStatus_0.66) (=> true (=> true (=> true (=> true ?v_1031)))))) (?v_1032 (= k.155 1)) (?v_1030 (= k.155 0))) (let ((?v_1035 (=> true (=> (<= k.154 k.155) (=> (< k.155 2) (and (=> true (=> ?v_1030 (=> true (=> ?v_1033 (=> (= cancelLockStatus_0.67 0) ?v_1031))))) (=> true (=> (not ?v_1030) (and (=> true (=> ?v_1032 (=> true (=> (= cancelLockStatus_1.67 0) ?v_1034)))) (=> true (=> (not ?v_1032) (=> true (=> ?v_1033 ?v_1034))))))))))))) (let ((?v_1037 (and (=> true (=> ?v_1027 (=> true (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.6 inline.KeSynchronizeExecution.13.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.13..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.13..result.SynchronizeRoutine.4679.26.2.) ?v_1035)))))) (=> true (=> ?v_119 (=> true (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.6 inline.KeSynchronizeExecution.13.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..0 0) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1035)))))))))))))) (?v_1038 (= cancelLockStatus_1.66 cancelLockStatus_1.65))) (let ((?v_1039 (=> (= cancelLockStatus_0.66 cancelLockStatus_0.65) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1037))))))))))) (?v_1036 (= k.154 1)) (?v_1026 (= k.154 0)) (?v_1025 (= cancelLockStatus_0.65 0)) (?v_1062 (= cancelLockStatus_1.65 0)) (?v_1021 (= k.152 0)) (?v_987 (U_2_int (MapType0Select Mem_0_T.P_IRP.66 ?v_954)))) (let ((?v_1022 (= ?v_987 0)) (?v_1023 (= k.152 1)) (?v_1017 (U_2_int (MapType0Select Mem_1_T.P_IRP.66 ?v_954)))) (let ((?v_1024 (= ?v_1017 0)) (?v_1008 (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_1009 (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution)) (?v_1010 (= cancelLockStatus_0.68 cancelLockStatus_0.65)) (?v_1011 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_1012 (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1.)) (?v_1013 (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.3.myVar_0.12) (=> (= cancelLockStatus_1.68 cancelLockStatus_1.65) (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.7 inline.KeSynchronizeExecution.13.myNondetVar_0) (=> (= inline.SerialGetNextWrite.3.myVar_0.13 inline.SerialGetNextWrite.3.myVar_0.12) (=> (= inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.37..result.userContextSwitch.3151.2.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.3.myVar_0.12) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= k.156 k.153) (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.19 inline.SerialGetNextWrite.3.myNondetVar_0.16) ?v_1029)))))))))))) (?v_1007 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 9))) (let ((?v_1015 (and (=> true (=> ?v_1007 (=> true (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.2 1) ?v_1013))))))))) (=> true (=> (not ?v_1007) (=> true (=> ?v_1008 (=> ?v_1009 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1028 ?v_1013))))))))))) (?v_1014 (= inline.SerialGetNextWrite.3.myVar_0.12 hirp))) (let ((?v_1018 (and (=> true (=> ?v_1014 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1015)))) (=> true (=> (not ?v_1014) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1015))))))))))) (let ((?v_1020 (=> true (=> true (=> true (=> true ?v_1018))))) (?v_1019 (= k.153 1)) (?v_1016 (= k.153 0))) (let ((?v_1059 (and (=> true (=> (=> ?v_1021 (not ?v_1022)) (=> (=> ?v_1023 (not ?v_1024)) (=> true (=> (<= k.152 k.153) (=> (< k.153 2) (and (=> true (=> ?v_1016 (=> (= inline.SerialGetNextWrite.3.myVar_0.10 ?v_987) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.12 inline.SerialGetNextWrite.3.myVar_0.10) ?v_1018))))) (=> true (=> (not ?v_1016) (and (=> true (=> ?v_1019 (=> (= inline.SerialGetNextWrite.3.myVar_0.11 ?v_1017) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.12 inline.SerialGetNextWrite.3.myVar_0.11) ?v_1020))))) (=> true (=> (not ?v_1019) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.12 inline.SerialGetNextWrite.3.myVar_0.9) ?v_1020)))))))))))))) (=> true (=> (=> ?v_1021 ?v_1022) (=> (=> ?v_1023 ?v_1024) (=> true (=> (<= k.152 k.154) (=> (< k.154 2) (=> true (=> (=> ?v_1026 ?v_1025) (=> (=> ?v_1036 ?v_1062) (and (=> true (=> ?v_1026 (=> true (=> ?v_1038 (=> (= cancelLockStatus_0.66 1) ?v_1037))))) (=> true (=> (not ?v_1026) (and (=> true (=> ?v_1036 (=> true (=> (= cancelLockStatus_1.66 1) ?v_1039)))) (=> true (=> (not ?v_1036) (=> true (=> ?v_1038 ?v_1039)))))))))))))))))))) (let ((?v_1061 (=> true (=> (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= irpCompleted_1.38 irpCompleted_1.30) (=> (= alloc.92 alloc.90) (=> (= irpCompleted_0.38 irpCompleted_0.30) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= Mem_0_T.CancelRoutine__IRP.95 Mem_0_T.CancelRoutine__IRP.91) (=> (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.6.havoc_stringTemp) (=> (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.2 inline.sdv_InterlockedDecrement.27.myNondetVar_0) (=> (= errorReached.67 errorReached.64) (=> (= Mem_1_T.CancelRoutine__IRP.95 Mem_1_T.CancelRoutine__IRP.91) (=> (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2.) (=> (= k.152 k.149) (=> (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1059)))))))))))))))))))))))))) (?v_1060 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1 0)) (?v_1058 (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2 0)) (?v_1041 (=> true (=> (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.27.myNondetVar_0.1) (=> (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.27.myNondetVar_0.1) (=> (= irpCompleted_1.38 irpCompleted_1.37) (=> (= alloc.92 alloc.91) (=> (= irpCompleted_0.38 irpCompleted_0.37) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= Mem_0_T.CancelRoutine__IRP.95 Mem_0_T.CancelRoutine__IRP.94) (=> (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.0 call76627formal.new.0) (=> (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..0) (=> (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.2 inline.sdv_InterlockedDecrement.27.myNondetVar_0.1) (=> (= errorReached.67 errorReached.66) (=> (= Mem_1_T.CancelRoutine__IRP.95 Mem_1_T.CancelRoutine__IRP.94) (=> (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.27.myNondetVar_0.1) (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..0) (=> (= k.152 k.151) (=> (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..0) ?v_1059))))))))))))))))))) (?v_1040 (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.1 0))) (let ((?v_1057 (and (=> true (=> (not ?v_1040) (=> true (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2.) ?v_1041)))) (=> true (=> ?v_1040 (=> true (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..0 call76830formal.ret.0) (=> true (=> true (=> true ?v_1041))))))))) (?v_1056 (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2 hirp))) (let ((?v_1043 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.94 Mem_0_T.CancelRoutine__IRP.93) (=> (= Mem_1_T.CancelRoutine__IRP.94 Mem_1_T.CancelRoutine__IRP.93) (=> (= errorReached.66 errorReached.65) (=> (= irpCompleted_0.37 irpCompleted_0.36) (=> (= k.151 k.150) (=> (= irpCompleted_1.37 irpCompleted_1.36) (=> (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..0 call76660formal.ret.0) ?v_1057))))))))) (?v_1044 (= irpCompleted_1.36 irpCompleted_1.30))) (let ((?v_1045 (=> (= irpCompleted_0.36 irpCompleted_0.30) (=> true ?v_1043))) (?v_1042 (= k.150 1))) (let ((?v_1049 (not ?v_1042)) (?v_986 (= k.150 0))) (let ((?v_1046 (not ?v_986))) (let ((?v_1048 (and (=> true (=> ?v_986 (=> true (=> ?v_1044 (=> (= irpCompleted_0.36 1) ?v_1043))))) (=> true (=> ?v_1046 (and (=> true (=> ?v_1042 (=> true (=> (= irpCompleted_1.36 1) ?v_1045)))) (=> true (=> ?v_1049 (=> true (=> ?v_1044 ?v_1045)))))))))) (let ((?v_1052 (=> true (=> true ?v_1048))) (?v_1050 (= Mem_0_T.CancelRoutine__IRP.93 Mem_0_T.CancelRoutine__IRP.91)) (?v_1051 (= Mem_1_T.CancelRoutine__IRP.93 Mem_1_T.CancelRoutine__IRP.91)) (?v_1047 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2)))) (let ((?v_1055 (and (=> true (=> ?v_986 (=> (= Mem_0_T.CancelRoutine__IRP.92 (MapType0Store Mem_0_T.CancelRoutine__IRP.91 ?v_1047 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.93 Mem_0_T.CancelRoutine__IRP.92) (=> ?v_1051 ?v_1048)))))) (=> true (=> ?v_1046 (and (=> true (=> ?v_1042 (=> (= Mem_1_T.CancelRoutine__IRP.92 (MapType0Store Mem_1_T.CancelRoutine__IRP.91 ?v_1047 ?v_38)) (=> true (=> ?v_1050 (=> (= Mem_1_T.CancelRoutine__IRP.93 Mem_1_T.CancelRoutine__IRP.92) ?v_1052)))))) (=> true (=> ?v_1049 (=> true (=> ?v_1050 (=> ?v_1051 ?v_1052)))))))))) (?v_983 (int_2_U call76627formal.new.0))) (let ((?v_1063 (and (=> true (=> (not ?v_1060) (and (=> true (=> (not ?v_1058) (=> true (and ?v_8 (=> ?v_8 (=> (> call76627formal.new.0 0) (=> (forall ((?x1585 Int)) (! (=> (and (<= call76627formal.new.0 ?x1585) (< ?x1585 (+ call76627formal.new.0 1))) (= (Base ?x1585) call76627formal.new.0)) :pattern ((Base ?x1585)) )) (=> (forall ((?x1586 boogieU)) (! (=> (= (type ?x1586) intType) (or (= (U_2_int ?x1586) call76627formal.new.0) (= (MapType0Select alloc.90 ?x1586) (MapType0Select alloc.91 ?x1586)))) :pattern ((MapType0Select alloc.91 ?x1586)) )) (=> (and (= (MapType0Select alloc.90 ?v_983) UNALLOCATED) (= (MapType0Select alloc.91 ?v_983) ALLOCATED)) (and (=> true (=> ?v_1056 (=> true (=> (<= k.149 k.150) (=> (< k.150 2) (and (=> true (=> (=> ?v_986 ?v_984) (=> (=> ?v_1042 ?v_985) (=> true (=> (= errorReached.65 1) ?v_1055))))) (=> true (=> (=> ?v_986 ?v_1053) (=> (=> ?v_1042 ?v_1054) (=> true (=> (= errorReached.65 errorReached.64) (=> true ?v_1055)))))))))))) (=> true (=> (not ?v_1056) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.94 Mem_0_T.CancelRoutine__IRP.91) (=> (= Mem_1_T.CancelRoutine__IRP.94 Mem_1_T.CancelRoutine__IRP.91) (=> (= errorReached.66 errorReached.64) (=> (= irpCompleted_0.37 irpCompleted_0.30) (=> (= k.151 k.149) (=> (= irpCompleted_1.37 irpCompleted_1.30) (=> (= inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.12..result.userContextSwitch.2077.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1057))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1058 ?v_1061))))) (=> true (=> ?v_1060 ?v_1061)))) (?v_1065 (= cancelLockStatus_1.65 cancelLockStatus_1.64))) (let ((?v_1066 (=> (= cancelLockStatus_0.65 cancelLockStatus_0.64) (=> true (=> true (=> true (=> true (=> true ?v_1063))))))) (?v_1064 (= k.149 1))) (let ((?v_1069 (not ?v_1064)) (?v_982 (= k.149 0))) (let ((?v_1067 (not ?v_982))) (let ((?v_1068 (and (=> true (=> ?v_982 (=> true (=> ?v_1065 (=> ?v_1025 ?v_1063))))) (=> true (=> ?v_1067 (and (=> true (=> ?v_1064 (=> true (=> ?v_1062 ?v_1066)))) (=> true (=> ?v_1069 (=> true (=> ?v_1065 ?v_1066)))))))))) (let ((?v_1072 (=> true (=> true (=> true (=> true (=> true (=> true ?v_1068))))))) (?v_1070 (= Mem_0_T.P_IRP.66 Mem_0_T.P_IRP.64)) (?v_1071 (= Mem_1_T.P_IRP.66 Mem_1_T.P_IRP.64))) (let ((?v_1083 (and (=> true (=> ?v_982 (=> (= Mem_0_T.P_IRP.65 (MapType0Store Mem_0_T.P_IRP.64 ?v_954 (MapType0Select Mem_0_T.P_IRP.64 ?v_958))) (=> true (=> (= Mem_0_T.P_IRP.66 Mem_0_T.P_IRP.65) (=> ?v_1071 ?v_1068)))))) (=> true (=> ?v_1067 (and (=> true (=> ?v_1064 (=> (= Mem_1_T.P_IRP.65 (MapType0Store Mem_1_T.P_IRP.64 ?v_954 (MapType0Select Mem_1_T.P_IRP.64 ?v_958))) (=> true (=> ?v_1070 (=> (= Mem_1_T.P_IRP.66 Mem_1_T.P_IRP.65) ?v_1072)))))) (=> true (=> ?v_1069 (=> true (=> ?v_1070 (=> ?v_1071 ?v_1072))))))))))) (let ((?v_1084 (=> true (=> (<= k.146 k.148) (=> (< k.148 2) (=> true (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.6.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.6.myNondetVar_0.0) (=> (= Mem_0_T.P_IRP.64 Mem_0_T.P_IRP.63) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= errorReached.64 errorReached.63) (=> (= Mem_0_T.CancelRoutine__IRP.91 Mem_0_T.CancelRoutine__IRP.90) (=> (= inline.RemoveHeadList.6.myNondetVar_0.2 inline.RemoveHeadList.6.myNondetVar_0.1) (=> (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.6.myNondetVar_0.0) (=> (= Mem_1_T.P_IRP.64 Mem_1_T.P_IRP.63) (=> (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..0 call77129formal.ret.0) (=> (= Mem_1_T.CancelRoutine__IRP.91 Mem_1_T.CancelRoutine__IRP.90) (=> (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.6.myNondetVar_0.0) (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.3 inline.SerialGetNextIrpLocked.6.myVar_0.2) (=> (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.6.myNondetVar_0.0) (=> (= k.149 k.148) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.6.myVar_0.2) (=> true ?v_1083))))))))))))))))))))))))) (let ((?v_1087 (=> true ?v_1084)) (?v_1085 (= Mem_0_T.CancelRoutine__IRP.90 Mem_0_T.CancelRoutine__IRP.88)) (?v_1086 (= Mem_1_T.CancelRoutine__IRP.90 Mem_1_T.CancelRoutine__IRP.88)) (?v_1080 (= k.146 1))) (let ((?v_1093 (not ?v_1080)) (?v_1082 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.6.myVar_0.2))) (?v_981 (= k.146 0))) (let ((?v_1091 (not ?v_981))) (let ((?v_1088 (and (=> true (=> ?v_981 (=> (= Mem_0_T.CancelRoutine__IRP.89 (MapType0Store Mem_0_T.CancelRoutine__IRP.88 ?v_1082 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.90 Mem_0_T.CancelRoutine__IRP.89) (=> ?v_1086 ?v_1084)))))) (=> true (=> ?v_1091 (and (=> true (=> ?v_1080 (=> (= Mem_1_T.CancelRoutine__IRP.89 (MapType0Store Mem_1_T.CancelRoutine__IRP.88 ?v_1082 ?v_38)) (=> true (=> ?v_1085 (=> (= Mem_1_T.CancelRoutine__IRP.90 Mem_1_T.CancelRoutine__IRP.89) ?v_1087)))))) (=> true (=> ?v_1093 (=> true (=> ?v_1085 (=> ?v_1086 ?v_1087))))))))))) (let ((?v_1090 (=> true (=> (= errorReached.63 errorReached.62) (=> true ?v_1088)))) (?v_1089 (= inline.SerialGetNextIrpLocked.6.myVar_0.2 hirp))) (let ((?v_1092 (and (=> true (=> ?v_1089 (and (=> true (=> (=> ?v_981 ?v_984) (=> (=> ?v_1080 ?v_985) (=> true (=> (= errorReached.63 1) ?v_1088))))) (=> true (=> (=> ?v_981 ?v_1053) (=> (=> ?v_1080 ?v_1054) ?v_1090)))))) (=> true (=> (not ?v_1089) ?v_1090))))) (let ((?v_1094 (=> true (=> true ?v_1092)))) (let ((?v_1096 (and (=> true (=> ?v_981 (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.88 ?v_1082))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_1092))))) (=> true (=> ?v_1091 (and (=> true (=> ?v_1080 (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.88 ?v_1082))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_1094))))) (=> true (=> ?v_1093 (=> true (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_1094)))))))))) (let ((?v_1097 (=> true (=> true (=> true (=> true (=> true ?v_1096)))))) (?v_1095 (U_2_int (MapType0Select Mem_1_T.P_IRP.63 ?v_958))) (?v_1081 (U_2_int (MapType0Select Mem_0_T.P_IRP.63 ?v_958)))) (let ((?v_1099 (=> true (=> (=> ?v_981 (not (= ?v_1081 hirp))) (=> (=> ?v_1080 (not (= ?v_1095 hirp))) (and (=> true (=> ?v_981 (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.0 ?v_1081) (=> true (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.2 inline.SerialGetNextIrpLocked.6.myVar_0.0) ?v_1096))))) (=> true (=> ?v_1091 (and (=> true (=> ?v_1080 (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.1 ?v_1095) (=> true (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.2 inline.SerialGetNextIrpLocked.6.myVar_0.1) ?v_1097))))) (=> true (=> ?v_1093 (=> true (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.2 inline.SerialGetNextIrpLocked.6.myVar_0) ?v_1097))))))))))))) (let ((?v_1102 (=> true ?v_1099)) (?v_1100 (= Mem_0_T.P_IRP.63 Mem_0_T.P_IRP.59)) (?v_1101 (= Mem_1_T.P_IRP.63 Mem_1_T.P_IRP.59)) (?v_1098 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.6.myNondetVar_0.0 1 88))) (?v_1079 (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0 0)) (?v_1074 (=> true (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= Mem_0_T.P_IRP.64 Mem_0_T.P_IRP.61) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= errorReached.64 errorReached.62) (=> (= Mem_0_T.CancelRoutine__IRP.91 Mem_0_T.CancelRoutine__IRP.88) (=> (= inline.RemoveHeadList.6.myNondetVar_0.2 inline.RemoveHeadList.6.myNondetVar_0) (=> (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList) (=> (= Mem_1_T.P_IRP.64 Mem_1_T.P_IRP.61) (=> (= inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.15..result.userContextSwitch.3313.2.3.) (=> (= Mem_1_T.CancelRoutine__IRP.91 Mem_1_T.CancelRoutine__IRP.88) (=> (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1.) (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.3 inline.SerialGetNextIrpLocked.6.myVar_0) (=> (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2.) (=> (= k.149 k.147) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine) ?v_1083))))))))))))))))))))) (let ((?v_1078 (=> true ?v_1074)) (?v_1076 (= Mem_0_T.P_IRP.61 Mem_0_T.P_IRP.59)) (?v_1077 (= Mem_1_T.P_IRP.61 Mem_1_T.P_IRP.59)) (?v_1075 (= k.147 1)) (?v_1073 (= k.147 0))) (let ((?v_1103 (=> true (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.7.myNondetVar_0.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0))) (and (=> true (=> (not ?v_1079) (=> true (=> (<= k.146 k.147) (=> (< k.147 2) (and (=> true (=> ?v_1073 (=> (= Mem_0_T.P_IRP.60 (MapType0Store Mem_0_T.P_IRP.59 ?v_958 ?v_38)) (=> true (=> (= Mem_0_T.P_IRP.61 Mem_0_T.P_IRP.60) (=> ?v_1077 ?v_1074)))))) (=> true (=> (not ?v_1073) (and (=> true (=> ?v_1075 (=> (= Mem_1_T.P_IRP.60 (MapType0Store Mem_1_T.P_IRP.59 ?v_958 ?v_38)) (=> true (=> ?v_1076 (=> (= Mem_1_T.P_IRP.61 Mem_1_T.P_IRP.60) ?v_1078)))))) (=> true (=> (not ?v_1075) (=> true (=> ?v_1076 (=> ?v_1077 ?v_1078)))))))))))))) (=> true (=> ?v_1079 (and (=> true (=> ?v_981 (=> (= Mem_0_T.P_IRP.62 (MapType0Store Mem_0_T.P_IRP.59 ?v_958 ?v_1098)) (=> true (=> (= Mem_0_T.P_IRP.63 Mem_0_T.P_IRP.62) (=> ?v_1101 ?v_1099)))))) (=> true (=> ?v_1091 (and (=> true (=> ?v_1080 (=> (= Mem_1_T.P_IRP.62 (MapType0Store Mem_1_T.P_IRP.59 ?v_958 ?v_1098)) (=> true (=> ?v_1100 (=> (= Mem_1_T.P_IRP.63 Mem_1_T.P_IRP.62) ?v_1102)))))) (=> true (=> ?v_1093 (=> true (=> ?v_1100 (=> ?v_1101 ?v_1102)))))))))))))))) (let ((?v_1104 (=> true (=> true (=> true (=> true ?v_1103)))))) (let ((?v_1105 (and (=> true (=> ?v_981 (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.0 (U_2_int (MapType0Select Mem_0_T.P_IRP.59 ?v_958))) (=> true (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_1103))))) (=> true (=> ?v_1091 (and (=> true (=> ?v_1080 (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.1 (U_2_int (MapType0Select Mem_1_T.P_IRP.59 ?v_958))) (=> true (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_1104))))) (=> true (=> ?v_1093 (=> true (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_1104))))))))) (?v_1106 (= cancelLockStatus_1.64 cancelLockStatus_1.63))) (let ((?v_1107 (=> (= cancelLockStatus_0.64 cancelLockStatus_0.63) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1105))))))))))) (?v_980 (int_2_U call76286formal.new.0))) (let ((?v_1126 (=> true (and ?v_8 (=> ?v_8 (=> (> call76286formal.new.0 0) (=> (forall ((?x1587 Int)) (! (=> (and (<= call76286formal.new.0 ?x1587) (< ?x1587 (+ call76286formal.new.0 1))) (= (Base ?x1587) call76286formal.new.0)) :pattern ((Base ?x1587)) )) (=> (forall ((?x1588 boogieU)) (! (=> (= (type ?x1588) intType) (or (= (U_2_int ?x1588) call76286formal.new.0) (= (MapType0Select alloc.89 ?x1588) (MapType0Select alloc.90 ?x1588)))) :pattern ((MapType0Select alloc.90 ?x1588)) )) (=> (and (= (MapType0Select alloc.89 ?v_980) UNALLOCATED) (= (MapType0Select alloc.90 ?v_980) ALLOCATED)) (=> true (=> (=> ?v_981 (= cancelLockStatus_0.63 0)) (=> (=> ?v_1080 (= cancelLockStatus_1.63 0)) (and (=> true (=> ?v_981 (=> true (=> ?v_1106 (=> (= cancelLockStatus_0.64 1) ?v_1105))))) (=> true (=> ?v_1091 (and (=> true (=> ?v_1080 (=> true (=> (= cancelLockStatus_1.64 1) ?v_1107)))) (=> true (=> ?v_1093 (=> true (=> ?v_1106 ?v_1107))))))))))))))))))) (?v_1239 (= alloc.89 alloc.83)) (?v_1240 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer)) (?v_1241 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1242 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_1243 (= inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1.)) (?v_1244 (= inline.SerialGetNextWrite.3.myNondetVar_2.3 inline.SerialGetNextWrite.3.myNondetVar_2)) (?v_1245 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1246 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1247 (= Mem_1_T.P_IRP.59 Mem_1_T.P_IRP.46)) (?v_1248 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1249 (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1250 (= inline.SerialSetTimer.6.myNondetVar_0.6 inline.SerialSetTimer.6.myNondetVar_0)) (?v_1251 (= inline.SerialGetNextWrite.3.myVar_0.9 inline.SerialGetNextWrite.3.myVar_0.5)) (?v_1252 (= Mem_1_T.CancelRoutine__IRP.88 Mem_1_T.CancelRoutine__IRP.74)) (?v_1253 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1 1)) (?v_1254 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1)) (?v_1255 (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.4 inline.sdv_InterlockedDecrement.28.myNondetVar_0)) (?v_1256 (= errorReached.62 errorReached.52)) (?v_1257 (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_1258 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1259 (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution)) (?v_1260 (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.3 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite)) (?v_1261 (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1262 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.3.myVar_0.5)) (?v_1263 (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1264 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1265 (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1266 (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3.)) (?v_1267 (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite)) (?v_1268 (= Mem_0_T.CancelRoutine__IRP.88 Mem_0_T.CancelRoutine__IRP.74)) (?v_1269 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1270 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1)) (?v_1271 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1272 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_1273 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer)) (?v_1274 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1275 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.3.myVar_0.5)) (?v_1276 (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.3 inline.sdv_InterlockedIncrement.7.myNondetVar_0)) (?v_1277 (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite)) (?v_1278 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer)) (?v_1279 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1280 (= inline.KeSynchronizeExecution.14.myNondetVar_0.8 inline.KeSynchronizeExecution.14.myNondetVar_0)) (?v_1281 (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1.)) (?v_1282 (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3.)) (?v_1283 (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer)) (?v_1284 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1)) (?v_1285 (= inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1.)) (?v_1286 (= Mem_0_T.P_IRP.59 Mem_0_T.P_IRP.46))) (let ((?v_1287 (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> true (=> true ?v_1126)))) (?v_1238 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 14))) (let ((?v_1128 (=> true (=> (= inline.SerialGetNextWrite.3.tempBoogie0.5 inline.SerialGetNextWrite.3.tempBoogie0.4) (=> (= alloc.89 alloc.88) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.0) (=> ?v_1241 (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.24..result.userContextSwitch.1645.2.1..0 call77492formal.ret.0) (=> (= inline.SerialGetNextWrite.3.myNondetVar_2.3 inline.SerialGetNextWrite.3.myNondetVar_2.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= Mem_1_T.P_IRP.59 Mem_1_T.P_IRP.58) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialSetTimer.6.myNondetVar_0.6 inline.SerialSetTimer.6.myNondetVar_0.5) (=> ?v_1251 (=> (= Mem_1_T.CancelRoutine__IRP.88 Mem_1_T.CancelRoutine__IRP.87) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.0) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.0) (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.4 inline.sdv_InterlockedDecrement.28.myNondetVar_0.3) (=> (= errorReached.62 errorReached.61) (=> ?v_1257 (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.1) (=> (= k.146 k.145) (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.3 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_1262 (=> ?v_1263 (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..0) (=> (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.0) (=> (= cancelLockStatus_0.63 cancelLockStatus_0.62) (=> (= Mem_0_T.CancelRoutine__IRP.88 Mem_0_T.CancelRoutine__IRP.87) (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.16 inline.SerialGetNextWrite.3.myNondetVar_0.15) (=> ?v_1269 (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_1275 (=> (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.3 inline.sdv_InterlockedIncrement.7.myNondetVar_0.2) (=> (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.0) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= cancelLockStatus_1.63 cancelLockStatus_1.62) (=> (= inline.KeSynchronizeExecution.14.myNondetVar_0.8 inline.KeSynchronizeExecution.14.myNondetVar_0.7) (=> (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..0) (=> (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.0) (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.4 inline.SerialGetNextWrite.3.myNondetVar_1.3) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.1) (=> ?v_1285 (=> (= Mem_0_T.P_IRP.59 Mem_0_T.P_IRP.58) ?v_1287)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1130 (= cancelLockStatus_1.62 cancelLockStatus_1.56))) (let ((?v_1131 (=> (= cancelLockStatus_0.62 cancelLockStatus_0.56) (=> true (=> true (=> true (=> true ?v_1128)))))) (?v_1129 (= k.145 1)) (?v_1127 (= k.145 0))) (let ((?v_1175 (and (=> true (=> ?v_1127 (=> true (=> ?v_1130 (=> (= cancelLockStatus_0.62 0) ?v_1128))))) (=> true (=> (not ?v_1127) (and (=> true (=> ?v_1129 (=> true (=> (= cancelLockStatus_1.62 0) ?v_1131)))) (=> true (=> (not ?v_1129) (=> true (=> ?v_1130 ?v_1131)))))))))) (let ((?v_1183 (=> true (=> true (=> true (=> true (=> true ?v_1175)))))) (?v_1135 (= alloc.88 alloc.83)) (?v_1136 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer)) (?v_1187 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGiveXoffToIsr)) (?v_1139 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1188 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialCancelCurrentXoff)) (?v_1189 (= Mem_1_T.P_IRP.58 Mem_1_T.P_IRP.57)) (?v_1190 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2)) (?v_1191 (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_1144 (= inline.SerialSetTimer.6.myNondetVar_0.5 inline.SerialSetTimer.6.myNondetVar_0)) (?v_1192 (= Mem_1_T.CancelRoutine__IRP.87 Mem_1_T.CancelRoutine__IRP.79)) (?v_1193 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.0 0)) (?v_1147 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1)) (?v_1148 (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.3 inline.sdv_InterlockedDecrement.28.myNondetVar_0)) (?v_1194 (= errorReached.61 errorReached.55)) (?v_1195 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialCancelCurrentXoff)) (?v_1196 (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.0)) (?v_1197 (= k.145 k.140)) (?v_1153 (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1198 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2)) (?v_1199 (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2)) (?v_1156 (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3.)) (?v_1200 (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.0 2)) (?v_1201 (= Mem_0_T.CancelRoutine__IRP.87 Mem_0_T.CancelRoutine__IRP.79)) (?v_1159 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1)) (?v_1202 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2)) (?v_1203 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGiveXoffToIsr)) (?v_1162 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer)) (?v_1163 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1164 (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.2 inline.sdv_InterlockedIncrement.7.myNondetVar_0)) (?v_1165 (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite)) (?v_1166 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer)) (?v_1204 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2)) (?v_1205 (= inline.KeSynchronizeExecution.14.myNondetVar_0.7 inline.KeSynchronizeExecution.14.myNondetVar_0.6)) (?v_1206 (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..0)) (?v_1207 (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..0 call77856formal.ret.0)) (?v_1171 (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer)) (?v_1173 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1))) (let ((?v_1208 (=> (= Mem_0_T.P_IRP.58 Mem_0_T.P_IRP.57) ?v_1183))) (let ((?v_1184 (=> true (=> (forall ((?r5 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.3.myNondetVar_1.2 ?r5) 0)) (not (= (BIT_BAND 4 ?r5) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.3.myNondetVar_2.1 4) ?r5) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.3.myNondetVar_0.12 4) ?r5)) )) (=> (= inline.SerialGetNextWrite.3.tempBoogie0.3 (BIT_BOR inline.SerialGetNextWrite.3.myNondetVar_0.13 4)) (=> true (=> (= inline.SerialGetNextWrite.3.tempBoogie0.4 inline.SerialGetNextWrite.3.tempBoogie0.3) (=> (= alloc.88 alloc.87) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.0) (=> ?v_1187 (=> (= inline.SerialGetNextWrite.3.myNondetVar_2.2 inline.SerialGetNextWrite.3.myNondetVar_2.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2) (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> (= inline.SerialSetTimer.6.myNondetVar_0.5 inline.SerialSetTimer.6.myNondetVar_0.4) (=> ?v_1192 (=> ?v_1193 (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.0 call75867formal.new.0) (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.3 inline.sdv_InterlockedDecrement.28.myNondetVar_0.2) (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_1198 (=> ?v_1199 (=> (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..0 call78161formal.ret.0) (=> ?v_1200 (=> ?v_1201 (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.14 inline.SerialGetNextWrite.3.myNondetVar_0.13) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.0) (=> ?v_1202 (=> ?v_1203 (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2) (=> (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.2 inline.sdv_InterlockedIncrement.7.myNondetVar_0.1) (=> (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.0 4) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.0 call78111formal.new.0) (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.0 call78161formal.ret.0) (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.3 inline.SerialGetNextWrite.3.myNondetVar_1.2) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.0) ?v_1208)))))))))))))))))))))))))))))))))))))))))))))) (?v_1180 (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2 hirp))) (let ((?v_1218 (not ?v_1180))) (let ((?v_1186 (and (=> true (=> ?v_1180 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1184)))) (=> true (=> ?v_1218 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1184)))))))))) (?v_1185 (= call78161formal.ret.0 0)) (?v_1182 (int_2_U call78111formal.new.0))) (let ((?v_1209 (and (=> true (=> (not (= inline.SerialGetNextWrite.3.myNondetVar_0.10 0)) (=> true (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.0 (XoffCountTimer__SERIAL_DEVICE_EXTENSION inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2)) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.0 (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2)) (=> true (and ?v_55 (=> ?v_55 (=> (> call78111formal.new.0 0) (=> (forall ((?x1589 Int)) (! (=> (and (<= call78111formal.new.0 ?x1589) (< ?x1589 (+ call78111formal.new.0 8))) (= (Base ?x1589) call78111formal.new.0)) :pattern ((Base ?x1589)) )) (=> (forall ((?x1590 boogieU)) (! (=> (= (type ?x1590) intType) (or (= (U_2_int ?x1590) call78111formal.new.0) (= (MapType0Select alloc.83 ?x1590) (MapType0Select alloc.87 ?x1590)))) :pattern ((MapType0Select alloc.87 ?x1590)) )) (=> (and (= (MapType0Select alloc.83 ?v_1182) UNALLOCATED) (= (MapType0Select alloc.87 ?v_1182) ALLOCATED)) (=> (= (Base call75867formal.new.0) call75867formal.new.0) (and (=> true (=> (not ?v_1185) (=> true (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.2 inline.sdv_InterlockedDecrement.28.myNondetVar_0.1) ?v_1186)))) (=> true (=> ?v_1185 (=> true (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.2 inline.sdv_InterlockedDecrement.28.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1186))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.9 0) (=> true (=> (= inline.SerialGetNextWrite.3.tempBoogie0.4 inline.SerialGetNextWrite.3.tempBoogie0.2) (=> ?v_1135 (=> ?v_1136 (=> ?v_1187 (=> (= inline.SerialGetNextWrite.3.myNondetVar_2.2 inline.SerialGetNextWrite.3.myNondetVar_2.0) (=> ?v_1139 (=> ?v_1188 (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1144 (=> ?v_1192 (=> ?v_1193 (=> ?v_1147 (=> ?v_1148 (=> ?v_1194 (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1153 (=> ?v_1198 (=> ?v_1199 (=> ?v_1156 (=> ?v_1200 (=> ?v_1201 (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.14 inline.SerialGetNextWrite.3.myNondetVar_0.9) (=> ?v_1159 (=> ?v_1202 (=> ?v_1203 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1171 (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.3 inline.SerialGetNextWrite.3.myNondetVar_1.1) (=> ?v_1173 ?v_1208))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1213 (and (=> true (=> ?v_1181 (=> true (=> (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.14..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.14..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.14.myNondetVar_0.6 inline.KeSynchronizeExecution.14.myNondetVar_0.5) ?v_1209)))))) (=> true (=> ?v_291 (=> true (=> (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.14.myNondetVar_0.6 inline.KeSynchronizeExecution.14.myNondetVar_0) (=> true (=> true (=> true (=> true ?v_1209))))))))))))) (let ((?v_1217 (=> true (=> true (=> true (=> true (=> true (=> true ?v_1213))))))) (?v_1215 (= Mem_0_T.P_IRP.57 Mem_0_T.P_IRP.46)) (?v_1216 (= Mem_1_T.P_IRP.57 Mem_1_T.P_IRP.46)) (?v_1214 (= k.140 1)) (?v_1211 (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2))) (?v_1212 (int_2_U inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2)) (?v_1210 (= k.140 0))) (let ((?v_1219 (=> true (=> (forall ((?r6 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.3.myNondetVar_1.1 ?r6) 0)) (not (= (BIT_BAND 2 ?r6) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.3.myNondetVar_2.0 2) ?r6) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.3.myNondetVar_0.6 2) ?r6)) )) (=> (= inline.SerialGetNextWrite.3.tempBoogie0.2 (BIT_BOR inline.SerialGetNextWrite.3.myNondetVar_0.7 2)) (and (=> true (=> ?v_1210 (=> (= Mem_0_T.P_IRP.53 (MapType0Store Mem_0_T.P_IRP.46 ?v_1211 ?v_1212)) (=> true (=> (= Mem_0_T.P_IRP.57 Mem_0_T.P_IRP.53) (=> ?v_1216 ?v_1213)))))) (=> true (=> (not ?v_1210) (and (=> true (=> ?v_1214 (=> (= Mem_1_T.P_IRP.53 (MapType0Store Mem_1_T.P_IRP.46 ?v_1211 ?v_1212)) (=> true (=> ?v_1215 (=> (= Mem_1_T.P_IRP.57 Mem_1_T.P_IRP.53) ?v_1217)))))) (=> true (=> (not ?v_1214) (=> true (=> ?v_1215 (=> ?v_1216 ?v_1217)))))))))))))) (let ((?v_1221 (=> true (=> (<= k.133 k.140) (=> (< k.140 2) (and (=> true (=> ?v_1180 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1219)))) (=> true (=> ?v_1218 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1219)))))))))))))) (let ((?v_1224 (=> true ?v_1221)) (?v_1222 (= Mem_0_T.CancelRoutine__IRP.79 Mem_0_T.CancelRoutine__IRP.74)) (?v_1223 (= Mem_1_T.CancelRoutine__IRP.79 Mem_1_T.CancelRoutine__IRP.74)) (?v_1220 (= k.133 1))) (let ((?v_1229 (not ?v_1220)) (?v_1179 (int_2_U (CancelRoutine__IRP inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2))) (?v_1178 (= k.133 0))) (let ((?v_1227 (not ?v_1178))) (let ((?v_1225 (and (=> true (=> ?v_1178 (=> (= Mem_0_T.CancelRoutine__IRP.78 (MapType0Store Mem_0_T.CancelRoutine__IRP.74 ?v_1179 ?v_302)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.79 Mem_0_T.CancelRoutine__IRP.78) (=> ?v_1223 ?v_1221)))))) (=> true (=> ?v_1227 (and (=> true (=> ?v_1220 (=> (= Mem_1_T.CancelRoutine__IRP.78 (MapType0Store Mem_1_T.CancelRoutine__IRP.74 ?v_1179 ?v_302)) (=> true (=> ?v_1222 (=> (= Mem_1_T.CancelRoutine__IRP.79 Mem_1_T.CancelRoutine__IRP.78) ?v_1224)))))) (=> true (=> ?v_1229 (=> true (=> ?v_1222 (=> ?v_1223 ?v_1224))))))))))) (let ((?v_1226 (=> true (=> (= errorReached.55 errorReached.52) (=> true ?v_1225))))) (let ((?v_1228 (and (=> true (=> ?v_1180 (and (=> true (=> (=> ?v_1178 ?v_984) (=> (=> ?v_1220 ?v_985) (=> true (=> (= errorReached.55 1) ?v_1225))))) (=> true (=> (=> ?v_1178 ?v_1053) (=> (=> ?v_1220 ?v_1054) ?v_1226)))))) (=> true (=> ?v_1218 ?v_1226))))) (let ((?v_1230 (=> true (=> true ?v_1228))) (?v_1125 (= k.132 0)) (?v_1133 (int_2_U (Cancel__IRP inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2)))) (let ((?v_1176 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP.1 ?v_1133)) 0)) (?v_1132 (= k.132 1)) (?v_1177 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP.1 ?v_1133)) 0)) (?v_1134 (= inline.SerialGetNextWrite.3.tempBoogie0.4 inline.SerialGetNextWrite.3.tempBoogie0.0)) (?v_1137 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_1138 (= inline.SerialGetNextWrite.3.myNondetVar_2.2 inline.SerialGetNextWrite.3.myNondetVar_2)) (?v_1140 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1141 (= Mem_1_T.P_IRP.58 Mem_1_T.P_IRP.46)) (?v_1142 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1143 (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1145 (= Mem_1_T.CancelRoutine__IRP.87 Mem_1_T.CancelRoutine__IRP.74)) (?v_1146 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.0 1)) (?v_1149 (= errorReached.61 errorReached.52)) (?v_1150 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1151 (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution)) (?v_1152 (= k.145 k.132)) (?v_1154 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1155 (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1157 (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite)) (?v_1158 (= Mem_0_T.CancelRoutine__IRP.87 Mem_0_T.CancelRoutine__IRP.74)) (?v_1160 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1161 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_1167 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1168 (= inline.KeSynchronizeExecution.14.myNondetVar_0.7 inline.KeSynchronizeExecution.14.myNondetVar_0)) (?v_1169 (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1.)) (?v_1170 (= inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.16..result.userContextSwitch.3313.2.3.)) (?v_1172 (= inline.SerialGetNextWrite.3.myNondetVar_1.3 inline.SerialGetNextWrite.3.myNondetVar_1)) (?v_1174 (= Mem_0_T.P_IRP.58 Mem_0_T.P_IRP.46))) (let ((?v_1231 (=> true (=> (= inline.SerialGetNextWrite.3.tempBoogie0.0 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.3.myNondetVar_0.1 1 1)) (and (=> true (=> (not (= inline.SerialGetNextWrite.3.myNondetVar_0.2 0)) (=> true (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.14 inline.SerialGetNextWrite.3.myNondetVar_0.2) (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 ?v_1175))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.3 0) (and (=> true (=> (=> ?v_1125 (not ?v_1176)) (=> (=> ?v_1132 (not ?v_1177)) (=> true (=> ?v_1134 (=> ?v_1135 (=> ?v_1136 (=> ?v_1137 (=> ?v_1138 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.14 inline.SerialGetNextWrite.3.myNondetVar_0.3) (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1164 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1171 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 ?v_1183)))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (=> ?v_1125 ?v_1176) (=> (=> ?v_1132 ?v_1177) (=> true (=> (<= k.132 k.133) (=> (< k.133 2) (and (=> true (=> ?v_1178 (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.74 ?v_1179))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_1228))))) (=> true (=> ?v_1227 (and (=> true (=> ?v_1220 (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.74 ?v_1179))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_1230))))) (=> true (=> ?v_1229 (=> true (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_1230)))))))))))))))))))))) (let ((?v_1232 (=> true (=> true ?v_1231))) (?v_1235 (not ?v_1132)) (?v_1233 (not ?v_1125))) (let ((?v_1234 (and (=> true (=> ?v_1125 (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.0 ?v_957) (=> true (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.0) ?v_1231))))) (=> true (=> ?v_1233 (and (=> true (=> ?v_1132 (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.1 ?v_1115) (=> true (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.1) ?v_1232))))) (=> true (=> ?v_1235 (=> true (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite) ?v_1232))))))))) (?v_1236 (= cancelLockStatus_1.56 cancelLockStatus_1.55))) (let ((?v_1237 (=> (= cancelLockStatus_0.56 cancelLockStatus_0.55) (=> true (=> true (=> true (=> true (=> true ?v_1234)))))))) (let ((?v_1289 (and (=> true (=> ?v_1238 (=> true (=> (<= k.129 k.132) (=> (< k.132 2) (=> true (=> (=> ?v_1125 ?v_977) (=> (=> ?v_1132 ?v_1124) (and (=> true (=> ?v_1125 (=> true (=> ?v_1236 (=> (= cancelLockStatus_0.56 1) ?v_1234))))) (=> true (=> ?v_1233 (and (=> true (=> ?v_1132 (=> true (=> (= cancelLockStatus_1.56 1) ?v_1237)))) (=> true (=> ?v_1235 (=> true (=> ?v_1236 ?v_1237)))))))))))))))) (=> true (=> (not ?v_1238) (=> true (=> (= inline.SerialGetNextWrite.3.tempBoogie0.5 inline.SerialGetNextWrite.3.tempBoogie0) (=> ?v_1239 (=> ?v_1240 (=> ?v_1241 (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> ?v_1251 (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> ?v_1257 (=> ?v_1258 (=> ?v_1259 (=> (= k.146 k.129) (=> ?v_1260 (=> ?v_1261 (=> ?v_1262 (=> ?v_1263 (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> (= cancelLockStatus_0.63 cancelLockStatus_0.55) (=> ?v_1268 (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.16 inline.SerialGetNextWrite.3.myNondetVar_0) (=> ?v_1269 (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> (= cancelLockStatus_1.63 cancelLockStatus_1.55) (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.4 inline.SerialGetNextWrite.3.myNondetVar_1) (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 ?v_1287))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1288 (= inline.SerialGetNextWrite.3.myVar_0.5 hirp))) (let ((?v_1290 (and (=> true (=> ?v_1288 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1289)))) (=> true (=> (not ?v_1288) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1289))))))))))) (let ((?v_1292 (=> true (=> true (=> true (=> true ?v_1290))))) (?v_1291 (= k.129 1))) (let ((?v_1297 (not ?v_1291)) (?v_976 (= k.129 0))) (let ((?v_1295 (not ?v_976)) (?v_1123 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 4)) (?v_1108 (=> true (=> (= inline.SerialGetNextWrite.3.tempBoogie0.5 inline.SerialGetNextWrite.3.tempBoogie0.1) (=> ?v_1239 (=> ?v_1240 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.3.myVar_0.8) (=> ?v_1242 (=> ?v_1243 (=> ?v_1244 (=> ?v_1245 (=> ?v_1246 (=> ?v_1247 (=> ?v_1248 (=> ?v_1249 (=> ?v_1250 (=> (= inline.SerialGetNextWrite.3.myVar_0.9 inline.SerialGetNextWrite.3.myVar_0.8) (=> ?v_1252 (=> ?v_1253 (=> ?v_1254 (=> ?v_1255 (=> ?v_1256 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> ?v_1258 (=> ?v_1259 (=> (= k.146 k.134) (=> ?v_1260 (=> ?v_1261 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_1264 (=> ?v_1265 (=> ?v_1266 (=> ?v_1267 (=> (= cancelLockStatus_0.63 cancelLockStatus_0.58) (=> ?v_1268 (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.16 inline.SerialGetNextWrite.3.myNondetVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.3.myVar_0.8) (=> ?v_1270 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> ?v_1276 (=> ?v_1277 (=> ?v_1278 (=> ?v_1279 (=> (= cancelLockStatus_1.63 cancelLockStatus_1.58) (=> ?v_1280 (=> ?v_1281 (=> ?v_1282 (=> ?v_1283 (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.4 inline.SerialGetNextWrite.3.myNondetVar_1.0) (=> ?v_1284 (=> (= inline.sdv_IoAcquireCancelSpinLock.21..result.userContextSwitch.1645.2.1..0 call76087formal.ret.0) (=> ?v_1286 (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.) ?v_1126))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1110 (= cancelLockStatus_1.58 cancelLockStatus_1.57))) (let ((?v_1111 (=> (= cancelLockStatus_0.58 cancelLockStatus_0.57) (=> true (=> true (=> true (=> true ?v_1108)))))) (?v_1109 (= k.134 1))) (let ((?v_1117 (not ?v_1109)) (?v_979 (= k.134 0))) (let ((?v_1114 (not ?v_979))) (let ((?v_1113 (=> true (=> (= inline.SerialGetNextWrite.3.tempBoogie0.1 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.3.myNondetVar_0.4 inline.SerialGetNextWrite.3.myNondetVar_1.0 1)) (and (=> true (=> ?v_979 (=> true (=> ?v_1110 (=> (= cancelLockStatus_0.58 0) ?v_1108))))) (=> true (=> ?v_1114 (and (=> true (=> ?v_1109 (=> true (=> (= cancelLockStatus_1.58 0) ?v_1111)))) (=> true (=> ?v_1117 (=> true (=> ?v_1110 ?v_1111))))))))))) (?v_1112 (= inline.SerialGetNextWrite.3.myVar_0.8 hirp))) (let ((?v_1116 (and (=> true (=> ?v_1112 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1113)))) (=> true (=> (not ?v_1112) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true ?v_1113)))))))))) (let ((?v_1118 (=> true (=> true (=> true (=> true ?v_1116)))))) (let ((?v_1120 (=> true (=> (<= k.131 k.134) (=> (< k.134 2) (and (=> true (=> ?v_979 (=> (= inline.SerialGetNextWrite.3.myVar_0.6 ?v_957) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.8 inline.SerialGetNextWrite.3.myVar_0.6) ?v_1116))))) (=> true (=> ?v_1114 (and (=> true (=> ?v_1109 (=> (= inline.SerialGetNextWrite.3.myVar_0.7 ?v_1115) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.8 inline.SerialGetNextWrite.3.myVar_0.7) ?v_1118))))) (=> true (=> ?v_1117 (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.8 inline.SerialGetNextWrite.3.myVar_0.2) ?v_1118)))))))))))) (?v_1121 (= cancelLockStatus_1.57 cancelLockStatus_1.55))) (let ((?v_1122 (=> (= cancelLockStatus_0.57 cancelLockStatus_0.55) (=> true (=> true (=> true (=> true ?v_1120)))))) (?v_1119 (= k.131 1)) (?v_978 (= k.131 0))) (let ((?v_1294 (and (=> true (=> ?v_1123 (=> true (=> (<= k.129 k.131) (=> (< k.131 2) (=> true (=> (=> ?v_978 ?v_977) (=> (=> ?v_1119 ?v_1124) (and (=> true (=> ?v_978 (=> true (=> ?v_1121 (=> (= cancelLockStatus_0.57 1) ?v_1120))))) (=> true (=> (not ?v_978) (and (=> true (=> ?v_1119 (=> true (=> (= cancelLockStatus_1.57 1) ?v_1122)))) (=> true (=> (not ?v_1119) (=> true (=> ?v_1121 ?v_1122)))))))))))))))) (=> true (=> (not ?v_1123) (and (=> true (=> ?v_976 (=> (= inline.SerialGetNextWrite.3.myVar_0.4 ?v_957) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.5 inline.SerialGetNextWrite.3.myVar_0.4) ?v_1290))))) (=> true (=> ?v_1295 (and (=> true (=> ?v_1291 (=> (= inline.SerialGetNextWrite.3.myVar_0.3 ?v_1115) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.5 inline.SerialGetNextWrite.3.myVar_0.3) ?v_1292))))) (=> true (=> ?v_1297 (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.5 inline.SerialGetNextWrite.3.myVar_0.2) ?v_1292)))))))))))) (?v_1293 (= inline.SerialGetNextWrite.3.myVar_0.2 hirp))) (let ((?v_1296 (and (=> true (=> ?v_1293 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1294)))) (=> true (=> (not ?v_1293) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1294))))))))))) (let ((?v_1298 (=> true (=> true (=> true (=> true ?v_1296))))) (?v_975 (int_2_U call75901formal.new.0)) (?v_971 (int_2_U call75858formal.new.0)) (?v_972 (int_2_U call75861formal.new.0)) (?v_973 (int_2_U call75864formal.new.0)) (?v_974 (int_2_U call75867formal.new.0))) (let ((?v_1546 (and (=> true (=> ?v_380 (=> true (and ?v_8 (=> ?v_8 (=> (> call75858formal.new.0 0) (=> (forall ((?x1593 Int)) (! (=> (and (<= call75858formal.new.0 ?x1593) (< ?x1593 (+ call75858formal.new.0 1))) (= (Base ?x1593) call75858formal.new.0)) :pattern ((Base ?x1593)) )) (=> (forall ((?x1594 boogieU)) (! (=> (= (type ?x1594) intType) (or (= (U_2_int ?x1594) call75858formal.new.0) (= (MapType0Select alloc.77 ?x1594) (MapType0Select alloc.79 ?x1594)))) :pattern ((MapType0Select alloc.79 ?x1594)) )) (=> (and (= (MapType0Select alloc.77 ?v_971) UNALLOCATED) (= (MapType0Select alloc.79 ?v_971) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call75861formal.new.0 0) (=> (forall ((?x1595 Int)) (! (=> (and (<= call75861formal.new.0 ?x1595) (< ?x1595 (+ call75861formal.new.0 1))) (= (Base ?x1595) call75861formal.new.0)) :pattern ((Base ?x1595)) )) (=> (forall ((?x1596 boogieU)) (! (=> (= (type ?x1596) intType) (or (= (U_2_int ?x1596) call75861formal.new.0) (= (MapType0Select alloc.79 ?x1596) (MapType0Select alloc.80 ?x1596)))) :pattern ((MapType0Select alloc.80 ?x1596)) )) (=> (and (= (MapType0Select alloc.79 ?v_972) UNALLOCATED) (= (MapType0Select alloc.80 ?v_972) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call75864formal.new.0 0) (=> (forall ((?x1597 Int)) (! (=> (and (<= call75864formal.new.0 ?x1597) (< ?x1597 (+ call75864formal.new.0 1))) (= (Base ?x1597) call75864formal.new.0)) :pattern ((Base ?x1597)) )) (=> (forall ((?x1598 boogieU)) (! (=> (= (type ?x1598) intType) (or (= (U_2_int ?x1598) call75864formal.new.0) (= (MapType0Select alloc.80 ?x1598) (MapType0Select alloc.81 ?x1598)))) :pattern ((MapType0Select alloc.81 ?x1598)) )) (=> (and (= (MapType0Select alloc.80 ?v_973) UNALLOCATED) (= (MapType0Select alloc.81 ?v_973) ALLOCATED)) (and ?v_55 (=> ?v_55 (=> (> call75867formal.new.0 0) (=> (forall ((?x1599 Int)) (! (=> (and (<= call75867formal.new.0 ?x1599) (< ?x1599 (+ call75867formal.new.0 8))) (= (Base ?x1599) call75867formal.new.0)) :pattern ((Base ?x1599)) )) (=> (forall ((?x1600 boogieU)) (! (=> (= (type ?x1600) intType) (or (= (U_2_int ?x1600) call75867formal.new.0) (= (MapType0Select alloc.81 ?x1600) (MapType0Select alloc.82 ?x1600)))) :pattern ((MapType0Select alloc.82 ?x1600)) )) (=> (and (= (MapType0Select alloc.81 ?v_974) UNALLOCATED) (= (MapType0Select alloc.82 ?v_974) ALLOCATED)) (=> true (and ?v_8 (=> ?v_8 (=> (> call75901formal.new.0 0) (=> (forall ((?x1591 Int)) (! (=> (and (<= call75901formal.new.0 ?x1591) (< ?x1591 (+ call75901formal.new.0 1))) (= (Base ?x1591) call75901formal.new.0)) :pattern ((Base ?x1591)) )) (=> (forall ((?x1592 boogieU)) (! (=> (= (type ?x1592) intType) (or (= (U_2_int ?x1592) call75901formal.new.0) (= (MapType0Select alloc.82 ?x1592) (MapType0Select alloc.83 ?x1592)))) :pattern ((MapType0Select alloc.83 ?x1592)) )) (=> (and (= (MapType0Select alloc.82 ?v_975) UNALLOCATED) (= (MapType0Select alloc.83 ?v_975) ALLOCATED)) (and (=> true (=> ?v_976 (=> (= inline.SerialGetNextWrite.3.myVar_0.0 ?v_957) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.2 inline.SerialGetNextWrite.3.myVar_0.0) ?v_1296))))) (=> true (=> ?v_1295 (and (=> true (=> ?v_1291 (=> (= inline.SerialGetNextWrite.3.myVar_0.1 ?v_1115) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.2 inline.SerialGetNextWrite.3.myVar_0.1) ?v_1298))))) (=> true (=> ?v_1297 (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.2 inline.SerialGetNextWrite.3.myVar_0) ?v_1298)))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1299 (and (=> true (=> ?v_460 (=> true (and ?v_8 (=> ?v_8 (=> (> call78371formal.new.0 0) (=> (forall ((?x1581 Int)) (! (=> (and (<= call78371formal.new.0 ?x1581) (< ?x1581 (+ call78371formal.new.0 1))) (= (Base ?x1581) call78371formal.new.0)) :pattern ((Base ?x1581)) )) (=> (forall ((?x1582 boogieU)) (! (=> (= (type ?x1582) intType) (or (= (U_2_int ?x1582) call78371formal.new.0) (= (MapType0Select alloc.77 ?x1582) (MapType0Select alloc.78 ?x1582)))) :pattern ((MapType0Select alloc.78 ?x1582)) )) (=> (and (= (MapType0Select alloc.77 ?v_1300) UNALLOCATED) (= (MapType0Select alloc.78 ?v_1300) ALLOCATED)) (=> true (=> (<= k.129 k.130) (=> (< k.130 2) (=> true (=> (=> ?v_1301 ?v_977) (=> (=> ?v_1371 ?v_1124) (and (=> true (=> ?v_1301 (=> true (=> ?v_1373 (=> (= cancelLockStatus_0.60 1) ?v_1372))))) (=> true (=> (not ?v_1301) (and (=> true (=> ?v_1371 (=> true (=> (= cancelLockStatus_1.60 1) ?v_1374)))) (=> true (=> (not ?v_1371) (=> true (=> ?v_1373 ?v_1374))))))))))))))))))))))) (=> true (=> ?v_1375 (=> true (and ?v_31 (=> ?v_31 (=> true (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> (= irpCompleted_0.39 irpCompleted_0.30) (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> (= Mem_1_T.P_IRP.67 Mem_1_T.P_IRP.46) (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> (= alloc.94 alloc.77) (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> (= cancelLockStatus_0.69 cancelLockStatus_0.55) (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> ?v_1454 (=> ?v_1455 (=> (= errorReached.68 errorReached.52) (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> (= irpCompleted_1.39 irpCompleted_1.30) (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> (= Mem_0_T.P_IRP.67 Mem_0_T.P_IRP.46) (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> (= Mem_1_T.CancelRoutine__IRP.96 Mem_1_T.CancelRoutine__IRP.74) (=> ?v_1491 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_1505 (=> ?v_1506 (=> (= cancelLockStatus_1.69 cancelLockStatus_1.55) (=> (= k.157 k.129) (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> ?v_1532 (=> ?v_1533 (=> (= Mem_0_T.CancelRoutine__IRP.96 Mem_0_T.CancelRoutine__IRP.74) (=> ?v_1534 (=> ?v_1535 (=> ?v_1536 (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_1544 ?v_1545))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1547 (= cancelLockStatus_1.55 cancelLockStatus_1.53))) (let ((?v_1548 (=> (= cancelLockStatus_0.55 cancelLockStatus_0.53) (=> true (=> true (=> true (=> true (=> true ?v_1546)))))))) (let ((?v_1758 (and (=> true (=> ?v_970 (=> true (=> (<= k.126 k.129) (=> (< k.129 2) (and (=> true (=> ?v_976 (=> true (=> ?v_1547 (=> ?v_977 ?v_1546))))) (=> true (=> ?v_1295 (and (=> true (=> ?v_1291 (=> true (=> ?v_1124 ?v_1548)))) (=> true (=> ?v_1297 (=> true (=> ?v_1547 ?v_1548))))))))))))) (=> true (=> ?v_632 (=> true (=> (<= k.126 k.128) (=> (< k.128 2) (and (=> true (=> ?v_1549 (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.1 ?v_957) (=> true (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.1) ?v_1755))))) (=> true (=> ?v_1754 (and (=> true (=> ?v_1750 (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.0 ?v_1115) (=> true (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.0) ?v_1757))))) (=> true (=> ?v_1756 (=> true (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent) ?v_1757))))))))))))))) (?v_969 (= inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 ?v_953)) (?v_965 (=> true (=> ?v_1553 (=> ?v_989 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_1562 (=> (= inline.sdv_IoReleaseCancelSpinLock.33..result.userContextSwitch.3151.2.1..0 call75704formal.ret.0) (=> ?v_1564 (=> ?v_1565 (=> ?v_1566 (=> ?v_1567 (=> (= irpCompleted_0.40 irpCompleted_0.30) (=> ?v_1568 (=> ?v_1569 (=> ?v_1570 (=> ?v_1571 (=> ?v_990 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> (= Mem_1_T.P_IRP.68 Mem_1_T.P_IRP.46) (=> ?v_1581 (=> ?v_1582 (=> ?v_1583 (=> ?v_1584 (=> ?v_1585 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> (= alloc.95 alloc.77) (=> ?v_1595 (=> ?v_991 (=> ?v_1596 (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> (= Mem_1_T.CancelRoutine__IRP.97 Mem_1_T.CancelRoutine__IRP.74) (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_1610 (=> ?v_1611 (=> ?v_1612 (=> (= cancelLockStatus_0.70 cancelLockStatus_0.54) (=> ?v_1613 (=> ?v_1614 (=> ?v_1615 (=> ?v_1616 (=> ?v_992 (=> ?v_1617 (=> ?v_1618 (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.7 inline.SerialTryToCompleteCurrent.2.myNondetVar_0.6) (=> ?v_1620 (=> ?v_1621 (=> ?v_1622 (=> ?v_1623 (=> ?v_1624 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> ?v_1628 (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> ?v_1632 (=> ?v_1633 (=> ?v_1634 (=> ?v_1635 (=> ?v_1636 (=> ?v_1637 (=> ?v_1638 (=> ?v_1639 (=> (= errorReached.69 errorReached.52) (=> ?v_1640 (=> ?v_1641 (=> ?v_1642 (=> ?v_1643 (=> ?v_1644 (=> ?v_1645 (=> ?v_1646 (=> ?v_1647 (=> ?v_1648 (=> ?v_1649 (=> (= irpCompleted_1.40 irpCompleted_1.30) (=> ?v_1650 (=> ?v_1651 (=> ?v_1652 (=> ?v_1653 (=> ?v_1654 (=> ?v_1655 (=> ?v_1656 (=> ?v_1657 (=> ?v_1658 (=> ?v_1659 (=> ?v_1660 (=> ?v_1661 (=> ?v_1662 (=> ?v_1663 (=> (= Mem_0_T.P_IRP.68 Mem_0_T.P_IRP.46) (=> ?v_1664 (=> ?v_1665 (=> ?v_1666 (=> ?v_1667 (=> ?v_1668 (=> ?v_1669 (=> ?v_993 (=> ?v_1670 (=> ?v_1671 (=> ?v_1672 (=> ?v_1673 (=> ?v_1674 (=> ?v_1675 (=> ?v_1676 (=> ?v_1677 (=> ?v_1678 (=> ?v_1679 (=> ?v_1680 (=> ?v_1681 (=> ?v_1682 (=> ?v_1683 (=> ?v_994 (=> ?v_1684 (=> ?v_1685 (=> ?v_1686 (=> ?v_1687 (=> (= cancelLockStatus_1.70 cancelLockStatus_1.54) (=> (= k.158 k.127) (=> ?v_1688 (=> ?v_1689 (=> ?v_1690 (=> ?v_995 (=> ?v_1691 (=> ?v_1692 (=> ?v_1693 (=> ?v_1694 (=> ?v_1695 (=> ?v_1696 (=> ?v_1697 (=> ?v_1698 (=> ?v_1699 (=> ?v_1700 (=> ?v_1701 (=> ?v_996 (=> ?v_1702 (=> ?v_1703 (=> ?v_1704 (=> ?v_997 (=> ?v_1705 (=> ?v_998 (=> ?v_1706 (=> ?v_1707 (=> ?v_1708 (=> ?v_1709 (=> ?v_999 (=> ?v_1710 (=> ?v_1711 (=> ?v_1712 (=> ?v_1000 (=> (= Mem_0_T.CancelRoutine__IRP.97 Mem_0_T.CancelRoutine__IRP.74) (=> ?v_1713 (=> ?v_1714 (=> ?v_1715 (=> ?v_1716 (=> ?v_1717 (=> ?v_1718 (=> ?v_1719 (=> ?v_1720 (=> ?v_1721 (=> ?v_1722 (=> ?v_1723 (=> ?v_1724 (=> ?v_1725 ?v_1001)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_967 (= cancelLockStatus_1.54 cancelLockStatus_1.53))) (let ((?v_968 (=> (= cancelLockStatus_0.54 cancelLockStatus_0.53) (=> true (=> true (=> true (=> true ?v_965)))))) (?v_966 (= k.127 1)) (?v_964 (= k.127 0))) (let ((?v_1760 (and (=> true (=> (not (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.6 0)) (=> true (=> (<= k.126 k.127) (=> (< k.127 2) (and (=> true (=> ?v_964 (=> true (=> ?v_967 (=> (= cancelLockStatus_0.54 0) ?v_965))))) (=> true (=> (not ?v_964) (and (=> true (=> ?v_966 (=> true (=> (= cancelLockStatus_1.54 0) ?v_968)))) (=> true (=> (not ?v_966) (=> true (=> ?v_967 ?v_968))))))))))))) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.5 0) (and (=> true (=> ?v_969 ?v_1758)) (=> true (=> (not ?v_969) (=> true ?v_1758)))))))) (?v_1759 (= inline.SerialTryToCompleteCurrent.2.myVar_0.5 hirp))) (let ((?v_1761 (and (=> true (=> ?v_1759 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1760)))) (=> true (=> (not ?v_1759) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1760))))))))))) (let ((?v_1762 (=> true (=> true (=> true (=> true ?v_1761))))) (?v_959 (= k.126 1))) (let ((?v_1767 (not ?v_959)) (?v_956 (= k.126 0))) (let ((?v_1765 (not ?v_956))) (let ((?v_1782 (and (=> true (=> ?v_956 (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.3 ?v_957) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.5 inline.SerialTryToCompleteCurrent.2.myVar_0.3) ?v_1761))))) (=> true (=> ?v_1765 (and (=> true (=> ?v_959 (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.4 ?v_1115) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.5 inline.SerialTryToCompleteCurrent.2.myVar_0.4) ?v_1762))))) (=> true (=> ?v_1767 (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.5 inline.SerialTryToCompleteCurrent.2.myVar_0.2) ?v_1762)))))))))) (let ((?v_1796 (=> true (=> true (=> true (=> true ?v_1782))))) (?v_1787 (= inline.SerialRundownIrpRefs.2.myVar_0.14 inline.SerialRundownIrpRefs.2.myVar_0.10)) (?v_1788 (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1789 (= inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs)) (?v_1790 (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1791 (= inline.SerialRundownIrpRefs.2.myNondetVar_0.11 inline.SerialRundownIrpRefs.2.myNondetVar_0.7)) (?v_1792 (= inline.SerialRundownIrpRefs.2.tempBoogie0.5 inline.SerialRundownIrpRefs.2.tempBoogie0.3)) (?v_1793 (= inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1794 (= inline.SerialRundownIrpRefs.2.myNondetVar_1.5 inline.SerialRundownIrpRefs.2.myNondetVar_1.3)) (?v_1795 (= inline.SerialRundownIrpRefs.2.myNondetVar_2.5 inline.SerialRundownIrpRefs.2.myNondetVar_2.3)) (?v_1786 (= inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 0)) (?v_1770 (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..1)) (?v_1771 (= inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.0 call75277formal.ret.0)) (?v_1772 (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0)) (?v_1773 (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.3 inline.sdv_InterlockedDecrement.26.myNondetVar_0.2)) (?v_1774 (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..0 call75277formal.ret.0)) (?v_1775 (= inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_1776 (= inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_1777 (= inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..0 call75277formal.ret.0)) (?v_1778 (= inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_1779 (= inline.SerialCancelTimer.7.myNondetVar_0.2 inline.SerialCancelTimer.7.myNondetVar_0.1)) (?v_1780 (= inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..0 call75277formal.ret.0)) (?v_1781 (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0)) (?v_1769 (= call75277formal.ret.0 0))) (let ((?v_1764 (=> true (=> (forall ((?r7 Int)) (! (=> (and (= (POW2 ?r7) boolTrue) (= (POW2 4) boolTrue) (not (= ?r7 4))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_1.4 ?r7) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_2.4 ?v_43) ?r7) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.8 ?v_43) ?r7)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.9 ?v_43) 4) 0) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.4 (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.10 ?v_43)) (=> true (=> ?v_1770 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.14 inline.SerialRundownIrpRefs.2.myVar_0.13) (=> ?v_1771 (=> ?v_1772 (=> ?v_1773 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.2.myVar_0.13) (=> ?v_1774 (=> (= inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.0 4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.2.myVar_0.13) (=> ?v_1775 (=> ?v_1776 (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_0.11 inline.SerialRundownIrpRefs.2.myNondetVar_0.10) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.5 inline.SerialRundownIrpRefs.2.tempBoogie0.4) (=> ?v_1777 (=> ?v_1778 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_1.5 inline.SerialRundownIrpRefs.2.myNondetVar_1.4) (=> ?v_1779 (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_2.5 inline.SerialRundownIrpRefs.2.myNondetVar_2.4) (=> ?v_1780 (=> ?v_1781 ?v_1782))))))))))))))))))))))))))) (?v_1763 (= inline.SerialRundownIrpRefs.2.myVar_0.13 hirp))) (let ((?v_1766 (and (=> true (=> ?v_1763 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1764)))) (=> true (=> (not ?v_1763) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1764))))))))))) (let ((?v_1768 (=> true (=> true (=> true (=> true ?v_1766))))) (?v_962 (not ?v_1769))) (let ((?v_1785 (and (=> true (=> ?v_962 (and (=> true (=> ?v_956 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.12 ?v_957) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.13 inline.SerialRundownIrpRefs.2.myVar_0.12) ?v_1766))))) (=> true (=> ?v_1765 (and (=> true (=> ?v_959 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.11 ?v_1115) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.13 inline.SerialRundownIrpRefs.2.myVar_0.11) ?v_1768))))) (=> true (=> ?v_1767 (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.13 inline.SerialRundownIrpRefs.2.myVar_0.10) ?v_1768)))))))))) (=> true (=> ?v_1769 (=> true (=> ?v_1770 (=> ?v_1787 (=> ?v_1771 (=> ?v_1772 (=> ?v_1773 (=> ?v_1788 (=> ?v_1774 (=> ?v_1789 (=> ?v_1790 (=> ?v_1775 (=> ?v_1776 (=> ?v_1791 (=> ?v_1792 (=> ?v_1777 (=> ?v_1778 (=> ?v_1793 (=> ?v_1794 (=> ?v_1779 (=> ?v_1795 (=> ?v_1780 (=> ?v_1781 ?v_1796))))))))))))))))))))))))))) (let ((?v_1784 (=> true (=> (= inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.26.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.26.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.2 inline.sdv_InterlockedDecrement.26.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.26.myNondetVar_0.1) (=> (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.SerialCancelTimer.7.myNondetVar_0.1 inline.SerialCancelTimer.7.myNondetVar_0.0) ?v_1785)))))))) (?v_1783 (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.1 0))) (let ((?v_1814 (and (=> true (=> (not ?v_1786) (and (=> true (=> ?v_962 (and (=> true (=> (not ?v_1783) (=> true (=> (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2.) ?v_1784)))) (=> true (=> ?v_1783 (=> true (=> (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..0 call75358formal.ret.0) (=> true (=> true (=> true ?v_1784)))))))))) (=> true (=> ?v_1769 (=> true (=> (= inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.2 inline.sdv_InterlockedDecrement.26.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialCancelTimer.7.myNondetVar_0.1 inline.SerialCancelTimer.7.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true ?v_1785))))))))))))))))) (=> true (=> ?v_1786 (=> true (=> (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2.) (=> ?v_1787 (=> (= inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer) (=> (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.3 inline.sdv_InterlockedDecrement.26.myNondetVar_0) (=> ?v_1788 (=> (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..0 inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5.) (=> ?v_1789 (=> ?v_1790 (=> (= inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1.) (=> ?v_1791 (=> ?v_1792 (=> (= inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2.) (=> (= inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1.) (=> ?v_1793 (=> ?v_1794 (=> (= inline.SerialCancelTimer.7.myNondetVar_0.2 inline.SerialCancelTimer.7.myNondetVar_0) (=> ?v_1795 (=> (= inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..0 inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1.) (=> (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1) ?v_1796))))))))))))))))))))))))))) (let ((?v_1827 (=> true ?v_1814)) (?v_1818 (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1819 (= inline.SerialRundownIrpRefs.2.myNondetVar_2.3 inline.SerialRundownIrpRefs.2.myNondetVar_2.1)) (?v_1820 (= inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs)) (?v_1821 (= inline.SerialRundownIrpRefs.2.myVar_0.10 inline.SerialRundownIrpRefs.2.myVar_0.6)) (?v_1822 (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1823 (= inline.SerialRundownIrpRefs.2.myNondetVar_0.7 inline.SerialRundownIrpRefs.2.myNondetVar_0.3)) (?v_1824 (= inline.SerialRundownIrpRefs.2.tempBoogie0.3 inline.SerialRundownIrpRefs.2.tempBoogie0.1)) (?v_1825 (= inline.SerialRundownIrpRefs.2.myNondetVar_1.3 inline.SerialRundownIrpRefs.2.myNondetVar_1.1)) (?v_1826 (= inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1802 (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..0 call74996formal.ret.0)) (?v_1803 (= inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_1804 (= inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_1805 (= inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..0 call74996formal.ret.0)) (?v_1806 (= inline.SerialCancelTimer.6.myNondetVar_0.2 inline.SerialCancelTimer.6.myNondetVar_0.1)) (?v_1807 (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.0 0)) (?v_1808 (= inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.0 call74996formal.ret.0)) (?v_1809 (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..1)) (?v_1810 (= inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..0 call74996formal.ret.0)) (?v_1811 (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.3 inline.sdv_InterlockedDecrement.25.myNondetVar_0.2)) (?v_1812 (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.0 0)) (?v_1813 (= inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_1801 (= call74996formal.ret.0 0))) (let ((?v_1798 (=> true (=> (forall ((?r8 Int)) (! (=> (and (= (POW2 ?r8) boolTrue) (= (POW2 8) boolTrue) (not (= ?r8 8))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_1.2 ?r8) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_2.2 ?v_40) ?r8) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.4 ?v_40) ?r8)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.5 ?v_40) 8) 0) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.2 (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.6 ?v_40)) (=> true (=> ?v_1802 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.2.myVar_0.9) (=> ?v_1803 (=> ?v_1804 (=> ?v_1805 (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_2.3 inline.SerialRundownIrpRefs.2.myNondetVar_2.2) (=> (= inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.0 8) (=> ?v_1806 (=> ?v_1807 (=> ?v_1808 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.10 inline.SerialRundownIrpRefs.2.myVar_0.9) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.2.myVar_0.9) (=> ?v_1809 (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_0.7 inline.SerialRundownIrpRefs.2.myNondetVar_0.6) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.3 inline.SerialRundownIrpRefs.2.tempBoogie0.2) (=> ?v_1810 (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_1.3 inline.SerialRundownIrpRefs.2.myNondetVar_1.2) (=> ?v_1811 (=> ?v_1812 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_1813 ?v_1814))))))))))))))))))))))))))) (?v_1797 (= inline.SerialRundownIrpRefs.2.myVar_0.9 hirp))) (let ((?v_1799 (and (=> true (=> ?v_1797 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1798)))) (=> true (=> (not ?v_1797) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1798))))))))))) (let ((?v_1800 (=> true (=> true (=> true (=> true ?v_1799))))) (?v_961 (not ?v_1801))) (let ((?v_1817 (and (=> true (=> ?v_961 (and (=> true (=> ?v_956 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.8 ?v_957) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.9 inline.SerialRundownIrpRefs.2.myVar_0.8) ?v_1799))))) (=> true (=> ?v_1765 (and (=> true (=> ?v_959 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.7 ?v_1115) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.9 inline.SerialRundownIrpRefs.2.myVar_0.7) ?v_1800))))) (=> true (=> ?v_1767 (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.9 inline.SerialRundownIrpRefs.2.myVar_0.6) ?v_1800)))))))))) (=> true (=> ?v_1801 (=> true (=> ?v_1802 (=> ?v_1818 (=> ?v_1803 (=> ?v_1804 (=> ?v_1805 (=> ?v_1819 (=> ?v_1820 (=> ?v_1806 (=> ?v_1807 (=> ?v_1808 (=> ?v_1821 (=> ?v_1822 (=> ?v_1809 (=> ?v_1823 (=> ?v_1824 (=> ?v_1810 (=> ?v_1825 (=> ?v_1811 (=> ?v_1812 (=> ?v_1826 (=> ?v_1813 ?v_1827))))))))))))))))))))))))))) (let ((?v_1816 (=> true (=> (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.2 inline.sdv_InterlockedDecrement.25.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.25.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.25.myNondetVar_0.1) (=> (= inline.SerialCancelTimer.6.myNondetVar_0.1 inline.SerialCancelTimer.6.myNondetVar_0.0) (=> (= inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.25.myNondetVar_0.1) ?v_1817)))))))) (?v_1815 (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.1 0))) (let ((?v_1845 (and (=> true (=> ?v_31 (and (=> true (=> ?v_961 (and (=> true (=> (not ?v_1815) (=> true (=> (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2.) ?v_1816)))) (=> true (=> ?v_1815 (=> true (=> (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..0 call75077formal.ret.0) (=> true (=> true (=> true ?v_1816)))))))))) (=> true (=> ?v_1801 (=> true (=> (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.2 inline.sdv_InterlockedDecrement.25.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialCancelTimer.6.myNondetVar_0.1 inline.SerialCancelTimer.6.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> true (=> true (=> true (=> true (=> true ?v_1817))))))))))))))))) (=> true (=> ?v_0 (=> true (=> (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..0 inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3.) (=> ?v_1818 (=> (= inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2.) (=> ?v_1819 (=> ?v_1820 (=> (= inline.SerialCancelTimer.6.myNondetVar_0.2 inline.SerialCancelTimer.6.myNondetVar_0) (=> (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1) (=> (= inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer) (=> ?v_1821 (=> ?v_1822 (=> (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2.) (=> ?v_1823 (=> ?v_1824 (=> (= inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..0 inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1.) (=> ?v_1825 (=> (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.3 inline.sdv_InterlockedDecrement.25.myNondetVar_0) (=> (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer) (=> ?v_1826 (=> (= inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1.) ?v_1827)))))))))))))))))))))))))) (?v_1843 (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.71 (int_2_U (CancelRoutine__IRP ?v_957)))) 0)) (?v_1844 (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.71 (int_2_U (CancelRoutine__IRP ?v_1115)))) 0))) (let ((?v_1828 (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.6 inline.SerialRundownIrpRefs.2.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.0 2) (=> (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialRundownIrpRefs.2.myVar_0.5) (=> (= Mem_0_T.CancelRoutine__IRP.74 Mem_0_T.CancelRoutine__IRP.73) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.2.myVar_0.2) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.1 inline.SerialRundownIrpRefs.2.tempBoogie0.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.2.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialRundownIrpRefs.2.myVar_0.5) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_0.3 inline.SerialRundownIrpRefs.2.myNondetVar_0.2) (=> (= errorReached.52 errorReached.51) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= Mem_1_T.CancelRoutine__IRP.74 Mem_1_T.CancelRoutine__IRP.73) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_1.1 inline.SerialRundownIrpRefs.2.myNondetVar_1.0) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_2.1 inline.SerialRundownIrpRefs.2.myNondetVar_2.0) ?v_1845)))))))))))))))))))) (let ((?v_1831 (=> true (=> true (=> true (=> true (=> true (=> true ?v_1828))))))) (?v_1829 (= Mem_0_T.CancelRoutine__IRP.73 Mem_0_T.CancelRoutine__IRP.71)) (?v_1830 (= Mem_1_T.CancelRoutine__IRP.73 Mem_1_T.CancelRoutine__IRP.71)) (?v_960 (int_2_U (CancelRoutine__IRP inline.SerialRundownIrpRefs.2.myVar_0.5)))) (let ((?v_1832 (and (=> true (=> ?v_956 (=> (= Mem_0_T.CancelRoutine__IRP.72 (MapType0Store Mem_0_T.CancelRoutine__IRP.71 ?v_960 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.73 Mem_0_T.CancelRoutine__IRP.72) (=> ?v_1830 ?v_1828)))))) (=> true (=> ?v_1765 (and (=> true (=> ?v_959 (=> (= Mem_1_T.CancelRoutine__IRP.72 (MapType0Store Mem_1_T.CancelRoutine__IRP.71 ?v_960 ?v_38)) (=> true (=> ?v_1829 (=> (= Mem_1_T.CancelRoutine__IRP.73 Mem_1_T.CancelRoutine__IRP.72) ?v_1831)))))) (=> true (=> ?v_1767 (=> true (=> ?v_1829 (=> ?v_1830 ?v_1831))))))))))) (let ((?v_1834 (=> true (=> (= errorReached.51 errorReached.50) (=> true ?v_1832)))) (?v_1833 (= inline.SerialRundownIrpRefs.2.myVar_0.5 hirp))) (let ((?v_1835 (and (=> true (=> ?v_1833 (and (=> true (=> (=> ?v_956 ?v_984) (=> (=> ?v_959 ?v_985) (=> true (=> (= errorReached.51 1) ?v_1832))))) (=> true (=> (=> ?v_956 ?v_1053) (=> (=> ?v_959 ?v_1054) ?v_1834)))))) (=> true (=> (not ?v_1833) ?v_1834))))) (let ((?v_1836 (=> true (=> true ?v_1835)))) (let ((?v_1837 (and (=> true (=> ?v_956 (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.71 ?v_960))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_1835))))) (=> true (=> ?v_1765 (and (=> true (=> ?v_959 (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.71 ?v_960))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_1836))))) (=> true (=> ?v_1767 (=> true (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_1836)))))))))) (let ((?v_1838 (=> true (=> true (=> true (=> true (=> true ?v_1837))))))) (let ((?v_1840 (=> true (=> (forall ((?r9 Int)) (! (=> (and (= (POW2 ?r9) boolTrue) (= (POW2 2) boolTrue) (not (= ?r9 2))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_1.0 ?r9) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_2.0 ?v_35) ?r9) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.0 ?v_35) ?r9)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.1 ?v_35) 2) 0) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.0 (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.2 ?v_35)) (and (=> true (=> ?v_956 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.4 ?v_957) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.5 inline.SerialRundownIrpRefs.2.myVar_0.4) ?v_1837))))) (=> true (=> ?v_1765 (and (=> true (=> ?v_959 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.3 ?v_1115) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.5 inline.SerialRundownIrpRefs.2.myVar_0.3) ?v_1838))))) (=> true (=> ?v_1767 (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.5 inline.SerialRundownIrpRefs.2.myVar_0.2) ?v_1838))))))))))))) (?v_1839 (= inline.SerialRundownIrpRefs.2.myVar_0.2 hirp))) (let ((?v_1841 (and (=> true (=> ?v_1839 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1840)))) (=> true (=> (not ?v_1839) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1840))))))))))) (let ((?v_1842 (=> true (=> true (=> true (=> true ?v_1841)))))) (let ((?v_1848 (and (=> true (=> (=> ?v_956 (not ?v_1843)) (=> (=> ?v_959 (not ?v_1844)) (and (=> true (=> ?v_956 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.0 ?v_957) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.2 inline.SerialRundownIrpRefs.2.myVar_0.0) ?v_1841))))) (=> true (=> ?v_1765 (and (=> true (=> ?v_959 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.1 ?v_1115) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.2 inline.SerialRundownIrpRefs.2.myVar_0.1) ?v_1842))))) (=> true (=> ?v_1767 (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.2 inline.SerialRundownIrpRefs.2.myVar_0) ?v_1842))))))))))) (=> true (=> (=> ?v_956 ?v_1843) (=> (=> ?v_959 ?v_1844) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.6 inline.SerialRundownIrpRefs.2.myVar_0) (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs) (=> (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= Mem_0_T.CancelRoutine__IRP.74 Mem_0_T.CancelRoutine__IRP.71) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.1 inline.SerialRundownIrpRefs.2.tempBoogie0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_0.3 inline.SerialRundownIrpRefs.2.myNondetVar_0) (=> (= errorReached.52 errorReached.50) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= Mem_1_T.CancelRoutine__IRP.74 Mem_1_T.CancelRoutine__IRP.71) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_1.1 inline.SerialRundownIrpRefs.2.myNondetVar_1) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_2.1 inline.SerialRundownIrpRefs.2.myNondetVar_2) (=> true ?v_1845))))))))))))))))))))))))) (let ((?v_1847 (=> true (=> (= inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.4 inline.SerialTryToCompleteCurrent.2.myNondetVar_0.3) (=> (= inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGrabWriteFromIsr) (=> (= inline.KeSynchronizeExecution.12.myNondetVar_0.7 inline.KeSynchronizeExecution.12.myNondetVar_0.6) (=> (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGrabWriteFromIsr) ?v_1848))))))))) (let ((?v_1850 (=> true (=> (forall ((?r10 Int)) (! (=> (and (= (POW2 ?r10) boolTrue) (= (POW2 2) boolTrue) (not (= ?r10 2))) (= (not (= (BIT_BAND inline.SerialTryToCompleteCurrent.2.myNondetVar_1.0 ?r10) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.2.myNondetVar_2.0 ?v_35) ?r10) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.2.myNondetVar_0.0 ?v_35) ?r10)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.2.myNondetVar_0.1 ?v_35) 2) 0) (and (=> true (=> ?v_955 (and (=> true (=> ?v_955 (=> true (=> (= inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.12..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.12..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.12.myNondetVar_0.6 inline.KeSynchronizeExecution.12.myNondetVar_0.5) ?v_1847)))))) (=> true (=> ?v_1846 (=> true (=> (= inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.12.myNondetVar_0.6 inline.KeSynchronizeExecution.12.myNondetVar_0) (=> true (=> true (=> true ?v_1847)))))))))))) (=> true (=> ?v_1846 (=> true (=> (= inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.4 inline.SerialTryToCompleteCurrent.2.myNondetVar_0.2) (=> (= inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.KeSynchronizeExecution.12.myNondetVar_0.7 inline.KeSynchronizeExecution.12.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> true (=> true (=> true (=> true ?v_1848)))))))))))))))))) (?v_1849 (= inline.SerialTryToCompleteCurrent.2.myVar_0.2 hirp))) (let ((?v_1851 (and (=> true (=> ?v_1849 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1850)))) (=> true (=> (not ?v_1849) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1850))))))))))) (let ((?v_1852 (=> true (=> true (=> true (=> true ?v_1851)))))) (let ((?v_1854 (=> true (=> ?v_969 (=> (= inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0 (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2)) (=> (= inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 (WriteQueue__SERIAL_DEVICE_EXTENSION inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2)) (=> (= inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2)) (=> true (and ?v_29 (=> ?v_29 (=> (> call74315formal.new.0 0) (=> (forall ((?x1601 Int)) (! (=> (and (<= call74315formal.new.0 ?x1601) (< ?x1601 (+ call74315formal.new.0 4))) (= (Base ?x1601) call74315formal.new.0)) :pattern ((Base ?x1601)) )) (=> (forall ((?x1602 boogieU)) (! (=> (= (type ?x1602) intType) (or (= (U_2_int ?x1602) call74315formal.new.0) (= (MapType0Select alloc.76 ?x1602) (MapType0Select alloc.77 ?x1602)))) :pattern ((MapType0Select alloc.77 ?x1602)) )) (=> (and (= (MapType0Select alloc.76 ?v_954) UNALLOCATED) (= (MapType0Select alloc.77 ?v_954) ALLOCATED)) (=> true (=> (<= k.125 k.126) (=> (< k.126 2) (and (=> true (=> ?v_956 (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.1 ?v_957) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.2 inline.SerialTryToCompleteCurrent.2.myVar_0.1) ?v_1851))))) (=> true (=> ?v_1765 (and (=> true (=> ?v_959 (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.0 ?v_1115) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.2 inline.SerialTryToCompleteCurrent.2.myVar_0.0) ?v_1852))))) (=> true (=> ?v_1767 (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.2 inline.SerialTryToCompleteCurrent.2.myVar_0) ?v_1852))))))))))))))))))))))))) (let ((?v_1856 (=> true (=> true ?v_1854))) (?v_1855 (= k.125 1)) (?v_1853 (= k.125 0))) (let ((?v_1857 (=> true (=> (<= k.124 k.125) (=> (< k.125 2) (and (=> true (=> ?v_1853 (=> (= inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.0 ?v_25) (=> true (=> (= inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2 inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.0) ?v_1854))))) (=> true (=> (not ?v_1853) (and (=> true (=> ?v_1855 (=> (= inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.1 ?v_945) (=> true (=> (= inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2 inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.1) ?v_1856))))) (=> true (=> (not ?v_1855) (=> true (=> (= inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2 inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite) ?v_1856))))))))))))) (let ((?v_1860 (=> true (=> true (=> true (=> true (=> true ?v_1857)))))) (?v_1858 (= Mem_0_T.CancelRoutine__IRP.71 Mem_0_T.CancelRoutine__IRP.69)) (?v_1859 (= Mem_1_T.CancelRoutine__IRP.71 Mem_1_T.CancelRoutine__IRP.69)) (?v_2154 (not ?v_951)) (?v_2150 (not ?v_950))) (let ((?v_2153 (and (=> true (=> (=> ?v_950 ?v_1861) (=> (=> ?v_951 ?v_1862) (and (=> true (=> ?v_950 (=> (= Mem_0_T.CancelRoutine__IRP.70 (MapType0Store Mem_0_T.CancelRoutine__IRP.69 ?v_952 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.71 Mem_0_T.CancelRoutine__IRP.70) (=> ?v_1859 ?v_1857)))))) (=> true (=> ?v_2150 (and (=> true (=> ?v_951 (=> (= Mem_1_T.CancelRoutine__IRP.70 (MapType0Store Mem_1_T.CancelRoutine__IRP.69 ?v_952 ?v_38)) (=> true (=> ?v_1858 (=> (= Mem_1_T.CancelRoutine__IRP.71 Mem_1_T.CancelRoutine__IRP.70) ?v_1860)))))) (=> true (=> ?v_2154 (=> true (=> ?v_1858 (=> ?v_1859 ?v_1860)))))))))))) (=> true (=> (=> ?v_950 (not ?v_1861)) (=> (=> ?v_951 (not ?v_1862)) (=> true (=> ?v_1863 (=> ?v_1864 (=> ?v_1865 (=> ?v_1866 (=> ?v_1867 (=> ?v_1868 (=> ?v_1869 (=> ?v_1870 (=> ?v_1871 (=> ?v_1872 (=> ?v_1873 (=> ?v_1874 (=> ?v_1875 (=> ?v_1876 (=> ?v_1877 (=> ?v_1878 (=> ?v_1879 (=> ?v_1880 (=> ?v_1881 (=> ?v_1882 (=> ?v_1883 (=> ?v_1884 (=> ?v_1885 (=> ?v_1886 (=> ?v_1887 (=> ?v_1888 (=> ?v_1889 (=> ?v_1890 (=> ?v_1891 (=> ?v_1892 (=> ?v_1893 (=> ?v_1894 (=> ?v_1895 (=> ?v_1896 (=> ?v_1897 (=> ?v_1898 (=> ?v_1899 (=> ?v_1900 (=> ?v_1901 (=> ?v_1902 (=> ?v_1903 (=> ?v_1904 (=> ?v_1905 (=> ?v_1906 (=> ?v_1907 (=> ?v_1908 (=> ?v_1909 (=> ?v_1910 (=> ?v_1911 (=> ?v_1912 (=> ?v_1913 (=> ?v_1914 (=> ?v_1915 (=> ?v_1916 (=> ?v_1917 (=> ?v_1918 (=> ?v_1919 (=> ?v_1920 (=> ?v_1921 (=> ?v_1922 (=> ?v_1923 (=> ?v_1924 (=> ?v_1925 (=> ?v_1926 (=> ?v_1927 (=> ?v_1928 (=> ?v_1929 (=> ?v_1930 (=> ?v_1931 (=> ?v_1932 (=> ?v_1933 (=> ?v_1934 (=> ?v_1935 (=> ?v_1936 (=> ?v_1937 (=> ?v_1938 (=> ?v_1939 (=> ?v_1940 (=> ?v_1941 (=> ?v_1942 (=> ?v_1943 (=> ?v_1944 (=> (= cancelLockStatus_1.71 cancelLockStatus_1.53) (=> ?v_1945 (=> ?v_1946 (=> ?v_1947 (=> ?v_1948 (=> ?v_1949 (=> ?v_1950 (=> ?v_1951 (=> ?v_1952 (=> ?v_1953 (=> ?v_1954 (=> ?v_1955 (=> ?v_1956 (=> ?v_1957 (=> (= cancelLockStatus_0.71 cancelLockStatus_0.53) (=> ?v_1958 (=> ?v_1959 (=> ?v_1960 (=> ?v_1961 (=> ?v_1962 (=> ?v_1963 (=> ?v_1964 (=> ?v_1965 (=> ?v_1966 (=> ?v_1967 (=> ?v_1968 (=> ?v_1969 (=> ?v_1970 (=> ?v_1971 (=> ?v_1972 (=> ?v_1973 (=> ?v_1974 (=> ?v_1975 (=> ?v_1976 (=> ?v_1977 (=> ?v_1978 (=> ?v_1979 (=> ?v_1980 (=> ?v_1981 (=> ?v_1982 (=> ?v_1983 (=> ?v_1984 (=> ?v_1985 (=> ?v_1986 (=> ?v_1987 (=> ?v_1988 (=> ?v_1989 (=> ?v_1990 (=> ?v_1991 (=> ?v_1992 (=> ?v_1993 (=> ?v_1994 (=> ?v_1995 (=> ?v_1996 (=> ?v_1997 (=> ?v_1998 (=> ?v_1999 (=> ?v_2000 (=> ?v_2001 (=> ?v_2002 (=> ?v_2003 (=> ?v_2004 (=> ?v_2005 (=> ?v_2006 (=> ?v_2007 (=> ?v_2008 (=> ?v_2009 (=> ?v_2010 (=> ?v_2011 (=> ?v_2012 (=> ?v_2013 (=> ?v_2014 (=> ?v_2015 (=> ?v_2016 (=> ?v_2017 (=> ?v_2018 (=> ?v_2019 (=> ?v_2020 (=> ?v_2021 (=> ?v_2022 (=> ?v_2023 (=> ?v_2024 (=> ?v_2025 (=> ?v_2026 (=> ?v_2027 (=> ?v_2028 (=> ?v_2029 (=> ?v_2030 (=> ?v_2031 (=> ?v_2032 (=> ?v_2033 (=> ?v_2034 (=> ?v_2035 (=> ?v_2036 (=> ?v_2037 (=> ?v_2038 (=> ?v_2039 (=> ?v_2040 (=> ?v_2041 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_2046 (=> ?v_2047 (=> ?v_2048 (=> ?v_2049 (=> ?v_2050 (=> ?v_2051 (=> ?v_2052 (=> ?v_2053 (=> ?v_2054 (=> ?v_2055 (=> ?v_2056 (=> ?v_2057 (=> ?v_2058 (=> ?v_2059 (=> ?v_2060 (=> ?v_2061 (=> ?v_2062 (=> ?v_2063 (=> ?v_2064 (=> ?v_2065 (=> ?v_2066 (=> ?v_2067 (=> ?v_2068 (=> ?v_2069 (=> ?v_2070 (=> ?v_2071 (=> ?v_2072 (=> ?v_2073 (=> ?v_2074 (=> ?v_2075 (=> ?v_2076 (=> ?v_2077 (=> ?v_2078 (=> ?v_2079 (=> ?v_2080 (=> ?v_2081 (=> ?v_2082 (=> ?v_2083 (=> ?v_2084 (=> ?v_2085 (=> ?v_2086 (=> ?v_2087 (=> ?v_2088 (=> ?v_2089 (=> ?v_2090 (=> ?v_2091 (=> ?v_2092 (=> ?v_2093 (=> ?v_2094 (=> ?v_2095 (=> ?v_2096 (=> ?v_2097 (=> ?v_2098 (=> ?v_2099 (=> ?v_2100 (=> ?v_2101 (=> ?v_2102 (=> ?v_2103 (=> ?v_2104 (=> ?v_2105 (=> ?v_2106 (=> ?v_2107 (=> ?v_2108 (=> ?v_2109 (=> ?v_2110 (=> ?v_2111 (=> ?v_2112 (=> ?v_2113 (=> ?v_2114 (=> ?v_2115 (=> ?v_2116 (=> ?v_2117 (=> ?v_2118 (=> ?v_2119 (=> ?v_2120 (=> ?v_2121 (=> ?v_2122 (=> ?v_2123 (=> ?v_2124 (=> ?v_2125 (=> ?v_2126 (=> ?v_2127 (=> ?v_2128 (=> ?v_2129 (=> ?v_2130 (=> ?v_2131 (=> ?v_2132 (=> ?v_2133 (=> ?v_2134 (=> ?v_2135 (=> ?v_2136 (=> ?v_2137 (=> ?v_2138 (=> ?v_2139 (=> ?v_2140 (=> ?v_2141 (=> ?v_2142 (=> ?v_2143 (=> ?v_2144 (=> ?v_2145 (=> ?v_2146 (=> ?v_2147 (=> ?v_2148 ?v_2149))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2157 (=> true (=> true ?v_2153))) (?v_2155 (= Mem_0_T.Cancel__IRP.1 Mem_0_T.Cancel__IRP)) (?v_2156 (= Mem_1_T.Cancel__IRP.1 Mem_1_T.Cancel__IRP)) (?v_2151 (int_2_U (Cancel__IRP hirp))) (?v_2152 (int_2_U 1))) (let ((?v_2158 (and (=> true (=> ?v_950 (=> (= Mem_0_T.Cancel__IRP.0 (MapType0Store Mem_0_T.Cancel__IRP ?v_2151 ?v_2152)) (=> true (=> (= Mem_0_T.Cancel__IRP.1 Mem_0_T.Cancel__IRP.0) (=> ?v_2156 ?v_2153)))))) (=> true (=> ?v_2150 (and (=> true (=> ?v_951 (=> (= Mem_1_T.Cancel__IRP.0 (MapType0Store Mem_1_T.Cancel__IRP ?v_2151 ?v_2152)) (=> true (=> ?v_2155 (=> (= Mem_1_T.Cancel__IRP.1 Mem_1_T.Cancel__IRP.0) ?v_2157)))))) (=> true (=> ?v_2154 (=> true (=> ?v_2155 (=> ?v_2156 ?v_2157)))))))))) (?v_2159 (= cancelLockStatus_1.53 cancelLockStatus_1.52))) (let ((?v_2160 (=> (= cancelLockStatus_0.53 cancelLockStatus_0.52) (=> true (=> true ?v_2158)))) (?v_7 (int_2_U (CancelRoutine__IRP x.tmpIrp.2.6628.7.sdv_main))) (?v_949 (= call68366formal.ret.0 0))) (let ((?v_2941 (=> true (=> (<= 0 k.124) (=> (< k.124 2) (and (=> true (=> (not ?v_949) (=> true (=> ?v_1863 (=> ?v_1864 (=> ?v_1865 (=> ?v_1866 (=> ?v_1867 (=> ?v_1868 (=> ?v_1869 (=> ?v_1870 (=> ?v_1871 (=> ?v_1872 (=> ?v_1873 (=> ?v_1874 (=> ?v_1875 (=> ?v_1876 (=> ?v_1877 (=> ?v_1878 (=> ?v_1879 (=> ?v_1880 (=> ?v_1881 (=> ?v_1882 (=> ?v_1883 (=> ?v_1884 (=> ?v_1885 (=> ?v_1886 (=> ?v_1887 (=> ?v_1888 (=> ?v_1889 (=> ?v_1890 (=> ?v_1891 (=> ?v_1892 (=> ?v_1893 (=> ?v_1894 (=> ?v_1895 (=> ?v_1896 (=> ?v_1897 (=> ?v_1898 (=> ?v_1899 (=> ?v_1900 (=> ?v_1901 (=> ?v_1902 (=> ?v_1903 (=> ?v_1904 (=> ?v_1905 (=> ?v_1906 (=> ?v_1907 (=> ?v_1908 (=> ?v_1909 (=> ?v_1910 (=> ?v_1911 (=> ?v_1912 (=> ?v_1913 (=> ?v_1914 (=> ?v_1915 (=> ?v_1916 (=> ?v_1917 (=> ?v_1918 (=> ?v_1919 (=> ?v_1920 (=> ?v_1921 (=> ?v_1922 (=> ?v_1923 (=> ?v_1924 (=> ?v_1925 (=> ?v_1926 (=> ?v_1927 (=> ?v_1928 (=> ?v_1929 (=> ?v_1930 (=> ?v_1931 (=> ?v_1932 (=> ?v_1933 (=> ?v_1934 (=> ?v_1935 (=> ?v_1936 (=> ?v_1937 (=> ?v_1938 (=> ?v_1939 (=> ?v_1940 (=> ?v_1941 (=> ?v_1942 (=> ?v_1943 (=> ?v_1944 (=> (= cancelLockStatus_1.71 cancelLockStatus_1.52) (=> ?v_1945 (=> ?v_1946 (=> ?v_1947 (=> ?v_1948 (=> ?v_1949 (=> ?v_1950 (=> ?v_1951 (=> ?v_1952 (=> ?v_1953 (=> ?v_1954 (=> ?v_1955 (=> ?v_1956 (=> ?v_1957 (=> (= cancelLockStatus_0.71 cancelLockStatus_0.52) (=> ?v_1958 (=> ?v_1959 (=> ?v_1960 (=> ?v_1961 (=> ?v_1962 (=> ?v_1963 (=> ?v_1964 (=> ?v_1965 (=> ?v_1966 (=> ?v_1967 (=> ?v_1968 (=> ?v_1969 (=> ?v_1970 (=> ?v_1971 (=> ?v_1972 (=> ?v_1973 (=> ?v_1974 (=> ?v_1975 (=> ?v_1976 (=> ?v_1977 (=> ?v_1978 (=> ?v_1979 (=> ?v_1980 (=> ?v_1981 (=> ?v_1982 (=> ?v_1983 (=> ?v_1984 (=> ?v_1985 (=> ?v_1986 (=> ?v_1987 (=> ?v_1988 (=> ?v_1989 (=> ?v_1990 (=> ?v_1991 (=> ?v_1992 (=> ?v_1993 (=> ?v_1994 (=> ?v_1995 (=> ?v_1996 (=> ?v_1997 (=> ?v_1998 (=> ?v_1999 (=> ?v_2000 (=> ?v_2001 (=> ?v_2002 (=> ?v_2003 (=> ?v_2004 (=> ?v_2005 (=> ?v_2006 (=> ?v_2007 (=> ?v_2008 (=> ?v_2009 (=> ?v_2010 (=> ?v_2011 (=> ?v_2012 (=> ?v_2013 (=> ?v_2014 (=> ?v_2015 (=> (= Mem_0_T.Cancel__IRP.2 Mem_0_T.Cancel__IRP) (=> ?v_2017 (=> ?v_2018 (=> ?v_2019 (=> ?v_2020 (=> ?v_2021 (=> ?v_2022 (=> ?v_2023 (=> ?v_2024 (=> ?v_2025 (=> ?v_2026 (=> ?v_2027 (=> ?v_2028 (=> ?v_2029 (=> ?v_2030 (=> ?v_2031 (=> ?v_2032 (=> ?v_2033 (=> ?v_2034 (=> ?v_2035 (=> ?v_2036 (=> ?v_2037 (=> ?v_2038 (=> ?v_2039 (=> ?v_2040 (=> ?v_2041 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_2046 (=> ?v_2047 (=> ?v_2048 (=> ?v_2049 (=> ?v_2050 (=> ?v_2051 (=> ?v_2052 (=> (= Mem_1_T.Cancel__IRP.2 Mem_1_T.Cancel__IRP) (=> ?v_2054 (=> ?v_2055 (=> ?v_2056 (=> ?v_2057 (=> ?v_2058 (=> ?v_2059 (=> ?v_2060 (=> ?v_2061 (=> ?v_2062 (=> ?v_2063 (=> ?v_2064 (=> ?v_2065 (=> ?v_2066 (=> ?v_2067 (=> ?v_2068 (=> ?v_2069 (=> ?v_2070 (=> ?v_2071 (=> ?v_2072 (=> ?v_2073 (=> ?v_2074 (=> ?v_2075 (=> ?v_2076 (=> ?v_2077 (=> ?v_2078 (=> ?v_2079 (=> ?v_2080 (=> ?v_2081 (=> ?v_2082 (=> ?v_2083 (=> ?v_2084 (=> ?v_2085 (=> ?v_2086 (=> ?v_2087 (=> ?v_2088 (=> ?v_2089 (=> ?v_2090 (=> ?v_2091 (=> ?v_2092 (=> ?v_2093 (=> ?v_2094 (=> ?v_2095 (=> ?v_2096 (=> ?v_2097 (=> ?v_2098 (=> ?v_2099 (=> ?v_2100 (=> ?v_2101 (=> ?v_2102 (=> ?v_2103 (=> ?v_2104 (=> ?v_2105 (=> ?v_2106 (=> ?v_2107 (=> ?v_2108 (=> ?v_2109 (=> ?v_2110 (=> ?v_2111 (=> ?v_2112 (=> ?v_2113 (=> ?v_2114 (=> ?v_2115 (=> ?v_2116 (=> ?v_2117 (=> ?v_2118 (=> ?v_2119 (=> ?v_2120 (=> ?v_2121 (=> ?v_2122 (=> ?v_2123 (=> ?v_2124 (=> ?v_2125 (=> ?v_2126 (=> ?v_2127 (=> ?v_2128 (=> ?v_2129 (=> ?v_2130 (=> ?v_2131 (=> ?v_2132 (=> ?v_2133 (=> ?v_2134 (=> ?v_2135 (=> ?v_2136 (=> ?v_2137 (=> ?v_2138 (=> ?v_2139 (=> ?v_2140 (=> ?v_2141 (=> ?v_2142 (=> ?v_2143 (=> ?v_2144 (=> ?v_2145 (=> ?v_2146 (=> ?v_2147 (=> ?v_2148 ?v_963))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_949 (=> true (=> (=> ?v_950 (not (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.69 ?v_7)) 0))) (=> (=> ?v_951 (not (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.69 ?v_7)) 0))) (=> true (=> (=> ?v_950 (= cancelLockStatus_0.52 0)) (=> (=> ?v_951 (= cancelLockStatus_1.52 0)) (and (=> true (=> ?v_950 (=> true (=> ?v_2159 (=> (= cancelLockStatus_0.53 1) ?v_2158))))) (=> true (=> ?v_2150 (and (=> true (=> ?v_951 (=> true (=> (= cancelLockStatus_1.53 1) ?v_2160)))) (=> true (=> ?v_2154 (=> true (=> ?v_2159 ?v_2160)))))))))))))))))))))) (let ((?v_2984 (=> true (=> true (=> true (=> true (=> true (=> true ?v_2941))))))) (?v_2950 (= inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2185 (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2.)) (?v_2186 (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.5 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer)) (?v_2187 (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..6 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.)) (?v_2188 (= inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.1 inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite)) (?v_2189 (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2.)) (?v_2190 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_2191 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.8 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_2192 (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2193 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_2194 (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.2.havoc_stringTemp)) (?v_2195 (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2196 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..6 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_2197 (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.6 inline.sdv_InterlockedDecrement.14.myNondetVar_0)) (?v_2198 (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.3 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite)) (?v_2199 (= Mem_0_T.P_IRP.46 Mem_0_T.P_IRP)) (?v_2200 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.3 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1)) (?v_2201 (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..5 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1.)) (?v_2202 (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.4 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead)) (?v_2203 (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp)) (?v_2204 (= inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.1 inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1)) (?v_2205 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.5 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_2951 (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1)) (?v_2206 (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer)) (?v_2207 (= inline.SerialRundownIrpRefs.0.myNondetVar_0.14 inline.SerialRundownIrpRefs.0.myNondetVar_0)) (?v_2208 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2209 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.10 inline.SerialTryToCompleteCurrent.0.myNondetVar_0)) (?v_2210 (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_2211 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.5 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_2212 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.6 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2213 (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2214 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.4 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_2215 (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2216 (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.5 inline.sdv_InterlockedDecrement.8.myNondetVar_0)) (?v_2217 (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1)) (?v_2218 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_2219 (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.4 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead)) (?v_2220 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.5 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2221 (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_2222 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.7 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_2223 (= inline.SerialGetNextIrp.0.myNondetVar_0.5 inline.SerialGetNextIrp.0.myNondetVar_0)) (?v_2224 (= inline.SerialRundownIrpRefs.0.myVar_0.17 inline.SerialRundownIrpRefs.0.myVar_0)) (?v_2225 (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2226 (= inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.2 inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite)) (?v_2227 (= inline.RemoveHeadList.1.myNondetVar_0.7 inline.RemoveHeadList.1.myNondetVar_0)) (?v_2228 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer)) (?v_2229 (= inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue)) (?v_2230 (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.7 inline.sdv_InterlockedDecrement.4.myNondetVar_0)) (?v_2231 (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4.)) (?v_2952 (= inline.SerialWrite.0..result.SerialDbgPrintEx.118.20.9..1 inline.SerialWrite.0..result.SerialDbgPrintEx.118.20.9..0)) (?v_2232 (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2233 (= inline.SerialStartWrite.0.havoc_stringTemp.1 inline.SerialStartWrite.0.havoc_stringTemp)) (?v_2234 (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2235 (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_2236 (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..5 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2237 (= inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.1 inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead)) (?v_2238 (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2240 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2241 (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.3 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead)) (?v_2242 (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1)) (?v_2243 (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2.)) (?v_2244 (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.5 inline.sdv_InterlockedIncrement.5.myNondetVar_0)) (?v_2245 (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.5 inline.SerialGetNextIrpLocked.1.havoc_stringTemp)) (?v_2246 (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1)) (?v_2247 (= inline.SerialRundownIrpRefs.0.tempBoogie0.8 inline.SerialRundownIrpRefs.0.tempBoogie0)) (?v_2248 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_2249 (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2.)) (?v_2250 (= inline.SerialGetNextWrite.1.tempBoogie0.8 inline.SerialGetNextWrite.1.tempBoogie0)) (?v_2251 (= inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.2 inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite)) (?v_2252 (= inline.SerialGetNextWrite.0.havoc_stringTemp.4 inline.SerialGetNextWrite.0.havoc_stringTemp)) (?v_2253 (= inline.SerialStartWrite.0.myNondetVar_2.7 inline.SerialStartWrite.0.myNondetVar_2)) (?v_2254 (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_2255 (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite)) (?v_2256 (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_2257 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty)) (?v_2258 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.5 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2259 (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2.)) (?v_2260 (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1.)) (?v_2261 (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_2262 (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3.)) (?v_2263 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_2264 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_2953 (= inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.1 inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.0)) (?v_2265 (= inline.SerialRundownIrpRefs.0.myNondetVar_1.8 inline.SerialRundownIrpRefs.0.myNondetVar_1)) (?v_2266 (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2267 (= inline.IsListEmpty.2.myNondetVar_0.5 inline.IsListEmpty.2.myNondetVar_0)) (?v_2268 (= inline.SerialCancelTimer.0.myNondetVar_0.5 inline.SerialCancelTimer.0.myNondetVar_0)) (?v_2269 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2270 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.4 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1)) (?v_2271 (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..5 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2.)) (?v_2272 (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2273 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1)) (?v_2274 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite)) (?v_2275 (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2276 (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1.)) (?v_2277 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_2278 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_2279 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.7 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_2280 (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.1 inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite)) (?v_2281 (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..6 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1.)) (?v_2282 (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2283 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2284 (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.7 inline.sdv_InterlockedDecrement.9.myNondetVar_0)) (?v_2285 (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2286 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_2287 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2288 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2289 (= inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue1.0 inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue1)) (?v_2290 (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2291 (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..3 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5.)) (?v_2292 (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_2293 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_2294 (= inline.SerialSetTimer.3.myNondetVar_0.8 inline.SerialSetTimer.3.myNondetVar_0)) (?v_2295 (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_2296 (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2297 (= inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.1 inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite)) (?v_2298 (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2299 (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.4 inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite)) (?v_2300 (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2301 (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..2 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1.)) (?v_2302 (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_2954 (= inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5..2 inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5.)) (?v_2303 (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_2304 (= inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite)) (?v_2305 (= inline.SerialGetNextWrite.1.myNondetVar_0.22 inline.SerialGetNextWrite.1.myNondetVar_0)) (?v_2306 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_2307 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..4 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_2308 (= inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..1 inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9.)) (?v_2309 (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_2310 (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_2311 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_1.3 inline.SerialTryToCompleteCurrent.0.myNondetVar_1)) (?v_2312 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2313 (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2315 (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2955 (= inline.SerialCompleteIfError.0.myNondetVar_0.8 inline.SerialCompleteIfError.0.myNondetVar_0.7)) (?v_2316 (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3.)) (?v_2317 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2318 (= inline.SerialWrite.0..result.SerialStartOrQueue.142.34.15..0 inline.SerialWrite.0..result.SerialStartOrQueue.142.34.15.)) (?v_2319 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2320 (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2321 (= inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..1 inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8.)) (?v_2956 (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.3 inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.2)) (?v_2322 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2323 (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2324 (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2.)) (?v_2325 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.5 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2326 (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent)) (?v_2327 (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer)) (?v_2328 (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..4 inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1.)) (?v_2329 (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2330 (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_2331 (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2332 (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.5 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList)) (?v_2333 (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_2334 (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution)) (?v_2335 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_2336 (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2337 (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2338 (= cancelLockStatus_0.52 cancelLockStatus_0.3)) (?v_2339 (= inline.SerialStartWrite.0.tempBoogie0.7 inline.SerialStartWrite.0.tempBoogie0)) (?v_2340 (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2341 (= inline.SerialStartRead.0.myNondetVar_1.17 inline.SerialStartRead.0.myNondetVar_1)) (?v_2343 (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2344 (= inline.SerialGetNextIrpLocked.1.myVar_0.8 inline.SerialGetNextIrpLocked.1.myVar_0)) (?v_2345 (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2346 (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3.)) (?v_2347 (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..5 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1.)) (?v_2348 (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution)) (?v_2349 (= inline.SerialCancelTimer.3.myNondetVar_0.5 inline.SerialCancelTimer.3.myNondetVar_0)) (?v_2350 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..5 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1.)) (?v_2351 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.6 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2352 (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2353 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_2354 (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.4 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead)) (?v_2355 (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1.)) (?v_2356 (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1)) (?v_2357 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2358 (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..4 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1.)) (?v_2359 (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2360 (= inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..1 inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4.)) (?v_2361 (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2362 (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer)) (?v_2363 (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent)) (?v_2364 (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2365 (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2366 (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2367 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2368 (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2369 (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList)) (?v_2370 (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.4 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer)) (?v_2371 (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.3 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_2372 (= inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1.)) (?v_2373 (= inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..2 inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6.)) (?v_2374 (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer)) (?v_2375 (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2376 (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3.)) (?v_2377 (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..3 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1.)) (?v_2378 (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1.)) (?v_2379 (= cancelLockStatus_1.52 cancelLockStatus_1.3)) (?v_2380 (= inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite)) (?v_2381 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2382 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2383 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2384 (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1.)) (?v_2385 (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer)) (?v_2386 (= inline.IsListEmpty.4.myNondetVar_0.3 inline.IsListEmpty.4.myNondetVar_0)) (?v_2387 (= inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2388 (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2389 (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2390 (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2391 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2392 (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.1 inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead)) (?v_2957 (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.0)) (?v_2393 (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite)) (?v_2394 (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2395 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2396 (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent)) (?v_2397 (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.2 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1)) (?v_2398 (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..5 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2399 (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_2400 (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2401 (= inline.InsertTailList.1.myNondetVar_0.2 inline.InsertTailList.1.myNondetVar_0)) (?v_2402 (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1)) (?v_2403 (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1)) (?v_2404 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_2405 (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1)) (?v_2406 (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2407 (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_2408 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer)) (?v_2409 (= inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1.)) (?v_2410 (= inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.1 inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead)) (?v_2411 (= Mem_1_T.P_IRP.46 Mem_1_T.P_IRP)) (?v_2412 (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution)) (?v_2413 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.4 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_2414 (= inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2415 (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2416 (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2417 (= inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent)) (?v_2418 (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2419 (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1.)) (?v_2958 (= inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.2 inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.1)) (?v_2420 (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2.)) (?v_2421 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.)) (?v_2422 (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_2959 (= inline.SerialWrite.0..result.SerialDbgPrintEx.121.23.12..1 inline.SerialWrite.0..result.SerialDbgPrintEx.121.23.12.)) (?v_2423 (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.3 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead)) (?v_2424 (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_2425 (= inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2426 (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer)) (?v_2427 (= inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1.)) (?v_2428 (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.5 inline.SerialGetNextIrpLocked.0.havoc_stringTemp)) (?v_2429 (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2430 (= inline.SerialGetNextIrpLocked.2.myVar_0.6 inline.SerialGetNextIrpLocked.2.myVar_0)) (?v_2431 (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2432 (= inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1.)) (?v_2433 (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2.)) (?v_2434 (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer)) (?v_2435 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.13 inline.SerialGetCharsFromIntBuffer.0.myVar_0)) (?v_2436 (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.3 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs)) (?v_2437 (= inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1.)) (?v_2438 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2439 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2440 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.6 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_2441 (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1.)) (?v_2442 (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2443 (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.6 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution)) (?v_2444 (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1.)) (?v_2445 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.6 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_2446 (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_2447 (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp)) (?v_2448 (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2449 (= inline.SerialCancelTimer.1.myNondetVar_0.5 inline.SerialCancelTimer.1.myNondetVar_0)) (?v_2450 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.6 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_2451 (= inline.sdv_InterlockedDecrement.16.myNondetVar_0.3 inline.sdv_InterlockedDecrement.16.myNondetVar_0)) (?v_2452 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty)) (?v_2453 (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1.)) (?v_2454 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..5 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13.)) (?v_2455 (= inline.SerialStartOrQueue.0.tempBoogie0.3 inline.SerialStartOrQueue.0.tempBoogie0)) (?v_2456 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_2457 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1)) (?v_2458 (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2.)) (?v_2459 (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2460 (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite)) (?v_2461 (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.6 inline.sdv_InterlockedDecrement.13.myNondetVar_0)) (?v_2462 (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer)) (?v_2463 (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite)) (?v_2960 (= inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError.0 hirp)) (?v_2464 (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..5 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3.)) (?v_2465 (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.3 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs)) (?v_2466 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2467 (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2468 (= inline.KeSynchronizeExecution.4.myNondetVar_0.11 inline.KeSynchronizeExecution.4.myNondetVar_0)) (?v_2469 (= inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1.)) (?v_2470 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty)) (?v_2961 (= inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2.)) (?v_2471 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2472 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2473 (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_2474 (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_2475 (= inline.SerialCancelTimer.2.myNondetVar_0.5 inline.SerialCancelTimer.2.myNondetVar_0)) (?v_2476 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_2477 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_2478 (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2479 (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs)) (?v_2480 (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2481 (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2482 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2483 (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2484 (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp)) (?v_2485 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer)) (?v_2486 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2487 (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.7 inline.sdv_InterlockedDecrement.6.myNondetVar_0)) (?v_2488 (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer)) (?v_2489 (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2490 (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..5 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1.)) (?v_2491 (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_2492 (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1)) (?v_2493 (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_2494 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_2495 (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2496 (= inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp)) (?v_2497 (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.4 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead)) (?v_2498 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2499 (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..3 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1.)) (?v_2500 (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_2501 (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2502 (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2503 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2504 (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1)) (?v_2505 (= inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2506 (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_2507 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_2508 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.6 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_2962 (= inline.SerialCompleteIfError.0.havoc_stringTemp.1 inline.SerialCompleteIfError.0.havoc_stringTemp.0)) (?v_2509 (= inline.SerialSetTimer.2.myNondetVar_0.8 inline.SerialSetTimer.2.myNondetVar_0)) (?v_2510 (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2511 (= inline.SerialStartOrQueue.0..oldIrql.6.692.10.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..oldIrql.6.692.10.SerialStartOrQueue)) (?v_2512 (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2.)) (?v_2513 (= inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2.)) (?v_2514 (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.6 inline.sdv_InterlockedDecrement.3.myNondetVar_0)) (?v_2963 (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0)) (?v_2515 (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1)) (?v_2516 (= inline.SerialGetNextWrite.0.tempBoogie0.10 inline.SerialGetNextWrite.0.tempBoogie0)) (?v_2517 (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer)) (?v_2518 (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2519 (= inline.SerialRundownIrpRefs.0.myNondetVar_2.8 inline.SerialRundownIrpRefs.0.myNondetVar_2)) (?v_2520 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer)) (?v_2521 (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.6 inline.sdv_InterlockedIncrement.2.myNondetVar_0)) (?v_2522 (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..2 inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2.)) (?v_2523 (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..5 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.)) (?v_2524 (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2.)) (?v_2525 (= inline.SerialGetNextWrite.0.myVar_0.18 inline.SerialGetNextWrite.0.myVar_0)) (?v_2526 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2527 (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1)) (?v_2528 (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.4 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer)) (?v_2529 (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1.)) (?v_2530 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1)) (?v_2531 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_2532 (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_2533 (= inline.SerialGetNextIrp.1.myNondetVar_0.5 inline.SerialGetNextIrp.1.myNondetVar_0)) (?v_2534 (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.3 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp)) (?v_2535 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer)) (?v_2536 (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1.)) (?v_2537 (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1.)) (?v_2538 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_2539 (= inline.SerialGetNextIrpLocked.3.myVar_0.6 inline.SerialGetNextIrpLocked.3.myVar_0)) (?v_2540 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2541 (= inline.SerialStartWrite.0.myVar_0.30 inline.SerialStartWrite.0.myVar_0)) (?v_2542 (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..6 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.)) (?v_2543 (= inline.RemoveHeadList.3.myNondetVar_0.5 inline.RemoveHeadList.3.myNondetVar_0)) (?v_2544 (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite)) (?v_2545 (= inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..3 inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18.)) (?v_2546 (= lockStatus_0.41 lockStatus_0.14)) (?v_2547 (= inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2548 (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution)) (?v_2549 (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..4 inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1.)) (?v_2550 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.7 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2)) (?v_2551 (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2552 (= inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2553 (= inline.SerialStartRead.0.tempBoogie0.6 inline.SerialStartRead.0.tempBoogie0)) (?v_2554 (= inline.SerialGetNextIrpLocked.0.myVar_0.8 inline.SerialGetNextIrpLocked.0.myVar_0)) (?v_2555 (= inline.KeSynchronizeExecution.6.myNondetVar_0.11 inline.KeSynchronizeExecution.6.myNondetVar_0)) (?v_2556 (= inline.SerialGetNextWrite.0.myNondetVar_1.9 inline.SerialGetNextWrite.0.myNondetVar_1)) (?v_2557 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_2558 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_2559 (= inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue1.0 inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue1)) (?v_2560 (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1)) (?v_2561 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_2562 (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2563 (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.5 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite)) (?v_2564 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2565 (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1.)) (?v_2566 (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1.)) (?v_2567 (= inline.KeSynchronizeExecution.8.myNondetVar_0.10 inline.KeSynchronizeExecution.8.myNondetVar_0)) (?v_2569 (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2570 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2571 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2572 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2573 (= inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1.)) (?v_2574 (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2575 (= inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..1 inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4.)) (?v_2576 (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2577 (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_2578 (= inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1.)) (?v_2579 (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..5 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2580 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.3 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer)) (?v_2581 (= inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.1 inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead)) (?v_2582 (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_2583 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1)) (?v_2584 (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..5 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1.)) (?v_2585 (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2964 (= inline.SerialWrite.0..result.SerialDbgPrintEx.114.22.7..1 inline.SerialWrite.0..result.SerialDbgPrintEx.114.22.7.)) (?v_2965 (= inline.SerialWrite.0..result.SerialCompleteIfError.120.29.11..0 inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.1)) (?v_2586 (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_2587 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2588 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.6 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_2589 (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_2590 (= inline.KeSynchronizeExecution.3.myNondetVar_0.10 inline.KeSynchronizeExecution.3.myNondetVar_0)) (?v_2591 (= inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.1 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1)) (?v_2966 (= inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError1.0 hirp)) (?v_2592 (= inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..2 inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11.)) (?v_2593 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.6 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2594 (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..3 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1.)) (?v_2595 (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.3 inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead)) (?v_2596 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite)) (?v_2597 (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2598 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2599 (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2600 (= inline.SerialStartRead.0.myNondetVar_0.85 inline.SerialStartRead.0.myNondetVar_0)) (?v_2601 (= inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2602 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_2603 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.7 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_2604 (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite)) (?v_2605 (= inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1.)) (?v_2606 (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent)) (?v_2607 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer)) (?v_2608 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2609 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp)) (?v_2610 (= inline.RemoveHeadList.0.myNondetVar_0.7 inline.RemoveHeadList.0.myNondetVar_0)) (?v_2611 (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_2612 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_2613 (= inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1.)) (?v_2614 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_2615 (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer)) (?v_2616 (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_2617 (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_2618 (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.4 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead)) (?v_2619 (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..4 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4.)) (?v_2620 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_2621 (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.3 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_2622 (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2623 (= inline.KeSynchronizeExecution.7.myNondetVar_0.10 inline.KeSynchronizeExecution.7.myNondetVar_0)) (?v_2624 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1)) (?v_2625 (= inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue)) (?v_2626 (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.3 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs)) (?v_2628 (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2629 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2630 (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_2967 (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.0)) (?v_2631 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.5 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2632 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.6 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_2633 (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent)) (?v_2634 (= inline.KeSynchronizeExecution.1.myNondetVar_0.12 inline.KeSynchronizeExecution.1.myNondetVar_0)) (?v_2635 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2636 (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2637 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2968 (= inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2638 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.3 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1)) (?v_2639 (= inline.SerialSetTimer.0.myNondetVar_0.11 inline.SerialSetTimer.0.myNondetVar_0)) (?v_2640 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2641 (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer)) (?v_2642 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.10 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1)) (?v_2643 (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.2 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1)) (?v_2644 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.3 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1)) (?v_2645 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_2646 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2647 (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1)) (?v_2648 (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.5 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2649 (= inline.SerialStartOrQueue.0.myNondetVar_1.2 inline.SerialStartOrQueue.0.myNondetVar_1)) (?v_2969 (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2650 (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2970 (= inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..1)) (?v_2971 (= inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError.0 hdevobj)) (?v_2651 (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.3 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1)) (?v_2652 (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.5 inline.sdv_InterlockedDecrement.11.myNondetVar_0)) (?v_2653 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1)) (?v_2654 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_2655 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_2656 (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2657 (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.6 inline.sdv_InterlockedDecrement.15.myNondetVar_0)) (?v_5898 (= inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp)) (?v_2659 (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer)) (?v_2660 (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_2661 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_2662 (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_2972 (= inline.SerialCompleteIfError.0..result.SerialCompleteIfError.892.0.1..0 inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.1)) (?v_2663 (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer)) (?v_2664 (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_2665 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_2666 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2667 (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.6 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer)) (?v_2668 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_2669 (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.2 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1)) (?v_2670 (= inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1.)) (?v_2671 (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..6 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4.)) (?v_2673 (= inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.1 inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite)) (?v_2674 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_2675 (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_2676 (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4.)) (?v_2677 (= inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite)) (?v_2678 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..5 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_2679 (= inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..1 inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1.)) (?v_2680 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty)) (?v_2681 (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_2682 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2683 (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13.)) (?v_2684 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_2685 (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2686 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_2687 (= inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2688 (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2689 (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..5 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1.)) (?v_2690 (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.6 inline.sdv_InterlockedDecrement.10.myNondetVar_0)) (?v_2691 (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer)) (?v_2692 (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2693 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2694 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1)) (?v_2695 (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1.)) (?v_2696 (= inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2697 (= inline.SerialResizeBuffer.0.myVar_0.6 inline.SerialResizeBuffer.0.myVar_0)) (?v_2973 (= inline.sdv_InterlockedDecrement.0.myNondetVar_0.3 inline.sdv_InterlockedDecrement.0.myNondetVar_0)) (?v_2698 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2699 (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_2700 (= inline.RemoveHeadList.2.myNondetVar_0.5 inline.RemoveHeadList.2.myNondetVar_0)) (?v_2974 (= inline.sdv_InterlockedDecrement.1.myNondetVar_0.3 inline.sdv_InterlockedDecrement.1.myNondetVar_0.2)) (?v_2701 (= inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1.)) (?v_2702 (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..2 inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14.)) (?v_2703 (= inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.1 inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead)) (?v_2704 (= inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.2 inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite)) (?v_2705 (= inline.SerialStartOrQueue.0..result.IsListEmpty.723.20.7..0 inline.SerialStartOrQueue.0..result.IsListEmpty.723.20.7.)) (?v_2706 (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_2707 (= inline.KeSynchronizeExecution.0.myNondetVar_0.10 inline.KeSynchronizeExecution.0.myNondetVar_0)) (?v_2708 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2709 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty)) (?v_2710 (= inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..2 inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2.)) (?v_2975 (= inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.0)) (?v_2711 (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2712 (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2713 (= inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_2714 (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution)) (?v_2715 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2716 (= inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2717 (= inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1.)) (?v_2718 (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite)) (?v_2719 (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_2720 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1)) (?v_2721 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.8 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1)) (?v_2722 (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2723 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer)) (?v_2724 (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..6 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1.)) (?v_2725 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.3 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer)) (?v_2726 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_2727 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2728 (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5899 (= inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp)) (?v_2730 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..5 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_2976 (= inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2731 (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_2732 (= inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent)) (?v_2733 (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2734 (= inline.SerialStartRead.0.myNondetVar_2.6 inline.SerialStartRead.0.myNondetVar_2)) (?v_2735 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1)) (?v_2736 (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2737 (= inline.SerialGetNextWrite.0.myNondetVar_0.24 inline.SerialGetNextWrite.0.myNondetVar_0)) (?v_2738 (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..5 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2.)) (?v_2739 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_2740 (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2741 (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2.)) (?v_2742 (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.1 inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1)) (?v_2743 (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.5 inline.sdv_InterlockedIncrement.3.myNondetVar_0)) (?v_2744 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.6 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2745 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2746 (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2.)) (?v_2747 (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2748 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_2749 (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.4 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead)) (?v_2750 (= inline.SerialGetNextIrp.2.myNondetVar_0.3 inline.SerialGetNextIrp.2.myNondetVar_0)) (?v_2751 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2752 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.25 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0)) (?v_2753 (= inline.SerialGetNextIrp.3.myNondetVar_0.3 inline.SerialGetNextIrp.3.myNondetVar_0)) (?v_2754 (= inline.KeSynchronizeExecution.5.myNondetVar_0.9 inline.KeSynchronizeExecution.5.myNondetVar_0)) (?v_2755 (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite)) (?v_2757 (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..4 inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1.)) (?v_2758 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2759 (= inline.SerialStartWrite.0.myNondetVar_1.11 inline.SerialStartWrite.0.myNondetVar_1)) (?v_2760 (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2761 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.6 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite)) (?v_2762 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.6 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2977 (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2763 (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2764 (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite)) (?v_2765 (= inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue)) (?v_2766 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.4 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1)) (?v_2767 (= inline.SerialGetNextWrite.1.myNondetVar_1.7 inline.SerialGetNextWrite.1.myNondetVar_1)) (?v_2768 (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2769 (= inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp)) (?v_2770 (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer)) (?v_2771 (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..5 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2772 (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.9 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0)) (?v_5900 (= inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_2774 (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_2775 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2776 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..7 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_2777 (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2.)) (?v_2978 (= inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..1 inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..0)) (?v_2778 (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2780 (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2781 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..7 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2783 (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2784 (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2785 (= inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue1.0 inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue1)) (?v_2786 (= inline.SerialSetTimer.1.myNondetVar_0.9 inline.SerialSetTimer.1.myNondetVar_0)) (?v_2787 (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1)) (?v_2788 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_2789 (= inline.SerialStartWrite.0.myNondetVar_0.37 inline.SerialStartWrite.0.myNondetVar_0)) (?v_2790 (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.3.havoc_stringTemp)) (?v_2791 (= inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1.)) (?v_2792 (= inline.SerialStartRead.0..result.SerialStartRead.184.0.1..2 inline.SerialStartRead.0..result.SerialStartRead.184.0.1.)) (?v_2793 (= inline.SerialStartOrQueue.0.havoc_stringTemp.1 inline.SerialStartOrQueue.0.havoc_stringTemp)) (?v_2794 (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2795 (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1.)) (?v_2796 (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs)) (?v_2797 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.7 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_2979 (= inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..2 inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..1)) (?v_2798 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.6 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2799 (= inline.SerialSetTimer.4.myNondetVar_0.8 inline.SerialSetTimer.4.myNondetVar_0)) (?v_2800 (= inline.SerialResizeBuffer.0.myNondetVar_0.17 inline.SerialResizeBuffer.0.myNondetVar_0)) (?v_2801 (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2802 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2803 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.8 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite)) (?v_2804 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..7 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2805 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_5901 (= k.123 k.7)) (?v_2806 (= inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.1 inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead)) (?v_2807 (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.3 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer)) (?v_2808 (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2809 (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_2810 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2811 (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..4 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1.)) (?v_2812 (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2813 (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..5 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2.)) (?v_2814 (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2815 (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.6 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent)) (?v_2816 (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_2817 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2818 (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2819 (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer)) (?v_2820 (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.3 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead)) (?v_2821 (= inline.SerialStartRead.0.myVar_0.27 inline.SerialStartRead.0.myVar_0)) (?v_2823 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..3 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5.)) (?v_2824 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_2825 (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2826 (= inline.SerialGetNextWrite.1.myNondetVar_2.6 inline.SerialGetNextWrite.1.myNondetVar_2)) (?v_2827 (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2828 (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent)) (?v_2829 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.6 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2980 (= inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..0)) (?v_2830 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_2831 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.15 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0)) (?v_2832 (= inline.SerialGetNextWrite.0.myNondetVar_2.8 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_2833 (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_2834 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_2835 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_2836 (= inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.1 inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead)) (?v_2837 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_2838 (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_2839 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_2840 (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1.)) (?v_2981 (= inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_2841 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1)) (?v_2842 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_2843 (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.5 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList)) (?v_2844 (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2845 (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2846 (= inline.IsListEmpty.0.myNondetVar_0.1 inline.IsListEmpty.0.myNondetVar_0)) (?v_2847 (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2848 (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.5 inline.sdv_InterlockedIncrement.4.myNondetVar_0)) (?v_2849 (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1.)) (?v_2850 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2851 (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1.)) (?v_2852 (= inline.SerialStartRead.0.havoc_stringTemp.2 inline.SerialStartRead.0.havoc_stringTemp)) (?v_2853 (= inline.IsListEmpty.1.myNondetVar_0.5 inline.IsListEmpty.1.myNondetVar_0)) (?v_2854 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_2855 (= inline.SerialTryToCompleteCurrent.0.myVar_0.8 inline.SerialTryToCompleteCurrent.0.myVar_0)) (?v_2856 (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_2857 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_2858 (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2859 (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.1 inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1)) (?v_2860 (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1)) (?v_2861 (= inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1.)) (?v_2862 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_2.3 inline.SerialTryToCompleteCurrent.0.myNondetVar_2)) (?v_2863 (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_2864 (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2865 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent)) (?v_2866 (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList)) (?v_2867 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp)) (?v_2868 (= inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.1 inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite)) (?v_2869 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_2870 (= inline.SerialGetNextWrite.1.havoc_stringTemp.2 inline.SerialGetNextWrite.1.havoc_stringTemp)) (?v_2871 (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2872 (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_2873 (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.5 inline.sdv_InterlockedDecrement.7.myNondetVar_0)) (?v_2874 (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2875 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2876 (= inline.KeSynchronizeExecution.2.myNondetVar_0.13 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_2877 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_2878 (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp)) (?v_2879 (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2880 (= lockStatus_1.41 lockStatus_1.14)) (?v_2881 (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2882 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_2883 (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2982 (= inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError1.0 hdevobj)) (?v_2884 (= inline.IsListEmpty.3.myNondetVar_0.3 inline.IsListEmpty.3.myNondetVar_0)) (?v_2885 (= inline.SerialStartWrite.0..result.question.7..3 inline.SerialStartWrite.0..result.question.7.)) (?v_2886 (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_2887 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_2888 (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2889 (= inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite)) (?v_2890 (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2.)) (?v_2891 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.9 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_2892 (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2893 (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.6 inline.sdv_InterlockedDecrement.2.myNondetVar_0)) (?v_2894 (= inline.SerialWrite.0..status.4.103.13.SerialWrite.0 inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2)) (?v_2895 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2896 (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2897 (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent)) (?v_2898 (= inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.2 inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite)) (?v_2899 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..3 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3.)) (?v_2900 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.6 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2901 (= inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue)) (?v_2902 (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1)) (?v_2903 (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2904 (= inline.SerialWrite.0..result.SerialDbgPrintEx.146.23.16..1 inline.SerialWrite.0..result.SerialDbgPrintEx.146.23.16.)) (?v_2905 (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2906 (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs)) (?v_2907 (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..5 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1.)) (?v_2908 (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution)) (?v_2909 (= inline.SerialResizeBuffer.0.myNondetVar_1.8 inline.SerialResizeBuffer.0.myNondetVar_1)) (?v_2910 (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2911 (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2912 (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.5 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead)) (?v_2913 (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent)) (?v_2914 (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.3 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer)) (?v_2915 (= inline.SerialGetNextWrite.1.myVar_0.16 inline.SerialGetNextWrite.1.myVar_0)) (?v_2916 (= inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue)) (?v_2917 (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_2918 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2919 (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_2920 (= inline.sdv_IoAcquireCancelSpinLock.1..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.1..result.userContextSwitch.1645.2.1.)) (?v_2921 (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2922 (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3.)) (?v_2923 (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution)) (?v_2924 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_2925 (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2926 (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2927 (= inline.SerialStartOrQueue.0.myNondetVar_0.16 inline.SerialStartOrQueue.0.myNondetVar_0)) (?v_2928 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2929 (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.4 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead)) (?v_2930 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2931 (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1)) (?v_2932 (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2933 (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.6 inline.sdv_InterlockedDecrement.12.myNondetVar_0)) (?v_2934 (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.5 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2935 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2936 (= inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2937 (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..6 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4.)) (?v_2938 (= inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.703.36.2..0 inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.703.36.2.)) (?v_2939 (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_2983 (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0)) (?v_2940 (= inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.))) (let ((?v_5902 (=> ?v_2823 (=> ?v_2824 (=> ?v_2825 (=> ?v_2826 (=> ?v_2827 (=> ?v_2828 (=> ?v_2829 (=> ?v_2980 (=> ?v_2830 (=> ?v_2831 (=> ?v_2832 (=> ?v_2833 (=> ?v_2834 (=> ?v_2835 (=> ?v_2836 (=> ?v_2837 (=> ?v_2838 (=> ?v_2839 (=> ?v_2840 (=> ?v_2981 (=> ?v_2841 (=> ?v_2842 (=> ?v_2843 (=> ?v_2844 (=> ?v_2845 (=> ?v_2846 (=> ?v_2847 (=> ?v_2848 (=> ?v_2849 (=> ?v_2850 (=> ?v_2851 (=> ?v_2852 (=> ?v_2853 (=> ?v_2854 (=> ?v_2855 (=> ?v_2856 (=> ?v_2857 (=> ?v_2858 (=> ?v_2859 (=> ?v_2860 (=> ?v_2861 (=> ?v_2862 (=> ?v_2863 (=> ?v_2864 (=> ?v_2865 (=> ?v_2866 (=> ?v_2867 (=> ?v_2868 (=> ?v_2869 (=> ?v_2870 (=> ?v_2871 (=> ?v_2872 (=> ?v_2873 (=> ?v_2874 (=> ?v_2875 (=> ?v_2876 (=> ?v_2877 (=> ?v_2878 (=> ?v_2879 (=> ?v_2880 (=> ?v_2881 (=> ?v_2882 (=> ?v_2883 (=> ?v_2982 (=> ?v_2884 (=> ?v_2885 (=> ?v_2886 (=> ?v_2887 (=> ?v_2888 (=> ?v_2889 (=> ?v_2890 (=> ?v_2891 (=> ?v_2892 (=> ?v_2893 (=> ?v_2894 (=> ?v_2895 (=> ?v_2896 (=> ?v_2897 (=> ?v_2898 (=> ?v_2899 (=> ?v_2900 (=> ?v_2901 (=> ?v_2902 (=> ?v_2903 (=> ?v_2904 (=> ?v_2905 (=> ?v_2906 (=> ?v_2907 (=> ?v_2908 (=> ?v_2909 (=> ?v_2910 (=> ?v_2911 (=> ?v_2912 (=> ?v_2913 (=> ?v_2914 (=> ?v_2915 (=> ?v_2916 (=> ?v_2917 (=> ?v_2918 (=> ?v_2919 (=> ?v_2920 (=> ?v_2921 (=> ?v_2922 (=> ?v_2923 (=> ?v_2924 (=> ?v_2925 (=> ?v_2926 (=> ?v_2927 (=> ?v_2928 (=> ?v_2929 (=> ?v_2930 (=> ?v_2931 (=> ?v_2932 (=> ?v_2933 (=> ?v_2934 (=> ?v_2935 (=> ?v_2936 (=> ?v_2937 (=> ?v_2938 (=> ?v_2939 (=> ?v_2983 (=> ?v_2940 ?v_2984))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5897 (int_2_U call68339formal.new.0))) (let ((?v_5904 (=> true (and ?v_8 (=> ?v_8 (=> (> call68339formal.new.0 0) (=> (forall ((?x1603 Int)) (! (=> (and (<= call68339formal.new.0 ?x1603) (< ?x1603 (+ call68339formal.new.0 1))) (= (Base ?x1603) call68339formal.new.0)) :pattern ((Base ?x1603)) )) (=> (forall ((?x1604 boogieU)) (! (=> (= (type ?x1604) intType) (or (= (U_2_int ?x1604) call68339formal.new.0) (= (MapType0Select alloc.8 ?x1604) (MapType0Select alloc.10 ?x1604)))) :pattern ((MapType0Select alloc.10 ?x1604)) )) (=> (and (= (MapType0Select alloc.8 ?v_5897) UNALLOCATED) (= (MapType0Select alloc.10 ?v_5897) ALLOCATED)) (=> true (=> ?v_2950 (=> ?v_2185 (=> ?v_2186 (=> ?v_2187 (=> ?v_2188 (=> ?v_2189 (=> ?v_2190 (=> ?v_2191 (=> ?v_2192 (=> ?v_2193 (=> ?v_2194 (=> ?v_2195 (=> ?v_2196 (=> ?v_2197 (=> ?v_2198 (=> ?v_2199 (=> ?v_2200 (=> ?v_2201 (=> ?v_2202 (=> ?v_2203 (=> ?v_2204 (=> ?v_2205 (=> ?v_2951 (=> ?v_2206 (=> ?v_2207 (=> ?v_2208 (=> ?v_2209 (=> ?v_2210 (=> ?v_2211 (=> ?v_2212 (=> ?v_2213 (=> ?v_2214 (=> ?v_2215 (=> ?v_2216 (=> ?v_2217 (=> ?v_2218 (=> ?v_2219 (=> ?v_2220 (=> ?v_2221 (=> ?v_2222 (=> ?v_2223 (=> ?v_2224 (=> ?v_2225 (=> ?v_2226 (=> ?v_2227 (=> ?v_2228 (=> ?v_2229 (=> ?v_2230 (=> ?v_2231 (=> ?v_2952 (=> ?v_2232 (=> ?v_2233 (=> ?v_2234 (=> ?v_2235 (=> ?v_2236 (=> ?v_2237 (=> ?v_2238 (=> (= inline.SerialIRPEpilogue.8..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.17.myNondetVar_0.1) (=> ?v_2240 (=> ?v_2241 (=> ?v_2242 (=> ?v_2243 (=> ?v_2244 (=> ?v_2245 (=> ?v_2246 (=> ?v_2247 (=> ?v_2248 (=> ?v_2249 (=> ?v_2250 (=> ?v_2251 (=> ?v_2252 (=> ?v_2253 (=> ?v_2254 (=> ?v_2255 (=> ?v_2256 (=> ?v_2257 (=> ?v_2258 (=> ?v_2259 (=> ?v_2260 (=> ?v_2261 (=> ?v_2262 (=> ?v_2263 (=> ?v_2264 (=> ?v_2953 (=> ?v_2265 (=> ?v_2266 (=> ?v_2267 (=> ?v_2268 (=> ?v_2269 (=> ?v_2270 (=> ?v_2271 (=> ?v_2272 (=> ?v_2273 (=> ?v_2274 (=> ?v_2275 (=> ?v_2276 (=> ?v_2277 (=> ?v_2278 (=> ?v_2279 (=> ?v_2280 (=> ?v_2281 (=> ?v_2282 (=> ?v_2283 (=> ?v_2284 (=> (= irpCompleted_1.30 irpCompleted_1.5) (=> ?v_2285 (=> ?v_2286 (=> ?v_2287 (=> ?v_2288 (=> ?v_2289 (=> ?v_2290 (=> ?v_2291 (=> ?v_2292 (=> ?v_2293 (=> ?v_2294 (=> ?v_2295 (=> ?v_2296 (=> ?v_2297 (=> ?v_2298 (=> ?v_2299 (=> ?v_2300 (=> ?v_2301 (=> ?v_2302 (=> ?v_2954 (=> ?v_2303 (=> ?v_2304 (=> ?v_2305 (=> ?v_2306 (=> ?v_2307 (=> ?v_2308 (=> ?v_2309 (=> ?v_2310 (=> ?v_2311 (=> ?v_2312 (=> ?v_2313 (=> (= inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest.0 hirp) (=> ?v_2315 (=> ?v_2955 (=> ?v_2316 (=> ?v_2317 (=> ?v_2318 (=> ?v_2319 (=> ?v_2320 (=> ?v_2321 (=> ?v_2956 (=> ?v_2322 (=> ?v_2323 (=> ?v_2324 (=> ?v_2325 (=> ?v_2326 (=> ?v_2327 (=> ?v_2328 (=> ?v_2329 (=> ?v_2330 (=> ?v_2331 (=> ?v_2332 (=> ?v_2333 (=> ?v_2334 (=> ?v_2335 (=> ?v_2336 (=> ?v_2337 (=> ?v_2338 (=> ?v_2339 (=> ?v_2340 (=> ?v_2341 (=> (= inline.sdv_InterlockedDecrement.17..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.17.myNondetVar_0.1) (=> ?v_2343 (=> ?v_2344 (=> ?v_2345 (=> ?v_2346 (=> ?v_2347 (=> ?v_2348 (=> ?v_2349 (=> ?v_2350 (=> ?v_2351 (=> ?v_2352 (=> ?v_2353 (=> ?v_2354 (=> ?v_2355 (=> ?v_2356 (=> ?v_2357 (=> ?v_2358 (=> ?v_2359 (=> ?v_2360 (=> ?v_2361 (=> ?v_2362 (=> ?v_2363 (=> (= errorReached.50 errorReached.7) (=> ?v_2364 (=> ?v_2365 (=> ?v_2366 (=> ?v_2367 (=> ?v_2368 (=> ?v_2369 (=> ?v_2370 (=> ?v_2371 (=> ?v_2372 (=> (= inline.SerialWrite.0.havoc_stringTemp.1 call68339formal.new.0) (=> ?v_2373 (=> ?v_2374 (=> ?v_2375 (=> ?v_2376 (=> ?v_2377 (=> ?v_2378 (=> ?v_2379 (=> ?v_2380 (=> ?v_2381 (=> ?v_2382 (=> ?v_2383 (=> ?v_2384 (=> ?v_2385 (=> ?v_2386 (=> ?v_2387 (=> ?v_2388 (=> ?v_2389 (=> ?v_2390 (=> ?v_2391 (=> ?v_2392 (=> ?v_2957 (=> ?v_2393 (=> ?v_2394 (=> ?v_2395 (=> ?v_2396 (=> ?v_2397 (=> ?v_2398 (=> ?v_2399 (=> ?v_2400 (=> ?v_2401 (=> ?v_2402 (=> ?v_2403 (=> ?v_2404 (=> ?v_2405 (=> ?v_2406 (=> ?v_2407 (=> ?v_2408 (=> ?v_2409 (=> ?v_2410 (=> ?v_2411 (=> ?v_2412 (=> ?v_2413 (=> ?v_2414 (=> ?v_2415 (=> ?v_2416 (=> ?v_2417 (=> ?v_2418 (=> ?v_2419 (=> ?v_2958 (=> ?v_2420 (=> ?v_2421 (=> ?v_2422 (=> ?v_2959 (=> ?v_2423 (=> ?v_2424 (=> ?v_2425 (=> ?v_2426 (=> ?v_2427 (=> ?v_2428 (=> ?v_2429 (=> ?v_2430 (=> ?v_2431 (=> ?v_2432 (=> ?v_2433 (=> ?v_2434 (=> ?v_2435 (=> ?v_2436 (=> ?v_2437 (=> ?v_2438 (=> ?v_2439 (=> ?v_2440 (=> ?v_2441 (=> ?v_2442 (=> ?v_2443 (=> ?v_2444 (=> ?v_2445 (=> ?v_2446 (=> ?v_2447 (=> ?v_2448 (=> (= alloc.76 alloc.10) (=> ?v_2449 (=> ?v_2450 (=> ?v_2451 (=> ?v_2452 (=> ?v_2453 (=> ?v_2454 (=> ?v_2455 (=> ?v_2456 (=> ?v_2457 (=> ?v_2458 (=> ?v_2459 (=> ?v_2460 (=> ?v_2461 (=> ?v_2462 (=> ?v_2463 (=> ?v_2960 (=> ?v_2464 (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 (=> ?v_2468 (=> ?v_2469 (=> ?v_2470 (=> ?v_2961 (=> ?v_2471 (=> ?v_2472 (=> ?v_2473 (=> ?v_2474 (=> ?v_2475 (=> ?v_2476 (=> ?v_2477 (=> ?v_2478 (=> ?v_2479 (=> (= Mem_0_T.CancelRoutine__IRP.69 Mem_0_T.CancelRoutine__IRP.11) (=> ?v_2480 (=> ?v_2481 (=> ?v_2482 (=> ?v_2483 (=> ?v_2484 (=> ?v_2485 (=> ?v_2486 (=> ?v_2487 (=> ?v_2488 (=> ?v_2489 (=> ?v_2490 (=> ?v_2491 (=> ?v_2492 (=> ?v_2493 (=> ?v_2494 (=> ?v_2495 (=> ?v_2496 (=> ?v_2497 (=> ?v_2498 (=> ?v_2499 (=> ?v_2500 (=> ?v_2501 (=> ?v_2502 (=> ?v_2503 (=> ?v_2504 (=> ?v_2505 (=> ?v_2506 (=> ?v_2507 (=> ?v_2508 (=> ?v_2962 (=> ?v_2509 (=> ?v_2510 (=> ?v_2511 (=> ?v_2512 (=> ?v_2513 (=> ?v_2514 (=> ?v_2963 (=> ?v_2515 (=> ?v_2516 (=> ?v_2517 (=> ?v_2518 (=> ?v_2519 (=> ?v_2520 (=> ?v_2521 (=> ?v_2522 (=> ?v_2523 (=> ?v_2524 (=> ?v_2525 (=> ?v_2526 (=> ?v_2527 (=> ?v_2528 (=> ?v_2529 (=> ?v_2530 (=> ?v_2531 (=> ?v_2532 (=> ?v_2533 (=> ?v_2534 (=> ?v_2535 (=> ?v_2536 (=> ?v_2537 (=> ?v_2538 (=> ?v_2539 (=> ?v_2540 (=> ?v_2541 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> ?v_2545 (=> ?v_2546 (=> ?v_2547 (=> ?v_2548 (=> ?v_2549 (=> ?v_2550 (=> ?v_2551 (=> ?v_2552 (=> ?v_2553 (=> ?v_2554 (=> ?v_2555 (=> ?v_2556 (=> ?v_2557 (=> ?v_2558 (=> ?v_2559 (=> ?v_2560 (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> ?v_2564 (=> ?v_2565 (=> ?v_2566 (=> ?v_2567 (=> (= inline.SerialWrite.0..result.SerialDbgPrintEx.156.24.20..1 inline.SerialWrite.0..result.SerialDbgPrintEx.156.24.20..0) (=> ?v_2569 (=> ?v_2570 (=> ?v_2571 (=> ?v_2572 (=> ?v_2573 (=> ?v_2574 (=> ?v_2575 (=> ?v_2576 (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> ?v_2580 (=> ?v_2581 (=> ?v_2582 (=> ?v_2583 (=> ?v_2584 (=> ?v_2585 (=> ?v_2964 (=> ?v_2965 (=> ?v_2586 (=> ?v_2587 (=> ?v_2588 (=> ?v_2589 (=> ?v_2590 (=> ?v_2591 (=> ?v_2966 (=> ?v_2592 (=> ?v_2593 (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2603 (=> ?v_2604 (=> ?v_2605 (=> ?v_2606 (=> ?v_2607 (=> ?v_2608 (=> ?v_2609 (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> ?v_2613 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> ?v_2619 (=> ?v_2620 (=> ?v_2621 (=> ?v_2622 (=> ?v_2623 (=> ?v_2624 (=> ?v_2625 (=> ?v_2626 (=> (= inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest1.0 hirp) (=> ?v_2628 (=> ?v_2629 (=> ?v_2630 (=> ?v_2967 (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> ?v_2634 (=> ?v_2635 (=> ?v_2636 (=> ?v_2637 (=> ?v_2968 (=> ?v_2638 (=> ?v_2639 (=> (= Mem_1_T.CancelRoutine__IRP.69 Mem_1_T.CancelRoutine__IRP.11) (=> ?v_2640 (=> ?v_2641 (=> ?v_2642 (=> ?v_2643 (=> ?v_2644 (=> ?v_2645 (=> ?v_2646 (=> ?v_2647 (=> ?v_2648 (=> ?v_2649 (=> ?v_2969 (=> ?v_2650 (=> ?v_2970 (=> ?v_2971 (=> ?v_2651 (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> ?v_5898 (=> ?v_2659 (=> ?v_2660 (=> ?v_2661 (=> ?v_2662 (=> ?v_2972 (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_2667 (=> ?v_2668 (=> ?v_2669 (=> ?v_2670 (=> ?v_2671 (=> (= inline.SerialIRPEpilogue.8..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.17.myNondetVar_0.1) (=> ?v_2673 (=> ?v_2674 (=> ?v_2675 (=> ?v_2676 (=> ?v_2677 (=> ?v_2678 (=> ?v_2679 (=> ?v_2680 (=> ?v_2681 (=> ?v_2682 (=> ?v_2683 (=> ?v_2684 (=> ?v_2685 (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_2689 (=> ?v_2690 (=> ?v_2691 (=> ?v_2692 (=> ?v_2693 (=> ?v_2694 (=> ?v_2695 (=> ?v_2696 (=> ?v_2697 (=> ?v_2973 (=> ?v_2698 (=> ?v_2699 (=> ?v_2700 (=> (= irpCompleted_0.30 irpCompleted_0.5) (=> ?v_2974 (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> ?v_2704 (=> ?v_2705 (=> ?v_2706 (=> ?v_2707 (=> ?v_2708 (=> ?v_2709 (=> ?v_2710 (=> ?v_2975 (=> ?v_2711 (=> ?v_2712 (=> ?v_2713 (=> ?v_2714 (=> ?v_2715 (=> ?v_2716 (=> ?v_2717 (=> ?v_2718 (=> ?v_2719 (=> ?v_2720 (=> ?v_2721 (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> ?v_2727 (=> ?v_2728 (=> ?v_5899 (=> ?v_2730 (=> ?v_2976 (=> ?v_2731 (=> ?v_2732 (=> ?v_2733 (=> ?v_2734 (=> ?v_2735 (=> ?v_2736 (=> ?v_2737 (=> ?v_2738 (=> ?v_2739 (=> ?v_2740 (=> ?v_2741 (=> ?v_2742 (=> ?v_2743 (=> ?v_2744 (=> ?v_2745 (=> ?v_2746 (=> ?v_2747 (=> ?v_2748 (=> ?v_2749 (=> ?v_2750 (=> ?v_2751 (=> ?v_2752 (=> ?v_2753 (=> ?v_2754 (=> ?v_2755 (=> (= inline.sdv_InterlockedDecrement.17.myNondetVar_0.2 inline.sdv_InterlockedDecrement.17.myNondetVar_0.1) (=> ?v_2757 (=> ?v_2758 (=> ?v_2759 (=> ?v_2760 (=> ?v_2761 (=> ?v_2762 (=> ?v_2977 (=> (= inline.SerialWrite.0..result.SerialWrite.74.0.1..1 0) (=> ?v_2763 (=> ?v_2764 (=> ?v_2765 (=> ?v_2766 (=> ?v_2767 (=> ?v_2768 (=> ?v_2769 (=> ?v_2770 (=> ?v_2771 (=> ?v_2772 (=> ?v_5900 (=> ?v_2774 (=> ?v_2775 (=> ?v_2776 (=> ?v_2777 (=> ?v_2978 (=> ?v_2778 (=> (= inline.SerialWrite.0.myNondetVar_0.2 inline.SerialWrite.0.myNondetVar_0.1) (=> ?v_2780 (=> ?v_2781 (=> (= inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..0) (=> ?v_2783 (=> ?v_2784 (=> ?v_2785 (=> ?v_2786 (=> ?v_2787 (=> ?v_2788 (=> ?v_2789 (=> ?v_2790 (=> ?v_2791 (=> ?v_2792 (=> ?v_2793 (=> ?v_2794 (=> ?v_2795 (=> ?v_2796 (=> ?v_2797 (=> ?v_2979 (=> ?v_2798 (=> ?v_2799 (=> ?v_2800 (=> ?v_2801 (=> ?v_2802 (=> ?v_2803 (=> ?v_2804 (=> ?v_2805 (=> ?v_5901 (=> ?v_2806 (=> ?v_2807 (=> ?v_2808 (=> ?v_2809 (=> ?v_2810 (=> ?v_2811 (=> ?v_2812 (=> ?v_2813 (=> ?v_2814 (=> ?v_2815 (=> ?v_2816 (=> ?v_2817 (=> ?v_2818 (=> ?v_2819 (=> ?v_2820 (=> ?v_2821 (=> (= inline.SerialWrite.0..result.SerialDbgPrintEx.154.8.18..1 inline.SerialWrite.0..result.SerialDbgPrintEx.154.8.18..0) ?v_5902)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5903 (= inline.sdv_InterlockedDecrement.17.myNondetVar_0.1 0))) (let ((?v_5916 (and (=> true (=> (not ?v_5903) (=> true (=> (= inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2.) ?v_5904)))) (=> true (=> ?v_5903 (=> true (=> (= inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..0 call68329formal.ret.0) (=> true (=> true (=> true ?v_5904))))))))) (?v_12 (= hirp hirp))) (let ((?v_3000 (not ?v_12)) (?v_5905 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.11 Mem_0_T.CancelRoutine__IRP.10) (=> (= Mem_1_T.CancelRoutine__IRP.11 Mem_1_T.CancelRoutine__IRP.10) (=> (= irpCompleted_0.5 irpCompleted_0.4) (=> (= irpCompleted_1.5 irpCompleted_1.4) (=> (= errorReached.7 errorReached.6) ?v_5916))))))) (?v_5906 (= irpCompleted_1.4 irpCompleted_1.3))) (let ((?v_5907 (=> (= irpCompleted_0.4 irpCompleted_0.3) (=> true ?v_5905))) (?v_5895 (= k.7 1))) (let ((?v_5911 (not ?v_5895)) (?v_2180 (= k.7 0))) (let ((?v_5908 (not ?v_2180))) (let ((?v_5910 (and (=> true (=> ?v_2180 (=> true (=> ?v_5906 (=> (= irpCompleted_0.4 1) ?v_5905))))) (=> true (=> ?v_5908 (and (=> true (=> ?v_5895 (=> true (=> (= irpCompleted_1.4 1) ?v_5907)))) (=> true (=> ?v_5911 (=> true (=> ?v_5906 ?v_5907)))))))))) (let ((?v_5914 (=> true (=> true ?v_5910))) (?v_5912 (= Mem_0_T.CancelRoutine__IRP.10 Mem_0_T.CancelRoutine__IRP.8)) (?v_5913 (= Mem_1_T.CancelRoutine__IRP.10 Mem_1_T.CancelRoutine__IRP.8)) (?v_5909 (MapType0Store Mem_1_T.CancelRoutine__IRP.8 ?v_952 ?v_38)) (?v_5896 (MapType0Store Mem_0_T.CancelRoutine__IRP.8 ?v_952 ?v_38))) (let ((?v_5915 (and (=> true (=> ?v_2180 (=> (= Mem_0_T.CancelRoutine__IRP.9 ?v_5896) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.10 Mem_0_T.CancelRoutine__IRP.9) (=> ?v_5913 ?v_5910)))))) (=> true (=> ?v_5908 (and (=> true (=> ?v_5895 (=> (= Mem_1_T.CancelRoutine__IRP.9 ?v_5909) (=> true (=> ?v_5912 (=> (= Mem_1_T.CancelRoutine__IRP.10 Mem_1_T.CancelRoutine__IRP.9) ?v_5914)))))) (=> true (=> ?v_5911 (=> true (=> ?v_5912 (=> ?v_5913 ?v_5914)))))))))) (?v_2997 (= irpCompleted_0.3 0)) (?v_2998 (= irpCompleted_1.3 0))) (let ((?v_3010 (not ?v_2997)) (?v_3011 (not ?v_2998)) (?v_5894 (int_2_U call68128formal.new.0)) (?v_2239 (= inline.SerialIRPEpilogue.8..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.8..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2314 (= inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2342 (= inline.sdv_InterlockedDecrement.17..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.17..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2568 (= inline.SerialWrite.0..result.SerialDbgPrintEx.156.24.20..1 inline.SerialWrite.0..result.SerialDbgPrintEx.156.24.20.)) (?v_2627 (= inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2672 (= inline.SerialIRPEpilogue.8..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.8..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2756 (= inline.sdv_InterlockedDecrement.17.myNondetVar_0.2 inline.sdv_InterlockedDecrement.17.myNondetVar_0)) (?v_2782 (= inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2.)) (?v_2822 (= inline.SerialWrite.0..result.SerialDbgPrintEx.154.8.18..1 inline.SerialWrite.0..result.SerialDbgPrintEx.154.8.18.)) (?v_2949 (int_2_U call68116formal.new.0))) (let ((?v_3694 (=> true (and ?v_8 (=> ?v_8 (=> (> call68116formal.new.0 0) (=> (forall ((?x1607 Int)) (! (=> (and (<= call68116formal.new.0 ?x1607) (< ?x1607 (+ call68116formal.new.0 1))) (= (Base ?x1607) call68116formal.new.0)) :pattern ((Base ?x1607)) )) (=> (forall ((?x1608 boogieU)) (! (=> (= (type ?x1608) intType) (or (= (U_2_int ?x1608) call68116formal.new.0) (= (MapType0Select alloc.74 ?x1608) (MapType0Select alloc.75 ?x1608)))) :pattern ((MapType0Select alloc.75 ?x1608)) )) (=> (and (= (MapType0Select alloc.74 ?v_2949) UNALLOCATED) (= (MapType0Select alloc.75 ?v_2949) ALLOCATED)) (=> true (=> ?v_2950 (=> (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..2) (=> (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.5 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.4) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..6 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..5) (=> (= inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.1 inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.0) (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..4) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3) (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.8 inline.sdv_InterlockedIncrement.1.myNondetVar_0.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.3) (=> (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.2.havoc_stringTemp.2) (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..6 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..5) (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.6 inline.sdv_InterlockedDecrement.14.myNondetVar_0.5) (=> (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.3 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.2) (=> (= Mem_0_T.P_IRP.46 Mem_0_T.P_IRP.45) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.3 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..5 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..4) (=> (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.4 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.3) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.1 inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.0) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.5 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4) (=> ?v_2951 (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.2) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.14 inline.SerialRundownIrpRefs.0.myNondetVar_0.13) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.10 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.9) (=> (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.5 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.6 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.4 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3) (=> (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.5 inline.sdv_InterlockedDecrement.8.myNondetVar_0.4) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.3) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.3) (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.4 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.3) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.5 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.4) (=> (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.3) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.7 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.6) (=> (= inline.SerialGetNextIrp.0.myNondetVar_0.5 inline.SerialGetNextIrp.0.myNondetVar_0.4) (=> (= inline.SerialRundownIrpRefs.0.myVar_0.17 inline.SerialRundownIrpRefs.0.myVar_0.16) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5) (=> (= inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.2 inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.1) (=> (= inline.RemoveHeadList.1.myNondetVar_0.7 inline.RemoveHeadList.1.myNondetVar_0.6) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.2) (=> (= inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.7 inline.sdv_InterlockedDecrement.4.myNondetVar_0.6) (=> (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..3) (=> ?v_2952 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialStartWrite.0.havoc_stringTemp.1 inline.SerialStartWrite.0.havoc_stringTemp.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..5 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..4) (=> (= inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.1 inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_2239 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4) (=> (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.3 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.2) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.2) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..3) (=> (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.5 inline.sdv_InterlockedIncrement.5.myNondetVar_0.4) (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.5 inline.SerialGetNextIrpLocked.1.havoc_stringTemp.4) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.3) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.8 inline.SerialRundownIrpRefs.0.tempBoogie0.7) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.3) (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..4) (=> (= inline.SerialGetNextWrite.1.tempBoogie0.8 inline.SerialGetNextWrite.1.tempBoogie0.7) (=> (= inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.2 inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.1) (=> (= inline.SerialGetNextWrite.0.havoc_stringTemp.4 inline.SerialGetNextWrite.0.havoc_stringTemp.3) (=> (= inline.SerialStartWrite.0.myNondetVar_2.7 inline.SerialStartWrite.0.myNondetVar_2.6) (=> (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1) (=> (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.3) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.5 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.4) (=> (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..2) (=> (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.3) (=> (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..2) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.3) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3) (=> ?v_2953 (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.8 inline.SerialRundownIrpRefs.0.myNondetVar_1.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.IsListEmpty.2.myNondetVar_0.5 inline.IsListEmpty.2.myNondetVar_0.4) (=> (= inline.SerialCancelTimer.0.myNondetVar_0.5 inline.SerialCancelTimer.0.myNondetVar_0.4) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3) (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.4 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.3) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..5 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.4) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..2) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.3) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.7 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.6) (=> (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.1 inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.0) (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..6 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3) (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.7 inline.sdv_InterlockedDecrement.9.myNondetVar_0.6) (=> (= irpCompleted_1.30 irpCompleted_1.29) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue1.0 SerialStartWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..3 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..2) (=> (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.3) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.1) (=> (= inline.SerialSetTimer.3.myNondetVar_0.8 inline.SerialSetTimer.3.myNondetVar_0.7) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.1 inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.0) (=> (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.4 inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..2 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> ?v_2954 (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.22 inline.SerialGetNextWrite.1.myNondetVar_0.21) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..4 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..3) (=> (= inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..1 inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..0) (=> (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1) (=> (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_1.3 inline.SerialTryToCompleteCurrent.0.myNondetVar_1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> ?v_2314 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_2955 (=> (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..2) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialWrite.0..result.SerialStartOrQueue.142.34.15..0 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..1 inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..0) (=> ?v_2956 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..3) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.5 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.4) (=> (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.1) (=> (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.2) (=> (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..4 inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.5 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.4) (=> (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.4) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= cancelLockStatus_0.52 cancelLockStatus_0.51) (=> (= inline.SerialStartWrite.0.tempBoogie0.7 inline.SerialStartWrite.0.tempBoogie0.6) (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) (=> (= inline.SerialStartRead.0.myNondetVar_1.17 inline.SerialStartRead.0.myNondetVar_1.16) (=> ?v_2342 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.8 inline.SerialGetNextIrpLocked.1.myVar_0.7) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..3) (=> (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..5 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..4) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.SerialCancelTimer.3.myNondetVar_0.5 inline.SerialCancelTimer.3.myNondetVar_0.4) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..5 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..4) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.6 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3) (=> (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.4 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.3) (=> (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..2) (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4) (=> (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..4 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..3) (=> (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..1 inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.2) (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.1) (=> (= errorReached.50 errorReached.49) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.4 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.3) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.3 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.2) (=> (= inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialWrite.0.havoc_stringTemp.1 call68116formal.new.0) (=> (= inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..2 inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..1) (=> (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.3) (=> (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..2) (=> (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..3 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..2) (=> (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..2) (=> (= cancelLockStatus_1.52 cancelLockStatus_1.51) (=> (= inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.1) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3) (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.2) (=> (= inline.IsListEmpty.4.myNondetVar_0.3 inline.IsListEmpty.4.myNondetVar_0.2) (=> (= inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..3) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3) (=> (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.1 inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.0) (=> ?v_2957 (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4) (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.1) (=> (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.2 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.1) (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..5 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..4) (=> (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.3) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.InsertTailList.1.myNondetVar_0.2 inline.InsertTailList.1.myNondetVar_0.1) (=> (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1) (=> (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.1) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.3) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.2) (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.3) (=> (= inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.1 inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.0) (=> (= Mem_1_T.P_IRP.46 Mem_1_T.P_IRP.45) (=> (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.4 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3) (=> (= inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..3) (=> ?v_2958 (=> (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..2) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> ?v_2959 (=> (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.3 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.2) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..1) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.5 inline.SerialGetNextIrpLocked.0.havoc_stringTemp.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.6 inline.SerialGetNextIrpLocked.2.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..2) (=> (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..2) (=> (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.2) (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.13 inline.SerialGetCharsFromIntBuffer.0.myVar_0.12) (=> (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.3 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..2) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.6 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.5) (=> (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.6 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.5) (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..4) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.6 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.5) (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= alloc.76 alloc.75) (=> (= inline.SerialCancelTimer.1.myNondetVar_0.5 inline.SerialCancelTimer.1.myNondetVar_0.4) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.6 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.5) (=> (= inline.sdv_InterlockedDecrement.16.myNondetVar_0.3 inline.sdv_InterlockedDecrement.16.myNondetVar_0.2) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..2) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..5 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..4) (=> (= inline.SerialStartOrQueue.0.tempBoogie0.3 inline.SerialStartOrQueue.0.tempBoogie0.2) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3) (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.2) (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.3) (=> (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.6 inline.sdv_InterlockedDecrement.13.myNondetVar_0.5) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.2) (=> (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.3) (=> ?v_2960 (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..5 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..4) (=> (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.3 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.11 inline.KeSynchronizeExecution.4.myNondetVar_0.10) (=> (= inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..1) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1) (=> ?v_2961 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..3) (=> (= inline.SerialCancelTimer.2.myNondetVar_0.5 inline.SerialCancelTimer.2.myNondetVar_0.4) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.3) (=> (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..3) (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.1) (=> (= Mem_0_T.CancelRoutine__IRP.69 Mem_0_T.CancelRoutine__IRP.68) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.2) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.7 inline.sdv_InterlockedDecrement.6.myNondetVar_0.6) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..5 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..4) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.1) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.4 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..3 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..2) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.4) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2) (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.6 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.5) (=> ?v_2962 (=> (= inline.SerialSetTimer.2.myNondetVar_0.8 inline.SerialSetTimer.2.myNondetVar_0.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialStartOrQueue.0..oldIrql.6.692.10.SerialStartOrQueue.0 call52678formal.new.0) (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.6 inline.sdv_InterlockedDecrement.3.myNondetVar_0.5) (=> ?v_2963 (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.1) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.10 inline.SerialGetNextWrite.0.tempBoogie0.9) (=> (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.2) (=> (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.8 inline.SerialRundownIrpRefs.0.myNondetVar_2.7) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.3) (=> (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.6 inline.sdv_InterlockedIncrement.2.myNondetVar_0.5) (=> (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..2 inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..1) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..5 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..4) (=> (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..2) (=> (= inline.SerialGetNextWrite.0.myVar_0.18 inline.SerialGetNextWrite.0.myVar_0.17) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.3) (=> (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.4 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.3) (=> (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..2) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.3) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextIrp.1.myNondetVar_0.5 inline.SerialGetNextIrp.1.myNondetVar_0.4) (=> (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.3 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.2) (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.2) (=> (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..3) (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3) (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.6 inline.SerialGetNextIrpLocked.3.myVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialStartWrite.0.myVar_0.30 inline.SerialStartWrite.0.myVar_0.29) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..6 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..5) (=> (= inline.RemoveHeadList.3.myNondetVar_0.5 inline.RemoveHeadList.3.myNondetVar_0.4) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.1) (=> (= inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..3 inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..2) (=> (= lockStatus_0.41 lockStatus_0.40) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp) (=> (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..4 inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..3) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.7 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp) (=> (= inline.SerialStartRead.0.tempBoogie0.6 inline.SerialStartRead.0.tempBoogie0.5) (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.8 inline.SerialGetNextIrpLocked.0.myVar_0.7) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.11 inline.KeSynchronizeExecution.6.myNondetVar_0.10) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.9 inline.SerialGetNextWrite.0.myNondetVar_1.8) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3) (=> (= inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue1.0 hirp) (=> (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.5 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..3) (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..4) (=> (= inline.KeSynchronizeExecution.8.myNondetVar_0.10 inline.KeSynchronizeExecution.8.myNondetVar_0.9) (=> ?v_2568 (=> (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4) (=> (= inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..2) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..1 inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..5 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..4) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.3 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.2) (=> (= inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.1 inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.0) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..5 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..4) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) (=> ?v_2964 (=> ?v_2965 (=> (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.6 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.5) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.10 inline.KeSynchronizeExecution.3.myNondetVar_0.9) (=> (= inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.1 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0) (=> ?v_2966 (=> (= inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..2 inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.6 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5) (=> (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..3 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..2) (=> (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.3 inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.2) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.3) (=> (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialStartRead.0.myNondetVar_0.85 inline.SerialStartRead.0.myNondetVar_0.84) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.3) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.7 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.6) (=> (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.3) (=> (= inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..2) (=> (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.1) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.2) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.3) (=> (= inline.RemoveHeadList.0.myNondetVar_0.7 inline.RemoveHeadList.0.myNondetVar_0.6) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.1) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3) (=> (= inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..1) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.3) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.2) (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.4 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.3) (=> (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..4 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..3) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.3) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.3 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.2) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.KeSynchronizeExecution.7.myNondetVar_0.10 inline.KeSynchronizeExecution.7.myNondetVar_0.9) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.3) (=> (= inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue.0 hirp) (=> (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.3 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.2) (=> ?v_2627 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> ?v_2967 (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.5 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.4) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.6 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.5) (=> (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.1) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.12 inline.KeSynchronizeExecution.1.myNondetVar_0.11) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4) (=> ?v_2968 (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.3 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.2) (=> (= inline.SerialSetTimer.0.myNondetVar_0.11 inline.SerialSetTimer.0.myNondetVar_0.10) (=> (= Mem_1_T.CancelRoutine__IRP.69 Mem_1_T.CancelRoutine__IRP.68) (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.2) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.10 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.9) (=> (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.2 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.1) (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.3 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.2) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.2) (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.5 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.4) (=> (= inline.SerialStartOrQueue.0.myNondetVar_1.2 inline.SerialStartOrQueue.0.myNondetVar_1.1) (=> ?v_2969 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_2970 (=> ?v_2971 (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.3 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.2) (=> (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.5 inline.sdv_InterlockedDecrement.11.myNondetVar_0.4) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.3) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.3) (=> (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.6 inline.sdv_InterlockedDecrement.15.myNondetVar_0.5) (=> ?v_5898 (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.2) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> ?v_2972 (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.2) (=> (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..3) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.6 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.5) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.3) (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.2 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.1) (=> (= inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..6 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..5) (=> ?v_2672 (=> (= inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.1 inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.0) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2) (=> (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..3) (=> (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..5 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..4) (=> (= inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..1 inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..0) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..2) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.3) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.3) (=> (= inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..5 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..4) (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.6 inline.sdv_InterlockedDecrement.10.myNondetVar_0.5) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.3) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0) (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialResizeBuffer.0.myVar_0.6 inline.SerialResizeBuffer.0.myVar_0.5) (=> ?v_2973 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4) (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.4) (=> (= inline.RemoveHeadList.2.myNondetVar_0.5 inline.RemoveHeadList.2.myNondetVar_0.4) (=> (= irpCompleted_0.30 irpCompleted_0.29) (=> ?v_2974 (=> (= inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..1) (=> (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..2 inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..1) (=> (= inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.1 inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.0) (=> (= inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.2 inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.1) (=> (= inline.SerialStartOrQueue.0..result.IsListEmpty.723.20.7..0 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0) (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.4) (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.10 inline.KeSynchronizeExecution.0.myNondetVar_0.9) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3) (=> (= inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..2 inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..1) (=> ?v_2975 (=> (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1) (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.4) (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..2) (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5) (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.4) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.4) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.8 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.7) (=> (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.3) (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..6 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..5) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.3 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.2) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.3) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_5899 (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..5 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..4) (=> ?v_2976 (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2) (=> (= inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.1) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialStartRead.0.myNondetVar_2.6 inline.SerialStartRead.0.myNondetVar_2.5) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.24 inline.SerialGetNextWrite.0.myNondetVar_0.23) (=> (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..5 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..4) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..4) (=> (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.1 inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.0) (=> (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.5 inline.sdv_InterlockedIncrement.3.myNondetVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.6 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..4) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3) (=> (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.4 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.3) (=> (= inline.SerialGetNextIrp.2.myNondetVar_0.3 inline.SerialGetNextIrp.2.myNondetVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.25 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.24) (=> (= inline.SerialGetNextIrp.3.myNondetVar_0.3 inline.SerialGetNextIrp.3.myNondetVar_0.2) (=> (= inline.KeSynchronizeExecution.5.myNondetVar_0.9 inline.KeSynchronizeExecution.5.myNondetVar_0.8) (=> (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.3) (=> ?v_2756 (=> (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..4 inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..3) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.SerialStartWrite.0.myNondetVar_1.11 inline.SerialStartWrite.0.myNondetVar_1.10) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.6 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.5) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.6 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5) (=> ?v_2977 (=> (= inline.SerialWrite.0..result.SerialWrite.74.0.1..1 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.3) (=> (= inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue.0 SerialStartWrite) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.4 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.3) (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.7 inline.SerialGetNextWrite.1.myNondetVar_1.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.2) (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..5 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..4) (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.9 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.8) (=> ?v_5900 (=> (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..7 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..6) (=> (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..2) (=> ?v_2978 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialWrite.0.myNondetVar_0.2 inline.SerialWrite.0.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..7 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6) (=> ?v_2782 (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue1.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.SerialSetTimer.1.myNondetVar_0.9 inline.SerialSetTimer.1.myNondetVar_0.8) (=> (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.1) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.3) (=> (= inline.SerialStartWrite.0.myNondetVar_0.37 inline.SerialStartWrite.0.myNondetVar_0.36) (=> (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.3.havoc_stringTemp.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..1) (=> (= inline.SerialStartRead.0..result.SerialStartRead.184.0.1..2 inline.SerialStartRead.0..result.SerialStartRead.184.0.1..1) (=> (= inline.SerialStartOrQueue.0.havoc_stringTemp.1 inline.SerialStartOrQueue.0.havoc_stringTemp.0) (=> (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0) (=> (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.1) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.7 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.6) (=> ?v_2979 (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.6 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5) (=> (= inline.SerialSetTimer.4.myNondetVar_0.8 inline.SerialSetTimer.4.myNondetVar_0.7) (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.17 inline.SerialResizeBuffer.0.myNondetVar_0.16) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.8 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..7 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3) (=> (= k.123 k.122) (=> (= inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.1 inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.0) (=> (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.3 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.2) (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..4 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..3) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..5 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..4) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.6 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.2) (=> (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.3 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.2) (=> (= inline.SerialStartRead.0.myVar_0.27 inline.SerialStartRead.0.myVar_0.26) (=> ?v_2822 (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..3 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..2) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.6 inline.SerialGetNextWrite.1.myNondetVar_2.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.6 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5) (=> ?v_2980 (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.15 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.14) (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.8 inline.SerialGetNextWrite.0.myNondetVar_2.7) (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.6) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3) (=> (= inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.1 inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.0) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3) (=> (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..2) (=> ?v_2981 (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.2) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2) (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.5 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.IsListEmpty.0.myNondetVar_0.1 inline.IsListEmpty.0.myNondetVar_0.0) (=> (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.5 inline.sdv_InterlockedIncrement.4.myNondetVar_0.4) (=> (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.SerialStartRead.0.havoc_stringTemp.2 inline.SerialStartRead.0.havoc_stringTemp.1) (=> (= inline.IsListEmpty.1.myNondetVar_0.5 inline.IsListEmpty.1.myNondetVar_0.4) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3) (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.8 inline.SerialTryToCompleteCurrent.0.myVar_0.7) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.1 inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.0) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.3) (=> (= inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..2) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_2.3 inline.SerialTryToCompleteCurrent.0.myNondetVar_2.2) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.1) (=> (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.3) (=> (= inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.1 inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.0) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.3) (=> (= inline.SerialGetNextWrite.1.havoc_stringTemp.2 inline.SerialGetNextWrite.1.havoc_stringTemp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.5 inline.sdv_InterlockedDecrement.7.myNondetVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.13 inline.KeSynchronizeExecution.2.myNondetVar_0.12) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4) (=> (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= lockStatus_1.41 lockStatus_1.40) (=> (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_2982 (=> (= inline.IsListEmpty.3.myNondetVar_0.3 inline.IsListEmpty.3.myNondetVar_0.2) (=> (= inline.SerialStartWrite.0..result.question.7..3 inline.SerialStartWrite.0..result.question.7..2) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.3) (=> (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..3) (=> (= inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.1) (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.9 inline.sdv_InterlockedDecrement.5.myNondetVar_0.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.6 inline.sdv_InterlockedDecrement.2.myNondetVar_0.5) (=> (= inline.SerialWrite.0..status.4.103.13.SerialWrite.0 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.4) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.1) (=> (= inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.2 inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.1) (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..3 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..2) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.6 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5) (=> (= inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.0) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.3) (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialWrite.0..result.SerialDbgPrintEx.146.23.16..1 inline.SerialWrite.0..result.SerialDbgPrintEx.146.23.16..0) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.1) (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..5 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..4) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.SerialResizeBuffer.0.myNondetVar_1.8 inline.SerialResizeBuffer.0.myNondetVar_1.7) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.5 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.4) (=> (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.1) (=> (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.3 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.2) (=> (= inline.SerialGetNextWrite.1.myVar_0.16 inline.SerialGetNextWrite.1.myVar_0.15) (=> (= inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0) (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.sdv_IoAcquireCancelSpinLock.1..result.userContextSwitch.1645.2.1..0 call52713formal.ret.0) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..2) (=> (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.16 inline.SerialStartOrQueue.0.myNondetVar_0.15) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4) (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.4 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.6 inline.sdv_InterlockedDecrement.12.myNondetVar_0.5) (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.5 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.4) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..6 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..5) (=> (= inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.703.36.2..0 inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.3) (=> ?v_2983 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) ?v_2984))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3782 (=> true (=> true (=> true (=> true ?v_3694))))) (?v_3013 (= inline.SerialRundownIrpRefs.0.myNondetVar_2.7 inline.SerialRundownIrpRefs.0.myNondetVar_2)) (?v_3014 (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.0 inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1)) (?v_3015 (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_3016 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_3017 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3018 (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..4 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2.)) (?v_3019 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite)) (?v_3763 (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3020 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.6 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2)) (?v_3021 (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..4 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1.)) (?v_3022 (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.5 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer)) (?v_3023 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_3024 (= inline.SerialGetNextWrite.1.myNondetVar_1.6 inline.SerialGetNextWrite.1.myNondetVar_1)) (?v_3025 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_3026 (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3027 (= inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.1 inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite)) (?v_3028 (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.3 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead)) (?v_3029 (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3030 (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_3031 (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3032 (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.5 inline.sdv_InterlockedDecrement.15.myNondetVar_0)) (?v_3033 (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.4 inline.sdv_InterlockedIncrement.3.myNondetVar_0)) (?v_3034 (= inline.SerialTryToCompleteCurrent.0.myVar_0.7 inline.SerialTryToCompleteCurrent.0.myVar_0)) (?v_3035 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3036 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3037 (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3038 (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3039 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_3040 (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution)) (?v_3041 (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3.)) (?v_3042 (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite)) (?v_3043 (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..2 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5.)) (?v_3044 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3045 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3046 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..6 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_3047 (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.2 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead)) (?v_3048 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.4 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3049 (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3050 (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution)) (?v_3051 (= inline.SerialCancelTimer.2.myNondetVar_0.4 inline.SerialCancelTimer.2.myNondetVar_0)) (?v_3052 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_3053 (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3054 (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1.)) (?v_3764 (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3055 (= inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp)) (?v_3056 (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1)) (?v_3057 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.5 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_3058 (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3059 (= inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1.)) (?v_3060 (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution)) (?v_3061 (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_3062 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_3063 (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3.)) (?v_3064 (= inline.SerialGetNextIrp.3.myNondetVar_0.2 inline.SerialGetNextIrp.3.myNondetVar_0)) (?v_3065 (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_3066 (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5847 (= irpCompleted_0.29 irpCompleted_0.3)) (?v_3067 (= inline.SerialStartWrite.0.havoc_stringTemp.0 inline.SerialStartWrite.0.havoc_stringTemp)) (?v_3068 (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs)) (?v_3069 (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.8 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0)) (?v_3070 (= inline.SerialRundownIrpRefs.0.myNondetVar_1.7 inline.SerialRundownIrpRefs.0.myNondetVar_1)) (?v_3071 (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.3.havoc_stringTemp)) (?v_3072 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.12 inline.SerialGetCharsFromIntBuffer.0.myVar_0)) (?v_3073 (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2.)) (?v_3074 (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3075 (= inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1.)) (?v_3076 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3077 (= inline.IsListEmpty.2.myNondetVar_0.4 inline.IsListEmpty.2.myNondetVar_0)) (?v_3078 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer)) (?v_3079 (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer)) (?v_3080 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_3081 (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3.)) (?v_3082 (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent)) (?v_3083 (= inline.KeSynchronizeExecution.6.myNondetVar_0.10 inline.KeSynchronizeExecution.6.myNondetVar_0)) (?v_3084 (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1.)) (?v_3085 (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite)) (?v_3086 (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3087 (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1)) (?v_3088 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3089 (= inline.SerialGetNextWrite.1.myNondetVar_0.21 inline.SerialGetNextWrite.1.myNondetVar_0)) (?v_3090 (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.4 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite)) (?v_3765 (= inline.InsertTailList.1.myNondetVar_0.1 inline.InsertTailList.1.myNondetVar_0)) (?v_3091 (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_3092 (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_3093 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_3094 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_3095 (= inline.SerialStartWrite.0.myNondetVar_2.6 inline.SerialStartWrite.0.myNondetVar_2)) (?v_3096 (= inline.SerialStartRead.0.havoc_stringTemp.1 inline.SerialStartRead.0.havoc_stringTemp)) (?v_3097 (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer)) (?v_3098 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3099 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3100 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..2 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3.)) (?v_3101 (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1)) (?v_3102 (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_3103 (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_3104 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_3105 (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3.)) (?v_3106 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_3107 (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer)) (?v_3108 (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite)) (?v_3109 (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.2.havoc_stringTemp)) (?v_3110 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty)) (?v_3111 (= inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite)) (?v_3112 (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_3113 (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3114 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3115 (= inline.SerialStartRead.0.myNondetVar_2.5 inline.SerialStartRead.0.myNondetVar_2)) (?v_3116 (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..4 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1.)) (?v_3117 (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1.)) (?v_3118 (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3119 (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3120 (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13.)) (?v_3121 (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..3 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1.)) (?v_3122 (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.)) (?v_3123 (= inline.IsListEmpty.4.myNondetVar_0.2 inline.IsListEmpty.4.myNondetVar_0)) (?v_3124 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3125 (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3126 (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3127 (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1.)) (?v_3128 (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4.)) (?v_3129 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3130 (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1)) (?v_3131 (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2.)) (?v_3132 (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.4 inline.sdv_InterlockedDecrement.11.myNondetVar_0)) (?v_3133 (= lockStatus_1.40 lockStatus_1.14)) (?v_3134 (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer)) (?v_3135 (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.4 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer)) (?v_3136 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3137 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3138 (= inline.KeSynchronizeExecution.1.myNondetVar_0.11 inline.KeSynchronizeExecution.1.myNondetVar_0)) (?v_3139 (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer)) (?v_3766 (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3140 (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3141 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.6 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_3142 (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer)) (?v_3143 (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3144 (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3.)) (?v_3145 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty)) (?v_3146 (= inline.SerialRundownIrpRefs.0.tempBoogie0.7 inline.SerialRundownIrpRefs.0.tempBoogie0)) (?v_3147 (= inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.0 inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead)) (?v_3148 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3149 (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_3150 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..4 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_3151 (= inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1.)) (?v_3152 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.2 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer)) (?v_3153 (= inline.SerialCancelTimer.0.myNondetVar_0.4 inline.SerialCancelTimer.0.myNondetVar_0)) (?v_3154 (= inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..1 inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6.)) (?v_3155 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_3156 (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3157 (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution)) (?v_3158 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.5 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_3159 (= inline.RemoveHeadList.2.myNondetVar_0.4 inline.RemoveHeadList.2.myNondetVar_0)) (?v_3160 (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..4 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3.)) (?v_3161 (= inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..0 inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1.)) (?v_3162 (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_3163 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3164 (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_3165 (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3166 (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs)) (?v_3167 (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..1 inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2.)) (?v_3168 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1)) (?v_3169 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3170 (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer)) (?v_3171 (= inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite)) (?v_3172 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3173 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3174 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1)) (?v_3175 (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_3176 (= inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.0 inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead)) (?v_3177 (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3178 (= inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite)) (?v_3179 (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp)) (?v_3180 (= inline.SerialStartRead.0.tempBoogie0.5 inline.SerialStartRead.0.tempBoogie0)) (?v_3181 (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_3182 (= inline.RemoveHeadList.1.myNondetVar_0.6 inline.RemoveHeadList.1.myNondetVar_0)) (?v_3183 (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1.)) (?v_3184 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_3185 (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.)) (?v_3186 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..5 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_3188 (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent)) (?v_3189 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_3190 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_3191 (= inline.SerialStartWrite.0.myNondetVar_1.10 inline.SerialStartWrite.0.myNondetVar_1)) (?v_3192 (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_3193 (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3194 (= inline.KeSynchronizeExecution.5.myNondetVar_0.8 inline.KeSynchronizeExecution.5.myNondetVar_0)) (?v_3195 (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..4 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1.)) (?v_3196 (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.4 inline.sdv_InterlockedIncrement.5.myNondetVar_0)) (?v_3197 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.9 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1)) (?v_3198 (= inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.0 inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead)) (?v_3199 (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3200 (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3201 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3202 (= inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_3203 (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3204 (= inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.0 inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite)) (?v_3205 (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2.)) (?v_3206 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_3207 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3208 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3209 (= inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..0 inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4.)) (?v_3210 (= inline.IsListEmpty.3.myNondetVar_0.2 inline.IsListEmpty.3.myNondetVar_0)) (?v_3211 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_3212 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_3213 (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_3214 (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3215 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3216 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer)) (?v_3217 (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2.)) (?v_3218 (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent)) (?v_3219 (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.4 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList)) (?v_3220 (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1)) (?v_3221 (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_3222 (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3223 (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3224 (= inline.SerialGetNextWrite.1.myNondetVar_2.5 inline.SerialGetNextWrite.1.myNondetVar_2)) (?v_3225 (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_3226 (= inline.RemoveHeadList.0.myNondetVar_0.6 inline.RemoveHeadList.0.myNondetVar_0)) (?v_3227 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.7 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_3228 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.4 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3229 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3230 (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3231 (= inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..2 inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18.)) (?v_3232 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty)) (?v_3233 (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1)) (?v_3234 (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..5 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1.)) (?v_3235 (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3236 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_3237 (= inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.1 inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite)) (?v_3238 (= inline.SerialGetNextIrp.1.myNondetVar_0.4 inline.SerialGetNextIrp.1.myNondetVar_0)) (?v_3239 (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_3240 (= inline.SerialResizeBuffer.0.myNondetVar_1.7 inline.SerialResizeBuffer.0.myNondetVar_1)) (?v_3241 (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1.)) (?v_3242 (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..4 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3243 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..4 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_3244 (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2.)) (?v_3245 (= inline.SerialStartWrite.0.tempBoogie0.6 inline.SerialStartWrite.0.tempBoogie0)) (?v_3246 (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1.)) (?v_3247 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3248 (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3249 (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_3250 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3251 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_3252 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.5 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_3253 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_2.2 inline.SerialTryToCompleteCurrent.0.myNondetVar_2)) (?v_3254 (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..4 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1.)) (?v_5291 (= inline.SerialStartOrQueue.0.myNondetVar_0.15 inline.SerialStartOrQueue.0.myNondetVar_0.9)) (?v_3255 (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3256 (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent)) (?v_3257 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_3258 (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..5 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4.)) (?v_3259 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3260 (= inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.0 inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead)) (?v_3261 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.6 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_3262 (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.3 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead)) (?v_3263 (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3264 (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1)) (?v_3265 (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1.)) (?v_3266 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3267 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_3268 (= inline.SerialGetNextIrpLocked.1.myVar_0.7 inline.SerialGetNextIrpLocked.1.myVar_0)) (?v_3269 (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2.)) (?v_3270 (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1)) (?v_3271 (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.6 inline.sdv_InterlockedDecrement.9.myNondetVar_0)) (?v_3272 (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.0 inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead)) (?v_3273 (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_3274 (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.6 inline.sdv_InterlockedDecrement.4.myNondetVar_0)) (?v_3275 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3276 (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3277 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3278 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_3279 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_3280 (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList)) (?v_3281 (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.2 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer)) (?v_3282 (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.1 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1)) (?v_3283 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1)) (?v_3284 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1)) (?v_3285 (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1)) (?v_3286 (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent)) (?v_3287 (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3288 (= inline.SerialResizeBuffer.0.myNondetVar_0.16 inline.SerialResizeBuffer.0.myNondetVar_0)) (?v_3289 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.14 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0)) (?v_3290 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3291 (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3292 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_3293 (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3294 (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_3295 (= inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent)) (?v_3296 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_3297 (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3298 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_3299 (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3300 (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_3301 (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.0 inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite)) (?v_3302 (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..4 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2.)) (?v_3303 (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2.)) (?v_3304 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_3305 (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3306 (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite)) (?v_3307 (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs)) (?v_3308 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_3309 (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3310 (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.4 inline.sdv_InterlockedDecrement.8.myNondetVar_0)) (?v_3311 (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_3312 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3313 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3314 (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent)) (?v_3315 (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3316 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3317 (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1.)) (?v_3318 (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2.)) (?v_3319 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_3767 (= inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2.)) (?v_3320 (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite)) (?v_3321 (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer)) (?v_3322 (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2.)) (?v_3323 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp)) (?v_3324 (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..2 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1.)) (?v_3325 (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3326 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3327 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.6 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_3328 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3329 (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.6 inline.sdv_InterlockedDecrement.6.myNondetVar_0)) (?v_3330 (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer)) (?v_3331 (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1.)) (?v_3332 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3333 (= inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1.)) (?v_3768 (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3334 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3335 (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer)) (?v_3336 (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_3337 (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.3 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead)) (?v_3338 (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1.)) (?v_3339 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_3340 (= inline.SerialSetTimer.4.myNondetVar_0.7 inline.SerialSetTimer.4.myNondetVar_0)) (?v_3341 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_3342 (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.3 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer)) (?v_3344 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.2 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer)) (?v_3345 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.7 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite)) (?v_3346 (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1.)) (?v_3347 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3348 (= inline.SerialRundownIrpRefs.0.myVar_0.16 inline.SerialRundownIrpRefs.0.myVar_0)) (?v_3349 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3769 (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3350 (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1.)) (?v_3351 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_3352 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3353 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_3354 (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3355 (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2.)) (?v_3356 (= inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3357 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3358 (= inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp)) (?v_3359 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer)) (?v_3360 (= inline.SerialGetNextWrite.0.myVar_0.17 inline.SerialGetNextWrite.0.myVar_0)) (?v_3361 (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3362 (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.0 inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1)) (?v_3363 (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1.)) (?v_3364 (= inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1.)) (?v_3365 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.)) (?v_3366 (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5848 (= irpCompleted_1.29 irpCompleted_1.3)) (?v_3367 (= inline.RemoveHeadList.3.myNondetVar_0.4 inline.RemoveHeadList.3.myNondetVar_0)) (?v_3368 (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3369 (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution)) (?v_3370 (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3371 (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3372 (= inline.KeSynchronizeExecution.3.myNondetVar_0.9 inline.KeSynchronizeExecution.3.myNondetVar_0)) (?v_3373 (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3374 (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_3375 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3376 (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite)) (?v_3377 (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3378 (= inline.SerialGetNextWrite.0.tempBoogie0.9 inline.SerialGetNextWrite.0.tempBoogie0)) (?v_3379 (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs)) (?v_3380 (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer)) (?v_3381 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp)) (?v_3382 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3383 (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_3384 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3770 (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3385 (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.5 inline.sdv_InterlockedDecrement.12.myNondetVar_0)) (?v_3386 (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3387 (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1)) (?v_3388 (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.2 inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead)) (?v_3389 (= inline.SerialGetNextIrp.0.myNondetVar_0.4 inline.SerialGetNextIrp.0.myNondetVar_0)) (?v_3390 (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_3391 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_3392 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3393 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3394 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3771 (= inline.SerialStartOrQueue.0.havoc_stringTemp.0 inline.SerialStartOrQueue.0.havoc_stringTemp)) (?v_3395 (= inline.KeSynchronizeExecution.7.myNondetVar_0.9 inline.KeSynchronizeExecution.7.myNondetVar_0)) (?v_3396 (= inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1.)) (?v_3397 (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_3398 (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1)) (?v_3399 (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_3400 (= inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite)) (?v_3401 (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3402 (= inline.SerialGetNextWrite.0.havoc_stringTemp.3 inline.SerialGetNextWrite.0.havoc_stringTemp)) (?v_3403 (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3404 (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer)) (?v_3405 (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3406 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_3407 (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3408 (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.4 inline.sdv_InterlockedDecrement.7.myNondetVar_0)) (?v_3409 (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3410 (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3411 (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution)) (?v_3412 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3413 (= inline.SerialStartRead.0.myVar_0.26 inline.SerialStartRead.0.myVar_0)) (?v_3414 (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer)) (?v_3415 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_3416 (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.4 inline.SerialGetNextIrpLocked.0.havoc_stringTemp)) (?v_3417 (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2.)) (?v_3418 (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent)) (?v_3419 (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_3420 (= inline.SerialGetNextIrpLocked.3.myVar_0.5 inline.SerialGetNextIrpLocked.3.myVar_0)) (?v_3772 (= inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3421 (= inline.SerialSetTimer.2.myNondetVar_0.7 inline.SerialSetTimer.2.myNondetVar_0)) (?v_3773 (= inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3422 (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1.)) (?v_3423 (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1)) (?v_3424 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.7 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1)) (?v_3425 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_3426 (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_3427 (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3428 (= inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.0 inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead)) (?v_3429 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3430 (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_3431 (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..4 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1.)) (?v_3432 (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..4 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.)) (?v_3433 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_1.2 inline.SerialTryToCompleteCurrent.0.myNondetVar_1)) (?v_3434 (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.4 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead)) (?v_3435 (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_3436 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1)) (?v_3437 (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_3438 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_3774 (= inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_3439 (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3440 (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3441 (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1.)) (?v_3442 (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1.)) (?v_3443 (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3444 (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_3445 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3446 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_3447 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.4 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3448 (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer)) (?v_3449 (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3450 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3451 (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4.)) (?v_3452 (= inline.SerialGetNextWrite.1.myVar_0.15 inline.SerialGetNextWrite.1.myVar_0)) (?v_3453 (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.3 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead)) (?v_3454 (= inline.SerialGetNextWrite.1.havoc_stringTemp.1 inline.SerialGetNextWrite.1.havoc_stringTemp)) (?v_3455 (= inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1.)) (?v_3456 (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2.)) (?v_3457 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3458 (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1)) (?v_3459 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3460 (= inline.SerialSetTimer.3.myNondetVar_0.7 inline.SerialSetTimer.3.myNondetVar_0)) (?v_3461 (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp)) (?v_3462 (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs)) (?v_3463 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_3464 (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_3465 (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.3 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead)) (?v_3466 (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.2 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead)) (?v_3467 (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_3468 (= inline.SerialGetNextIrp.2.myNondetVar_0.2 inline.SerialGetNextIrp.2.myNondetVar_0)) (?v_3469 (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3470 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty)) (?v_3471 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer)) (?v_3472 (= inline.SerialGetNextWrite.0.myNondetVar_2.7 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_3473 (= inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1.)) (?v_3775 (= inline.sdv_InterlockedDecrement.16.myNondetVar_0.2 inline.sdv_InterlockedDecrement.16.myNondetVar_0)) (?v_3474 (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3475 (= inline.SerialRundownIrpRefs.0.myNondetVar_0.13 inline.SerialRundownIrpRefs.0.myNondetVar_0)) (?v_3476 (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3477 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3478 (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_3479 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3480 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_3481 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..4 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13.)) (?v_3482 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3483 (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_3484 (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList)) (?v_3485 (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.5 inline.sdv_InterlockedIncrement.2.myNondetVar_0)) (?v_3486 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1)) (?v_3487 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_3488 (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.1 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1)) (?v_3489 (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3490 (= inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1.)) (?v_3491 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer)) (?v_3492 (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3493 (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..1 inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14.)) (?v_3494 (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_3495 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..4 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1.)) (?v_3496 (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_3497 (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3498 (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_3499 (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2.)) (?v_3500 (= inline.SerialCancelTimer.1.myNondetVar_0.4 inline.SerialCancelTimer.1.myNondetVar_0)) (?v_3501 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.2 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1)) (?v_3502 (= lockStatus_0.40 lockStatus_0.14)) (?v_3503 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3504 (= inline.IsListEmpty.1.myNondetVar_0.4 inline.IsListEmpty.1.myNondetVar_0)) (?v_3505 (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite)) (?v_3506 (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3507 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1)) (?v_3508 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_3509 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.24 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0)) (?v_3776 (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3510 (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3511 (= inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.0 inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite)) (?v_3512 (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1)) (?v_3513 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.2 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1)) (?v_5849 (= alloc.74 alloc.9)) (?v_3514 (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.2 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer)) (?v_3515 (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.3 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer)) (?v_3516 (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_3517 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.4 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3518 (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_3519 (= inline.KeSynchronizeExecution.8.myNondetVar_0.9 inline.KeSynchronizeExecution.8.myNondetVar_0)) (?v_3777 (= inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3520 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_3521 (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3522 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_3523 (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer)) (?v_3524 (= inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..1 inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2.)) (?v_3525 (= inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.0 inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead)) (?v_3526 (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.2 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite)) (?v_3527 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_3528 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent)) (?v_3778 (= inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1.)) (?v_3529 (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3530 (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite)) (?v_3531 (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_3532 (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_3533 (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp)) (?v_3534 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_3535 (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3536 (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3537 (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.1 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1)) (?v_3538 (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3539 (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3540 (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3541 (= inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.0 inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite)) (?v_3542 (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1.)) (?v_3543 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.8 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_3544 (= inline.SerialGetNextWrite.1.tempBoogie0.7 inline.SerialGetNextWrite.1.tempBoogie0)) (?v_3545 (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3546 (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3547 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1)) (?v_3548 (= inline.SerialStartWrite.0.myNondetVar_0.36 inline.SerialStartWrite.0.myNondetVar_0)) (?v_3549 (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3550 (= inline.SerialGetNextWrite.0.myNondetVar_1.8 inline.SerialGetNextWrite.0.myNondetVar_1)) (?v_3551 (= inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..0 inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9.)) (?v_3552 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.9 inline.SerialTryToCompleteCurrent.0.myNondetVar_0)) (?v_3553 (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2.)) (?v_3554 (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent)) (?v_3555 (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3556 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3557 (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_3558 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..3 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_3559 (= inline.SerialStartRead.0..result.SerialStartRead.184.0.1..1 inline.SerialStartRead.0..result.SerialStartRead.184.0.1.)) (?v_3560 (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..4 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1.)) (?v_3561 (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_3562 (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3563 (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer)) (?v_3564 (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp)) (?v_3565 (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.3 inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite)) (?v_3566 (= inline.SerialStartRead.0.myNondetVar_1.16 inline.SerialStartRead.0.myNondetVar_1)) (?v_3567 (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2.)) (?v_3568 (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.3 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead)) (?v_3569 (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3570 (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.5 inline.sdv_InterlockedDecrement.14.myNondetVar_0)) (?v_3571 (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2.)) (?v_3572 (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..2 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1.)) (?v_3573 (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3574 (= inline.KeSynchronizeExecution.0.myNondetVar_0.9 inline.KeSynchronizeExecution.0.myNondetVar_0)) (?v_3575 (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.4 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_3576 (= inline.SerialStartWrite.0..result.question.7..2 inline.SerialStartWrite.0..result.question.7.)) (?v_3577 (= inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.0 inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite)) (?v_3578 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_3579 (= inline.SerialResizeBuffer.0.myVar_0.5 inline.SerialResizeBuffer.0.myVar_0)) (?v_3580 (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3779 (= inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..1 inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11.)) (?v_3581 (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1.)) (?v_3582 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3583 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_3584 (= inline.SerialGetNextIrpLocked.0.myVar_0.7 inline.SerialGetNextIrpLocked.0.myVar_0)) (?v_3585 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3586 (= inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1.)) (?v_3587 (= inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..0 inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8.)) (?v_3588 (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs)) (?v_3589 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_3590 (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1.)) (?v_3591 (= inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.1 inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite)) (?v_3592 (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1.)) (?v_3593 (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.3 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead)) (?v_3594 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..2 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5.)) (?v_3595 (= inline.SerialSetTimer.1.myNondetVar_0.8 inline.SerialSetTimer.1.myNondetVar_0)) (?v_3596 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_3597 (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3598 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer)) (?v_3599 (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.4 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_3600 (= inline.SerialStartRead.0.myNondetVar_0.84 inline.SerialStartRead.0.myNondetVar_0)) (?v_3601 (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_3602 (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3603 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3604 (= inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1.)) (?v_3780 (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3605 (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer)) (?v_3606 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.5 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_3607 (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.5 inline.sdv_InterlockedDecrement.13.myNondetVar_0)) (?v_3608 (= inline.SerialCancelTimer.3.myNondetVar_0.4 inline.SerialCancelTimer.3.myNondetVar_0)) (?v_3609 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_3610 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.6 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_3611 (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3612 (= inline.SerialSetTimer.0.myNondetVar_0.10 inline.SerialSetTimer.0.myNondetVar_0)) (?v_3613 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3614 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite)) (?v_3615 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_3616 (= inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1.)) (?v_3617 (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..3 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1.)) (?v_3618 (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..2 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1.)) (?v_3619 (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3620 (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_3621 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3622 (= inline.SerialStartWrite.0.myVar_0.29 inline.SerialStartWrite.0.myVar_0)) (?v_3623 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3624 (= inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.1 inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite)) (?v_3625 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_3626 (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_3627 (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.2 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead)) (?v_3628 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_3629 (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1)) (?v_3630 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer)) (?v_3631 (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent)) (?v_3632 (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3633 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_3634 (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3635 (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_3636 (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3637 (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1)) (?v_3638 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_3639 (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution)) (?v_3640 (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.4 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList)) (?v_3641 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3642 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.5 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_3643 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1)) (?v_3644 (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_3645 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_3646 (= inline.SerialGetNextIrpLocked.2.myVar_0.5 inline.SerialGetNextIrpLocked.2.myVar_0)) (?v_3647 (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3648 (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_3649 (= inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent)) (?v_3650 (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_3651 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3652 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1)) (?v_3653 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3654 (= inline.SerialGetNextWrite.0.myNondetVar_0.23 inline.SerialGetNextWrite.0.myNondetVar_0)) (?v_3655 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3656 (= inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1.)) (?v_3657 (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_3658 (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3781 (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3659 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1)) (?v_3660 (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..3 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4.)) (?v_3661 (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.5 inline.sdv_InterlockedDecrement.3.myNondetVar_0)) (?v_3662 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.5 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite)) (?v_3663 (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_3664 (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3665 (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1)) (?v_3666 (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.4 inline.sdv_InterlockedIncrement.4.myNondetVar_0)) (?v_3667 (= inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1.)) (?v_3668 (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution)) (?v_3669 (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.5 inline.sdv_InterlockedDecrement.10.myNondetVar_0)) (?v_3670 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.5 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_3671 (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3672 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1)) (?v_3673 (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.5 inline.sdv_InterlockedDecrement.2.myNondetVar_0)) (?v_3674 (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_3675 (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.2 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp)) (?v_3676 (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1.)) (?v_3677 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3678 (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3679 (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..4 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3680 (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3681 (= inline.KeSynchronizeExecution.4.myNondetVar_0.10 inline.KeSynchronizeExecution.4.myNondetVar_0)) (?v_3682 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_3683 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3684 (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3685 (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..5 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4.)) (?v_3686 (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3687 (= inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3688 (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3689 (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_3690 (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite)) (?v_3691 (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1)) (?v_3692 (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.4 inline.SerialGetNextIrpLocked.1.havoc_stringTemp)) (?v_3693 (= inline.KeSynchronizeExecution.2.myNondetVar_0.12 inline.KeSynchronizeExecution.2.myNondetVar_0))) (let ((?v_5292 (=> ?v_3679 (=> ?v_3680 (=> ?v_3681 (=> ?v_3682 (=> ?v_3683 (=> ?v_3684 (=> ?v_3685 (=> ?v_3686 (=> ?v_3687 (=> ?v_3688 (=> ?v_3689 (=> ?v_3690 (=> ?v_3691 (=> ?v_3692 (=> ?v_3693 ?v_3782))))))))))))))))) (let ((?v_5850 (=> ?v_3668 (=> ?v_3669 (=> ?v_3670 (=> ?v_3671 (=> ?v_3672 (=> ?v_3673 (=> ?v_3674 (=> ?v_3675 (=> ?v_3676 (=> ?v_3677 (=> ?v_3678 ?v_5292)))))))))))) (?v_5846 (= SerialStartWrite SerialStartRead)) (?v_5699 (=> true (=> ?v_3013 (=> (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> ?v_3016 (=> ?v_3017 (=> ?v_3018 (=> ?v_3019 (=> ?v_3763 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.6 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.5) (=> ?v_3021 (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.5 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.4) (=> ?v_3023 (=> ?v_3024 (=> ?v_3025 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_3027 (=> (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.3 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_3030 (=> ?v_3031 (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.5 inline.sdv_InterlockedDecrement.15.myNondetVar_0.4) (=> ?v_3033 (=> ?v_3034 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_3036 (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> ?v_3038 (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3) (=> ?v_3040 (=> ?v_3041 (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1 inline.SerialStartRead.0..result.SerialStartRead.184.0.1..0) (=> ?v_3042 (=> (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..2 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> ?v_3045 (=> ?v_3046 (=> (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.2 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.1) (=> ?v_3048 (=> (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..2) (=> ?v_3050 (=> (= inline.SerialCancelTimer.2.myNondetVar_0.4 inline.SerialCancelTimer.2.myNondetVar_0.3) (=> ?v_3052 (=> ?v_3053 (=> ?v_3054 (=> ?v_3764 (=> (= inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.0) (=> ?v_3056 (=> ?v_3057 (=> ?v_3058 (=> ?v_3059 (=> (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1) (=> ?v_3063 (=> (= inline.SerialGetNextIrp.3.myNondetVar_0.2 inline.SerialGetNextIrp.3.myNondetVar_0.1) (=> ?v_3065 (=> ?v_3066 (=> (= irpCompleted_0.29 irpCompleted_0.11) (=> ?v_3067 (=> ?v_3068 (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.8 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.7) (=> ?v_3070 (=> (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.3.havoc_stringTemp.1) (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.12 inline.SerialGetCharsFromIntBuffer.0.myVar_0.11) (=> ?v_3073 (=> ?v_3074 (=> (= inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..0) (=> ?v_3076 (=> ?v_3077 (=> ?v_3078 (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.1) (=> ?v_3080 (=> (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..1) (=> ?v_3082 (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.10 inline.KeSynchronizeExecution.6.myNondetVar_0.9) (=> ?v_3084 (=> ?v_3085 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_3087 (=> ?v_3088 (=> ?v_3089 (=> ?v_3090 (=> ?v_3765 (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1) (=> ?v_3094 (=> ?v_3095 (=> (= inline.SerialStartRead.0.havoc_stringTemp.1 inline.SerialStartRead.0.havoc_stringTemp.0) (=> (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.1) (=> ?v_3098 (=> ?v_3099 (=> ?v_3100 (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.1) (=> ?v_3102 (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3110 (=> ?v_3111 (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1) (=> ?v_3113 (=> ?v_3114 (=> (= inline.SerialStartRead.0.myNondetVar_2.5 inline.SerialStartRead.0.myNondetVar_2.4) (=> ?v_3116 (=> ?v_3117 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..1) (=> ?v_3120 (=> ?v_3121 (=> ?v_3122 (=> (= inline.IsListEmpty.4.myNondetVar_0.2 inline.IsListEmpty.4.myNondetVar_0.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartRead.0.myVar_0.2) (=> (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..2) (=> ?v_3128 (=> ?v_3129 (=> ?v_3130 (=> ?v_3131 (=> (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.4 inline.sdv_InterlockedDecrement.11.myNondetVar_0.3) (=> (= lockStatus_1.40 lockStatus_1.35) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.1) (=> (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.4 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.3) (=> ?v_3136 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> ?v_3138 (=> ?v_3139 (=> ?v_3766 (=> ?v_3140 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..1) (=> ?v_3145 (=> ?v_3146 (=> (= inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.0 call62827formal.new.0) (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> (= inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.2 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.1) (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.2) (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> ?v_3164 (=> ?v_3165 (=> ?v_3166 (=> ?v_3167 (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0) (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> (= Mem_1_T.CancelRoutine__IRP.68 Mem_1_T.CancelRoutine__IRP.24) (=> ?v_3172 (=> (= k.122 k.50) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> ?v_3174 (=> (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> (= inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.0 call62821formal.new.0) (=> ?v_3177 (=> ?v_3178 (=> ?v_3179 (=> (= inline.SerialStartRead.0.tempBoogie0.5 inline.SerialStartRead.0.tempBoogie0.4) (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> (= Mem_0_T.P_IRP.45 Mem_0_T.P_IRP.9) (=> ?v_3188 (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2) (=> ?v_3190 (=> ?v_3191 (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> ?v_3193 (=> ?v_3194 (=> (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..4 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..3) (=> (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.4 inline.sdv_InterlockedIncrement.5.myNondetVar_0.3) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.9 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.8) (=> (= inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.0 call62830formal.new.0) (=> ?v_3199 (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> ?v_3201 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..3) (=> ?v_3206 (=> ?v_3207 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..0 inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_3210 (=> ?v_3211 (=> ?v_3212 (=> ?v_3213 (=> ?v_3214 (=> ?v_3215 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_3230 (=> (= inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..2 inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..1) (=> ?v_3232 (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.2) (=> ?v_3234 (=> ?v_3235 (=> ?v_3236 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> (= inline.SerialResizeBuffer.0.myNondetVar_1.7 inline.SerialResizeBuffer.0.myNondetVar_1.6) (=> ?v_3241 (=> ?v_3242 (=> ?v_3243 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_3247 (=> ?v_3248 (=> ?v_3249 (=> ?v_3250 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_3254 (=> ?v_5291 (=> ?v_3255 (=> ?v_3256 (=> ?v_3257 (=> ?v_3258 (=> ?v_3259 (=> (= inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.0 call62833formal.new.0) (=> ?v_3261 (=> (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.3 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_3264 (=> ?v_3265 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2) (=> ?v_3268 (=> (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..1) (=> ?v_3270 (=> ?v_3271 (=> (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> ?v_3273 (=> ?v_3274 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> ?v_3276 (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> ?v_3278 (=> ?v_3279 (=> ?v_3280 (=> (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.2 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.1) (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.16 inline.SerialResizeBuffer.0.myNondetVar_0.15) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.14 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.13) (=> ?v_3290 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> ?v_3292 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_3296 (=> ?v_3297 (=> ?v_3298 (=> ?v_3299 (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> ?v_3301 (=> ?v_3302 (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2) (=> (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..2) (=> ?v_3306 (=> ?v_3307 (=> ?v_3308 (=> ?v_3309 (=> ?v_3310 (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> ?v_3312 (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..2) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2) (=> ?v_3767 (=> ?v_3320 (=> (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.1) (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..2) (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..2) (=> ?v_3332 (=> ?v_3333 (=> ?v_3768 (=> ?v_3334 (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.1) (=> ?v_3336 (=> (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.3 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.2) (=> (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..1) (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1) (=> (= inline.SerialSetTimer.4.myNondetVar_0.7 inline.SerialSetTimer.4.myNondetVar_0.6) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2) (=> (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.3 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.2) (=> (= Mem_1_T.P_IRP.45 Mem_1_T.P_IRP.9) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.2 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.1) (=> ?v_3345 (=> ?v_3346 (=> ?v_3347 (=> ?v_3348 (=> ?v_3349 (=> ?v_3769 (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1) (=> ?v_3351 (=> ?v_3352 (=> ?v_3353 (=> ?v_3354 (=> (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..3) (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> (= irpCompleted_1.29 irpCompleted_1.11) (=> (= inline.RemoveHeadList.3.myNondetVar_0.4 inline.RemoveHeadList.3.myNondetVar_0.3) (=> (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..1) (=> ?v_3369 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.1) (=> ?v_3381 (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.2) (=> ?v_3384 (=> ?v_3770 (=> (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.5 inline.sdv_InterlockedDecrement.12.myNondetVar_0.4) (=> ?v_3386 (=> ?v_3387 (=> (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.2 inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.1) (=> ?v_3389 (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0) (=> ?v_3391 (=> ?v_3392 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> ?v_3394 (=> ?v_3771 (=> (= inline.KeSynchronizeExecution.7.myNondetVar_0.9 inline.KeSynchronizeExecution.7.myNondetVar_0.8) (=> ?v_3396 (=> ?v_3397 (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.2) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> ?v_3400 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.1) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2) (=> ?v_3407 (=> ?v_3408 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_3410 (=> ?v_3411 (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.SerialStartRead.0.myVar_0.26 inline.SerialStartRead.0.myVar_0.25) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.1) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1) (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.5 inline.SerialGetNextIrpLocked.3.myVar_0.4) (=> ?v_3772 (=> ?v_3421 (=> ?v_3773 (=> (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..2) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.2) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.7 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.6) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1) (=> (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..2) (=> ?v_3427 (=> (= inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.0 call62824formal.new.0) (=> ?v_3429 (=> ?v_3430 (=> (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..4 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..3) (=> ?v_3432 (=> ?v_3433 (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.4 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.3) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> ?v_3436 (=> ?v_3437 (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3) (=> ?v_3774 (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> ?v_3445 (=> ?v_3446 (=> ?v_3447 (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.1) (=> ?v_3449 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..2) (=> ?v_3452 (=> (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.3 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.2) (=> ?v_3454 (=> (= inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..1) (=> ?v_3456 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> (= inline.SerialSetTimer.3.myNondetVar_0.7 inline.SerialSetTimer.3.myNondetVar_0.6) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.0) (=> ?v_3462 (=> ?v_3463 (=> (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..2) (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.3 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.2) (=> (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.2 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.1) (=> (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.2) (=> ?v_3468 (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0) (=> ?v_3471 (=> ?v_3472 (=> (= inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..1) (=> ?v_3775 (=> ?v_3474 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3480 (=> ?v_3481 (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> ?v_3483 (=> (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.1) (=> ?v_3485 (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.2) (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> ?v_3493 (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> ?v_3495 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..1) (=> ?v_3500 (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.2 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.1) (=> (= lockStatus_0.40 lockStatus_0.35) (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.2) (=> ?v_3508 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.24 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.23) (=> ?v_3776 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.2 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.1) (=> (= alloc.74 alloc.36) (=> (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.2 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.1) (=> (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.3 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.2) (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.3) (=> ?v_3517 (=> ?v_3518 (=> (= inline.KeSynchronizeExecution.8.myNondetVar_0.9 inline.KeSynchronizeExecution.8.myNondetVar_0.8) (=> ?v_3777 (=> ?v_3520 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> ?v_3522 (=> ?v_3523 (=> (= inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..1 inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..0) (=> (= inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.0 call62818formal.new.0) (=> ?v_3526 (=> ?v_3527 (=> ?v_3528 (=> ?v_3778 (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> ?v_3535 (=> ?v_3536 (=> ?v_3537 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartRead.0.myVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_3540 (=> ?v_3541 (=> ?v_3542 (=> ?v_3543 (=> ?v_3544 (=> ?v_3545 (=> ?v_3546 (=> ?v_3547 (=> ?v_3548 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_3550 (=> (= inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..0 inline.SerialStartRead.0..result.SerialStartRead.184.0.1..0) (=> ?v_3552 (=> ?v_3553 (=> ?v_3554 (=> ?v_3555 (=> ?v_3556 (=> ?v_3557 (=> ?v_3558 (=> (= inline.SerialStartRead.0..result.SerialStartRead.184.0.1..1 inline.SerialStartRead.0..result.SerialStartRead.184.0.1..0) (=> ?v_3560 (=> ?v_3561 (=> ?v_3562 (=> ?v_3563 (=> ?v_3564 (=> ?v_3565 (=> (= inline.SerialStartRead.0.myNondetVar_1.16 inline.SerialStartRead.0.myNondetVar_1.15) (=> ?v_3567 (=> (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.3 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.2) (=> ?v_3569 (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.5 inline.sdv_InterlockedDecrement.14.myNondetVar_0.4) (=> ?v_3571 (=> ?v_3572 (=> ?v_3573 (=> ?v_3574 (=> ?v_3575 (=> ?v_3576 (=> ?v_3577 (=> ?v_3578 (=> (= inline.SerialResizeBuffer.0.myVar_0.5 inline.SerialResizeBuffer.0.myVar_0.4) (=> ?v_3580 (=> ?v_3779 (=> (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..2) (=> ?v_3582 (=> ?v_3583 (=> ?v_3584 (=> ?v_3585 (=> (= inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..1) (=> ?v_3587 (=> (= cancelLockStatus_0.51 cancelLockStatus_0.18) (=> ?v_3588 (=> ?v_3589 (=> ?v_3590 (=> ?v_3591 (=> (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..2) (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.3 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.2) (=> ?v_3594 (=> (= Mem_0_T.CancelRoutine__IRP.68 Mem_0_T.CancelRoutine__IRP.24) (=> ?v_3595 (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2) (=> ?v_3597 (=> ?v_3598 (=> ?v_3599 (=> (= inline.SerialStartRead.0.myNondetVar_0.84 inline.SerialStartRead.0.myNondetVar_0.83) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> ?v_3604 (=> ?v_3780 (=> (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.1) (=> ?v_3606 (=> (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.5 inline.sdv_InterlockedDecrement.13.myNondetVar_0.4) (=> (= inline.SerialCancelTimer.3.myNondetVar_0.4 inline.SerialCancelTimer.3.myNondetVar_0.3) (=> ?v_3609 (=> ?v_3610 (=> ?v_3611 (=> ?v_3612 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> ?v_3614 (=> ?v_3615 (=> (= inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..0) (=> ?v_3617 (=> (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..2 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..1) (=> ?v_3619 (=> ?v_3620 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_3622 (=> ?v_3623 (=> ?v_3624 (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2) (=> ?v_3626 (=> (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.2 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.1) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.1) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.1) (=> ?v_3631 (=> ?v_3632 (=> ?v_3633 (=> ?v_3634 (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> ?v_3636 (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.2) (=> (= errorReached.49 errorReached.16) (=> ?v_3638 (=> ?v_3639 (=> ?v_3640 (=> ?v_3641 (=> ?v_3642 (=> ?v_3643 (=> ?v_3644 (=> ?v_3645 (=> ?v_3646 (=> ?v_3647 (=> ?v_3648 (=> ?v_3649 (=> ?v_3650 (=> ?v_3651 (=> ?v_3652 (=> ?v_3653 (=> ?v_3654 (=> ?v_3655 (=> ?v_3656 (=> (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> ?v_3781 (=> ?v_3659 (=> ?v_3660 (=> ?v_3661 (=> ?v_3662 (=> ?v_3663 (=> ?v_3664 (=> ?v_3665 (=> (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.4 inline.sdv_InterlockedIncrement.4.myNondetVar_0.3) (=> ?v_3667 (=> (= cancelLockStatus_1.51 cancelLockStatus_1.18) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.3) (=> ?v_3669 (=> ?v_3670 (=> ?v_3671 (=> ?v_3672 (=> ?v_3673 (=> ?v_3674 (=> ?v_3675 (=> (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) ?v_5292))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_5700 (=> true (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.5 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.3) (=> (= inline.SerialStartRead.0.myNondetVar_1.15 inline.SerialStartRead.0.myNondetVar_1.14) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..1 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1.) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.0) (=> (= inline.SerialStartRead.0..result.SerialStartRead.184.0.1..0 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.2) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= lockStatus_1.35 lockStatus_1.34) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.0) (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp) (=> (= Mem_1_T.P_IRP.9 Mem_1_T.P_IRP.1) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.6 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1) (=> (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1.) (=> (= inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..0 call67171formal.ret.0) (=> (= inline.SerialStartRead.0.myVar_0.25 inline.SerialStartRead.0.myVar_0.24) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.1 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= irpCompleted_0.11 irpCompleted_0.3) (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1.) (=> (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.1 0) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 SerialUpdateAndSwitchToUser) (=> (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.2 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.0) (=> (= inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1.) (=> (= lockStatus_0.35 lockStatus_0.34) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.1 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.0) (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.2 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0) (=> (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.RemoveHeadList.3.myNondetVar_0.3 inline.RemoveHeadList.3.myNondetVar_0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.1 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.0) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.2 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.0) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.SerialStartRead.0.myNondetVar_2.4 inline.SerialStartRead.0.myNondetVar_2.3) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 SerialUpdateAndSwitchToUser) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..3 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1.) (=> (= inline.SerialStartRead.0.myNondetVar_0.83 inline.SerialStartRead.0.myNondetVar_0.82) (=> (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= alloc.36 alloc.32) (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.1 call64585formal.ret.0) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.0) (=> (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.4 inline.sdv_InterlockedDecrement.13.myNondetVar_0.2) (=> (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..0) (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.SerialStartRead.0.myVar_0.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.SerialStartRead.0.myVar_0.8) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= Mem_1_T.CancelRoutine__IRP.24 Mem_1_T.CancelRoutine__IRP.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.3 inline.sdv_InterlockedIncrement.4.myNondetVar_0.2) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.1) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.8 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.2 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.0) (=> (= cancelLockStatus_0.18 cancelLockStatus_0.16) (=> (= inline.IsListEmpty.4.myNondetVar_0.1 inline.IsListEmpty.4.myNondetVar_0) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.0) (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.15 inline.SerialResizeBuffer.0.myNondetVar_0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.23 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.21) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.SerialStartRead.0.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2.) (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..0) (=> (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1.) (=> (= inline.SerialStartRead.0.tempBoogie0.4 inline.SerialStartRead.0.tempBoogie0.3) (=> (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1.) (=> (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.0) (=> (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.1 call64692formal.ret.0) (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.1 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1) (=> (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.2 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.0) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.4 inline.sdv_InterlockedDecrement.15.myNondetVar_0.3) (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1) (=> (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.1 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead) (=> (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..0) (=> (= errorReached.16 errorReached.5) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1) (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.7 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.5) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.3.havoc_stringTemp) (=> (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..0) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.4 inline.SerialGetNextIrpLocked.3.myVar_0) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1) (=> (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.1 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.0) (=> (= inline.SerialGetNextIrp.3.myNondetVar_0.1 inline.SerialGetNextIrp.3.myNondetVar_0) (=> (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..1 call64692formal.ret.0) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= irpCompleted_1.11 irpCompleted_1.3) (=> (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.SerialStartRead.0.myVar_0.5) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1) (=> (= inline.KeSynchronizeExecution.8.myNondetVar_0.8 inline.KeSynchronizeExecution.8.myNondetVar_0.6) (=> (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..0) (=> (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.4 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer) (=> (= inline.SerialSetTimer.3.myNondetVar_0.6 inline.SerialSetTimer.3.myNondetVar_0.5) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.1 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer) (=> (= Mem_0_T.P_IRP.9 Mem_0_T.P_IRP.1) (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.3 inline.sdv_InterlockedIncrement.5.myNondetVar_0.2) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.4 inline.sdv_InterlockedDecrement.12.myNondetVar_0.2) (=> (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.1 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= inline.SerialResizeBuffer.0.myNondetVar_1.6 inline.SerialResizeBuffer.0.myNondetVar_1) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.0) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp) (=> (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.0) (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked) (=> (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..1 call64585formal.ret.0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.11 inline.SerialGetCharsFromIntBuffer.0.myVar_0.9) (=> (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked) (=> (= inline.KeSynchronizeExecution.7.myNondetVar_0.8 inline.KeSynchronizeExecution.7.myNondetVar_0) (=> (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.2 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.0) (=> (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.0) (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.4 inline.sdv_InterlockedDecrement.14.myNondetVar_0.3) (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.9 inline.KeSynchronizeExecution.6.myNondetVar_0) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1) (=> (= inline.SerialSetTimer.4.myNondetVar_0.6 inline.SerialSetTimer.4.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= k.50 k.37) (=> (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.2 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.0) (=> (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1) (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.3 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.2) (=> (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.3 inline.sdv_InterlockedDecrement.11.myNondetVar_0) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= inline.SerialResizeBuffer.0.myVar_0.4 inline.SerialResizeBuffer.0.myVar_0) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1) (=> (= inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1.) (=> (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..0) (=> (= inline.SerialCancelTimer.3.myNondetVar_0.3 inline.SerialCancelTimer.3.myNondetVar_0.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList) (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1) (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.SerialCancelTimer.2.myNondetVar_0.3 inline.SerialCancelTimer.2.myNondetVar_0.1) (=> (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.1 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer) (=> (= cancelLockStatus_1.18 cancelLockStatus_1.16) (=> (= inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..1 inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18.) (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp) (=> (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.1) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.0) (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.2 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.2 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer) (=> (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..1 call66028formal.ret.0) (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= Mem_0_T.CancelRoutine__IRP.24 Mem_0_T.CancelRoutine__IRP.8) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.13 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0) (=> (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.3 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.1) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.0) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..1 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5.) (=> (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialStartRead.0.havoc_stringTemp.0 call62865formal.new.0) (=> true (=> true (=> true (=> true ?v_5699)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_5707 (and (=> true (=> ?v_31 (=> true (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.2 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead) ?v_5700)))) (=> true (=> ?v_0 (=> true (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.2 259) (=> true ?v_5700))))))) (?v_5706 (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5702 (=> true (=> (= lockStatus_1.34 lockStatus_1.33) (=> (= lockStatus_0.34 lockStatus_0.33) (=> (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..0 call67245formal.ret.0) (=> (= k.37 k.36) ?v_5707)))))) (?v_5704 (= lockStatus_1.33 lockStatus_1.20))) (let ((?v_5705 (=> (= lockStatus_0.33 lockStatus_0.20) (=> true ?v_5702))) (?v_5703 (= k.36 1)) (?v_5701 (= k.36 0)) (?v_3736 (ControlLock__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2))) (let ((?v_5709 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.80 inline.SerialStartRead.0.myNondetVar_1.14) (=> true (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_3736) (and (=> true (=> ?v_5706 (=> true (=> (<= k.35 k.36) (=> (< k.36 2) (and (=> true (=> ?v_5701 (=> true (=> ?v_5704 (=> (= lockStatus_0.33 0) ?v_5702))))) (=> true (=> (not ?v_5701) (and (=> true (=> ?v_5703 (=> true (=> (= lockStatus_1.33 0) ?v_5705)))) (=> true (=> (not ?v_5703) (=> true (=> ?v_5704 ?v_5705))))))))))))) (=> true (=> (not ?v_5706) (=> true (=> (= lockStatus_1.34 lockStatus_1.20) (=> (= lockStatus_0.34 lockStatus_0.20) (=> (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1.) (=> (= k.37 k.35) (=> true (=> true (=> true (=> true ?v_5707))))))))))))))))) (?v_5711 (= cancelLockStatus_1.16 cancelLockStatus_1.11))) (let ((?v_5712 (=> (= cancelLockStatus_0.16 cancelLockStatus_0.11) (=> true (=> true (=> true (=> true ?v_5709)))))) (?v_5710 (= k.35 1)) (?v_5708 (= k.35 0))) (let ((?v_5714 (=> true (=> (<= k.34 k.35) (=> (< k.35 2) (and (=> true (=> ?v_5708 (=> true (=> ?v_5711 (=> (= cancelLockStatus_0.16 0) ?v_5709))))) (=> true (=> (not ?v_5708) (and (=> true (=> ?v_5710 (=> true (=> (= cancelLockStatus_1.16 0) ?v_5712)))) (=> true (=> (not ?v_5710) (=> true (=> ?v_5711 ?v_5712))))))))))))) (let ((?v_5716 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5714)))))))))) (?v_5715 (= k.34 1)) (?v_5284 (CurrentReadIrp__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2))) (let ((?v_5516 (int_2_U ?v_5284))) (let ((?v_5612 (U_2_int (MapType0Select Mem_1_T.P_IRP.1 ?v_5516))) (?v_5713 (= k.34 0)) (?v_5283 (U_2_int (MapType0Select Mem_0_T.P_IRP.1 ?v_5516)))) (let ((?v_5724 (=> true (=> (<= k.28 k.34) (=> (< k.34 2) (and (=> true (=> ?v_5713 (=> (= inline.SerialStartRead.0.myVar_0.22 ?v_5283) (=> true (=> (= inline.SerialStartRead.0.myVar_0.24 inline.SerialStartRead.0.myVar_0.22) ?v_5714))))) (=> true (=> (not ?v_5713) (and (=> true (=> ?v_5715 (=> (= inline.SerialStartRead.0.myVar_0.23 ?v_5612) (=> true (=> (= inline.SerialStartRead.0.myVar_0.24 inline.SerialStartRead.0.myVar_0.23) ?v_5716))))) (=> true (=> (not ?v_5715) (=> true (=> (= inline.SerialStartRead.0.myVar_0.24 inline.SerialStartRead.0.myVar_0.21) ?v_5716)))))))))))) (?v_5723 (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.0 0))) (let ((?v_5718 (=> true (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= inline.SerialStartRead.0.myVar_0.21 inline.SerialStartRead.0.myVar_0.20) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartRead.0.myVar_0.20) (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.3 inline.sdv_InterlockedDecrement.15.myNondetVar_0.2) (=> (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.0 8) (=> (= inline.SerialStartRead.0.myNondetVar_2.3 inline.SerialStartRead.0.myNondetVar_2.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartRead.0.myVar_0.20) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.0 call67075formal.new.0) (=> (= alloc.32 alloc.31) (=> (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.0 call67125formal.ret.0) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialStartRead.0.myNondetVar_0.77) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.2 inline.sdv_InterlockedIncrement.5.myNondetVar_0.1) (=> (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..0 call67125formal.ret.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= inline.SerialStartRead.0.tempBoogie0.3 inline.SerialStartRead.0.tempBoogie0.2) (=> (= inline.SerialSetTimer.4.myNondetVar_0.5 inline.SerialSetTimer.4.myNondetVar_0.4) (=> (= inline.SerialStartRead.0.myNondetVar_0.78 inline.SerialStartRead.0.myNondetVar_0.77) (=> (= inline.SerialStartRead.0.myNondetVar_1.13 inline.SerialStartRead.0.myNondetVar_1.12) ?v_5724))))))))))))))))))))))) (?v_5717 (= call67125formal.ret.0 0)) (?v_5698 (int_2_U call67075formal.new.0)) (?v_5697 (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2))) (let ((?v_5720 (=> true (=> (forall ((?r11 Int)) (! (= (or (not (= (BIT_BAND inline.SerialStartRead.0.myNondetVar_1.12 ?r11) 0)) (not (= (BIT_BAND 8 ?r11) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialStartRead.0.myNondetVar_2.2 8) ?r11) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialStartRead.0.myNondetVar_0.75 8) ?r11)) )) (=> (= inline.SerialStartRead.0.tempBoogie0.2 (BIT_BOR inline.SerialStartRead.0.myNondetVar_0.76 8)) (=> true (=> (= call67051formal.a0.0 (LastReadTime__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (=> true (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.0 ?v_5697) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.0 (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (=> true (and ?v_55 (=> ?v_55 (=> (> call67075formal.new.0 0) (=> (forall ((?x1609 Int)) (! (=> (and (<= call67075formal.new.0 ?x1609) (< ?x1609 (+ call67075formal.new.0 8))) (= (Base ?x1609) call67075formal.new.0)) :pattern ((Base ?x1609)) )) (=> (forall ((?x1610 boogieU)) (! (=> (= (type ?x1610) intType) (or (= (U_2_int ?x1610) call67075formal.new.0) (= (MapType0Select alloc.30 ?x1610) (MapType0Select alloc.31 ?x1610)))) :pattern ((MapType0Select alloc.31 ?x1610)) )) (=> (and (= (MapType0Select alloc.30 ?v_5698) UNALLOCATED) (= (MapType0Select alloc.31 ?v_5698) ALLOCATED)) (=> (= (Base inline.SerialStartRead.0.myNondetVar_0.77) inline.SerialStartRead.0.myNondetVar_0.77) (and (=> true (=> (not ?v_5717) (=> true (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.2 inline.sdv_InterlockedDecrement.15.myNondetVar_0.1) ?v_5718)))) (=> true (=> ?v_5717 (=> true (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.2 inline.sdv_InterlockedDecrement.15.myNondetVar_0) (=> true (=> true (=> true (=> true ?v_5718)))))))))))))))))))))))))) (?v_5719 (= inline.SerialStartRead.0.myVar_0.20 hirp))) (let ((?v_5721 (and (=> true (=> ?v_5719 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5720)))) (=> true (=> (not ?v_5719) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5720))))))))))) (let ((?v_5722 (=> true (=> true (=> true (=> true ?v_5721))))) (?v_5611 (= k.28 1))) (let ((?v_5731 (not ?v_5611)) (?v_5610 (= k.28 0))) (let ((?v_5729 (not ?v_5610))) (let ((?v_5734 (and (=> true (=> (not ?v_5723) (and (=> true (=> ?v_5610 (=> (= inline.SerialStartRead.0.myVar_0.18 ?v_5283) (=> true (=> (= inline.SerialStartRead.0.myVar_0.20 inline.SerialStartRead.0.myVar_0.18) ?v_5721))))) (=> true (=> ?v_5729 (and (=> true (=> ?v_5611 (=> (= inline.SerialStartRead.0.myVar_0.19 ?v_5612) (=> true (=> (= inline.SerialStartRead.0.myVar_0.20 inline.SerialStartRead.0.myVar_0.19) ?v_5722))))) (=> true (=> ?v_5731 (=> true (=> (= inline.SerialStartRead.0.myVar_0.20 inline.SerialStartRead.0.myVar_0.17) ?v_5722)))))))))) (=> true (=> ?v_5723 (=> true (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1) (=> (= inline.SerialStartRead.0.myVar_0.21 inline.SerialStartRead.0.myVar_0.17) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.3 inline.sdv_InterlockedDecrement.15.myNondetVar_0) (=> (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.0 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead) (=> (= inline.SerialStartRead.0.myNondetVar_2.3 inline.SerialStartRead.0.myNondetVar_2.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer) (=> (= alloc.32 alloc.30) (=> (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.2 inline.sdv_InterlockedIncrement.5.myNondetVar_0) (=> (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer) (=> (= inline.SerialStartRead.0.tempBoogie0.3 inline.SerialStartRead.0.tempBoogie0.1) (=> (= inline.SerialSetTimer.4.myNondetVar_0.5 inline.SerialSetTimer.4.myNondetVar_0) (=> (= inline.SerialStartRead.0.myNondetVar_0.78 inline.SerialStartRead.0.myNondetVar_0.74) (=> (= inline.SerialStartRead.0.myNondetVar_1.13 inline.SerialStartRead.0.myNondetVar_1.11) ?v_5724)))))))))))))))))))))))))) (?v_5733 (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.0 0))) (let ((?v_5726 (=> true (=> (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..0 call66829formal.ret.0) (=> (= inline.SerialStartRead.0.myVar_0.17 inline.SerialStartRead.0.myVar_0.16) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.0 call66779formal.new.0) (=> (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.2 inline.sdv_InterlockedIncrement.4.myNondetVar_0.1) (=> (= inline.SerialStartRead.0.myNondetVar_2.1 inline.SerialStartRead.0.myNondetVar_2.0) (=> (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.0 4) (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.3 inline.sdv_InterlockedDecrement.14.myNondetVar_0.2) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= alloc.30 alloc.29) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.0 call66829formal.ret.0) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartRead.0.myVar_0.16) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.SerialSetTimer.3.myNondetVar_0.5 inline.SerialSetTimer.3.myNondetVar_0.4) (=> (= inline.SerialStartRead.0.tempBoogie0.1 inline.SerialStartRead.0.tempBoogie0.0) (=> (= inline.SerialStartRead.0.myNondetVar_1.11 inline.SerialStartRead.0.myNondetVar_1.10) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.SerialStartRead.0.myNondetVar_0.74 inline.SerialStartRead.0.myNondetVar_0.73) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.0 call62830formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartRead.0.myVar_0.16) ?v_5734))))))))))))))))))))))) (?v_5725 (= call66829formal.ret.0 0)) (?v_5696 (int_2_U call66779formal.new.0)) (?v_5695 (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2))) (let ((?v_5728 (=> true (=> (forall ((?r12 Int)) (! (= (or (not (= (BIT_BAND inline.SerialStartRead.0.myNondetVar_1.10 ?r12) 0)) (not (= (BIT_BAND 4 ?r12) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialStartRead.0.myNondetVar_2.0 4) ?r12) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialStartRead.0.myNondetVar_0.72 4) ?r12)) )) (=> (= inline.SerialStartRead.0.tempBoogie0.0 (BIT_BOR inline.SerialStartRead.0.myNondetVar_0.73 4)) (=> true (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.0 ?v_5695) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.0 (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (=> true (and ?v_55 (=> ?v_55 (=> (> call66779formal.new.0 0) (=> (forall ((?x1611 Int)) (! (=> (and (<= call66779formal.new.0 ?x1611) (< ?x1611 (+ call66779formal.new.0 8))) (= (Base ?x1611) call66779formal.new.0)) :pattern ((Base ?x1611)) )) (=> (forall ((?x1612 boogieU)) (! (=> (= (type ?x1612) intType) (or (= (U_2_int ?x1612) call66779formal.new.0) (= (MapType0Select alloc.22 ?x1612) (MapType0Select alloc.29 ?x1612)))) :pattern ((MapType0Select alloc.29 ?x1612)) )) (=> (and (= (MapType0Select alloc.22 ?v_5696) UNALLOCATED) (= (MapType0Select alloc.29 ?v_5696) ALLOCATED)) (=> (= (Base call62830formal.new.0) call62830formal.new.0) (and (=> true (=> (not ?v_5725) (=> true (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.2 inline.sdv_InterlockedDecrement.14.myNondetVar_0.1) ?v_5726)))) (=> true (=> ?v_5725 (=> true (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.2 inline.sdv_InterlockedDecrement.14.myNondetVar_0) (=> true (=> true (=> true (=> true ?v_5726)))))))))))))))))))))))) (?v_5727 (= inline.SerialStartRead.0.myVar_0.16 hirp))) (let ((?v_5730 (and (=> true (=> ?v_5727 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5728)))) (=> true (=> (not ?v_5727) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5728))))))))))) (let ((?v_5732 (=> true (=> true (=> true (=> true ?v_5730))))) (?v_5694 (not ?v_5733)) (?v_5290 (int_2_U call64522formal.new.0)) (?v_5274 (int_2_U call62821formal.new.0))) (let ((?v_5310 (=> true (=> (=> (= k.49 0) (not (not (= (U_2_int (MapType0Select Mem_0_T.P_IRP.8 ?v_5274)) 0)))) (=> (=> (= k.49 1) (not (not (= (U_2_int (MapType0Select Mem_1_T.P_IRP.8 ?v_5274)) 0)))) (=> true (and ?v_8 (=> ?v_8 (=> (> call64522formal.new.0 0) (=> (forall ((?x1613 Int)) (! (=> (and (<= call64522formal.new.0 ?x1613) (< ?x1613 (+ call64522formal.new.0 1))) (= (Base ?x1613) call64522formal.new.0)) :pattern ((Base ?x1613)) )) (=> (forall ((?x1614 boogieU)) (! (=> (= (type ?x1614) intType) (or (= (U_2_int ?x1614) call64522formal.new.0) (= (MapType0Select alloc.34 ?x1614) (MapType0Select alloc.35 ?x1614)))) :pattern ((MapType0Select alloc.35 ?x1614)) )) (=> (and (= (MapType0Select alloc.34 ?v_5290) UNALLOCATED) (= (MapType0Select alloc.35 ?v_5290) ALLOCATED)) (=> true (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call62821formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.5 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.4) (=> (= inline.SerialStartRead.0.myNondetVar_1.15 inline.SerialStartRead.0.myNondetVar_1.9) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1) (=> (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..1 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..0) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.SerialStartRead.0..result.SerialStartRead.184.0.1..0 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.1) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1) (=> (= lockStatus_1.35 lockStatus_1.32) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.0 call63639formal.new.0) (=> (= Mem_1_T.P_IRP.9 Mem_1_T.P_IRP.8) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.6 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.5) (=> (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..1) (=> (= inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialStartRead.0.myVar_0.25 inline.SerialStartRead.0.myVar_0.13) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.1 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.0) (=> (= irpCompleted_0.11 irpCompleted_0.10) (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0) (=> (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.1 inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.0) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.2 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.1) (=> (= inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0) (=> (= lockStatus_0.35 lockStatus_0.32) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.1 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.0) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..1) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.2 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.1) (=> (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.RemoveHeadList.3.myNondetVar_0.3 inline.RemoveHeadList.3.myNondetVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.1 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.2 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.1) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0) (=> (= inline.SerialStartRead.0.myNondetVar_2.4 inline.SerialStartRead.0.myNondetVar_2) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.1) (=> (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..3 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..2) (=> (= inline.SerialStartRead.0.myNondetVar_0.83 inline.SerialStartRead.0.myNondetVar_0.71) (=> (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= alloc.36 alloc.35) (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer) (=> (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.4 inline.sdv_InterlockedDecrement.13.myNondetVar_0.3) (=> (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1.) (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= Mem_1_T.CancelRoutine__IRP.24 Mem_1_T.CancelRoutine__IRP.23) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.3 inline.sdv_InterlockedIncrement.4.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.8 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.2 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.1) (=> (= cancelLockStatus_0.18 cancelLockStatus_0.17) (=> (= inline.IsListEmpty.4.myNondetVar_0.1 inline.IsListEmpty.4.myNondetVar_0.0) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer) (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.15 inline.SerialResizeBuffer.0.myNondetVar_0.14) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.23 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.22) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..1) (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..0) (=> (= inline.SerialStartRead.0.tempBoogie0.4 inline.SerialStartRead.0.tempBoogie0) (=> (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..1) (=> (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.1 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.0) (=> (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.2 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.1) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1) (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.4 inline.sdv_InterlockedDecrement.15.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 1) (=> (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.1 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.0) (=> (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3.) (=> (= errorReached.16 errorReached.15) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.7 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.6) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.3.havoc_stringTemp.0) (=> (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1) (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.4 inline.SerialGetNextIrpLocked.3.myVar_0.3) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.0 call62821formal.new.0) (=> (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.1 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead) (=> (= inline.SerialGetNextIrp.3.myNondetVar_0.1 inline.SerialGetNextIrp.3.myNondetVar_0.0) (=> (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..0) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= irpCompleted_1.11 irpCompleted_1.10) (=> (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call62821formal.new.0) (=> (= inline.KeSynchronizeExecution.8.myNondetVar_0.8 inline.KeSynchronizeExecution.8.myNondetVar_0.7) (=> (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3.) (=> (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.4 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.3) (=> (= inline.SerialSetTimer.3.myNondetVar_0.6 inline.SerialSetTimer.3.myNondetVar_0) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.1 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.0) (=> (= Mem_0_T.P_IRP.9 Mem_0_T.P_IRP.8) (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.3 inline.sdv_InterlockedIncrement.5.myNondetVar_0) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0) (=> (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.4 inline.sdv_InterlockedDecrement.12.myNondetVar_0.3) (=> (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.1 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.0) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2) (=> (= inline.SerialResizeBuffer.0.myNondetVar_1.6 inline.SerialResizeBuffer.0.myNondetVar_1.5) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.0 call62821formal.new.0) (=> (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer) (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 1) (=> (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.11 inline.SerialGetCharsFromIntBuffer.0.myVar_0.10) (=> (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.KeSynchronizeExecution.7.myNondetVar_0.8 inline.KeSynchronizeExecution.7.myNondetVar_0.7) (=> (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.2 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.1) (=> (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.4 inline.sdv_InterlockedDecrement.14.myNondetVar_0) (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.9 inline.KeSynchronizeExecution.6.myNondetVar_0.8) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.SerialSetTimer.4.myNondetVar_0.6 inline.SerialSetTimer.4.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0) (=> (= k.50 k.49) (=> (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.2 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.1) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer) (=> (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2) (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.3 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.1) (=> (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.3 inline.sdv_InterlockedDecrement.11.myNondetVar_0.2) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1) (=> (= inline.SerialResizeBuffer.0.myVar_0.4 inline.SerialResizeBuffer.0.myVar_0.3) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..0) (=> (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..1) (=> (= inline.SerialCancelTimer.3.myNondetVar_0.3 inline.SerialCancelTimer.3.myNondetVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1) (=> (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.0) (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 1) (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= inline.SerialCancelTimer.2.myNondetVar_0.3 inline.SerialCancelTimer.2.myNondetVar_0.2) (=> (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.1 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.0) (=> (= cancelLockStatus_1.18 cancelLockStatus_1.17) (=> (= inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..1 inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..0) (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.0 1) (=> (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.2 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.1) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.2 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.1) (=> (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..0) (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0) (=> (= Mem_0_T.CancelRoutine__IRP.24 Mem_0_T.CancelRoutine__IRP.23) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.13 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.12) (=> (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.3 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.2) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..1 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..0) (=> (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.sdv_IoReleaseCancelSpinLock.19..result.userContextSwitch.3151.2.1..0 call63926formal.ret.0) (=> (= inline.SerialStartRead.0.havoc_stringTemp.0 call64522formal.new.0) ?v_5699)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_5311 (=> true (=> (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1.) (=> (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= irpCompleted_1.10 irpCompleted_1.3) (=> (= Mem_0_T.CancelRoutine__IRP.23 Mem_0_T.CancelRoutine__IRP.19) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= irpCompleted_0.10 irpCompleted_0.3) (=> (= alloc.34 alloc.28) (=> (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.2 inline.sdv_InterlockedDecrement.11.myNondetVar_0) (=> (= errorReached.15 errorReached.12) (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2.) (=> (= Mem_1_T.CancelRoutine__IRP.23 Mem_1_T.CancelRoutine__IRP.19) (=> (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.3.havoc_stringTemp) (=> (= k.49 k.46) (=> true (=> true (=> true (=> true (=> true (=> true ?v_5310))))))))))))))))))))))))) (?v_5309 (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2 0)) (?v_5294 (=> true (=> (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..0) (=> (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.11.myNondetVar_0.1) (=> (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.11.myNondetVar_0.1) (=> (= irpCompleted_1.10 irpCompleted_1.9) (=> (= Mem_0_T.CancelRoutine__IRP.23 Mem_0_T.CancelRoutine__IRP.22) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= irpCompleted_0.10 irpCompleted_0.9) (=> (= alloc.34 alloc.33) (=> (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.2 inline.sdv_InterlockedDecrement.11.myNondetVar_0.1) (=> (= errorReached.15 errorReached.14) (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..0) (=> (= Mem_1_T.CancelRoutine__IRP.23 Mem_1_T.CancelRoutine__IRP.22) (=> (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..0) (=> (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.11.myNondetVar_0.1) (=> (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.0 call63984formal.new.0) (=> (= k.49 k.48) ?v_5310))))))))))))))))))) (?v_5293 (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.1 0))) (let ((?v_5308 (and (=> true (=> (not ?v_5293) (=> true (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2.) ?v_5294)))) (=> true (=> ?v_5293 (=> true (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..0 call64187formal.ret.0) (=> true (=> true (=> true ?v_5294))))))))) (?v_5307 (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2 hirp))) (let ((?v_5296 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.22 Mem_0_T.CancelRoutine__IRP.21) (=> (= Mem_1_T.CancelRoutine__IRP.22 Mem_1_T.CancelRoutine__IRP.21) (=> (= irpCompleted_0.9 irpCompleted_0.8) (=> (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..0 call64017formal.ret.0) (=> (= k.48 k.47) (=> (= irpCompleted_1.9 irpCompleted_1.8) (=> (= errorReached.14 errorReached.13) ?v_5308))))))))) (?v_5297 (= irpCompleted_1.8 irpCompleted_1.3))) (let ((?v_5298 (=> (= irpCompleted_0.8 irpCompleted_0.3) (=> true ?v_5296))) (?v_5295 (= k.47 1))) (let ((?v_5302 (not ?v_5295)) (?v_5289 (= k.47 0))) (let ((?v_5299 (not ?v_5289))) (let ((?v_5301 (and (=> true (=> ?v_5289 (=> true (=> ?v_5297 (=> (= irpCompleted_0.8 1) ?v_5296))))) (=> true (=> ?v_5299 (and (=> true (=> ?v_5295 (=> true (=> (= irpCompleted_1.8 1) ?v_5298)))) (=> true (=> ?v_5302 (=> true (=> ?v_5297 ?v_5298)))))))))) (let ((?v_5305 (=> true (=> true ?v_5301))) (?v_5303 (= Mem_0_T.CancelRoutine__IRP.21 Mem_0_T.CancelRoutine__IRP.19)) (?v_5304 (= Mem_1_T.CancelRoutine__IRP.21 Mem_1_T.CancelRoutine__IRP.19)) (?v_5300 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2)))) (let ((?v_5306 (and (=> true (=> ?v_5289 (=> (= Mem_0_T.CancelRoutine__IRP.20 (MapType0Store Mem_0_T.CancelRoutine__IRP.19 ?v_5300 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.21 Mem_0_T.CancelRoutine__IRP.20) (=> ?v_5304 ?v_5301)))))) (=> true (=> ?v_5299 (and (=> true (=> ?v_5295 (=> (= Mem_1_T.CancelRoutine__IRP.20 (MapType0Store Mem_1_T.CancelRoutine__IRP.19 ?v_5300 ?v_38)) (=> true (=> ?v_5303 (=> (= Mem_1_T.CancelRoutine__IRP.21 Mem_1_T.CancelRoutine__IRP.20) ?v_5305)))))) (=> true (=> ?v_5302 (=> true (=> ?v_5303 (=> ?v_5304 ?v_5305)))))))))) (?v_5288 (int_2_U call63984formal.new.0))) (let ((?v_5313 (and (=> true (=> ?v_1304 (and (=> true (=> (not ?v_5309) (=> true (and ?v_8 (=> ?v_8 (=> (> call63984formal.new.0 0) (=> (forall ((?x1615 Int)) (! (=> (and (<= call63984formal.new.0 ?x1615) (< ?x1615 (+ call63984formal.new.0 1))) (= (Base ?x1615) call63984formal.new.0)) :pattern ((Base ?x1615)) )) (=> (forall ((?x1616 boogieU)) (! (=> (= (type ?x1616) intType) (or (= (U_2_int ?x1616) call63984formal.new.0) (= (MapType0Select alloc.28 ?x1616) (MapType0Select alloc.33 ?x1616)))) :pattern ((MapType0Select alloc.33 ?x1616)) )) (=> (and (= (MapType0Select alloc.28 ?v_5288) UNALLOCATED) (= (MapType0Select alloc.33 ?v_5288) ALLOCATED)) (and (=> true (=> ?v_5307 (=> true (=> (<= k.46 k.47) (=> (< k.47 2) (and (=> true (=> (=> ?v_5289 ?v_3010) (=> (=> ?v_5295 ?v_3011) (=> true (=> (= errorReached.13 1) ?v_5306))))) (=> true (=> (=> ?v_5289 ?v_2997) (=> (=> ?v_5295 ?v_2998) (=> true (=> (= errorReached.13 errorReached.12) (=> true ?v_5306)))))))))))) (=> true (=> (not ?v_5307) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.22 Mem_0_T.CancelRoutine__IRP.19) (=> (= Mem_1_T.CancelRoutine__IRP.22 Mem_1_T.CancelRoutine__IRP.19) (=> (= irpCompleted_0.9 irpCompleted_0.3) (=> (= inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.6..result.userContextSwitch.2077.4.1.) (=> (= k.48 k.46) (=> (= irpCompleted_1.9 irpCompleted_1.3) (=> (= errorReached.14 errorReached.12) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5308))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_5309 ?v_5311))))) (=> true (=> ?v_406 ?v_5311)))) (?v_5315 (= cancelLockStatus_1.17 cancelLockStatus_1.15))) (let ((?v_5316 (=> (= cancelLockStatus_0.17 cancelLockStatus_0.15) (=> true (=> true (=> true (=> true (=> true ?v_5313))))))) (?v_5314 (= k.46 1)) (?v_5312 (= k.46 0))) (let ((?v_5318 (=> true (=> (<= k.45 k.46) (=> (< k.46 2) (and (=> true (=> ?v_5312 (=> true (=> ?v_5315 (=> (= cancelLockStatus_0.17 0) ?v_5313))))) (=> true (=> (not ?v_5312) (and (=> true (=> ?v_5314 (=> true (=> (= cancelLockStatus_1.17 0) ?v_5316)))) (=> true (=> (not ?v_5314) (=> true (=> ?v_5315 ?v_5316))))))))))))) (let ((?v_5322 (=> true (=> true (=> true (=> true ?v_5318))))) (?v_5320 (= Mem_0_T.P_IRP.8 Mem_0_T.P_IRP.6)) (?v_5321 (= Mem_1_T.P_IRP.8 Mem_1_T.P_IRP.6)) (?v_5319 (= k.45 1)) (?v_5287 (int_2_U inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0)) (?v_5317 (= k.45 0))) (let ((?v_5333 (=> true (=> (<= k.44 k.45) (=> (< k.45 2) (and (=> true (=> ?v_5317 (=> (= Mem_0_T.P_IRP.7 (MapType0Store Mem_0_T.P_IRP.6 ?v_5274 (MapType0Select Mem_0_T.P_IRP.6 ?v_5287))) (=> true (=> (= Mem_0_T.P_IRP.8 Mem_0_T.P_IRP.7) (=> ?v_5321 ?v_5318)))))) (=> true (=> (not ?v_5317) (and (=> true (=> ?v_5319 (=> (= Mem_1_T.P_IRP.7 (MapType0Store Mem_1_T.P_IRP.6 ?v_5274 (MapType0Select Mem_1_T.P_IRP.6 ?v_5287))) (=> true (=> ?v_5320 (=> (= Mem_1_T.P_IRP.8 Mem_1_T.P_IRP.7) ?v_5322)))))) (=> true (=> (not ?v_5319) (=> true (=> ?v_5320 (=> ?v_5321 ?v_5322)))))))))))))) (let ((?v_5335 (=> true (=> (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.3.myNondetVar_0.0) (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.3 inline.SerialGetNextIrpLocked.3.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.3.myVar_0.2) (=> (= Mem_0_T.P_IRP.6 Mem_0_T.P_IRP.5) (=> (= Mem_0_T.CancelRoutine__IRP.19 Mem_0_T.CancelRoutine__IRP.18) (=> (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.3.myNondetVar_0.0) (=> (= Mem_1_T.P_IRP.6 Mem_1_T.P_IRP.5) (=> (= errorReached.12 errorReached.11) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.3.myVar_0.2) (=> (= Mem_1_T.CancelRoutine__IRP.19 Mem_1_T.CancelRoutine__IRP.18) (=> (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.3.myNondetVar_0.0) (=> (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.3.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= k.44 k.43) (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..0) (=> (= inline.RemoveHeadList.3.myNondetVar_0.2 inline.RemoveHeadList.3.myNondetVar_0.1) ?v_5333))))))))))))))))))))) (let ((?v_5339 (=> true (=> true (=> true (=> true (=> true (=> true ?v_5335))))))) (?v_5337 (= Mem_0_T.CancelRoutine__IRP.18 Mem_0_T.CancelRoutine__IRP.8)) (?v_5338 (= Mem_1_T.CancelRoutine__IRP.18 Mem_1_T.CancelRoutine__IRP.8)) (?v_5336 (= k.43 1)) (?v_5332 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.3.myVar_0.2))) (?v_5334 (= k.43 0))) (let ((?v_5344 (=> true (=> (<= k.42 k.43) (=> (< k.43 2) (and (=> true (=> ?v_5334 (=> (= Mem_0_T.CancelRoutine__IRP.17 (MapType0Store Mem_0_T.CancelRoutine__IRP.8 ?v_5332 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.18 Mem_0_T.CancelRoutine__IRP.17) (=> ?v_5338 ?v_5335)))))) (=> true (=> (not ?v_5334) (and (=> true (=> ?v_5336 (=> (= Mem_1_T.CancelRoutine__IRP.17 (MapType0Store Mem_1_T.CancelRoutine__IRP.8 ?v_5332 ?v_38)) (=> true (=> ?v_5337 (=> (= Mem_1_T.CancelRoutine__IRP.18 Mem_1_T.CancelRoutine__IRP.17) ?v_5339)))))) (=> true (=> (not ?v_5336) (=> true (=> ?v_5337 (=> ?v_5338 ?v_5339)))))))))))))) (let ((?v_5346 (=> (= errorReached.11 errorReached.5) ?v_5344)) (?v_5345 (= inline.SerialGetNextIrpLocked.3.myVar_0.2 hirp)) (?v_5342 (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..0 call64447formal.ret.0)) (?v_5343 (= k.42 k.41)) (?v_5340 (= k.41 0)) (?v_5341 (= k.41 1))) (let ((?v_5348 (and (=> true (=> ?v_5345 (=> true (=> (<= k.40 k.41) (=> (< k.41 2) (and (=> true (=> (=> ?v_5340 ?v_3010) (=> (=> ?v_5341 ?v_3011) (=> true (=> ?v_5342 (=> ?v_5343 (=> (= errorReached.11 1) ?v_5344))))))) (=> true (=> (=> ?v_5340 ?v_2997) (=> (=> ?v_5341 ?v_2998) (=> true (=> ?v_5342 (=> ?v_5343 ?v_5346)))))))))))) (=> true (=> (not ?v_5345) (=> true (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2.) (=> (= k.42 k.40) ?v_5346)))))))) (let ((?v_5350 (=> true (=> true ?v_5348))) (?v_5349 (= k.40 1)) (?v_5347 (= k.40 0))) (let ((?v_5353 (=> true (=> (<= k.38 k.40) (=> (< k.40 2) (and (=> true (=> ?v_5347 (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.8 ?v_5332))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_5348))))) (=> true (=> (not ?v_5347) (and (=> true (=> ?v_5349 (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.8 ?v_5332))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_5350))))) (=> true (=> (not ?v_5349) (=> true (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_5350))))))))))))) (let ((?v_5354 (=> true (=> true (=> true (=> true ?v_5353))))) (?v_5351 (= k.38 1))) (let ((?v_5358 (not ?v_5351)) (?v_5352 (U_2_int (MapType0Select Mem_1_T.P_IRP.5 ?v_5287))) (?v_5330 (= k.38 0))) (let ((?v_5355 (not ?v_5330)) (?v_5331 (U_2_int (MapType0Select Mem_0_T.P_IRP.5 ?v_5287)))) (let ((?v_5357 (=> true (=> (=> ?v_5330 (not (= ?v_5331 hirp))) (=> (=> ?v_5351 (not (= ?v_5352 hirp))) (and (=> true (=> ?v_5330 (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.1 ?v_5331) (=> true (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.2 inline.SerialGetNextIrpLocked.3.myVar_0.1) ?v_5353))))) (=> true (=> ?v_5355 (and (=> true (=> ?v_5351 (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.0 ?v_5352) (=> true (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.2 inline.SerialGetNextIrpLocked.3.myVar_0.0) ?v_5354))))) (=> true (=> ?v_5358 (=> true (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.2 inline.SerialGetNextIrpLocked.3.myVar_0) ?v_5354))))))))))))) (let ((?v_5361 (=> true ?v_5357)) (?v_5359 (= Mem_0_T.P_IRP.5 Mem_0_T.P_IRP.1)) (?v_5360 (= Mem_1_T.P_IRP.5 Mem_1_T.P_IRP.1)) (?v_5356 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.3.myNondetVar_0.0 1 88))) (?v_5329 (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0 0)) (?v_5324 (=> true (=> (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2.) (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.3 inline.SerialGetNextIrpLocked.3.myVar_0) (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= Mem_0_T.P_IRP.6 Mem_0_T.P_IRP.3) (=> (= Mem_0_T.CancelRoutine__IRP.19 Mem_0_T.CancelRoutine__IRP.8) (=> (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= Mem_1_T.P_IRP.6 Mem_1_T.P_IRP.3) (=> (= errorReached.12 errorReached.5) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= Mem_1_T.CancelRoutine__IRP.19 Mem_1_T.CancelRoutine__IRP.8) (=> (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1.) (=> (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= k.44 k.39) (=> (= inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.8..result.userContextSwitch.3310.4.2.) (=> (= inline.RemoveHeadList.3.myNondetVar_0.2 inline.RemoveHeadList.3.myNondetVar_0) ?v_5333))))))))))))))))))))) (let ((?v_5328 (=> true ?v_5324)) (?v_5326 (= Mem_0_T.P_IRP.3 Mem_0_T.P_IRP.1)) (?v_5327 (= Mem_1_T.P_IRP.3 Mem_1_T.P_IRP.1)) (?v_5325 (= k.39 1)) (?v_5323 (= k.39 0))) (let ((?v_5362 (=> true (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.4.myNondetVar_0.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0))) (and (=> true (=> (not ?v_5329) (=> true (=> (<= k.38 k.39) (=> (< k.39 2) (and (=> true (=> ?v_5323 (=> (= Mem_0_T.P_IRP.2 (MapType0Store Mem_0_T.P_IRP.1 ?v_5287 ?v_38)) (=> true (=> (= Mem_0_T.P_IRP.3 Mem_0_T.P_IRP.2) (=> ?v_5327 ?v_5324)))))) (=> true (=> (not ?v_5323) (and (=> true (=> ?v_5325 (=> (= Mem_1_T.P_IRP.2 (MapType0Store Mem_1_T.P_IRP.1 ?v_5287 ?v_38)) (=> true (=> ?v_5326 (=> (= Mem_1_T.P_IRP.3 Mem_1_T.P_IRP.2) ?v_5328)))))) (=> true (=> (not ?v_5325) (=> true (=> ?v_5326 (=> ?v_5327 ?v_5328)))))))))))))) (=> true (=> ?v_5329 (and (=> true (=> ?v_5330 (=> (= Mem_0_T.P_IRP.4 (MapType0Store Mem_0_T.P_IRP.1 ?v_5287 ?v_5356)) (=> true (=> (= Mem_0_T.P_IRP.5 Mem_0_T.P_IRP.4) (=> ?v_5360 ?v_5357)))))) (=> true (=> ?v_5355 (and (=> true (=> ?v_5351 (=> (= Mem_1_T.P_IRP.4 (MapType0Store Mem_1_T.P_IRP.1 ?v_5287 ?v_5356)) (=> true (=> ?v_5359 (=> (= Mem_1_T.P_IRP.5 Mem_1_T.P_IRP.4) ?v_5361)))))) (=> true (=> ?v_5358 (=> true (=> ?v_5359 (=> ?v_5360 ?v_5361)))))))))))))))) (let ((?v_5363 (=> true (=> true (=> true (=> true ?v_5362)))))) (let ((?v_5365 (=> true (=> (<= k.33 k.38) (=> (< k.38 2) (and (=> true (=> ?v_5330 (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.0 (U_2_int (MapType0Select Mem_0_T.P_IRP.1 ?v_5287))) (=> true (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_5362))))) (=> true (=> ?v_5355 (and (=> true (=> ?v_5351 (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.1 (U_2_int (MapType0Select Mem_1_T.P_IRP.1 ?v_5287))) (=> true (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_5363))))) (=> true (=> ?v_5358 (=> true (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_5363)))))))))))) (?v_5366 (= cancelLockStatus_1.15 cancelLockStatus_1.14))) (let ((?v_5367 (=> (= cancelLockStatus_0.15 cancelLockStatus_0.14) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5365)))))))))) (?v_5364 (= k.33 1)) (?v_5286 (= k.33 0)) (?v_5285 (int_2_U call63639formal.new.0))) (let ((?v_5486 (=> true (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 ?v_5284) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0 (ReadQueue__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (=> true (and ?v_8 (=> ?v_8 (=> (> call63639formal.new.0 0) (=> (forall ((?x1617 Int)) (! (=> (and (<= call63639formal.new.0 ?x1617) (< ?x1617 (+ call63639formal.new.0 1))) (= (Base ?x1617) call63639formal.new.0)) :pattern ((Base ?x1617)) )) (=> (forall ((?x1618 boogieU)) (! (=> (= (type ?x1618) intType) (or (= (U_2_int ?x1618) call63639formal.new.0) (= (MapType0Select alloc.27 ?x1618) (MapType0Select alloc.28 ?x1618)))) :pattern ((MapType0Select alloc.28 ?x1618)) )) (=> (and (= (MapType0Select alloc.27 ?v_5285) UNALLOCATED) (= (MapType0Select alloc.28 ?v_5285) ALLOCATED)) (=> true (=> (=> ?v_5286 (= cancelLockStatus_0.14 0)) (=> (=> ?v_5364 (= cancelLockStatus_1.14 0)) (and (=> true (=> ?v_5286 (=> true (=> ?v_5366 (=> (= cancelLockStatus_0.15 1) ?v_5365))))) (=> true (=> (not ?v_5286) (and (=> true (=> ?v_5364 (=> true (=> (= cancelLockStatus_1.15 1) ?v_5367)))) (=> true (=> (not ?v_5364) (=> true (=> ?v_5366 ?v_5367))))))))))))))))))))))) (let ((?v_5639 (=> true ?v_5486)) (?v_5527 (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.0 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer)) (?v_5671 (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.0)) (?v_5528 (= inline.SerialResizeBuffer.0.myVar_0.3 inline.SerialResizeBuffer.0.myVar_0)) (?v_5529 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_5530 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0)) (?v_5373 (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1.)) (?v_5531 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (?v_5532 (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.1 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.0)) (?v_5533 (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.0 1)) (?v_5534 (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1)) (?v_5535 (= alloc.27 alloc.22)) (?v_5641 (= inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..0 call66028formal.ret.0)) (?v_5536 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0)) (?v_5537 (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution)) (?v_5642 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartRead.0.myVar_0.8)) (?v_5538 (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_5539 (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.0 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead)) (?v_5540 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0)) (?v_5541 (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..0 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5.)) (?v_5542 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_5387 (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution)) (?v_5672 (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..0)) (?v_5544 (= inline.SerialCancelTimer.3.myNondetVar_0.2 inline.SerialCancelTimer.3.myNondetVar_0.1)) (?v_5545 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_5546 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0)) (?v_5547 (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1.)) (?v_5673 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0)) (?v_5548 (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.3 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer)) (?v_5549 (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.0 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer)) (?v_5396 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_5551 (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.6 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.5)) (?v_5552 (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..0 call64692formal.ret.0)) (?v_5553 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartRead.0.myVar_0.5)) (?v_5554 (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_5555 (= inline.SerialCancelTimer.2.myNondetVar_0.2 inline.SerialCancelTimer.2.myNondetVar_0.1)) (?v_5556 (= inline.SerialResizeBuffer.0.myNondetVar_0.14 inline.SerialResizeBuffer.0.myNondetVar_0)) (?v_5557 (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..0 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1.)) (?v_5674 (= inline.SerialStartRead.0.myNondetVar_1.9 inline.SerialStartRead.0.myNondetVar_1.8)) (?v_5675 (= lockStatus_0.32 lockStatus_0.31)) (?v_5560 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_5645 (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5561 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_5562 (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.0 call64692formal.ret.0)) (?v_5563 (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..0 call64585formal.ret.0)) (?v_5564 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.0 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1)) (?v_5565 (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.3 inline.sdv_InterlockedDecrement.12.myNondetVar_0.2)) (?v_5566 (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.1 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer)) (?v_5567 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_5415 (= inline.KeSynchronizeExecution.7.myNondetVar_0.7 inline.KeSynchronizeExecution.7.myNondetVar_0)) (?v_5569 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartRead.0.myVar_0.5)) (?v_5570 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5571 (= inline.KeSynchronizeExecution.6.myNondetVar_0.8 inline.KeSynchronizeExecution.6.myNondetVar_0)) (?v_5572 (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..2 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1.)) (?v_5573 (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.3 inline.sdv_InterlockedDecrement.13.myNondetVar_0.2)) (?v_5574 (= inline.SerialResizeBuffer.0.myNondetVar_1.5 inline.SerialResizeBuffer.0.myNondetVar_1)) (?v_5676 (= lockStatus_1.32 lockStatus_1.31)) (?v_5576 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.0)) (?v_5677 (= inline.SerialStartRead.0.myNondetVar_0.71 inline.SerialStartRead.0.myNondetVar_0.70)) (?v_5425 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_5426 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5678 (= cancelLockStatus_0.14 cancelLockStatus_0.13)) (?v_5579 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.10 inline.SerialGetCharsFromIntBuffer.0.myVar_0.9)) (?v_5429 (= inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1.)) (?v_5580 (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_5581 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0)) (?v_5679 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_5582 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.0)) (?v_5651 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartRead.0.myVar_0.8)) (?v_5435 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_5584 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.0)) (?v_5437 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5586 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0)) (?v_5680 (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1)) (?v_5587 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_5588 (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..1)) (?v_5589 (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.1 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.0)) (?v_5590 (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.1 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0)) (?v_5591 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0)) (?v_5681 (= inline.SerialStartRead.0.myVar_0.13 inline.SerialStartRead.0.myVar_0.12)) (?v_5593 (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.1 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0)) (?v_5594 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (?v_5595 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.12 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0)) (?v_5596 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.5 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1)) (?v_5597 (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.1 0)) (?v_5451 (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1.)) (?v_5613 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.0)) (?v_5614 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5615 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0)) (?v_5616 (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5617 (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1)) (?v_5618 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.0 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer)) (?v_5619 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0)) (?v_5620 (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.2 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.1)) (?v_5621 (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1)) (?v_5622 (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1.)) (?v_5623 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.4 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.3)) (?v_5624 (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..0)) (?v_5625 (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_5626 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0)) (?v_5627 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5628 (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.0 call64585formal.ret.0)) (?v_5629 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.7 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6)) (?v_5630 (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..1)) (?v_5631 (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.1 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0)) (?v_5632 (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5633 (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.1 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.0)) (?v_5634 (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_5635 (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.1 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.0)) (?v_5636 (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.1 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.0)) (?v_5637 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.22 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.21)) (?v_5638 (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_5485 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock))) (let ((?v_5670 (=> ?v_5485 ?v_5639))) (let ((?v_5682 (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialUpdateAndSwitchToUser) (=> ?v_5451 (=> ?v_5613 (=> ?v_5614 (=> (= inline.KeSynchronizeExecution.8.myNondetVar_0.7 inline.KeSynchronizeExecution.8.myNondetVar_0.6) (=> ?v_5615 (=> ?v_5616 (=> ?v_5617 (=> ?v_5618 (=> ?v_5619 (=> ?v_5620 (=> ?v_5621 (=> ?v_5622 (=> ?v_5623 (=> ?v_5624 (=> ?v_5625 (=> ?v_5626 (=> (= inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..0 call66482formal.ret.0) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialUpdateAndSwitchToUser) (=> ?v_5627 (=> ?v_5628 (=> ?v_5629 (=> ?v_5630 (=> ?v_5631 (=> ?v_5632 (=> ?v_5633 (=> ?v_5634 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> ?v_5635 (=> (= k.33 k.32) (=> ?v_5636 (=> ?v_5637 (=> ?v_5638 (=> (= cancelLockStatus_1.14 cancelLockStatus_1.13) ?v_5670)))))))))))))))))))))))))))))))))))) (?v_5524 (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.0 0)) (?v_5525 (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.1 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead))) (let ((?v_5688 (and (=> true (=> ?v_31 (=> true (=> ?v_5527 (=> ?v_5671 (=> ?v_5528 (=> ?v_5529 (=> ?v_5530 (=> ?v_5373 (=> ?v_5531 (=> ?v_5532 (=> ?v_5524 (=> ?v_5534 (=> ?v_5535 (=> ?v_5641 (=> ?v_5536 (=> ?v_5537 (=> ?v_5642 (=> ?v_5538 (=> ?v_5539 (=> ?v_5540 (=> ?v_5541 (=> ?v_5542 (=> ?v_5387 (=> ?v_5672 (=> ?v_5544 (=> ?v_5545 (=> ?v_5546 (=> ?v_5547 (=> ?v_5673 (=> ?v_5548 (=> ?v_5549 (=> ?v_5396 (=> ?v_5551 (=> ?v_5552 (=> ?v_5553 (=> ?v_5554 (=> ?v_5555 (=> ?v_5556 (=> ?v_5557 (=> ?v_5674 (=> ?v_5675 (=> ?v_5560 (=> ?v_5645 (=> ?v_5561 (=> ?v_5562 (=> ?v_5563 (=> ?v_5564 (=> ?v_5565 (=> ?v_5566 (=> ?v_5567 (=> ?v_5415 (=> ?v_5569 (=> ?v_5570 (=> ?v_5571 (=> ?v_5572 (=> ?v_5573 (=> ?v_5574 (=> ?v_5676 (=> ?v_5576 (=> ?v_5677 (=> ?v_5425 (=> ?v_5426 (=> ?v_5678 (=> ?v_5579 (=> ?v_5429 (=> ?v_5580 (=> ?v_5581 (=> ?v_5679 (=> ?v_5582 (=> ?v_5651 (=> ?v_5435 (=> ?v_5584 (=> ?v_5437 (=> ?v_5586 (=> ?v_5680 (=> ?v_5587 (=> ?v_5588 (=> ?v_5589 (=> ?v_5590 (=> ?v_5591 (=> ?v_5681 (=> ?v_5593 (=> ?v_5594 (=> ?v_5595 (=> ?v_5596 (=> ?v_5525 ?v_5682))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_0 (=> true (=> ?v_5527 (=> ?v_5671 (=> ?v_5528 (=> ?v_5529 (=> ?v_5530 (=> ?v_5373 (=> ?v_5531 (=> ?v_5532 (=> ?v_5533 (=> ?v_5534 (=> ?v_5535 (=> ?v_5641 (=> ?v_5536 (=> ?v_5537 (=> ?v_5642 (=> ?v_5538 (=> ?v_5539 (=> ?v_5540 (=> ?v_5541 (=> ?v_5542 (=> ?v_5387 (=> ?v_5672 (=> ?v_5544 (=> ?v_5545 (=> ?v_5546 (=> ?v_5547 (=> ?v_5673 (=> ?v_5548 (=> ?v_5549 (=> ?v_5396 (=> ?v_5551 (=> ?v_5552 (=> ?v_5553 (=> ?v_5554 (=> ?v_5555 (=> ?v_5556 (=> ?v_5557 (=> ?v_5674 (=> ?v_5675 (=> ?v_5560 (=> ?v_5645 (=> ?v_5561 (=> ?v_5562 (=> ?v_5563 (=> ?v_5564 (=> ?v_5565 (=> ?v_5566 (=> ?v_5567 (=> ?v_5415 (=> ?v_5569 (=> ?v_5570 (=> ?v_5571 (=> ?v_5572 (=> ?v_5573 (=> ?v_5574 (=> ?v_5676 (=> ?v_5576 (=> ?v_5677 (=> ?v_5425 (=> ?v_5426 (=> ?v_5678 (=> ?v_5579 (=> ?v_5429 (=> ?v_5580 (=> ?v_5581 (=> ?v_5679 (=> ?v_5582 (=> ?v_5651 (=> ?v_5435 (=> ?v_5584 (=> ?v_5437 (=> ?v_5586 (=> ?v_5680 (=> ?v_5587 (=> ?v_5588 (=> ?v_5589 (=> ?v_5590 (=> ?v_5591 (=> ?v_5681 (=> ?v_5593 (=> ?v_5594 (=> ?v_5595 (=> ?v_5596 (=> ?v_5597 ?v_5682))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5687 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5683 (=> true (=> (= lockStatus_1.31 lockStatus_1.30) (=> (= lockStatus_0.31 lockStatus_0.30) ?v_5688)))) (?v_5685 (= lockStatus_1.30 lockStatus_1.20))) (let ((?v_5686 (=> (= lockStatus_0.30 lockStatus_0.20) (=> true ?v_5683))) (?v_5684 (= k.32 1))) (let ((?v_5691 (not ?v_5684)) (?v_5669 (= k.32 0))) (let ((?v_5689 (not ?v_5669))) (let ((?v_5690 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.68 inline.SerialStartRead.0.myNondetVar_1.8) (=> true (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_3736) (and (=> true (=> ?v_5687 (and (=> true (=> ?v_5669 (=> true (=> ?v_5685 (=> (= lockStatus_0.30 0) ?v_5683))))) (=> true (=> ?v_5689 (and (=> true (=> ?v_5684 (=> true (=> (= lockStatus_1.30 0) ?v_5686)))) (=> true (=> ?v_5691 (=> true (=> ?v_5685 ?v_5686)))))))))) (=> true (=> (not ?v_5687) (=> true (=> (= lockStatus_1.31 lockStatus_1.20) (=> (= lockStatus_0.31 lockStatus_0.20) (=> true (=> true (=> true (=> true (=> true ?v_5688)))))))))))))))) (?v_5692 (= cancelLockStatus_1.13 cancelLockStatus_1.11))) (let ((?v_5693 (=> (= cancelLockStatus_0.13 cancelLockStatus_0.11) (=> true (=> true (=> true (=> true ?v_5690))))))) (let ((?v_5736 (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.66 0)) (=> true (=> (<= k.28 k.32) (=> (< k.32 2) (and (=> true (=> ?v_5669 (=> true (=> ?v_5692 (=> (= cancelLockStatus_0.13 0) ?v_5690))))) (=> true (=> ?v_5689 (and (=> true (=> ?v_5684 (=> true (=> (= cancelLockStatus_1.13 0) ?v_5693)))) (=> true (=> ?v_5691 (=> true (=> ?v_5692 ?v_5693))))))))))))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.65 0) (and (=> true (=> ?v_5694 (and (=> true (=> ?v_5610 (=> (= inline.SerialStartRead.0.myVar_0.15 ?v_5283) (=> true (=> (= inline.SerialStartRead.0.myVar_0.16 inline.SerialStartRead.0.myVar_0.15) ?v_5730))))) (=> true (=> ?v_5729 (and (=> true (=> ?v_5611 (=> (= inline.SerialStartRead.0.myVar_0.14 ?v_5612) (=> true (=> (= inline.SerialStartRead.0.myVar_0.16 inline.SerialStartRead.0.myVar_0.14) ?v_5732))))) (=> true (=> ?v_5731 (=> true (=> (= inline.SerialStartRead.0.myVar_0.16 inline.SerialStartRead.0.myVar_0.12) ?v_5732)))))))))) (=> true (=> ?v_5733 (=> true (=> (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3.) (=> (= inline.SerialStartRead.0.myVar_0.17 inline.SerialStartRead.0.myVar_0.12) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.2 inline.sdv_InterlockedIncrement.4.myNondetVar_0) (=> (= inline.SerialStartRead.0.myNondetVar_2.1 inline.SerialStartRead.0.myNondetVar_2) (=> (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.0 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead) (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.3 inline.sdv_InterlockedDecrement.14.myNondetVar_0) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1) (=> (= alloc.30 alloc.22) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer) (=> (= inline.SerialSetTimer.3.myNondetVar_0.5 inline.SerialSetTimer.3.myNondetVar_0) (=> (= inline.SerialStartRead.0.tempBoogie0.1 inline.SerialStartRead.0.tempBoogie0) (=> (= inline.SerialStartRead.0.myNondetVar_1.11 inline.SerialStartRead.0.myNondetVar_1.5) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.SerialStartRead.0.myNondetVar_0.74 inline.SerialStartRead.0.myNondetVar_0.65) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> true ?v_5734))))))))))))))))))))))))))))))) (let ((?v_5741 (and (=> true (=> (not ?v_5735) (=> true (=> (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.8..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.8.myNondetVar_0.6 inline.KeSynchronizeExecution.8.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.8..result.SynchronizeRoutine.4679.26.2.) ?v_5736)))))) (=> true (=> ?v_5735 (=> true (=> (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.8.myNondetVar_0.6 inline.KeSynchronizeExecution.8.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true (=> true ?v_5736)))))))))))) (?v_5668 (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.0 0))) (let ((?v_5738 (=> true (=> (= inline.SerialStartRead.0.myVar_0.12 inline.SerialStartRead.0.myVar_0.11) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartRead.0.myVar_0.11) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartRead.0.myVar_0.11) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) ?v_5741)))))) (?v_5737 (= inline.SerialStartRead.0.myVar_0.11 hirp))) (let ((?v_5739 (and (=> true (=> ?v_5737 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5738)))) (=> true (=> (not ?v_5737) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5738))))))))))) (let ((?v_5740 (=> true (=> true (=> true (=> true ?v_5739))))) (?v_5666 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP (int_2_U (Cancel__IRP ?v_5283)))) 0)) (?v_5667 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP (int_2_U (Cancel__IRP ?v_5612)))) 0)) (?v_5369 (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution)) (?v_5640 (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..0)) (?v_5388 (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1.)) (?v_5393 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5643 (= inline.SerialStartRead.0.myNondetVar_1.9 inline.SerialStartRead.0.myNondetVar_1.7)) (?v_5644 (= lockStatus_0.32 lockStatus_0.29)) (?v_5646 (= lockStatus_1.32 lockStatus_1.29)) (?v_5647 (= inline.SerialStartRead.0.myNondetVar_0.71 inline.SerialStartRead.0.myNondetVar_0.63)) (?v_5648 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_5649 (= cancelLockStatus_0.14 cancelLockStatus_0.12)) (?v_5650 (= inline.sdv_IoReleaseCancelSpinLock.20..result.userContextSwitch.3151.2.1..0 call66167formal.ret.0)) (?v_5432 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_5439 (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5652 (= inline.SerialStartRead.0.myVar_0.13 inline.SerialStartRead.0.myVar_0.8)) (?v_5450 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_5454 (= inline.KeSynchronizeExecution.8.myNondetVar_0.7 inline.KeSynchronizeExecution.8.myNondetVar_0)) (?v_5467 (= inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.21..result.userContextSwitch.3151.2.1.)) (?v_5468 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_5477 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5478 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1))) (let ((?v_5653 (=> ?v_5450 (=> ?v_5451 (=> ?v_5613 (=> ?v_5614 (=> ?v_5454 (=> ?v_5615 (=> ?v_5616 (=> ?v_5617 (=> ?v_5618 (=> ?v_5619 (=> ?v_5620 (=> ?v_5621 (=> ?v_5622 (=> ?v_5623 (=> ?v_5624 (=> ?v_5625 (=> ?v_5626 (=> ?v_5467 (=> ?v_5468 (=> ?v_5627 (=> ?v_5628 (=> ?v_5629 (=> ?v_5630 (=> ?v_5631 (=> ?v_5632 (=> ?v_5633 (=> ?v_5634 (=> ?v_5477 (=> ?v_5478 (=> ?v_5635 (=> (= k.33 k.31) (=> ?v_5636 (=> ?v_5637 (=> ?v_5638 (=> (= cancelLockStatus_1.14 cancelLockStatus_1.12) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) ?v_5639)))))))))))))))))))))))))))))))))))))) (let ((?v_5660 (and (=> true (=> ?v_31 (=> true (=> ?v_5527 (=> ?v_5369 (=> ?v_5528 (=> ?v_5529 (=> ?v_5530 (=> ?v_5640 (=> ?v_5531 (=> ?v_5532 (=> ?v_5524 (=> ?v_5534 (=> ?v_5535 (=> ?v_5641 (=> ?v_5536 (=> ?v_5537 (=> ?v_5642 (=> ?v_5538 (=> ?v_5539 (=> ?v_5540 (=> ?v_5541 (=> ?v_5542 (=> ?v_5387 (=> ?v_5388 (=> ?v_5544 (=> ?v_5545 (=> ?v_5546 (=> ?v_5547 (=> ?v_5393 (=> ?v_5548 (=> ?v_5549 (=> ?v_5396 (=> ?v_5551 (=> ?v_5552 (=> ?v_5553 (=> ?v_5554 (=> ?v_5555 (=> ?v_5556 (=> ?v_5557 (=> ?v_5643 (=> ?v_5644 (=> ?v_5560 (=> ?v_5645 (=> ?v_5561 (=> ?v_5562 (=> ?v_5563 (=> ?v_5564 (=> ?v_5565 (=> ?v_5566 (=> ?v_5567 (=> ?v_5415 (=> ?v_5569 (=> ?v_5570 (=> ?v_5571 (=> ?v_5572 (=> ?v_5573 (=> ?v_5574 (=> ?v_5646 (=> ?v_5576 (=> ?v_5647 (=> ?v_5425 (=> ?v_5648 (=> ?v_5649 (=> ?v_5579 (=> ?v_5650 (=> ?v_5580 (=> ?v_5581 (=> ?v_5432 (=> ?v_5582 (=> ?v_5651 (=> ?v_5435 (=> ?v_5584 (=> ?v_5437 (=> ?v_5586 (=> ?v_5439 (=> ?v_5587 (=> ?v_5588 (=> ?v_5589 (=> ?v_5590 (=> ?v_5591 (=> ?v_5652 (=> ?v_5593 (=> ?v_5594 (=> ?v_5595 (=> ?v_5596 (=> ?v_5525 ?v_5653))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_0 (=> true (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.0 ?v_953) (=> true (=> ?v_5527 (=> ?v_5369 (=> ?v_5528 (=> ?v_5529 (=> ?v_5530 (=> ?v_5640 (=> ?v_5531 (=> ?v_5532 (=> ?v_5533 (=> ?v_5534 (=> ?v_5535 (=> ?v_5641 (=> ?v_5536 (=> ?v_5537 (=> ?v_5642 (=> ?v_5538 (=> ?v_5539 (=> ?v_5540 (=> ?v_5541 (=> ?v_5542 (=> ?v_5387 (=> ?v_5388 (=> ?v_5544 (=> ?v_5545 (=> ?v_5546 (=> ?v_5547 (=> ?v_5393 (=> ?v_5548 (=> ?v_5549 (=> ?v_5396 (=> ?v_5551 (=> ?v_5552 (=> ?v_5553 (=> ?v_5554 (=> ?v_5555 (=> ?v_5556 (=> ?v_5557 (=> ?v_5643 (=> ?v_5644 (=> ?v_5560 (=> ?v_5645 (=> ?v_5561 (=> ?v_5562 (=> ?v_5563 (=> ?v_5564 (=> ?v_5565 (=> ?v_5566 (=> ?v_5567 (=> ?v_5415 (=> ?v_5569 (=> ?v_5570 (=> ?v_5571 (=> ?v_5572 (=> ?v_5573 (=> ?v_5574 (=> ?v_5646 (=> ?v_5576 (=> ?v_5647 (=> ?v_5425 (=> ?v_5648 (=> ?v_5649 (=> ?v_5579 (=> ?v_5650 (=> ?v_5580 (=> ?v_5581 (=> ?v_5432 (=> ?v_5582 (=> ?v_5651 (=> ?v_5435 (=> ?v_5584 (=> ?v_5437 (=> ?v_5586 (=> ?v_5439 (=> ?v_5587 (=> ?v_5588 (=> ?v_5589 (=> ?v_5590 (=> ?v_5591 (=> ?v_5652 (=> ?v_5593 (=> ?v_5594 (=> ?v_5595 (=> ?v_5596 (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.1 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.0) ?v_5653))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5659 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5655 (=> true (=> (= lockStatus_1.29 lockStatus_1.28) (=> (= lockStatus_0.29 lockStatus_0.28) (=> (= k.31 k.30) (=> (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..0 call66241formal.ret.0) ?v_5660)))))) (?v_5657 (= lockStatus_1.28 lockStatus_1.20))) (let ((?v_5658 (=> (= lockStatus_0.28 lockStatus_0.20) (=> true ?v_5655))) (?v_5656 (= k.30 1)) (?v_5654 (= k.30 0))) (let ((?v_5662 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.61 inline.SerialStartRead.0.myNondetVar_1.7) (=> true (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_3736) (and (=> true (=> ?v_5659 (=> true (=> (<= k.29 k.30) (=> (< k.30 2) (and (=> true (=> ?v_5654 (=> true (=> ?v_5657 (=> (= lockStatus_0.28 0) ?v_5655))))) (=> true (=> (not ?v_5654) (and (=> true (=> ?v_5656 (=> true (=> (= lockStatus_1.28 0) ?v_5658)))) (=> true (=> (not ?v_5656) (=> true (=> ?v_5657 ?v_5658))))))))))))) (=> true (=> (not ?v_5659) (=> true (=> (= lockStatus_1.29 lockStatus_1.20) (=> (= lockStatus_0.29 lockStatus_0.20) (=> (= k.31 k.29) (=> (= inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.10..result.userContextSwitch.4629.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true ?v_5660))))))))))))))))))) (?v_5664 (= cancelLockStatus_1.12 cancelLockStatus_1.11))) (let ((?v_5665 (=> (= cancelLockStatus_0.12 cancelLockStatus_0.11) (=> true (=> true (=> true (=> true ?v_5662)))))) (?v_5663 (= k.29 1)) (?v_5661 (= k.29 0))) (let ((?v_5742 (and (=> true (=> (=> ?v_5610 (not ?v_5666)) (=> (=> ?v_5611 (not ?v_5667)) (=> true (=> (<= k.28 k.29) (=> (< k.29 2) (and (=> true (=> ?v_5661 (=> true (=> ?v_5664 (=> (= cancelLockStatus_0.12 0) ?v_5662))))) (=> true (=> (not ?v_5661) (and (=> true (=> ?v_5663 (=> true (=> (= cancelLockStatus_1.12 0) ?v_5665)))) (=> true (=> (not ?v_5663) (=> true (=> ?v_5664 ?v_5665)))))))))))))) (=> true (=> (=> ?v_5610 ?v_5666) (=> (=> ?v_5611 ?v_5667) (and (=> true (=> (not ?v_5668) (and (=> true (=> ?v_5610 (=> (= inline.SerialStartRead.0.myVar_0.9 ?v_5283) (=> true (=> (= inline.SerialStartRead.0.myVar_0.11 inline.SerialStartRead.0.myVar_0.9) ?v_5739))))) (=> true (=> ?v_5729 (and (=> true (=> ?v_5611 (=> (= inline.SerialStartRead.0.myVar_0.10 ?v_5612) (=> true (=> (= inline.SerialStartRead.0.myVar_0.11 inline.SerialStartRead.0.myVar_0.10) ?v_5740))))) (=> true (=> ?v_5731 (=> true (=> (= inline.SerialStartRead.0.myVar_0.11 inline.SerialStartRead.0.myVar_0.8) ?v_5740)))))))))) (=> true (=> ?v_5668 (=> true (=> (= inline.SerialStartRead.0.myVar_0.12 inline.SerialStartRead.0.myVar_0.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> true (=> true (=> true (=> true (=> true ?v_5741)))))))))))))))))) (?v_5743 (= cancelLockStatus_1.11 cancelLockStatus_1.6))) (let ((?v_5744 (=> (= cancelLockStatus_0.11 cancelLockStatus_0.6) (=> true (=> true (=> true (=> true (=> true ?v_5742))))))) (?v_3719 (= cancelLockStatus_0.6 0)) (?v_5609 (= cancelLockStatus_1.6 0))) (let ((?v_5746 (=> true (=> (<= k.27 k.28) (=> (< k.28 2) (=> true (=> (=> ?v_5610 ?v_3719) (=> (=> ?v_5611 ?v_5609) (and (=> true (=> ?v_5610 (=> true (=> ?v_5743 (=> (= cancelLockStatus_0.11 1) ?v_5742))))) (=> true (=> ?v_5729 (and (=> true (=> ?v_5611 (=> true (=> (= cancelLockStatus_1.11 1) ?v_5744)))) (=> true (=> ?v_5731 (=> true (=> ?v_5743 ?v_5744))))))))))))))) (?v_5745 (= inline.SerialStartRead.0.myVar_0.8 hirp))) (let ((?v_5748 (and (=> true (=> ?v_5745 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5746)))) (=> true (=> (not ?v_5745) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5746)))))))))))))) (let ((?v_5750 (=> true (=> true (=> true (=> true ?v_5748))))) (?v_5749 (= k.27 1)) (?v_5747 (= k.27 0))) (let ((?v_5752 (=> true (=> (<= k.26 k.27) (=> (< k.27 2) (and (=> true (=> ?v_5747 (=> (= inline.SerialStartRead.0.myVar_0.6 ?v_5283) (=> true (=> (= inline.SerialStartRead.0.myVar_0.8 inline.SerialStartRead.0.myVar_0.6) ?v_5748))))) (=> true (=> (not ?v_5747) (and (=> true (=> ?v_5749 (=> (= inline.SerialStartRead.0.myVar_0.7 ?v_5612) (=> true (=> (= inline.SerialStartRead.0.myVar_0.8 inline.SerialStartRead.0.myVar_0.7) ?v_5750))))) (=> true (=> (not ?v_5749) (=> true (=> (= inline.SerialStartRead.0.myVar_0.8 inline.SerialStartRead.0.myVar_0.5) ?v_5750)))))))))))) (?v_5751 (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.0 0)) (?v_5378 (= inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.14..result.userContextSwitch.1645.2.1.)) (?v_5381 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5543 (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.0)) (?v_5550 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialUpdateInterruptBuffer)) (?v_5558 (= inline.SerialStartRead.0.myNondetVar_1.9 inline.SerialStartRead.0.myNondetVar_1.6)) (?v_5559 (= lockStatus_0.32 lockStatus_0.27)) (?v_5407 (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5568 (= inline.KeSynchronizeExecution.7.myNondetVar_0.7 inline.KeSynchronizeExecution.7.myNondetVar_0.6)) (?v_5575 (= lockStatus_1.32 lockStatus_1.27)) (?v_5577 (= inline.SerialStartRead.0.myNondetVar_0.71 inline.SerialStartRead.0.myNondetVar_0.58)) (?v_5578 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_5427 (= cancelLockStatus_0.14 cancelLockStatus_0.6)) (?v_5434 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5583 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialUpdateInterruptBuffer)) (?v_5585 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_5592 (= inline.SerialStartRead.0.myVar_0.13 inline.SerialStartRead.0.myVar_0.5)) (?v_5484 (= cancelLockStatus_1.14 cancelLockStatus_1.6))) (let ((?v_5526 (=> ?v_5484 ?v_5670))) (let ((?v_5598 (=> ?v_5450 (=> (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..0) (=> ?v_5613 (=> ?v_5614 (=> ?v_5454 (=> ?v_5615 (=> ?v_5616 (=> ?v_5617 (=> ?v_5618 (=> ?v_5619 (=> ?v_5620 (=> ?v_5621 (=> ?v_5622 (=> ?v_5623 (=> ?v_5624 (=> ?v_5625 (=> ?v_5626 (=> ?v_5467 (=> ?v_5468 (=> ?v_5627 (=> ?v_5628 (=> ?v_5629 (=> ?v_5630 (=> ?v_5631 (=> ?v_5632 (=> ?v_5633 (=> ?v_5634 (=> ?v_5477 (=> ?v_5478 (=> ?v_5635 (=> (= k.33 k.26) (=> ?v_5636 (=> ?v_5637 (=> ?v_5638 ?v_5526)))))))))))))))))))))))))))))))))))) (let ((?v_5605 (and (=> true (=> ?v_31 (=> true (=> ?v_5527 (=> ?v_5369 (=> ?v_5528 (=> ?v_5529 (=> ?v_5530 (=> ?v_5373 (=> ?v_5531 (=> ?v_5532 (=> ?v_5524 (=> ?v_5534 (=> ?v_5535 (=> ?v_5378 (=> ?v_5536 (=> ?v_5537 (=> ?v_5381 (=> ?v_5538 (=> ?v_5539 (=> ?v_5540 (=> ?v_5541 (=> ?v_5542 (=> ?v_5543 (=> ?v_5388 (=> ?v_5544 (=> ?v_5545 (=> ?v_5546 (=> ?v_5547 (=> ?v_5393 (=> ?v_5548 (=> ?v_5549 (=> ?v_5550 (=> ?v_5551 (=> ?v_5552 (=> ?v_5553 (=> ?v_5554 (=> ?v_5555 (=> ?v_5556 (=> ?v_5557 (=> ?v_5558 (=> ?v_5559 (=> ?v_5560 (=> ?v_5407 (=> ?v_5561 (=> ?v_5562 (=> ?v_5563 (=> ?v_5564 (=> ?v_5565 (=> ?v_5566 (=> ?v_5567 (=> ?v_5568 (=> ?v_5569 (=> ?v_5570 (=> ?v_5571 (=> ?v_5572 (=> ?v_5573 (=> ?v_5574 (=> ?v_5575 (=> ?v_5576 (=> ?v_5577 (=> ?v_5578 (=> ?v_5426 (=> ?v_5427 (=> ?v_5579 (=> ?v_5429 (=> ?v_5580 (=> ?v_5581 (=> ?v_5432 (=> ?v_5582 (=> ?v_5434 (=> ?v_5583 (=> ?v_5584 (=> ?v_5585 (=> ?v_5586 (=> ?v_5439 (=> ?v_5587 (=> ?v_5588 (=> ?v_5589 (=> ?v_5590 (=> ?v_5591 (=> ?v_5592 (=> ?v_5593 (=> ?v_5594 (=> ?v_5595 (=> ?v_5596 (=> ?v_5525 ?v_5598))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_0 (=> true (=> ?v_5527 (=> ?v_5369 (=> ?v_5528 (=> ?v_5529 (=> ?v_5530 (=> ?v_5373 (=> ?v_5531 (=> ?v_5532 (=> ?v_5533 (=> ?v_5534 (=> ?v_5535 (=> ?v_5378 (=> ?v_5536 (=> ?v_5537 (=> ?v_5381 (=> ?v_5538 (=> ?v_5539 (=> ?v_5540 (=> ?v_5541 (=> ?v_5542 (=> ?v_5543 (=> ?v_5388 (=> ?v_5544 (=> ?v_5545 (=> ?v_5546 (=> ?v_5547 (=> ?v_5393 (=> ?v_5548 (=> ?v_5549 (=> ?v_5550 (=> ?v_5551 (=> ?v_5552 (=> ?v_5553 (=> ?v_5554 (=> ?v_5555 (=> ?v_5556 (=> ?v_5557 (=> ?v_5558 (=> ?v_5559 (=> ?v_5560 (=> ?v_5407 (=> ?v_5561 (=> ?v_5562 (=> ?v_5563 (=> ?v_5564 (=> ?v_5565 (=> ?v_5566 (=> ?v_5567 (=> ?v_5568 (=> ?v_5569 (=> ?v_5570 (=> ?v_5571 (=> ?v_5572 (=> ?v_5573 (=> ?v_5574 (=> ?v_5575 (=> ?v_5576 (=> ?v_5577 (=> ?v_5578 (=> ?v_5426 (=> ?v_5427 (=> ?v_5579 (=> ?v_5429 (=> ?v_5580 (=> ?v_5581 (=> ?v_5432 (=> ?v_5582 (=> ?v_5434 (=> ?v_5583 (=> ?v_5584 (=> ?v_5585 (=> ?v_5586 (=> ?v_5439 (=> ?v_5587 (=> ?v_5588 (=> ?v_5589 (=> ?v_5590 (=> ?v_5591 (=> ?v_5592 (=> ?v_5593 (=> ?v_5594 (=> ?v_5595 (=> ?v_5596 (=> ?v_5597 ?v_5598))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5604 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5600 (=> true (=> (= lockStatus_1.27 lockStatus_1.26) (=> (= lockStatus_0.27 lockStatus_0.26) ?v_5605)))) (?v_5602 (= lockStatus_1.26 lockStatus_1.20))) (let ((?v_5603 (=> (= lockStatus_0.26 lockStatus_0.20) (=> true ?v_5600))) (?v_5601 (= k.26 1)) (?v_5599 (= k.26 0))) (let ((?v_5607 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.56 inline.SerialStartRead.0.myNondetVar_1.6) (=> true (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_3736) (and (=> true (=> ?v_5604 (and (=> true (=> ?v_5599 (=> true (=> ?v_5602 (=> (= lockStatus_0.26 0) ?v_5600))))) (=> true (=> (not ?v_5599) (and (=> true (=> ?v_5601 (=> true (=> (= lockStatus_1.26 0) ?v_5603)))) (=> true (=> (not ?v_5601) (=> true (=> ?v_5602 ?v_5603)))))))))) (=> true (=> (not ?v_5604) (=> true (=> (= lockStatus_1.27 lockStatus_1.20) (=> (= lockStatus_0.27 lockStatus_0.20) (=> true (=> true (=> true (=> true (=> true ?v_5605))))))))))))))))) (let ((?v_5608 (and (=> true (=> (not ?v_5606) (=> true (=> (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.7..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.7.myNondetVar_0.6 inline.KeSynchronizeExecution.7.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.7..result.SynchronizeRoutine.4679.26.2.) ?v_5607)))))) (=> true (=> ?v_5606 (=> true (=> (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.7.myNondetVar_0.6 inline.KeSynchronizeExecution.7.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true ?v_5607)))))))))))) (let ((?v_5753 (=> true (=> true (=> true (=> true (=> true ?v_5608)))))) (?v_5523 (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.0 0))) (let ((?v_5768 (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.5 (PLUS inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.21 1 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0)) (and (=> true (=> (not ?v_5523) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.53 inline.SerialStartRead.0.myNondetVar_0.49) ?v_5608)))) (=> true (=> ?v_5523 (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.51 0)) (and (=> true (=> (not ?v_5751) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.52 0)) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.53 inline.SerialStartRead.0.myNondetVar_0.52) ?v_5753)))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.55 0) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.59 inline.SerialStartRead.0.myNondetVar_0.55) ?v_5752))))))) (=> true (=> ?v_5751 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.59 inline.SerialStartRead.0.myNondetVar_0.51) ?v_5752))))))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.50 0) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.53 inline.SerialStartRead.0.myNondetVar_0.50) ?v_5753))))))))))) (?v_5788 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5789 (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5758 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5759 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5790 (= k.26 k.19)) (?v_5761 (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5791 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5764 (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5766 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5767 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5787 (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 0)) (?v_5762 (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.1 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.0))) (let ((?v_5777 (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.1 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.12 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.0 1) 1)) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.4 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.1) (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.9 inline.SerialGetCharsFromIntBuffer.0.myVar_0.6) (=> ?v_5788 (=> ?v_5789 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetCharsFromIntBuffer.0.myVar_0.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetCharsFromIntBuffer.0.myVar_0.3) (=> ?v_5790 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_5762 (=> ?v_5791 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.3 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetCharsFromIntBuffer.0.myVar_0.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetCharsFromIntBuffer.0.myVar_0.3) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.20 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.12) ?v_5768)))))))))))))))))))) (?v_5776 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.6 hirp))) (let ((?v_5779 (and (=> true (=> ?v_5776 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5777)))) (=> true (=> (not ?v_5776) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5777)))))))))))))))))) (let ((?v_5780 (=> true (=> true (=> true (=> true ?v_5779))))) (?v_5778 (= k.19 1))) (let ((?v_5785 (not ?v_5778)) (?v_5522 (= k.19 0))) (let ((?v_5783 (not ?v_5522))) (let ((?v_5782 (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.0 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.8 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.0 1)) (and (=> true (=> ?v_5522 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.4 ?v_5283) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.6 inline.SerialGetCharsFromIntBuffer.0.myVar_0.4) ?v_5779))))) (=> true (=> ?v_5783 (and (=> true (=> ?v_5778 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.5 ?v_5612) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.6 inline.SerialGetCharsFromIntBuffer.0.myVar_0.5) ?v_5780))))) (=> true (=> ?v_5785 (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.6 inline.SerialGetCharsFromIntBuffer.0.myVar_0.3) ?v_5780))))))))))) (?v_5781 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.3 hirp))) (let ((?v_5784 (and (=> true (=> ?v_5781 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5782)))) (=> true (=> (not ?v_5781) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5782))))))))))))))))) (let ((?v_5786 (=> true (=> true (=> true (=> true ?v_5784))))) (?v_5775 (< inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.0)) (?v_5755 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.9 inline.SerialGetCharsFromIntBuffer.0.myVar_0.8)) (?v_5756 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetCharsFromIntBuffer.0.myVar_0.8)) (?v_5757 (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5760 (= k.26 k.20)) (?v_5763 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetCharsFromIntBuffer.0.myVar_0.8)) (?v_5765 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.3 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.2)) (?v_5754 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 1 1))) (let ((?v_5770 (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.2 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.15 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 1)) (and (=> true (=> (= (PLUS inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.18 1 ?v_5754) inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.5) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.4 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.2) (=> ?v_5755 (=> ?v_5756 (=> ?v_5757 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.5) (=> ?v_5758 (=> ?v_5759 (=> ?v_5760 (=> ?v_5761 (=> ?v_5762 (=> ?v_5763 (=> ?v_5764 (=> ?v_5765 (=> ?v_5766 (=> ?v_5767 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.20 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.19) ?v_5768))))))))))))))))))) (=> true (=> (not (= (PLUS inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.16 1 ?v_5754) inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.4)) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.3 (PLUS inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.17 1 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0)) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.4 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.3) (=> ?v_5755 (=> ?v_5756 (=> ?v_5757 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.4) (=> ?v_5758 (=> ?v_5759 (=> ?v_5760 (=> ?v_5761 (=> ?v_5762 (=> ?v_5763 (=> ?v_5764 (=> ?v_5765 (=> ?v_5766 (=> ?v_5767 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.20 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.17) ?v_5768))))))))))))))))))))))))) (?v_5769 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.8 hirp))) (let ((?v_5772 (and (=> true (=> ?v_5769 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5770)))) (=> true (=> (not ?v_5769) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5770))))))))))))))))) (let ((?v_5774 (=> true (=> true (=> true (=> true ?v_5772))))) (?v_5773 (= k.20 1)) (?v_5771 (= k.20 0))) (let ((?v_5792 (and (=> true (=> (not ?v_5787) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.0 (PLUS (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.5 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.0 1) 1 1)) (and (=> true (=> ?v_5775 (=> true (=> (<= k.19 k.20) (=> (< k.20 2) (and (=> true (=> ?v_5771 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.1 ?v_5283) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.8 inline.SerialGetCharsFromIntBuffer.0.myVar_0.1) ?v_5772))))) (=> true (=> (not ?v_5771) (and (=> true (=> ?v_5773 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.7 ?v_5612) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.8 inline.SerialGetCharsFromIntBuffer.0.myVar_0.7) ?v_5774))))) (=> true (=> (not ?v_5773) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.8 inline.SerialGetCharsFromIntBuffer.0.myVar_0) ?v_5774))))))))))))) (=> true (=> (not ?v_5775) (and (=> true (=> ?v_5522 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.0 ?v_5283) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.3 inline.SerialGetCharsFromIntBuffer.0.myVar_0.0) ?v_5784))))) (=> true (=> ?v_5783 (and (=> true (=> ?v_5778 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.2 ?v_5612) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.3 inline.SerialGetCharsFromIntBuffer.0.myVar_0.2) ?v_5786))))) (=> true (=> ?v_5785 (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.3 inline.SerialGetCharsFromIntBuffer.0.myVar_0) ?v_5786))))))))))))))) (=> true (=> ?v_5787 (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.4 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.9 inline.SerialGetCharsFromIntBuffer.0.myVar_0) (=> ?v_5788 (=> ?v_5789 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1) (=> ?v_5758 (=> ?v_5759 (=> ?v_5790 (=> ?v_5761 (=> (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.1 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer) (=> ?v_5791 (=> ?v_5764 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.3 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2) (=> ?v_5766 (=> ?v_5767 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.20 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.4) ?v_5768)))))))))))))))))))))) (let ((?v_5797 (and (=> true (=> (< inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.1 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.0) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.2) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.4 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.2) ?v_5792))))) (=> true (=> (not (< inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.3 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.0)) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.4 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.3) (=> true ?v_5792)))))))) (?v_5796 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 hlock))) (let ((?v_5793 (=> true (=> (= lockStatus_1.20 lockStatus_1.19) (=> (= lockStatus_0.20 lockStatus_0.19) ?v_5797)))) (?v_5794 (= lockStatus_1.19 lockStatus_1.18))) (let ((?v_5795 (=> (= lockStatus_0.19 lockStatus_0.18) (=> true ?v_5793)))) (let ((?v_5798 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.48 inline.SerialStartRead.0.myNondetVar_1.5) (=> true (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 ?v_3736) (and (=> true (=> ?v_5796 (=> true (=> (=> ?v_5522 (= lockStatus_0.18 0)) (=> (=> ?v_5778 (= lockStatus_1.18 0)) (and (=> true (=> ?v_5522 (=> true (=> ?v_5794 (=> (= lockStatus_0.19 1) ?v_5793))))) (=> true (=> ?v_5783 (and (=> true (=> ?v_5778 (=> true (=> (= lockStatus_1.19 1) ?v_5795)))) (=> true (=> ?v_5785 (=> true (=> ?v_5794 ?v_5795))))))))))))) (=> true (=> (not ?v_5796) (=> true (=> (= lockStatus_1.20 lockStatus_1.18) (=> (= lockStatus_0.20 lockStatus_0.18) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5797)))))))))))))))))))))) (let ((?v_5801 (and (=> true (=> ?v_5694 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.47 inline.SerialStartRead.0.myNondetVar_0.46) ?v_5798)))) (=> true (=> ?v_5733 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.47 inline.SerialStartRead.0.myNondetVar_0.45) ?v_5798))))))) (let ((?v_5802 (=> true ?v_5801)) (?v_5806 (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead))) (let ((?v_5807 (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead) (=> ?v_5733 ?v_5802)))) (let ((?v_5803 (=> ?v_5806 (=> ?v_5523 ?v_5807))) (?v_5800 (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.0 1))) (let ((?v_5808 (=> ?v_5800 ?v_5802))) (let ((?v_5809 (=> true (=> ?v_5668 (=> ?v_5751 (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.33) (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0 inline.SerialStartRead.0.myNondetVar_0.33) (=> ?v_5523 (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0 inline.SerialStartRead.0.myNondetVar_0.32) ?v_5808)))))))) (?v_5799 (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.0 1))) (let ((?v_5804 (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.41 BOOGIE_LARGE_INT_4294967295)) (and (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.42 BOOGIE_LARGE_INT_4294967295) (=> true (=> (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.0 1) (=> ?v_5799 (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.44) (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0 inline.SerialStartRead.0.myNondetVar_0.44) (=> ?v_5523 (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0 0) ?v_5808))))))))) (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.43 BOOGIE_LARGE_INT_4294967295)) (=> true (=> ?v_5668 (=> ?v_5751 (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.43) ?v_5803))))))))) (=> true (=> (not (not (= inline.SerialStartRead.0.myNondetVar_0.40 BOOGIE_LARGE_INT_4294967295))) (=> true (=> ?v_5668 (=> ?v_5751 (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.40) ?v_5803))))))))) (let ((?v_5805 (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.34 BOOGIE_LARGE_INT_4294967295)) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.36 BOOGIE_LARGE_INT_4294967295)) (=> true (=> ?v_5668 (=> ?v_5799 (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.38) (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0 inline.SerialStartRead.0.myNondetVar_0.38) (=> ?v_5523 (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0 inline.SerialStartRead.0.myNondetVar_0.37) (=> ?v_5800 ?v_5801)))))))))) (=> true (=> (not (not (= inline.SerialStartRead.0.myNondetVar_0.35 BOOGIE_LARGE_INT_4294967295))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.39 inline.SerialStartRead.0.myNondetVar_0.35) ?v_5804))))))) (=> true (=> (not (not (= inline.SerialStartRead.0.myNondetVar_0.29 BOOGIE_LARGE_INT_4294967295))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.39 inline.SerialStartRead.0.myNondetVar_0.29) (=> true ?v_5804)))))))) (let ((?v_5811 (and (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.23 BOOGIE_LARGE_INT_4294967295) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.24 0)) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.28 inline.SerialStartRead.0.myNondetVar_0.24) ?v_5805)))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.25 0) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.26 0)) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.28 inline.SerialStartRead.0.myNondetVar_0.26) (=> true ?v_5805))))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.27 0) (=> true (=> ?v_5668 (=> ?v_5751 (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.27) (=> ?v_5806 (=> (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.0 1) ?v_5807)))))))))))))) (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.19 BOOGIE_LARGE_INT_4294967295)) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.22 0)) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.31 inline.SerialStartRead.0.myNondetVar_0.22) ?v_5809)))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.20 0) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.30 0)) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.31 inline.SerialStartRead.0.myNondetVar_0.30) (=> true (=> true (=> true ?v_5809))))))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.21 0) (=> true (=> ?v_5668 (=> ?v_5751 (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.21) ?v_5803))))))))))))))) (let ((?v_5812 (=> true ?v_5811)) (?v_5813 (= inline.SerialStartRead.0.myNondetVar_1.4 inline.SerialStartRead.0.myNondetVar_1.1))) (let ((?v_5814 (=> ?v_5723 ?v_5812)) (?v_5810 (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.0 1))) (let ((?v_5821 (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.11 0)) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.13 BOOGIE_LARGE_INT_4294967295)) (and (=> true (=> (<= inline.SerialStartRead.0.myNondetVar_0.15 inline.SerialStartRead.0.myNondetVar_1.2) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_1.4 inline.SerialStartRead.0.myNondetVar_1.2) (=> (= inline.SerialStartRead.0.myNondetVar_0.18 inline.SerialStartRead.0.myNondetVar_0.15) (=> ?v_5810 ?v_5811)))))) (=> true (=> (not (<= inline.SerialStartRead.0.myNondetVar_0.16 inline.SerialStartRead.0.myNondetVar_1.3)) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_1.4 inline.SerialStartRead.0.myNondetVar_1.3) (=> (= inline.SerialStartRead.0.myNondetVar_0.18 inline.SerialStartRead.0.myNondetVar_0.16) (=> ?v_5810 ?v_5812))))))))) (=> true (=> (not (not (= inline.SerialStartRead.0.myNondetVar_0.12 BOOGIE_LARGE_INT_4294967295))) (=> true (=> ?v_5813 (=> (= inline.SerialStartRead.0.myNondetVar_0.18 inline.SerialStartRead.0.myNondetVar_0.12) ?v_5814)))))))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.17 0) (=> true (=> ?v_5813 (=> (= inline.SerialStartRead.0.myNondetVar_0.18 inline.SerialStartRead.0.myNondetVar_0.17) ?v_5814))))))) (?v_5820 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5816 (=> true (=> (= lockStatus_1.18 lockStatus_1.17) (=> (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..0 call64919formal.ret.0) (=> (= lockStatus_0.18 lockStatus_0.17) (=> (= k.19 k.18) ?v_5821)))))) (?v_5818 (= lockStatus_1.17 lockStatus_1.16))) (let ((?v_5819 (=> (= lockStatus_0.17 lockStatus_0.16) (=> true ?v_5816))) (?v_5817 (= k.18 1)) (?v_5815 (= k.18 0))) (let ((?v_5827 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.8 inline.SerialStartRead.0.myNondetVar_1.1) (=> true (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_3736) (and (=> true (=> ?v_5820 (=> true (=> (<= k.14 k.18) (=> (< k.18 2) (and (=> true (=> ?v_5815 (=> true (=> ?v_5818 (=> (= lockStatus_0.17 0) ?v_5816))))) (=> true (=> (not ?v_5815) (and (=> true (=> ?v_5817 (=> true (=> (= lockStatus_1.17 0) ?v_5819)))) (=> true (=> (not ?v_5817) (=> true (=> ?v_5818 ?v_5819))))))))))))) (=> true (=> (not ?v_5820) (=> true (=> (= lockStatus_1.18 lockStatus_1.16) (=> (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1.) (=> (= lockStatus_0.18 lockStatus_0.16) (=> (= k.19 k.14) (=> true (=> true (=> true (=> true ?v_5821))))))))))))))))) (?v_5826 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 hlock))) (let ((?v_5823 (=> true (=> (= lockStatus_1.16 lockStatus_1.15) (=> (= lockStatus_0.16 lockStatus_0.15) ?v_5827)))) (?v_5824 (= lockStatus_1.15 lockStatus_1.14))) (let ((?v_5825 (=> (= lockStatus_0.15 lockStatus_0.14) (=> true ?v_5823))) (?v_5822 (= k.14 1))) (let ((?v_5840 (not ?v_5822)) (?v_5521 (= k.14 0))) (let ((?v_5838 (not ?v_5521)) (?v_5487 (= lockStatus_0.14 0)) (?v_5488 (= lockStatus_1.14 0))) (let ((?v_5831 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.1 inline.SerialStartRead.0.myNondetVar_1.0) (=> true (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 ?v_3736) (and (=> true (=> ?v_5826 (=> true (=> (=> ?v_5521 ?v_5487) (=> (=> ?v_5822 ?v_5488) (and (=> true (=> ?v_5521 (=> true (=> ?v_5824 (=> (= lockStatus_0.15 1) ?v_5823))))) (=> true (=> ?v_5838 (and (=> true (=> ?v_5822 (=> true (=> (= lockStatus_1.15 1) ?v_5825)))) (=> true (=> ?v_5840 (=> true (=> ?v_5824 ?v_5825))))))))))))) (=> true (=> (not ?v_5826) (=> true (=> (= lockStatus_1.16 lockStatus_1.14) (=> (= lockStatus_0.16 lockStatus_0.14) (=> true (=> true (=> true (=> true ?v_5827))))))))))))))) (?v_5830 (= call64692formal.ret.0 0))) (let ((?v_5829 (=> true (=> (= inline.SerialCancelTimer.3.myNondetVar_0.1 inline.SerialCancelTimer.3.myNondetVar_0.0) (=> (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.13.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.2 inline.sdv_InterlockedDecrement.13.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.13.myNondetVar_0.1) (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.13.myNondetVar_0.1) ?v_5831)))))))) (?v_5828 (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.1 0))) (let ((?v_5835 (=> true (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.0 ?v_5697) (and (=> true (=> (not ?v_5830) (and (=> true (=> (not ?v_5828) (=> true (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2.) ?v_5829)))) (=> true (=> ?v_5828 (=> true (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..0 call64769formal.ret.0) (=> true (=> true (=> true ?v_5829)))))))))) (=> true (=> ?v_5830 (=> true (=> (= inline.SerialCancelTimer.3.myNondetVar_0.1 inline.SerialCancelTimer.3.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.2 inline.sdv_InterlockedDecrement.13.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> true (=> true (=> true (=> true ?v_5831))))))))))))))))) (?v_5834 (= call64585formal.ret.0 0))) (let ((?v_5833 (=> true (=> (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.2 inline.sdv_InterlockedDecrement.12.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.12.myNondetVar_0.1) (=> (= inline.SerialCancelTimer.2.myNondetVar_0.1 inline.SerialCancelTimer.2.myNondetVar_0.0) (=> (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.12.myNondetVar_0.1) (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.12.myNondetVar_0.1) ?v_5835)))))))) (?v_5832 (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.1 0))) (let ((?v_5837 (=> true (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.0 ?v_5695) (and (=> true (=> (not ?v_5834) (and (=> true (=> (not ?v_5832) (=> true (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2.) ?v_5833)))) (=> true (=> ?v_5832 (=> true (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..0 call64662formal.ret.0) (=> true (=> true (=> true ?v_5833)))))))))) (=> true (=> ?v_5834 (=> true (=> (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.2 inline.sdv_InterlockedDecrement.12.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialCancelTimer.2.myNondetVar_0.1 inline.SerialCancelTimer.2.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> true (=> true (=> true (=> true (=> true ?v_5835)))))))))))))))))) (?v_5836 (= inline.SerialStartRead.0.myVar_0.5 hirp))) (let ((?v_5839 (and (=> true (=> ?v_5836 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5837)))) (=> true (=> (not ?v_5836) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5837))))))))))))))))) (let ((?v_5841 (=> true (=> true (=> true (=> true ?v_5839))))) (?v_5520 (not (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 3))) (?v_5368 (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.0 call63057formal.new.0)) (?v_5370 (= inline.SerialResizeBuffer.0.myVar_0.3 inline.SerialResizeBuffer.0.myVar_0.2)) (?v_5371 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0)) (?v_5372 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5374 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.0 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1)) (?v_5375 (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.1 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead)) (?v_5376 (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5377 (= alloc.27 alloc.24)) (?v_5379 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5380 (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.1)) (?v_5382 (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_5383 (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.0 0)) (?v_5384 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_5385 (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..0 0)) (?v_5386 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0)) (?v_5389 (= inline.SerialCancelTimer.3.myNondetVar_0.2 inline.SerialCancelTimer.3.myNondetVar_0)) (?v_5390 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1)) (?v_5391 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5392 (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..1)) (?v_5394 (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.3 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.2)) (?v_5395 (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.0 call63060formal.new.0)) (?v_5397 (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.6 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0)) (?v_5398 (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2.)) (?v_5399 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5400 (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_5401 (= inline.SerialCancelTimer.2.myNondetVar_0.2 inline.SerialCancelTimer.2.myNondetVar_0)) (?v_5402 (= inline.SerialResizeBuffer.0.myNondetVar_0.14 inline.SerialResizeBuffer.0.myNondetVar_0.13)) (?v_5403 (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..0 0)) (?v_5404 (= inline.SerialStartRead.0.myNondetVar_1.9 inline.SerialStartRead.0.myNondetVar_1)) (?v_5405 (= lockStatus_0.32 lockStatus_0.25)) (?v_5406 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_5408 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0)) (?v_5409 (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer)) (?v_5410 (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2.)) (?v_5411 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (?v_5412 (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.3 inline.sdv_InterlockedDecrement.12.myNondetVar_0)) (?v_5413 (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.1 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.0)) (?v_5414 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0)) (?v_5416 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5417 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialResizeBuffer.0.myVar_0.2)) (?v_5418 (= inline.KeSynchronizeExecution.6.myNondetVar_0.8 inline.KeSynchronizeExecution.6.myNondetVar_0.7)) (?v_5419 (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..2 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..1)) (?v_5420 (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.3 inline.sdv_InterlockedDecrement.13.myNondetVar_0)) (?v_5421 (= inline.SerialResizeBuffer.0.myNondetVar_1.5 inline.SerialResizeBuffer.0.myNondetVar_1.4)) (?v_5422 (= lockStatus_1.32 lockStatus_1.25)) (?v_5423 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer)) (?v_5424 (= inline.SerialStartRead.0.myNondetVar_0.71 inline.SerialStartRead.0.myNondetVar_0)) (?v_5428 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.10 inline.SerialGetCharsFromIntBuffer.0.myVar_0)) (?v_5430 (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_5431 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5433 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer)) (?v_5436 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1)) (?v_5438 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5440 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5441 (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2.)) (?v_5442 (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.1 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead)) (?v_5443 (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.1 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead)) (?v_5444 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5445 (= inline.SerialStartRead.0.myVar_0.13 inline.SerialStartRead.0.myVar_0.2)) (?v_5446 (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.1 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer)) (?v_5447 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.0 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer)) (?v_5448 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.12 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.11)) (?v_5449 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.5 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.4)) (?v_5452 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1)) (?v_5453 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialResizeBuffer.0.myVar_0.2)) (?v_5455 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_5456 (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5457 (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5458 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (?v_5459 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_5460 (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.2 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer)) (?v_5461 (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5462 (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..1)) (?v_5463 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.4 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2)) (?v_5464 (= inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.8..result.userContextSwitch.4629.4.1.)) (?v_5465 (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_5466 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_5469 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1)) (?v_5470 (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer)) (?v_5471 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.7 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1)) (?v_5472 (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2.)) (?v_5473 (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.1 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead)) (?v_5474 (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5475 (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.1 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead)) (?v_5476 (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_5479 (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.1 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead)) (?v_5480 (= k.33 k.25)) (?v_5481 (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.1 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead)) (?v_5482 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.22 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0)) (?v_5483 (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue))) (let ((?v_5490 (and (=> true (=> ?v_31 (=> true (=> ?v_5368 (=> ?v_5369 (=> ?v_5370 (=> ?v_5371 (=> ?v_5372 (=> ?v_5373 (=> ?v_5374 (=> ?v_5375 (=> ?v_5524 (=> ?v_5376 (=> ?v_5377 (=> ?v_5378 (=> ?v_5379 (=> ?v_5380 (=> ?v_5381 (=> ?v_5382 (=> ?v_5383 (=> ?v_5384 (=> ?v_5385 (=> ?v_5386 (=> ?v_5387 (=> ?v_5388 (=> ?v_5389 (=> ?v_5390 (=> ?v_5391 (=> ?v_5392 (=> ?v_5393 (=> ?v_5394 (=> ?v_5395 (=> ?v_5396 (=> ?v_5397 (=> ?v_5398 (=> ?v_5399 (=> ?v_5400 (=> ?v_5401 (=> ?v_5402 (=> ?v_5403 (=> ?v_5404 (=> ?v_5405 (=> ?v_5406 (=> ?v_5407 (=> ?v_5408 (=> ?v_5409 (=> ?v_5410 (=> ?v_5411 (=> ?v_5412 (=> ?v_5413 (=> ?v_5414 (=> ?v_5415 (=> ?v_5416 (=> ?v_5417 (=> ?v_5418 (=> ?v_5419 (=> ?v_5420 (=> ?v_5421 (=> ?v_5422 (=> ?v_5423 (=> ?v_5424 (=> ?v_5425 (=> ?v_5426 (=> ?v_5427 (=> ?v_5428 (=> ?v_5429 (=> ?v_5430 (=> ?v_5431 (=> ?v_5432 (=> ?v_5433 (=> ?v_5434 (=> ?v_5435 (=> ?v_5436 (=> ?v_5437 (=> ?v_5438 (=> ?v_5439 (=> ?v_5440 (=> ?v_5441 (=> ?v_5442 (=> ?v_5443 (=> ?v_5444 (=> ?v_5445 (=> ?v_5446 (=> ?v_5447 (=> ?v_5448 (=> ?v_5449 (=> ?v_5525 (=> ?v_5450 (=> ?v_5451 (=> ?v_5452 (=> ?v_5453 (=> ?v_5454 (=> ?v_5455 (=> ?v_5456 (=> ?v_5457 (=> ?v_5458 (=> ?v_5459 (=> ?v_5460 (=> ?v_5461 (=> ?v_5462 (=> ?v_5463 (=> ?v_5464 (=> ?v_5465 (=> ?v_5466 (=> ?v_5467 (=> ?v_5468 (=> ?v_5469 (=> ?v_5470 (=> ?v_5471 (=> ?v_5472 (=> ?v_5473 (=> ?v_5474 (=> ?v_5475 (=> ?v_5476 (=> ?v_5477 (=> ?v_5478 (=> ?v_5479 (=> ?v_5480 (=> ?v_5481 (=> ?v_5482 (=> ?v_5483 (=> ?v_5484 (=> ?v_5485 ?v_5486))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_0 (=> true (=> ?v_5368 (=> ?v_5369 (=> ?v_5370 (=> ?v_5371 (=> ?v_5372 (=> ?v_5373 (=> ?v_5374 (=> ?v_5375 (=> ?v_5533 (=> ?v_5376 (=> ?v_5377 (=> ?v_5378 (=> ?v_5379 (=> ?v_5380 (=> ?v_5381 (=> ?v_5382 (=> ?v_5383 (=> ?v_5384 (=> ?v_5385 (=> ?v_5386 (=> ?v_5387 (=> ?v_5388 (=> ?v_5389 (=> ?v_5390 (=> ?v_5391 (=> ?v_5392 (=> ?v_5393 (=> ?v_5394 (=> ?v_5395 (=> ?v_5396 (=> ?v_5397 (=> ?v_5398 (=> ?v_5399 (=> ?v_5400 (=> ?v_5401 (=> ?v_5402 (=> ?v_5403 (=> ?v_5404 (=> ?v_5405 (=> ?v_5406 (=> ?v_5407 (=> ?v_5408 (=> ?v_5409 (=> ?v_5410 (=> ?v_5411 (=> ?v_5412 (=> ?v_5413 (=> ?v_5414 (=> ?v_5415 (=> ?v_5416 (=> ?v_5417 (=> ?v_5418 (=> ?v_5419 (=> ?v_5420 (=> ?v_5421 (=> ?v_5422 (=> ?v_5423 (=> ?v_5424 (=> ?v_5425 (=> ?v_5426 (=> ?v_5427 (=> ?v_5428 (=> ?v_5429 (=> ?v_5430 (=> ?v_5431 (=> ?v_5432 (=> ?v_5433 (=> ?v_5434 (=> ?v_5435 (=> ?v_5436 (=> ?v_5437 (=> ?v_5438 (=> ?v_5439 (=> ?v_5440 (=> ?v_5441 (=> ?v_5442 (=> ?v_5443 (=> ?v_5444 (=> ?v_5445 (=> ?v_5446 (=> ?v_5447 (=> ?v_5448 (=> ?v_5449 (=> ?v_5597 (=> ?v_5450 (=> ?v_5451 (=> ?v_5452 (=> ?v_5453 (=> ?v_5454 (=> ?v_5455 (=> ?v_5456 (=> ?v_5457 (=> ?v_5458 (=> ?v_5459 (=> ?v_5460 (=> ?v_5461 (=> ?v_5462 (=> ?v_5463 (=> ?v_5464 (=> ?v_5465 (=> ?v_5466 (=> ?v_5467 (=> ?v_5468 (=> ?v_5469 (=> ?v_5470 (=> ?v_5471 (=> ?v_5472 (=> ?v_5473 (=> ?v_5474 (=> ?v_5475 (=> ?v_5476 (=> ?v_5477 (=> ?v_5478 (=> ?v_5479 (=> ?v_5480 (=> ?v_5481 (=> ?v_5482 (=> ?v_5483 ?v_5526)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_5497 (=> true (=> (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..1 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..0) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.4 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.3) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.7 inline.KeSynchronizeExecution.6.myNondetVar_0.6) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.13 inline.SerialResizeBuffer.0.myNondetVar_0.12) (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..0) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= lockStatus_0.25 lockStatus_0.24) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialUpdateAndSwitchToNew) (=> (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.0 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.0) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.2 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.1) (=> (= lockStatus_1.25 lockStatus_1.24) (=> (= inline.SerialResizeBuffer.0.myNondetVar_1.4 inline.SerialResizeBuffer.0.myNondetVar_1.3) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.11 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.10) (=> (= k.25 k.24) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialUpdateAndSwitchToNew) (=> true (=> true (=> true (=> true (=> true (=> true ?v_5490)))))))))))))))))))))))))))) (?v_5496 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5492 (=> true (=> (= lockStatus_1.24 lockStatus_1.23) (=> (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..0 call63541formal.ret.0) (=> (= lockStatus_0.24 lockStatus_0.23) (=> (= k.24 k.23) ?v_5497)))))) (?v_5494 (= lockStatus_1.23 lockStatus_1.22))) (let ((?v_5495 (=> (= lockStatus_0.23 lockStatus_0.22) (=> true ?v_5492))) (?v_5493 (= k.23 1)) (?v_5491 (= k.23 0))) (let ((?v_5499 (=> true (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.9 inline.SerialResizeBuffer.0.myNondetVar_1.3) (=> true (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_3736) (and (=> true (=> ?v_5496 (=> true (=> (<= k.22 k.23) (=> (< k.23 2) (and (=> true (=> ?v_5491 (=> true (=> ?v_5494 (=> (= lockStatus_0.23 0) ?v_5492))))) (=> true (=> (not ?v_5491) (and (=> true (=> ?v_5493 (=> true (=> (= lockStatus_1.23 0) ?v_5495)))) (=> true (=> (not ?v_5493) (=> true (=> ?v_5494 ?v_5495))))))))))))) (=> true (=> (not ?v_5496) (=> true (=> (= lockStatus_1.24 lockStatus_1.22) (=> (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1.) (=> (= lockStatus_0.24 lockStatus_0.22) (=> (= k.24 k.22) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5497))))))))))))))))))))))) (let ((?v_5502 (and (=> true (=> (not ?v_5498) (=> true (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.6..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.6 inline.KeSynchronizeExecution.6.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.6..result.SynchronizeRoutine.4679.26.2.) ?v_5499)))))) (=> true (=> ?v_5498 (=> true (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.6 inline.KeSynchronizeExecution.6.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true ?v_5499)))))))))))) (let ((?v_5506 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5502))))))))))) (?v_5505 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.0 0)) (?v_5501 (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.1 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.0))) (let ((?v_5504 (=> ?v_5501 ?v_5506)) (?v_5503 (<= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.0 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.0)) (?v_5500 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.0 1 1))) (let ((?v_5512 (and (=> true (=> (not ?v_5505) (=> true (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.0 (PLUS (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.1 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.0 1) 1 1)) (and (=> true (=> ?v_5503 (and (=> true (=> (= (PLUS inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.7 1 ?v_5500) inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.2) (=> true (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.3 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.2) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.10 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.9) (=> ?v_5501 ?v_5502)))))) (=> true (=> (not (= (PLUS inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.5 1 ?v_5500) inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.1)) (=> true (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.3 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.1) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.10 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.6) ?v_5504)))))))) (=> true (=> (not ?v_5503) (=> true (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.3 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.0) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.10 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.8) ?v_5504)))))))))) (=> true (=> ?v_5505 (=> true (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.3 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.10 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.0) (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.1 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer) ?v_5506)))))))) (?v_5511 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 hlock))) (let ((?v_5508 (=> true (=> (= lockStatus_1.22 lockStatus_1.21) (=> (= lockStatus_0.22 lockStatus_0.21) (=> (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..0 call63242formal.ret.0) (=> (= k.22 k.21) ?v_5512)))))) (?v_5509 (= lockStatus_1.21 lockStatus_1.14))) (let ((?v_5510 (=> (= lockStatus_0.21 lockStatus_0.14) (=> true ?v_5508))) (?v_5507 (= k.21 1)) (?v_5489 (= k.21 0))) (let ((?v_5514 (and (=> true (=> (<= inline.SerialResizeBuffer.0.myNondetVar_0.3 inline.SerialResizeBuffer.0.myNondetVar_1.1) (=> true (=> (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..1 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1.) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.4 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.7 inline.KeSynchronizeExecution.6.myNondetVar_0) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1) (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.13 inline.SerialResizeBuffer.0.myNondetVar_0.3) (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.7..result.userContextSwitch.4629.4.1.) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= lockStatus_0.25 lockStatus_0.14) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.0 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.2 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer) (=> (= lockStatus_1.25 lockStatus_1.14) (=> (= inline.SerialResizeBuffer.0.myNondetVar_1.4 inline.SerialResizeBuffer.0.myNondetVar_1.1) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.11 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0) (=> (= k.25 k.15) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) ?v_5490))))))))))))))))))))))) (=> true (=> (not (<= inline.SerialResizeBuffer.0.myNondetVar_0.2 inline.SerialResizeBuffer.0.myNondetVar_1.0)) (=> true (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.6 inline.SerialResizeBuffer.0.myNondetVar_1.2) (=> true (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 ?v_3736) (and (=> true (=> ?v_5511 (=> true (=> (<= k.15 k.21) (=> (< k.21 2) (=> true (=> (=> ?v_5489 ?v_5487) (=> (=> ?v_5507 ?v_5488) (and (=> true (=> ?v_5489 (=> true (=> ?v_5509 (=> (= lockStatus_0.21 1) ?v_5508))))) (=> true (=> (not ?v_5489) (and (=> true (=> ?v_5507 (=> true (=> (= lockStatus_1.21 1) ?v_5510)))) (=> true (=> (not ?v_5507) (=> true (=> ?v_5509 ?v_5510)))))))))))))))) (=> true (=> (not ?v_5511) (=> true (=> (= lockStatus_1.22 lockStatus_1.14) (=> (= lockStatus_0.22 lockStatus_0.14) (=> (= inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1..0 inline.sdv_KeAcquireSpinLock.2..result.userContextSwitch.4339.4.1.) (=> (= k.22 k.15) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5512))))))))))))))))))))))))) (?v_5513 (= inline.SerialResizeBuffer.0.myVar_0.2 hirp))) (let ((?v_5517 (and (=> true (=> ?v_5513 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5514)))) (=> true (=> (not ?v_5513) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5514))))))))))))))))) (let ((?v_5519 (=> true (=> true (=> true (=> true ?v_5517))))) (?v_5518 (= k.15 1)) (?v_5515 (= k.15 0)) (?v_5281 (int_2_U call63057formal.new.0)) (?v_3715 (>= 20 0)) (?v_5282 (int_2_U call63060formal.new.0))) (let ((?v_5843 (and (=> true (=> ?v_5520 (=> true (and ?v_8 (=> ?v_8 (=> (> call63057formal.new.0 0) (=> (forall ((?x1619 Int)) (! (=> (and (<= call63057formal.new.0 ?x1619) (< ?x1619 (+ call63057formal.new.0 1))) (= (Base ?x1619) call63057formal.new.0)) :pattern ((Base ?x1619)) )) (=> (forall ((?x1620 boogieU)) (! (=> (= (type ?x1620) intType) (or (= (U_2_int ?x1620) call63057formal.new.0) (= (MapType0Select alloc.22 ?x1620) (MapType0Select alloc.23 ?x1620)))) :pattern ((MapType0Select alloc.23 ?x1620)) )) (=> (and (= (MapType0Select alloc.22 ?v_5281) UNALLOCATED) (= (MapType0Select alloc.23 ?v_5281) ALLOCATED)) (and ?v_3715 (=> ?v_3715 (=> (> call63060formal.new.0 0) (=> (forall ((?x1621 Int)) (! (=> (and (<= call63060formal.new.0 ?x1621) (< ?x1621 (+ call63060formal.new.0 20))) (= (Base ?x1621) call63060formal.new.0)) :pattern ((Base ?x1621)) )) (=> (forall ((?x1622 boogieU)) (! (=> (= (type ?x1622) intType) (or (= (U_2_int ?x1622) call63060formal.new.0) (= (MapType0Select alloc.23 ?x1622) (MapType0Select alloc.24 ?x1622)))) :pattern ((MapType0Select alloc.24 ?x1622)) )) (=> (and (= (MapType0Select alloc.23 ?v_5282) UNALLOCATED) (= (MapType0Select alloc.24 ?v_5282) ALLOCATED)) (=> true (=> (<= k.14 k.15) (=> (< k.15 2) (and (=> true (=> ?v_5515 (=> (= inline.SerialResizeBuffer.0.myVar_0.1 ?v_5283) (=> true (=> (= inline.SerialResizeBuffer.0.myVar_0.2 inline.SerialResizeBuffer.0.myVar_0.1) ?v_5517))))) (=> true (=> (not ?v_5515) (and (=> true (=> ?v_5518 (=> (= inline.SerialResizeBuffer.0.myVar_0.0 ?v_5612) (=> true (=> (= inline.SerialResizeBuffer.0.myVar_0.2 inline.SerialResizeBuffer.0.myVar_0.0) ?v_5519))))) (=> true (=> (not ?v_5518) (=> true (=> (= inline.SerialResizeBuffer.0.myVar_0.2 inline.SerialResizeBuffer.0.myVar_0) ?v_5519)))))))))))))))))))))))))) (=> true (=> (not ?v_5520) (and (=> true (=> ?v_5521 (=> (= inline.SerialStartRead.0.myVar_0.3 ?v_5283) (=> true (=> (= inline.SerialStartRead.0.myVar_0.5 inline.SerialStartRead.0.myVar_0.3) ?v_5839))))) (=> true (=> ?v_5838 (and (=> true (=> ?v_5822 (=> (= inline.SerialStartRead.0.myVar_0.4 ?v_5612) (=> true (=> (= inline.SerialStartRead.0.myVar_0.5 inline.SerialStartRead.0.myVar_0.4) ?v_5841))))) (=> true (=> ?v_5840 (=> true (=> (= inline.SerialStartRead.0.myVar_0.5 inline.SerialStartRead.0.myVar_0.2) ?v_5841)))))))))))) (?v_5842 (= inline.SerialStartRead.0.myVar_0.2 hirp))) (let ((?v_5844 (and (=> true (=> ?v_5842 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5843)))) (=> true (=> (not ?v_5842) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5843))))))))))) (let ((?v_5845 (=> true (=> true (=> true (=> true ?v_5844))))) (?v_5280 (int_2_U call62865formal.new.0)) (?v_5273 (int_2_U call62818formal.new.0)) (?v_5275 (int_2_U call62824formal.new.0)) (?v_5276 (int_2_U call62827formal.new.0)) (?v_5277 (int_2_U call62830formal.new.0)) (?v_5278 (>= 12 0)) (?v_5279 (int_2_U call62833formal.new.0)) (?v_5272 (= SerialStartWrite SerialStartWrite)) (?v_3762 (int_2_U call62026formal.new.0))) (let ((?v_4083 (=> true (and ?v_8 (=> ?v_8 (=> (> call62026formal.new.0 0) (=> (forall ((?x1637 Int)) (! (=> (and (<= call62026formal.new.0 ?x1637) (< ?x1637 (+ call62026formal.new.0 1))) (= (Base ?x1637) call62026formal.new.0)) :pattern ((Base ?x1637)) )) (=> (forall ((?x1638 boogieU)) (! (=> (= (type ?x1638) intType) (or (= (U_2_int ?x1638) call62026formal.new.0) (= (MapType0Select alloc.72 ?x1638) (MapType0Select alloc.73 ?x1638)))) :pattern ((MapType0Select alloc.73 ?x1638)) )) (=> (and (= (MapType0Select alloc.72 ?v_3762) UNALLOCATED) (= (MapType0Select alloc.73 ?v_3762) ALLOCATED)) (=> true (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.7 inline.SerialRundownIrpRefs.0.myNondetVar_2.6) (=> ?v_3014 (=> ?v_3015 (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.2) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4) (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..4 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..3) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.2) (=> ?v_3763 (=> ?v_3020 (=> (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..4 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..3) (=> ?v_3022 (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.2) (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.6 inline.SerialGetNextWrite.1.myNondetVar_1.5) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.2) (=> ?v_3026 (=> (= inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.1 inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.0) (=> ?v_3028 (=> ?v_3029 (=> (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_3032 (=> (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.4 inline.sdv_InterlockedIncrement.3.myNondetVar_0.3) (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.7 inline.SerialTryToCompleteCurrent.0.myVar_0.6) (=> ?v_3035 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> ?v_3037 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_3039 (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..1) (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3) (=> (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.2) (=> ?v_3043 (=> ?v_3044 (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4) (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..6 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..5) (=> ?v_3047 (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.4 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.3) (=> ?v_3049 (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.3) (=> ?v_3051 (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..2) (=> ?v_3764 (=> ?v_3055 (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.5 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.4) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= inline.sdv_IoAcquireCancelSpinLock.8..result.userContextSwitch.1645.2.1..0 call59344formal.ret.0) (=> ?v_3060 (=> ?v_3061 (=> ?v_3062 (=> (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..2) (=> ?v_3064 (=> (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= irpCompleted_0.29 irpCompleted_0.28) (=> (= inline.SerialStartWrite.0.havoc_stringTemp.0 call62026formal.new.0) (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.0) (=> ?v_3069 (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.7 inline.SerialRundownIrpRefs.0.myNondetVar_1.6) (=> ?v_3071 (=> ?v_3072 (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartWrite.0.myVar_0.13) (=> ?v_3075 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.IsListEmpty.2.myNondetVar_0.4 inline.IsListEmpty.2.myNondetVar_0.3) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.2) (=> ?v_3079 (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.2) (=> ?v_3081 (=> (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0) (=> ?v_3083 (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.0) (=> ?v_3086 (=> (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4) (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.21 inline.SerialGetNextWrite.1.myNondetVar_0.20) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.4 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3) (=> ?v_3765 (=> ?v_3091 (=> ?v_3092 (=> ?v_3093 (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2) (=> (= inline.SerialStartWrite.0.myNondetVar_2.6 inline.SerialStartWrite.0.myNondetVar_2.5) (=> ?v_3096 (=> ?v_3097 (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..2 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..1) (=> ?v_3101 (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> ?v_3103 (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.2) (=> (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..1) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.2) (=> (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.1) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.2.havoc_stringTemp.1) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.0) (=> ?v_3112 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> ?v_3115 (=> (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..4 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..3) (=> (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..1) (=> ?v_3118 (=> ?v_3119 (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..1) (=> (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..3 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..2) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..4) (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..2) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.1) (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..2) (=> ?v_3132 (=> (= lockStatus_1.40 lockStatus_1.39) (=> ?v_3134 (=> ?v_3135 (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3) (=> ?v_3137 (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.11 inline.KeSynchronizeExecution.1.myNondetVar_0.10) (=> (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.1) (=> ?v_3766 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.6 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.5) (=> (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_3144 (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.7 inline.SerialRundownIrpRefs.0.tempBoogie0.6) (=> ?v_3147 (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.4) (=> (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..4 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3) (=> ?v_3151 (=> ?v_3152 (=> (= inline.SerialCancelTimer.0.myNondetVar_0.4 inline.SerialCancelTimer.0.myNondetVar_0.3) (=> (= inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..1 inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..0) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.3) (=> ?v_3156 (=> ?v_3157 (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.5 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.4) (=> (= inline.RemoveHeadList.2.myNondetVar_0.4 inline.RemoveHeadList.2.myNondetVar_0.3) (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..4 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..3) (=> (= inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..0 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> ?v_3163 (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.1) (=> (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..1 inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..0) (=> ?v_3168 (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3) (=> (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.2) (=> (= inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.0) (=> (= Mem_1_T.CancelRoutine__IRP.68 Mem_1_T.CancelRoutine__IRP.67) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= k.122 k.121) (=> ?v_3173 (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.2) (=> ?v_3175 (=> ?v_3176 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.2) (=> ?v_3180 (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.RemoveHeadList.1.myNondetVar_0.6 inline.RemoveHeadList.1.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.2) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..4) (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..5 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..4) (=> (= Mem_0_T.P_IRP.45 Mem_0_T.P_IRP.44) (=> (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.0) (=> ?v_3189 (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2) (=> (= inline.SerialStartWrite.0.myNondetVar_1.10 inline.SerialStartWrite.0.myNondetVar_1.9) (=> ?v_3192 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSynchronizeExecution.5.myNondetVar_0.8 inline.KeSynchronizeExecution.5.myNondetVar_0.7) (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..2) (=> ?v_3200 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0) (=> (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.0 call53172formal.new.0) (=> ?v_3205 (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> ?v_3208 (=> ?v_3209 (=> (= inline.IsListEmpty.3.myNondetVar_0.2 inline.IsListEmpty.3.myNondetVar_0.1) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.2) (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.2) (=> (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..3) (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.4 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.3) (=> (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.5 inline.SerialGetNextWrite.1.myNondetVar_2.4) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= inline.RemoveHeadList.0.myNondetVar_0.6 inline.RemoveHeadList.0.myNondetVar_0.5) (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.7 inline.sdv_InterlockedIncrement.1.myNondetVar_0.6) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.4 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.3) (=> ?v_3229 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_3231 (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0) (=> ?v_3233 (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..5 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.2) (=> (= inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.1 inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.0) (=> (= inline.SerialGetNextIrp.1.myNondetVar_0.4 inline.SerialGetNextIrp.1.myNondetVar_0.3) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> ?v_3240 (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..4) (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..4 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..3) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..4 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3) (=> (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..1) (=> (= inline.SerialStartWrite.0.tempBoogie0.6 inline.SerialStartWrite.0.tempBoogie0.5) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..1) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.5 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.4) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_2.2 inline.SerialTryToCompleteCurrent.0.myNondetVar_2.1) (=> (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..4 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..3) (=> ?v_5291 (=> (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..1) (=> (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2) (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..5 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..4) (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> ?v_3260 (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.6 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.5) (=> ?v_3262 (=> ?v_3263 (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..1) (=> ?v_3266 (=> ?v_3267 (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.7 inline.SerialGetNextIrpLocked.1.myVar_0.6) (=> ?v_3269 (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.6 inline.sdv_InterlockedDecrement.9.myNondetVar_0.5) (=> ?v_3272 (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.1) (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.6 inline.sdv_InterlockedDecrement.4.myNondetVar_0.5) (=> ?v_3275 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_3277 (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.2) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2) (=> (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.1) (=> ?v_3281 (=> (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.1 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.3) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.2) (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> ?v_3288 (=> ?v_3289 (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> ?v_3291 (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.3) (=> (= inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.0) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> ?v_3300 (=> (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..4 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..3) (=> ?v_3303 (=> ?v_3304 (=> ?v_3305 (=> (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.2) (=> (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.1) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.4 inline.sdv_InterlockedDecrement.8.myNondetVar_0.3) (=> ?v_3311 (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4) (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.4) (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..1) (=> ?v_3318 (=> ?v_3319 (=> ?v_3767 (=> (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.2) (=> ?v_3321 (=> ?v_3322 (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.2) (=> (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..2 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.6 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.5) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.6 inline.sdv_InterlockedDecrement.6.myNondetVar_0.5) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.1) (=> ?v_3331 (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..1) (=> ?v_3768 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_3335 (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> ?v_3337 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> (= Mem_1_T.P_IRP.45 Mem_1_T.P_IRP.44) (=> ?v_3344 (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.7 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.6) (=> (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialRundownIrpRefs.0.myVar_0.16 inline.SerialRundownIrpRefs.0.myVar_0.15) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> ?v_3769 (=> ?v_3350 (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.0) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> ?v_3355 (=> ?v_3356 (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.0) (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.1) (=> (= inline.SerialGetNextWrite.0.myVar_0.17 inline.SerialGetNextWrite.0.myVar_0.16) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> ?v_3363 (=> (= inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..1) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= irpCompleted_1.29 irpCompleted_1.28) (=> ?v_3367 (=> ?v_3368 (=> (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.9 inline.KeSynchronizeExecution.3.myNondetVar_0.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_3374 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4) (=> (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.9 inline.SerialGetNextWrite.0.tempBoogie0.8) (=> (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.0) (=> ?v_3380 (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.2) (=> ?v_3382 (=> ?v_3383 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> ?v_3770 (=> ?v_3385 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.2) (=> ?v_3388 (=> (= inline.SerialGetNextIrp.0.myNondetVar_0.4 inline.SerialGetNextIrp.0.myNondetVar_0.3) (=> ?v_3390 (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> ?v_3393 (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4) (=> ?v_3771 (=> ?v_3395 (=> (= inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.2) (=> ?v_3398 (=> ?v_3399 (=> (= inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.0) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialGetNextWrite.0.havoc_stringTemp.3 inline.SerialGetNextWrite.0.havoc_stringTemp.2) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> ?v_3404 (=> ?v_3405 (=> ?v_3406 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.4 inline.sdv_InterlockedDecrement.7.myNondetVar_0.3) (=> ?v_3409 (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.4) (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.4 inline.SerialGetNextIrpLocked.0.havoc_stringTemp.3) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..2) (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.0) (=> ?v_3419 (=> ?v_3420 (=> ?v_3772 (=> (= inline.SerialSetTimer.2.myNondetVar_0.7 inline.SerialSetTimer.2.myNondetVar_0.6) (=> ?v_3773 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..1) (=> ?v_3428 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> ?v_3431 (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..4 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..3) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_1.2 inline.SerialTryToCompleteCurrent.0.myNondetVar_1.1) (=> ?v_3434 (=> ?v_3435 (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1) (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.3) (=> ?v_3438 (=> ?v_3774 (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..3) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.4 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.3) (=> ?v_3448 (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> ?v_3450 (=> ?v_3451 (=> (= inline.SerialGetNextWrite.1.myVar_0.15 inline.SerialGetNextWrite.1.myVar_0.14) (=> ?v_3453 (=> (= inline.SerialGetNextWrite.1.havoc_stringTemp.1 inline.SerialGetNextWrite.1.havoc_stringTemp.0) (=> ?v_3455 (=> (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..1) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3) (=> ?v_3460 (=> ?v_3461 (=> (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.2) (=> ?v_3464 (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> (= inline.SerialGetNextIrp.2.myNondetVar_0.2 inline.SerialGetNextIrp.2.myNondetVar_0.1) (=> ?v_3469 (=> ?v_3470 (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.2) (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.7 inline.SerialGetNextWrite.0.myNondetVar_2.6) (=> ?v_3473 (=> ?v_3775 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.13 inline.SerialRundownIrpRefs.0.myNondetVar_0.12) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.2) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..4 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..3) (=> ?v_3482 (=> (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.2) (=> ?v_3484 (=> (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.5 inline.sdv_InterlockedIncrement.2.myNondetVar_0.4) (=> ?v_3486 (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2) (=> (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.1 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.sdv_IoAcquireCancelSpinLock.2..result.userContextSwitch.1645.2.1..0 call53215formal.ret.0) (=> ?v_3491 (=> ?v_3492 (=> (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..1 inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..0) (=> ?v_3494 (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..4 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..3) (=> (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> ?v_3499 (=> (= inline.SerialCancelTimer.1.myNondetVar_0.4 inline.SerialCancelTimer.1.myNondetVar_0.3) (=> ?v_3501 (=> (= lockStatus_0.40 lockStatus_0.39) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.IsListEmpty.1.myNondetVar_0.4 inline.IsListEmpty.1.myNondetVar_0.3) (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_3507 (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1) (=> ?v_3509 (=> ?v_3776 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.0 call53175formal.new.0) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.2) (=> ?v_3513 (=> (= alloc.74 alloc.73) (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.4 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.3) (=> (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..2) (=> ?v_3519 (=> ?v_3777 (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.2) (=> ?v_3521 (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.1) (=> ?v_3524 (=> ?v_3525 (=> (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.2 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.1) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.2) (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0) (=> ?v_3778 (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.2) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.0) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.2) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.1 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.0) (=> ?v_3538 (=> ?v_3539 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.0 call53169formal.new.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..2) (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.8 inline.sdv_InterlockedDecrement.5.myNondetVar_0.7) (=> (= inline.SerialGetNextWrite.1.tempBoogie0.7 inline.SerialGetNextWrite.1.tempBoogie0.6) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.1) (=> (= inline.SerialStartWrite.0.myNondetVar_0.36 inline.SerialStartWrite.0.myNondetVar_0.35) (=> ?v_3549 (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.8 inline.SerialGetNextWrite.0.myNondetVar_1.7) (=> ?v_3551 (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.9 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.8) (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..3 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2) (=> ?v_3559 (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..4 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..3) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.1) (=> (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.2) (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.3 inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.2) (=> ?v_3566 (=> (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..1) (=> ?v_3568 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_3570 (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..2 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.9 inline.KeSynchronizeExecution.0.myNondetVar_0.8) (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.4 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.3) (=> (= inline.SerialStartWrite.0..result.question.7..2 inline.SerialStartWrite.0..result.question.7..1) (=> (= inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.0 call53178formal.new.0) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.2) (=> ?v_3579 (=> (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..1) (=> ?v_3779 (=> ?v_3581 (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.2) (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.7 inline.SerialGetNextIrpLocked.0.myVar_0.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_3586 (=> (= inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..0 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3) (=> (= cancelLockStatus_0.51 cancelLockStatus_0.50) (=> (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.1) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0) (=> (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..1) (=> (= inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.1 inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.0) (=> ?v_3592 (=> ?v_3593 (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..2 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..1) (=> (= Mem_0_T.CancelRoutine__IRP.68 Mem_0_T.CancelRoutine__IRP.67) (=> (= inline.SerialSetTimer.1.myNondetVar_0.8 inline.SerialSetTimer.1.myNondetVar_0.7) (=> ?v_3596 (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.1) (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.4 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.3) (=> ?v_3600 (=> ?v_3601 (=> ?v_3602 (=> ?v_3603 (=> (= inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..1) (=> ?v_3780 (=> ?v_3605 (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.5 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.4) (=> ?v_3607 (=> ?v_3608 (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.6 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialSetTimer.0.myNondetVar_0.10 inline.SerialSetTimer.0.myNondetVar_0.9) (=> ?v_3613 (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.2) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.2) (=> ?v_3616 (=> (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..3 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..2) (=> ?v_3618 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> ?v_3621 (=> (= inline.SerialStartWrite.0.myVar_0.29 inline.SerialStartWrite.0.myVar_0.28) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5) (=> (= inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.1 inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.0) (=> ?v_3625 (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> ?v_3627 (=> ?v_3628 (=> ?v_3629 (=> ?v_3630 (=> (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_3635 (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> ?v_3637 (=> (= errorReached.49 errorReached.48) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.2) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.4 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.5 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.4) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2) (=> (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..2) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.2) (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.5 inline.SerialGetNextIrpLocked.2.myVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.0) (=> (= inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.0) (=> (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.1) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.23 inline.SerialGetNextWrite.0.myNondetVar_0.22) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4) (=> (= inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..0) (=> ?v_3657 (=> ?v_3658 (=> ?v_3781 (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.3) (=> (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..3 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..2) (=> (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.5 inline.sdv_InterlockedDecrement.3.myNondetVar_0.4) (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.5 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.4) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.0) (=> ?v_3666 (=> (= inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..0) (=> (= cancelLockStatus_1.51 cancelLockStatus_1.50) (=> ?v_3668 (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.5 inline.sdv_InterlockedDecrement.10.myNondetVar_0.4) (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.5 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.5 inline.sdv_InterlockedDecrement.2.myNondetVar_0.4) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1) (=> (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.2 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.1) (=> ?v_3676 (=> ?v_3677 (=> ?v_3678 (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..4 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartWrite.0.myVar_0.13) (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.10 inline.KeSynchronizeExecution.4.myNondetVar_0.9) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..5 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..4) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.3) (=> (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.2) (=> (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.4 inline.SerialGetNextIrpLocked.1.havoc_stringTemp.3) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.12 inline.KeSynchronizeExecution.2.myNondetVar_0.11) ?v_3782))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4084 (=> true (=> (= inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite) (=> (= inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGiveWriteToIsr) (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.4 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1.) (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.20 inline.SerialGetNextWrite.1.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.KeSynchronizeExecution.5.myNondetVar_0.7 inline.KeSynchronizeExecution.5.myNondetVar_0.6) (=> (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.9 inline.KeSynchronizeExecution.4.myNondetVar_0) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite) (=> (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1.) (=> (= inline.SerialStartWrite.0.tempBoogie0.5 inline.SerialStartWrite.0.tempBoogie0.4) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.4 inline.SerialGetNextIrpLocked.2.myVar_0) (=> (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.1) (=> (= inline.SerialStartWrite.0.myNondetVar_0.35 inline.SerialStartWrite.0.myNondetVar_0.34) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.) (=> (= cancelLockStatus_1.50 cancelLockStatus_1.39) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.0) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.0) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialCancelCurrentWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.3 inline.sdv_InterlockedIncrement.3.myNondetVar_0.2) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite) (=> (= errorReached.48 errorReached.39) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked) (=> (= inline.SerialSetTimer.1.myNondetVar_0.7 inline.SerialSetTimer.1.myNondetVar_0) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.) (=> (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2.) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp) (=> (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3.) (=> (= inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.2) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialCancelCurrentWrite) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialStartWrite.0.myVar_0.20) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1) (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.2 inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.1) (=> (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.3 inline.sdv_InterlockedDecrement.8.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.4 inline.sdv_InterlockedDecrement.10.myNondetVar_0.3) (=> (= inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.0 2) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartWrite.0.myVar_0.23) (=> (= inline.SerialSetTimer.2.myNondetVar_0.6 inline.SerialSetTimer.2.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked) (=> (= alloc.72 alloc.59) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.0) (=> (= inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp) (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.4 inline.SerialGetNextWrite.1.myNondetVar_2) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.) (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.5 inline.SerialGetNextWrite.1.myNondetVar_1) (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextWrite.1.tempBoogie0.6 inline.SerialGetNextWrite.1.tempBoogie0) (=> (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= k.121 k.103) (=> (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2.) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer) (=> (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.4 inline.sdv_InterlockedIncrement.2.myNondetVar_0) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartWrite.0.myVar_0.23) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1) (=> (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= irpCompleted_1.28 irpCompleted_1.24) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.2.havoc_stringTemp) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.8 inline.KeSynchronizeExecution.3.myNondetVar_0) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1) (=> (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.1 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList) (=> (= inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= irpCompleted_0.28 irpCompleted_0.24) (=> (= inline.SerialStartWrite.0.myVar_0.28 inline.SerialStartWrite.0.myVar_0.27) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.0) (=> (= inline.SerialStartWrite.0.myNondetVar_1.9 inline.SerialStartWrite.0.myNondetVar_1.8) (=> (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= Mem_1_T.CancelRoutine__IRP.67 Mem_1_T.CancelRoutine__IRP.55) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked) (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.5 inline.sdv_InterlockedDecrement.9.myNondetVar_0) (=> (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..0) (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1) (=> (= inline.SerialGetNextWrite.1.havoc_stringTemp.0 inline.SerialGetNextWrite.1.havoc_stringTemp) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGiveWriteToIsr) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.IsListEmpty.3.myNondetVar_0.1 inline.IsListEmpty.3.myNondetVar_0) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= Mem_0_T.P_IRP.44 Mem_0_T.P_IRP.32) (=> (= Mem_1_T.P_IRP.44 Mem_1_T.P_IRP.32) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1) (=> (= cancelLockStatus_0.50 cancelLockStatus_0.39) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1) (=> (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialStartWrite.0.myVar_0.20) (=> (= inline.SerialGetNextWrite.1.myVar_0.14 inline.SerialGetNextWrite.1.myVar_0) (=> (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= Mem_0_T.CancelRoutine__IRP.67 Mem_0_T.CancelRoutine__IRP.55) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13.) (=> (= inline.SerialStartWrite.0.myNondetVar_2.5 inline.SerialStartWrite.0.myNondetVar_2.4) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite) (=> (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.SerialGetNextIrp.2.myNondetVar_0.1 inline.SerialGetNextIrp.2.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1.) (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp) (=> (= inline.RemoveHeadList.2.myNondetVar_0.3 inline.RemoveHeadList.2.myNondetVar_0) ?v_4083)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4086 (= cancelLockStatus_1.39 cancelLockStatus_1.37))) (let ((?v_4087 (=> (= cancelLockStatus_0.39 cancelLockStatus_0.37) (=> true (=> true (=> true (=> true ?v_4084)))))) (?v_4085 (= k.103 1))) (let ((?v_4095 (not ?v_4085)) (?v_4081 (= k.103 0))) (let ((?v_4092 (not ?v_4081))) (let ((?v_4089 (and (=> true (=> ?v_4081 (=> true (=> ?v_4086 (=> (= cancelLockStatus_0.39 0) ?v_4084))))) (=> true (=> ?v_4092 (and (=> true (=> ?v_4085 (=> true (=> (= cancelLockStatus_1.39 0) ?v_4087)))) (=> true (=> ?v_4095 (=> true (=> ?v_4086 ?v_4087)))))))))) (let ((?v_4100 (and (=> true (=> (not ?v_4088) (=> true (=> (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.5..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.5..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.5.myNondetVar_0.6 inline.KeSynchronizeExecution.5.myNondetVar_0.5) ?v_4089)))))) (=> true (=> ?v_4088 (=> true (=> (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.5.myNondetVar_0.6 inline.KeSynchronizeExecution.5.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4089)))))))))))))))) (?v_4099 (= inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.0 0))) (let ((?v_4091 (=> true (=> (forall ((?r13 Int)) (! (= (or (not (= (BIT_BAND inline.SerialStartWrite.0.myNondetVar_1.7 ?r13) 0)) (not (= (BIT_BAND 4 ?r13) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialStartWrite.0.myNondetVar_2.3 4) ?r13) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialStartWrite.0.myNondetVar_0.30 4) ?r13)) )) (=> (= inline.SerialStartWrite.0.tempBoogie0.3 (BIT_BOR inline.SerialStartWrite.0.myNondetVar_0.31 4)) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.27 inline.SerialStartWrite.0.myVar_0.26) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartWrite.0.myVar_0.26) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialSetTimer.2.myNondetVar_0.5 inline.SerialSetTimer.2.myNondetVar_0.4) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= alloc.59 alloc.58) (=> (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..0 call62570formal.ret.0) (=> (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.2 inline.sdv_InterlockedIncrement.3.myNondetVar_0.1) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= inline.SerialStartWrite.0.myNondetVar_1.8 inline.SerialStartWrite.0.myNondetVar_1.7) (=> (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.0 call62570formal.ret.0) (=> (= inline.SerialStartWrite.0.myNondetVar_0.32 inline.SerialStartWrite.0.myNondetVar_0.31) (=> (= inline.SerialStartWrite.0.tempBoogie0.4 inline.SerialStartWrite.0.tempBoogie0.3) (=> (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.0 4) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.0 call53178formal.new.0) (=> (= inline.SerialStartWrite.0.myNondetVar_2.4 inline.SerialStartWrite.0.myNondetVar_2.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartWrite.0.myVar_0.26) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.0 call62520formal.new.0) (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.3 inline.sdv_InterlockedDecrement.10.myNondetVar_0.2) ?v_4100)))))))))))))))))))))))))) (?v_4090 (= inline.SerialStartWrite.0.myVar_0.26 hirp))) (let ((?v_4094 (and (=> true (=> ?v_4090 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4091)))) (=> true (=> (not ?v_4090) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4091))))))))))) (let ((?v_4096 (=> true (=> true (=> true (=> true ?v_4094))))) (?v_3737 (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2))) (let ((?v_3741 (int_2_U ?v_3737))) (let ((?v_4093 (U_2_int (MapType0Select Mem_1_T.P_IRP.32 ?v_3741))) (?v_3738 (U_2_int (MapType0Select Mem_0_T.P_IRP.32 ?v_3741)))) (let ((?v_4098 (and (=> true (=> ?v_4081 (=> (= inline.SerialStartWrite.0.myVar_0.24 ?v_3738) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.26 inline.SerialStartWrite.0.myVar_0.24) ?v_4094))))) (=> true (=> ?v_4092 (and (=> true (=> ?v_4085 (=> (= inline.SerialStartWrite.0.myVar_0.25 ?v_4093) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.26 inline.SerialStartWrite.0.myVar_0.25) ?v_4096))))) (=> true (=> ?v_4095 (=> true (=> (= inline.SerialStartWrite.0.myVar_0.26 inline.SerialStartWrite.0.myVar_0.23) ?v_4096))))))))) (?v_4097 (= call62570formal.ret.0 0)) (?v_4082 (int_2_U call62520formal.new.0))) (let ((?v_4102 (=> true (=> (forall ((?r14 Int)) (! (= (or (not (= (BIT_BAND inline.SerialStartWrite.0.myNondetVar_1.6 ?r14) 0)) (not (= (BIT_BAND 2 ?r14) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialStartWrite.0.myNondetVar_2.2 2) ?r14) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialStartWrite.0.myNondetVar_0.28 2) ?r14)) )) (=> (= inline.SerialStartWrite.0.tempBoogie0.2 (BIT_BOR inline.SerialStartWrite.0.myNondetVar_0.29 2)) (and (=> true (=> (not ?v_4099) (=> true (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.0 (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.0 (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (=> true (and ?v_55 (=> ?v_55 (=> (> call62520formal.new.0 0) (=> (forall ((?x1639 Int)) (! (=> (and (<= call62520formal.new.0 ?x1639) (< ?x1639 (+ call62520formal.new.0 8))) (= (Base ?x1639) call62520formal.new.0)) :pattern ((Base ?x1639)) )) (=> (forall ((?x1640 boogieU)) (! (=> (= (type ?x1640) intType) (or (= (U_2_int ?x1640) call62520formal.new.0) (= (MapType0Select alloc.57 ?x1640) (MapType0Select alloc.58 ?x1640)))) :pattern ((MapType0Select alloc.58 ?x1640)) )) (=> (and (= (MapType0Select alloc.57 ?v_4082) UNALLOCATED) (= (MapType0Select alloc.58 ?v_4082) ALLOCATED)) (=> (= (Base call53178formal.new.0) call53178formal.new.0) (and (=> true (=> (not ?v_4097) (=> true (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.2 inline.sdv_InterlockedDecrement.10.myNondetVar_0.1) ?v_4098)))) (=> true (=> ?v_4097 (=> true (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.2 inline.sdv_InterlockedDecrement.10.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4098)))))))))))))))))))))))))) (=> true (=> ?v_4099 (=> true (=> (= inline.SerialStartWrite.0.myVar_0.27 inline.SerialStartWrite.0.myVar_0.23) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialSetTimer.2.myNondetVar_0.5 inline.SerialSetTimer.2.myNondetVar_0) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1) (=> (= alloc.59 alloc.57) (=> (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3.) (=> (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.2 inline.sdv_InterlockedIncrement.3.myNondetVar_0) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer) (=> (= inline.SerialStartWrite.0.myNondetVar_1.8 inline.SerialStartWrite.0.myNondetVar_1.6) (=> (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer) (=> (= inline.SerialStartWrite.0.myNondetVar_0.32 inline.SerialStartWrite.0.myNondetVar_0.29) (=> (= inline.SerialStartWrite.0.tempBoogie0.4 inline.SerialStartWrite.0.tempBoogie0.2) (=> (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.0 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.SerialStartWrite.0.myNondetVar_2.4 inline.SerialStartWrite.0.myNondetVar_2.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.3 inline.sdv_InterlockedDecrement.10.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true ?v_4100)))))))))))))))))))))))))))))))))) (?v_4101 (= inline.SerialStartWrite.0.myVar_0.23 hirp))) (let ((?v_4103 (and (=> true (=> ?v_4101 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4102)))) (=> true (=> (not ?v_4101) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4102))))))))))) (let ((?v_4104 (=> true (=> true (=> true (=> true ?v_4103)))))) (let ((?v_4106 (and (=> true (=> ?v_4081 (=> (= inline.SerialStartWrite.0.myVar_0.22 ?v_3738) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.23 inline.SerialStartWrite.0.myVar_0.22) ?v_4103))))) (=> true (=> ?v_4092 (and (=> true (=> ?v_4085 (=> (= inline.SerialStartWrite.0.myVar_0.21 ?v_4093) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.23 inline.SerialStartWrite.0.myVar_0.21) ?v_4104))))) (=> true (=> ?v_4095 (=> true (=> (= inline.SerialStartWrite.0.myVar_0.23 inline.SerialStartWrite.0.myVar_0.20) ?v_4104)))))))))) (let ((?v_4109 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4106))))))))))) (?v_4107 (= Mem_0_T.CancelRoutine__IRP.55 Mem_0_T.CancelRoutine__IRP.53)) (?v_4108 (= Mem_1_T.CancelRoutine__IRP.55 Mem_1_T.CancelRoutine__IRP.53)) (?v_4080 (int_2_U (CancelRoutine__IRP inline.SerialStartWrite.0.myVar_0.20)))) (let ((?v_4111 (=> true (=> (<= k.102 k.103) (=> (< k.103 2) (and (=> true (=> ?v_4081 (=> (= Mem_0_T.CancelRoutine__IRP.54 (MapType0Store Mem_0_T.CancelRoutine__IRP.53 ?v_4080 ?v_4105)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.55 Mem_0_T.CancelRoutine__IRP.54) (=> ?v_4108 ?v_4106)))))) (=> true (=> ?v_4092 (and (=> true (=> ?v_4085 (=> (= Mem_1_T.CancelRoutine__IRP.54 (MapType0Store Mem_1_T.CancelRoutine__IRP.53 ?v_4080 ?v_4105)) (=> true (=> ?v_4107 (=> (= Mem_1_T.CancelRoutine__IRP.55 Mem_1_T.CancelRoutine__IRP.54) ?v_4109)))))) (=> true (=> ?v_4095 (=> true (=> ?v_4107 (=> ?v_4108 ?v_4109)))))))))))))) (let ((?v_4113 (=> true (=> (= errorReached.39 errorReached.38) ?v_4111))) (?v_4112 (= inline.SerialStartWrite.0.myVar_0.20 hirp)) (?v_4079 (= k.102 0)) (?v_3823 (= irpCompleted_0.24 0)) (?v_4110 (= k.102 1)) (?v_3825 (= irpCompleted_1.24 0))) (let ((?v_3853 (not ?v_3823)) (?v_3854 (not ?v_3825))) (let ((?v_4114 (and (=> true (=> ?v_4112 (and (=> true (=> (=> ?v_4079 ?v_3853) (=> (=> ?v_4110 ?v_3854) (=> true (=> (= errorReached.39 1) ?v_4111))))) (=> true (=> (=> ?v_4079 ?v_3823) (=> (=> ?v_4110 ?v_3825) ?v_4113)))))) (=> true (=> (not ?v_4112) ?v_4113))))) (let ((?v_4115 (=> true (=> true ?v_4114)))) (let ((?v_4117 (=> true (=> (<= k.101 k.102) (=> (< k.102 2) (and (=> true (=> ?v_4079 (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.53 ?v_4080))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_4114))))) (=> true (=> (not ?v_4079) (and (=> true (=> ?v_4110 (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.53 ?v_4080))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_4115))))) (=> true (=> (not ?v_4110) (=> true (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_4115))))))))))))) (let ((?v_4119 (=> true (=> true (=> true (=> true ?v_4117))))) (?v_4118 (= k.101 1)) (?v_4116 (= k.101 0))) (let ((?v_4120 (=> true (=> (<= k.100 k.101) (=> (< k.101 2) (and (=> true (=> ?v_4116 (=> (= inline.SerialStartWrite.0.myVar_0.18 ?v_3738) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.20 inline.SerialStartWrite.0.myVar_0.18) ?v_4117))))) (=> true (=> (not ?v_4116) (and (=> true (=> ?v_4118 (=> (= inline.SerialStartWrite.0.myVar_0.19 ?v_4093) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.20 inline.SerialStartWrite.0.myVar_0.19) ?v_4119))))) (=> true (=> (not ?v_4118) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.20 inline.SerialStartWrite.0.myVar_0.17) ?v_4119))))))))))))) (let ((?v_4122 (=> true (=> (= inline.SerialStartWrite.0.myVar_0.17 inline.SerialStartWrite.0.myVar_0.16) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.2 259) (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.1 1) (=> (= k.100 k.99) ?v_4120))))))) (let ((?v_4124 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4122))))))))) (?v_4123 (= k.99 1)) (?v_4121 (= k.99 0)) (?v_3739 (= k.98 0)) (?v_4077 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP (int_2_U (Cancel__IRP ?v_3738)))) 0)) (?v_3740 (= k.98 1)) (?v_4078 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP (int_2_U (Cancel__IRP ?v_4093)))) 0)) (?v_3756 (= k.120 0)) (?v_3713 (int_2_U call53169formal.new.0))) (let ((?v_3757 (U_2_int (MapType0Select Mem_0_T.P_IRP.43 ?v_3713)))) (let ((?v_3795 (= ?v_3757 0))) (let ((?v_3759 (not ?v_3795)) (?v_3760 (= k.120 1)) (?v_3792 (U_2_int (MapType0Select Mem_1_T.P_IRP.43 ?v_3713)))) (let ((?v_3796 (= ?v_3792 0))) (let ((?v_3761 (not ?v_3796)) (?v_3758 (int_2_U call60987formal.new.0))) (let ((?v_3799 (=> true (and ?v_8 (=> ?v_8 (=> (> call60987formal.new.0 0) (=> (forall ((?x1641 Int)) (! (=> (and (<= call60987formal.new.0 ?x1641) (< ?x1641 (+ call60987formal.new.0 1))) (= (Base ?x1641) call60987formal.new.0)) :pattern ((Base ?x1641)) )) (=> (forall ((?x1642 boogieU)) (! (=> (= (type ?x1642) intType) (or (= (U_2_int ?x1642) call60987formal.new.0) (= (MapType0Select alloc.70 ?x1642) (MapType0Select alloc.71 ?x1642)))) :pattern ((MapType0Select alloc.71 ?x1642)) )) (=> (and (= (MapType0Select alloc.70 ?v_3758) UNALLOCATED) (= (MapType0Select alloc.71 ?v_3758) ALLOCATED)) (=> true (=> (=> ?v_3756 (not ?v_3759)) (=> (=> ?v_3760 (not ?v_3761)) (=> true (=> (= inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.0 call59568formal.new.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.10..result.userContextSwitch.1645.2.1..0 call60020formal.ret.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.4 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.3) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..0) (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.1) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call53169formal.new.0) (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.20 inline.SerialGetNextWrite.1.myNondetVar_0.19) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.KeSynchronizeExecution.5.myNondetVar_0.7 inline.KeSynchronizeExecution.5.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.9 inline.KeSynchronizeExecution.4.myNondetVar_0.8) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.0 call53169formal.new.0) (=> (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..1) (=> (= inline.SerialStartWrite.0.tempBoogie0.5 inline.SerialStartWrite.0.tempBoogie0.1) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.4 inline.SerialGetNextIrpLocked.2.myVar_0.3) (=> (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.SerialStartWrite.0.myNondetVar_0.35 inline.SerialStartWrite.0.myNondetVar_0.27) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0) (=> (= cancelLockStatus_1.50 cancelLockStatus_1.49) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.1) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.3 inline.sdv_InterlockedIncrement.3.myNondetVar_0) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.2) (=> (= inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.0 call59571formal.new.0) (=> (= errorReached.48 errorReached.47) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.SerialSetTimer.1.myNondetVar_0.7 inline.SerialSetTimer.1.myNondetVar_0.6) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..0) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.2) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..1) (=> (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..1) (=> (= inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.0 call59565formal.new.0) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.1) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.1) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.2 inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.0) (=> (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.3 inline.sdv_InterlockedDecrement.8.myNondetVar_0.2) (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.4 inline.sdv_InterlockedDecrement.10.myNondetVar_0) (=> (= inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.0 inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialSetTimer.2.myNondetVar_0.6 inline.SerialSetTimer.2.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= alloc.72 alloc.71) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer) (=> (= inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.0 call59989formal.new.0) (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.4 inline.SerialGetNextWrite.1.myNondetVar_2.3) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0) (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.5 inline.SerialGetNextWrite.1.myNondetVar_1.4) (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialGetNextWrite.1.tempBoogie0.6 inline.SerialGetNextWrite.1.tempBoogie0.5) (=> (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.1.myVar_0.2) (=> (= k.121 k.120) (=> (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..2) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.1) (=> (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.4 inline.sdv_InterlockedIncrement.2.myNondetVar_0.3) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.0 call53169formal.new.0) (=> (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.1) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= irpCompleted_1.28 irpCompleted_1.27) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.2.havoc_stringTemp.0) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.8 inline.KeSynchronizeExecution.3.myNondetVar_0.7) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.0 call53169formal.new.0) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 1) (=> (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.1 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.2) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.0) (=> (= inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.0 call59562formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= irpCompleted_0.28 irpCompleted_0.27) (=> (= inline.SerialStartWrite.0.myVar_0.28 inline.SerialStartWrite.0.myVar_0.13) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer) (=> (= inline.SerialStartWrite.0.myNondetVar_1.9 inline.SerialStartWrite.0.myNondetVar_1.5) (=> (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= Mem_1_T.CancelRoutine__IRP.67 Mem_1_T.CancelRoutine__IRP.66) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.5 inline.sdv_InterlockedDecrement.9.myNondetVar_0.4) (=> (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3.) (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call53169formal.new.0) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextWrite.1.havoc_stringTemp.0 call60987formal.new.0) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.0 call53169formal.new.0) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.1) (=> (= inline.IsListEmpty.3.myNondetVar_0.1 inline.IsListEmpty.3.myNondetVar_0.0) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= Mem_0_T.P_IRP.44 Mem_0_T.P_IRP.43) (=> (= Mem_1_T.P_IRP.44 Mem_1_T.P_IRP.43) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= cancelLockStatus_0.50 cancelLockStatus_0.49) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.1.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextWrite.1.myVar_0.14 inline.SerialGetNextWrite.1.myVar_0.13) (=> (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= Mem_0_T.CancelRoutine__IRP.67 Mem_0_T.CancelRoutine__IRP.66) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..0) (=> (= inline.SerialStartWrite.0.myNondetVar_2.5 inline.SerialStartWrite.0.myNondetVar_2.1) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialGetNextIrp.2.myNondetVar_0.1 inline.SerialGetNextIrp.2.myNondetVar_0.0) (=> (= inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0) (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.RemoveHeadList.2.myNondetVar_0.3 inline.RemoveHeadList.2.myNondetVar_0.2) ?v_4083)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3798 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1))) (let ((?v_3801 (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.13 inline.SerialGetNextWrite.1.myVar_0.9) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialProcessEmptyTransmit) (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.7 inline.KeSynchronizeExecution.3.myNondetVar_0.6) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialProcessEmptyTransmit) (=> ?v_3798 (=> (= cancelLockStatus_0.49 cancelLockStatus_0.48) (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.19 inline.SerialGetNextWrite.1.myNondetVar_0.18) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= cancelLockStatus_1.49 cancelLockStatus_1.48) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) ?v_3799)))))))))))))))) (?v_3803 (= cancelLockStatus_1.48 cancelLockStatus_1.47))) (let ((?v_3804 (=> (= cancelLockStatus_0.48 cancelLockStatus_0.47) (=> true (=> true (=> true (=> true ?v_3801)))))) (?v_3802 (not ?v_3760)) (?v_3800 (not ?v_3756))) (let ((?v_3805 (and (=> true (=> ?v_3756 (=> true (=> ?v_3803 (=> (= cancelLockStatus_0.48 0) ?v_3801))))) (=> true (=> ?v_3800 (and (=> true (=> ?v_3760 (=> true (=> (= cancelLockStatus_1.48 0) ?v_3804)))) (=> true (=> ?v_3802 (=> true (=> ?v_3803 ?v_3804)))))))))) (let ((?v_3806 (and (=> true (=> ?v_1027 (=> true (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.6 inline.KeSynchronizeExecution.3.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.3..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.3..result.SynchronizeRoutine.4679.26.2.) ?v_3805)))))) (=> true (=> ?v_119 (=> true (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.6 inline.KeSynchronizeExecution.3.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3805)))))))))))))))) (?v_3807 (= cancelLockStatus_1.47 cancelLockStatus_1.46))) (let ((?v_3808 (=> (= cancelLockStatus_0.47 cancelLockStatus_0.46) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3806))))))))))) (?v_3797 (= cancelLockStatus_0.46 0)) (?v_3833 (= cancelLockStatus_1.46 0)) (?v_3784 (= inline.SerialGetNextWrite.1.myVar_0.13 inline.SerialGetNextWrite.1.myVar_0.12)) (?v_3785 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_3786 (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3787 (= inline.KeSynchronizeExecution.3.myNondetVar_0.7 inline.KeSynchronizeExecution.3.myNondetVar_0)) (?v_3788 (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3789 (=> (= cancelLockStatus_0.49 cancelLockStatus_0.46) (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.19 inline.SerialGetNextWrite.1.myNondetVar_0.16) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.1.myVar_0.12) (=> (= cancelLockStatus_1.49 cancelLockStatus_1.46) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.1.myVar_0.12) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) ?v_3799))))))))) (?v_3783 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 9))) (let ((?v_3791 (and (=> true (=> ?v_3783 (=> true (=> ?v_3784 (=> ?v_3785 (=> ?v_3786 (=> ?v_3787 (=> ?v_3788 (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.2 1) ?v_3789))))))))) (=> true (=> (not ?v_3783) (=> true (=> ?v_3784 (=> ?v_3785 (=> ?v_3786 (=> ?v_3787 (=> ?v_3788 (=> ?v_3798 ?v_3789))))))))))) (?v_3790 (= inline.SerialGetNextWrite.1.myVar_0.12 hirp))) (let ((?v_3793 (and (=> true (=> ?v_3790 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_3791)))) (=> true (=> (not ?v_3790) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_3791))))))))))) (let ((?v_3794 (=> true (=> true (=> true (=> true ?v_3793)))))) (let ((?v_3830 (and (=> true (=> (=> ?v_3756 ?v_3759) (=> (=> ?v_3760 ?v_3761) (and (=> true (=> ?v_3756 (=> (= inline.SerialGetNextWrite.1.myVar_0.10 ?v_3757) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.12 inline.SerialGetNextWrite.1.myVar_0.10) ?v_3793))))) (=> true (=> ?v_3800 (and (=> true (=> ?v_3760 (=> (= inline.SerialGetNextWrite.1.myVar_0.11 ?v_3792) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.12 inline.SerialGetNextWrite.1.myVar_0.11) ?v_3794))))) (=> true (=> ?v_3802 (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.12 inline.SerialGetNextWrite.1.myVar_0.9) ?v_3794))))))))))) (=> true (=> (=> ?v_3756 ?v_3795) (=> (=> ?v_3760 ?v_3796) (=> true (=> (=> ?v_3756 ?v_3797) (=> (=> ?v_3760 ?v_3833) (and (=> true (=> ?v_3756 (=> true (=> ?v_3807 (=> (= cancelLockStatus_0.47 1) ?v_3806))))) (=> true (=> ?v_3800 (and (=> true (=> ?v_3760 (=> true (=> (= cancelLockStatus_1.47 1) ?v_3808)))) (=> true (=> ?v_3802 (=> true (=> ?v_3807 ?v_3808))))))))))))))))) (let ((?v_3832 (=> true (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2.) (=> (= irpCompleted_1.27 irpCompleted_1.24) (=> (= Mem_0_T.CancelRoutine__IRP.66 Mem_0_T.CancelRoutine__IRP.62) (=> (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4.) (=> (= irpCompleted_0.27 irpCompleted_0.24) (=> (= alloc.70 alloc.68) (=> (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= errorReached.47 errorReached.44) (=> (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.2.havoc_stringTemp) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= Mem_1_T.CancelRoutine__IRP.66 Mem_1_T.CancelRoutine__IRP.62) (=> (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1.) (=> (= k.120 k.116) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.2 inline.sdv_InterlockedDecrement.8.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3830)))))))))))))))))))))))))) (?v_3831 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1 0)) (?v_3829 (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2 0)) (?v_3810 (=> true (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..0) (=> (= irpCompleted_1.27 irpCompleted_1.26) (=> (= Mem_0_T.CancelRoutine__IRP.66 Mem_0_T.CancelRoutine__IRP.65) (=> (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..0) (=> (= irpCompleted_0.27 irpCompleted_0.26) (=> (= alloc.70 alloc.69) (=> (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.8.myNondetVar_0.1) (=> (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.8.myNondetVar_0.1) (=> (= errorReached.47 errorReached.46) (=> (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.0 call60333formal.new.0) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= Mem_1_T.CancelRoutine__IRP.66 Mem_1_T.CancelRoutine__IRP.65) (=> (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.8.myNondetVar_0.1) (=> (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..0) (=> (= k.120 k.119) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.2 inline.sdv_InterlockedDecrement.8.myNondetVar_0.1) ?v_3830))))))))))))))))))) (?v_3809 (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.1 0))) (let ((?v_3828 (and (=> true (=> (not ?v_3809) (=> true (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2.) ?v_3810)))) (=> true (=> ?v_3809 (=> true (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..0 call60537formal.ret.0) (=> true (=> true (=> true ?v_3810))))))))) (?v_3827 (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2 hirp))) (let ((?v_3811 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.65 Mem_0_T.CancelRoutine__IRP.64) (=> (= Mem_1_T.CancelRoutine__IRP.65 Mem_1_T.CancelRoutine__IRP.64) (=> (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..0 call60366formal.ret.0) (=> (= irpCompleted_0.26 irpCompleted_0.25) (=> (= k.119 k.118) (=> (= irpCompleted_1.26 irpCompleted_1.25) (=> (= errorReached.46 errorReached.45) ?v_3828))))))))) (?v_3813 (= irpCompleted_1.25 irpCompleted_1.24))) (let ((?v_3814 (=> (= irpCompleted_0.25 irpCompleted_0.24) (=> true ?v_3811))) (?v_3812 (= k.118 1))) (let ((?v_3818 (not ?v_3812)) (?v_3755 (= k.118 0))) (let ((?v_3815 (not ?v_3755))) (let ((?v_3817 (and (=> true (=> ?v_3755 (=> true (=> ?v_3813 (=> (= irpCompleted_0.25 1) ?v_3811))))) (=> true (=> ?v_3815 (and (=> true (=> ?v_3812 (=> true (=> (= irpCompleted_1.25 1) ?v_3814)))) (=> true (=> ?v_3818 (=> true (=> ?v_3813 ?v_3814)))))))))) (let ((?v_3821 (=> true (=> true ?v_3817))) (?v_3819 (= Mem_0_T.CancelRoutine__IRP.64 Mem_0_T.CancelRoutine__IRP.62)) (?v_3820 (= Mem_1_T.CancelRoutine__IRP.64 Mem_1_T.CancelRoutine__IRP.62)) (?v_3816 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2)))) (let ((?v_3826 (=> true (=> (<= k.117 k.118) (=> (< k.118 2) (and (=> true (=> ?v_3755 (=> (= Mem_0_T.CancelRoutine__IRP.63 (MapType0Store Mem_0_T.CancelRoutine__IRP.62 ?v_3816 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.64 Mem_0_T.CancelRoutine__IRP.63) (=> ?v_3820 ?v_3817)))))) (=> true (=> ?v_3815 (and (=> true (=> ?v_3812 (=> (= Mem_1_T.CancelRoutine__IRP.63 (MapType0Store Mem_1_T.CancelRoutine__IRP.62 ?v_3816 ?v_38)) (=> true (=> ?v_3819 (=> (= Mem_1_T.CancelRoutine__IRP.64 Mem_1_T.CancelRoutine__IRP.63) ?v_3821)))))) (=> true (=> ?v_3818 (=> true (=> ?v_3819 (=> ?v_3820 ?v_3821))))))))))))) (?v_3822 (= k.117 0)) (?v_3824 (= k.117 1)) (?v_3754 (int_2_U call60333formal.new.0))) (let ((?v_3834 (and (=> true (=> (not ?v_3831) (and (=> true (=> (not ?v_3829) (=> true (and ?v_8 (=> ?v_8 (=> (> call60333formal.new.0 0) (=> (forall ((?x1643 Int)) (! (=> (and (<= call60333formal.new.0 ?x1643) (< ?x1643 (+ call60333formal.new.0 1))) (= (Base ?x1643) call60333formal.new.0)) :pattern ((Base ?x1643)) )) (=> (forall ((?x1644 boogieU)) (! (=> (= (type ?x1644) intType) (or (= (U_2_int ?x1644) call60333formal.new.0) (= (MapType0Select alloc.68 ?x1644) (MapType0Select alloc.69 ?x1644)))) :pattern ((MapType0Select alloc.69 ?x1644)) )) (=> (and (= (MapType0Select alloc.68 ?v_3754) UNALLOCATED) (= (MapType0Select alloc.69 ?v_3754) ALLOCATED)) (and (=> true (=> ?v_3827 (=> true (=> (<= k.116 k.117) (=> (< k.117 2) (and (=> true (=> (=> ?v_3822 ?v_3853) (=> (=> ?v_3824 ?v_3854) (=> true (=> (= errorReached.45 1) ?v_3826))))) (=> true (=> (=> ?v_3822 ?v_3823) (=> (=> ?v_3824 ?v_3825) (=> true (=> (= errorReached.45 errorReached.44) ?v_3826))))))))))) (=> true (=> (not ?v_3827) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.65 Mem_0_T.CancelRoutine__IRP.62) (=> (= Mem_1_T.CancelRoutine__IRP.65 Mem_1_T.CancelRoutine__IRP.62) (=> (= inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.5..result.userContextSwitch.2077.4.1.) (=> (= irpCompleted_0.26 irpCompleted_0.24) (=> (= k.119 k.116) (=> (= irpCompleted_1.26 irpCompleted_1.24) (=> (= errorReached.46 errorReached.44) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3828))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_3829 ?v_3832))))) (=> true (=> ?v_3831 ?v_3832)))) (?v_3836 (= cancelLockStatus_1.46 cancelLockStatus_1.45))) (let ((?v_3837 (=> (= cancelLockStatus_0.46 cancelLockStatus_0.45) (=> true (=> true (=> true (=> true (=> true ?v_3834))))))) (?v_3835 (= k.116 1))) (let ((?v_3840 (not ?v_3835)) (?v_3753 (= k.116 0))) (let ((?v_3838 (not ?v_3753))) (let ((?v_3839 (and (=> true (=> ?v_3753 (=> true (=> ?v_3836 (=> ?v_3797 ?v_3834))))) (=> true (=> ?v_3838 (and (=> true (=> ?v_3835 (=> true (=> ?v_3833 ?v_3837)))) (=> true (=> ?v_3840 (=> true (=> ?v_3836 ?v_3837)))))))))) (let ((?v_3843 (=> true (=> true (=> true (=> true (=> true (=> true ?v_3839))))))) (?v_3841 (= Mem_0_T.P_IRP.43 Mem_0_T.P_IRP.41)) (?v_3842 (= Mem_1_T.P_IRP.43 Mem_1_T.P_IRP.41)) (?v_3752 (int_2_U inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0))) (let ((?v_3856 (=> true (=> (<= k.115 k.116) (=> (< k.116 2) (and (=> true (=> ?v_3753 (=> (= Mem_0_T.P_IRP.42 (MapType0Store Mem_0_T.P_IRP.41 ?v_3713 (MapType0Select Mem_0_T.P_IRP.41 ?v_3752))) (=> true (=> (= Mem_0_T.P_IRP.43 Mem_0_T.P_IRP.42) (=> ?v_3842 ?v_3839)))))) (=> true (=> ?v_3838 (and (=> true (=> ?v_3835 (=> (= Mem_1_T.P_IRP.42 (MapType0Store Mem_1_T.P_IRP.41 ?v_3713 (MapType0Select Mem_1_T.P_IRP.41 ?v_3752))) (=> true (=> ?v_3841 (=> (= Mem_1_T.P_IRP.43 Mem_1_T.P_IRP.42) ?v_3843)))))) (=> true (=> ?v_3840 (=> true (=> ?v_3841 (=> ?v_3842 ?v_3843)))))))))))))) (let ((?v_3857 (=> true (=> (<= k.112 k.114) (=> (< k.114 2) (=> true (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.2.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.2.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..0 call60836formal.ret.0) (=> (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.2.myNondetVar_0.0) (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.3 inline.SerialGetNextIrpLocked.2.myVar_0.2) (=> (= Mem_0_T.CancelRoutine__IRP.62 Mem_0_T.CancelRoutine__IRP.61) (=> (= inline.RemoveHeadList.2.myNondetVar_0.2 inline.RemoveHeadList.2.myNondetVar_0.1) (=> (= Mem_1_T.P_IRP.41 Mem_1_T.P_IRP.40) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= errorReached.44 errorReached.43) (=> (= Mem_0_T.P_IRP.41 Mem_0_T.P_IRP.40) (=> (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.2.myNondetVar_0.0) (=> (= Mem_1_T.CancelRoutine__IRP.62 Mem_1_T.CancelRoutine__IRP.61) (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= k.115 k.114) (=> (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.2.myNondetVar_0.0) (=> (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.2.myNondetVar_0.0) ?v_3856)))))))))))))))))))))))) (let ((?v_3860 (=> true ?v_3857)) (?v_3858 (= Mem_0_T.CancelRoutine__IRP.61 Mem_0_T.CancelRoutine__IRP.59)) (?v_3859 (= Mem_1_T.CancelRoutine__IRP.61 Mem_1_T.CancelRoutine__IRP.59)) (?v_3851 (= k.112 1))) (let ((?v_3866 (not ?v_3851)) (?v_3855 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.2.myVar_0.2))) (?v_3751 (= k.112 0))) (let ((?v_3864 (not ?v_3751))) (let ((?v_3861 (and (=> true (=> ?v_3751 (=> (= Mem_0_T.CancelRoutine__IRP.60 (MapType0Store Mem_0_T.CancelRoutine__IRP.59 ?v_3855 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.61 Mem_0_T.CancelRoutine__IRP.60) (=> ?v_3859 ?v_3857)))))) (=> true (=> ?v_3864 (and (=> true (=> ?v_3851 (=> (= Mem_1_T.CancelRoutine__IRP.60 (MapType0Store Mem_1_T.CancelRoutine__IRP.59 ?v_3855 ?v_38)) (=> true (=> ?v_3858 (=> (= Mem_1_T.CancelRoutine__IRP.61 Mem_1_T.CancelRoutine__IRP.60) ?v_3860)))))) (=> true (=> ?v_3866 (=> true (=> ?v_3858 (=> ?v_3859 ?v_3860))))))))))) (let ((?v_3863 (=> true (=> (= errorReached.43 errorReached.42) (=> true ?v_3861)))) (?v_3862 (= inline.SerialGetNextIrpLocked.2.myVar_0.2 hirp))) (let ((?v_3865 (and (=> true (=> ?v_3862 (and (=> true (=> (=> ?v_3751 ?v_3853) (=> (=> ?v_3851 ?v_3854) (=> true (=> (= errorReached.43 1) ?v_3861))))) (=> true (=> (=> ?v_3751 ?v_3823) (=> (=> ?v_3851 ?v_3825) ?v_3863)))))) (=> true (=> (not ?v_3862) ?v_3863))))) (let ((?v_3867 (=> true (=> true ?v_3865)))) (let ((?v_3869 (and (=> true (=> ?v_3751 (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.59 ?v_3855))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_3865))))) (=> true (=> ?v_3864 (and (=> true (=> ?v_3851 (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.59 ?v_3855))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_3867))))) (=> true (=> ?v_3866 (=> true (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_3867)))))))))) (let ((?v_3870 (=> true (=> true (=> true (=> true (=> true ?v_3869)))))) (?v_3868 (U_2_int (MapType0Select Mem_1_T.P_IRP.40 ?v_3752))) (?v_3852 (U_2_int (MapType0Select Mem_0_T.P_IRP.40 ?v_3752)))) (let ((?v_3872 (=> true (=> (=> ?v_3751 (not (= ?v_3852 hirp))) (=> (=> ?v_3851 (not (= ?v_3868 hirp))) (and (=> true (=> ?v_3751 (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.0 ?v_3852) (=> true (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.2 inline.SerialGetNextIrpLocked.2.myVar_0.0) ?v_3869))))) (=> true (=> ?v_3864 (and (=> true (=> ?v_3851 (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.1 ?v_3868) (=> true (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.2 inline.SerialGetNextIrpLocked.2.myVar_0.1) ?v_3870))))) (=> true (=> ?v_3866 (=> true (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.2 inline.SerialGetNextIrpLocked.2.myVar_0) ?v_3870))))))))))))) (let ((?v_3875 (=> true ?v_3872)) (?v_3873 (= Mem_0_T.P_IRP.40 Mem_0_T.P_IRP.36)) (?v_3874 (= Mem_1_T.P_IRP.40 Mem_1_T.P_IRP.36)) (?v_3871 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.2.myNondetVar_0.0 1 88))) (?v_3850 (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0 0)) (?v_3845 (=> true (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.5..result.userContextSwitch.3313.2.3.) (=> (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.3 inline.SerialGetNextIrpLocked.2.myVar_0) (=> (= Mem_0_T.CancelRoutine__IRP.62 Mem_0_T.CancelRoutine__IRP.59) (=> (= inline.RemoveHeadList.2.myNondetVar_0.2 inline.RemoveHeadList.2.myNondetVar_0) (=> (= Mem_1_T.P_IRP.41 Mem_1_T.P_IRP.38) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= errorReached.44 errorReached.42) (=> (= Mem_0_T.P_IRP.41 Mem_0_T.P_IRP.38) (=> (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList) (=> (= Mem_1_T.CancelRoutine__IRP.62 Mem_1_T.CancelRoutine__IRP.59) (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= k.115 k.113) (=> (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2.) (=> (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1.) ?v_3856))))))))))))))))))))) (let ((?v_3849 (=> true ?v_3845)) (?v_3847 (= Mem_0_T.P_IRP.38 Mem_0_T.P_IRP.36)) (?v_3848 (= Mem_1_T.P_IRP.38 Mem_1_T.P_IRP.36)) (?v_3846 (= k.113 1)) (?v_3844 (= k.113 0))) (let ((?v_3876 (=> true (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.3.myNondetVar_0.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0))) (and (=> true (=> (not ?v_3850) (=> true (=> (<= k.112 k.113) (=> (< k.113 2) (and (=> true (=> ?v_3844 (=> (= Mem_0_T.P_IRP.37 (MapType0Store Mem_0_T.P_IRP.36 ?v_3752 ?v_38)) (=> true (=> (= Mem_0_T.P_IRP.38 Mem_0_T.P_IRP.37) (=> ?v_3848 ?v_3845)))))) (=> true (=> (not ?v_3844) (and (=> true (=> ?v_3846 (=> (= Mem_1_T.P_IRP.37 (MapType0Store Mem_1_T.P_IRP.36 ?v_3752 ?v_38)) (=> true (=> ?v_3847 (=> (= Mem_1_T.P_IRP.38 Mem_1_T.P_IRP.37) ?v_3849)))))) (=> true (=> (not ?v_3846) (=> true (=> ?v_3847 (=> ?v_3848 ?v_3849)))))))))))))) (=> true (=> ?v_3850 (and (=> true (=> ?v_3751 (=> (= Mem_0_T.P_IRP.39 (MapType0Store Mem_0_T.P_IRP.36 ?v_3752 ?v_3871)) (=> true (=> (= Mem_0_T.P_IRP.40 Mem_0_T.P_IRP.39) (=> ?v_3874 ?v_3872)))))) (=> true (=> ?v_3864 (and (=> true (=> ?v_3851 (=> (= Mem_1_T.P_IRP.39 (MapType0Store Mem_1_T.P_IRP.36 ?v_3752 ?v_3871)) (=> true (=> ?v_3873 (=> (= Mem_1_T.P_IRP.40 Mem_1_T.P_IRP.39) ?v_3875)))))) (=> true (=> ?v_3866 (=> true (=> ?v_3873 (=> ?v_3874 ?v_3875)))))))))))))))) (let ((?v_3877 (=> true (=> true (=> true (=> true ?v_3876)))))) (let ((?v_3878 (and (=> true (=> ?v_3751 (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.1 (U_2_int (MapType0Select Mem_0_T.P_IRP.36 ?v_3752))) (=> true (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_3876))))) (=> true (=> ?v_3864 (and (=> true (=> ?v_3851 (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.0 (U_2_int (MapType0Select Mem_1_T.P_IRP.36 ?v_3752))) (=> true (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_3877))))) (=> true (=> ?v_3866 (=> true (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_3877))))))))) (?v_3879 (= cancelLockStatus_1.45 cancelLockStatus_1.44))) (let ((?v_3880 (=> (= cancelLockStatus_0.45 cancelLockStatus_0.44) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3878))))))))))) (?v_3750 (int_2_U call59989formal.new.0))) (let ((?v_3898 (=> true (and ?v_8 (=> ?v_8 (=> (> call59989formal.new.0 0) (=> (forall ((?x1645 Int)) (! (=> (and (<= call59989formal.new.0 ?x1645) (< ?x1645 (+ call59989formal.new.0 1))) (= (Base ?x1645) call59989formal.new.0)) :pattern ((Base ?x1645)) )) (=> (forall ((?x1646 boogieU)) (! (=> (= (type ?x1646) intType) (or (= (U_2_int ?x1646) call59989formal.new.0) (= (MapType0Select alloc.67 ?x1646) (MapType0Select alloc.68 ?x1646)))) :pattern ((MapType0Select alloc.68 ?x1646)) )) (=> (and (= (MapType0Select alloc.67 ?v_3750) UNALLOCATED) (= (MapType0Select alloc.68 ?v_3750) ALLOCATED)) (=> true (=> (<= k.111 k.112) (=> (< k.112 2) (=> true (=> (=> ?v_3751 (= cancelLockStatus_0.44 0)) (=> (=> ?v_3851 (= cancelLockStatus_1.44 0)) (and (=> true (=> ?v_3751 (=> true (=> ?v_3879 (=> (= cancelLockStatus_0.45 1) ?v_3878))))) (=> true (=> ?v_3864 (and (=> true (=> ?v_3851 (=> true (=> (= cancelLockStatus_1.45 1) ?v_3880)))) (=> true (=> ?v_3866 (=> true (=> ?v_3879 ?v_3880))))))))))))))))))))))) (let ((?v_4063 (=> true (=> true ?v_3898))) (?v_4014 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer)) (?v_4015 (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.1.myVar_0.5)) (?v_4016 (= alloc.67 alloc.64)) (?v_4017 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4018 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer)) (?v_4019 (= inline.SerialGetNextWrite.1.myVar_0.9 inline.SerialGetNextWrite.1.myVar_0.5)) (?v_4020 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1)) (?v_4021 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4022 (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite)) (?v_4023 (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.1.myVar_0.5)) (?v_4024 (= Mem_1_T.P_IRP.36 Mem_1_T.P_IRP.32)) (?v_4025 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4026 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4027 (= inline.KeSynchronizeExecution.4.myNondetVar_0.8 inline.KeSynchronizeExecution.4.myNondetVar_0)) (?v_4028 (= Mem_1_T.CancelRoutine__IRP.59 Mem_1_T.CancelRoutine__IRP.53)) (?v_4029 (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1.)) (?v_4030 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1)) (?v_4031 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4032 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_4033 (= errorReached.42 errorReached.38)) (?v_4034 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1 1)) (?v_4035 (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1.)) (?v_4036 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4037 (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4038 (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_4039 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4040 (= inline.SerialSetTimer.1.myNondetVar_0.6 inline.SerialSetTimer.1.myNondetVar_0)) (?v_4041 (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4042 (= Mem_0_T.CancelRoutine__IRP.59 Mem_0_T.CancelRoutine__IRP.53)) (?v_4043 (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.4 inline.sdv_InterlockedDecrement.9.myNondetVar_0)) (?v_4044 (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1.)) (?v_4045 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer)) (?v_4046 (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4047 (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2.)) (?v_4048 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4049 (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite)) (?v_4050 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4051 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4052 (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.3 inline.sdv_InterlockedIncrement.2.myNondetVar_0)) (?v_4053 (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4054 (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4055 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1)) (?v_4056 (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer)) (?v_4057 (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution)) (?v_4058 (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3.)) (?v_4059 (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4060 (= inline.SerialGetNextWrite.1.myNondetVar_2.3 inline.SerialGetNextWrite.1.myNondetVar_2)) (?v_4061 (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.3 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite)) (?v_4062 (= Mem_0_T.P_IRP.36 Mem_0_T.P_IRP.32)) (?v_4013 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 14))) (let ((?v_3900 (=> true (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.0) (=> (= inline.SerialGetNextWrite.1.tempBoogie0.5 inline.SerialGetNextWrite.1.tempBoogie0.4) (=> ?v_4015 (=> (= alloc.67 alloc.66) (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.4 inline.SerialGetNextWrite.1.myNondetVar_1.3) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.0) (=> (= cancelLockStatus_0.44 cancelLockStatus_0.43) (=> ?v_4019 (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.0) (=> ?v_4023 (=> (= Mem_1_T.P_IRP.36 Mem_1_T.P_IRP.35) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.8 inline.KeSynchronizeExecution.4.myNondetVar_0.7) (=> (= Mem_1_T.CancelRoutine__IRP.59 Mem_1_T.CancelRoutine__IRP.58) (=> (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..0 call61368formal.ret.0) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_4032 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.16 inline.SerialGetNextWrite.1.myNondetVar_0.15) (=> (= errorReached.42 errorReached.41) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.0) (=> ?v_4035 (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= k.111 k.110) (=> ?v_4037 (=> ?v_4038 (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialSetTimer.1.myNondetVar_0.6 inline.SerialSetTimer.1.myNondetVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= Mem_0_T.CancelRoutine__IRP.59 Mem_0_T.CancelRoutine__IRP.58) (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.4 inline.sdv_InterlockedDecrement.9.myNondetVar_0.3) (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.0) (=> ?v_4046 (=> (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..1) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.0) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.3 inline.sdv_InterlockedIncrement.2.myNondetVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.0) (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.1) (=> (= cancelLockStatus_1.44 cancelLockStatus_1.43) (=> (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..0) (=> ?v_4059 (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.3 inline.SerialGetNextWrite.1.myNondetVar_2.2) (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.3 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2) (=> (= Mem_0_T.P_IRP.36 Mem_0_T.P_IRP.35) ?v_4063))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3902 (= cancelLockStatus_1.43 cancelLockStatus_1.40))) (let ((?v_3903 (=> (= cancelLockStatus_0.43 cancelLockStatus_0.40) (=> true (=> true (=> true (=> true ?v_3900)))))) (?v_3901 (= k.110 1)) (?v_3899 (= k.110 0))) (let ((?v_3947 (=> true (=> (<= k.109 k.110) (=> (< k.110 2) (and (=> true (=> ?v_3899 (=> true (=> ?v_3902 (=> (= cancelLockStatus_0.43 0) ?v_3900))))) (=> true (=> (not ?v_3899) (and (=> true (=> ?v_3901 (=> true (=> (= cancelLockStatus_1.43 0) ?v_3903)))) (=> true (=> (not ?v_3901) (=> true (=> ?v_3902 ?v_3903))))))))))))) (let ((?v_3956 (=> true (=> true (=> true ?v_3947)))) (?v_3906 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer)) (?v_3908 (= alloc.66 alloc.64)) (?v_3910 (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.3 inline.sdv_InterlockedDecrement.9.myNondetVar_0)) (?v_3960 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialCancelCurrentXoff)) (?v_3912 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer)) (?v_3961 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGiveXoffToIsr)) (?v_3914 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3962 (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.0 2)) (?v_3963 (= Mem_1_T.P_IRP.35 Mem_1_T.P_IRP.34)) (?v_3917 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3964 (= inline.KeSynchronizeExecution.4.myNondetVar_0.7 inline.KeSynchronizeExecution.4.myNondetVar_0.6)) (?v_3965 (= Mem_1_T.CancelRoutine__IRP.58 Mem_1_T.CancelRoutine__IRP.57)) (?v_3920 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1)) (?v_3966 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2)) (?v_3967 (= errorReached.41 errorReached.40)) (?v_3923 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1)) (?v_3968 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2)) (?v_3969 (= k.109 k.107)) (?v_3970 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialCancelCurrentXoff)) (?v_3927 (= inline.SerialSetTimer.1.myNondetVar_0.5 inline.SerialSetTimer.1.myNondetVar_0)) (?v_3928 (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3971 (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..0)) (?v_3930 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1)) (?v_3972 (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..0)) (?v_3932 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer)) (?v_3973 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.0 0)) (?v_3974 (= Mem_0_T.CancelRoutine__IRP.58 Mem_0_T.CancelRoutine__IRP.57)) (?v_3975 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2)) (?v_3936 (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite)) (?v_3976 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGiveXoffToIsr)) (?v_3977 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2)) (?v_3939 (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.2 inline.sdv_InterlockedIncrement.2.myNondetVar_0)) (?v_3978 (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_3979 (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2)) (?v_3942 (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer)) (?v_3980 (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.0)) (?v_3944 (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3.))) (let ((?v_3981 (=> (= Mem_0_T.P_IRP.35 Mem_0_T.P_IRP.34) ?v_3956))) (let ((?v_3957 (=> true (=> (forall ((?r15 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.1.myNondetVar_1.2 ?r15) 0)) (not (= (BIT_BAND 4 ?r15) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.1.myNondetVar_2.1 4) ?r15) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.1.myNondetVar_0.12 4) ?r15)) )) (=> (= inline.SerialGetNextWrite.1.tempBoogie0.3 (BIT_BOR inline.SerialGetNextWrite.1.myNondetVar_0.13 4)) (=> true (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.SerialGetNextWrite.1.tempBoogie0.4 inline.SerialGetNextWrite.1.tempBoogie0.3) (=> (= alloc.66 alloc.65) (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.3 inline.SerialGetNextWrite.1.myNondetVar_1.2) (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.3 inline.sdv_InterlockedDecrement.9.myNondetVar_0.2) (=> ?v_3960 (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.0 call61814formal.new.0) (=> ?v_3961 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2) (=> ?v_3962 (=> ?v_3963 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2) (=> ?v_3964 (=> ?v_3965 (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.0 call59571formal.new.0) (=> ?v_3966 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.14 inline.SerialGetNextWrite.1.myNondetVar_0.13) (=> ?v_3967 (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.0) (=> ?v_3968 (=> ?v_3969 (=> ?v_3970 (=> (= inline.SerialSetTimer.1.myNondetVar_0.5 inline.SerialSetTimer.1.myNondetVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_3971 (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.0) (=> ?v_3972 (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.0) (=> ?v_3973 (=> ?v_3974 (=> ?v_3975 (=> (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.0 4) (=> ?v_3976 (=> ?v_3977 (=> (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.2 inline.sdv_InterlockedIncrement.2.myNondetVar_0.1) (=> ?v_3978 (=> ?v_3979 (=> (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.0 call61864formal.ret.0) (=> ?v_3980 (=> (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..0 call61864formal.ret.0) (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.2 inline.SerialGetNextWrite.1.myNondetVar_2.1) ?v_3981)))))))))))))))))))))))))))))))))))))))))))))) (?v_3952 (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2 hirp))) (let ((?v_3989 (not ?v_3952))) (let ((?v_3959 (and (=> true (=> ?v_3952 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_3957)))) (=> true (=> ?v_3989 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_3957)))))))))) (?v_3958 (= call61864formal.ret.0 0)) (?v_3955 (int_2_U call61814formal.new.0)) (?v_3954 (XoffCountTimer__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (?v_4360 (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2))) (let ((?v_3982 (and (=> true (=> (not (= inline.SerialGetNextWrite.1.myNondetVar_0.10 0)) (=> true (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.0 ?v_3954) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.0 ?v_4360) (=> true (and ?v_55 (=> ?v_55 (=> (> call61814formal.new.0 0) (=> (forall ((?x1647 Int)) (! (=> (and (<= call61814formal.new.0 ?x1647) (< ?x1647 (+ call61814formal.new.0 8))) (= (Base ?x1647) call61814formal.new.0)) :pattern ((Base ?x1647)) )) (=> (forall ((?x1648 boogieU)) (! (=> (= (type ?x1648) intType) (or (= (U_2_int ?x1648) call61814formal.new.0) (= (MapType0Select alloc.64 ?x1648) (MapType0Select alloc.65 ?x1648)))) :pattern ((MapType0Select alloc.65 ?x1648)) )) (=> (and (= (MapType0Select alloc.64 ?v_3955) UNALLOCATED) (= (MapType0Select alloc.65 ?v_3955) ALLOCATED)) (=> (= (Base call59571formal.new.0) call59571formal.new.0) (and (=> true (=> (not ?v_3958) (=> true (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.2 inline.sdv_InterlockedDecrement.9.myNondetVar_0.1) ?v_3959)))) (=> true (=> ?v_3958 (=> true (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.2 inline.sdv_InterlockedDecrement.9.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3959))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.9 0) (=> true (=> ?v_3906 (=> (= inline.SerialGetNextWrite.1.tempBoogie0.4 inline.SerialGetNextWrite.1.tempBoogie0.2) (=> ?v_3908 (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.3 inline.SerialGetNextWrite.1.myNondetVar_1.1) (=> ?v_3910 (=> ?v_3960 (=> ?v_3912 (=> ?v_3961 (=> ?v_3914 (=> ?v_3962 (=> ?v_3963 (=> ?v_3917 (=> ?v_3964 (=> ?v_3965 (=> ?v_3920 (=> ?v_3966 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.14 inline.SerialGetNextWrite.1.myNondetVar_0.9) (=> ?v_3967 (=> ?v_3923 (=> ?v_3968 (=> ?v_3969 (=> ?v_3970 (=> ?v_3927 (=> ?v_3928 (=> ?v_3971 (=> ?v_3930 (=> ?v_3972 (=> ?v_3932 (=> ?v_3973 (=> ?v_3974 (=> ?v_3975 (=> ?v_3936 (=> ?v_3976 (=> ?v_3977 (=> ?v_3939 (=> ?v_3978 (=> ?v_3979 (=> ?v_3942 (=> ?v_3980 (=> ?v_3944 (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.2 inline.SerialGetNextWrite.1.myNondetVar_2.0) ?v_3981))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3984 (and (=> true (=> ?v_1181 (=> true (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.4..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.6 inline.KeSynchronizeExecution.4.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.4..result.SynchronizeRoutine.4679.26.2.) ?v_3982)))))) (=> true (=> ?v_291 (=> true (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.6 inline.KeSynchronizeExecution.4.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true (=> true ?v_3982))))))))))))) (let ((?v_3988 (=> true (=> true (=> true (=> true (=> true (=> true ?v_3984))))))) (?v_3986 (= Mem_0_T.P_IRP.34 Mem_0_T.P_IRP.32)) (?v_3987 (= Mem_1_T.P_IRP.34 Mem_1_T.P_IRP.32)) (?v_3985 (= k.107 1))) (let ((?v_3993 (not ?v_3985)) (?v_3725 (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2))) (let ((?v_3722 (int_2_U ?v_3725)) (?v_3983 (int_2_U inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2)) (?v_3953 (= k.107 0))) (let ((?v_3991 (not ?v_3953))) (let ((?v_3990 (=> true (=> (forall ((?r16 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.1.myNondetVar_1.1 ?r16) 0)) (not (= (BIT_BAND 2 ?r16) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.1.myNondetVar_2.0 2) ?r16) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.1.myNondetVar_0.6 2) ?r16)) )) (=> (= inline.SerialGetNextWrite.1.tempBoogie0.2 (BIT_BOR inline.SerialGetNextWrite.1.myNondetVar_0.7 2)) (and (=> true (=> ?v_3953 (=> (= Mem_0_T.P_IRP.33 (MapType0Store Mem_0_T.P_IRP.32 ?v_3722 ?v_3983)) (=> true (=> (= Mem_0_T.P_IRP.34 Mem_0_T.P_IRP.33) (=> ?v_3987 ?v_3984)))))) (=> true (=> ?v_3991 (and (=> true (=> ?v_3985 (=> (= Mem_1_T.P_IRP.33 (MapType0Store Mem_1_T.P_IRP.32 ?v_3722 ?v_3983)) (=> true (=> ?v_3986 (=> (= Mem_1_T.P_IRP.34 Mem_1_T.P_IRP.33) ?v_3988)))))) (=> true (=> ?v_3993 (=> true (=> ?v_3986 (=> ?v_3987 ?v_3988)))))))))))))) (let ((?v_3992 (and (=> true (=> ?v_3952 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_3990)))) (=> true (=> ?v_3989 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_3990))))))))))) (let ((?v_3996 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3992)))))))))))))) (?v_3994 (= Mem_0_T.CancelRoutine__IRP.57 Mem_0_T.CancelRoutine__IRP.53)) (?v_3995 (= Mem_1_T.CancelRoutine__IRP.57 Mem_1_T.CancelRoutine__IRP.53)) (?v_3951 (int_2_U (CancelRoutine__IRP inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2)))) (let ((?v_4001 (=> true (=> (<= k.106 k.107) (=> (< k.107 2) (and (=> true (=> ?v_3953 (=> (= Mem_0_T.CancelRoutine__IRP.56 (MapType0Store Mem_0_T.CancelRoutine__IRP.53 ?v_3951 ?v_302)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.57 Mem_0_T.CancelRoutine__IRP.56) (=> ?v_3995 ?v_3992)))))) (=> true (=> ?v_3991 (and (=> true (=> ?v_3985 (=> (= Mem_1_T.CancelRoutine__IRP.56 (MapType0Store Mem_1_T.CancelRoutine__IRP.53 ?v_3951 ?v_302)) (=> true (=> ?v_3994 (=> (= Mem_1_T.CancelRoutine__IRP.57 Mem_1_T.CancelRoutine__IRP.56) ?v_3996)))))) (=> true (=> ?v_3993 (=> true (=> ?v_3994 (=> ?v_3995 ?v_3996)))))))))))))) (let ((?v_4002 (=> (= errorReached.40 errorReached.38) ?v_4001)) (?v_3999 (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..0 call61518formal.ret.0)) (?v_4000 (= k.106 k.105)) (?v_3997 (= k.105 0)) (?v_3998 (= k.105 1))) (let ((?v_4003 (and (=> true (=> ?v_3952 (=> true (=> (<= k.104 k.105) (=> (< k.105 2) (and (=> true (=> (=> ?v_3997 ?v_3853) (=> (=> ?v_3998 ?v_3854) (=> true (=> ?v_3999 (=> ?v_4000 (=> (= errorReached.40 1) ?v_4001))))))) (=> true (=> (=> ?v_3997 ?v_3823) (=> (=> ?v_3998 ?v_3825) (=> true (=> ?v_3999 (=> ?v_4000 ?v_4002)))))))))))) (=> true (=> ?v_3989 (=> true (=> (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2.) (=> (= k.106 k.104) ?v_4002)))))))) (let ((?v_4004 (=> true (=> true ?v_4003))) (?v_3949 (= k.104 1))) (let ((?v_4008 (not ?v_3949)) (?v_3904 (= k.104 0))) (let ((?v_4005 (not ?v_3904)) (?v_3905 (int_2_U (Cancel__IRP inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2)))) (let ((?v_3948 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP ?v_3905)) 0)) (?v_3950 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP ?v_3905)) 0)) (?v_3907 (= inline.SerialGetNextWrite.1.tempBoogie0.4 inline.SerialGetNextWrite.1.tempBoogie0.0)) (?v_3909 (= inline.SerialGetNextWrite.1.myNondetVar_1.3 inline.SerialGetNextWrite.1.myNondetVar_1)) (?v_3911 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3913 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3915 (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite)) (?v_3916 (= Mem_1_T.P_IRP.35 Mem_1_T.P_IRP.32)) (?v_3918 (= inline.KeSynchronizeExecution.4.myNondetVar_0.7 inline.KeSynchronizeExecution.4.myNondetVar_0)) (?v_3919 (= Mem_1_T.CancelRoutine__IRP.58 Mem_1_T.CancelRoutine__IRP.53)) (?v_3921 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3922 (= errorReached.41 errorReached.38)) (?v_3924 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3925 (= k.109 k.104)) (?v_3926 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3929 (= inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.6..result.userContextSwitch.3310.4.2.)) (?v_3931 (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1.)) (?v_3933 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.0 1)) (?v_3934 (= Mem_0_T.CancelRoutine__IRP.58 Mem_0_T.CancelRoutine__IRP.53)) (?v_3935 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3937 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3938 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3940 (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3941 (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3943 (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution)) (?v_3945 (= inline.SerialGetNextWrite.1.myNondetVar_2.2 inline.SerialGetNextWrite.1.myNondetVar_2)) (?v_3946 (= Mem_0_T.P_IRP.35 Mem_0_T.P_IRP.32))) (let ((?v_4007 (=> true (=> (= inline.SerialGetNextWrite.1.tempBoogie0.0 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.1.myNondetVar_0.1 1 1)) (and (=> true (=> (not (= inline.SerialGetNextWrite.1.myNondetVar_0.2 0)) (=> true (=> ?v_3906 (=> ?v_3907 (=> ?v_3908 (=> ?v_3909 (=> ?v_3910 (=> ?v_3911 (=> ?v_3912 (=> ?v_3913 (=> ?v_3914 (=> ?v_3915 (=> ?v_3916 (=> ?v_3917 (=> ?v_3918 (=> ?v_3919 (=> ?v_3920 (=> ?v_3921 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.14 inline.SerialGetNextWrite.1.myNondetVar_0.2) (=> ?v_3922 (=> ?v_3923 (=> ?v_3924 (=> ?v_3925 (=> ?v_3926 (=> ?v_3927 (=> ?v_3928 (=> ?v_3929 (=> ?v_3930 (=> ?v_3931 (=> ?v_3932 (=> ?v_3933 (=> ?v_3934 (=> ?v_3935 (=> ?v_3936 (=> ?v_3937 (=> ?v_3938 (=> ?v_3939 (=> ?v_3940 (=> ?v_3941 (=> ?v_3942 (=> ?v_3943 (=> ?v_3944 (=> ?v_3945 (=> ?v_3946 ?v_3947))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.3 0) (and (=> true (=> (=> ?v_3904 (not ?v_3948)) (=> (=> ?v_3949 (not ?v_3950)) (=> true (=> ?v_3906 (=> ?v_3907 (=> ?v_3908 (=> ?v_3909 (=> ?v_3910 (=> ?v_3911 (=> ?v_3912 (=> ?v_3913 (=> ?v_3914 (=> ?v_3915 (=> ?v_3916 (=> ?v_3917 (=> ?v_3918 (=> ?v_3919 (=> ?v_3920 (=> ?v_3921 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.14 inline.SerialGetNextWrite.1.myNondetVar_0.3) (=> ?v_3922 (=> ?v_3923 (=> ?v_3924 (=> ?v_3925 (=> ?v_3926 (=> ?v_3927 (=> ?v_3928 (=> ?v_3929 (=> ?v_3930 (=> ?v_3931 (=> ?v_3932 (=> ?v_3933 (=> ?v_3934 (=> ?v_3935 (=> ?v_3936 (=> ?v_3937 (=> ?v_3938 (=> ?v_3939 (=> ?v_3940 (=> ?v_3941 (=> ?v_3942 (=> ?v_3943 (=> ?v_3944 (=> ?v_3945 (=> ?v_3946 ?v_3956)))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (=> ?v_3904 ?v_3948) (=> (=> ?v_3949 ?v_3950) (and (=> true (=> ?v_3904 (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.53 ?v_3951))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_4003))))) (=> true (=> ?v_4005 (and (=> true (=> ?v_3949 (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.53 ?v_3951))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_4004))))) (=> true (=> ?v_4008 (=> true (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_4004))))))))))))))))))) (let ((?v_4009 (=> true (=> true ?v_4007))) (?v_4006 (U_2_int (MapType0Select Mem_1_T.P_IRP.32 ?v_3752))) (?v_3749 (U_2_int (MapType0Select Mem_0_T.P_IRP.32 ?v_3752)))) (let ((?v_4010 (=> true (=> (<= k.98 k.104) (=> (< k.104 2) (and (=> true (=> ?v_3904 (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.0 ?v_3749) (=> true (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.0) ?v_4007))))) (=> true (=> ?v_4005 (and (=> true (=> ?v_3949 (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.1 ?v_4006) (=> true (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.1) ?v_4009))))) (=> true (=> ?v_4008 (=> true (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite) ?v_4009)))))))))))) (?v_4011 (= cancelLockStatus_1.40 cancelLockStatus_1.38))) (let ((?v_4012 (=> (= cancelLockStatus_0.40 cancelLockStatus_0.38) (=> true (=> true (=> true (=> true ?v_4010)))))) (?v_3892 (not ?v_3740)) (?v_3890 (not ?v_3739)) (?v_3748 (= cancelLockStatus_0.38 0))) (let ((?v_3896 (=> ?v_3739 ?v_3748)) (?v_4073 (= cancelLockStatus_1.38 0))) (let ((?v_3897 (=> ?v_3740 ?v_4073))) (let ((?v_4065 (and (=> true (=> ?v_4013 (=> true (=> ?v_3896 (=> ?v_3897 (and (=> true (=> ?v_3739 (=> true (=> ?v_4011 (=> (= cancelLockStatus_0.40 1) ?v_4010))))) (=> true (=> ?v_3890 (and (=> true (=> ?v_3740 (=> true (=> (= cancelLockStatus_1.40 1) ?v_4012)))) (=> true (=> ?v_3892 (=> true (=> ?v_4011 ?v_4012))))))))))))) (=> true (=> (not ?v_4013) (=> true (=> ?v_4014 (=> (= inline.SerialGetNextWrite.1.tempBoogie0.5 inline.SerialGetNextWrite.1.tempBoogie0) (=> ?v_4015 (=> ?v_4016 (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.4 inline.SerialGetNextWrite.1.myNondetVar_1) (=> ?v_4017 (=> ?v_4018 (=> (= cancelLockStatus_0.44 cancelLockStatus_0.38) (=> ?v_4019 (=> ?v_4020 (=> ?v_4021 (=> ?v_4022 (=> ?v_4023 (=> ?v_4024 (=> ?v_4025 (=> ?v_4026 (=> ?v_4027 (=> ?v_4028 (=> ?v_4029 (=> ?v_4030 (=> ?v_4031 (=> ?v_4032 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.16 inline.SerialGetNextWrite.1.myNondetVar_0) (=> ?v_4033 (=> ?v_4034 (=> ?v_4035 (=> ?v_4036 (=> (= k.111 k.98) (=> ?v_4037 (=> ?v_4038 (=> ?v_4039 (=> ?v_4040 (=> ?v_4041 (=> ?v_4042 (=> ?v_4043 (=> ?v_4044 (=> ?v_4045 (=> ?v_4046 (=> ?v_4047 (=> ?v_4048 (=> ?v_4049 (=> ?v_4050 (=> ?v_4051 (=> ?v_4052 (=> ?v_4053 (=> ?v_4054 (=> ?v_4055 (=> ?v_4056 (=> ?v_4057 (=> (= cancelLockStatus_1.44 cancelLockStatus_1.38) (=> ?v_4058 (=> ?v_4059 (=> ?v_4060 (=> ?v_4061 (=> ?v_4062 ?v_4063)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4064 (= inline.SerialGetNextWrite.1.myVar_0.5 hirp))) (let ((?v_4066 (and (=> true (=> ?v_4064 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4065)))) (=> true (=> (not ?v_4064) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4065))))))))))) (let ((?v_4067 (=> true (=> true (=> true (=> true ?v_4066))))) (?v_3895 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 4)) (?v_3882 (=> true (=> ?v_4014 (=> (= inline.SerialGetNextWrite.1.tempBoogie0.5 inline.SerialGetNextWrite.1.tempBoogie0.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> ?v_4016 (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.4 inline.SerialGetNextWrite.1.myNondetVar_1.0) (=> ?v_4017 (=> ?v_4018 (=> (= cancelLockStatus_0.44 cancelLockStatus_0.42) (=> (= inline.SerialGetNextWrite.1.myVar_0.9 inline.SerialGetNextWrite.1.myVar_0.8) (=> ?v_4020 (=> ?v_4021 (=> ?v_4022 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> ?v_4024 (=> ?v_4025 (=> ?v_4026 (=> ?v_4027 (=> ?v_4028 (=> ?v_4029 (=> ?v_4030 (=> ?v_4031 (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.) (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.16 inline.SerialGetNextWrite.1.myNondetVar_0.5) (=> ?v_4033 (=> ?v_4034 (=> (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..0 call59935formal.ret.0) (=> ?v_4036 (=> (= k.111 k.108) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> ?v_4039 (=> ?v_4040 (=> ?v_4041 (=> ?v_4042 (=> ?v_4043 (=> ?v_4044 (=> ?v_4045 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.1.myVar_0.8) (=> ?v_4047 (=> ?v_4048 (=> ?v_4049 (=> ?v_4050 (=> ?v_4051 (=> ?v_4052 (=> ?v_4053 (=> ?v_4054 (=> ?v_4055 (=> ?v_4056 (=> ?v_4057 (=> (= cancelLockStatus_1.44 cancelLockStatus_1.42) (=> ?v_4058 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.1.myVar_0.8) (=> ?v_4060 (=> ?v_4061 (=> ?v_4062 ?v_3898))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3884 (= cancelLockStatus_1.42 cancelLockStatus_1.41))) (let ((?v_3885 (=> (= cancelLockStatus_0.42 cancelLockStatus_0.41) (=> true (=> true (=> true (=> true ?v_3882)))))) (?v_3883 (= k.108 1)) (?v_3881 (= k.108 0))) (let ((?v_3887 (=> true (=> (= inline.SerialGetNextWrite.1.tempBoogie0.1 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.1.myNondetVar_0.4 inline.SerialGetNextWrite.1.myNondetVar_1.0 1)) (=> true (=> (<= k.98 k.108) (=> (< k.108 2) (and (=> true (=> ?v_3881 (=> true (=> ?v_3884 (=> (= cancelLockStatus_0.42 0) ?v_3882))))) (=> true (=> (not ?v_3881) (and (=> true (=> ?v_3883 (=> true (=> (= cancelLockStatus_1.42 0) ?v_3885)))) (=> true (=> (not ?v_3883) (=> true (=> ?v_3884 ?v_3885)))))))))))))) (?v_3886 (= inline.SerialGetNextWrite.1.myVar_0.8 hirp))) (let ((?v_3888 (and (=> true (=> ?v_3886 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_3887)))) (=> true (=> (not ?v_3886) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true ?v_3887)))))))))) (let ((?v_3889 (=> true (=> true (=> true (=> true ?v_3888)))))) (let ((?v_3891 (and (=> true (=> ?v_3739 (=> (= inline.SerialGetNextWrite.1.myVar_0.6 ?v_3749) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.8 inline.SerialGetNextWrite.1.myVar_0.6) ?v_3888))))) (=> true (=> ?v_3890 (and (=> true (=> ?v_3740 (=> (= inline.SerialGetNextWrite.1.myVar_0.7 ?v_4006) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.8 inline.SerialGetNextWrite.1.myVar_0.7) ?v_3889))))) (=> true (=> ?v_3892 (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.8 inline.SerialGetNextWrite.1.myVar_0.2) ?v_3889))))))))) (?v_3893 (= cancelLockStatus_1.41 cancelLockStatus_1.38))) (let ((?v_3894 (=> (= cancelLockStatus_0.41 cancelLockStatus_0.38) (=> true (=> true (=> true (=> true (=> true ?v_3891)))))))) (let ((?v_4069 (and (=> true (=> ?v_3895 (=> true (=> ?v_3896 (=> ?v_3897 (and (=> true (=> ?v_3739 (=> true (=> ?v_3893 (=> (= cancelLockStatus_0.41 1) ?v_3891))))) (=> true (=> ?v_3890 (and (=> true (=> ?v_3740 (=> true (=> (= cancelLockStatus_1.41 1) ?v_3894)))) (=> true (=> ?v_3892 (=> true (=> ?v_3893 ?v_3894))))))))))))) (=> true (=> (not ?v_3895) (and (=> true (=> ?v_3739 (=> (= inline.SerialGetNextWrite.1.myVar_0.3 ?v_3749) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.5 inline.SerialGetNextWrite.1.myVar_0.3) ?v_4066))))) (=> true (=> ?v_3890 (and (=> true (=> ?v_3740 (=> (= inline.SerialGetNextWrite.1.myVar_0.4 ?v_4006) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.5 inline.SerialGetNextWrite.1.myVar_0.4) ?v_4067))))) (=> true (=> ?v_3892 (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.5 inline.SerialGetNextWrite.1.myVar_0.2) ?v_4067)))))))))))) (?v_4068 (= inline.SerialGetNextWrite.1.myVar_0.2 hirp))) (let ((?v_4070 (and (=> true (=> ?v_4068 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4069)))) (=> true (=> (not ?v_4068) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4069))))))))))) (let ((?v_4071 (=> true (=> true (=> true (=> true ?v_4070))))) (?v_3747 (int_2_U call59605formal.new.0)) (?v_3743 (int_2_U call59562formal.new.0)) (?v_3744 (int_2_U call59565formal.new.0)) (?v_3745 (int_2_U call59568formal.new.0)) (?v_3746 (int_2_U call59571formal.new.0)) (?v_3742 (WriteQueue__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2))) (let ((?v_4072 (=> true (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 ?v_3737) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0 ?v_3742) (=> true (and ?v_8 (=> ?v_8 (=> (> call59562formal.new.0 0) (=> (forall ((?x1651 Int)) (! (=> (and (<= call59562formal.new.0 ?x1651) (< ?x1651 (+ call59562formal.new.0 1))) (= (Base ?x1651) call59562formal.new.0)) :pattern ((Base ?x1651)) )) (=> (forall ((?x1652 boogieU)) (! (=> (= (type ?x1652) intType) (or (= (U_2_int ?x1652) call59562formal.new.0) (= (MapType0Select alloc.57 ?x1652) (MapType0Select alloc.60 ?x1652)))) :pattern ((MapType0Select alloc.60 ?x1652)) )) (=> (and (= (MapType0Select alloc.57 ?v_3743) UNALLOCATED) (= (MapType0Select alloc.60 ?v_3743) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call59565formal.new.0 0) (=> (forall ((?x1653 Int)) (! (=> (and (<= call59565formal.new.0 ?x1653) (< ?x1653 (+ call59565formal.new.0 1))) (= (Base ?x1653) call59565formal.new.0)) :pattern ((Base ?x1653)) )) (=> (forall ((?x1654 boogieU)) (! (=> (= (type ?x1654) intType) (or (= (U_2_int ?x1654) call59565formal.new.0) (= (MapType0Select alloc.60 ?x1654) (MapType0Select alloc.61 ?x1654)))) :pattern ((MapType0Select alloc.61 ?x1654)) )) (=> (and (= (MapType0Select alloc.60 ?v_3744) UNALLOCATED) (= (MapType0Select alloc.61 ?v_3744) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call59568formal.new.0 0) (=> (forall ((?x1655 Int)) (! (=> (and (<= call59568formal.new.0 ?x1655) (< ?x1655 (+ call59568formal.new.0 1))) (= (Base ?x1655) call59568formal.new.0)) :pattern ((Base ?x1655)) )) (=> (forall ((?x1656 boogieU)) (! (=> (= (type ?x1656) intType) (or (= (U_2_int ?x1656) call59568formal.new.0) (= (MapType0Select alloc.61 ?x1656) (MapType0Select alloc.62 ?x1656)))) :pattern ((MapType0Select alloc.62 ?x1656)) )) (=> (and (= (MapType0Select alloc.61 ?v_3745) UNALLOCATED) (= (MapType0Select alloc.62 ?v_3745) ALLOCATED)) (and ?v_55 (=> ?v_55 (=> (> call59571formal.new.0 0) (=> (forall ((?x1657 Int)) (! (=> (and (<= call59571formal.new.0 ?x1657) (< ?x1657 (+ call59571formal.new.0 8))) (= (Base ?x1657) call59571formal.new.0)) :pattern ((Base ?x1657)) )) (=> (forall ((?x1658 boogieU)) (! (=> (= (type ?x1658) intType) (or (= (U_2_int ?x1658) call59571formal.new.0) (= (MapType0Select alloc.62 ?x1658) (MapType0Select alloc.63 ?x1658)))) :pattern ((MapType0Select alloc.63 ?x1658)) )) (=> (and (= (MapType0Select alloc.62 ?v_3746) UNALLOCATED) (= (MapType0Select alloc.63 ?v_3746) ALLOCATED)) (=> true (and ?v_8 (=> ?v_8 (=> (> call59605formal.new.0 0) (=> (forall ((?x1649 Int)) (! (=> (and (<= call59605formal.new.0 ?x1649) (< ?x1649 (+ call59605formal.new.0 1))) (= (Base ?x1649) call59605formal.new.0)) :pattern ((Base ?x1649)) )) (=> (forall ((?x1650 boogieU)) (! (=> (= (type ?x1650) intType) (or (= (U_2_int ?x1650) call59605formal.new.0) (= (MapType0Select alloc.63 ?x1650) (MapType0Select alloc.64 ?x1650)))) :pattern ((MapType0Select alloc.64 ?x1650)) )) (=> (and (= (MapType0Select alloc.63 ?v_3747) UNALLOCATED) (= (MapType0Select alloc.64 ?v_3747) ALLOCATED)) (and (=> true (=> ?v_3739 (=> (= inline.SerialGetNextWrite.1.myVar_0.0 ?v_3749) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.2 inline.SerialGetNextWrite.1.myVar_0.0) ?v_4070))))) (=> true (=> ?v_3890 (and (=> true (=> ?v_3740 (=> (= inline.SerialGetNextWrite.1.myVar_0.1 ?v_4006) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.2 inline.SerialGetNextWrite.1.myVar_0.1) ?v_4071))))) (=> true (=> ?v_3892 (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.2 inline.SerialGetNextWrite.1.myVar_0) ?v_4071))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4074 (and (=> true (=> ?v_31 (=> true (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.0 0) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.1 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite) ?v_4072))))) (=> true (=> ?v_0 (=> true (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.0 ?v_953) (=> true (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.0 1) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.1 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.0) (=> true ?v_4072)))))))))) (?v_4075 (= cancelLockStatus_1.38 cancelLockStatus_1.37))) (let ((?v_4076 (=> (= cancelLockStatus_0.38 cancelLockStatus_0.37) (=> true (=> true (=> true (=> true (=> true (=> true ?v_4074))))))))) (let ((?v_4125 (and (=> true (=> (=> ?v_3739 (not ?v_4077)) (=> (=> ?v_3740 (not ?v_4078)) (and (=> true (=> ?v_3739 (=> true (=> ?v_4075 (=> ?v_3748 ?v_4074))))) (=> true (=> ?v_3890 (and (=> true (=> ?v_3740 (=> true (=> ?v_4073 ?v_4076)))) (=> true (=> ?v_3892 (=> true (=> ?v_4075 ?v_4076))))))))))) (=> true (=> (=> ?v_3739 ?v_4077) (=> (=> ?v_3740 ?v_4078) (and (=> true (=> ?v_31 (=> true (=> (= inline.SerialStartWrite.0.myVar_0.17 inline.SerialStartWrite.0.myVar_0.13) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.2 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite) (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.1 0) (=> (= k.100 k.98) ?v_4120))))))) (=> true (=> ?v_0 (=> true (=> (<= k.98 k.99) (=> (< k.99 2) (and (=> true (=> ?v_4121 (=> (= inline.SerialStartWrite.0.myVar_0.15 ?v_3738) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.16 inline.SerialStartWrite.0.myVar_0.15) ?v_4122))))) (=> true (=> (not ?v_4121) (and (=> true (=> ?v_4123 (=> (= inline.SerialStartWrite.0.myVar_0.14 ?v_4093) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.16 inline.SerialStartWrite.0.myVar_0.14) ?v_4124))))) (=> true (=> (not ?v_4123) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.16 inline.SerialStartWrite.0.myVar_0.13) ?v_4124))))))))))))))))))) (?v_4126 (= cancelLockStatus_1.37 cancelLockStatus_1.36))) (let ((?v_4127 (=> (= cancelLockStatus_0.37 cancelLockStatus_0.36) (=> true (=> true (=> true (=> true (=> true ?v_4125)))))))) (let ((?v_4129 (=> true (=> (<= k.97 k.98) (=> (< k.98 2) (=> true (=> (=> ?v_3739 (= cancelLockStatus_0.36 0)) (=> (=> ?v_3740 (= cancelLockStatus_1.36 0)) (and (=> true (=> ?v_3739 (=> true (=> ?v_4126 (=> (= cancelLockStatus_0.37 1) ?v_4125))))) (=> true (=> ?v_3890 (and (=> true (=> ?v_3740 (=> true (=> (= cancelLockStatus_1.37 1) ?v_4127)))) (=> true (=> ?v_3892 (=> true (=> ?v_4126 ?v_4127))))))))))))))) (?v_4128 (= inline.SerialStartWrite.0.myVar_0.13 hirp))) (let ((?v_4131 (and (=> true (=> ?v_4128 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4129)))) (=> true (=> (not ?v_4128) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4129)))))))))))))) (let ((?v_4132 (=> true (=> true (=> true (=> true ?v_4131))))) (?v_4130 (= k.97 1))) (let ((?v_4139 (not ?v_4130)) (?v_3735 (= k.97 0))) (let ((?v_4137 (not ?v_3735))) (let ((?v_4142 (and (=> true (=> ?v_3735 (=> (= inline.SerialStartWrite.0.myVar_0.11 ?v_3738) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.13 inline.SerialStartWrite.0.myVar_0.11) ?v_4131))))) (=> true (=> ?v_4137 (and (=> true (=> ?v_4130 (=> (= inline.SerialStartWrite.0.myVar_0.12 ?v_4093) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.13 inline.SerialStartWrite.0.myVar_0.12) ?v_4132))))) (=> true (=> ?v_4139 (=> true (=> (= inline.SerialStartWrite.0.myVar_0.13 inline.SerialStartWrite.0.myVar_0.10) ?v_4132)))))))))) (let ((?v_4134 (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_1.5 inline.SerialStartWrite.0.myNondetVar_1.4) (=> (= inline.SerialStartWrite.0.myNondetVar_0.26 inline.SerialStartWrite.0.myNondetVar_0.25) (=> (= inline.SerialStartWrite.0..result.question.7..1 inline.SerialStartWrite.0..result.question.7..0) (=> (= inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.0 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..0 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartWrite.0.myVar_0.9) (=> (= inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.0 1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartWrite.0.myVar_0.9) (=> (= inline.SerialStartWrite.0.myVar_0.10 inline.SerialStartWrite.0.myVar_0.9) ?v_4142)))))))))))) (?v_4133 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 4))) (let ((?v_4136 (and (=> true (=> ?v_4133 (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.24 inline.SerialStartWrite.0.myNondetVar_0.23) (=> (= inline.SerialStartWrite.0..result.question.7..0 inline.SerialStartWrite.0.myNondetVar_0.23) ?v_4134))))) (=> true (=> (not ?v_4133) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.24 inline.SerialStartWrite.0.myNondetVar_0.22) (=> (= inline.SerialStartWrite.0..result.question.7..0 1) (=> true ?v_4134)))))))) (?v_4135 (= inline.SerialStartWrite.0.myVar_0.9 hirp))) (let ((?v_4138 (and (=> true (=> ?v_4135 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4136)))) (=> true (=> (not ?v_4135) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true ?v_4136))))))))))))) (let ((?v_4140 (=> true (=> true (=> true (=> true ?v_4138)))))) (let ((?v_4141 (and (=> true (=> ?v_3735 (=> (= inline.SerialStartWrite.0.myVar_0.8 ?v_3738) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.9 inline.SerialStartWrite.0.myVar_0.8) ?v_4138))))) (=> true (=> ?v_4137 (and (=> true (=> ?v_4130 (=> (= inline.SerialStartWrite.0.myVar_0.7 ?v_4093) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.9 inline.SerialStartWrite.0.myVar_0.7) ?v_4140))))) (=> true (=> ?v_4139 (=> true (=> (= inline.SerialStartWrite.0.myVar_0.9 inline.SerialStartWrite.0.myVar_0.6) ?v_4140)))))))))) (let ((?v_4147 (and (=> true (=> (not (= inline.SerialStartWrite.0.myNondetVar_0.18 0)) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.22 inline.SerialStartWrite.0.myNondetVar_0.18) ?v_4141)))) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.19 0) (and (=> true (=> (not (= inline.SerialStartWrite.0.myNondetVar_0.21 0)) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.22 inline.SerialStartWrite.0.myNondetVar_0.21) (=> true (=> true ?v_4141)))))) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.20 0) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_1.5 inline.SerialStartWrite.0.myNondetVar_1.3) (=> (= inline.SerialStartWrite.0.myNondetVar_0.26 inline.SerialStartWrite.0.myNondetVar_0.20) (=> (= inline.SerialStartWrite.0..result.question.7..1 inline.SerialStartWrite.0..result.question.7.) (=> (= inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.0 inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..0 inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> ?v_4099 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialStartWrite.0.myVar_0.10 inline.SerialStartWrite.0.myVar_0.6) (=> true ?v_4142))))))))))))))))))) (?v_4146 (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_4143 (=> true (=> (= lockStatus_1.39 lockStatus_1.38) (=> (= lockStatus_0.39 lockStatus_0.38) ?v_4147)))) (?v_4144 (= lockStatus_1.38 lockStatus_1.37))) (let ((?v_4145 (=> (= lockStatus_0.38 lockStatus_0.37) (=> true ?v_4143)))) (let ((?v_4152 (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.15 inline.SerialStartWrite.0.myNondetVar_1.3) (=> true (=> (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_3736) (and (=> true (=> ?v_4146 (and (=> true (=> ?v_3735 (=> true (=> ?v_4144 (=> (= lockStatus_0.38 0) ?v_4143))))) (=> true (=> ?v_4137 (and (=> true (=> ?v_4130 (=> true (=> (= lockStatus_1.38 0) ?v_4145)))) (=> true (=> ?v_4139 (=> true (=> ?v_4144 ?v_4145)))))))))) (=> true (=> (not ?v_4146) (=> true (=> (= lockStatus_1.39 lockStatus_1.37) (=> (= lockStatus_0.39 lockStatus_0.37) (=> true (=> true (=> true (=> true ?v_4147))))))))))))))) (?v_4151 (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 hlock))) (let ((?v_4148 (=> true (=> (= lockStatus_1.37 lockStatus_1.36) (=> (= lockStatus_0.37 lockStatus_0.36) ?v_4152)))) (?v_4149 (= lockStatus_1.36 lockStatus_1.14))) (let ((?v_4150 (=> (= lockStatus_0.36 lockStatus_0.14) (=> true ?v_4148)))) (let ((?v_5045 (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.8 inline.SerialStartWrite.0.myNondetVar_1.2) (=> true (=> (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 ?v_3736) (and (=> true (=> ?v_4151 (=> true (=> (=> ?v_3735 ?v_5487) (=> (=> ?v_4130 ?v_5488) (and (=> true (=> ?v_3735 (=> true (=> ?v_4149 (=> (= lockStatus_0.36 1) ?v_4148))))) (=> true (=> ?v_4137 (and (=> true (=> ?v_4130 (=> true (=> (= lockStatus_1.36 1) ?v_4150)))) (=> true (=> ?v_4139 (=> true (=> ?v_4149 ?v_4150))))))))))))) (=> true (=> (not ?v_4151) (=> true (=> (= lockStatus_1.37 lockStatus_1.14) (=> (= lockStatus_0.37 lockStatus_0.14) (=> true (=> true (=> true (=> true ?v_4152))))))))))))))) (?v_5057 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..1 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5.)) (?v_5058 (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_5059 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_5060 (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3.)) (?v_5061 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_5062 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_5063 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_5064 (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1.)) (?v_5065 (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.4 inline.sdv_InterlockedDecrement.2.myNondetVar_0)) (?v_5066 (= inline.SerialRundownIrpRefs.0.myVar_0.15 inline.SerialRundownIrpRefs.0.myVar_0)) (?v_5067 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_5068 (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1.)) (?v_5069 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp)) (?v_5070 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5071 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_5072 (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5073 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_5074 (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent)) (?v_5075 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_5076 (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1.)) (?v_5077 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5078 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5079 (= inline.SerialRundownIrpRefs.0.myNondetVar_0.12 inline.SerialRundownIrpRefs.0.myNondetVar_0)) (?v_5080 (= inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1.)) (?v_5081 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5082 (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_5083 (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_5084 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty)) (?v_5085 (= Mem_1_T.P_IRP.32 Mem_1_T.P_IRP.1)) (?v_5086 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_5087 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_5088 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5089 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1)) (?v_5090 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_5091 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_5092 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_5093 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_5094 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.7 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_5095 (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2.)) (?v_5096 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_5097 (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp)) (?v_5098 (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_5099 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_5100 (= inline.SerialGetNextIrp.1.myNondetVar_0.3 inline.SerialGetNextIrp.1.myNondetVar_0)) (?v_5101 (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_5102 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_5103 (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..2 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4.)) (?v_5104 (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2.)) (?v_5105 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_5106 (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite)) (?v_5107 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_5108 (= inline.KeSynchronizeExecution.1.myNondetVar_0.10 inline.KeSynchronizeExecution.1.myNondetVar_0)) (?v_5109 (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_5110 (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent)) (?v_5111 (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1.)) (?v_5112 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp)) (?v_5113 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite)) (?v_5114 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_5115 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_5116 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..1 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3.)) (?v_5117 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_5118 (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1)) (?v_5119 (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1)) (?v_5120 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_5121 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_5122 (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2.)) (?v_5123 (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1)) (?v_5124 (= inline.SerialStartWrite.0.myNondetVar_1.1 inline.SerialStartWrite.0.myNondetVar_1)) (?v_5125 (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_5126 (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5127 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_5128 (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.0.havoc_stringTemp)) (?v_5129 (= alloc.57 alloc.15)) (?v_5130 (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent)) (?v_5131 (= inline.SerialGetNextWrite.0.tempBoogie0.8 inline.SerialGetNextWrite.0.tempBoogie0)) (?v_5132 (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent)) (?v_5133 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_5134 (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5135 (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.4 inline.sdv_InterlockedDecrement.3.myNondetVar_0)) (?v_5136 (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_5137 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_5138 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent)) (?v_5139 (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs)) (?v_5140 (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_5141 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_5142 (= inline.SerialGetNextWrite.0.havoc_stringTemp.2 inline.SerialGetNextWrite.0.havoc_stringTemp)) (?v_5143 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer)) (?v_5144 (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList)) (?v_5145 (= irpCompleted_0.24 irpCompleted_0.3)) (?v_5146 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.6 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_5147 (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer)) (?v_5148 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_5149 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_5150 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_5151 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_5152 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_5153 (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5154 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_5155 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite)) (?v_5156 (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_5157 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer)) (?v_5158 (= inline.RemoveHeadList.1.myNondetVar_0.5 inline.RemoveHeadList.1.myNondetVar_0)) (?v_5159 (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_5160 (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4.)) (?v_5161 (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_5162 (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.5 inline.sdv_InterlockedDecrement.6.myNondetVar_0)) (?v_5163 (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5164 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5165 (= inline.SerialRundownIrpRefs.0.myNondetVar_1.6 inline.SerialRundownIrpRefs.0.myNondetVar_1)) (?v_5166 (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1.)) (?v_5167 (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5168 (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_5169 (= inline.SerialGetNextIrp.0.myNondetVar_0.3 inline.SerialGetNextIrp.0.myNondetVar_0)) (?v_5170 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_5171 (= inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1.)) (?v_5172 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_5173 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5174 (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1)) (?v_5175 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5176 (= inline.SerialGetNextIrpLocked.1.myVar_0.6 inline.SerialGetNextIrpLocked.1.myVar_0)) (?v_5177 (= inline.SerialCancelTimer.1.myNondetVar_0.3 inline.SerialCancelTimer.1.myNondetVar_0)) (?v_5178 (= inline.SerialStartWrite.0.myNondetVar_2.1 inline.SerialStartWrite.0.myNondetVar_2)) (?v_5179 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_5180 (= errorReached.38 errorReached.5)) (?v_5181 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_5182 (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2.)) (?v_5183 (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.3 inline.sdv_InterlockedDecrement.7.myNondetVar_0)) (?v_5184 (= inline.IsListEmpty.2.myNondetVar_0.3 inline.IsListEmpty.2.myNondetVar_0)) (?v_5185 (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.)) (?v_5186 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_5187 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.)) (?v_5188 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_5189 (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList)) (?v_5190 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_5191 (= inline.SerialStartWrite.0.tempBoogie0.1 inline.SerialStartWrite.0.tempBoogie0)) (?v_5192 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_5193 (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1.)) (?v_5194 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_5195 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5196 (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5197 (= inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent)) (?v_5198 (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent)) (?v_5199 (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5200 (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1)) (?v_5201 (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1.)) (?v_5202 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5203 (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.1 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp)) (?v_5204 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.8 inline.SerialTryToCompleteCurrent.0.myNondetVar_0)) (?v_5205 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_5206 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_5207 (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1)) (?v_5208 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_5209 (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution)) (?v_5210 (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5211 (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5212 (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_5213 (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5214 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_5215 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1)) (?v_5216 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_5217 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_5218 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_5219 (= Mem_0_T.P_IRP.32 Mem_0_T.P_IRP.1)) (?v_5220 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1.)) (?v_5221 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_5222 (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1.)) (?v_5223 (= inline.SerialGetNextIrpLocked.0.myVar_0.6 inline.SerialGetNextIrpLocked.0.myVar_0)) (?v_5224 (= inline.SerialRundownIrpRefs.0.tempBoogie0.6 inline.SerialRundownIrpRefs.0.tempBoogie0)) (?v_5225 (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_5226 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5227 (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_5228 (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1.)) (?v_5229 (= inline.SerialTryToCompleteCurrent.0.myVar_0.6 inline.SerialTryToCompleteCurrent.0.myVar_0)) (?v_5230 (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite)) (?v_5231 (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1.)) (?v_5232 (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5233 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_5234 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1)) (?v_5235 (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp)) (?v_5236 (= Mem_1_T.CancelRoutine__IRP.53 Mem_1_T.CancelRoutine__IRP.8)) (?v_5237 (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite)) (?v_5238 (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1.)) (?v_5239 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_1.1 inline.SerialTryToCompleteCurrent.0.myNondetVar_1)) (?v_5240 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_5241 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5242 (= inline.RemoveHeadList.0.myNondetVar_0.5 inline.RemoveHeadList.0.myNondetVar_0)) (?v_5243 (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs)) (?v_5244 (= inline.KeSynchronizeExecution.2.myNondetVar_0.11 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_5245 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_5246 (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent)) (?v_5247 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_5248 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5249 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1)) (?v_5250 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty)) (?v_5251 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_5252 (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_5253 (= irpCompleted_1.24 irpCompleted_1.3)) (?v_5254 (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5255 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5256 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite)) (?v_5257 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_5258 (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5259 (= inline.SerialGetNextWrite.0.myNondetVar_2.6 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_5260 (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution)) (?v_5261 (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4.)) (?v_5262 (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2.))) (let ((?v_5263 (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1.) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.6 inline.SerialRundownIrpRefs.0.myNondetVar_2) (=> (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.8 inline.KeSynchronizeExecution.0.myNondetVar_0) (=> (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs) (=> (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs) (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_2.1 inline.SerialTryToCompleteCurrent.0.myNondetVar_2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs) (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1) (=> (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2.) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.5 inline.sdv_InterlockedDecrement.4.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked) (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs) (=> (= inline.SerialSetTimer.0.myNondetVar_0.9 inline.SerialSetTimer.0.myNondetVar_0) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.7 inline.SerialGetNextWrite.0.myNondetVar_1) (=> (= inline.SerialCancelTimer.0.myNondetVar_0.3 inline.SerialCancelTimer.0.myNondetVar_0) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1) (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1) (=> (= inline.SerialGetNextWrite.0.myVar_0.16 inline.SerialGetNextWrite.0.myVar_0) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1) (=> (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2.) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.) (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2.) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer) (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.22 inline.SerialGetNextWrite.0.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.1.havoc_stringTemp) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.0 inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= Mem_0_T.CancelRoutine__IRP.53 Mem_0_T.CancelRoutine__IRP.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent) (=> (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13.) (=> (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite) (=> (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite) (=> (= inline.IsListEmpty.1.myNondetVar_0.3 inline.IsListEmpty.1.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.) (=> (= inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1.) (=> true ?v_5045))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_5265 (=> true (=> ?v_5057 (=> ?v_5058 (=> ?v_5059 (=> ?v_5060 (=> ?v_5061 (=> ?v_5062 (=> ?v_5063 (=> ?v_5064 (=> ?v_5065 (=> ?v_5066 (=> ?v_5067 (=> ?v_5068 (=> ?v_5069 (=> ?v_5070 (=> ?v_5071 (=> ?v_5072 (=> ?v_5073 (=> ?v_5074 (=> ?v_5075 (=> ?v_5076 (=> ?v_5077 (=> ?v_5078 (=> ?v_5079 (=> ?v_5080 (=> ?v_5081 (=> ?v_5082 (=> ?v_5083 (=> ?v_5084 (=> ?v_5085 (=> ?v_5086 (=> ?v_5087 (=> ?v_5088 (=> ?v_5089 (=> ?v_5090 (=> ?v_5091 (=> ?v_5092 (=> ?v_5093 (=> ?v_5094 (=> ?v_5095 (=> ?v_5096 (=> ?v_5097 (=> ?v_5098 (=> ?v_5099 (=> ?v_5100 (=> ?v_5101 (=> ?v_5102 (=> ?v_5103 (=> ?v_5104 (=> ?v_5105 (=> ?v_5106 (=> ?v_5107 (=> ?v_5108 (=> ?v_5109 (=> ?v_5110 (=> ?v_5111 (=> ?v_5112 (=> ?v_5113 (=> ?v_5114 (=> ?v_5115 (=> ?v_5116 (=> ?v_5117 (=> ?v_5118 (=> ?v_5119 (=> ?v_5120 (=> ?v_5121 (=> ?v_5122 (=> ?v_5123 (=> ?v_5124 (=> ?v_5125 (=> ?v_5126 (=> ?v_5127 (=> ?v_5128 (=> ?v_5129 (=> ?v_5130 (=> ?v_5131 (=> ?v_5132 (=> ?v_5133 (=> ?v_5134 (=> ?v_5135 (=> ?v_5136 (=> ?v_5137 (=> ?v_5138 (=> ?v_5139 (=> ?v_5140 (=> ?v_5141 (=> ?v_5142 (=> ?v_5143 (=> ?v_5144 (=> ?v_5145 (=> ?v_5146 (=> ?v_5147 (=> ?v_5148 (=> (= inline.SerialStartWrite.0.myVar_0.6 inline.SerialStartWrite.0.myVar_0) (=> (= inline.SerialStartWrite.0.myNondetVar_0.7 inline.SerialStartWrite.0.myNondetVar_0.0) (=> ?v_5149 (=> ?v_5150 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> ?v_5151 (=> ?v_5152 (=> (= cancelLockStatus_0.36 cancelLockStatus_0.8) (=> ?v_5153 (=> ?v_5154 (=> ?v_5155 (=> ?v_5156 (=> ?v_5157 (=> ?v_5158 (=> ?v_5159 (=> ?v_5160 (=> ?v_5161 (=> ?v_5162 (=> ?v_5163 (=> ?v_5164 (=> ?v_5165 (=> ?v_5166 (=> ?v_5167 (=> ?v_5168 (=> ?v_5169 (=> ?v_5170 (=> ?v_5171 (=> ?v_5172 (=> ?v_5173 (=> ?v_5174 (=> ?v_5175 (=> ?v_5176 (=> ?v_5177 (=> ?v_5178 (=> ?v_5179 (=> ?v_5180 (=> ?v_5181 (=> ?v_5182 (=> ?v_5183 (=> ?v_5184 (=> ?v_5185 (=> ?v_5186 (=> ?v_5187 (=> ?v_5188 (=> ?v_5189 (=> ?v_5190 (=> ?v_5191 (=> ?v_5192 (=> ?v_5193 (=> ?v_5194 (=> ?v_5195 (=> ?v_5196 (=> ?v_5197 (=> ?v_5198 (=> ?v_5199 (=> ?v_5200 (=> ?v_5201 (=> ?v_5202 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> ?v_5203 (=> ?v_5204 (=> ?v_5205 (=> ?v_5206 (=> ?v_5207 (=> ?v_5208 (=> ?v_5209 (=> ?v_5210 (=> ?v_5211 (=> ?v_5212 (=> ?v_5213 (=> ?v_5214 (=> ?v_5215 (=> ?v_5216 (=> ?v_5217 (=> ?v_5218 (=> ?v_5219 (=> ?v_5220 (=> ?v_5221 (=> ?v_5222 (=> (= inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..0 call53327formal.ret.0) (=> ?v_5223 (=> ?v_5224 (=> ?v_5225 (=> ?v_5226 (=> ?v_5227 (=> ?v_5228 (=> ?v_5229 (=> ?v_5230 (=> ?v_5231 (=> ?v_5232 (=> ?v_5233 (=> ?v_5234 (=> ?v_5235 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> ?v_5236 (=> ?v_5237 (=> ?v_5238 (=> ?v_5239 (=> ?v_5240 (=> ?v_5241 (=> ?v_5242 (=> ?v_5243 (=> ?v_5244 (=> ?v_5245 (=> ?v_5246 (=> ?v_5247 (=> ?v_5248 (=> ?v_5249 (=> ?v_5250 (=> ?v_5251 (=> ?v_5252 (=> ?v_5253 (=> ?v_5254 (=> ?v_5255 (=> ?v_5256 (=> ?v_5257 (=> ?v_5258 (=> ?v_5259 (=> ?v_5260 (=> ?v_5261 (=> ?v_5262 (=> (= cancelLockStatus_1.36 cancelLockStatus_1.8) (=> (= k.97 k.13) ?v_5263))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5267 (= cancelLockStatus_1.8 cancelLockStatus_1.7))) (let ((?v_5268 (=> (= cancelLockStatus_0.8 cancelLockStatus_0.7) (=> true (=> true (=> true (=> true ?v_5265)))))) (?v_5266 (= k.13 1)) (?v_5264 (= k.13 0)) (?v_3720 (= k.11 0)) (?v_3723 (U_2_int (MapType0Select Mem_0_T.P_IRP.1 ?v_3722)))) (let ((?v_5055 (= ?v_3723 0)) (?v_3721 (= k.11 1)) (?v_5037 (U_2_int (MapType0Select Mem_1_T.P_IRP.1 ?v_3722)))) (let ((?v_5056 (= ?v_5037 0)) (?v_5041 (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5042 (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartWrite.0.myVar_0.2)) (?v_5043 (= inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.3..result.userContextSwitch.3151.2.1.)) (?v_5044 (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartWrite.0.myVar_0.2))) (let ((?v_5047 (=> true (=> ?v_5057 (=> ?v_5058 (=> ?v_5059 (=> ?v_5060 (=> ?v_5061 (=> ?v_5062 (=> ?v_5063 (=> ?v_5064 (=> ?v_5065 (=> ?v_5066 (=> ?v_5067 (=> ?v_5068 (=> ?v_5069 (=> ?v_5070 (=> ?v_5071 (=> ?v_5072 (=> ?v_5073 (=> ?v_5074 (=> ?v_5075 (=> ?v_5076 (=> ?v_5077 (=> ?v_5078 (=> ?v_5079 (=> ?v_5080 (=> ?v_5081 (=> ?v_5082 (=> ?v_5083 (=> ?v_5084 (=> ?v_5085 (=> ?v_5086 (=> ?v_5087 (=> ?v_5088 (=> ?v_5089 (=> ?v_5090 (=> ?v_5091 (=> ?v_5092 (=> ?v_5093 (=> ?v_5094 (=> ?v_5095 (=> ?v_5096 (=> ?v_5097 (=> ?v_5098 (=> ?v_5099 (=> ?v_5100 (=> ?v_5101 (=> ?v_5102 (=> ?v_5103 (=> ?v_5104 (=> ?v_5105 (=> ?v_5106 (=> ?v_5107 (=> ?v_5108 (=> ?v_5109 (=> ?v_5110 (=> ?v_5111 (=> ?v_5112 (=> ?v_5113 (=> ?v_5114 (=> ?v_5115 (=> ?v_5116 (=> ?v_5117 (=> ?v_5118 (=> ?v_5119 (=> ?v_5120 (=> ?v_5121 (=> ?v_5122 (=> ?v_5123 (=> ?v_5124 (=> ?v_5125 (=> ?v_5126 (=> ?v_5127 (=> ?v_5128 (=> ?v_5129 (=> ?v_5130 (=> ?v_5131 (=> ?v_5132 (=> ?v_5133 (=> ?v_5134 (=> ?v_5135 (=> ?v_5136 (=> ?v_5137 (=> ?v_5138 (=> ?v_5139 (=> ?v_5140 (=> ?v_5141 (=> ?v_5142 (=> ?v_5143 (=> ?v_5144 (=> ?v_5145 (=> ?v_5146 (=> ?v_5147 (=> ?v_5148 (=> (= inline.SerialStartWrite.0.myVar_0.6 inline.SerialStartWrite.0.myVar_0.2) (=> (= inline.SerialStartWrite.0.myNondetVar_0.7 inline.SerialStartWrite.0.myNondetVar_0.2) (=> ?v_5149 (=> ?v_5150 (=> ?v_5041 (=> ?v_5151 (=> ?v_5152 (=> (= cancelLockStatus_0.36 cancelLockStatus_0.9) (=> ?v_5153 (=> ?v_5154 (=> ?v_5155 (=> ?v_5156 (=> ?v_5157 (=> ?v_5158 (=> ?v_5159 (=> ?v_5160 (=> ?v_5161 (=> ?v_5162 (=> ?v_5163 (=> ?v_5164 (=> ?v_5165 (=> ?v_5166 (=> ?v_5167 (=> ?v_5168 (=> ?v_5169 (=> ?v_5170 (=> ?v_5171 (=> ?v_5172 (=> ?v_5173 (=> ?v_5174 (=> ?v_5175 (=> ?v_5176 (=> ?v_5177 (=> ?v_5178 (=> ?v_5179 (=> ?v_5180 (=> ?v_5181 (=> ?v_5182 (=> ?v_5183 (=> ?v_5184 (=> ?v_5185 (=> ?v_5186 (=> ?v_5187 (=> ?v_5188 (=> ?v_5189 (=> ?v_5190 (=> ?v_5191 (=> ?v_5192 (=> ?v_5193 (=> ?v_5194 (=> ?v_5195 (=> ?v_5196 (=> ?v_5197 (=> ?v_5198 (=> ?v_5199 (=> ?v_5200 (=> ?v_5201 (=> ?v_5202 (=> ?v_5042 (=> ?v_5203 (=> ?v_5204 (=> ?v_5205 (=> ?v_5206 (=> ?v_5207 (=> ?v_5208 (=> ?v_5209 (=> ?v_5210 (=> ?v_5211 (=> ?v_5212 (=> ?v_5213 (=> ?v_5214 (=> ?v_5215 (=> ?v_5216 (=> ?v_5217 (=> ?v_5218 (=> ?v_5219 (=> ?v_5220 (=> ?v_5221 (=> ?v_5222 (=> ?v_5043 (=> ?v_5223 (=> ?v_5224 (=> ?v_5225 (=> ?v_5226 (=> ?v_5227 (=> ?v_5228 (=> ?v_5229 (=> ?v_5230 (=> ?v_5231 (=> ?v_5232 (=> ?v_5233 (=> ?v_5234 (=> ?v_5235 (=> ?v_5044 (=> ?v_5236 (=> ?v_5237 (=> ?v_5238 (=> ?v_5239 (=> ?v_5240 (=> ?v_5241 (=> ?v_5242 (=> ?v_5243 (=> ?v_5244 (=> ?v_5245 (=> ?v_5246 (=> ?v_5247 (=> ?v_5248 (=> ?v_5249 (=> ?v_5250 (=> ?v_5251 (=> ?v_5252 (=> ?v_5253 (=> ?v_5254 (=> ?v_5255 (=> ?v_5256 (=> ?v_5257 (=> ?v_5258 (=> ?v_5259 (=> ?v_5260 (=> ?v_5261 (=> ?v_5262 (=> (= cancelLockStatus_1.36 cancelLockStatus_1.9) (=> (= k.97 k.12) ?v_5263))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5049 (= cancelLockStatus_1.9 cancelLockStatus_1.7))) (let ((?v_5050 (=> (= cancelLockStatus_0.9 cancelLockStatus_0.7) (=> true (=> true (=> true (=> true ?v_5047)))))) (?v_5039 (= k.12 1))) (let ((?v_5048 (not ?v_5039)) (?v_3724 (= k.12 0))) (let ((?v_5046 (not ?v_3724)) (?v_4186 (=> true (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..1 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..0) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3) (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..3 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..2) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.1) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..3) (=> (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.4 inline.sdv_InterlockedDecrement.2.myNondetVar_0.3) (=> (= inline.SerialRundownIrpRefs.0.myVar_0.15 inline.SerialRundownIrpRefs.0.myVar_0.14) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..0) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialTryToCompleteCurrent.0.myVar_0.5) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.4) (=> (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.0 16) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.12 inline.SerialRundownIrpRefs.0.myNondetVar_0.11) (=> (= inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1) (=> (= Mem_1_T.P_IRP.32 Mem_1_T.P_IRP.31) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..4) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.7 inline.sdv_InterlockedDecrement.5.myNondetVar_0.6) (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..3) (=> (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrp.1.myNondetVar_0.3 inline.SerialGetNextIrp.1.myNondetVar_0.2) (=> (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..2 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..1) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..2) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.3) (=> (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.10 inline.KeSynchronizeExecution.1.myNondetVar_0.9) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1) (=> (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 1073741832) (=> (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.1) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2) (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..1 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..0) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.1) (=> (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.0 16) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.3) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..1) (=> (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 0) (=> (= inline.SerialStartWrite.0.myNondetVar_1.1 inline.SerialStartWrite.0.myNondetVar_1.0) (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartWrite.0.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.0.havoc_stringTemp.2) (=> (= alloc.57 alloc.56) (=> (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 0) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.8 inline.SerialGetNextWrite.0.tempBoogie0.7) (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.4 inline.sdv_InterlockedDecrement.3.myNondetVar_0.3) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextWrite.0.havoc_stringTemp.2 inline.SerialGetNextWrite.0.havoc_stringTemp.1) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.2) (=> (= irpCompleted_0.24 irpCompleted_0.23) (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.6 inline.sdv_InterlockedIncrement.1.myNondetVar_0.5) (=> (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialStartWrite.0.myVar_0.6 inline.SerialStartWrite.0.myVar_0.5) (=> (= inline.SerialStartWrite.0.myNondetVar_0.7 inline.SerialStartWrite.0.myNondetVar_0.6) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> ?v_5041 (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.3) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= cancelLockStatus_0.36 cancelLockStatus_0.35) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialTryToCompleteCurrent.0.myVar_0.2) (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.3) (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.RemoveHeadList.1.myNondetVar_0.5 inline.RemoveHeadList.1.myNondetVar_0.4) (=> (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.5 inline.sdv_InterlockedDecrement.6.myNondetVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.6 inline.SerialRundownIrpRefs.0.myNondetVar_1.5) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.SerialGetNextIrp.0.myNondetVar_0.3 inline.SerialGetNextIrp.0.myNondetVar_0.2) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..0) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.6 inline.SerialGetNextIrpLocked.1.myVar_0.5) (=> (= inline.SerialCancelTimer.1.myNondetVar_0.3 inline.SerialCancelTimer.1.myNondetVar_0.2) (=> (= inline.SerialStartWrite.0.myNondetVar_2.1 inline.SerialStartWrite.0.myNondetVar_2.0) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.4) (=> (= errorReached.38 errorReached.37) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..2) (=> (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.3 inline.sdv_InterlockedDecrement.7.myNondetVar_0.2) (=> (= inline.IsListEmpty.2.myNondetVar_0.3 inline.IsListEmpty.2.myNondetVar_0.2) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..2) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2) (=> (= inline.SerialStartWrite.0.tempBoogie0.1 inline.SerialStartWrite.0.tempBoogie0.0) (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.3) (=> (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..2) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.0 16) (=> (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 SerialGrabXoffFromIsr) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 SerialGrabXoffFromIsr) (=> (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> ?v_5042 (=> (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.1 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.0) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.8 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.7) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 0) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.3) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.1) (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= Mem_0_T.P_IRP.32 Mem_0_T.P_IRP.31) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..2) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..3) (=> ?v_5043 (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.6 inline.SerialGetNextIrpLocked.0.myVar_0.5) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.6 inline.SerialRundownIrpRefs.0.tempBoogie0.5) (=> (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..1) (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.6 inline.SerialTryToCompleteCurrent.0.myVar_0.5) (=> (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartWrite.0.myVar_0.5) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.1) (=> (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.1) (=> ?v_5044 (=> (= Mem_1_T.CancelRoutine__IRP.53 Mem_1_T.CancelRoutine__IRP.52) (=> (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.1) (=> (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..2) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_1.1 inline.SerialTryToCompleteCurrent.0.myNondetVar_1.0) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.RemoveHeadList.0.myNondetVar_0.5 inline.RemoveHeadList.0.myNondetVar_0.4) (=> (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 0) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.11 inline.KeSynchronizeExecution.2.myNondetVar_0.10) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 0) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= irpCompleted_1.24 irpCompleted_1.23) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialTryToCompleteCurrent.0.myVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.6 inline.SerialGetNextWrite.0.myNondetVar_2.5) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..2) (=> (= cancelLockStatus_1.36 cancelLockStatus_1.35) (=> (= k.97 k.96) (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..2) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.6 inline.SerialRundownIrpRefs.0.myNondetVar_2.5) (=> (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.8 inline.KeSynchronizeExecution.0.myNondetVar_0.7) (=> (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.0) (=> (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.0) (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 0) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialTryToCompleteCurrent.0.myVar_0.5) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_2.1 inline.SerialTryToCompleteCurrent.0.myNondetVar_2.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.0) (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 0) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..0) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.5 inline.sdv_InterlockedDecrement.4.myNondetVar_0.4) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialSetTimer.0.myNondetVar_0.9 inline.SerialSetTimer.0.myNondetVar_0.8) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.7 inline.SerialGetNextWrite.0.myNondetVar_1.6) (=> (= inline.SerialCancelTimer.0.myNondetVar_0.3 inline.SerialCancelTimer.0.myNondetVar_0.2) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.3) (=> (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 1073741832) (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.3) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 0) (=> (= inline.SerialGetNextWrite.0.myVar_0.16 inline.SerialGetNextWrite.0.myVar_0.15) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..0) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.1) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.0 call53678formal.new.0) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.22 inline.SerialGetNextWrite.0.myNondetVar_0.21) (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.1.havoc_stringTemp.2) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.0 16) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= Mem_0_T.CancelRoutine__IRP.53 Mem_0_T.CancelRoutine__IRP.52) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..2) (=> (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..2) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.4) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.4) (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5) (=> (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.1) (=> (= inline.IsListEmpty.1.myNondetVar_0.3 inline.IsListEmpty.1.myNondetVar_0.2) (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1) (=> (= inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..0) ?v_5045)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4892 (=> true (=> true (=> true ?v_4186)))) (?v_4722 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4723 (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_4724 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_4725 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_4726 (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1.)) (?v_4727 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_4728 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_4729 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_4730 (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2.)) (?v_4731 (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4732 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty)) (?v_4733 (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4734 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_4735 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4736 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4737 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1)) (?v_4738 (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList)) (?v_4739 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_4740 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_4741 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.6 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_4742 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_4743 (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp)) (?v_4744 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_4745 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_4746 (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite)) (?v_4747 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_4748 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4749 (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1.)) (?v_4750 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp)) (?v_4751 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite)) (?v_4752 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4753 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_4754 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_4755 (= inline.KeSynchronizeExecution.2.myNondetVar_0.10 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_4756 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_4757 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_4758 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4759 (= inline.SerialGetNextWrite.0.tempBoogie0.7 inline.SerialGetNextWrite.0.tempBoogie0)) (?v_4760 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_4761 (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4762 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_4763 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_4764 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_4765 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_4766 (= inline.SerialGetNextWrite.0.havoc_stringTemp.1 inline.SerialGetNextWrite.0.havoc_stringTemp)) (?v_4767 (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_4768 (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList)) (?v_4769 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_4770 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.5 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_4771 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4772 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4773 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_4774 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_4775 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4776 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_4777 (= inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1.)) (?v_4778 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite)) (?v_4779 (= inline.RemoveHeadList.1.myNondetVar_0.4 inline.RemoveHeadList.1.myNondetVar_0)) (?v_4780 (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4.)) (?v_4781 (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4782 (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.4 inline.sdv_InterlockedDecrement.6.myNondetVar_0)) (?v_4783 (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4784 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4785 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_4786 (= inline.KeSynchronizeExecution.1.myNondetVar_0.9 inline.KeSynchronizeExecution.1.myNondetVar_0)) (?v_4787 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_4788 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4789 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4790 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1.)) (?v_4791 (= inline.SerialGetNextIrp.1.myNondetVar_0.2 inline.SerialGetNextIrp.1.myNondetVar_0)) (?v_4792 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_4793 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_4794 (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2.)) (?v_4795 (= inline.IsListEmpty.2.myNondetVar_0.2 inline.IsListEmpty.2.myNondetVar_0)) (?v_4796 (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.)) (?v_4797 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4798 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.)) (?v_4799 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_4800 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_4801 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4802 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_4803 (= inline.SerialGetNextIrp.0.myNondetVar_0.2 inline.SerialGetNextIrp.0.myNondetVar_0)) (?v_4804 (= inline.SerialGetNextIrpLocked.1.myVar_0.5 inline.SerialGetNextIrpLocked.1.myVar_0)) (?v_4805 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp)) (?v_4806 (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3.)) (?v_4807 (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1.)) (?v_4808 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4809 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.7 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.5)) (?v_4810 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_4811 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_4812 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4813 (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4814 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_4815 (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1.)) (?v_4816 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4817 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_4818 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_4819 (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1.)) (?v_4820 (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4821 (= inline.SerialGetNextIrpLocked.0.myVar_0.5 inline.SerialGetNextIrpLocked.0.myVar_0)) (?v_4822 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4823 (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4824 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_4825 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1)) (?v_4826 (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp)) (?v_4827 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_4828 (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite)) (?v_4829 (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1.)) (?v_4830 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4831 (= inline.RemoveHeadList.0.myNondetVar_0.4 inline.RemoveHeadList.0.myNondetVar_0)) (?v_4832 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_4833 (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.0.havoc_stringTemp)) (?v_4834 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_4835 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4836 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty)) (?v_4837 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_4838 (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4839 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4840 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite)) (?v_4841 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_4842 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4843 (= inline.SerialGetNextWrite.0.myNondetVar_2.5 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_4844 (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution)) (?v_4845 (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4.)) (?v_4846 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4847 (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite)) (?v_4848 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_4849 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4850 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_4851 (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.4 inline.sdv_InterlockedDecrement.4.myNondetVar_0)) (?v_4852 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_4853 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4854 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4855 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_4856 (= inline.SerialSetTimer.0.myNondetVar_0.8 inline.SerialSetTimer.0.myNondetVar_0)) (?v_4857 (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.)) (?v_4858 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_4859 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4860 (= inline.SerialGetNextWrite.0.myVar_0.15 inline.SerialGetNextWrite.0.myVar_0)) (?v_4861 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4862 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_4863 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4864 (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.)) (?v_4865 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4866 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_4867 (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_4868 (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1.)) (?v_4869 (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_4870 (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_4871 (= inline.SerialGetNextWrite.0.myNondetVar_0.21 inline.SerialGetNextWrite.0.myNondetVar_0)) (?v_4872 (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.1.havoc_stringTemp)) (?v_4873 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4874 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_4875 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4876 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4877 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4878 (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1.)) (?v_4879 (= inline.SerialGetNextWrite.0.myNondetVar_1.6 inline.SerialGetNextWrite.0.myNondetVar_1)) (?v_4880 (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_4881 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4882 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13.)) (?v_4883 (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1.)) (?v_4884 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_4885 (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4886 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_4887 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite)) (?v_4888 (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite)) (?v_4889 (= inline.IsListEmpty.1.myNondetVar_0.2 inline.IsListEmpty.1.myNondetVar_0)) (?v_4890 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_4891 (= inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1.))) (let ((?v_4894 (=> true (=> ?v_4722 (=> ?v_4723 (=> ?v_4724 (=> ?v_4725 (=> ?v_4726 (=> ?v_4727 (=> ?v_4728 (=> ?v_4729 (=> ?v_4730 (=> (= irpCompleted_0.23 irpCompleted_0.13) (=> ?v_4731 (=> ?v_4732 (=> ?v_4733 (=> ?v_4734 (=> ?v_4735 (=> ?v_4736 (=> ?v_4737 (=> ?v_4738 (=> (= irpCompleted_1.23 irpCompleted_1.13) (=> ?v_4739 (=> ?v_4740 (=> ?v_4741 (=> ?v_4742 (=> ?v_4743 (=> (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.7.myNondetVar_0.1) (=> (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..1 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..0) (=> ?v_4744 (=> ?v_4745 (=> ?v_4746 (=> ?v_4747 (=> ?v_4748 (=> (= Mem_1_T.P_IRP.31 Mem_1_T.P_IRP.11) (=> ?v_4749 (=> ?v_4750 (=> ?v_4751 (=> ?v_4752 (=> ?v_4753 (=> ?v_4754 (=> ?v_4755 (=> ?v_4756 (=> ?v_4757 (=> ?v_4758 (=> (= alloc.56 alloc.42) (=> ?v_4759 (=> ?v_4760 (=> ?v_4761 (=> ?v_4762 (=> ?v_4763 (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..0) (=> ?v_4764 (=> ?v_4765 (=> ?v_4766 (=> ?v_4767 (=> ?v_4768 (=> ?v_4769 (=> (= Mem_1_T.CancelRoutine__IRP.52 Mem_1_T.CancelRoutine__IRP.30) (=> ?v_4770 (=> ?v_4771 (=> ?v_4772 (=> ?v_4773 (=> ?v_4774 (=> ?v_4775 (=> (= cancelLockStatus_0.35 cancelLockStatus_0.21) (=> ?v_4776 (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) (=> ?v_4777 (=> ?v_4778 (=> ?v_4779 (=> (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.7.myNondetVar_0.1) (=> ?v_4780 (=> ?v_4781 (=> ?v_4782 (=> ?v_4783 (=> ?v_4784 (=> ?v_4785 (=> ?v_4786 (=> ?v_4787 (=> (= inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..0 call58672formal.ret.0) (=> ?v_4788 (=> ?v_4789 (=> ?v_4790 (=> ?v_4791 (=> ?v_4792 (=> (= errorReached.37 errorReached.20) (=> ?v_4793 (=> ?v_4794 (=> (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.2 inline.sdv_InterlockedDecrement.7.myNondetVar_0.1) (=> ?v_4795 (=> ?v_4796 (=> ?v_4797 (=> ?v_4798 (=> ?v_4799 (=> ?v_4800 (=> ?v_4801 (=> ?v_4802 (=> ?v_4803 (=> ?v_4804 (=> ?v_4805 (=> ?v_4806 (=> ?v_4807 (=> ?v_4808 (=> (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.0 call58708formal.new.0) (=> ?v_4809 (=> ?v_4810 (=> ?v_4811 (=> ?v_4812 (=> ?v_4813 (=> ?v_4814 (=> ?v_4815 (=> ?v_4816 (=> ?v_4817 (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) (=> (= Mem_0_T.P_IRP.31 Mem_0_T.P_IRP.11) (=> ?v_4818 (=> ?v_4819 (=> ?v_4820 (=> ?v_4821 (=> ?v_4822 (=> (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..0) (=> ?v_4823 (=> ?v_4824 (=> ?v_4825 (=> ?v_4826 (=> ?v_4827 (=> ?v_4828 (=> ?v_4829 (=> ?v_4830 (=> ?v_4831 (=> ?v_4832 (=> ?v_4833 (=> ?v_4834 (=> ?v_4835 (=> ?v_4836 (=> ?v_4837 (=> ?v_4838 (=> ?v_4839 (=> ?v_4840 (=> ?v_4841 (=> ?v_4842 (=> ?v_4843 (=> ?v_4844 (=> ?v_4845 (=> (= cancelLockStatus_1.35 cancelLockStatus_1.21) (=> (= k.96 k.64) (=> ?v_4846 (=> ?v_4847 (=> ?v_4848 (=> ?v_4849 (=> ?v_4850 (=> ?v_4851 (=> ?v_4852 (=> ?v_4853 (=> ?v_4854 (=> ?v_4855 (=> ?v_4856 (=> ?v_4857 (=> ?v_4858 (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) (=> ?v_4859 (=> ?v_4860 (=> ?v_4861 (=> ?v_4862 (=> ?v_4863 (=> ?v_4864 (=> ?v_4865 (=> ?v_4866 (=> ?v_4867 (=> ?v_4868 (=> ?v_4869 (=> ?v_4870 (=> ?v_4871 (=> ?v_4872 (=> ?v_4873 (=> ?v_4874 (=> ?v_4875 (=> (= Mem_0_T.CancelRoutine__IRP.52 Mem_0_T.CancelRoutine__IRP.30) (=> ?v_4876 (=> ?v_4877 (=> ?v_4878 (=> ?v_4879 (=> ?v_4880 (=> ?v_4881 (=> (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.7.myNondetVar_0.1) (=> ?v_4882 (=> ?v_4883 (=> ?v_4884 (=> ?v_4885 (=> ?v_4886 (=> ?v_4887 (=> ?v_4888 (=> ?v_4889 (=> ?v_4890 (=> ?v_4891 ?v_4892))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4893 (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.1 0))) (let ((?v_4910 (and (=> true (=> (not ?v_4893) (=> true (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2.) ?v_4894)))) (=> true (=> ?v_4893 (=> true (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..0 call58912formal.ret.0) (=> true (=> true (=> true ?v_4894))))))))) (?v_4909 (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 hirp))) (let ((?v_4895 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.30 Mem_0_T.CancelRoutine__IRP.29) (=> (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..0 call58741formal.ret.0) (=> (= errorReached.20 errorReached.19) (=> (= irpCompleted_0.13 irpCompleted_0.12) (=> (= k.64 k.63) (=> (= irpCompleted_1.13 irpCompleted_1.12) (=> (= Mem_1_T.CancelRoutine__IRP.30 Mem_1_T.CancelRoutine__IRP.29) ?v_4910))))))))) (?v_4897 (= irpCompleted_1.12 irpCompleted_1.3))) (let ((?v_4898 (=> (= irpCompleted_0.12 irpCompleted_0.3) (=> true ?v_4895))) (?v_4896 (= k.63 1))) (let ((?v_4902 (not ?v_4896)) (?v_4721 (= k.63 0))) (let ((?v_4899 (not ?v_4721))) (let ((?v_4901 (and (=> true (=> ?v_4721 (=> true (=> ?v_4897 (=> (= irpCompleted_0.12 1) ?v_4895))))) (=> true (=> ?v_4899 (and (=> true (=> ?v_4896 (=> true (=> (= irpCompleted_1.12 1) ?v_4898)))) (=> true (=> ?v_4902 (=> true (=> ?v_4897 ?v_4898)))))))))) (let ((?v_4905 (=> true (=> true ?v_4901))) (?v_4903 (= Mem_0_T.CancelRoutine__IRP.29 Mem_0_T.CancelRoutine__IRP.27)) (?v_4904 (= Mem_1_T.CancelRoutine__IRP.29 Mem_1_T.CancelRoutine__IRP.27)) (?v_4900 (int_2_U (CancelRoutine__IRP inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2)))) (let ((?v_4908 (=> true (=> (<= k.62 k.63) (=> (< k.63 2) (and (=> true (=> ?v_4721 (=> (= Mem_0_T.CancelRoutine__IRP.28 (MapType0Store Mem_0_T.CancelRoutine__IRP.27 ?v_4900 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.29 Mem_0_T.CancelRoutine__IRP.28) (=> ?v_4904 ?v_4901)))))) (=> true (=> ?v_4899 (and (=> true (=> ?v_4896 (=> (= Mem_1_T.CancelRoutine__IRP.28 (MapType0Store Mem_1_T.CancelRoutine__IRP.27 ?v_4900 ?v_38)) (=> true (=> ?v_4903 (=> (= Mem_1_T.CancelRoutine__IRP.29 Mem_1_T.CancelRoutine__IRP.28) ?v_4905)))))) (=> true (=> ?v_4902 (=> true (=> ?v_4903 (=> ?v_4904 ?v_4905))))))))))))) (?v_4906 (= k.62 0)) (?v_4907 (= k.62 1)) (?v_4720 (int_2_U call58708formal.new.0))) (let ((?v_4912 (=> true (and ?v_8 (=> ?v_8 (=> (> call58708formal.new.0 0) (=> (forall ((?x1659 Int)) (! (=> (and (<= call58708formal.new.0 ?x1659) (< ?x1659 (+ call58708formal.new.0 1))) (= (Base ?x1659) call58708formal.new.0)) :pattern ((Base ?x1659)) )) (=> (forall ((?x1660 boogieU)) (! (=> (= (type ?x1660) intType) (or (= (U_2_int ?x1660) call58708formal.new.0) (= (MapType0Select alloc.25 ?x1660) (MapType0Select alloc.42 ?x1660)))) :pattern ((MapType0Select alloc.42 ?x1660)) )) (=> (and (= (MapType0Select alloc.25 ?v_4720) UNALLOCATED) (= (MapType0Select alloc.42 ?v_4720) ALLOCATED)) (and (=> true (=> ?v_4909 (=> true (=> (<= k.61 k.62) (=> (< k.62 2) (and (=> true (=> (=> ?v_4906 ?v_3010) (=> (=> ?v_4907 ?v_3011) (=> true (=> (= errorReached.19 1) ?v_4908))))) (=> true (=> (=> ?v_4906 ?v_2997) (=> (=> ?v_4907 ?v_2998) (=> true (=> (= errorReached.19 errorReached.18) ?v_4908))))))))))) (=> true (=> (not ?v_4909) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.30 Mem_0_T.CancelRoutine__IRP.27) (=> (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1.) (=> (= errorReached.20 errorReached.18) (=> (= irpCompleted_0.13 irpCompleted_0.3) (=> (= k.64 k.61) (=> (= irpCompleted_1.13 irpCompleted_1.3) (=> (= Mem_1_T.CancelRoutine__IRP.30 Mem_1_T.CancelRoutine__IRP.27) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4910)))))))))))))))))))))))))))))))))))) (?v_4914 (= cancelLockStatus_1.21 cancelLockStatus_1.7))) (let ((?v_4915 (=> (= cancelLockStatus_0.21 cancelLockStatus_0.7) (=> true (=> true (=> true (=> true ?v_4912)))))) (?v_4913 (= k.61 1)) (?v_4911 (= k.61 0))) (let ((?v_4917 (=> true (=> (<= k.58 k.61) (=> (< k.61 2) (and (=> true (=> ?v_4911 (=> true (=> ?v_4914 (=> (= cancelLockStatus_0.21 0) ?v_4912))))) (=> true (=> (not ?v_4911) (and (=> true (=> ?v_4913 (=> true (=> (= cancelLockStatus_1.21 0) ?v_4915)))) (=> true (=> (not ?v_4913) (=> true (=> ?v_4914 ?v_4915))))))))))))) (let ((?v_4921 (=> true (=> true (=> true (=> true ?v_4917))))) (?v_4919 (= Mem_0_T.P_IRP.11 Mem_0_T.P_IRP.1)) (?v_4920 (= Mem_1_T.P_IRP.11 Mem_1_T.P_IRP.1)) (?v_4918 (= k.58 1))) (let ((?v_4924 (not ?v_4918)) (?v_3730 (int_2_U inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0))) (let ((?v_4916 (MapType0Store Mem_1_T.P_IRP.1 ?v_3730 ?v_38)) (?v_4718 (= k.58 0))) (let ((?v_4922 (not ?v_4718)) (?v_4719 (MapType0Store Mem_0_T.P_IRP.1 ?v_3730 ?v_38))) (let ((?v_4923 (and (=> true (=> ?v_4718 (=> (= Mem_0_T.P_IRP.10 ?v_4719) (=> true (=> (= Mem_0_T.P_IRP.11 Mem_0_T.P_IRP.10) (=> ?v_4920 ?v_4917)))))) (=> true (=> ?v_4922 (and (=> true (=> ?v_4918 (=> (= Mem_1_T.P_IRP.10 ?v_4916) (=> true (=> ?v_4919 (=> (= Mem_1_T.P_IRP.11 Mem_1_T.P_IRP.10) ?v_4921)))))) (=> true (=> ?v_4924 (=> true (=> ?v_4919 (=> ?v_4920 ?v_4921))))))))))) (let ((?v_4925 (=> true (=> true ?v_4923))) (?v_4295 (U_2_int (MapType0Select Mem_1_T.P_IRP.1 ?v_3730))) (?v_3729 (U_2_int (MapType0Select Mem_0_T.P_IRP.1 ?v_3730))) (?v_4174 (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4175 (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..1 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4.)) (?v_4176 (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2.)) (?v_4177 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4178 (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4179 (= inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.12..result.userContextSwitch.3151.2.1.)) (?v_4180 (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.2 inline.sdv_InterlockedDecrement.7.myNondetVar_0)) (?v_4181 (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.0 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp)) (?v_4182 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4183 (= inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.4..result.userContextSwitch.2077.4.1.)) (?v_4184 (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent)) (?v_4185 (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1.))) (let ((?v_4191 (=> true (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..2) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.3) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..1) (=> (= irpCompleted_0.23 irpCompleted_0.22) (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.1) (=> (= irpCompleted_1.23 irpCompleted_1.22) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.6 inline.sdv_InterlockedDecrement.5.myNondetVar_0.5) (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..2) (=> (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.0) (=> ?v_4174 (=> ?v_4175 (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= Mem_1_T.P_IRP.31 Mem_1_T.P_IRP.30) (=> (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.0) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.0) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.10 inline.KeSynchronizeExecution.2.myNondetVar_0.9) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.2) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= alloc.56 alloc.55) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.7 inline.SerialGetNextWrite.0.tempBoogie0.6) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.2) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> ?v_4176 (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.2) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextWrite.0.havoc_stringTemp.1 inline.SerialGetNextWrite.0.havoc_stringTemp.0) (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= Mem_1_T.CancelRoutine__IRP.52 Mem_1_T.CancelRoutine__IRP.51) (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.5 inline.sdv_InterlockedIncrement.1.myNondetVar_0.4) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.2) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= cancelLockStatus_0.35 cancelLockStatus_0.34) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> ?v_4177 (=> ?v_4777 (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.2) (=> (= inline.RemoveHeadList.1.myNondetVar_0.4 inline.RemoveHeadList.1.myNondetVar_0.3) (=> ?v_4178 (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..2) (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.4 inline.sdv_InterlockedDecrement.6.myNondetVar_0.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.9 inline.KeSynchronizeExecution.1.myNondetVar_0.8) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> ?v_4179 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..1) (=> (= inline.SerialGetNextIrp.1.myNondetVar_0.2 inline.SerialGetNextIrp.1.myNondetVar_0.1) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1) (=> (= errorReached.37 errorReached.36) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..1) (=> ?v_4180 (=> (= inline.IsListEmpty.2.myNondetVar_0.2 inline.IsListEmpty.2.myNondetVar_0.1) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..1) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.2) (=> (= inline.SerialGetNextIrp.0.myNondetVar_0.2 inline.SerialGetNextIrp.0.myNondetVar_0.1) (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.5 inline.SerialGetNextIrpLocked.1.myVar_0.4) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.0) (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..2 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..1) (=> (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_4181 (=> ?v_4809 (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.0) (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..1) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.3) (=> ?v_4182 (=> (= Mem_0_T.P_IRP.31 Mem_0_T.P_IRP.30) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.5 inline.SerialGetNextIrpLocked.0.myVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> ?v_4183 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.0) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0) (=> (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.RemoveHeadList.0.myNondetVar_0.4 inline.RemoveHeadList.0.myNondetVar_0.3) (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.0.havoc_stringTemp.1) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.0) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.0) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.5 inline.SerialGetNextWrite.0.myNondetVar_2.4) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..2) (=> (= cancelLockStatus_1.35 cancelLockStatus_1.34) (=> (= k.96 k.95) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.4 inline.sdv_InterlockedDecrement.4.myNondetVar_0.3) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= inline.SerialSetTimer.0.myNondetVar_0.8 inline.SerialSetTimer.0.myNondetVar_0.7) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.2) (=> ?v_4184 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextWrite.0.myVar_0.15 inline.SerialGetNextWrite.0.myVar_0.14) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.0) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.3) (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.3) (=> (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..1) (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..1) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.21 inline.SerialGetNextWrite.0.myNondetVar_0.20) (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.1.havoc_stringTemp.1) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= Mem_0_T.CancelRoutine__IRP.52 Mem_0_T.CancelRoutine__IRP.51) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..0) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.6 inline.SerialGetNextWrite.0.myNondetVar_1.5) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> ?v_4185 (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..1) (=> (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..1) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.4) (=> (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.0) (=> (= inline.IsListEmpty.1.myNondetVar_0.2 inline.IsListEmpty.1.myNondetVar_0.1) (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.3) (=> (= inline.sdv_IoReleaseCancelSpinLock.6..result.userContextSwitch.3151.2.1..0 call55145formal.ret.0) ?v_4892))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4187 (= k.95 0)) (?v_3726 (int_2_U call53678formal.new.0))) (let ((?v_4188 (= (U_2_int (MapType0Select Mem_0_T.P_IRP.30 ?v_3726)) 0)) (?v_4189 (= k.95 1)) (?v_4190 (= (U_2_int (MapType0Select Mem_1_T.P_IRP.30 ?v_3726)) 0))) (let ((?v_4480 (and (=> true (=> (=> ?v_4187 (not ?v_4188)) (=> (=> ?v_4189 (not ?v_4190)) (=> true (=> ?v_31 ?v_4191))))) (=> true (=> (=> ?v_4187 ?v_4188) (=> (=> ?v_4189 ?v_4190) ?v_4191)))))) (let ((?v_4714 (=> true ?v_4480)) (?v_4547 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4548 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_4549 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_4550 (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1.)) (?v_4551 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_4552 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_4553 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_4554 (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2.)) (?v_4555 (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4556 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_4557 (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4558 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_4559 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4560 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4561 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1)) (?v_4562 (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList)) (?v_4563 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_4564 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_4565 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.5 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_4566 (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp)) (?v_4567 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_4568 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_4569 (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite)) (?v_4570 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_4571 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4572 (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1.)) (?v_4573 (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1.)) (?v_4574 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite)) (?v_4575 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4576 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_4577 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.0 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_4578 (= inline.KeSynchronizeExecution.2.myNondetVar_0.9 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_4579 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_4580 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_4581 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4582 (= inline.SerialGetNextWrite.0.tempBoogie0.6 inline.SerialGetNextWrite.0.tempBoogie0)) (?v_4583 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_4584 (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4585 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_4586 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_4587 (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4588 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_4589 (= inline.SerialGetNextWrite.0.havoc_stringTemp.0 inline.SerialGetNextWrite.0.havoc_stringTemp)) (?v_4590 (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_4591 (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList)) (?v_4592 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_4593 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_4594 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4595 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4596 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_4597 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty)) (?v_4598 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4599 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_4600 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.4 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_4601 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite)) (?v_4602 (= inline.RemoveHeadList.1.myNondetVar_0.3 inline.RemoveHeadList.1.myNondetVar_0)) (?v_4603 (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4.)) (?v_4604 (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.3 inline.sdv_InterlockedDecrement.6.myNondetVar_0)) (?v_4605 (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4606 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4607 (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4608 (= inline.KeSynchronizeExecution.1.myNondetVar_0.8 inline.KeSynchronizeExecution.1.myNondetVar_0)) (?v_4609 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_4610 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4611 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4612 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1.)) (?v_4613 (= inline.SerialGetNextIrp.1.myNondetVar_0.1 inline.SerialGetNextIrp.1.myNondetVar_0)) (?v_4614 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_4615 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_4616 (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2.)) (?v_4617 (= inline.IsListEmpty.2.myNondetVar_0.1 inline.IsListEmpty.2.myNondetVar_0)) (?v_4618 (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.)) (?v_4619 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4620 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.)) (?v_4621 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_4622 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_4623 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4624 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_4625 (= inline.SerialGetNextIrp.0.myNondetVar_0.1 inline.SerialGetNextIrp.0.myNondetVar_0)) (?v_4626 (= inline.SerialGetNextIrpLocked.1.myVar_0.4 inline.SerialGetNextIrpLocked.1.myVar_0)) (?v_4627 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp)) (?v_4628 (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3.)) (?v_4629 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4630 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_4631 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_4632 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4633 (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4634 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_4635 (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1.)) (?v_4636 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4637 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4638 (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_4639 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_4640 (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1.)) (?v_4641 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_4642 (= inline.SerialGetNextIrpLocked.0.myVar_0.4 inline.SerialGetNextIrpLocked.0.myVar_0)) (?v_4643 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4644 (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4645 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_4646 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_4647 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1)) (?v_4648 (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp)) (?v_4649 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_4650 (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite)) (?v_4651 (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1.)) (?v_4652 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4653 (= inline.RemoveHeadList.0.myNondetVar_0.3 inline.RemoveHeadList.0.myNondetVar_0)) (?v_4654 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_4655 (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.0.havoc_stringTemp)) (?v_4656 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_4657 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4658 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty)) (?v_4659 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_4660 (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4661 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4662 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite)) (?v_4663 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_4664 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4665 (= inline.SerialGetNextWrite.0.myNondetVar_2.4 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_4666 (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution)) (?v_4667 (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4.)) (?v_4668 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp)) (?v_4669 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4670 (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite)) (?v_4671 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_4672 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4673 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_4674 (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.3 inline.sdv_InterlockedDecrement.4.myNondetVar_0)) (?v_4675 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_4676 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4677 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4678 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_4679 (= inline.SerialSetTimer.0.myNondetVar_0.7 inline.SerialSetTimer.0.myNondetVar_0)) (?v_4680 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_4681 (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.)) (?v_4682 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_4683 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4684 (= inline.SerialGetNextWrite.0.myVar_0.14 inline.SerialGetNextWrite.0.myVar_0)) (?v_4685 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4686 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4687 (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.)) (?v_4688 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4689 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_4690 (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_4691 (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1.)) (?v_4692 (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_4693 (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_4694 (= inline.SerialGetNextWrite.0.myNondetVar_0.20 inline.SerialGetNextWrite.0.myNondetVar_0)) (?v_4695 (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.1.havoc_stringTemp)) (?v_4696 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4697 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_4698 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4699 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4700 (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1.)) (?v_4701 (= inline.SerialGetNextWrite.0.myNondetVar_1.5 inline.SerialGetNextWrite.0.myNondetVar_1)) (?v_4702 (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_4703 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4704 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_4705 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13.)) (?v_4706 (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1.)) (?v_4707 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_4708 (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4709 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_4710 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite)) (?v_4711 (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite)) (?v_4712 (= inline.IsListEmpty.1.myNondetVar_0.1 inline.IsListEmpty.1.myNondetVar_0)) (?v_4713 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_4546 (= 0 SerialGetNextIrp))) (let ((?v_4498 (=> true (=> ?v_4547 (=> ?v_4548 (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 0) (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..1) (=> ?v_4551 (=> ?v_4552 (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.0 0) (=> ?v_4554 (=> (= irpCompleted_0.22 irpCompleted_0.21) (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4559 (=> ?v_4560 (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0 0) (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.0 call57739formal.new.0) (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call53678formal.new.0) (=> ?v_4571 (=> (= Mem_1_T.P_IRP.30 Mem_1_T.P_IRP.29) (=> ?v_4572 (=> (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0) (=> ?v_4574 (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> ?v_4579 (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 1) (=> ?v_4581 (=> (= alloc.55 alloc.54) (=> ?v_4582 (=> ?v_4583 (=> ?v_4584 (=> ?v_4585 (=> ?v_4586 (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_4589 (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.0) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= Mem_1_T.CancelRoutine__IRP.51 Mem_1_T.CancelRoutine__IRP.50) (=> ?v_4593 (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> ?v_4595 (=> ?v_4596 (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0 0) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= cancelLockStatus_0.34 cancelLockStatus_0.33) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.0 0) (=> ?v_4600 (=> ?v_4601 (=> (= inline.RemoveHeadList.1.myNondetVar_0.3 inline.RemoveHeadList.1.myNondetVar_0.2) (=> ?v_4603 (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.3 inline.sdv_InterlockedDecrement.6.myNondetVar_0.2) (=> ?v_4605 (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> ?v_4609 (=> ?v_4610 (=> ?v_4611 (=> ?v_4612 (=> (= inline.SerialGetNextIrp.1.myNondetVar_0.1 inline.SerialGetNextIrp.1.myNondetVar_0.0) (=> ?v_4614 (=> (= errorReached.36 errorReached.35) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 0) (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..0) (=> (= inline.IsListEmpty.2.myNondetVar_0.1 inline.IsListEmpty.2.myNondetVar_0.0) (=> ?v_4618 (=> ?v_4619 (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0) (=> ?v_4621 (=> ?v_4622 (=> ?v_4623 (=> ?v_4624 (=> ?v_4625 (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.4 inline.SerialGetNextIrpLocked.1.myVar_0.3) (=> ?v_4627 (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..1 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..0) (=> (= irpCompleted_1.22 irpCompleted_1.21) (=> ?v_4629 (=> ?v_4630 (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 1) (=> ?v_4632 (=> ?v_4633 (=> ?v_4634 (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..0) (=> ?v_4636 (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> ?v_4638 (=> (= Mem_0_T.P_IRP.30 Mem_0_T.P_IRP.29) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 1) (=> ?v_4640 (=> ?v_4641 (=> ?v_4642 (=> ?v_4643 (=> ?v_4644 (=> ?v_4645 (=> ?v_4646 (=> ?v_4647 (=> ?v_4648 (=> ?v_4649 (=> ?v_4650 (=> ?v_4651 (=> ?v_4652 (=> ?v_4653 (=> ?v_4654 (=> ?v_4655 (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call53678formal.new.0) (=> ?v_4657 (=> ?v_4658 (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.0 1) (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..0) (=> ?v_4661 (=> ?v_4662 (=> ?v_4663 (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> ?v_4665 (=> ?v_4666 (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..1) (=> (= cancelLockStatus_1.34 cancelLockStatus_1.33) (=> (= k.95 k.94) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.0 call53678formal.new.0) (=> ?v_4669 (=> ?v_4670 (=> ?v_4671 (=> ?v_4672 (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.0 call53678formal.new.0) (=> ?v_4674 (=> ?v_4675 (=> ?v_4676 (=> ?v_4677 (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_4679 (=> ?v_4680 (=> ?v_4681 (=> ?v_4682 (=> ?v_4683 (=> ?v_4684 (=> ?v_4685 (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..1) (=> ?v_4688 (=> ?v_4689 (=> ?v_4690 (=> ?v_4691 (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..0) (=> ?v_4693 (=> ?v_4694 (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.1.havoc_stringTemp.0) (=> ?v_4696 (=> ?v_4697 (=> (= Mem_0_T.CancelRoutine__IRP.51 Mem_0_T.CancelRoutine__IRP.50) (=> ?v_4698 (=> ?v_4699 (=> ?v_4700 (=> ?v_4701 (=> ?v_4702 (=> ?v_4703 (=> ?v_4704 (=> ?v_4705 (=> ?v_4706 (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> ?v_4709 (=> ?v_4710 (=> ?v_4711 (=> ?v_4712 (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2) ?v_4714))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4499 (=> true (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= irpCompleted_1.21 irpCompleted_1.3) (=> (= Mem_0_T.CancelRoutine__IRP.50 Mem_0_T.CancelRoutine__IRP.46) (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1.) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.) (=> (= irpCompleted_0.21 irpCompleted_0.3) (=> (= k.94 k.91) (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4.) (=> (= alloc.54 alloc.41) (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.2 inline.sdv_InterlockedDecrement.6.myNondetVar_0) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= errorReached.35 errorReached.32) (=> (= Mem_1_T.CancelRoutine__IRP.50 Mem_1_T.CancelRoutine__IRP.46) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.1.havoc_stringTemp) (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1.) (=> true (=> true (=> true (=> true (=> true (=> true ?v_4498))))))))))))))))))))))))) (?v_4497 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2 0)) (?v_4482 (=> true (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.6.myNondetVar_0.1) (=> (= irpCompleted_1.21 irpCompleted_1.20) (=> (= Mem_0_T.CancelRoutine__IRP.50 Mem_0_T.CancelRoutine__IRP.49) (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..0) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..0) (=> (= irpCompleted_0.21 irpCompleted_0.20) (=> (= k.94 k.93) (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..0) (=> (= alloc.54 alloc.53) (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.2 inline.sdv_InterlockedDecrement.6.myNondetVar_0.1) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= errorReached.35 errorReached.34) (=> (= Mem_1_T.CancelRoutine__IRP.50 Mem_1_T.CancelRoutine__IRP.49) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.6.myNondetVar_0.1) (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.0 call58081formal.new.0) (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.6.myNondetVar_0.1) ?v_4498))))))))))))))))))) (?v_4481 (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.1 0))) (let ((?v_4496 (and (=> true (=> (not ?v_4481) (=> true (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.) ?v_4482)))) (=> true (=> ?v_4481 (=> true (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..0 call58284formal.ret.0) (=> true (=> true (=> true ?v_4482))))))))) (?v_4495 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2 hirp))) (let ((?v_4484 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.49 Mem_0_T.CancelRoutine__IRP.48) (=> (= Mem_1_T.CancelRoutine__IRP.49 Mem_1_T.CancelRoutine__IRP.48) (=> (= irpCompleted_0.20 irpCompleted_0.19) (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..0 call58114formal.ret.0) (=> (= k.93 k.92) (=> (= irpCompleted_1.20 irpCompleted_1.19) (=> (= errorReached.34 errorReached.33) ?v_4496))))))))) (?v_4485 (= irpCompleted_1.19 irpCompleted_1.3))) (let ((?v_4486 (=> (= irpCompleted_0.19 irpCompleted_0.3) (=> true ?v_4484))) (?v_4483 (= k.92 1))) (let ((?v_4490 (not ?v_4483)) (?v_4479 (= k.92 0))) (let ((?v_4487 (not ?v_4479))) (let ((?v_4489 (and (=> true (=> ?v_4479 (=> true (=> ?v_4485 (=> (= irpCompleted_0.19 1) ?v_4484))))) (=> true (=> ?v_4487 (and (=> true (=> ?v_4483 (=> true (=> (= irpCompleted_1.19 1) ?v_4486)))) (=> true (=> ?v_4490 (=> true (=> ?v_4485 ?v_4486)))))))))) (let ((?v_4493 (=> true (=> true ?v_4489))) (?v_4491 (= Mem_0_T.CancelRoutine__IRP.48 Mem_0_T.CancelRoutine__IRP.46)) (?v_4492 (= Mem_1_T.CancelRoutine__IRP.48 Mem_1_T.CancelRoutine__IRP.46)) (?v_4488 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2)))) (let ((?v_4494 (and (=> true (=> ?v_4479 (=> (= Mem_0_T.CancelRoutine__IRP.47 (MapType0Store Mem_0_T.CancelRoutine__IRP.46 ?v_4488 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.48 Mem_0_T.CancelRoutine__IRP.47) (=> ?v_4492 ?v_4489)))))) (=> true (=> ?v_4487 (and (=> true (=> ?v_4483 (=> (= Mem_1_T.CancelRoutine__IRP.47 (MapType0Store Mem_1_T.CancelRoutine__IRP.46 ?v_4488 ?v_38)) (=> true (=> ?v_4491 (=> (= Mem_1_T.CancelRoutine__IRP.48 Mem_1_T.CancelRoutine__IRP.47) ?v_4493)))))) (=> true (=> ?v_4490 (=> true (=> ?v_4491 (=> ?v_4492 ?v_4493)))))))))) (?v_4478 (int_2_U call58081formal.new.0))) (let ((?v_4500 (and (=> true (=> ?v_1304 (and (=> true (=> (not ?v_4497) (=> true (and ?v_8 (=> ?v_8 (=> (> call58081formal.new.0 0) (=> (forall ((?x1661 Int)) (! (=> (and (<= call58081formal.new.0 ?x1661) (< ?x1661 (+ call58081formal.new.0 1))) (= (Base ?x1661) call58081formal.new.0)) :pattern ((Base ?x1661)) )) (=> (forall ((?x1662 boogieU)) (! (=> (= (type ?x1662) intType) (or (= (U_2_int ?x1662) call58081formal.new.0) (= (MapType0Select alloc.41 ?x1662) (MapType0Select alloc.53 ?x1662)))) :pattern ((MapType0Select alloc.53 ?x1662)) )) (=> (and (= (MapType0Select alloc.41 ?v_4478) UNALLOCATED) (= (MapType0Select alloc.53 ?v_4478) ALLOCATED)) (and (=> true (=> ?v_4495 (=> true (=> (<= k.91 k.92) (=> (< k.92 2) (and (=> true (=> (=> ?v_4479 ?v_3010) (=> (=> ?v_4483 ?v_3011) (=> true (=> (= errorReached.33 1) ?v_4494))))) (=> true (=> (=> ?v_4479 ?v_2997) (=> (=> ?v_4483 ?v_2998) (=> true (=> (= errorReached.33 errorReached.32) (=> true ?v_4494)))))))))))) (=> true (=> (not ?v_4495) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.49 Mem_0_T.CancelRoutine__IRP.46) (=> (= Mem_1_T.CancelRoutine__IRP.49 Mem_1_T.CancelRoutine__IRP.46) (=> (= irpCompleted_0.20 irpCompleted_0.3) (=> (= inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.3..result.userContextSwitch.2077.4.1.) (=> (= k.93 k.91) (=> (= irpCompleted_1.20 irpCompleted_1.3) (=> (= errorReached.34 errorReached.32) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4496))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_4497 ?v_4499))))) (=> true (=> ?v_406 ?v_4499)))) (?v_4502 (= cancelLockStatus_1.33 cancelLockStatus_1.22))) (let ((?v_4503 (=> (= cancelLockStatus_0.33 cancelLockStatus_0.22) (=> true (=> true (=> true (=> true (=> true ?v_4500))))))) (?v_4501 (= k.91 1))) (let ((?v_4506 (not ?v_4501)) (?v_4477 (= k.91 0))) (let ((?v_4504 (not ?v_4477))) (let ((?v_4505 (and (=> true (=> ?v_4477 (=> true (=> ?v_4502 (=> (= cancelLockStatus_0.33 0) ?v_4500))))) (=> true (=> ?v_4504 (and (=> true (=> ?v_4501 (=> true (=> (= cancelLockStatus_1.33 0) ?v_4503)))) (=> true (=> ?v_4506 (=> true (=> ?v_4502 ?v_4503)))))))))) (let ((?v_4509 (=> true (=> true (=> true (=> true (=> true (=> true ?v_4505))))))) (?v_4507 (= Mem_0_T.P_IRP.29 Mem_0_T.P_IRP.27)) (?v_4508 (= Mem_1_T.P_IRP.29 Mem_1_T.P_IRP.27))) (let ((?v_4520 (=> true (=> (<= k.90 k.91) (=> (< k.91 2) (and (=> true (=> ?v_4477 (=> (= Mem_0_T.P_IRP.28 (MapType0Store Mem_0_T.P_IRP.27 ?v_3726 (MapType0Select Mem_0_T.P_IRP.27 ?v_3730))) (=> true (=> (= Mem_0_T.P_IRP.29 Mem_0_T.P_IRP.28) (=> ?v_4508 ?v_4505)))))) (=> true (=> ?v_4504 (and (=> true (=> ?v_4501 (=> (= Mem_1_T.P_IRP.28 (MapType0Store Mem_1_T.P_IRP.27 ?v_3726 (MapType0Select Mem_1_T.P_IRP.27 ?v_3730))) (=> true (=> ?v_4507 (=> (= Mem_1_T.P_IRP.29 Mem_1_T.P_IRP.28) ?v_4509)))))) (=> true (=> ?v_4506 (=> true (=> ?v_4507 (=> ?v_4508 ?v_4509)))))))))))))) (let ((?v_4522 (=> true (=> (<= k.88 k.89) (=> (< k.89 2) (=> true (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= Mem_0_T.P_IRP.27 Mem_0_T.P_IRP.15) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.1.myVar_0.2) (=> (= Mem_0_T.CancelRoutine__IRP.46 Mem_0_T.CancelRoutine__IRP.45) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.1.myVar_0.2) (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.1.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..0 call58585formal.ret.0) (=> (= Mem_1_T.P_IRP.27 Mem_1_T.P_IRP.15) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= errorReached.32 errorReached.31) (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.1.myNondetVar_0.0) (=> (= inline.RemoveHeadList.1.myNondetVar_0.2 inline.RemoveHeadList.1.myNondetVar_0.1) (=> (= Mem_1_T.CancelRoutine__IRP.46 Mem_1_T.CancelRoutine__IRP.45) (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.1.myNondetVar_0.0) (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.3 inline.SerialGetNextIrpLocked.1.myVar_0.2) (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.1.myNondetVar_0.0) (=> (= k.90 k.89) ?v_4520)))))))))))))))))))))))) (let ((?v_4526 (=> true ?v_4522)) (?v_4524 (= Mem_0_T.CancelRoutine__IRP.45 Mem_0_T.CancelRoutine__IRP.27)) (?v_4525 (= Mem_1_T.CancelRoutine__IRP.45 Mem_1_T.CancelRoutine__IRP.27)) (?v_4523 (= k.88 1)) (?v_4519 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.1.myVar_0.2))) (?v_4521 (= k.88 0))) (let ((?v_4528 (=> true (=> (<= k.66 k.88) (=> (< k.88 2) (and (=> true (=> ?v_4521 (=> (= Mem_0_T.CancelRoutine__IRP.44 (MapType0Store Mem_0_T.CancelRoutine__IRP.27 ?v_4519 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.45 Mem_0_T.CancelRoutine__IRP.44) (=> ?v_4525 ?v_4522)))))) (=> true (=> (not ?v_4521) (and (=> true (=> ?v_4523 (=> (= Mem_1_T.CancelRoutine__IRP.44 (MapType0Store Mem_1_T.CancelRoutine__IRP.27 ?v_4519 ?v_38)) (=> true (=> ?v_4524 (=> (= Mem_1_T.CancelRoutine__IRP.45 Mem_1_T.CancelRoutine__IRP.44) ?v_4526)))))) (=> true (=> (not ?v_4523) (=> true (=> ?v_4524 (=> ?v_4525 ?v_4526)))))))))))))) (let ((?v_4530 (=> true (=> (= errorReached.31 errorReached.18) ?v_4528))) (?v_4529 (= inline.SerialGetNextIrpLocked.1.myVar_0.2 hirp)) (?v_4518 (= k.66 0)) (?v_4527 (= k.66 1))) (let ((?v_4531 (and (=> true (=> ?v_4529 (and (=> true (=> (=> ?v_4518 ?v_3010) (=> (=> ?v_4527 ?v_3011) (=> true (=> (= errorReached.31 1) ?v_4528))))) (=> true (=> (=> ?v_4518 ?v_2997) (=> (=> ?v_4527 ?v_2998) ?v_4530)))))) (=> true (=> (not ?v_4529) ?v_4530))))) (let ((?v_4532 (=> true (=> true ?v_4531)))) (let ((?v_4534 (=> true (=> (<= k.60 k.66) (=> (< k.66 2) (and (=> true (=> ?v_4518 (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.27 ?v_4519))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_4531))))) (=> true (=> (not ?v_4518) (and (=> true (=> ?v_4527 (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.27 ?v_4519))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_4532))))) (=> true (=> (not ?v_4527) (=> true (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_4532))))))))))))) (let ((?v_4535 (=> true (=> true (=> true (=> true ?v_4534))))) (?v_4467 (= k.60 1))) (let ((?v_4473 (not ?v_4467)) (?v_4533 (U_2_int (MapType0Select Mem_1_T.P_IRP.15 ?v_3730))) (?v_4163 (= k.60 0))) (let ((?v_4471 (not ?v_4163)) (?v_4517 (U_2_int (MapType0Select Mem_0_T.P_IRP.15 ?v_3730)))) (let ((?v_4537 (=> true (=> (=> ?v_4163 (not (= ?v_4517 hirp))) (=> (=> ?v_4467 (not (= ?v_4533 hirp))) (and (=> true (=> ?v_4163 (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.1 ?v_4517) (=> true (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.2 inline.SerialGetNextIrpLocked.1.myVar_0.1) ?v_4534))))) (=> true (=> ?v_4471 (and (=> true (=> ?v_4467 (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.0 ?v_4533) (=> true (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.2 inline.SerialGetNextIrpLocked.1.myVar_0.0) ?v_4535))))) (=> true (=> ?v_4473 (=> true (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.2 inline.SerialGetNextIrpLocked.1.myVar_0) ?v_4535))))))))))))) (let ((?v_4540 (=> true ?v_4537)) (?v_4538 (= Mem_0_T.P_IRP.15 Mem_0_T.P_IRP.1)) (?v_4539 (= Mem_1_T.P_IRP.15 Mem_1_T.P_IRP.1)) (?v_4536 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.1.myNondetVar_0.0 1 88))) (?v_4516 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0 0)) (?v_4511 (=> true (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= Mem_0_T.P_IRP.27 Mem_0_T.P_IRP.13) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= Mem_0_T.CancelRoutine__IRP.46 Mem_0_T.CancelRoutine__IRP.27) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2.) (=> (= inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.4..result.userContextSwitch.3313.2.3.) (=> (= Mem_1_T.P_IRP.27 Mem_1_T.P_IRP.13) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= errorReached.32 errorReached.18) (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.RemoveHeadList.1.myNondetVar_0.2 inline.RemoveHeadList.1.myNondetVar_0) (=> (= Mem_1_T.CancelRoutine__IRP.46 Mem_1_T.CancelRoutine__IRP.27) (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList) (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.3 inline.SerialGetNextIrpLocked.1.myVar_0) (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1.) (=> (= k.90 k.65) ?v_4520))))))))))))))))))))) (let ((?v_4515 (=> true ?v_4511)) (?v_4513 (= Mem_0_T.P_IRP.13 Mem_0_T.P_IRP.1)) (?v_4514 (= Mem_1_T.P_IRP.13 Mem_1_T.P_IRP.1)) (?v_4512 (= k.65 1)) (?v_4510 (= k.65 0))) (let ((?v_4541 (=> true (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.2.myNondetVar_0.0 0))) (and (=> true (=> (not ?v_4516) (=> true (=> (<= k.60 k.65) (=> (< k.65 2) (and (=> true (=> ?v_4510 (=> (= Mem_0_T.P_IRP.12 ?v_4719) (=> true (=> (= Mem_0_T.P_IRP.13 Mem_0_T.P_IRP.12) (=> ?v_4514 ?v_4511)))))) (=> true (=> (not ?v_4510) (and (=> true (=> ?v_4512 (=> (= Mem_1_T.P_IRP.12 ?v_4916) (=> true (=> ?v_4513 (=> (= Mem_1_T.P_IRP.13 Mem_1_T.P_IRP.12) ?v_4515)))))) (=> true (=> (not ?v_4512) (=> true (=> ?v_4513 (=> ?v_4514 ?v_4515)))))))))))))) (=> true (=> ?v_4516 (and (=> true (=> ?v_4163 (=> (= Mem_0_T.P_IRP.14 (MapType0Store Mem_0_T.P_IRP.1 ?v_3730 ?v_4536)) (=> true (=> (= Mem_0_T.P_IRP.15 Mem_0_T.P_IRP.14) (=> ?v_4539 ?v_4537)))))) (=> true (=> ?v_4471 (and (=> true (=> ?v_4467 (=> (= Mem_1_T.P_IRP.14 (MapType0Store Mem_1_T.P_IRP.1 ?v_3730 ?v_4536)) (=> true (=> ?v_4538 (=> (= Mem_1_T.P_IRP.15 Mem_1_T.P_IRP.14) ?v_4540)))))) (=> true (=> ?v_4473 (=> true (=> ?v_4538 (=> ?v_4539 ?v_4540)))))))))))))))) (let ((?v_4542 (=> true (=> true (=> true (=> true ?v_4541)))))) (let ((?v_4543 (and (=> true (=> ?v_4163 (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.0 ?v_3729) (=> true (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_4541))))) (=> true (=> ?v_4471 (and (=> true (=> ?v_4467 (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.1 ?v_4295) (=> true (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_4542))))) (=> true (=> ?v_4473 (=> true (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_4542))))))))) (?v_4544 (= cancelLockStatus_1.22 cancelLockStatus_1.20))) (let ((?v_4545 (=> (= cancelLockStatus_0.22 cancelLockStatus_0.20) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4543))))))))))) (?v_4164 (= cancelLockStatus_0.20 0)) (?v_4304 (= cancelLockStatus_1.20 0)) (?v_4476 (int_2_U call57739formal.new.0)) (?v_4475 (= 0 SerialGetNextWrite)) (?v_4173 (int_2_U call56651formal.new.0))) (let ((?v_4208 (=> true (and ?v_8 (=> ?v_8 (=> (> call56651formal.new.0 0) (=> (forall ((?x1665 Int)) (! (=> (and (<= call56651formal.new.0 ?x1665) (< ?x1665 (+ call56651formal.new.0 1))) (= (Base ?x1665) call56651formal.new.0)) :pattern ((Base ?x1665)) )) (=> (forall ((?x1666 boogieU)) (! (=> (= (type ?x1666) intType) (or (= (U_2_int ?x1666) call56651formal.new.0) (= (MapType0Select alloc.51 ?x1666) (MapType0Select alloc.52 ?x1666)))) :pattern ((MapType0Select alloc.52 ?x1666)) )) (=> (and (= (MapType0Select alloc.51 ?v_4173) UNALLOCATED) (= (MapType0Select alloc.52 ?v_4173) ALLOCATED)) (=> true (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_4549 (=> ?v_4550 (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.0 0) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.2) (=> ?v_4553 (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..0) (=> (= irpCompleted_0.22 irpCompleted_0.18) (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 0) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.0.myVar_0.2) (=> ?v_4561 (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.0) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.0 call53678formal.new.0) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.5 inline.sdv_InterlockedDecrement.5.myNondetVar_0.4) (=> ?v_4566 (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.0 call55230formal.new.0) (=> ?v_4570 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= Mem_1_T.P_IRP.30 Mem_1_T.P_IRP.26) (=> (= inline.sdv_IoAcquireCancelSpinLock.4..result.userContextSwitch.1645.2.1..0 call55686formal.ret.0) (=> ?v_4573 (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.0 call53678formal.new.0) (=> ?v_4575 (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.0 0) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.9 inline.KeSynchronizeExecution.2.myNondetVar_0.8) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.1) (=> ?v_4580 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= alloc.55 alloc.52) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.6 inline.SerialGetNextWrite.0.tempBoogie0.5) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.1) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call53678formal.new.0) (=> ?v_4587 (=> ?v_4588 (=> (= inline.SerialGetNextWrite.0.havoc_stringTemp.0 call56651formal.new.0) (=> ?v_4590 (=> ?v_4591 (=> ?v_4592 (=> (= Mem_1_T.CancelRoutine__IRP.51 Mem_1_T.CancelRoutine__IRP.43) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call53678formal.new.0) (=> ?v_4594 (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 0) (=> ?v_4597 (=> ?v_4598 (=> (= cancelLockStatus_0.34 cancelLockStatus_0.32) (=> ?v_4599 (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.4 inline.sdv_InterlockedIncrement.1.myNondetVar_0.3) (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.1) (=> ?v_4602 (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..1) (=> ?v_4604 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.8 inline.KeSynchronizeExecution.1.myNondetVar_0.7) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.0 0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..0) (=> ?v_4613 (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0) (=> (= errorReached.36 errorReached.30) (=> ?v_4615 (=> ?v_4616 (=> ?v_4617 (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..0) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> ?v_4620 (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.1) (=> (= inline.SerialGetNextIrp.0.myNondetVar_0.1 inline.SerialGetNextIrp.0.myNondetVar_0.0) (=> ?v_4626 (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.0 call53678formal.new.0) (=> ?v_4628 (=> (= irpCompleted_1.22 irpCompleted_1.18) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..1) (=> ?v_4631 (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 1) (=> ?v_4635 (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> ?v_4637 (=> (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 1) (=> (= Mem_0_T.P_IRP.30 Mem_0_T.P_IRP.26) (=> ?v_4639 (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.1) (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.4 inline.SerialGetNextIrpLocked.0.myVar_0.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.1) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0 0) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.0 call55655formal.new.0) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.0 call55236formal.new.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.RemoveHeadList.0.myNondetVar_0.3 inline.RemoveHeadList.0.myNondetVar_0.2) (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.0.havoc_stringTemp.0) (=> ?v_4656 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0 0) (=> ?v_4659 (=> ?v_4660 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.0 call53678formal.new.0) (=> ?v_4664 (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.4 inline.SerialGetNextWrite.0.myNondetVar_2.3) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.1) (=> ?v_4667 (=> (= cancelLockStatus_1.34 cancelLockStatus_1.32) (=> (= k.95 k.87) (=> ?v_4668 (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.0 call55227formal.new.0) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> ?v_4673 (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.3 inline.sdv_InterlockedDecrement.4.myNondetVar_0.2) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.0 0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> ?v_4678 (=> (= inline.SerialSetTimer.0.myNondetVar_0.7 inline.SerialSetTimer.0.myNondetVar_0.6) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.2) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextWrite.0.myVar_0.14 inline.SerialGetNextWrite.0.myVar_0.13) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> ?v_4686 (=> ?v_4687 (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.2) (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..0) (=> ?v_4692 (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.20 inline.SerialGetNextWrite.0.myNondetVar_0.19) (=> ?v_4695 (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= Mem_0_T.CancelRoutine__IRP.51 Mem_0_T.CancelRoutine__IRP.43) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.0.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.5 inline.SerialGetNextWrite.0.myNondetVar_1.4) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..0) (=> (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..0) (=> ?v_4707 (=> ?v_4708 (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.3) (=> (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.0 call55233formal.new.0) (=> (= inline.IsListEmpty.1.myNondetVar_0.1 inline.IsListEmpty.1.myNondetVar_0.0) (=> ?v_4713 ?v_4480))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4207 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1))) (let ((?v_4210 (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.13 inline.SerialGetNextWrite.0.myVar_0.9) (=> ?v_4207 (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialProcessEmptyTransmit) (=> (= k.87 k.86) (=> (= cancelLockStatus_0.32 cancelLockStatus_0.31) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialProcessEmptyTransmit) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.7 inline.KeSynchronizeExecution.1.myNondetVar_0.6) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= cancelLockStatus_1.32 cancelLockStatus_1.31) (=> (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..0 call56795formal.ret.0) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.19 inline.SerialGetNextWrite.0.myNondetVar_0.18) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) ?v_4208)))))))))))))))))) (?v_4212 (= cancelLockStatus_1.31 cancelLockStatus_1.30))) (let ((?v_4213 (=> (= cancelLockStatus_0.31 cancelLockStatus_0.30) (=> true (=> true (=> true (=> true ?v_4210)))))) (?v_4211 (= k.86 1)) (?v_4209 (= k.86 0))) (let ((?v_4214 (=> true (=> (<= k.84 k.86) (=> (< k.86 2) (and (=> true (=> ?v_4209 (=> true (=> ?v_4212 (=> (= cancelLockStatus_0.31 0) ?v_4210))))) (=> true (=> (not ?v_4209) (and (=> true (=> ?v_4211 (=> true (=> (= cancelLockStatus_1.31 0) ?v_4213)))) (=> true (=> (not ?v_4211) (=> true (=> ?v_4212 ?v_4213))))))))))))) (let ((?v_4215 (and (=> true (=> ?v_1027 (=> true (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.1..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.1..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.6 inline.KeSynchronizeExecution.1.myNondetVar_0.5) ?v_4214)))))) (=> true (=> ?v_119 (=> true (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.6 inline.KeSynchronizeExecution.1.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true ?v_4214)))))))))))))) (?v_4216 (= cancelLockStatus_1.30 cancelLockStatus_1.29))) (let ((?v_4217 (=> (= cancelLockStatus_0.30 cancelLockStatus_0.29) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4215))))))))))) (?v_4204 (= k.84 1)) (?v_4202 (= k.84 0)) (?v_4206 (= cancelLockStatus_0.29 0)) (?v_4239 (= cancelLockStatus_1.29 0)) (?v_4172 (U_2_int (MapType0Select Mem_0_T.P_IRP.26 ?v_3726)))) (let ((?v_4203 (= ?v_4172 0)) (?v_4198 (U_2_int (MapType0Select Mem_1_T.P_IRP.26 ?v_3726)))) (let ((?v_4205 (= ?v_4198 0)) (?v_4193 (= inline.SerialGetNextWrite.0.myVar_0.13 inline.SerialGetNextWrite.0.myVar_0.12)) (?v_4194 (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= k.87 k.85) (=> (= cancelLockStatus_0.32 cancelLockStatus_0.29) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.7 inline.KeSynchronizeExecution.1.myNondetVar_0) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.0.myVar_0.12) (=> (= cancelLockStatus_1.32 cancelLockStatus_1.29) (=> (= inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.9..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.19 inline.SerialGetNextWrite.0.myNondetVar_0.16) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.0.myVar_0.12) ?v_4208))))))))))))))) (?v_4192 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 9))) (let ((?v_4196 (and (=> true (=> ?v_4192 (=> true (=> ?v_4193 (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.2 1) ?v_4194))))) (=> true (=> (not ?v_4192) (=> true (=> ?v_4193 (=> ?v_4207 ?v_4194))))))) (?v_4195 (= inline.SerialGetNextWrite.0.myVar_0.12 hirp))) (let ((?v_4199 (and (=> true (=> ?v_4195 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4196)))) (=> true (=> (not ?v_4195) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4196))))))))))) (let ((?v_4201 (=> true (=> true (=> true (=> true ?v_4199))))) (?v_4200 (= k.85 1)) (?v_4197 (= k.85 0))) (let ((?v_4236 (and (=> true (=> (=> ?v_4202 (not ?v_4203)) (=> (=> ?v_4204 (not ?v_4205)) (=> true (=> (<= k.84 k.85) (=> (< k.85 2) (and (=> true (=> ?v_4197 (=> (= inline.SerialGetNextWrite.0.myVar_0.10 ?v_4172) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.12 inline.SerialGetNextWrite.0.myVar_0.10) ?v_4199))))) (=> true (=> (not ?v_4197) (and (=> true (=> ?v_4200 (=> (= inline.SerialGetNextWrite.0.myVar_0.11 ?v_4198) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.12 inline.SerialGetNextWrite.0.myVar_0.11) ?v_4201))))) (=> true (=> (not ?v_4200) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.12 inline.SerialGetNextWrite.0.myVar_0.9) ?v_4201)))))))))))))) (=> true (=> (=> ?v_4202 ?v_4203) (=> (=> ?v_4204 ?v_4205) (=> true (=> (=> ?v_4202 ?v_4206) (=> (=> ?v_4204 ?v_4239) (and (=> true (=> ?v_4202 (=> true (=> ?v_4216 (=> (= cancelLockStatus_0.30 1) ?v_4215))))) (=> true (=> (not ?v_4202) (and (=> true (=> ?v_4204 (=> true (=> (= cancelLockStatus_1.30 1) ?v_4217)))) (=> true (=> (not ?v_4204) (=> true (=> ?v_4216 ?v_4217))))))))))))))))) (let ((?v_4238 (=> true (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.2 inline.sdv_InterlockedDecrement.4.myNondetVar_0) (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= k.84 k.81) (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.0.havoc_stringTemp) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= Mem_0_T.CancelRoutine__IRP.43 Mem_0_T.CancelRoutine__IRP.39) (=> (= irpCompleted_1.18 irpCompleted_1.3) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.) (=> (= alloc.51 alloc.49) (=> (= errorReached.30 errorReached.27) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4.) (=> (= Mem_1_T.CancelRoutine__IRP.43 Mem_1_T.CancelRoutine__IRP.39) (=> (= irpCompleted_0.18 irpCompleted_0.3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4236))))))))))))))))))))))))) (?v_4237 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1 0)) (?v_4235 (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2 0)) (?v_4219 (=> true (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.2 inline.sdv_InterlockedDecrement.4.myNondetVar_0.1) (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.4.myNondetVar_0.1) (=> (= k.84 k.83) (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.4.myNondetVar_0.1) (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.4.myNondetVar_0.1) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.0 call55998formal.new.0) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= Mem_0_T.CancelRoutine__IRP.43 Mem_0_T.CancelRoutine__IRP.42) (=> (= irpCompleted_1.18 irpCompleted_1.17) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..0) (=> (= alloc.51 alloc.50) (=> (= errorReached.30 errorReached.29) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..0) (=> (= Mem_1_T.CancelRoutine__IRP.43 Mem_1_T.CancelRoutine__IRP.42) (=> (= irpCompleted_0.18 irpCompleted_0.17) ?v_4236)))))))))))))))))) (?v_4218 (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.1 0))) (let ((?v_4234 (and (=> true (=> (not ?v_4218) (=> true (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.) ?v_4219)))) (=> true (=> ?v_4218 (=> true (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..0 call56200formal.ret.0) (=> true (=> true (=> true ?v_4219))))))))) (?v_4233 (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2 hirp))) (let ((?v_4220 (=> true (=> (= irpCompleted_1.17 irpCompleted_1.16) (=> (= Mem_1_T.CancelRoutine__IRP.42 Mem_1_T.CancelRoutine__IRP.41) (=> (= irpCompleted_0.17 irpCompleted_0.16) (=> (= Mem_0_T.CancelRoutine__IRP.42 Mem_0_T.CancelRoutine__IRP.41) (=> (= k.83 k.82) (=> (= errorReached.29 errorReached.28) ?v_4234)))))))) (?v_4222 (= irpCompleted_1.16 irpCompleted_1.3))) (let ((?v_4223 (=> (= irpCompleted_0.16 irpCompleted_0.3) (=> true ?v_4220))) (?v_4221 (= k.82 1))) (let ((?v_4227 (not ?v_4221)) (?v_4171 (= k.82 0))) (let ((?v_4224 (not ?v_4171))) (let ((?v_4226 (and (=> true (=> ?v_4171 (=> true (=> ?v_4222 (=> (= irpCompleted_0.16 1) ?v_4220))))) (=> true (=> ?v_4224 (and (=> true (=> ?v_4221 (=> true (=> (= irpCompleted_1.16 1) ?v_4223)))) (=> true (=> ?v_4227 (=> true (=> ?v_4222 ?v_4223)))))))))) (let ((?v_4230 (=> true (=> true ?v_4226))) (?v_4228 (= Mem_0_T.CancelRoutine__IRP.41 Mem_0_T.CancelRoutine__IRP.39)) (?v_4229 (= Mem_1_T.CancelRoutine__IRP.41 Mem_1_T.CancelRoutine__IRP.39)) (?v_4225 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2)))) (let ((?v_4232 (=> true (=> (<= k.81 k.82) (=> (< k.82 2) (and (=> true (=> ?v_4171 (=> (= Mem_0_T.CancelRoutine__IRP.40 (MapType0Store Mem_0_T.CancelRoutine__IRP.39 ?v_4225 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.41 Mem_0_T.CancelRoutine__IRP.40) (=> ?v_4229 ?v_4226)))))) (=> true (=> ?v_4224 (and (=> true (=> ?v_4221 (=> (= Mem_1_T.CancelRoutine__IRP.40 (MapType0Store Mem_1_T.CancelRoutine__IRP.39 ?v_4225 ?v_38)) (=> true (=> ?v_4228 (=> (= Mem_1_T.CancelRoutine__IRP.41 Mem_1_T.CancelRoutine__IRP.40) ?v_4230)))))) (=> true (=> ?v_4227 (=> true (=> ?v_4228 (=> ?v_4229 ?v_4230))))))))))))) (?v_4169 (= k.81 0)) (?v_4231 (= k.81 1)) (?v_4170 (int_2_U call55998formal.new.0))) (let ((?v_4240 (and (=> true (=> (not ?v_4237) (and (=> true (=> (not ?v_4235) (=> true (and ?v_8 (=> ?v_8 (=> (> call55998formal.new.0 0) (=> (forall ((?x1667 Int)) (! (=> (and (<= call55998formal.new.0 ?x1667) (< ?x1667 (+ call55998formal.new.0 1))) (= (Base ?x1667) call55998formal.new.0)) :pattern ((Base ?x1667)) )) (=> (forall ((?x1668 boogieU)) (! (=> (= (type ?x1668) intType) (or (= (U_2_int ?x1668) call55998formal.new.0) (= (MapType0Select alloc.49 ?x1668) (MapType0Select alloc.50 ?x1668)))) :pattern ((MapType0Select alloc.50 ?x1668)) )) (=> (and (= (MapType0Select alloc.49 ?v_4170) UNALLOCATED) (= (MapType0Select alloc.50 ?v_4170) ALLOCATED)) (and (=> true (=> ?v_4233 (and (=> true (=> (=> ?v_4169 ?v_3010) (=> (=> ?v_4231 ?v_3011) (=> true (=> (= errorReached.28 1) ?v_4232))))) (=> true (=> (=> ?v_4169 ?v_2997) (=> (=> ?v_4231 ?v_2998) (=> true (=> (= errorReached.28 errorReached.27) ?v_4232)))))))) (=> true (=> (not ?v_4233) (=> true (=> (= irpCompleted_1.17 irpCompleted_1.3) (=> (= Mem_1_T.CancelRoutine__IRP.42 Mem_1_T.CancelRoutine__IRP.39) (=> (= irpCompleted_0.17 irpCompleted_0.3) (=> (= Mem_0_T.CancelRoutine__IRP.42 Mem_0_T.CancelRoutine__IRP.39) (=> (= k.83 k.81) (=> (= errorReached.29 errorReached.27) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4234)))))))))))))))))))))))))))))))))))) (=> true (=> ?v_4235 ?v_4238))))) (=> true (=> ?v_4237 ?v_4238)))) (?v_4241 (= cancelLockStatus_1.29 cancelLockStatus_1.28))) (let ((?v_4242 (=> (= cancelLockStatus_0.29 cancelLockStatus_0.28) (=> true (=> true (=> true (=> true (=> true ?v_4240))))))) (?v_4245 (not ?v_4231)) (?v_4243 (not ?v_4169))) (let ((?v_4244 (and (=> true (=> ?v_4169 (=> true (=> ?v_4241 (=> ?v_4206 ?v_4240))))) (=> true (=> ?v_4243 (and (=> true (=> ?v_4231 (=> true (=> ?v_4239 ?v_4242)))) (=> true (=> ?v_4245 (=> true (=> ?v_4241 ?v_4242)))))))))) (let ((?v_4248 (=> true (=> true (=> true (=> true (=> true (=> true ?v_4244))))))) (?v_4246 (= Mem_0_T.P_IRP.26 Mem_0_T.P_IRP.24)) (?v_4247 (= Mem_1_T.P_IRP.26 Mem_1_T.P_IRP.24))) (let ((?v_4259 (=> true (=> (<= k.80 k.81) (=> (< k.81 2) (and (=> true (=> ?v_4169 (=> (= Mem_0_T.P_IRP.25 (MapType0Store Mem_0_T.P_IRP.24 ?v_3726 (MapType0Select Mem_0_T.P_IRP.24 ?v_3730))) (=> true (=> (= Mem_0_T.P_IRP.26 Mem_0_T.P_IRP.25) (=> ?v_4247 ?v_4244)))))) (=> true (=> ?v_4243 (and (=> true (=> ?v_4231 (=> (= Mem_1_T.P_IRP.25 (MapType0Store Mem_1_T.P_IRP.24 ?v_3726 (MapType0Select Mem_1_T.P_IRP.24 ?v_3730))) (=> true (=> ?v_4246 (=> (= Mem_1_T.P_IRP.26 Mem_1_T.P_IRP.25) ?v_4248)))))) (=> true (=> ?v_4245 (=> true (=> ?v_4246 (=> ?v_4247 ?v_4248)))))))))))))) (let ((?v_4261 (=> true (=> (= inline.RemoveHeadList.0.myNondetVar_0.2 inline.RemoveHeadList.0.myNondetVar_0.1) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.0.myVar_0.2) (=> (= Mem_0_T.P_IRP.24 Mem_0_T.P_IRP.23) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.0.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= Mem_0_T.CancelRoutine__IRP.39 Mem_0_T.CancelRoutine__IRP.38) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= Mem_1_T.P_IRP.24 Mem_1_T.P_IRP.23) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.0.myNondetVar_0.0) (=> (= errorReached.27 errorReached.26) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.0.myNondetVar_0.0) (=> (= Mem_1_T.CancelRoutine__IRP.39 Mem_1_T.CancelRoutine__IRP.38) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.3 inline.SerialGetNextIrpLocked.0.myVar_0.2) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.0.myNondetVar_0.0) (=> (= k.80 k.79) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.0.myNondetVar_0.0) ?v_4259)))))))))))))))))))) (let ((?v_4264 (=> true (=> true (=> true (=> true (=> true (=> true ?v_4261))))))) (?v_4262 (= Mem_0_T.CancelRoutine__IRP.38 Mem_0_T.CancelRoutine__IRP.36)) (?v_4263 (= Mem_1_T.CancelRoutine__IRP.38 Mem_1_T.CancelRoutine__IRP.36)) (?v_4260 (= k.79 1))) (let ((?v_4270 (not ?v_4260)) (?v_4258 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.0.myVar_0.2))) (?v_4257 (= k.79 0))) (let ((?v_4268 (not ?v_4257))) (let ((?v_4265 (and (=> true (=> ?v_4257 (=> (= Mem_0_T.CancelRoutine__IRP.37 (MapType0Store Mem_0_T.CancelRoutine__IRP.36 ?v_4258 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.38 Mem_0_T.CancelRoutine__IRP.37) (=> ?v_4263 ?v_4261)))))) (=> true (=> ?v_4268 (and (=> true (=> ?v_4260 (=> (= Mem_1_T.CancelRoutine__IRP.37 (MapType0Store Mem_1_T.CancelRoutine__IRP.36 ?v_4258 ?v_38)) (=> true (=> ?v_4262 (=> (= Mem_1_T.CancelRoutine__IRP.38 Mem_1_T.CancelRoutine__IRP.37) ?v_4264)))))) (=> true (=> ?v_4270 (=> true (=> ?v_4262 (=> ?v_4263 ?v_4264))))))))))) (let ((?v_4267 (=> true (=> (= errorReached.26 errorReached.25) (=> true ?v_4265)))) (?v_4266 (= inline.SerialGetNextIrpLocked.0.myVar_0.2 hirp))) (let ((?v_4269 (and (=> true (=> ?v_4266 (and (=> true (=> (=> ?v_4257 ?v_3010) (=> (=> ?v_4260 ?v_3011) (=> true (=> (= errorReached.26 1) ?v_4265))))) (=> true (=> (=> ?v_4257 ?v_2997) (=> (=> ?v_4260 ?v_2998) ?v_4267)))))) (=> true (=> (not ?v_4266) ?v_4267))))) (let ((?v_4271 (=> true (=> true ?v_4269)))) (let ((?v_4273 (and (=> true (=> ?v_4257 (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.36 ?v_4258))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_4269))))) (=> true (=> ?v_4268 (and (=> true (=> ?v_4260 (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.36 ?v_4258))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_4271))))) (=> true (=> ?v_4270 (=> true (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_4271)))))))))) (let ((?v_4274 (=> true (=> true (=> true (=> true (=> true ?v_4273)))))) (?v_4272 (U_2_int (MapType0Select Mem_1_T.P_IRP.23 ?v_3730))) (?v_4256 (U_2_int (MapType0Select Mem_0_T.P_IRP.23 ?v_3730))) (?v_4255 (= k.78 0)) (?v_4275 (= k.78 1))) (let ((?v_4277 (=> true (=> (=> ?v_4255 (not (= ?v_4256 hirp))) (=> (=> ?v_4275 (not (= ?v_4272 hirp))) (=> true (=> (<= k.78 k.79) (=> (< k.79 2) (and (=> true (=> ?v_4257 (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.0 ?v_4256) (=> true (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.2 inline.SerialGetNextIrpLocked.0.myVar_0.0) ?v_4273))))) (=> true (=> ?v_4268 (and (=> true (=> ?v_4260 (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.1 ?v_4272) (=> true (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.2 inline.SerialGetNextIrpLocked.0.myVar_0.1) ?v_4274))))) (=> true (=> ?v_4270 (=> true (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.2 inline.SerialGetNextIrpLocked.0.myVar_0) ?v_4274)))))))))))))))) (let ((?v_4280 (=> true ?v_4277)) (?v_4278 (= Mem_0_T.P_IRP.23 Mem_0_T.P_IRP.19)) (?v_4279 (= Mem_1_T.P_IRP.23 Mem_1_T.P_IRP.19)) (?v_4276 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.0.myNondetVar_0.0 1 88))) (?v_4254 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0 0)) (?v_4250 (=> true (=> (= inline.RemoveHeadList.0.myNondetVar_0.2 inline.RemoveHeadList.0.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= Mem_0_T.P_IRP.24 Mem_0_T.P_IRP.21) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= Mem_0_T.CancelRoutine__IRP.39 Mem_0_T.CancelRoutine__IRP.36) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= Mem_1_T.P_IRP.24 Mem_1_T.P_IRP.21) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= errorReached.27 errorReached.25) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.) (=> (= Mem_1_T.CancelRoutine__IRP.39 Mem_1_T.CancelRoutine__IRP.36) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.3 inline.SerialGetNextIrpLocked.0.myVar_0) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2.) (=> (= k.80 k.77) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList) ?v_4259)))))))))))))))))))) (let ((?v_4253 (=> true ?v_4250)) (?v_4251 (= Mem_0_T.P_IRP.21 Mem_0_T.P_IRP.19)) (?v_4252 (= Mem_1_T.P_IRP.21 Mem_1_T.P_IRP.19)) (?v_4249 (= k.77 1))) (let ((?v_4283 (not ?v_4249)) (?v_4168 (= k.77 0))) (let ((?v_4281 (not ?v_4168))) (let ((?v_4282 (=> true (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.1.myNondetVar_0.0 0))) (and (=> true (=> (not ?v_4254) (and (=> true (=> ?v_4168 (=> (= Mem_0_T.P_IRP.20 (MapType0Store Mem_0_T.P_IRP.19 ?v_3730 ?v_38)) (=> true (=> (= Mem_0_T.P_IRP.21 Mem_0_T.P_IRP.20) (=> ?v_4252 ?v_4250)))))) (=> true (=> ?v_4281 (and (=> true (=> ?v_4249 (=> (= Mem_1_T.P_IRP.20 (MapType0Store Mem_1_T.P_IRP.19 ?v_3730 ?v_38)) (=> true (=> ?v_4251 (=> (= Mem_1_T.P_IRP.21 Mem_1_T.P_IRP.20) ?v_4253)))))) (=> true (=> ?v_4283 (=> true (=> ?v_4251 (=> ?v_4252 ?v_4253))))))))))) (=> true (=> ?v_4254 (=> true (=> (<= k.77 k.78) (=> (< k.78 2) (and (=> true (=> ?v_4255 (=> (= Mem_0_T.P_IRP.22 (MapType0Store Mem_0_T.P_IRP.19 ?v_3730 ?v_4276)) (=> true (=> (= Mem_0_T.P_IRP.23 Mem_0_T.P_IRP.22) (=> ?v_4279 ?v_4277)))))) (=> true (=> (not ?v_4255) (and (=> true (=> ?v_4275 (=> (= Mem_1_T.P_IRP.22 (MapType0Store Mem_1_T.P_IRP.19 ?v_3730 ?v_4276)) (=> true (=> ?v_4278 (=> (= Mem_1_T.P_IRP.23 Mem_1_T.P_IRP.22) ?v_4280)))))) (=> true (=> (not ?v_4275) (=> true (=> ?v_4278 (=> ?v_4279 ?v_4280))))))))))))))))))) (let ((?v_4284 (=> true (=> true (=> true (=> true ?v_4282)))))) (let ((?v_4285 (and (=> true (=> ?v_4168 (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.0 (U_2_int (MapType0Select Mem_0_T.P_IRP.19 ?v_3730))) (=> true (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_4282))))) (=> true (=> ?v_4281 (and (=> true (=> ?v_4249 (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.1 (U_2_int (MapType0Select Mem_1_T.P_IRP.19 ?v_3730))) (=> true (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_4284))))) (=> true (=> ?v_4283 (=> true (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_4284))))))))) (?v_4286 (= cancelLockStatus_1.28 cancelLockStatus_1.27))) (let ((?v_4287 (=> (= cancelLockStatus_0.28 cancelLockStatus_0.27) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4285))))))))))) (?v_4167 (int_2_U call55655formal.new.0))) (let ((?v_4306 (=> true (and ?v_8 (=> ?v_8 (=> (> call55655formal.new.0 0) (=> (forall ((?x1669 Int)) (! (=> (and (<= call55655formal.new.0 ?x1669) (< ?x1669 (+ call55655formal.new.0 1))) (= (Base ?x1669) call55655formal.new.0)) :pattern ((Base ?x1669)) )) (=> (forall ((?x1670 boogieU)) (! (=> (= (type ?x1670) intType) (or (= (U_2_int ?x1670) call55655formal.new.0) (= (MapType0Select alloc.48 ?x1670) (MapType0Select alloc.49 ?x1670)))) :pattern ((MapType0Select alloc.49 ?x1670)) )) (=> (and (= (MapType0Select alloc.48 ?v_4167) UNALLOCATED) (= (MapType0Select alloc.49 ?v_4167) ALLOCATED)) (=> true (=> (<= k.76 k.77) (=> (< k.77 2) (=> true (=> (=> ?v_4168 (= cancelLockStatus_0.27 0)) (=> (=> ?v_4249 (= cancelLockStatus_1.27 0)) (and (=> true (=> ?v_4168 (=> true (=> ?v_4286 (=> (= cancelLockStatus_0.28 1) ?v_4285))))) (=> true (=> ?v_4281 (and (=> true (=> ?v_4249 (=> true (=> (= cancelLockStatus_1.28 1) ?v_4287)))) (=> true (=> ?v_4283 (=> true (=> ?v_4286 ?v_4287))))))))))))))))))))))) (let ((?v_4463 (=> true (=> true ?v_4306))) (?v_4415 (= alloc.48 alloc.43)) (?v_4416 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_4417 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4418 (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1.)) (?v_4419 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_4420 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.0.myVar_0.5)) (?v_4421 (= Mem_1_T.P_IRP.19 Mem_1_T.P_IRP.1)) (?v_4422 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_4423 (= inline.KeSynchronizeExecution.2.myNondetVar_0.8 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_4424 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_4425 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4426 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4427 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_4428 (= Mem_1_T.CancelRoutine__IRP.36 Mem_1_T.CancelRoutine__IRP.27)) (?v_4429 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4430 (= inline.SerialSetTimer.0.myNondetVar_0.6 inline.SerialSetTimer.0.myNondetVar_0)) (?v_4431 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4432 (= errorReached.25 errorReached.18)) (?v_4433 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_4434 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4435 (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_4436 (= inline.SerialGetNextWrite.0.myNondetVar_2.3 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_4437 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4438 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_4439 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.4 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_4440 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_4441 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4442 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1 1)) (?v_4443 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4444 (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1.)) (?v_4445 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4446 (= Mem_0_T.CancelRoutine__IRP.36 Mem_0_T.CancelRoutine__IRP.27)) (?v_4447 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4448 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4449 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.0.myVar_0.5)) (?v_4450 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite)) (?v_4451 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4452 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_4453 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_4454 (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4455 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.3 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_4456 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_4457 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_4458 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite)) (?v_4459 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4460 (= Mem_0_T.P_IRP.19 Mem_0_T.P_IRP.1)) (?v_4461 (= inline.SerialGetNextWrite.0.myVar_0.9 inline.SerialGetNextWrite.0.myVar_0.5)) (?v_4462 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4414 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 14))) (let ((?v_4308 (=> true (=> (= alloc.48 alloc.47) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_4418 (=> (= cancelLockStatus_0.27 cancelLockStatus_0.26) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.0) (=> ?v_4420 (=> (= Mem_1_T.P_IRP.19 Mem_1_T.P_IRP.18) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.0) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.8 inline.KeSynchronizeExecution.2.myNondetVar_0.7) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_4426 (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.0) (=> (= Mem_1_T.CancelRoutine__IRP.36 Mem_1_T.CancelRoutine__IRP.35) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialSetTimer.0.myNondetVar_0.6 inline.SerialSetTimer.0.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= errorReached.25 errorReached.24) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> ?v_4435 (=> (= k.76 k.75) (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.3 inline.SerialGetNextWrite.0.myNondetVar_2.2) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.0) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.16 inline.SerialGetNextWrite.0.myNondetVar_0.15) (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.4 inline.sdv_InterlockedDecrement.5.myNondetVar_0.3) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.0) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.6..result.userContextSwitch.1645.2.1..0 call56860formal.ret.0) (=> ?v_4445 (=> (= Mem_0_T.CancelRoutine__IRP.36 Mem_0_T.CancelRoutine__IRP.35) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_4449 (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2) (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.5 inline.SerialGetNextWrite.0.tempBoogie0.4) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.4 inline.SerialGetNextWrite.0.myNondetVar_1.3) (=> ?v_4452 (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.0) (=> ?v_4454 (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.3 inline.sdv_InterlockedIncrement.1.myNondetVar_0.2) (=> (= cancelLockStatus_1.27 cancelLockStatus_1.26) (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..0) (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.0) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= Mem_0_T.P_IRP.19 Mem_0_T.P_IRP.18) (=> ?v_4461 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) ?v_4463)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4310 (= cancelLockStatus_1.26 cancelLockStatus_1.23))) (let ((?v_4311 (=> (= cancelLockStatus_0.26 cancelLockStatus_0.23) (=> true (=> true (=> true (=> true ?v_4308)))))) (?v_4309 (= k.75 1)) (?v_4307 (= k.75 0))) (let ((?v_4354 (and (=> true (=> ?v_4307 (=> true (=> ?v_4310 (=> (= cancelLockStatus_0.26 0) ?v_4308))))) (=> true (=> (not ?v_4307) (and (=> true (=> ?v_4309 (=> true (=> (= cancelLockStatus_1.26 0) ?v_4311)))) (=> true (=> (not ?v_4309) (=> true (=> ?v_4310 ?v_4311)))))))))) (let ((?v_4362 (=> true (=> true (=> true (=> true (=> true ?v_4354)))))) (?v_4314 (= alloc.47 alloc.43)) (?v_4315 (= inline.SerialSetTimer.0.myNondetVar_0.5 inline.SerialSetTimer.0.myNondetVar_0)) (?v_4316 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_4317 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_4318 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.2 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_4366 (= Mem_1_T.P_IRP.18 Mem_1_T.P_IRP.17)) (?v_4367 (= inline.KeSynchronizeExecution.2.myNondetVar_0.7 inline.KeSynchronizeExecution.2.myNondetVar_0.6)) (?v_4321 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_4322 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4368 (= errorReached.24 errorReached.23)) (?v_4324 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_4369 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2)) (?v_4370 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGiveXoffToIsr)) (?v_4371 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGiveXoffToIsr)) (?v_4329 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4372 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialCancelCurrentXoff)) (?v_4373 (= Mem_1_T.CancelRoutine__IRP.35 Mem_1_T.CancelRoutine__IRP.34)) (?v_4374 (= k.75 k.74)) (?v_4375 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_4335 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_4336 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.3 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_4337 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_4338 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4376 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.0 0)) (?v_4377 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2)) (?v_4378 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2)) (?v_4379 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialCancelCurrentXoff)) (?v_4380 (= Mem_0_T.CancelRoutine__IRP.35 Mem_0_T.CancelRoutine__IRP.34)) (?v_4381 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.0)) (?v_4345 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_4382 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2)) (?v_4347 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_4383 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..0)) (?v_4384 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.0 2)) (?v_4351 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.))) (let ((?v_4385 (=> (= Mem_0_T.P_IRP.18 Mem_0_T.P_IRP.17) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2) ?v_4362)))) (let ((?v_4363 (=> true (=> (forall ((?r17 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.0.myNondetVar_1.2 ?r17) 0)) (not (= (BIT_BAND 4 ?r17) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.0.myNondetVar_2.1 4) ?r17) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.0.myNondetVar_0.12 4) ?r17)) )) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.3 (BIT_BOR inline.SerialGetNextWrite.0.myNondetVar_0.13 4)) (=> true (=> (= alloc.47 alloc.46) (=> (= inline.SerialSetTimer.0.myNondetVar_0.5 inline.SerialSetTimer.0.myNondetVar_0.4) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.0 call55236formal.new.0) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.2 inline.sdv_InterlockedIncrement.1.myNondetVar_0.1) (=> ?v_4366 (=> ?v_4367 (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2) (=> ?v_4368 (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.0 4) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.4 inline.SerialGetNextWrite.0.tempBoogie0.3) (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.14 inline.SerialGetNextWrite.0.myNondetVar_0.13) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.2 inline.SerialGetNextWrite.0.myNondetVar_2.1) (=> ?v_4375 (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.3 inline.sdv_InterlockedDecrement.5.myNondetVar_0.2) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.0 call57479formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2) (=> ?v_4376 (=> ?v_4377 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.0) (=> ?v_4382 (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.0 call57529formal.ret.0) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.3 inline.SerialGetNextWrite.0.myNondetVar_1.2) (=> ?v_4383 (=> ?v_4384 (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..0 call57529formal.ret.0) ?v_4385)))))))))))))))))))))))))))))))))))))))))))) (?v_4359 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2 hirp))) (let ((?v_4394 (not ?v_4359))) (let ((?v_4365 (and (=> true (=> ?v_4359 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4363)))) (=> true (=> ?v_4394 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4363)))))))))) (?v_4364 (= call57529formal.ret.0 0)) (?v_4361 (int_2_U call57479formal.new.0))) (let ((?v_4386 (and (=> true (=> (not (= inline.SerialGetNextWrite.0.myNondetVar_0.9 0)) (=> true (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.0 ?v_3954) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.0 ?v_4360) (=> true (and ?v_55 (=> ?v_55 (=> (> call57479formal.new.0 0) (=> (forall ((?x1671 Int)) (! (=> (and (<= call57479formal.new.0 ?x1671) (< ?x1671 (+ call57479formal.new.0 8))) (= (Base ?x1671) call57479formal.new.0)) :pattern ((Base ?x1671)) )) (=> (forall ((?x1672 boogieU)) (! (=> (= (type ?x1672) intType) (or (= (U_2_int ?x1672) call57479formal.new.0) (= (MapType0Select alloc.43 ?x1672) (MapType0Select alloc.46 ?x1672)))) :pattern ((MapType0Select alloc.46 ?x1672)) )) (=> (and (= (MapType0Select alloc.43 ?v_4361) UNALLOCATED) (= (MapType0Select alloc.46 ?v_4361) ALLOCATED)) (=> (= (Base call55236formal.new.0) call55236formal.new.0) (and (=> true (=> (not ?v_4364) (=> true (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.2 inline.sdv_InterlockedDecrement.5.myNondetVar_0.1) ?v_4365)))) (=> true (=> ?v_4364 (=> true (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.2 inline.sdv_InterlockedDecrement.5.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4365))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.11 0) (=> true (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4318 (=> ?v_4366 (=> ?v_4367 (=> ?v_4321 (=> ?v_4322 (=> ?v_4368 (=> ?v_4324 (=> (= inline.SerialGetNextWrite.0.tempBoogie0.4 inline.SerialGetNextWrite.0.tempBoogie0.2) (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.14 inline.SerialGetNextWrite.0.myNondetVar_0.11) (=> ?v_4329 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.2 inline.SerialGetNextWrite.0.myNondetVar_2.0) (=> ?v_4375 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4376 (=> ?v_4377 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4345 (=> ?v_4382 (=> ?v_4347 (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.3 inline.SerialGetNextWrite.0.myNondetVar_1.1) (=> ?v_4383 (=> ?v_4384 (=> ?v_4351 ?v_4385))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4389 (and (=> true (=> ?v_1181 (=> true (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.2..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.2..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.6 inline.KeSynchronizeExecution.2.myNondetVar_0.5) ?v_4386)))))) (=> true (=> ?v_291 (=> true (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.6 inline.KeSynchronizeExecution.2.myNondetVar_0) (=> true (=> true (=> true (=> true ?v_4386))))))))))))) (let ((?v_4393 (=> true (=> true (=> true (=> true (=> true (=> true ?v_4389))))))) (?v_4391 (= Mem_0_T.P_IRP.17 Mem_0_T.P_IRP.1)) (?v_4392 (= Mem_1_T.P_IRP.17 Mem_1_T.P_IRP.1)) (?v_4390 (= k.74 1)) (?v_4388 (int_2_U inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2)) (?v_4387 (= k.74 0))) (let ((?v_4395 (=> true (=> (forall ((?r18 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.0.myNondetVar_1.1 ?r18) 0)) (not (= (BIT_BAND 2 ?r18) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.0.myNondetVar_2.0 2) ?r18) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.0.myNondetVar_0.6 2) ?r18)) )) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.2 (BIT_BOR inline.SerialGetNextWrite.0.myNondetVar_0.7 2)) (=> true (=> (<= k.73 k.74) (=> (< k.74 2) (and (=> true (=> ?v_4387 (=> (= Mem_0_T.P_IRP.16 (MapType0Store Mem_0_T.P_IRP.1 ?v_3722 ?v_4388)) (=> true (=> (= Mem_0_T.P_IRP.17 Mem_0_T.P_IRP.16) (=> ?v_4392 ?v_4389)))))) (=> true (=> (not ?v_4387) (and (=> true (=> ?v_4390 (=> (= Mem_1_T.P_IRP.16 (MapType0Store Mem_1_T.P_IRP.1 ?v_3722 ?v_4388)) (=> true (=> ?v_4391 (=> (= Mem_1_T.P_IRP.17 Mem_1_T.P_IRP.16) ?v_4393)))))) (=> true (=> (not ?v_4390) (=> true (=> ?v_4391 (=> ?v_4392 ?v_4393))))))))))))))))) (let ((?v_4397 (and (=> true (=> ?v_4359 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4395)))) (=> true (=> ?v_4394 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4395))))))))))) (let ((?v_4401 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4397)))))))))))))) (?v_4399 (= Mem_0_T.CancelRoutine__IRP.34 Mem_0_T.CancelRoutine__IRP.27)) (?v_4400 (= Mem_1_T.CancelRoutine__IRP.34 Mem_1_T.CancelRoutine__IRP.27)) (?v_4398 (= k.73 1)) (?v_4358 (int_2_U (CancelRoutine__IRP inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2))) (?v_4396 (= k.73 0))) (let ((?v_4403 (=> true (=> (<= k.72 k.73) (=> (< k.73 2) (and (=> true (=> ?v_4396 (=> (= Mem_0_T.CancelRoutine__IRP.33 (MapType0Store Mem_0_T.CancelRoutine__IRP.27 ?v_4358 ?v_302)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.34 Mem_0_T.CancelRoutine__IRP.33) (=> ?v_4400 ?v_4397)))))) (=> true (=> (not ?v_4396) (and (=> true (=> ?v_4398 (=> (= Mem_1_T.CancelRoutine__IRP.33 (MapType0Store Mem_1_T.CancelRoutine__IRP.27 ?v_4358 ?v_302)) (=> true (=> ?v_4399 (=> (= Mem_1_T.CancelRoutine__IRP.34 Mem_1_T.CancelRoutine__IRP.33) ?v_4401)))))) (=> true (=> (not ?v_4398) (=> true (=> ?v_4399 (=> ?v_4400 ?v_4401)))))))))))))) (let ((?v_4404 (=> true (=> (= errorReached.23 errorReached.18) ?v_4403))) (?v_4357 (= k.72 0)) (?v_4402 (= k.72 1))) (let ((?v_4405 (and (=> true (=> ?v_4359 (and (=> true (=> (=> ?v_4357 ?v_3010) (=> (=> ?v_4402 ?v_3011) (=> true (=> (= errorReached.23 1) ?v_4403))))) (=> true (=> (=> ?v_4357 ?v_2997) (=> (=> ?v_4402 ?v_2998) ?v_4404)))))) (=> true (=> ?v_4394 ?v_4404))))) (let ((?v_4406 (=> true (=> true ?v_4405))) (?v_4305 (= k.69 0)) (?v_4313 (int_2_U (Cancel__IRP inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2)))) (let ((?v_4355 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP ?v_4313)) 0)) (?v_4312 (= k.69 1)) (?v_4356 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP ?v_4313)) 0)) (?v_4319 (= Mem_1_T.P_IRP.18 Mem_1_T.P_IRP.1)) (?v_4320 (= inline.KeSynchronizeExecution.2.myNondetVar_0.7 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_4323 (= errorReached.24 errorReached.18)) (?v_4325 (= inline.SerialGetNextWrite.0.tempBoogie0.4 inline.SerialGetNextWrite.0.tempBoogie0.1)) (?v_4326 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4327 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4328 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4330 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4331 (= Mem_1_T.CancelRoutine__IRP.35 Mem_1_T.CancelRoutine__IRP.27)) (?v_4332 (= k.75 k.69)) (?v_4333 (= inline.SerialGetNextWrite.0.myNondetVar_2.2 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_4334 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4339 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.0 1)) (?v_4340 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4341 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4342 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4343 (= Mem_0_T.CancelRoutine__IRP.35 Mem_0_T.CancelRoutine__IRP.27)) (?v_4344 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_4346 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4348 (= inline.SerialGetNextWrite.0.myNondetVar_1.3 inline.SerialGetNextWrite.0.myNondetVar_1)) (?v_4349 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_4350 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite)) (?v_4352 (= Mem_0_T.P_IRP.18 Mem_0_T.P_IRP.1)) (?v_4353 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation))) (let ((?v_4407 (=> true (=> (= inline.SerialGetNextWrite.0.tempBoogie0.1 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.0.myNondetVar_0.3 1 1)) (and (=> true (=> (not (= inline.SerialGetNextWrite.0.myNondetVar_0.5 0)) (=> true (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.14 inline.SerialGetNextWrite.0.myNondetVar_0.5) (=> ?v_4329 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4333 (=> ?v_4334 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 ?v_4354)))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.4 0) (and (=> true (=> (=> ?v_4305 (not ?v_4355)) (=> (=> ?v_4312 (not ?v_4356)) (=> true (=> ?v_4314 (=> ?v_4315 (=> ?v_4316 (=> ?v_4317 (=> ?v_4318 (=> ?v_4319 (=> ?v_4320 (=> ?v_4321 (=> ?v_4322 (=> ?v_4323 (=> ?v_4324 (=> ?v_4325 (=> ?v_4326 (=> ?v_4327 (=> ?v_4328 (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.14 inline.SerialGetNextWrite.0.myNondetVar_0.4) (=> ?v_4329 (=> ?v_4330 (=> ?v_4331 (=> ?v_4332 (=> ?v_4333 (=> ?v_4334 (=> ?v_4335 (=> ?v_4336 (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 ?v_4362))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (=> ?v_4305 ?v_4355) (=> (=> ?v_4312 ?v_4356) (=> true (=> (<= k.69 k.72) (=> (< k.72 2) (and (=> true (=> ?v_4357 (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.27 ?v_4358))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_4405))))) (=> true (=> (not ?v_4357) (and (=> true (=> ?v_4402 (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.27 ?v_4358))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_4406))))) (=> true (=> (not ?v_4402) (=> true (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_4406)))))))))))))))))))))) (let ((?v_4408 (=> true (=> true ?v_4407))) (?v_4411 (not ?v_4312)) (?v_4409 (not ?v_4305))) (let ((?v_4410 (and (=> true (=> ?v_4305 (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.0 ?v_3729) (=> true (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.0) ?v_4407))))) (=> true (=> ?v_4409 (and (=> true (=> ?v_4312 (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.1 ?v_4295) (=> true (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.1) ?v_4408))))) (=> true (=> ?v_4411 (=> true (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite) ?v_4408))))))))) (?v_4412 (= cancelLockStatus_1.23 cancelLockStatus_1.20))) (let ((?v_4413 (=> (= cancelLockStatus_0.23 cancelLockStatus_0.20) (=> true (=> true (=> true (=> true (=> true ?v_4410)))))))) (let ((?v_4465 (and (=> true (=> ?v_4414 (=> true (=> (<= k.60 k.69) (=> (< k.69 2) (=> true (=> (=> ?v_4305 ?v_4164) (=> (=> ?v_4312 ?v_4304) (and (=> true (=> ?v_4305 (=> true (=> ?v_4412 (=> (= cancelLockStatus_0.23 1) ?v_4410))))) (=> true (=> ?v_4409 (and (=> true (=> ?v_4312 (=> true (=> (= cancelLockStatus_1.23 1) ?v_4413)))) (=> true (=> ?v_4411 (=> true (=> ?v_4412 ?v_4413)))))))))))))))) (=> true (=> (not ?v_4414) (=> true (=> ?v_4415 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> (= cancelLockStatus_0.27 cancelLockStatus_0.20) (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> ?v_4428 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4432 (=> ?v_4433 (=> ?v_4434 (=> ?v_4435 (=> (= k.76 k.60) (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.16 inline.SerialGetNextWrite.0.myNondetVar_0) (=> ?v_4439 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> (= inline.SerialGetNextWrite.0.tempBoogie0.5 inline.SerialGetNextWrite.0.tempBoogie0) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.4 inline.SerialGetNextWrite.0.myNondetVar_1) (=> ?v_4452 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> (= cancelLockStatus_1.27 cancelLockStatus_1.20) (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 ?v_4463))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4464 (= inline.SerialGetNextWrite.0.myVar_0.5 hirp))) (let ((?v_4466 (and (=> true (=> ?v_4464 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4465)))) (=> true (=> (not ?v_4464) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4465))))))))))) (let ((?v_4468 (=> true (=> true (=> true (=> true ?v_4466))))) (?v_4303 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 4)) (?v_4288 (=> true (=> ?v_4415 (=> ?v_4416 (=> ?v_4417 (=> (= inline.sdv_IoAcquireCancelSpinLock.3..result.userContextSwitch.1645.2.1..0 call55456formal.ret.0) (=> (= cancelLockStatus_0.27 cancelLockStatus_0.25) (=> ?v_4419 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4424 (=> ?v_4425 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.0.myVar_0.8) (=> ?v_4427 (=> ?v_4428 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4432 (=> ?v_4433 (=> ?v_4434 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= k.76 k.71) (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.16 inline.SerialGetNextWrite.0.myNondetVar_0.1) (=> ?v_4439 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.0.myVar_0.8) (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> ?v_4450 (=> ?v_4451 (=> (= inline.SerialGetNextWrite.0.tempBoogie0.5 inline.SerialGetNextWrite.0.tempBoogie0.0) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.4 inline.SerialGetNextWrite.0.myNondetVar_1.0) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.) (=> ?v_4453 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_4455 (=> (= cancelLockStatus_1.27 cancelLockStatus_1.25) (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> (= inline.SerialGetNextWrite.0.myVar_0.9 inline.SerialGetNextWrite.0.myVar_0.8) (=> ?v_4462 ?v_4306)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4290 (= cancelLockStatus_1.25 cancelLockStatus_1.24))) (let ((?v_4291 (=> (= cancelLockStatus_0.25 cancelLockStatus_0.24) (=> true (=> true (=> true (=> true ?v_4288)))))) (?v_4289 (= k.71 1))) (let ((?v_4297 (not ?v_4289)) (?v_4166 (= k.71 0))) (let ((?v_4294 (not ?v_4166))) (let ((?v_4293 (=> true (=> (= inline.SerialGetNextWrite.0.tempBoogie0.0 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.0.myNondetVar_0.0 inline.SerialGetNextWrite.0.myNondetVar_1.0 1)) (and (=> true (=> ?v_4166 (=> true (=> ?v_4290 (=> (= cancelLockStatus_0.25 0) ?v_4288))))) (=> true (=> ?v_4294 (and (=> true (=> ?v_4289 (=> true (=> (= cancelLockStatus_1.25 0) ?v_4291)))) (=> true (=> ?v_4297 (=> true (=> ?v_4290 ?v_4291))))))))))) (?v_4292 (= inline.SerialGetNextWrite.0.myVar_0.8 hirp))) (let ((?v_4296 (and (=> true (=> ?v_4292 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4293)))) (=> true (=> (not ?v_4292) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true ?v_4293)))))))))) (let ((?v_4298 (=> true (=> true (=> true (=> true ?v_4296)))))) (let ((?v_4300 (=> true (=> (<= k.70 k.71) (=> (< k.71 2) (and (=> true (=> ?v_4166 (=> (= inline.SerialGetNextWrite.0.myVar_0.6 ?v_3729) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.8 inline.SerialGetNextWrite.0.myVar_0.6) ?v_4296))))) (=> true (=> ?v_4294 (and (=> true (=> ?v_4289 (=> (= inline.SerialGetNextWrite.0.myVar_0.7 ?v_4295) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.8 inline.SerialGetNextWrite.0.myVar_0.7) ?v_4298))))) (=> true (=> ?v_4297 (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.8 inline.SerialGetNextWrite.0.myVar_0.2) ?v_4298)))))))))))) (?v_4301 (= cancelLockStatus_1.24 cancelLockStatus_1.20))) (let ((?v_4302 (=> (= cancelLockStatus_0.24 cancelLockStatus_0.20) (=> true (=> true (=> true (=> true ?v_4300)))))) (?v_4299 (= k.70 1)) (?v_4165 (= k.70 0))) (let ((?v_4470 (and (=> true (=> ?v_4303 (=> true (=> (<= k.60 k.70) (=> (< k.70 2) (=> true (=> (=> ?v_4165 ?v_4164) (=> (=> ?v_4299 ?v_4304) (and (=> true (=> ?v_4165 (=> true (=> ?v_4301 (=> (= cancelLockStatus_0.24 1) ?v_4300))))) (=> true (=> (not ?v_4165) (and (=> true (=> ?v_4299 (=> true (=> (= cancelLockStatus_1.24 1) ?v_4302)))) (=> true (=> (not ?v_4299) (=> true (=> ?v_4301 ?v_4302)))))))))))))))) (=> true (=> (not ?v_4303) (and (=> true (=> ?v_4163 (=> (= inline.SerialGetNextWrite.0.myVar_0.3 ?v_3729) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.5 inline.SerialGetNextWrite.0.myVar_0.3) ?v_4466))))) (=> true (=> ?v_4471 (and (=> true (=> ?v_4467 (=> (= inline.SerialGetNextWrite.0.myVar_0.4 ?v_4295) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.5 inline.SerialGetNextWrite.0.myVar_0.4) ?v_4468))))) (=> true (=> ?v_4473 (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.5 inline.SerialGetNextWrite.0.myVar_0.2) ?v_4468)))))))))))) (?v_4469 (= inline.SerialGetNextWrite.0.myVar_0.2 hirp))) (let ((?v_4472 (and (=> true (=> ?v_4469 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4470)))) (=> true (=> (not ?v_4469) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4470))))))))))) (let ((?v_4474 (=> true (=> true (=> true (=> true ?v_4472))))) (?v_4162 (int_2_U call55270formal.new.0)) (?v_4158 (int_2_U call55227formal.new.0)) (?v_4159 (int_2_U call55230formal.new.0)) (?v_4160 (int_2_U call55233formal.new.0)) (?v_4161 (int_2_U call55236formal.new.0))) (let ((?v_4715 (and (=> true (=> ?v_4475 (=> true (and ?v_8 (=> ?v_8 (=> (> call55227formal.new.0 0) (=> (forall ((?x1675 Int)) (! (=> (and (<= call55227formal.new.0 ?x1675) (< ?x1675 (+ call55227formal.new.0 1))) (= (Base ?x1675) call55227formal.new.0)) :pattern ((Base ?x1675)) )) (=> (forall ((?x1676 boogieU)) (! (=> (= (type ?x1676) intType) (or (= (U_2_int ?x1676) call55227formal.new.0) (= (MapType0Select alloc.25 ?x1676) (MapType0Select alloc.37 ?x1676)))) :pattern ((MapType0Select alloc.37 ?x1676)) )) (=> (and (= (MapType0Select alloc.25 ?v_4158) UNALLOCATED) (= (MapType0Select alloc.37 ?v_4158) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call55230formal.new.0 0) (=> (forall ((?x1677 Int)) (! (=> (and (<= call55230formal.new.0 ?x1677) (< ?x1677 (+ call55230formal.new.0 1))) (= (Base ?x1677) call55230formal.new.0)) :pattern ((Base ?x1677)) )) (=> (forall ((?x1678 boogieU)) (! (=> (= (type ?x1678) intType) (or (= (U_2_int ?x1678) call55230formal.new.0) (= (MapType0Select alloc.37 ?x1678) (MapType0Select alloc.38 ?x1678)))) :pattern ((MapType0Select alloc.38 ?x1678)) )) (=> (and (= (MapType0Select alloc.37 ?v_4159) UNALLOCATED) (= (MapType0Select alloc.38 ?v_4159) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call55233formal.new.0 0) (=> (forall ((?x1679 Int)) (! (=> (and (<= call55233formal.new.0 ?x1679) (< ?x1679 (+ call55233formal.new.0 1))) (= (Base ?x1679) call55233formal.new.0)) :pattern ((Base ?x1679)) )) (=> (forall ((?x1680 boogieU)) (! (=> (= (type ?x1680) intType) (or (= (U_2_int ?x1680) call55233formal.new.0) (= (MapType0Select alloc.38 ?x1680) (MapType0Select alloc.39 ?x1680)))) :pattern ((MapType0Select alloc.39 ?x1680)) )) (=> (and (= (MapType0Select alloc.38 ?v_4160) UNALLOCATED) (= (MapType0Select alloc.39 ?v_4160) ALLOCATED)) (and ?v_55 (=> ?v_55 (=> (> call55236formal.new.0 0) (=> (forall ((?x1681 Int)) (! (=> (and (<= call55236formal.new.0 ?x1681) (< ?x1681 (+ call55236formal.new.0 8))) (= (Base ?x1681) call55236formal.new.0)) :pattern ((Base ?x1681)) )) (=> (forall ((?x1682 boogieU)) (! (=> (= (type ?x1682) intType) (or (= (U_2_int ?x1682) call55236formal.new.0) (= (MapType0Select alloc.39 ?x1682) (MapType0Select alloc.40 ?x1682)))) :pattern ((MapType0Select alloc.40 ?x1682)) )) (=> (and (= (MapType0Select alloc.39 ?v_4161) UNALLOCATED) (= (MapType0Select alloc.40 ?v_4161) ALLOCATED)) (=> true (and ?v_8 (=> ?v_8 (=> (> call55270formal.new.0 0) (=> (forall ((?x1673 Int)) (! (=> (and (<= call55270formal.new.0 ?x1673) (< ?x1673 (+ call55270formal.new.0 1))) (= (Base ?x1673) call55270formal.new.0)) :pattern ((Base ?x1673)) )) (=> (forall ((?x1674 boogieU)) (! (=> (= (type ?x1674) intType) (or (= (U_2_int ?x1674) call55270formal.new.0) (= (MapType0Select alloc.40 ?x1674) (MapType0Select alloc.43 ?x1674)))) :pattern ((MapType0Select alloc.43 ?x1674)) )) (=> (and (= (MapType0Select alloc.40 ?v_4162) UNALLOCATED) (= (MapType0Select alloc.43 ?v_4162) ALLOCATED)) (and (=> true (=> ?v_4163 (=> (= inline.SerialGetNextWrite.0.myVar_0.0 ?v_3729) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.2 inline.SerialGetNextWrite.0.myVar_0.0) ?v_4472))))) (=> true (=> ?v_4471 (and (=> true (=> ?v_4467 (=> (= inline.SerialGetNextWrite.0.myVar_0.1 ?v_4295) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.2 inline.SerialGetNextWrite.0.myVar_0.1) ?v_4474))))) (=> true (=> ?v_4473 (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.2 inline.SerialGetNextWrite.0.myVar_0) ?v_4474)))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4475) (and (=> true (=> ?v_4546 (=> true (and ?v_8 (=> ?v_8 (=> (> call57739formal.new.0 0) (=> (forall ((?x1663 Int)) (! (=> (and (<= call57739formal.new.0 ?x1663) (< ?x1663 (+ call57739formal.new.0 1))) (= (Base ?x1663) call57739formal.new.0)) :pattern ((Base ?x1663)) )) (=> (forall ((?x1664 boogieU)) (! (=> (= (type ?x1664) intType) (or (= (U_2_int ?x1664) call57739formal.new.0) (= (MapType0Select alloc.25 ?x1664) (MapType0Select alloc.41 ?x1664)))) :pattern ((MapType0Select alloc.41 ?x1664)) )) (=> (and (= (MapType0Select alloc.25 ?v_4476) UNALLOCATED) (= (MapType0Select alloc.41 ?v_4476) ALLOCATED)) (=> true (=> (=> ?v_4163 ?v_4164) (=> (=> ?v_4467 ?v_4304) (and (=> true (=> ?v_4163 (=> true (=> ?v_4544 (=> (= cancelLockStatus_0.22 1) ?v_4543))))) (=> true (=> ?v_4471 (and (=> true (=> ?v_4467 (=> true (=> (= cancelLockStatus_1.22 1) ?v_4545)))) (=> true (=> ?v_4473 (=> true (=> ?v_4544 ?v_4545)))))))))))))))))))) (=> true (=> (not ?v_4546) (=> true (and ?v_31 (=> ?v_31 (=> true (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_4553 (=> ?v_4554 (=> (= irpCompleted_0.22 irpCompleted_0.3) (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4571 (=> (= Mem_1_T.P_IRP.30 Mem_1_T.P_IRP.1) (=> ?v_4572 (=> ?v_4573 (=> ?v_4574 (=> ?v_4575 (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> ?v_4579 (=> ?v_4580 (=> ?v_4581 (=> (= alloc.55 alloc.25) (=> ?v_4582 (=> ?v_4583 (=> ?v_4584 (=> ?v_4585 (=> ?v_4586 (=> ?v_4587 (=> ?v_4588 (=> ?v_4589 (=> ?v_4590 (=> ?v_4591 (=> ?v_4592 (=> (= Mem_1_T.CancelRoutine__IRP.51 Mem_1_T.CancelRoutine__IRP.27) (=> ?v_4593 (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> ?v_4597 (=> ?v_4598 (=> (= cancelLockStatus_0.34 cancelLockStatus_0.20) (=> ?v_4599 (=> ?v_4600 (=> ?v_4601 (=> ?v_4602 (=> ?v_4603 (=> ?v_4604 (=> ?v_4605 (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> ?v_4609 (=> ?v_4610 (=> ?v_4611 (=> ?v_4612 (=> ?v_4613 (=> ?v_4614 (=> (= errorReached.36 errorReached.18) (=> ?v_4615 (=> ?v_4616 (=> ?v_4617 (=> ?v_4618 (=> ?v_4619 (=> ?v_4620 (=> ?v_4621 (=> ?v_4622 (=> ?v_4623 (=> ?v_4624 (=> ?v_4625 (=> ?v_4626 (=> ?v_4627 (=> ?v_4628 (=> (= irpCompleted_1.22 irpCompleted_1.3) (=> ?v_4629 (=> ?v_4630 (=> ?v_4631 (=> ?v_4632 (=> ?v_4633 (=> ?v_4634 (=> ?v_4635 (=> ?v_4636 (=> ?v_4637 (=> ?v_4638 (=> (= Mem_0_T.P_IRP.30 Mem_0_T.P_IRP.1) (=> ?v_4639 (=> ?v_4640 (=> ?v_4641 (=> ?v_4642 (=> ?v_4643 (=> ?v_4644 (=> ?v_4645 (=> ?v_4646 (=> ?v_4647 (=> ?v_4648 (=> ?v_4649 (=> ?v_4650 (=> ?v_4651 (=> ?v_4652 (=> ?v_4653 (=> ?v_4654 (=> ?v_4655 (=> ?v_4656 (=> ?v_4657 (=> ?v_4658 (=> ?v_4659 (=> ?v_4660 (=> ?v_4661 (=> ?v_4662 (=> ?v_4663 (=> ?v_4664 (=> ?v_4665 (=> ?v_4666 (=> ?v_4667 (=> (= cancelLockStatus_1.34 cancelLockStatus_1.20) (=> (= k.95 k.60) (=> ?v_4668 (=> ?v_4669 (=> ?v_4670 (=> ?v_4671 (=> ?v_4672 (=> ?v_4673 (=> ?v_4674 (=> ?v_4675 (=> ?v_4676 (=> ?v_4677 (=> ?v_4678 (=> ?v_4679 (=> ?v_4680 (=> ?v_4681 (=> ?v_4682 (=> ?v_4683 (=> ?v_4684 (=> ?v_4685 (=> ?v_4686 (=> ?v_4687 (=> ?v_4688 (=> ?v_4689 (=> ?v_4690 (=> ?v_4691 (=> ?v_4692 (=> ?v_4693 (=> ?v_4694 (=> ?v_4695 (=> ?v_4696 (=> ?v_4697 (=> (= Mem_0_T.CancelRoutine__IRP.51 Mem_0_T.CancelRoutine__IRP.27) (=> ?v_4698 (=> ?v_4699 (=> ?v_4700 (=> ?v_4701 (=> ?v_4702 (=> ?v_4703 (=> ?v_4704 (=> ?v_4705 (=> ?v_4706 (=> ?v_4707 (=> ?v_4708 (=> ?v_4709 (=> ?v_4710 (=> ?v_4711 (=> ?v_4712 (=> ?v_4713 ?v_4714))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4716 (= cancelLockStatus_1.20 cancelLockStatus_1.7))) (let ((?v_4717 (=> (= cancelLockStatus_0.20 cancelLockStatus_0.7) (=> true (=> true (=> true (=> true (=> true ?v_4715)))))))) (let ((?v_4927 (and (=> true (=> ?v_31 (=> true (=> (<= k.58 k.60) (=> (< k.60 2) (and (=> true (=> ?v_4163 (=> true (=> ?v_4716 (=> ?v_4164 ?v_4715))))) (=> true (=> ?v_4471 (and (=> true (=> ?v_4467 (=> true (=> ?v_4304 ?v_4717)))) (=> true (=> ?v_4473 (=> true (=> ?v_4716 ?v_4717))))))))))))) (=> true (=> ?v_0 (and (=> true (=> ?v_4718 (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.0 ?v_3729) (=> true (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.0) ?v_4923))))) (=> true (=> ?v_4922 (and (=> true (=> ?v_4918 (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.1 ?v_4295) (=> true (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.1) ?v_4925))))) (=> true (=> ?v_4924 (=> true (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent) ?v_4925)))))))))))) (?v_4926 (= 1073741832 ?v_953)) (?v_4154 (=> true (=> ?v_4722 (=> ?v_4723 (=> ?v_4724 (=> ?v_4725 (=> ?v_4726 (=> ?v_4727 (=> ?v_4728 (=> ?v_4729 (=> ?v_4730 (=> (= irpCompleted_0.23 irpCompleted_0.3) (=> ?v_4731 (=> ?v_4732 (=> ?v_4733 (=> ?v_4734 (=> ?v_4735 (=> ?v_4736 (=> ?v_4737 (=> ?v_4738 (=> (= irpCompleted_1.23 irpCompleted_1.3) (=> ?v_4739 (=> ?v_4740 (=> ?v_4741 (=> ?v_4742 (=> ?v_4743 (=> ?v_4174 (=> ?v_4175 (=> ?v_4744 (=> ?v_4745 (=> ?v_4746 (=> ?v_4747 (=> ?v_4748 (=> (= Mem_1_T.P_IRP.31 Mem_1_T.P_IRP.1) (=> ?v_4749 (=> ?v_4750 (=> ?v_4751 (=> ?v_4752 (=> ?v_4753 (=> ?v_4754 (=> ?v_4755 (=> ?v_4756 (=> ?v_4757 (=> ?v_4758 (=> (= alloc.56 alloc.25) (=> ?v_4759 (=> ?v_4760 (=> ?v_4761 (=> ?v_4762 (=> ?v_4763 (=> ?v_4176 (=> ?v_4764 (=> ?v_4765 (=> ?v_4766 (=> ?v_4767 (=> ?v_4768 (=> ?v_4769 (=> (= Mem_1_T.CancelRoutine__IRP.52 Mem_1_T.CancelRoutine__IRP.27) (=> ?v_4770 (=> ?v_4771 (=> ?v_4772 (=> ?v_4773 (=> ?v_4774 (=> ?v_4775 (=> (= cancelLockStatus_0.35 cancelLockStatus_0.19) (=> ?v_4776 (=> ?v_4177 (=> (= inline.sdv_IoReleaseCancelSpinLock.5..result.userContextSwitch.3151.2.1..0 call55073formal.ret.0) (=> ?v_4778 (=> ?v_4779 (=> ?v_4178 (=> ?v_4780 (=> ?v_4781 (=> ?v_4782 (=> ?v_4783 (=> ?v_4784 (=> ?v_4785 (=> ?v_4786 (=> ?v_4787 (=> ?v_4179 (=> ?v_4788 (=> ?v_4789 (=> ?v_4790 (=> ?v_4791 (=> ?v_4792 (=> (= errorReached.37 errorReached.18) (=> ?v_4793 (=> ?v_4794 (=> ?v_4180 (=> ?v_4795 (=> ?v_4796 (=> ?v_4797 (=> ?v_4798 (=> ?v_4799 (=> ?v_4800 (=> ?v_4801 (=> ?v_4802 (=> ?v_4803 (=> ?v_4804 (=> ?v_4805 (=> ?v_4806 (=> ?v_4807 (=> ?v_4808 (=> ?v_4181 (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.7 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.6) (=> ?v_4810 (=> ?v_4811 (=> ?v_4812 (=> ?v_4813 (=> ?v_4814 (=> ?v_4815 (=> ?v_4816 (=> ?v_4817 (=> ?v_4182 (=> (= Mem_0_T.P_IRP.31 Mem_0_T.P_IRP.1) (=> ?v_4818 (=> ?v_4819 (=> ?v_4820 (=> ?v_4821 (=> ?v_4822 (=> ?v_4183 (=> ?v_4823 (=> ?v_4824 (=> ?v_4825 (=> ?v_4826 (=> ?v_4827 (=> ?v_4828 (=> ?v_4829 (=> ?v_4830 (=> ?v_4831 (=> ?v_4832 (=> ?v_4833 (=> ?v_4834 (=> ?v_4835 (=> ?v_4836 (=> ?v_4837 (=> ?v_4838 (=> ?v_4839 (=> ?v_4840 (=> ?v_4841 (=> ?v_4842 (=> ?v_4843 (=> ?v_4844 (=> ?v_4845 (=> (= cancelLockStatus_1.35 cancelLockStatus_1.19) (=> (= k.96 k.59) (=> ?v_4846 (=> ?v_4847 (=> ?v_4848 (=> ?v_4849 (=> ?v_4850 (=> ?v_4851 (=> ?v_4852 (=> ?v_4853 (=> ?v_4854 (=> ?v_4855 (=> ?v_4856 (=> ?v_4857 (=> ?v_4858 (=> ?v_4184 (=> ?v_4859 (=> ?v_4860 (=> ?v_4861 (=> ?v_4862 (=> ?v_4863 (=> ?v_4864 (=> ?v_4865 (=> ?v_4866 (=> ?v_4867 (=> ?v_4868 (=> ?v_4869 (=> ?v_4870 (=> ?v_4871 (=> ?v_4872 (=> ?v_4873 (=> ?v_4874 (=> ?v_4875 (=> (= Mem_0_T.CancelRoutine__IRP.52 Mem_0_T.CancelRoutine__IRP.27) (=> ?v_4876 (=> ?v_4877 (=> ?v_4878 (=> ?v_4879 (=> ?v_4880 (=> ?v_4881 (=> ?v_4185 (=> ?v_4882 (=> ?v_4883 (=> ?v_4884 (=> ?v_4885 (=> ?v_4886 (=> ?v_4887 (=> ?v_4888 (=> ?v_4889 (=> ?v_4890 (=> ?v_4891 ?v_4186))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4156 (= cancelLockStatus_1.19 cancelLockStatus_1.7))) (let ((?v_4157 (=> (= cancelLockStatus_0.19 cancelLockStatus_0.7) (=> true (=> true (=> true (=> true ?v_4154)))))) (?v_4155 (= k.59 1)) (?v_4153 (= k.59 0))) (let ((?v_4929 (and (=> true (=> (not (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.6 0)) (=> true (=> (<= k.58 k.59) (=> (< k.59 2) (and (=> true (=> ?v_4153 (=> true (=> ?v_4156 (=> (= cancelLockStatus_0.19 0) ?v_4154))))) (=> true (=> (not ?v_4153) (and (=> true (=> ?v_4155 (=> true (=> (= cancelLockStatus_1.19 0) ?v_4157)))) (=> true (=> (not ?v_4155) (=> true (=> ?v_4156 ?v_4157))))))))))))) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.5 0) (and (=> true (=> ?v_4926 ?v_4927)) (=> true (=> (not ?v_4926) (=> true ?v_4927)))))))) (?v_4928 (= inline.SerialTryToCompleteCurrent.0.myVar_0.5 hirp))) (let ((?v_4930 (and (=> true (=> ?v_4928 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4929)))) (=> true (=> (not ?v_4928) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4929))))))))))) (let ((?v_4931 (=> true (=> true (=> true (=> true ?v_4930)))))) (let ((?v_4951 (and (=> true (=> ?v_4718 (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.4 ?v_3729) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.5 inline.SerialTryToCompleteCurrent.0.myVar_0.4) ?v_4930))))) (=> true (=> ?v_4922 (and (=> true (=> ?v_4918 (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.3 ?v_4295) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.5 inline.SerialTryToCompleteCurrent.0.myVar_0.3) ?v_4931))))) (=> true (=> ?v_4924 (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.5 inline.SerialTryToCompleteCurrent.0.myVar_0.2) ?v_4931)))))))))) (let ((?v_4966 (=> true (=> true (=> true (=> true ?v_4951))))) (?v_4956 (= inline.SerialRundownIrpRefs.0.myNondetVar_1.5 inline.SerialRundownIrpRefs.0.myNondetVar_1.3)) (?v_4957 (= inline.SerialRundownIrpRefs.0.myVar_0.14 inline.SerialRundownIrpRefs.0.myVar_0.10)) (?v_4958 (= inline.SerialRundownIrpRefs.0.myNondetVar_0.11 inline.SerialRundownIrpRefs.0.myNondetVar_0.7)) (?v_4959 (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs)) (?v_4960 (= inline.SerialRundownIrpRefs.0.tempBoogie0.5 inline.SerialRundownIrpRefs.0.tempBoogie0.3)) (?v_4961 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4962 (= inline.SerialRundownIrpRefs.0.myNondetVar_2.5 inline.SerialRundownIrpRefs.0.myNondetVar_2.3)) (?v_4963 (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4964 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4965 (= k.58 k.56)) (?v_4955 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 0)) (?v_4939 (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.0 call54645formal.ret.0)) (?v_4940 (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..0 call54645formal.ret.0)) (?v_4941 (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..0 call54645formal.ret.0)) (?v_4942 (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_4943 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0)) (?v_4944 (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_4945 (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..1)) (?v_4946 (= inline.SerialCancelTimer.1.myNondetVar_0.2 inline.SerialCancelTimer.1.myNondetVar_0.1)) (?v_4947 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0)) (?v_4948 (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.3 inline.sdv_InterlockedDecrement.3.myNondetVar_0.2)) (?v_4949 (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_4950 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..0 call54645formal.ret.0)) (?v_4938 (= call54645formal.ret.0 0))) (let ((?v_4933 (=> true (=> (forall ((?r19 Int)) (! (=> (and (= (POW2 ?r19) boolTrue) (= (POW2 4) boolTrue) (not (= ?r19 4))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_1.4 ?r19) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_2.4 ?v_43) ?r19) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.8 ?v_43) ?r19)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.9 ?v_43) 4) 0) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.4 (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.10 ?v_43)) (=> true (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.5 inline.SerialRundownIrpRefs.0.myNondetVar_1.4) (=> (= inline.SerialRundownIrpRefs.0.myVar_0.14 inline.SerialRundownIrpRefs.0.myVar_0.13) (=> ?v_4939 (=> ?v_4940 (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.11 inline.SerialRundownIrpRefs.0.myNondetVar_0.10) (=> (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.0 4) (=> ?v_4941 (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.5 inline.SerialRundownIrpRefs.0.tempBoogie0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.0.myVar_0.13) (=> ?v_4942 (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.5 inline.SerialRundownIrpRefs.0.myNondetVar_2.4) (=> ?v_4943 (=> ?v_4944 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_4945 (=> ?v_4946 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.0.myVar_0.13) (=> ?v_4947 (=> ?v_4948 (=> ?v_4949 (=> (= k.58 k.57) (=> ?v_4950 ?v_4951)))))))))))))))))))))))))))) (?v_4932 (= inline.SerialRundownIrpRefs.0.myVar_0.13 hirp))) (let ((?v_4935 (and (=> true (=> ?v_4932 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4933)))) (=> true (=> (not ?v_4932) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4933))))))))))) (let ((?v_4937 (=> true (=> true (=> true (=> true ?v_4935))))) (?v_4936 (= k.57 1)) (?v_4934 (= k.57 0)) (?v_3734 (not ?v_4938))) (let ((?v_4954 (and (=> true (=> ?v_3734 (=> true (=> (<= k.56 k.57) (=> (< k.57 2) (and (=> true (=> ?v_4934 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.11 ?v_3729) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.13 inline.SerialRundownIrpRefs.0.myVar_0.11) ?v_4935))))) (=> true (=> (not ?v_4934) (and (=> true (=> ?v_4936 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.12 ?v_4295) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.13 inline.SerialRundownIrpRefs.0.myVar_0.12) ?v_4937))))) (=> true (=> (not ?v_4936) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.13 inline.SerialRundownIrpRefs.0.myVar_0.10) ?v_4937))))))))))))) (=> true (=> ?v_4938 (=> true (=> ?v_4956 (=> ?v_4957 (=> ?v_4939 (=> ?v_4940 (=> ?v_4958 (=> ?v_4959 (=> ?v_4941 (=> ?v_4960 (=> ?v_4961 (=> ?v_4942 (=> ?v_4962 (=> ?v_4943 (=> ?v_4944 (=> ?v_4963 (=> ?v_4945 (=> ?v_4946 (=> ?v_4964 (=> ?v_4947 (=> ?v_4948 (=> ?v_4949 (=> ?v_4965 (=> ?v_4950 ?v_4966)))))))))))))))))))))))))))) (let ((?v_4953 (=> true (=> (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.3.myNondetVar_0.1) (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.3.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.3.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.2 inline.sdv_InterlockedDecrement.3.myNondetVar_0.1) (=> (= inline.SerialCancelTimer.1.myNondetVar_0.1 inline.SerialCancelTimer.1.myNondetVar_0.0) ?v_4954)))))))) (?v_4952 (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.1 0))) (let ((?v_4986 (and (=> true (=> (not ?v_4955) (and (=> true (=> ?v_3734 (and (=> true (=> (not ?v_4952) (=> true (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2.) ?v_4953)))) (=> true (=> ?v_4952 (=> true (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..0 call54726formal.ret.0) (=> true (=> true (=> true ?v_4953)))))))))) (=> true (=> ?v_4938 (=> true (=> (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.2 inline.sdv_InterlockedDecrement.3.myNondetVar_0) (=> (= inline.SerialCancelTimer.1.myNondetVar_0.1 inline.SerialCancelTimer.1.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true ?v_4954))))))))))))))))) (=> true (=> ?v_4955 (=> true (=> ?v_4956 (=> ?v_4957 (=> (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer) (=> (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..0 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1.) (=> ?v_4958 (=> ?v_4959 (=> (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2.) (=> ?v_4960 (=> ?v_4961 (=> (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1.) (=> ?v_4962 (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1) (=> (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1.) (=> ?v_4963 (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialCancelTimer.1.myNondetVar_0.2 inline.SerialCancelTimer.1.myNondetVar_0) (=> ?v_4964 (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.3 inline.sdv_InterlockedDecrement.3.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> ?v_4965 (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..0 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5.) ?v_4966))))))))))))))))))))))))))) (?v_4990 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4991 (= inline.SerialRundownIrpRefs.0.myVar_0.10 inline.SerialRundownIrpRefs.0.myVar_0.6)) (?v_4992 (= inline.SerialRundownIrpRefs.0.myNondetVar_0.7 inline.SerialRundownIrpRefs.0.myNondetVar_0.3)) (?v_4993 (= inline.SerialRundownIrpRefs.0.tempBoogie0.3 inline.SerialRundownIrpRefs.0.tempBoogie0.1)) (?v_4994 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4995 (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4996 (= inline.SerialRundownIrpRefs.0.myNondetVar_2.3 inline.SerialRundownIrpRefs.0.myNondetVar_2.1))) (let ((?v_4997 (=> (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.3 inline.SerialRundownIrpRefs.0.myNondetVar_1.1) (=> true ?v_4986)))) (?v_4974 (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_4975 (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..0 call54364formal.ret.0)) (?v_4976 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.0 0)) (?v_4977 (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_4978 (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..0 call54364formal.ret.0)) (?v_4979 (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..1)) (?v_4980 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..0 call54364formal.ret.0)) (?v_4981 (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_4982 (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.3 inline.sdv_InterlockedDecrement.2.myNondetVar_0.2)) (?v_4983 (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.0 call54364formal.ret.0)) (?v_4984 (= inline.SerialCancelTimer.0.myNondetVar_0.2 inline.SerialCancelTimer.0.myNondetVar_0.1)) (?v_4985 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.0 0)) (?v_4973 (= call54364formal.ret.0 0))) (let ((?v_4968 (=> true (=> (forall ((?r20 Int)) (! (=> (and (= (POW2 ?r20) boolTrue) (= (POW2 8) boolTrue) (not (= ?r20 8))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_1.2 ?r20) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_2.2 ?v_40) ?r20) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.4 ?v_40) ?r20)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.5 ?v_40) 8) 0) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.2 (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.6 ?v_40)) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.0.myVar_0.9) (=> (= inline.SerialRundownIrpRefs.0.myVar_0.10 inline.SerialRundownIrpRefs.0.myVar_0.9) (=> ?v_4974 (=> ?v_4975 (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.7 inline.SerialRundownIrpRefs.0.myNondetVar_0.6) (=> ?v_4976 (=> ?v_4977 (=> ?v_4978 (=> ?v_4979 (=> ?v_4980 (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.3 inline.SerialRundownIrpRefs.0.tempBoogie0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.0.myVar_0.9) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_4981 (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.3 inline.SerialRundownIrpRefs.0.myNondetVar_2.2) (=> ?v_4982 (=> ?v_4983 (=> ?v_4984 (=> ?v_4985 (=> (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.0 8) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.3 inline.SerialRundownIrpRefs.0.myNondetVar_1.2) ?v_4986))))))))))))))))))))))))))) (?v_4967 (= inline.SerialRundownIrpRefs.0.myVar_0.9 hirp))) (let ((?v_4970 (and (=> true (=> ?v_4967 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4968)))) (=> true (=> (not ?v_4967) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4968))))))))))) (let ((?v_4972 (=> true (=> true (=> true (=> true ?v_4970))))) (?v_4971 (= k.56 1)) (?v_4969 (= k.56 0)) (?v_3733 (not ?v_4973))) (let ((?v_4989 (and (=> true (=> ?v_3733 (and (=> true (=> ?v_4969 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.8 ?v_3729) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.9 inline.SerialRundownIrpRefs.0.myVar_0.8) ?v_4970))))) (=> true (=> (not ?v_4969) (and (=> true (=> ?v_4971 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.7 ?v_4295) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.9 inline.SerialRundownIrpRefs.0.myVar_0.7) ?v_4972))))) (=> true (=> (not ?v_4971) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.9 inline.SerialRundownIrpRefs.0.myVar_0.6) ?v_4972)))))))))) (=> true (=> ?v_4973 (=> true (=> ?v_4990 (=> ?v_4991 (=> ?v_4974 (=> ?v_4975 (=> ?v_4992 (=> ?v_4976 (=> ?v_4977 (=> ?v_4978 (=> ?v_4979 (=> ?v_4980 (=> ?v_4993 (=> ?v_4994 (=> ?v_4995 (=> ?v_4981 (=> ?v_4996 (=> ?v_4982 (=> ?v_4983 (=> ?v_4984 (=> ?v_4985 ?v_4997))))))))))))))))))))))))) (let ((?v_4988 (=> true (=> (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.2 inline.sdv_InterlockedDecrement.2.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.2.myNondetVar_0.1) (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.SerialCancelTimer.0.myNondetVar_0.1 inline.SerialCancelTimer.0.myNondetVar_0.0) (=> (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.2.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.2.myNondetVar_0.1) ?v_4989)))))))) (?v_4987 (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.1 0))) (let ((?v_5027 (and (=> true (=> ?v_31 (and (=> true (=> ?v_3733 (and (=> true (=> (not ?v_4987) (=> true (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2.) ?v_4988)))) (=> true (=> ?v_4987 (=> true (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..0 call54445formal.ret.0) (=> true (=> true (=> true ?v_4988)))))))))) (=> true (=> ?v_4973 (=> true (=> (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.2 inline.sdv_InterlockedDecrement.2.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialCancelTimer.0.myNondetVar_0.1 inline.SerialCancelTimer.0.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> true (=> true (=> true (=> true (=> true ?v_4989))))))))))))))))) (=> true (=> ?v_0 (=> true (=> ?v_4990 (=> ?v_4991 (=> (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2.) (=> ?v_4992 (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..0 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1.) (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..0 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3.) (=> ?v_4993 (=> ?v_4994 (=> ?v_4995 (=> (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> ?v_4996 (=> (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.3 inline.sdv_InterlockedDecrement.2.myNondetVar_0) (=> (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer) (=> (= inline.SerialCancelTimer.0.myNondetVar_0.2 inline.SerialCancelTimer.0.myNondetVar_0) (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1) ?v_4997)))))))))))))))))))))))) (?v_3728 (= k.16 0)) (?v_5024 (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.8 (int_2_U (CancelRoutine__IRP ?v_3729)))) 0)) (?v_5025 (= k.16 1)) (?v_5026 (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.8 (int_2_U (CancelRoutine__IRP ?v_4295)))) 0))) (let ((?v_4999 (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.6 inline.SerialRundownIrpRefs.0.myVar_0.5) (=> (= errorReached.18 errorReached.17) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.1 inline.SerialRundownIrpRefs.0.myNondetVar_1.0) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.3 inline.SerialRundownIrpRefs.0.myNondetVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..0) (=> (= Mem_0_T.CancelRoutine__IRP.27 Mem_0_T.CancelRoutine__IRP.26) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.1 inline.SerialRundownIrpRefs.0.tempBoogie0.0) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.1 inline.SerialRundownIrpRefs.0.myNondetVar_2.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialRundownIrpRefs.0.myVar_0.5) (=> (= Mem_1_T.CancelRoutine__IRP.27 Mem_1_T.CancelRoutine__IRP.26) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.0.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialRundownIrpRefs.0.myVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.0.myVar_0.2) (=> (= k.56 k.55) (=> (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.0 2) ?v_5027)))))))))))))))))))))) (let ((?v_5003 (=> true (=> true (=> true (=> true (=> true (=> true ?v_4999))))))) (?v_5001 (= Mem_0_T.CancelRoutine__IRP.26 Mem_0_T.CancelRoutine__IRP.8)) (?v_5002 (= Mem_1_T.CancelRoutine__IRP.26 Mem_1_T.CancelRoutine__IRP.8)) (?v_5000 (= k.55 1)) (?v_3732 (int_2_U (CancelRoutine__IRP inline.SerialRundownIrpRefs.0.myVar_0.5))) (?v_4998 (= k.55 0))) (let ((?v_5008 (=> true (=> (<= k.54 k.55) (=> (< k.55 2) (and (=> true (=> ?v_4998 (=> (= Mem_0_T.CancelRoutine__IRP.25 (MapType0Store Mem_0_T.CancelRoutine__IRP.8 ?v_3732 ?v_38)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.26 Mem_0_T.CancelRoutine__IRP.25) (=> ?v_5002 ?v_4999)))))) (=> true (=> (not ?v_4998) (and (=> true (=> ?v_5000 (=> (= Mem_1_T.CancelRoutine__IRP.25 (MapType0Store Mem_1_T.CancelRoutine__IRP.8 ?v_3732 ?v_38)) (=> true (=> ?v_5001 (=> (= Mem_1_T.CancelRoutine__IRP.26 Mem_1_T.CancelRoutine__IRP.25) ?v_5003)))))) (=> true (=> (not ?v_5000) (=> true (=> ?v_5001 (=> ?v_5002 ?v_5003)))))))))))))) (let ((?v_5010 (=> (= errorReached.17 errorReached.5) ?v_5008)) (?v_5009 (= inline.SerialRundownIrpRefs.0.myVar_0.5 hirp)) (?v_5006 (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..0 call54289formal.ret.0)) (?v_5007 (= k.54 k.53)) (?v_5004 (= k.53 0)) (?v_5005 (= k.53 1))) (let ((?v_5012 (and (=> true (=> ?v_5009 (=> true (=> (<= k.52 k.53) (=> (< k.53 2) (and (=> true (=> (=> ?v_5004 ?v_3010) (=> (=> ?v_5005 ?v_3011) (=> true (=> ?v_5006 (=> ?v_5007 (=> (= errorReached.17 1) ?v_5008))))))) (=> true (=> (=> ?v_5004 ?v_2997) (=> (=> ?v_5005 ?v_2998) (=> true (=> ?v_5006 (=> ?v_5007 ?v_5010)))))))))))) (=> true (=> (not ?v_5009) (=> true (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2.) (=> (= k.54 k.52) ?v_5010)))))))) (let ((?v_5014 (=> true (=> true ?v_5012))) (?v_5013 (= k.52 1)) (?v_5011 (= k.52 0))) (let ((?v_5015 (=> true (=> (<= k.51 k.52) (=> (< k.52 2) (and (=> true (=> ?v_5011 (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.8 ?v_3732))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_5012))))) (=> true (=> (not ?v_5011) (and (=> true (=> ?v_5013 (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.8 ?v_3732))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_5014))))) (=> true (=> (not ?v_5013) (=> true (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_5014))))))))))))) (let ((?v_5017 (=> true (=> true (=> true (=> true ?v_5015))))) (?v_5016 (= k.51 1))) (let ((?v_5022 (not ?v_5016)) (?v_3731 (= k.51 0))) (let ((?v_5020 (not ?v_3731))) (let ((?v_5019 (=> true (=> (forall ((?r21 Int)) (! (=> (and (= (POW2 ?r21) boolTrue) (= (POW2 2) boolTrue) (not (= ?r21 2))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_1.0 ?r21) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_2.0 ?v_35) ?r21) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.0 ?v_35) ?r21)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.1 ?v_35) 2) 0) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.0 (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.2 ?v_35)) (and (=> true (=> ?v_3731 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.3 ?v_3729) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.5 inline.SerialRundownIrpRefs.0.myVar_0.3) ?v_5015))))) (=> true (=> ?v_5020 (and (=> true (=> ?v_5016 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.4 ?v_4295) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.5 inline.SerialRundownIrpRefs.0.myVar_0.4) ?v_5017))))) (=> true (=> ?v_5022 (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.5 inline.SerialRundownIrpRefs.0.myVar_0.2) ?v_5017))))))))))))) (?v_5018 (= inline.SerialRundownIrpRefs.0.myVar_0.2 hirp))) (let ((?v_5021 (and (=> true (=> ?v_5018 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5019)))) (=> true (=> (not ?v_5018) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5019))))))))))) (let ((?v_5023 (=> true (=> true (=> true (=> true ?v_5021)))))) (let ((?v_5030 (and (=> true (=> (=> ?v_3728 (not ?v_5024)) (=> (=> ?v_5025 (not ?v_5026)) (=> true (=> (<= k.16 k.51) (=> (< k.51 2) (and (=> true (=> ?v_3731 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.0 ?v_3729) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.2 inline.SerialRundownIrpRefs.0.myVar_0.0) ?v_5021))))) (=> true (=> ?v_5020 (and (=> true (=> ?v_5016 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.1 ?v_4295) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.2 inline.SerialRundownIrpRefs.0.myVar_0.1) ?v_5023))))) (=> true (=> ?v_5022 (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.2 inline.SerialRundownIrpRefs.0.myVar_0) ?v_5023)))))))))))))) (=> true (=> (=> ?v_3728 ?v_5024) (=> (=> ?v_5025 ?v_5026) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.6 inline.SerialRundownIrpRefs.0.myVar_0) (=> (= errorReached.18 errorReached.5) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.1 inline.SerialRundownIrpRefs.0.myNondetVar_1) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.3 inline.SerialRundownIrpRefs.0.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.1..result.userContextSwitch.3310.4.2.) (=> (= Mem_0_T.CancelRoutine__IRP.27 Mem_0_T.CancelRoutine__IRP.8) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.1 inline.SerialRundownIrpRefs.0.tempBoogie0) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.1 inline.SerialRundownIrpRefs.0.myNondetVar_2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= Mem_1_T.CancelRoutine__IRP.27 Mem_1_T.CancelRoutine__IRP.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= k.56 k.16) (=> (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs) (=> true ?v_5027))))))))))))))))))))))))))) (let ((?v_5029 (=> true (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.7 inline.KeSynchronizeExecution.0.myNondetVar_0.6) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGrabXoffFromIsr) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.4 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.3) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGrabXoffFromIsr) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.0) ?v_5030))))))))) (let ((?v_5032 (=> true (=> (forall ((?r22 Int)) (! (=> (and (= (POW2 ?r22) boolTrue) (= (POW2 16) boolTrue) (not (= ?r22 16))) (= (not (= (BIT_BAND inline.SerialTryToCompleteCurrent.0.myNondetVar_1.0 ?r22) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.0.myNondetVar_2.0 (BIT_BNOT 16)) ?r22) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.0.myNondetVar_0.0 (BIT_BNOT 16)) ?r22)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.0.myNondetVar_0.1 (BIT_BNOT 16)) 16) 0) (and (=> true (=> ?v_3727 (and (=> true (=> ?v_3727 (=> true (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.6 inline.KeSynchronizeExecution.0.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.0..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.0..result.SynchronizeRoutine.4679.26.2.) ?v_5029)))))) (=> true (=> ?v_5028 (=> true (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.6 inline.KeSynchronizeExecution.0.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true ?v_5029)))))))))))) (=> true (=> ?v_5028 (=> true (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.7 inline.KeSynchronizeExecution.0.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.4 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.2) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true (=> true ?v_5030)))))))))))))))))) (?v_5031 (= inline.SerialTryToCompleteCurrent.0.myVar_0.2 hirp))) (let ((?v_5033 (and (=> true (=> ?v_5031 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5032)))) (=> true (=> (not ?v_5031) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5032))))))))))) (let ((?v_5034 (=> true (=> true (=> true (=> true ?v_5033)))))) (let ((?v_5036 (=> true (=> (forall ((?r23 Int)) (! (= (or (not (= (BIT_BAND inline.SerialStartWrite.0.myNondetVar_1.0 ?r23) 0)) (not (= (BIT_BAND 16 ?r23) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialStartWrite.0.myNondetVar_2.0 16) ?r23) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialStartWrite.0.myNondetVar_0.4 16) ?r23)) )) (=> (= inline.SerialStartWrite.0.tempBoogie0.0 (BIT_BOR inline.SerialStartWrite.0.myNondetVar_0.5 16)) (=> true (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0 ?v_3725) (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 ?v_3954) (=> true (and ?v_29 (=> ?v_29 (=> (> call53678formal.new.0 0) (=> (forall ((?x1683 Int)) (! (=> (and (<= call53678formal.new.0 ?x1683) (< ?x1683 (+ call53678formal.new.0 4))) (= (Base ?x1683) call53678formal.new.0)) :pattern ((Base ?x1683)) )) (=> (forall ((?x1684 boogieU)) (! (=> (= (type ?x1684) intType) (or (= (U_2_int ?x1684) call53678formal.new.0) (= (MapType0Select alloc.15 ?x1684) (MapType0Select alloc.25 ?x1684)))) :pattern ((MapType0Select alloc.25 ?x1684)) )) (=> (and (= (MapType0Select alloc.15 ?v_3726) UNALLOCATED) (= (MapType0Select alloc.25 ?v_3726) ALLOCATED)) (=> true (=> (<= k.12 k.16) (=> (< k.16 2) (and (=> true (=> ?v_3728 (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.1 ?v_3729) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.2 inline.SerialTryToCompleteCurrent.0.myVar_0.1) ?v_5033))))) (=> true (=> (not ?v_3728) (and (=> true (=> ?v_5025 (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.0 ?v_4295) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.2 inline.SerialTryToCompleteCurrent.0.myVar_0.0) ?v_5034))))) (=> true (=> (not ?v_5025) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.2 inline.SerialTryToCompleteCurrent.0.myVar_0) ?v_5034))))))))))))))))))))))))) (?v_5035 (= inline.SerialStartWrite.0.myVar_0.5 hirp))) (let ((?v_5038 (and (=> true (=> ?v_5035 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5036)))) (=> true (=> (not ?v_5035) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5036))))))))))) (let ((?v_5040 (=> true (=> true (=> true (=> true ?v_5038)))))) (let ((?v_5052 (and (=> true (=> (not (= inline.SerialStartWrite.0.myNondetVar_0.3 0)) (and (=> true (=> ?v_3724 (=> (= inline.SerialStartWrite.0.myVar_0.3 ?v_3723) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.5 inline.SerialStartWrite.0.myVar_0.3) ?v_5038))))) (=> true (=> ?v_5046 (and (=> true (=> ?v_5039 (=> (= inline.SerialStartWrite.0.myVar_0.4 ?v_5037) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.5 inline.SerialStartWrite.0.myVar_0.4) ?v_5040))))) (=> true (=> ?v_5048 (=> true (=> (= inline.SerialStartWrite.0.myVar_0.5 inline.SerialStartWrite.0.myVar_0.2) ?v_5040)))))))))) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.1 0) (and (=> true (=> ?v_3724 (=> true (=> ?v_5049 (=> (= cancelLockStatus_0.9 0) ?v_5047))))) (=> true (=> ?v_5046 (and (=> true (=> ?v_5039 (=> true (=> (= cancelLockStatus_1.9 0) ?v_5050)))) (=> true (=> ?v_5048 (=> true (=> ?v_5049 ?v_5050)))))))))))) (?v_5051 (= inline.SerialStartWrite.0.myVar_0.2 hirp))) (let ((?v_5053 (and (=> true (=> ?v_5051 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5052)))) (=> true (=> (not ?v_5051) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5052))))))))))) (let ((?v_5054 (=> true (=> true (=> true (=> true ?v_5053)))))) (let ((?v_5269 (and (=> true (=> (=> ?v_3720 (not ?v_5055)) (=> (=> ?v_3721 (not ?v_5056)) (=> true (=> (<= k.11 k.12) (=> (< k.12 2) (and (=> true (=> ?v_3724 (=> (= inline.SerialStartWrite.0.myVar_0.0 ?v_3723) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.2 inline.SerialStartWrite.0.myVar_0.0) ?v_5053))))) (=> true (=> ?v_5046 (and (=> true (=> ?v_5039 (=> (= inline.SerialStartWrite.0.myVar_0.1 ?v_5037) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.2 inline.SerialStartWrite.0.myVar_0.1) ?v_5054))))) (=> true (=> ?v_5048 (=> true (=> (= inline.SerialStartWrite.0.myVar_0.2 inline.SerialStartWrite.0.myVar_0) ?v_5054)))))))))))))) (=> true (=> (=> ?v_3720 ?v_5055) (=> (=> ?v_3721 ?v_5056) (=> true (=> (<= k.11 k.13) (=> (< k.13 2) (and (=> true (=> ?v_5264 (=> true (=> ?v_5267 (=> (= cancelLockStatus_0.8 0) ?v_5265))))) (=> true (=> (not ?v_5264) (and (=> true (=> ?v_5266 (=> true (=> (= cancelLockStatus_1.8 0) ?v_5268)))) (=> true (=> (not ?v_5266) (=> true (=> ?v_5267 ?v_5268)))))))))))))))) (?v_5270 (= cancelLockStatus_1.7 cancelLockStatus_1.6))) (let ((?v_5271 (=> (= cancelLockStatus_0.7 cancelLockStatus_0.6) (=> true (=> true (=> true (=> true (=> true ?v_5269))))))) (?v_3718 (int_2_U call53202formal.new.0)) (?v_3714 (int_2_U call53172formal.new.0)) (?v_3716 (int_2_U call53175formal.new.0)) (?v_3717 (int_2_U call53178formal.new.0))) (let ((?v_5851 (and (=> true (=> ?v_5272 (=> true (and ?v_29 (=> ?v_29 (=> (> call53169formal.new.0 0) (=> (forall ((?x1687 Int)) (! (=> (and (<= call53169formal.new.0 ?x1687) (< ?x1687 (+ call53169formal.new.0 4))) (= (Base ?x1687) call53169formal.new.0)) :pattern ((Base ?x1687)) )) (=> (forall ((?x1688 boogieU)) (! (=> (= (type ?x1688) intType) (or (= (U_2_int ?x1688) call53169formal.new.0) (= (MapType0Select alloc.9 ?x1688) (MapType0Select alloc.11 ?x1688)))) :pattern ((MapType0Select alloc.11 ?x1688)) )) (=> (and (= (MapType0Select alloc.9 ?v_3713) UNALLOCATED) (= (MapType0Select alloc.11 ?v_3713) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call53172formal.new.0 0) (=> (forall ((?x1689 Int)) (! (=> (and (<= call53172formal.new.0 ?x1689) (< ?x1689 (+ call53172formal.new.0 1))) (= (Base ?x1689) call53172formal.new.0)) :pattern ((Base ?x1689)) )) (=> (forall ((?x1690 boogieU)) (! (=> (= (type ?x1690) intType) (or (= (U_2_int ?x1690) call53172formal.new.0) (= (MapType0Select alloc.11 ?x1690) (MapType0Select alloc.12 ?x1690)))) :pattern ((MapType0Select alloc.12 ?x1690)) )) (=> (and (= (MapType0Select alloc.11 ?v_3714) UNALLOCATED) (= (MapType0Select alloc.12 ?v_3714) ALLOCATED)) (and ?v_3715 (=> ?v_3715 (=> (> call53175formal.new.0 0) (=> (forall ((?x1691 Int)) (! (=> (and (<= call53175formal.new.0 ?x1691) (< ?x1691 (+ call53175formal.new.0 20))) (= (Base ?x1691) call53175formal.new.0)) :pattern ((Base ?x1691)) )) (=> (forall ((?x1692 boogieU)) (! (=> (= (type ?x1692) intType) (or (= (U_2_int ?x1692) call53175formal.new.0) (= (MapType0Select alloc.12 ?x1692) (MapType0Select alloc.13 ?x1692)))) :pattern ((MapType0Select alloc.13 ?x1692)) )) (=> (and (= (MapType0Select alloc.12 ?v_3716) UNALLOCATED) (= (MapType0Select alloc.13 ?v_3716) ALLOCATED)) (and ?v_55 (=> ?v_55 (=> (> call53178formal.new.0 0) (=> (forall ((?x1693 Int)) (! (=> (and (<= call53178formal.new.0 ?x1693) (< ?x1693 (+ call53178formal.new.0 8))) (= (Base ?x1693) call53178formal.new.0)) :pattern ((Base ?x1693)) )) (=> (forall ((?x1694 boogieU)) (! (=> (= (type ?x1694) intType) (or (= (U_2_int ?x1694) call53178formal.new.0) (= (MapType0Select alloc.13 ?x1694) (MapType0Select alloc.14 ?x1694)))) :pattern ((MapType0Select alloc.14 ?x1694)) )) (=> (and (= (MapType0Select alloc.13 ?v_3717) UNALLOCATED) (= (MapType0Select alloc.14 ?v_3717) ALLOCATED)) (=> true (and ?v_8 (=> ?v_8 (=> (> call53202formal.new.0 0) (=> (forall ((?x1685 Int)) (! (=> (and (<= call53202formal.new.0 ?x1685) (< ?x1685 (+ call53202formal.new.0 1))) (= (Base ?x1685) call53202formal.new.0)) :pattern ((Base ?x1685)) )) (=> (forall ((?x1686 boogieU)) (! (=> (= (type ?x1686) intType) (or (= (U_2_int ?x1686) call53202formal.new.0) (= (MapType0Select alloc.14 ?x1686) (MapType0Select alloc.15 ?x1686)))) :pattern ((MapType0Select alloc.15 ?x1686)) )) (=> (and (= (MapType0Select alloc.14 ?v_3718) UNALLOCATED) (= (MapType0Select alloc.15 ?v_3718) ALLOCATED)) (=> true (=> (<= k.8 k.11) (=> (< k.11 2) (=> true (=> (=> ?v_3720 ?v_3719) (=> (=> ?v_3721 ?v_5609) (and (=> true (=> ?v_3720 (=> true (=> ?v_5270 (=> (= cancelLockStatus_0.7 1) ?v_5269))))) (=> true (=> (not ?v_3720) (and (=> true (=> ?v_3721 (=> true (=> (= cancelLockStatus_1.7 1) ?v_5271)))) (=> true (=> (not ?v_3721) (=> true (=> ?v_5270 ?v_5271)))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_5272) (and (=> true (=> ?v_5846 (=> true (and ?v_8 (=> ?v_8 (=> (> call62818formal.new.0 0) (=> (forall ((?x1625 Int)) (! (=> (and (<= call62818formal.new.0 ?x1625) (< ?x1625 (+ call62818formal.new.0 1))) (= (Base ?x1625) call62818formal.new.0)) :pattern ((Base ?x1625)) )) (=> (forall ((?x1626 boogieU)) (! (=> (= (type ?x1626) intType) (or (= (U_2_int ?x1626) call62818formal.new.0) (= (MapType0Select alloc.9 ?x1626) (MapType0Select alloc.16 ?x1626)))) :pattern ((MapType0Select alloc.16 ?x1626)) )) (=> (and (= (MapType0Select alloc.9 ?v_5273) UNALLOCATED) (= (MapType0Select alloc.16 ?v_5273) ALLOCATED)) (and ?v_29 (=> ?v_29 (=> (> call62821formal.new.0 0) (=> (forall ((?x1627 Int)) (! (=> (and (<= call62821formal.new.0 ?x1627) (< ?x1627 (+ call62821formal.new.0 4))) (= (Base ?x1627) call62821formal.new.0)) :pattern ((Base ?x1627)) )) (=> (forall ((?x1628 boogieU)) (! (=> (= (type ?x1628) intType) (or (= (U_2_int ?x1628) call62821formal.new.0) (= (MapType0Select alloc.16 ?x1628) (MapType0Select alloc.17 ?x1628)))) :pattern ((MapType0Select alloc.17 ?x1628)) )) (=> (and (= (MapType0Select alloc.16 ?v_5274) UNALLOCATED) (= (MapType0Select alloc.17 ?v_5274) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call62824formal.new.0 0) (=> (forall ((?x1629 Int)) (! (=> (and (<= call62824formal.new.0 ?x1629) (< ?x1629 (+ call62824formal.new.0 1))) (= (Base ?x1629) call62824formal.new.0)) :pattern ((Base ?x1629)) )) (=> (forall ((?x1630 boogieU)) (! (=> (= (type ?x1630) intType) (or (= (U_2_int ?x1630) call62824formal.new.0) (= (MapType0Select alloc.17 ?x1630) (MapType0Select alloc.18 ?x1630)))) :pattern ((MapType0Select alloc.18 ?x1630)) )) (=> (and (= (MapType0Select alloc.17 ?v_5275) UNALLOCATED) (= (MapType0Select alloc.18 ?v_5275) ALLOCATED)) (and ?v_3715 (=> ?v_3715 (=> (> call62827formal.new.0 0) (=> (forall ((?x1631 Int)) (! (=> (and (<= call62827formal.new.0 ?x1631) (< ?x1631 (+ call62827formal.new.0 20))) (= (Base ?x1631) call62827formal.new.0)) :pattern ((Base ?x1631)) )) (=> (forall ((?x1632 boogieU)) (! (=> (= (type ?x1632) intType) (or (= (U_2_int ?x1632) call62827formal.new.0) (= (MapType0Select alloc.18 ?x1632) (MapType0Select alloc.19 ?x1632)))) :pattern ((MapType0Select alloc.19 ?x1632)) )) (=> (and (= (MapType0Select alloc.18 ?v_5276) UNALLOCATED) (= (MapType0Select alloc.19 ?v_5276) ALLOCATED)) (and ?v_55 (=> ?v_55 (=> (> call62830formal.new.0 0) (=> (forall ((?x1633 Int)) (! (=> (and (<= call62830formal.new.0 ?x1633) (< ?x1633 (+ call62830formal.new.0 8))) (= (Base ?x1633) call62830formal.new.0)) :pattern ((Base ?x1633)) )) (=> (forall ((?x1634 boogieU)) (! (=> (= (type ?x1634) intType) (or (= (U_2_int ?x1634) call62830formal.new.0) (= (MapType0Select alloc.19 ?x1634) (MapType0Select alloc.20 ?x1634)))) :pattern ((MapType0Select alloc.20 ?x1634)) )) (=> (and (= (MapType0Select alloc.19 ?v_5277) UNALLOCATED) (= (MapType0Select alloc.20 ?v_5277) ALLOCATED)) (and ?v_5278 (=> ?v_5278 (=> (> call62833formal.new.0 0) (=> (forall ((?x1635 Int)) (! (=> (and (<= call62833formal.new.0 ?x1635) (< ?x1635 (+ call62833formal.new.0 12))) (= (Base ?x1635) call62833formal.new.0)) :pattern ((Base ?x1635)) )) (=> (forall ((?x1636 boogieU)) (! (=> (= (type ?x1636) intType) (or (= (U_2_int ?x1636) call62833formal.new.0) (= (MapType0Select alloc.20 ?x1636) (MapType0Select alloc.21 ?x1636)))) :pattern ((MapType0Select alloc.21 ?x1636)) )) (=> (and (= (MapType0Select alloc.20 ?v_5279) UNALLOCATED) (= (MapType0Select alloc.21 ?v_5279) ALLOCATED)) (=> true (and ?v_8 (=> ?v_8 (=> (> call62865formal.new.0 0) (=> (forall ((?x1623 Int)) (! (=> (and (<= call62865formal.new.0 ?x1623) (< ?x1623 (+ call62865formal.new.0 1))) (= (Base ?x1623) call62865formal.new.0)) :pattern ((Base ?x1623)) )) (=> (forall ((?x1624 boogieU)) (! (=> (= (type ?x1624) intType) (or (= (U_2_int ?x1624) call62865formal.new.0) (= (MapType0Select alloc.21 ?x1624) (MapType0Select alloc.22 ?x1624)))) :pattern ((MapType0Select alloc.22 ?x1624)) )) (=> (and (= (MapType0Select alloc.21 ?v_5280) UNALLOCATED) (= (MapType0Select alloc.22 ?v_5280) ALLOCATED)) (=> true (=> (<= k.8 k.14) (=> (< k.14 2) (and (=> true (=> ?v_5521 (=> (= inline.SerialStartRead.0.myVar_0.1 ?v_5283) (=> true (=> (= inline.SerialStartRead.0.myVar_0.2 inline.SerialStartRead.0.myVar_0.1) ?v_5844))))) (=> true (=> ?v_5838 (and (=> true (=> ?v_5822 (=> (= inline.SerialStartRead.0.myVar_0.0 ?v_5612) (=> true (=> (= inline.SerialStartRead.0.myVar_0.2 inline.SerialStartRead.0.myVar_0.0) ?v_5845))))) (=> true (=> ?v_5840 (=> true (=> (= inline.SerialStartRead.0.myVar_0.2 inline.SerialStartRead.0.myVar_0) ?v_5845))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_5846) (=> true (and ?v_31 (=> ?v_31 (=> true (=> ?v_3013 (=> ?v_3014 (=> ?v_3015 (=> ?v_3016 (=> ?v_3017 (=> ?v_3018 (=> ?v_3019 (=> ?v_3763 (=> ?v_3020 (=> ?v_3021 (=> ?v_3022 (=> ?v_3023 (=> ?v_3024 (=> ?v_3025 (=> ?v_3026 (=> ?v_3027 (=> ?v_3028 (=> ?v_3029 (=> ?v_3030 (=> ?v_3031 (=> ?v_3032 (=> ?v_3033 (=> ?v_3034 (=> ?v_3035 (=> ?v_3036 (=> ?v_3037 (=> ?v_3038 (=> ?v_3039 (=> ?v_3040 (=> ?v_3041 (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1.) (=> ?v_3042 (=> ?v_3043 (=> ?v_3044 (=> ?v_3045 (=> ?v_3046 (=> ?v_3047 (=> ?v_3048 (=> ?v_3049 (=> ?v_3050 (=> ?v_3051 (=> ?v_3052 (=> ?v_3053 (=> ?v_3054 (=> ?v_3764 (=> ?v_3055 (=> ?v_3056 (=> ?v_3057 (=> ?v_3058 (=> ?v_3059 (=> ?v_3060 (=> ?v_3061 (=> ?v_3062 (=> ?v_3063 (=> ?v_3064 (=> ?v_3065 (=> ?v_3066 (=> ?v_5847 (=> ?v_3067 (=> ?v_3068 (=> ?v_3069 (=> ?v_3070 (=> ?v_3071 (=> ?v_3072 (=> ?v_3073 (=> ?v_3074 (=> ?v_3075 (=> ?v_3076 (=> ?v_3077 (=> ?v_3078 (=> ?v_3079 (=> ?v_3080 (=> ?v_3081 (=> ?v_3082 (=> ?v_3083 (=> ?v_3084 (=> ?v_3085 (=> ?v_3086 (=> ?v_3087 (=> ?v_3088 (=> ?v_3089 (=> ?v_3090 (=> ?v_3765 (=> ?v_3091 (=> ?v_3092 (=> ?v_3093 (=> ?v_3094 (=> ?v_3095 (=> ?v_3096 (=> ?v_3097 (=> ?v_3098 (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3110 (=> ?v_3111 (=> ?v_3112 (=> ?v_3113 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_3134 (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> ?v_3766 (=> ?v_3140 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_3147 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> ?v_3164 (=> ?v_3165 (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> (= Mem_1_T.CancelRoutine__IRP.68 Mem_1_T.CancelRoutine__IRP.8) (=> ?v_3172 (=> (= k.122 k.8) (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_3178 (=> ?v_3179 (=> ?v_3180 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> (= Mem_0_T.P_IRP.45 Mem_0_T.P_IRP.1) (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> ?v_3200 (=> ?v_3201 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> ?v_3208 (=> ?v_3209 (=> ?v_3210 (=> ?v_3211 (=> ?v_3212 (=> ?v_3213 (=> ?v_3214 (=> ?v_3215 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_3230 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 (=> ?v_3236 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_3240 (=> ?v_3241 (=> ?v_3242 (=> ?v_3243 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_3247 (=> ?v_3248 (=> ?v_3249 (=> ?v_3250 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_3254 (=> ?v_5291 (=> ?v_3255 (=> ?v_3256 (=> ?v_3257 (=> ?v_3258 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> ?v_3262 (=> ?v_3263 (=> ?v_3264 (=> ?v_3265 (=> ?v_3266 (=> ?v_3267 (=> ?v_3268 (=> ?v_3269 (=> ?v_3270 (=> ?v_3271 (=> ?v_3272 (=> ?v_3273 (=> ?v_3274 (=> ?v_3275 (=> ?v_3276 (=> ?v_3277 (=> ?v_3278 (=> ?v_3279 (=> ?v_3280 (=> ?v_3281 (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_3296 (=> ?v_3297 (=> ?v_3298 (=> ?v_3299 (=> ?v_3300 (=> ?v_3301 (=> ?v_3302 (=> ?v_3303 (=> ?v_3304 (=> ?v_3305 (=> ?v_3306 (=> ?v_3307 (=> ?v_3308 (=> ?v_3309 (=> ?v_3310 (=> ?v_3311 (=> ?v_3312 (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> ?v_3318 (=> ?v_3319 (=> ?v_3767 (=> ?v_3320 (=> ?v_3321 (=> ?v_3322 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3332 (=> ?v_3333 (=> ?v_3768 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> (= Mem_1_T.P_IRP.45 Mem_1_T.P_IRP.1) (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_3347 (=> ?v_3348 (=> ?v_3349 (=> ?v_3769 (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_5848 (=> ?v_3367 (=> ?v_3368 (=> ?v_3369 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3770 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3771 (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> ?v_3409 (=> ?v_3410 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> ?v_3419 (=> ?v_3420 (=> ?v_3772 (=> ?v_3421 (=> ?v_3773 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> ?v_3430 (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_3438 (=> ?v_3774 (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> ?v_3445 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> ?v_3464 (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> ?v_3775 (=> ?v_3474 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> ?v_3483 (=> ?v_3484 (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_3494 (=> ?v_3495 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> ?v_3776 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> ?v_5849 (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> ?v_3518 (=> ?v_3519 (=> ?v_3777 (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_3523 (=> ?v_3524 (=> ?v_3525 (=> ?v_3526 (=> ?v_3527 (=> ?v_3528 (=> ?v_3778 (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> ?v_3535 (=> ?v_3536 (=> ?v_3537 (=> ?v_3538 (=> ?v_3539 (=> ?v_3540 (=> ?v_3541 (=> ?v_3542 (=> ?v_3543 (=> ?v_3544 (=> ?v_3545 (=> ?v_3546 (=> ?v_3547 (=> ?v_3548 (=> ?v_3549 (=> ?v_3550 (=> ?v_3551 (=> ?v_3552 (=> ?v_3553 (=> ?v_3554 (=> ?v_3555 (=> ?v_3556 (=> ?v_3557 (=> ?v_3558 (=> ?v_3559 (=> ?v_3560 (=> ?v_3561 (=> ?v_3562 (=> ?v_3563 (=> ?v_3564 (=> ?v_3565 (=> ?v_3566 (=> ?v_3567 (=> ?v_3568 (=> ?v_3569 (=> ?v_3570 (=> ?v_3571 (=> ?v_3572 (=> ?v_3573 (=> ?v_3574 (=> ?v_3575 (=> ?v_3576 (=> ?v_3577 (=> ?v_3578 (=> ?v_3579 (=> ?v_3580 (=> ?v_3779 (=> ?v_3581 (=> ?v_3582 (=> ?v_3583 (=> ?v_3584 (=> ?v_3585 (=> ?v_3586 (=> ?v_3587 (=> (= cancelLockStatus_0.51 cancelLockStatus_0.6) (=> ?v_3588 (=> ?v_3589 (=> ?v_3590 (=> ?v_3591 (=> ?v_3592 (=> ?v_3593 (=> ?v_3594 (=> (= Mem_0_T.CancelRoutine__IRP.68 Mem_0_T.CancelRoutine__IRP.8) (=> ?v_3595 (=> ?v_3596 (=> ?v_3597 (=> ?v_3598 (=> ?v_3599 (=> ?v_3600 (=> ?v_3601 (=> ?v_3602 (=> ?v_3603 (=> ?v_3604 (=> ?v_3780 (=> ?v_3605 (=> ?v_3606 (=> ?v_3607 (=> ?v_3608 (=> ?v_3609 (=> ?v_3610 (=> ?v_3611 (=> ?v_3612 (=> ?v_3613 (=> ?v_3614 (=> ?v_3615 (=> ?v_3616 (=> ?v_3617 (=> ?v_3618 (=> ?v_3619 (=> ?v_3620 (=> ?v_3621 (=> ?v_3622 (=> ?v_3623 (=> ?v_3624 (=> ?v_3625 (=> ?v_3626 (=> ?v_3627 (=> ?v_3628 (=> ?v_3629 (=> ?v_3630 (=> ?v_3631 (=> ?v_3632 (=> ?v_3633 (=> ?v_3634 (=> ?v_3635 (=> ?v_3636 (=> ?v_3637 (=> (= errorReached.49 errorReached.5) (=> ?v_3638 (=> ?v_3639 (=> ?v_3640 (=> ?v_3641 (=> ?v_3642 (=> ?v_3643 (=> ?v_3644 (=> ?v_3645 (=> ?v_3646 (=> ?v_3647 (=> ?v_3648 (=> ?v_3649 (=> ?v_3650 (=> ?v_3651 (=> ?v_3652 (=> ?v_3653 (=> ?v_3654 (=> ?v_3655 (=> ?v_3656 (=> ?v_3657 (=> ?v_3658 (=> ?v_3781 (=> ?v_3659 (=> ?v_3660 (=> ?v_3661 (=> ?v_3662 (=> ?v_3663 (=> ?v_3664 (=> ?v_3665 (=> ?v_3666 (=> ?v_3667 (=> (= cancelLockStatus_1.51 cancelLockStatus_1.6) ?v_5850)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5852 (= cancelLockStatus_1.6 cancelLockStatus_1.4))) (let ((?v_5853 (=> (= cancelLockStatus_0.6 cancelLockStatus_0.4) (=> true (=> true (=> true (=> true (=> true ?v_5851))))))) (?v_2945 (= k.8 1))) (let ((?v_5857 (not ?v_2945)) (?v_2944 (= k.8 0))) (let ((?v_5854 (not ?v_2944))) (let ((?v_5856 (and (=> true (=> ?v_2944 (=> true (=> ?v_5852 (=> ?v_3719 ?v_5851))))) (=> true (=> ?v_5854 (and (=> true (=> ?v_2945 (=> true (=> ?v_5609 ?v_5853)))) (=> true (=> ?v_5857 (=> true (=> ?v_5852 ?v_5853)))))))))) (let ((?v_5860 (=> true (=> true (=> true (=> true (=> true (=> true ?v_5856))))))) (?v_5858 (= Mem_0_T.P_IRP.1 Mem_0_T.P_IRP)) (?v_5859 (= Mem_1_T.P_IRP.1 Mem_1_T.P_IRP)) (?v_2946 (int_2_U inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.0))) (let ((?v_3711 (= (U_2_int (MapType0Select Mem_0_T.P_IRP ?v_2946)) 0)) (?v_3712 (= (U_2_int (MapType0Select Mem_1_T.P_IRP ?v_2946)) 0)) (?v_3187 (= Mem_0_T.P_IRP.45 Mem_0_T.P_IRP)) (?v_3343 (= Mem_1_T.P_IRP.45 Mem_1_T.P_IRP))) (let ((?v_3695 (=> true (=> ?v_3013 (=> ?v_3014 (=> ?v_3015 (=> ?v_3016 (=> ?v_3017 (=> ?v_3018 (=> ?v_3019 (=> ?v_3763 (=> ?v_3020 (=> ?v_3021 (=> ?v_3022 (=> ?v_3023 (=> ?v_3024 (=> ?v_3025 (=> ?v_3026 (=> ?v_3027 (=> ?v_3028 (=> ?v_3029 (=> ?v_3030 (=> ?v_3031 (=> ?v_3032 (=> ?v_3033 (=> ?v_3034 (=> ?v_3035 (=> ?v_3036 (=> ?v_3037 (=> ?v_3038 (=> ?v_3039 (=> ?v_3040 (=> ?v_3041 (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1 259) (=> ?v_3042 (=> ?v_3043 (=> ?v_3044 (=> ?v_3045 (=> ?v_3046 (=> ?v_3047 (=> ?v_3048 (=> ?v_3049 (=> ?v_3050 (=> ?v_3051 (=> ?v_3052 (=> ?v_3053 (=> ?v_3054 (=> ?v_3764 (=> ?v_3055 (=> ?v_3056 (=> ?v_3057 (=> ?v_3058 (=> ?v_3059 (=> ?v_3060 (=> ?v_3061 (=> ?v_3062 (=> ?v_3063 (=> ?v_3064 (=> ?v_3065 (=> ?v_3066 (=> ?v_5847 (=> ?v_3067 (=> ?v_3068 (=> ?v_3069 (=> ?v_3070 (=> ?v_3071 (=> ?v_3072 (=> ?v_3073 (=> ?v_3074 (=> ?v_3075 (=> ?v_3076 (=> ?v_3077 (=> ?v_3078 (=> ?v_3079 (=> ?v_3080 (=> ?v_3081 (=> ?v_3082 (=> ?v_3083 (=> ?v_3084 (=> ?v_3085 (=> ?v_3086 (=> ?v_3087 (=> ?v_3088 (=> ?v_3089 (=> ?v_3090 (=> (= inline.InsertTailList.1.myNondetVar_0.1 inline.InsertTailList.1.myNondetVar_0.0) (=> ?v_3091 (=> ?v_3092 (=> ?v_3093 (=> ?v_3094 (=> ?v_3095 (=> ?v_3096 (=> ?v_3097 (=> ?v_3098 (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3110 (=> ?v_3111 (=> ?v_3112 (=> ?v_3113 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_3134 (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 hirp) (=> ?v_3140 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_3147 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> ?v_3164 (=> ?v_3165 (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> (= Mem_1_T.CancelRoutine__IRP.68 Mem_1_T.CancelRoutine__IRP.13) (=> ?v_3172 (=> (= k.122 k.10) (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_3178 (=> ?v_3179 (=> ?v_3180 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_3187 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> ?v_3200 (=> ?v_3201 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> ?v_3208 (=> ?v_3209 (=> ?v_3210 (=> ?v_3211 (=> ?v_3212 (=> ?v_3213 (=> ?v_3214 (=> ?v_3215 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_3230 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 (=> ?v_3236 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_3240 (=> ?v_3241 (=> ?v_3242 (=> ?v_3243 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_3247 (=> ?v_3248 (=> ?v_3249 (=> ?v_3250 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_3254 (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.15 inline.SerialStartOrQueue.0.myNondetVar_0.8) (=> ?v_3255 (=> ?v_3256 (=> ?v_3257 (=> ?v_3258 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> ?v_3262 (=> ?v_3263 (=> ?v_3264 (=> ?v_3265 (=> ?v_3266 (=> ?v_3267 (=> ?v_3268 (=> ?v_3269 (=> ?v_3270 (=> ?v_3271 (=> ?v_3272 (=> ?v_3273 (=> ?v_3274 (=> ?v_3275 (=> ?v_3276 (=> ?v_3277 (=> ?v_3278 (=> ?v_3279 (=> ?v_3280 (=> ?v_3281 (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_3296 (=> ?v_3297 (=> ?v_3298 (=> ?v_3299 (=> ?v_3300 (=> ?v_3301 (=> ?v_3302 (=> ?v_3303 (=> ?v_3304 (=> ?v_3305 (=> ?v_3306 (=> ?v_3307 (=> ?v_3308 (=> ?v_3309 (=> ?v_3310 (=> ?v_3311 (=> ?v_3312 (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> ?v_3318 (=> ?v_3319 (=> ?v_3767 (=> ?v_3320 (=> ?v_3321 (=> ?v_3322 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3332 (=> ?v_3333 (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_3347 (=> ?v_3348 (=> ?v_3349 (=> (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialCancelQueued) (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_5848 (=> ?v_3367 (=> ?v_3368 (=> ?v_3369 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialCancelQueued) (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3771 (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> ?v_3409 (=> ?v_3410 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> ?v_3419 (=> ?v_3420 (=> ?v_3772 (=> ?v_3421 (=> ?v_3773 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> ?v_3430 (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_3438 (=> ?v_3774 (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> ?v_3445 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> ?v_3464 (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> ?v_3775 (=> ?v_3474 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> ?v_3483 (=> ?v_3484 (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_3494 (=> ?v_3495 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 hirp) (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> ?v_5849 (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> ?v_3518 (=> ?v_3519 (=> ?v_3777 (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_3523 (=> ?v_3524 (=> ?v_3525 (=> ?v_3526 (=> ?v_3527 (=> ?v_3528 (=> ?v_3778 (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> ?v_3535 (=> ?v_3536 (=> ?v_3537 (=> ?v_3538 (=> ?v_3539 (=> ?v_3540 (=> ?v_3541 (=> ?v_3542 (=> ?v_3543 (=> ?v_3544 (=> ?v_3545 (=> ?v_3546 (=> ?v_3547 (=> ?v_3548 (=> ?v_3549 (=> ?v_3550 (=> ?v_3551 (=> ?v_3552 (=> ?v_3553 (=> ?v_3554 (=> ?v_3555 (=> ?v_3556 (=> ?v_3557 (=> ?v_3558 (=> ?v_3559 (=> ?v_3560 (=> ?v_3561 (=> ?v_3562 (=> ?v_3563 (=> ?v_3564 (=> ?v_3565 (=> ?v_3566 (=> ?v_3567 (=> ?v_3568 (=> ?v_3569 (=> ?v_3570 (=> ?v_3571 (=> ?v_3572 (=> ?v_3573 (=> ?v_3574 (=> ?v_3575 (=> ?v_3576 (=> ?v_3577 (=> ?v_3578 (=> ?v_3579 (=> ?v_3580 (=> ?v_3779 (=> ?v_3581 (=> ?v_3582 (=> ?v_3583 (=> ?v_3584 (=> ?v_3585 (=> ?v_3586 (=> ?v_3587 (=> (= cancelLockStatus_0.51 cancelLockStatus_0.5) (=> ?v_3588 (=> ?v_3589 (=> ?v_3590 (=> ?v_3591 (=> ?v_3592 (=> ?v_3593 (=> ?v_3594 (=> (= Mem_0_T.CancelRoutine__IRP.68 Mem_0_T.CancelRoutine__IRP.13) (=> ?v_3595 (=> ?v_3596 (=> ?v_3597 (=> ?v_3598 (=> ?v_3599 (=> ?v_3600 (=> ?v_3601 (=> ?v_3602 (=> ?v_3603 (=> ?v_3604 (=> ?v_3780 (=> ?v_3605 (=> ?v_3606 (=> ?v_3607 (=> ?v_3608 (=> ?v_3609 (=> ?v_3610 (=> ?v_3611 (=> ?v_3612 (=> ?v_3613 (=> ?v_3614 (=> ?v_3615 (=> ?v_3616 (=> ?v_3617 (=> ?v_3618 (=> ?v_3619 (=> ?v_3620 (=> ?v_3621 (=> ?v_3622 (=> ?v_3623 (=> ?v_3624 (=> ?v_3625 (=> ?v_3626 (=> ?v_3627 (=> ?v_3628 (=> ?v_3629 (=> ?v_3630 (=> ?v_3631 (=> ?v_3632 (=> ?v_3633 (=> ?v_3634 (=> ?v_3635 (=> ?v_3636 (=> ?v_3637 (=> (= errorReached.49 errorReached.8) (=> ?v_3638 (=> ?v_3639 (=> ?v_3640 (=> ?v_3641 (=> ?v_3642 (=> ?v_3643 (=> ?v_3644 (=> ?v_3645 (=> ?v_3646 (=> ?v_3647 (=> ?v_3648 (=> ?v_3649 (=> ?v_3650 (=> ?v_3651 (=> ?v_3652 (=> ?v_3653 (=> ?v_3654 (=> ?v_3655 (=> ?v_3656 (=> ?v_3657 (=> ?v_3658 (=> ?v_3781 (=> ?v_3659 (=> ?v_3660 (=> ?v_3661 (=> ?v_3662 (=> ?v_3663 (=> ?v_3664 (=> ?v_3665 (=> ?v_3666 (=> ?v_3667 (=> (= cancelLockStatus_1.51 cancelLockStatus_1.5) ?v_5850))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3697 (= cancelLockStatus_1.5 cancelLockStatus_1.4))) (let ((?v_3698 (=> (= cancelLockStatus_0.5 cancelLockStatus_0.4) (=> true (=> true (=> true (=> true (=> true ?v_3695))))))) (?v_3696 (= k.10 1))) (let ((?v_3702 (not ?v_3696)) (?v_3012 (= k.10 0))) (let ((?v_3699 (not ?v_3012))) (let ((?v_3701 (and (=> true (=> ?v_3012 (=> true (=> ?v_3697 (=> (= cancelLockStatus_0.5 0) ?v_3695))))) (=> true (=> ?v_3699 (and (=> true (=> ?v_3696 (=> true (=> (= cancelLockStatus_1.5 0) ?v_3698)))) (=> true (=> ?v_3702 (=> true (=> ?v_3697 ?v_3698)))))))))) (let ((?v_3705 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3701)))))))))))) (?v_3703 (= Mem_0_T.CancelRoutine__IRP.13 Mem_0_T.CancelRoutine__IRP.8)) (?v_3704 (= Mem_1_T.CancelRoutine__IRP.13 Mem_1_T.CancelRoutine__IRP.8))) (let ((?v_3707 (=> true (=> (<= k.9 k.10) (=> (< k.10 2) (and (=> true (=> ?v_3012 (=> (= Mem_0_T.CancelRoutine__IRP.12 (MapType0Store Mem_0_T.CancelRoutine__IRP.8 ?v_952 ?v_3700)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.13 Mem_0_T.CancelRoutine__IRP.12) (=> ?v_3704 ?v_3701)))))) (=> true (=> ?v_3699 (and (=> true (=> ?v_3696 (=> (= Mem_1_T.CancelRoutine__IRP.12 (MapType0Store Mem_1_T.CancelRoutine__IRP.8 ?v_952 ?v_3700)) (=> true (=> ?v_3703 (=> (= Mem_1_T.CancelRoutine__IRP.13 Mem_1_T.CancelRoutine__IRP.12) ?v_3705)))))) (=> true (=> ?v_3702 (=> true (=> ?v_3703 (=> ?v_3704 ?v_3705)))))))))))))) (let ((?v_3708 (=> true (=> (= errorReached.8 errorReached.5) ?v_3707))) (?v_3009 (= k.9 0)) (?v_3706 (= k.9 1))) (let ((?v_3709 (and (=> true (=> ?v_12 (and (=> true (=> (=> ?v_3009 ?v_3010) (=> (=> ?v_3706 ?v_3011) (=> true (=> (= errorReached.8 1) ?v_3707))))) (=> true (=> (=> ?v_3009 ?v_2997) (=> (=> ?v_3706 ?v_2998) ?v_3708)))))) (=> true (=> ?v_3000 ?v_3708))))) (let ((?v_3710 (=> true (=> true ?v_3709))) (?v_3007 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP ?v_2151)) 0)) (?v_3008 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP ?v_2151)) 0)) (?v_2986 (=> true (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..0 ?v_953) (=> true (=> ?v_3013 (=> ?v_3014 (=> ?v_3015 (=> ?v_3016 (=> ?v_3017 (=> ?v_3018 (=> ?v_3019 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp) (=> ?v_3020 (=> ?v_3021 (=> ?v_3022 (=> ?v_3023 (=> ?v_3024 (=> ?v_3025 (=> ?v_3026 (=> ?v_3027 (=> ?v_3028 (=> ?v_3029 (=> ?v_3030 (=> ?v_3031 (=> ?v_3032 (=> ?v_3033 (=> ?v_3034 (=> ?v_3035 (=> ?v_3036 (=> ?v_3037 (=> ?v_3038 (=> ?v_3039 (=> ?v_3040 (=> ?v_3041 (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..0) (=> ?v_3042 (=> ?v_3043 (=> ?v_3044 (=> ?v_3045 (=> ?v_3046 (=> ?v_3047 (=> ?v_3048 (=> ?v_3049 (=> ?v_3050 (=> ?v_3051 (=> ?v_3052 (=> ?v_3053 (=> ?v_3054 (=> (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.0 hirp) (=> ?v_3055 (=> ?v_3056 (=> ?v_3057 (=> ?v_3058 (=> ?v_3059 (=> ?v_3060 (=> ?v_3061 (=> ?v_3062 (=> ?v_3063 (=> ?v_3064 (=> ?v_3065 (=> ?v_3066 (=> (= irpCompleted_0.29 irpCompleted_0.7) (=> ?v_3067 (=> ?v_3068 (=> ?v_3069 (=> ?v_3070 (=> ?v_3071 (=> ?v_3072 (=> ?v_3073 (=> ?v_3074 (=> ?v_3075 (=> ?v_3076 (=> ?v_3077 (=> ?v_3078 (=> ?v_3079 (=> ?v_3080 (=> ?v_3081 (=> ?v_3082 (=> ?v_3083 (=> ?v_3084 (=> ?v_3085 (=> ?v_3086 (=> ?v_3087 (=> ?v_3088 (=> ?v_3089 (=> ?v_3090 (=> ?v_3765 (=> ?v_3091 (=> ?v_3092 (=> ?v_3093 (=> ?v_3094 (=> ?v_3095 (=> ?v_3096 (=> ?v_3097 (=> ?v_3098 (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3110 (=> ?v_3111 (=> ?v_3112 (=> ?v_3113 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_3134 (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> ?v_3766 (=> ?v_3140 (=> ?v_3141 (=> ?v_3142 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_3147 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> ?v_3164 (=> ?v_3165 (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> (= Mem_1_T.CancelRoutine__IRP.68 Mem_1_T.CancelRoutine__IRP.16) (=> ?v_3172 (=> (= k.122 k.17) (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_3178 (=> ?v_3179 (=> ?v_3180 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_3187 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> ?v_3200 (=> ?v_3201 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> ?v_3208 (=> ?v_3209 (=> ?v_3210 (=> ?v_3211 (=> ?v_3212 (=> ?v_3213 (=> ?v_3214 (=> ?v_3215 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_3230 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 (=> ?v_3236 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_3240 (=> ?v_3241 (=> ?v_3242 (=> ?v_3243 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_3247 (=> ?v_3248 (=> ?v_3249 (=> ?v_3250 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_3254 (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.15 inline.SerialStartOrQueue.0.myNondetVar_0.14) (=> ?v_3255 (=> ?v_3256 (=> ?v_3257 (=> ?v_3258 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> ?v_3262 (=> ?v_3263 (=> ?v_3264 (=> ?v_3265 (=> ?v_3266 (=> ?v_3267 (=> ?v_3268 (=> ?v_3269 (=> ?v_3270 (=> ?v_3271 (=> ?v_3272 (=> ?v_3273 (=> ?v_3274 (=> ?v_3275 (=> ?v_3276 (=> ?v_3277 (=> ?v_3278 (=> ?v_3279 (=> ?v_3280 (=> ?v_3281 (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_3296 (=> ?v_3297 (=> ?v_3298 (=> ?v_3299 (=> ?v_3300 (=> ?v_3301 (=> ?v_3302 (=> ?v_3303 (=> ?v_3304 (=> ?v_3305 (=> ?v_3306 (=> ?v_3307 (=> ?v_3308 (=> ?v_3309 (=> ?v_3310 (=> ?v_3311 (=> ?v_3312 (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> ?v_3318 (=> ?v_3319 (=> (= inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..0) (=> ?v_3320 (=> ?v_3321 (=> ?v_3322 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3332 (=> ?v_3333 (=> ?v_3768 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_3347 (=> ?v_3348 (=> ?v_3349 (=> ?v_3769 (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> (= irpCompleted_1.29 irpCompleted_1.7) (=> ?v_3367 (=> ?v_3368 (=> ?v_3369 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3770 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> (= inline.SerialStartOrQueue.0.havoc_stringTemp.0 call67512formal.new.0) (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> ?v_3409 (=> ?v_3410 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> ?v_3419 (=> ?v_3420 (=> (= inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.16.myNondetVar_0.1) (=> ?v_3421 (=> (= inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.16.myNondetVar_0.1) (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> ?v_3430 (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_3438 (=> (= inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.16.myNondetVar_0.1) (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> ?v_3445 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> ?v_3464 (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> (= inline.sdv_InterlockedDecrement.16.myNondetVar_0.2 inline.sdv_InterlockedDecrement.16.myNondetVar_0.1) (=> ?v_3474 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> ?v_3483 (=> ?v_3484 (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_3494 (=> ?v_3495 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> ?v_3776 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> (= alloc.74 alloc.26) (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> ?v_3518 (=> ?v_3519 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_3523 (=> ?v_3524 (=> ?v_3525 (=> ?v_3526 (=> ?v_3527 (=> ?v_3528 (=> (= inline.sdv_IoReleaseCancelSpinLock.23..result.userContextSwitch.3151.2.1..0 call67447formal.ret.0) (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> ?v_3535 (=> ?v_3536 (=> ?v_3537 (=> ?v_3538 (=> ?v_3539 (=> ?v_3540 (=> ?v_3541 (=> ?v_3542 (=> ?v_3543 (=> ?v_3544 (=> ?v_3545 (=> ?v_3546 (=> ?v_3547 (=> ?v_3548 (=> ?v_3549 (=> ?v_3550 (=> ?v_3551 (=> ?v_3552 (=> ?v_3553 (=> ?v_3554 (=> ?v_3555 (=> ?v_3556 (=> ?v_3557 (=> ?v_3558 (=> ?v_3559 (=> ?v_3560 (=> ?v_3561 (=> ?v_3562 (=> ?v_3563 (=> ?v_3564 (=> ?v_3565 (=> ?v_3566 (=> ?v_3567 (=> ?v_3568 (=> ?v_3569 (=> ?v_3570 (=> ?v_3571 (=> ?v_3572 (=> ?v_3573 (=> ?v_3574 (=> ?v_3575 (=> ?v_3576 (=> ?v_3577 (=> ?v_3578 (=> ?v_3579 (=> ?v_3580 (=> (= inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..1 inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..0) (=> ?v_3581 (=> ?v_3582 (=> ?v_3583 (=> ?v_3584 (=> ?v_3585 (=> ?v_3586 (=> ?v_3587 (=> (= cancelLockStatus_0.51 cancelLockStatus_0.10) (=> ?v_3588 (=> ?v_3589 (=> ?v_3590 (=> ?v_3591 (=> ?v_3592 (=> ?v_3593 (=> ?v_3594 (=> (= Mem_0_T.CancelRoutine__IRP.68 Mem_0_T.CancelRoutine__IRP.16) (=> ?v_3595 (=> ?v_3596 (=> ?v_3597 (=> ?v_3598 (=> ?v_3599 (=> ?v_3600 (=> ?v_3601 (=> ?v_3602 (=> ?v_3603 (=> ?v_3604 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp) (=> ?v_3605 (=> ?v_3606 (=> ?v_3607 (=> ?v_3608 (=> ?v_3609 (=> ?v_3610 (=> ?v_3611 (=> ?v_3612 (=> ?v_3613 (=> ?v_3614 (=> ?v_3615 (=> ?v_3616 (=> ?v_3617 (=> ?v_3618 (=> ?v_3619 (=> ?v_3620 (=> ?v_3621 (=> ?v_3622 (=> ?v_3623 (=> ?v_3624 (=> ?v_3625 (=> ?v_3626 (=> ?v_3627 (=> ?v_3628 (=> ?v_3629 (=> ?v_3630 (=> ?v_3631 (=> ?v_3632 (=> ?v_3633 (=> ?v_3634 (=> ?v_3635 (=> ?v_3636 (=> ?v_3637 (=> (= errorReached.49 errorReached.10) (=> ?v_3638 (=> ?v_3639 (=> ?v_3640 (=> ?v_3641 (=> ?v_3642 (=> ?v_3643 (=> ?v_3644 (=> ?v_3645 (=> ?v_3646 (=> ?v_3647 (=> ?v_3648 (=> ?v_3649 (=> ?v_3650 (=> ?v_3651 (=> ?v_3652 (=> ?v_3653 (=> ?v_3654 (=> ?v_3655 (=> ?v_3656 (=> ?v_3657 (=> ?v_3658 (=> (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.0 hirp) (=> ?v_3659 (=> ?v_3660 (=> ?v_3661 (=> ?v_3662 (=> ?v_3663 (=> ?v_3664 (=> ?v_3665 (=> ?v_3666 (=> ?v_3667 (=> (= cancelLockStatus_1.51 cancelLockStatus_1.10) (=> ?v_3668 (=> ?v_3669 (=> ?v_3670 (=> ?v_3671 (=> ?v_3672 (=> ?v_3673 (=> ?v_3674 (=> ?v_3675 (=> ?v_3676 (=> ?v_3677 (=> ?v_3678 (=> ?v_3679 (=> ?v_3680 (=> ?v_3681 (=> ?v_3682 (=> ?v_3683 (=> ?v_3684 (=> ?v_3685 (=> ?v_3686 (=> ?v_3687 (=> ?v_3688 (=> ?v_3689 (=> ?v_3690 (=> ?v_3691 (=> ?v_3692 (=> ?v_3693 ?v_3694))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2985 (= inline.sdv_InterlockedDecrement.16.myNondetVar_0.1 0))) (let ((?v_3001 (and (=> true (=> (not ?v_2985) (=> true (=> (= inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2.) ?v_2986)))) (=> true (=> ?v_2985 (=> true (=> (= inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..0 call67713formal.ret.0) (=> true (=> true (=> true ?v_2986)))))))))) (let ((?v_2988 (=> true (=> (= irpCompleted_1.7 irpCompleted_1.6) (=> (= Mem_1_T.CancelRoutine__IRP.16 Mem_1_T.CancelRoutine__IRP.15) (=> (= irpCompleted_0.7 irpCompleted_0.6) (=> (= Mem_0_T.CancelRoutine__IRP.16 Mem_0_T.CancelRoutine__IRP.15) (=> (= errorReached.10 errorReached.9) ?v_3001))))))) (?v_2989 (= irpCompleted_1.6 irpCompleted_1.3))) (let ((?v_2990 (=> (= irpCompleted_0.6 irpCompleted_0.3) (=> true ?v_2988))) (?v_2987 (= k.17 1))) (let ((?v_2993 (not ?v_2987)) (?v_2948 (= k.17 0))) (let ((?v_2991 (not ?v_2948))) (let ((?v_2992 (and (=> true (=> ?v_2948 (=> true (=> ?v_2989 (=> (= irpCompleted_0.6 1) ?v_2988))))) (=> true (=> ?v_2991 (and (=> true (=> ?v_2987 (=> true (=> (= irpCompleted_1.6 1) ?v_2990)))) (=> true (=> ?v_2993 (=> true (=> ?v_2989 ?v_2990)))))))))) (let ((?v_2996 (=> true (=> true ?v_2992))) (?v_2994 (= Mem_0_T.CancelRoutine__IRP.15 Mem_0_T.CancelRoutine__IRP.8)) (?v_2995 (= Mem_1_T.CancelRoutine__IRP.15 Mem_1_T.CancelRoutine__IRP.8))) (let ((?v_2999 (and (=> true (=> ?v_2948 (=> (= Mem_0_T.CancelRoutine__IRP.14 ?v_5896) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.15 Mem_0_T.CancelRoutine__IRP.14) (=> ?v_2995 ?v_2992)))))) (=> true (=> ?v_2991 (and (=> true (=> ?v_2987 (=> (= Mem_1_T.CancelRoutine__IRP.14 ?v_5909) (=> true (=> ?v_2994 (=> (= Mem_1_T.CancelRoutine__IRP.15 Mem_1_T.CancelRoutine__IRP.14) ?v_2996)))))) (=> true (=> ?v_2993 (=> true (=> ?v_2994 (=> ?v_2995 ?v_2996)))))))))) (?v_2947 (int_2_U call67512formal.new.0))) (let ((?v_3002 (=> true (and ?v_8 (=> ?v_8 (=> (> call67512formal.new.0 0) (=> (forall ((?x1695 Int)) (! (=> (and (<= call67512formal.new.0 ?x1695) (< ?x1695 (+ call67512formal.new.0 1))) (= (Base ?x1695) call67512formal.new.0)) :pattern ((Base ?x1695)) )) (=> (forall ((?x1696 boogieU)) (! (=> (= (type ?x1696) intType) (or (= (U_2_int ?x1696) call67512formal.new.0) (= (MapType0Select alloc.9 ?x1696) (MapType0Select alloc.26 ?x1696)))) :pattern ((MapType0Select alloc.26 ?x1696)) )) (=> (and (= (MapType0Select alloc.9 ?v_2947) UNALLOCATED) (= (MapType0Select alloc.26 ?v_2947) ALLOCATED)) (and (=> true (=> ?v_12 (and (=> true (=> (=> ?v_2948 ?v_3010) (=> (=> ?v_2987 ?v_3011) (=> true (=> (= errorReached.9 1) ?v_2999))))) (=> true (=> (=> ?v_2948 ?v_2997) (=> (=> ?v_2987 ?v_2998) (=> true (=> (= errorReached.9 errorReached.5) (=> true ?v_2999))))))))) (=> true (=> ?v_3000 (=> true (=> (= irpCompleted_1.7 irpCompleted_1.3) (=> (= Mem_1_T.CancelRoutine__IRP.16 Mem_1_T.CancelRoutine__IRP.8) (=> (= irpCompleted_0.7 irpCompleted_0.3) (=> (= Mem_0_T.CancelRoutine__IRP.16 Mem_0_T.CancelRoutine__IRP.8) (=> (= errorReached.10 errorReached.5) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3001))))))))))))))))))))))))))))))))))) (let ((?v_3003 (and (=> true (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.11 1769480) (=> true (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.14 inline.SerialStartOrQueue.0.myNondetVar_0.12) ?v_3002)))) (=> true (=> (not (= inline.SerialStartOrQueue.0.myNondetVar_0.13 1769480)) (=> true (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.14 inline.SerialStartOrQueue.0.myNondetVar_0.13) (=> true ?v_3002))))))) (?v_3004 (= cancelLockStatus_1.10 cancelLockStatus_1.4))) (let ((?v_3005 (=> (= cancelLockStatus_0.10 cancelLockStatus_0.4) (=> true (=> true (=> true (=> true (=> true ?v_3003)))))))) (let ((?v_3006 (=> true (=> (<= k.8 k.17) (=> (< k.17 2) (and (=> true (=> ?v_2948 (=> true (=> ?v_3004 (=> (= cancelLockStatus_0.10 0) ?v_3003))))) (=> true (=> ?v_2991 (and (=> true (=> ?v_2987 (=> true (=> (= cancelLockStatus_1.10 0) ?v_3005)))) (=> true (=> ?v_2993 (=> true (=> ?v_3004 ?v_3005)))))))))))) (?v_6014 (not ?v_3007)) (?v_6016 (not ?v_3008))) (let ((?v_5862 (and (=> true (=> (=> ?v_2944 ?v_6014) (=> (=> ?v_2945 ?v_6016) (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_3006)))) (=> true (=> ?v_3000 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3006))))))))))))))) (=> true (=> (=> ?v_2944 ?v_3007) (=> (=> ?v_2945 ?v_3008) (=> true (=> (<= k.8 k.9) (=> (< k.9 2) (and (=> true (=> ?v_3009 (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.8 ?v_952))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_3709))))) (=> true (=> (not ?v_3009) (and (=> true (=> ?v_3706 (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.8 ?v_952))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_3710))))) (=> true (=> (not ?v_3706) (=> true (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_3710)))))))))))))))) (?v_5861 (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_5865 (=> true (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.0.myNondetVar_0.0 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0))) (and (=> true (=> (not ?v_5861) (and (=> true (=> (=> ?v_2944 (not ?v_3711)) (=> (=> ?v_2945 (not ?v_3712)) ?v_5862))) (=> true (=> (=> ?v_2944 ?v_3711) (=> (=> ?v_2945 ?v_3712) (and (=> true (=> ?v_2944 (=> (= Mem_0_T.P_IRP.0 (MapType0Store Mem_0_T.P_IRP ?v_2946 ?v_5855)) (=> true (=> (= Mem_0_T.P_IRP.1 Mem_0_T.P_IRP.0) (=> ?v_5859 ?v_5856)))))) (=> true (=> ?v_5854 (and (=> true (=> ?v_2945 (=> (= Mem_1_T.P_IRP.0 (MapType0Store Mem_1_T.P_IRP ?v_2946 ?v_5855)) (=> true (=> ?v_5858 (=> (= Mem_1_T.P_IRP.1 Mem_1_T.P_IRP.0) ?v_5860)))))) (=> true (=> ?v_5857 (=> true (=> ?v_5858 (=> ?v_5859 ?v_5860))))))))))))))) (=> true (=> ?v_5861 (=> true ?v_5862)))))))) (let ((?v_5878 (=> true (=> true (=> true ?v_5865)))) (?v_5882 (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5867 (= inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..0 inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5883 (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5868 (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp)) (?v_5869 (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp)) (?v_5884 (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5885 (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5886 (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5872 (= inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5873 (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5887 (= inline.SerialStartOrQueue.0.tempBoogie0.2 inline.SerialStartOrQueue.0.tempBoogie0)) (?v_5888 (= inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5875 (= inline.SerialStartOrQueue.0.myNondetVar_1.1 inline.SerialStartOrQueue.0.myNondetVar_1)) (?v_5876 (= inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5877 (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5881 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 14)) (?v_5870 (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp)) (?v_5871 (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp)) (?v_5874 (= inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0))) (let ((?v_5866 (=> true (=> (= inline.SerialStartOrQueue.0.tempBoogie0.1 (PLUS inline.SerialStartOrQueue.0.myNondetVar_0.5 1 1)) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_5867 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_5868 (=> ?v_5869 (=> ?v_5870 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_5871 (=> ?v_5872 (=> ?v_5873 (=> (= inline.SerialStartOrQueue.0.tempBoogie0.2 inline.SerialStartOrQueue.0.tempBoogie0.1) (=> ?v_5874 (=> ?v_5875 (=> ?v_5876 (=> ?v_5877 (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.7 inline.SerialStartOrQueue.0.myNondetVar_0.5) ?v_5878))))))))))))))))))))) (let ((?v_5879 (and (=> true (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.3 1769584) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp) (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.4 inline.SerialStartOrQueue.0.myNondetVar_0.3) ?v_5866))))))) (=> true (=> (not (= inline.SerialStartOrQueue.0.myNondetVar_0.6 1769584)) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 hirp) (=> ?v_5867 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_5868 (=> ?v_5869 (=> ?v_5870 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 hirp) (=> ?v_5871 (=> ?v_5872 (=> ?v_5873 (=> ?v_5887 (=> ?v_5874 (=> ?v_5875 (=> ?v_5876 (=> ?v_5877 (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.7 inline.SerialStartOrQueue.0.myNondetVar_0.6) ?v_5878)))))))))))))))))))))) (let ((?v_5880 (and (=> true (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.1 1769496) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.4 inline.SerialStartOrQueue.0.myNondetVar_0.1) ?v_5866))))))) (=> true (=> (not (= inline.SerialStartOrQueue.0.myNondetVar_0.2 1769496)) (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5879)))) (=> true (=> ?v_3000 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5879)))))))))))))) (let ((?v_5889 (and (=> true (=> ?v_5881 (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5880)))) (=> true (=> ?v_3000 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5880))))))))))) (=> true (=> (not ?v_5881) (=> true (=> ?v_5882 (=> ?v_5867 (=> ?v_5883 (=> ?v_5868 (=> ?v_5869 (=> ?v_5884 (=> ?v_5885 (=> ?v_5886 (=> ?v_5872 (=> ?v_5873 (=> ?v_5887 (=> ?v_5888 (=> ?v_5875 (=> ?v_5876 (=> ?v_5877 (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.7 inline.SerialStartOrQueue.0.myNondetVar_0) ?v_5878))))))))))))))))))))) (?v_5864 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 4)) (?v_5863 (=> true (=> (= inline.SerialStartOrQueue.0.tempBoogie0.0 (PLUS inline.SerialStartOrQueue.0.myNondetVar_0.0 1 inline.SerialStartOrQueue.0.myNondetVar_1.0)) (=> true (=> ?v_5882 (=> (= inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..0 inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4.) (=> ?v_5883 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> ?v_5884 (=> ?v_5885 (=> ?v_5886 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp) (=> (= inline.SerialStartOrQueue.0.tempBoogie0.2 inline.SerialStartOrQueue.0.tempBoogie0.0) (=> ?v_5888 (=> (= inline.SerialStartOrQueue.0.myNondetVar_1.1 inline.SerialStartOrQueue.0.myNondetVar_1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp) (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.7 inline.SerialStartOrQueue.0.myNondetVar_0.0) ?v_5865))))))))))))))))))))) (let ((?v_5890 (and (=> true (=> ?v_5864 (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5863)))) (=> true (=> ?v_3000 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true ?v_5863)))))))))) (=> true (=> (not ?v_5864) (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5889)))) (=> true (=> ?v_3000 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5889)))))))))))))) (let ((?v_5891 (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5890)))) (=> true (=> ?v_3000 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5890)))))))))) (?v_5892 (= cancelLockStatus_1.4 cancelLockStatus_1.3))) (let ((?v_5893 (=> (= cancelLockStatus_0.4 cancelLockStatus_0.3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5891)))))))))) (?v_2943 (int_2_U call52678formal.new.0))) (let ((?v_5917 (and (=> true (=> (not (= inline.SerialWrite.0.myNondetVar_0.0 0)) (=> true (=> (= inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0 ?v_3742) (=> (= inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.0 ?v_3737) (=> true (and ?v_8 (=> ?v_8 (=> (> call52678formal.new.0 0) (=> (forall ((?x1697 Int)) (! (=> (and (<= call52678formal.new.0 ?x1697) (< ?x1697 (+ call52678formal.new.0 1))) (= (Base ?x1697) call52678formal.new.0)) :pattern ((Base ?x1697)) )) (=> (forall ((?x1698 boogieU)) (! (=> (= (type ?x1698) intType) (or (= (U_2_int ?x1698) call52678formal.new.0) (= (MapType0Select alloc.6 ?x1698) (MapType0Select alloc.9 ?x1698)))) :pattern ((MapType0Select alloc.9 ?x1698)) )) (=> (and (= (MapType0Select alloc.6 ?v_2943) UNALLOCATED) (= (MapType0Select alloc.9 ?v_2943) ALLOCATED)) (=> true (=> (<= k.7 k.8) (=> (< k.8 2) (=> true (=> (=> ?v_2944 (= cancelLockStatus_0.3 0)) (=> (=> ?v_2945 (= cancelLockStatus_1.3 0)) (and (=> true (=> ?v_2944 (=> true (=> ?v_5892 (=> (= cancelLockStatus_0.4 1) ?v_5891))))) (=> true (=> ?v_5854 (and (=> true (=> ?v_2945 (=> true (=> (= cancelLockStatus_1.4 1) ?v_5893)))) (=> true (=> ?v_5857 (=> true (=> ?v_5892 ?v_5893)))))))))))))))))))))))))) (=> true (=> (= inline.SerialWrite.0.myNondetVar_0.1 0) (=> true (and ?v_8 (=> ?v_8 (=> (> call68128formal.new.0 0) (=> (forall ((?x1605 Int)) (! (=> (and (<= call68128formal.new.0 ?x1605) (< ?x1605 (+ call68128formal.new.0 1))) (= (Base ?x1605) call68128formal.new.0)) :pattern ((Base ?x1605)) )) (=> (forall ((?x1606 boogieU)) (! (=> (= (type ?x1606) intType) (or (= (U_2_int ?x1606) call68128formal.new.0) (= (MapType0Select alloc.6 ?x1606) (MapType0Select alloc.8 ?x1606)))) :pattern ((MapType0Select alloc.8 ?x1606)) )) (=> (and (= (MapType0Select alloc.6 ?v_5894) UNALLOCATED) (= (MapType0Select alloc.8 ?v_5894) ALLOCATED)) (and (=> true (=> ?v_12 (and (=> true (=> (=> ?v_2180 ?v_3010) (=> (=> ?v_5895 ?v_3011) (=> true (=> (= errorReached.6 1) ?v_5915))))) (=> true (=> (=> ?v_2180 ?v_2997) (=> (=> ?v_5895 ?v_2998) (=> true (=> (= errorReached.6 errorReached.5) (=> true ?v_5915))))))))) (=> true (=> ?v_3000 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.11 Mem_0_T.CancelRoutine__IRP.8) (=> (= Mem_1_T.CancelRoutine__IRP.11 Mem_1_T.CancelRoutine__IRP.8) (=> (= irpCompleted_0.5 irpCompleted_0.3) (=> (= irpCompleted_1.5 irpCompleted_1.3) (=> (= errorReached.7 errorReached.5) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5916))))))))))))))))))))))))))))))))))))) (?v_2942 (= inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.1 0)) (?v_2658 (= inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2729 (= inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2773 (= inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2779 (= inline.SerialWrite.0.myNondetVar_0.2 inline.SerialWrite.0.myNondetVar_0)) (?v_2184 (int_2_U call52583formal.new.0))) (let ((?v_5937 (and (=> true (=> (not ?v_2942) (=> true (and ?v_8 (=> ?v_8 (=> (> call52583formal.new.0 0) (=> (forall ((?x1699 Int)) (! (=> (and (<= call52583formal.new.0 ?x1699) (< ?x1699 (+ call52583formal.new.0 1))) (= (Base ?x1699) call52583formal.new.0)) :pattern ((Base ?x1699)) )) (=> (forall ((?x1700 boogieU)) (! (=> (= (type ?x1700) intType) (or (= (U_2_int ?x1700) call52583formal.new.0) (= (MapType0Select alloc.6 ?x1700) (MapType0Select alloc.7 ?x1700)))) :pattern ((MapType0Select alloc.7 ?x1700)) )) (=> (and (= (MapType0Select alloc.6 ?v_2184) UNALLOCATED) (= (MapType0Select alloc.7 ?v_2184) ALLOCATED)) (=> true (=> (= inline.SerialWrite.0..result.SerialWrite.74.0.1..0 ?v_953) (=> true (=> ?v_2950 (=> ?v_2185 (=> ?v_2186 (=> ?v_2187 (=> ?v_2188 (=> ?v_2189 (=> ?v_2190 (=> ?v_2191 (=> ?v_2192 (=> ?v_2193 (=> ?v_2194 (=> ?v_2195 (=> ?v_2196 (=> ?v_2197 (=> ?v_2198 (=> ?v_2199 (=> ?v_2200 (=> ?v_2201 (=> ?v_2202 (=> ?v_2203 (=> ?v_2204 (=> ?v_2205 (=> ?v_2951 (=> ?v_2206 (=> ?v_2207 (=> ?v_2208 (=> ?v_2209 (=> ?v_2210 (=> ?v_2211 (=> ?v_2212 (=> ?v_2213 (=> ?v_2214 (=> ?v_2215 (=> ?v_2216 (=> ?v_2217 (=> ?v_2218 (=> ?v_2219 (=> ?v_2220 (=> ?v_2221 (=> ?v_2222 (=> ?v_2223 (=> ?v_2224 (=> ?v_2225 (=> ?v_2226 (=> ?v_2227 (=> ?v_2228 (=> ?v_2229 (=> ?v_2230 (=> ?v_2231 (=> ?v_2952 (=> ?v_2232 (=> ?v_2233 (=> ?v_2234 (=> ?v_2235 (=> ?v_2236 (=> ?v_2237 (=> ?v_2238 (=> ?v_2239 (=> ?v_2240 (=> ?v_2241 (=> ?v_2242 (=> ?v_2243 (=> ?v_2244 (=> ?v_2245 (=> ?v_2246 (=> ?v_2247 (=> ?v_2248 (=> ?v_2249 (=> ?v_2250 (=> ?v_2251 (=> ?v_2252 (=> ?v_2253 (=> ?v_2254 (=> ?v_2255 (=> ?v_2256 (=> ?v_2257 (=> ?v_2258 (=> ?v_2259 (=> ?v_2260 (=> ?v_2261 (=> ?v_2262 (=> ?v_2263 (=> ?v_2264 (=> ?v_2953 (=> ?v_2265 (=> ?v_2266 (=> ?v_2267 (=> ?v_2268 (=> ?v_2269 (=> ?v_2270 (=> ?v_2271 (=> ?v_2272 (=> ?v_2273 (=> ?v_2274 (=> ?v_2275 (=> ?v_2276 (=> ?v_2277 (=> ?v_2278 (=> ?v_2279 (=> ?v_2280 (=> ?v_2281 (=> ?v_2282 (=> ?v_2283 (=> ?v_2284 (=> (= irpCompleted_1.30 irpCompleted_1.3) (=> ?v_2285 (=> ?v_2286 (=> ?v_2287 (=> ?v_2288 (=> ?v_2289 (=> ?v_2290 (=> ?v_2291 (=> ?v_2292 (=> ?v_2293 (=> ?v_2294 (=> ?v_2295 (=> ?v_2296 (=> ?v_2297 (=> ?v_2298 (=> ?v_2299 (=> ?v_2300 (=> ?v_2301 (=> ?v_2302 (=> ?v_2954 (=> ?v_2303 (=> ?v_2304 (=> ?v_2305 (=> ?v_2306 (=> ?v_2307 (=> ?v_2308 (=> ?v_2309 (=> ?v_2310 (=> ?v_2311 (=> ?v_2312 (=> ?v_2313 (=> ?v_2314 (=> ?v_2315 (=> ?v_2955 (=> ?v_2316 (=> ?v_2317 (=> ?v_2318 (=> ?v_2319 (=> ?v_2320 (=> ?v_2321 (=> ?v_2956 (=> ?v_2322 (=> ?v_2323 (=> ?v_2324 (=> ?v_2325 (=> ?v_2326 (=> ?v_2327 (=> ?v_2328 (=> ?v_2329 (=> ?v_2330 (=> ?v_2331 (=> ?v_2332 (=> ?v_2333 (=> ?v_2334 (=> ?v_2335 (=> ?v_2336 (=> ?v_2337 (=> ?v_2338 (=> ?v_2339 (=> ?v_2340 (=> ?v_2341 (=> ?v_2342 (=> ?v_2343 (=> ?v_2344 (=> ?v_2345 (=> ?v_2346 (=> ?v_2347 (=> ?v_2348 (=> ?v_2349 (=> ?v_2350 (=> ?v_2351 (=> ?v_2352 (=> ?v_2353 (=> ?v_2354 (=> ?v_2355 (=> ?v_2356 (=> ?v_2357 (=> ?v_2358 (=> ?v_2359 (=> ?v_2360 (=> ?v_2361 (=> ?v_2362 (=> ?v_2363 (=> (= errorReached.50 errorReached.5) (=> ?v_2364 (=> ?v_2365 (=> ?v_2366 (=> ?v_2367 (=> ?v_2368 (=> ?v_2369 (=> ?v_2370 (=> ?v_2371 (=> ?v_2372 (=> (= inline.SerialWrite.0.havoc_stringTemp.1 call52583formal.new.0) (=> ?v_2373 (=> ?v_2374 (=> ?v_2375 (=> ?v_2376 (=> ?v_2377 (=> ?v_2378 (=> ?v_2379 (=> ?v_2380 (=> ?v_2381 (=> ?v_2382 (=> ?v_2383 (=> ?v_2384 (=> ?v_2385 (=> ?v_2386 (=> ?v_2387 (=> ?v_2388 (=> ?v_2389 (=> ?v_2390 (=> ?v_2391 (=> ?v_2392 (=> ?v_2957 (=> ?v_2393 (=> ?v_2394 (=> ?v_2395 (=> ?v_2396 (=> ?v_2397 (=> ?v_2398 (=> ?v_2399 (=> ?v_2400 (=> ?v_2401 (=> ?v_2402 (=> ?v_2403 (=> ?v_2404 (=> ?v_2405 (=> ?v_2406 (=> ?v_2407 (=> ?v_2408 (=> ?v_2409 (=> ?v_2410 (=> ?v_2411 (=> ?v_2412 (=> ?v_2413 (=> ?v_2414 (=> ?v_2415 (=> ?v_2416 (=> ?v_2417 (=> ?v_2418 (=> ?v_2419 (=> ?v_2958 (=> ?v_2420 (=> ?v_2421 (=> ?v_2422 (=> (= inline.SerialWrite.0..result.SerialDbgPrintEx.121.23.12..1 inline.SerialWrite.0..result.SerialDbgPrintEx.121.23.12..0) (=> ?v_2423 (=> ?v_2424 (=> ?v_2425 (=> ?v_2426 (=> ?v_2427 (=> ?v_2428 (=> ?v_2429 (=> ?v_2430 (=> ?v_2431 (=> ?v_2432 (=> ?v_2433 (=> ?v_2434 (=> ?v_2435 (=> ?v_2436 (=> ?v_2437 (=> ?v_2438 (=> ?v_2439 (=> ?v_2440 (=> ?v_2441 (=> ?v_2442 (=> ?v_2443 (=> ?v_2444 (=> ?v_2445 (=> ?v_2446 (=> ?v_2447 (=> ?v_2448 (=> (= alloc.76 alloc.7) (=> ?v_2449 (=> ?v_2450 (=> ?v_2451 (=> ?v_2452 (=> ?v_2453 (=> ?v_2454 (=> ?v_2455 (=> ?v_2456 (=> ?v_2457 (=> ?v_2458 (=> ?v_2459 (=> ?v_2460 (=> ?v_2461 (=> ?v_2462 (=> ?v_2463 (=> ?v_2960 (=> ?v_2464 (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 (=> ?v_2468 (=> ?v_2469 (=> ?v_2470 (=> ?v_2961 (=> ?v_2471 (=> ?v_2472 (=> ?v_2473 (=> ?v_2474 (=> ?v_2475 (=> ?v_2476 (=> ?v_2477 (=> ?v_2478 (=> ?v_2479 (=> (= Mem_0_T.CancelRoutine__IRP.69 Mem_0_T.CancelRoutine__IRP.8) (=> ?v_2480 (=> ?v_2481 (=> ?v_2482 (=> ?v_2483 (=> ?v_2484 (=> ?v_2485 (=> ?v_2486 (=> ?v_2487 (=> ?v_2488 (=> ?v_2489 (=> ?v_2490 (=> ?v_2491 (=> ?v_2492 (=> ?v_2493 (=> ?v_2494 (=> ?v_2495 (=> ?v_2496 (=> ?v_2497 (=> ?v_2498 (=> ?v_2499 (=> ?v_2500 (=> ?v_2501 (=> ?v_2502 (=> ?v_2503 (=> ?v_2504 (=> ?v_2505 (=> ?v_2506 (=> ?v_2507 (=> ?v_2508 (=> ?v_2962 (=> ?v_2509 (=> ?v_2510 (=> ?v_2511 (=> ?v_2512 (=> ?v_2513 (=> ?v_2514 (=> ?v_2963 (=> ?v_2515 (=> ?v_2516 (=> ?v_2517 (=> ?v_2518 (=> ?v_2519 (=> ?v_2520 (=> ?v_2521 (=> ?v_2522 (=> ?v_2523 (=> ?v_2524 (=> ?v_2525 (=> ?v_2526 (=> ?v_2527 (=> ?v_2528 (=> ?v_2529 (=> ?v_2530 (=> ?v_2531 (=> ?v_2532 (=> ?v_2533 (=> ?v_2534 (=> ?v_2535 (=> ?v_2536 (=> ?v_2537 (=> ?v_2538 (=> ?v_2539 (=> ?v_2540 (=> ?v_2541 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> ?v_2545 (=> ?v_2546 (=> ?v_2547 (=> ?v_2548 (=> ?v_2549 (=> ?v_2550 (=> ?v_2551 (=> ?v_2552 (=> ?v_2553 (=> ?v_2554 (=> ?v_2555 (=> ?v_2556 (=> ?v_2557 (=> ?v_2558 (=> ?v_2559 (=> ?v_2560 (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> ?v_2564 (=> ?v_2565 (=> ?v_2566 (=> ?v_2567 (=> ?v_2568 (=> ?v_2569 (=> ?v_2570 (=> ?v_2571 (=> ?v_2572 (=> ?v_2573 (=> ?v_2574 (=> ?v_2575 (=> ?v_2576 (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> ?v_2580 (=> ?v_2581 (=> ?v_2582 (=> ?v_2583 (=> ?v_2584 (=> ?v_2585 (=> ?v_2964 (=> ?v_2965 (=> ?v_2586 (=> ?v_2587 (=> ?v_2588 (=> ?v_2589 (=> ?v_2590 (=> ?v_2591 (=> ?v_2966 (=> ?v_2592 (=> ?v_2593 (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2603 (=> ?v_2604 (=> ?v_2605 (=> ?v_2606 (=> ?v_2607 (=> ?v_2608 (=> ?v_2609 (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> ?v_2613 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> ?v_2619 (=> ?v_2620 (=> ?v_2621 (=> ?v_2622 (=> ?v_2623 (=> ?v_2624 (=> ?v_2625 (=> ?v_2626 (=> ?v_2627 (=> ?v_2628 (=> ?v_2629 (=> ?v_2630 (=> ?v_2967 (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> ?v_2634 (=> ?v_2635 (=> ?v_2636 (=> ?v_2637 (=> ?v_2968 (=> ?v_2638 (=> ?v_2639 (=> (= Mem_1_T.CancelRoutine__IRP.69 Mem_1_T.CancelRoutine__IRP.8) (=> ?v_2640 (=> ?v_2641 (=> ?v_2642 (=> ?v_2643 (=> ?v_2644 (=> ?v_2645 (=> ?v_2646 (=> ?v_2647 (=> ?v_2648 (=> ?v_2649 (=> ?v_2969 (=> ?v_2650 (=> ?v_2970 (=> ?v_2971 (=> ?v_2651 (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> ?v_2658 (=> ?v_2659 (=> ?v_2660 (=> ?v_2661 (=> ?v_2662 (=> ?v_2972 (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_2667 (=> ?v_2668 (=> ?v_2669 (=> ?v_2670 (=> ?v_2671 (=> ?v_2672 (=> ?v_2673 (=> ?v_2674 (=> ?v_2675 (=> ?v_2676 (=> ?v_2677 (=> ?v_2678 (=> ?v_2679 (=> ?v_2680 (=> ?v_2681 (=> ?v_2682 (=> ?v_2683 (=> ?v_2684 (=> ?v_2685 (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_2689 (=> ?v_2690 (=> ?v_2691 (=> ?v_2692 (=> ?v_2693 (=> ?v_2694 (=> ?v_2695 (=> ?v_2696 (=> ?v_2697 (=> ?v_2973 (=> ?v_2698 (=> ?v_2699 (=> ?v_2700 (=> (= irpCompleted_0.30 irpCompleted_0.3) (=> ?v_2974 (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> ?v_2704 (=> ?v_2705 (=> ?v_2706 (=> ?v_2707 (=> ?v_2708 (=> ?v_2709 (=> ?v_2710 (=> ?v_2975 (=> ?v_2711 (=> ?v_2712 (=> ?v_2713 (=> ?v_2714 (=> ?v_2715 (=> ?v_2716 (=> ?v_2717 (=> ?v_2718 (=> ?v_2719 (=> ?v_2720 (=> ?v_2721 (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> ?v_2727 (=> ?v_2728 (=> ?v_2729 (=> ?v_2730 (=> ?v_2976 (=> ?v_2731 (=> ?v_2732 (=> ?v_2733 (=> ?v_2734 (=> ?v_2735 (=> ?v_2736 (=> ?v_2737 (=> ?v_2738 (=> ?v_2739 (=> ?v_2740 (=> ?v_2741 (=> ?v_2742 (=> ?v_2743 (=> ?v_2744 (=> ?v_2745 (=> ?v_2746 (=> ?v_2747 (=> ?v_2748 (=> ?v_2749 (=> ?v_2750 (=> ?v_2751 (=> ?v_2752 (=> ?v_2753 (=> ?v_2754 (=> ?v_2755 (=> ?v_2756 (=> ?v_2757 (=> ?v_2758 (=> ?v_2759 (=> ?v_2760 (=> ?v_2761 (=> ?v_2762 (=> ?v_2977 (=> (= inline.SerialWrite.0..result.SerialWrite.74.0.1..1 inline.SerialWrite.0..result.SerialWrite.74.0.1..0) (=> ?v_2763 (=> ?v_2764 (=> ?v_2765 (=> ?v_2766 (=> ?v_2767 (=> ?v_2768 (=> ?v_2769 (=> ?v_2770 (=> ?v_2771 (=> ?v_2772 (=> ?v_2773 (=> ?v_2774 (=> ?v_2775 (=> ?v_2776 (=> ?v_2777 (=> ?v_2978 (=> ?v_2778 (=> ?v_2779 (=> ?v_2780 (=> ?v_2781 (=> ?v_2782 (=> ?v_2783 (=> ?v_2784 (=> ?v_2785 (=> ?v_2786 (=> ?v_2787 (=> ?v_2788 (=> ?v_2789 (=> ?v_2790 (=> ?v_2791 (=> ?v_2792 (=> ?v_2793 (=> ?v_2794 (=> ?v_2795 (=> ?v_2796 (=> ?v_2797 (=> ?v_2979 (=> ?v_2798 (=> ?v_2799 (=> ?v_2800 (=> ?v_2801 (=> ?v_2802 (=> ?v_2803 (=> ?v_2804 (=> ?v_2805 (=> ?v_5901 (=> ?v_2806 (=> ?v_2807 (=> ?v_2808 (=> ?v_2809 (=> ?v_2810 (=> ?v_2811 (=> ?v_2812 (=> ?v_2813 (=> ?v_2814 (=> ?v_2815 (=> ?v_2816 (=> ?v_2817 (=> ?v_2818 (=> ?v_2819 (=> ?v_2820 (=> ?v_2821 (=> ?v_2822 ?v_5902))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_2942 (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5917)))) (=> true (=> ?v_3000 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5917))))))))))))) (?v_5939 (= inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_5940 (= inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_5941 (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_5942 (= irpCompleted_1.3 irpCompleted_1)) (?v_5943 (= Mem_0_T.CancelRoutine__IRP.8 Mem_0_T.CancelRoutine__IRP.2)) (?v_5944 (= inline.sdv_InterlockedDecrement.1.myNondetVar_0.2 inline.sdv_InterlockedDecrement.1.myNondetVar_0)) (?v_5945 (= irpCompleted_0.3 irpCompleted_0)) (?v_5946 (= inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_5947 (= alloc.6 alloc.4)) (?v_5948 (= errorReached.5 errorReached.1)) (?v_5949 (= inline.SerialCompleteIfError.0.havoc_stringTemp.0 inline.SerialCompleteIfError.0.havoc_stringTemp)) (?v_5950 (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_5951 (= Mem_1_T.CancelRoutine__IRP.8 Mem_1_T.CancelRoutine__IRP.2))) (let ((?v_5952 (=> (= inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..1 inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3.) (=> (= inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2.) (=> true (=> true (=> true (=> true (=> true ?v_5937))))))))) (let ((?v_5953 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> ?v_5939 (=> ?v_5940 (=> ?v_5941 (=> ?v_5942 (=> ?v_5943 (=> (= inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.0 inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError) (=> ?v_5944 (=> ?v_5945 (=> ?v_5946 (=> ?v_5947 (=> (= inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..0 inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2.) (=> ?v_2942 (=> ?v_5948 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> ?v_5949 (=> ?v_5950 (=> ?v_5951 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) ?v_5952)))))))))))))))))))) (?v_5932 (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5933 (= inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.0 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5934 (= inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..0 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5935 (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp)) (?v_5936 (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp))) (let ((?v_5919 (=> true (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.7 inline.SerialCompleteIfError.0.myNondetVar_0.5) (=> ?v_5932 (=> (= inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.1.myNondetVar_0.1) (=> (= inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.1.myNondetVar_0.1) (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.0 hirp) (=> (= irpCompleted_1.3 irpCompleted_1.1) (=> (= Mem_0_T.CancelRoutine__IRP.8 Mem_0_T.CancelRoutine__IRP.7) (=> ?v_5933 (=> (= inline.sdv_InterlockedDecrement.1.myNondetVar_0.2 inline.sdv_InterlockedDecrement.1.myNondetVar_0.1) (=> (= irpCompleted_0.3 irpCompleted_0.1) (=> (= inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.1.myNondetVar_0.1) (=> (= alloc.6 alloc.5) (=> ?v_5934 (=> (= inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.1 inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.0) (=> (= errorReached.5 errorReached.4) (=> ?v_5935 (=> (= inline.SerialCompleteIfError.0.havoc_stringTemp.0 call52354formal.new.0) (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.0 hirp) (=> (= Mem_1_T.CancelRoutine__IRP.8 Mem_1_T.CancelRoutine__IRP.7) (=> ?v_5936 (=> (= inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..1 inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..0) (=> (= inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..0) ?v_5937)))))))))))))))))))))))) (?v_5918 (= inline.sdv_InterlockedDecrement.1.myNondetVar_0.1 0))) (let ((?v_5929 (and (=> true (=> (not ?v_5918) (=> true (=> (= inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2.) ?v_5919)))) (=> true (=> ?v_5918 (=> true (=> (= inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..0 call52555formal.ret.0) (=> true (=> true (=> true ?v_5919)))))))))) (let ((?v_5920 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.7 Mem_0_T.CancelRoutine__IRP.6) (=> (= Mem_1_T.CancelRoutine__IRP.7 Mem_1_T.CancelRoutine__IRP.6) (=> (= irpCompleted_0.1 irpCompleted_0.0) (=> (= irpCompleted_1.1 irpCompleted_1.0) (=> (= errorReached.4 errorReached.3) ?v_5929))))))) (?v_5921 (= irpCompleted_1.0 irpCompleted_1))) (let ((?v_5922 (=> (= irpCompleted_0.0 irpCompleted_0) (=> true ?v_5920)))) (let ((?v_5924 (and (=> true (=> ?v_2180 (=> true (=> ?v_5921 (=> (= irpCompleted_0.0 1) ?v_5920))))) (=> true (=> ?v_5908 (and (=> true (=> ?v_5895 (=> true (=> (= irpCompleted_1.0 1) ?v_5922)))) (=> true (=> ?v_5911 (=> true (=> ?v_5921 ?v_5922)))))))))) (let ((?v_5927 (=> true (=> true ?v_5924))) (?v_5925 (= Mem_0_T.CancelRoutine__IRP.6 Mem_0_T.CancelRoutine__IRP.2)) (?v_5926 (= Mem_1_T.CancelRoutine__IRP.6 Mem_1_T.CancelRoutine__IRP.2)) (?v_5923 (MapType0Store Mem_1_T.CancelRoutine__IRP.2 ?v_952 ?v_38)) (?v_2183 (MapType0Store Mem_0_T.CancelRoutine__IRP.2 ?v_952 ?v_38))) (let ((?v_5928 (and (=> true (=> ?v_2180 (=> (= Mem_0_T.CancelRoutine__IRP.5 ?v_2183) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.6 Mem_0_T.CancelRoutine__IRP.5) (=> ?v_5926 ?v_5924)))))) (=> true (=> ?v_5908 (and (=> true (=> ?v_5895 (=> (= Mem_1_T.CancelRoutine__IRP.5 ?v_5923) (=> true (=> ?v_5925 (=> (= Mem_1_T.CancelRoutine__IRP.6 Mem_1_T.CancelRoutine__IRP.5) ?v_5927)))))) (=> true (=> ?v_5911 (=> true (=> ?v_5925 (=> ?v_5926 ?v_5927)))))))))) (?v_19 (= irpCompleted_0 0)) (?v_20 (= irpCompleted_1 0))) (let ((?v_2181 (not ?v_19)) (?v_2182 (not ?v_20)) (?v_2179 (int_2_U call52354formal.new.0))) (let ((?v_5931 (=> true (=> (= inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.0 ?v_953) (=> true (and ?v_8 (=> ?v_8 (=> (> call52354formal.new.0 0) (=> (forall ((?x1701 Int)) (! (=> (and (<= call52354formal.new.0 ?x1701) (< ?x1701 (+ call52354formal.new.0 1))) (= (Base ?x1701) call52354formal.new.0)) :pattern ((Base ?x1701)) )) (=> (forall ((?x1702 boogieU)) (! (=> (= (type ?x1702) intType) (or (= (U_2_int ?x1702) call52354formal.new.0) (= (MapType0Select alloc.4 ?x1702) (MapType0Select alloc.5 ?x1702)))) :pattern ((MapType0Select alloc.5 ?x1702)) )) (=> (and (= (MapType0Select alloc.4 ?v_2179) UNALLOCATED) (= (MapType0Select alloc.5 ?v_2179) ALLOCATED)) (and (=> true (=> ?v_12 (and (=> true (=> (=> ?v_2180 ?v_2181) (=> (=> ?v_5895 ?v_2182) (=> true (=> (= errorReached.3 1) ?v_5928))))) (=> true (=> (=> ?v_2180 ?v_19) (=> (=> ?v_5895 ?v_20) (=> true (=> (= errorReached.3 errorReached.1) (=> true ?v_5928))))))))) (=> true (=> ?v_3000 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.7 Mem_0_T.CancelRoutine__IRP.2) (=> (= Mem_1_T.CancelRoutine__IRP.7 Mem_1_T.CancelRoutine__IRP.2) (=> (= irpCompleted_0.1 irpCompleted_0) (=> (= irpCompleted_1.1 irpCompleted_1) (=> (= errorReached.4 errorReached.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5929)))))))))))))))))))))))))))))))))))) (?v_5930 (not (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 14)))) (let ((?v_5938 (and (=> true (=> ?v_5930 (=> true (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.5 inline.SerialCompleteIfError.0.myNondetVar_0.2) ?v_5931)))) (=> true (=> (not ?v_5930) (and (=> true (=> (not (= inline.SerialCompleteIfError.0.myNondetVar_0.4 1769580)) (=> true (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.5 inline.SerialCompleteIfError.0.myNondetVar_0.4) ?v_5931)))) (=> true (=> (not (not (= inline.SerialCompleteIfError.0.myNondetVar_0.6 1769580))) (=> true (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.7 inline.SerialCompleteIfError.0.myNondetVar_0.6) (=> ?v_5932 (=> ?v_5939 (=> ?v_5940 (=> ?v_5941 (=> ?v_5942 (=> ?v_5943 (=> ?v_5933 (=> ?v_5944 (=> ?v_5945 (=> ?v_5946 (=> ?v_5947 (=> ?v_5934 (=> ?v_2942 (=> ?v_5948 (=> ?v_5935 (=> ?v_5949 (=> ?v_5950 (=> ?v_5951 (=> ?v_5936 ?v_5952))))))))))))))))))))))))))))) (let ((?v_5954 (and (=> true (=> (not (= (BIT_BAND inline.SerialCompleteIfError.0.myNondetVar_0.0 BOOGIE_LARGE_INT_2147483648) 0)) (and (=> true (=> (not (= inline.SerialCompleteIfError.0.myNondetVar_0.2 0)) (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5938)))) (=> true (=> ?v_3000 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true ?v_5938)))))))))))) (=> true (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.1 0) (=> true (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.7 inline.SerialCompleteIfError.0.myNondetVar_0.1) ?v_5953))))))) (=> true (=> (= (BIT_BAND inline.SerialCompleteIfError.0.myNondetVar_0.3 BOOGIE_LARGE_INT_2147483648) 0) (=> true (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.7 inline.SerialCompleteIfError.0.myNondetVar_0.3) ?v_5953))))))) (let ((?v_5955 (=> true (=> true (=> true (=> true ?v_5954))))) (?v_2178 (int_2_U call51907formal.new.0)) (?v_16 (= inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2 0)) (?v_22 (int_2_U call51923formal.new.0))) (let ((?v_2177 (=> true (and ?v_8 (=> ?v_8 (=> (> call51923formal.new.0 0) (=> (forall ((?x1705 Int)) (! (=> (and (<= call51923formal.new.0 ?x1705) (< ?x1705 (+ call51923formal.new.0 1))) (= (Base ?x1705) call51923formal.new.0)) :pattern ((Base ?x1705)) )) (=> (forall ((?x1706 boogieU)) (! (=> (= (type ?x1706) intType) (or (= (U_2_int ?x1706) call51923formal.new.0) (= (MapType0Select alloc.44 ?x1706) (MapType0Select alloc.45 ?x1706)))) :pattern ((MapType0Select alloc.45 ?x1706)) )) (=> (and (= (MapType0Select alloc.44 ?v_22) UNALLOCATED) (= (MapType0Select alloc.45 ?v_22) ALLOCATED)) (=> true (=> (= inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..0) (=> ?v_2185 (=> ?v_2186 (=> ?v_2187 (=> ?v_2188 (=> ?v_2189 (=> ?v_2190 (=> ?v_2191 (=> ?v_2192 (=> ?v_2193 (=> ?v_2194 (=> ?v_2195 (=> ?v_2196 (=> ?v_2197 (=> ?v_2198 (=> ?v_2199 (=> ?v_2200 (=> ?v_2201 (=> ?v_2202 (=> ?v_2203 (=> ?v_2204 (=> ?v_2205 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> ?v_2206 (=> ?v_2207 (=> ?v_2208 (=> ?v_2209 (=> ?v_2210 (=> ?v_2211 (=> ?v_2212 (=> ?v_2213 (=> ?v_2214 (=> ?v_2215 (=> ?v_2216 (=> ?v_2217 (=> ?v_2218 (=> ?v_2219 (=> ?v_2220 (=> ?v_2221 (=> ?v_2222 (=> ?v_2223 (=> ?v_2224 (=> ?v_2225 (=> ?v_2226 (=> ?v_2227 (=> ?v_2228 (=> ?v_2229 (=> ?v_2230 (=> ?v_2231 (=> (= inline.SerialWrite.0..result.SerialDbgPrintEx.118.20.9..1 inline.SerialWrite.0..result.SerialDbgPrintEx.118.20.9.) (=> ?v_2232 (=> ?v_2233 (=> ?v_2234 (=> ?v_2235 (=> ?v_2236 (=> ?v_2237 (=> ?v_2238 (=> ?v_2239 (=> ?v_2240 (=> ?v_2241 (=> ?v_2242 (=> ?v_2243 (=> ?v_2244 (=> ?v_2245 (=> ?v_2246 (=> ?v_2247 (=> ?v_2248 (=> ?v_2249 (=> ?v_2250 (=> ?v_2251 (=> ?v_2252 (=> ?v_2253 (=> ?v_2254 (=> ?v_2255 (=> ?v_2256 (=> ?v_2257 (=> ?v_2258 (=> ?v_2259 (=> ?v_2260 (=> ?v_2261 (=> ?v_2262 (=> ?v_2263 (=> ?v_2264 (=> (= inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.1 inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError) (=> ?v_2265 (=> ?v_2266 (=> ?v_2267 (=> ?v_2268 (=> ?v_2269 (=> ?v_2270 (=> ?v_2271 (=> ?v_2272 (=> ?v_2273 (=> ?v_2274 (=> ?v_2275 (=> ?v_2276 (=> ?v_2277 (=> ?v_2278 (=> ?v_2279 (=> ?v_2280 (=> ?v_2281 (=> ?v_2282 (=> ?v_2283 (=> ?v_2284 (=> (= irpCompleted_1.30 irpCompleted_1.15) (=> ?v_2285 (=> ?v_2286 (=> ?v_2287 (=> ?v_2288 (=> ?v_2289 (=> ?v_2290 (=> ?v_2291 (=> ?v_2292 (=> ?v_2293 (=> ?v_2294 (=> ?v_2295 (=> ?v_2296 (=> ?v_2297 (=> ?v_2298 (=> ?v_2299 (=> ?v_2300 (=> ?v_2301 (=> ?v_2302 (=> (= inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5..2 inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5..1) (=> ?v_2303 (=> ?v_2304 (=> ?v_2305 (=> ?v_2306 (=> ?v_2307 (=> ?v_2308 (=> ?v_2309 (=> ?v_2310 (=> ?v_2311 (=> ?v_2312 (=> ?v_2313 (=> ?v_2314 (=> ?v_2315 (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.8 inline.SerialCompleteIfError.0.myNondetVar_0) (=> ?v_2316 (=> ?v_2317 (=> ?v_2318 (=> ?v_2319 (=> ?v_2320 (=> ?v_2321 (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.3 inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError) (=> ?v_2322 (=> ?v_2323 (=> ?v_2324 (=> ?v_2325 (=> ?v_2326 (=> ?v_2327 (=> ?v_2328 (=> ?v_2329 (=> ?v_2330 (=> ?v_2331 (=> ?v_2332 (=> ?v_2333 (=> ?v_2334 (=> ?v_2335 (=> ?v_2336 (=> ?v_2337 (=> ?v_2338 (=> ?v_2339 (=> ?v_2340 (=> ?v_2341 (=> ?v_2342 (=> ?v_2343 (=> ?v_2344 (=> ?v_2345 (=> ?v_2346 (=> ?v_2347 (=> ?v_2348 (=> ?v_2349 (=> ?v_2350 (=> ?v_2351 (=> ?v_2352 (=> ?v_2353 (=> ?v_2354 (=> ?v_2355 (=> ?v_2356 (=> ?v_2357 (=> ?v_2358 (=> ?v_2359 (=> ?v_2360 (=> ?v_2361 (=> ?v_2362 (=> ?v_2363 (=> (= errorReached.50 errorReached.22) (=> ?v_2364 (=> ?v_2365 (=> ?v_2366 (=> ?v_2367 (=> ?v_2368 (=> ?v_2369 (=> ?v_2370 (=> ?v_2371 (=> ?v_2372 (=> (= inline.SerialWrite.0.havoc_stringTemp.1 call51923formal.new.0) (=> ?v_2373 (=> ?v_2374 (=> ?v_2375 (=> ?v_2376 (=> ?v_2377 (=> ?v_2378 (=> ?v_2379 (=> ?v_2380 (=> ?v_2381 (=> ?v_2382 (=> ?v_2383 (=> ?v_2384 (=> ?v_2385 (=> ?v_2386 (=> ?v_2387 (=> ?v_2388 (=> ?v_2389 (=> ?v_2390 (=> ?v_2391 (=> ?v_2392 (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest) (=> ?v_2393 (=> ?v_2394 (=> ?v_2395 (=> ?v_2396 (=> ?v_2397 (=> ?v_2398 (=> ?v_2399 (=> ?v_2400 (=> ?v_2401 (=> ?v_2402 (=> ?v_2403 (=> ?v_2404 (=> ?v_2405 (=> ?v_2406 (=> ?v_2407 (=> ?v_2408 (=> ?v_2409 (=> ?v_2410 (=> ?v_2411 (=> ?v_2412 (=> ?v_2413 (=> ?v_2414 (=> ?v_2415 (=> ?v_2416 (=> ?v_2417 (=> ?v_2418 (=> ?v_2419 (=> (= inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.2 inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError) (=> ?v_2420 (=> ?v_2421 (=> ?v_2422 (=> ?v_2959 (=> ?v_2423 (=> ?v_2424 (=> ?v_2425 (=> ?v_2426 (=> ?v_2427 (=> ?v_2428 (=> ?v_2429 (=> ?v_2430 (=> ?v_2431 (=> ?v_2432 (=> ?v_2433 (=> ?v_2434 (=> ?v_2435 (=> ?v_2436 (=> ?v_2437 (=> ?v_2438 (=> ?v_2439 (=> ?v_2440 (=> ?v_2441 (=> ?v_2442 (=> ?v_2443 (=> ?v_2444 (=> ?v_2445 (=> ?v_2446 (=> ?v_2447 (=> ?v_2448 (=> (= alloc.76 alloc.45) (=> ?v_2449 (=> ?v_2450 (=> ?v_2451 (=> ?v_2452 (=> ?v_2453 (=> ?v_2454 (=> ?v_2455 (=> ?v_2456 (=> ?v_2457 (=> ?v_2458 (=> ?v_2459 (=> ?v_2460 (=> ?v_2461 (=> ?v_2462 (=> ?v_2463 (=> (= inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError.0 inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError) (=> ?v_2464 (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 (=> ?v_2468 (=> ?v_2469 (=> ?v_2470 (=> (= inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..1) (=> ?v_2471 (=> ?v_2472 (=> ?v_2473 (=> ?v_2474 (=> ?v_2475 (=> ?v_2476 (=> ?v_2477 (=> ?v_2478 (=> ?v_2479 (=> (= Mem_0_T.CancelRoutine__IRP.69 Mem_0_T.CancelRoutine__IRP.32) (=> ?v_2480 (=> ?v_2481 (=> ?v_2482 (=> ?v_2483 (=> ?v_2484 (=> ?v_2485 (=> ?v_2486 (=> ?v_2487 (=> ?v_2488 (=> ?v_2489 (=> ?v_2490 (=> ?v_2491 (=> ?v_2492 (=> ?v_2493 (=> ?v_2494 (=> ?v_2495 (=> ?v_2496 (=> ?v_2497 (=> ?v_2498 (=> ?v_2499 (=> ?v_2500 (=> ?v_2501 (=> ?v_2502 (=> ?v_2503 (=> ?v_2504 (=> ?v_2505 (=> ?v_2506 (=> ?v_2507 (=> ?v_2508 (=> (= inline.SerialCompleteIfError.0.havoc_stringTemp.1 inline.SerialCompleteIfError.0.havoc_stringTemp) (=> ?v_2509 (=> ?v_2510 (=> ?v_2511 (=> ?v_2512 (=> ?v_2513 (=> ?v_2514 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> ?v_2515 (=> ?v_2516 (=> ?v_2517 (=> ?v_2518 (=> ?v_2519 (=> ?v_2520 (=> ?v_2521 (=> ?v_2522 (=> ?v_2523 (=> ?v_2524 (=> ?v_2525 (=> ?v_2526 (=> ?v_2527 (=> ?v_2528 (=> ?v_2529 (=> ?v_2530 (=> ?v_2531 (=> ?v_2532 (=> ?v_2533 (=> ?v_2534 (=> ?v_2535 (=> ?v_2536 (=> ?v_2537 (=> ?v_2538 (=> ?v_2539 (=> ?v_2540 (=> ?v_2541 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> ?v_2545 (=> ?v_2546 (=> ?v_2547 (=> ?v_2548 (=> ?v_2549 (=> ?v_2550 (=> ?v_2551 (=> ?v_2552 (=> ?v_2553 (=> ?v_2554 (=> ?v_2555 (=> ?v_2556 (=> ?v_2557 (=> ?v_2558 (=> ?v_2559 (=> ?v_2560 (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> ?v_2564 (=> ?v_2565 (=> ?v_2566 (=> ?v_2567 (=> ?v_2568 (=> ?v_2569 (=> ?v_2570 (=> ?v_2571 (=> ?v_2572 (=> ?v_2573 (=> ?v_2574 (=> ?v_2575 (=> ?v_2576 (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> ?v_2580 (=> ?v_2581 (=> ?v_2582 (=> ?v_2583 (=> ?v_2584 (=> ?v_2585 (=> (= inline.SerialWrite.0..result.SerialDbgPrintEx.114.22.7..1 inline.SerialWrite.0..result.SerialDbgPrintEx.114.22.7..0) (=> (= inline.SerialWrite.0..result.SerialCompleteIfError.120.29.11..0 inline.SerialWrite.0..result.SerialCompleteIfError.120.29.11.) (=> ?v_2586 (=> ?v_2587 (=> ?v_2588 (=> ?v_2589 (=> ?v_2590 (=> ?v_2591 (=> (= inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError1.0 inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError1) (=> ?v_2592 (=> ?v_2593 (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2603 (=> ?v_2604 (=> ?v_2605 (=> ?v_2606 (=> ?v_2607 (=> ?v_2608 (=> ?v_2609 (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> ?v_2613 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> ?v_2619 (=> ?v_2620 (=> ?v_2621 (=> ?v_2622 (=> ?v_2623 (=> ?v_2624 (=> ?v_2625 (=> ?v_2626 (=> ?v_2627 (=> ?v_2628 (=> ?v_2629 (=> ?v_2630 (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> ?v_2634 (=> ?v_2635 (=> ?v_2636 (=> ?v_2637 (=> (= inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> ?v_2638 (=> ?v_2639 (=> (= Mem_1_T.CancelRoutine__IRP.69 Mem_1_T.CancelRoutine__IRP.32) (=> ?v_2640 (=> ?v_2641 (=> ?v_2642 (=> ?v_2643 (=> ?v_2644 (=> ?v_2645 (=> ?v_2646 (=> ?v_2647 (=> ?v_2648 (=> ?v_2649 (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> ?v_2650 (=> (= inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError.0 inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError) (=> ?v_2651 (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> ?v_2658 (=> ?v_2659 (=> ?v_2660 (=> ?v_2661 (=> ?v_2662 (=> (= inline.SerialCompleteIfError.0..result.SerialCompleteIfError.892.0.1..0 inline.SerialCompleteIfError.0..result.SerialCompleteIfError.892.0.1.) (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_2667 (=> ?v_2668 (=> ?v_2669 (=> ?v_2670 (=> ?v_2671 (=> ?v_2672 (=> ?v_2673 (=> ?v_2674 (=> ?v_2675 (=> ?v_2676 (=> ?v_2677 (=> ?v_2678 (=> ?v_2679 (=> ?v_2680 (=> ?v_2681 (=> ?v_2682 (=> ?v_2683 (=> ?v_2684 (=> ?v_2685 (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_2689 (=> ?v_2690 (=> ?v_2691 (=> ?v_2692 (=> ?v_2693 (=> ?v_2694 (=> ?v_2695 (=> ?v_2696 (=> ?v_2697 (=> (= inline.sdv_InterlockedDecrement.0.myNondetVar_0.3 inline.sdv_InterlockedDecrement.0.myNondetVar_0.2) (=> ?v_2698 (=> ?v_2699 (=> ?v_2700 (=> (= irpCompleted_0.30 irpCompleted_0.15) (=> (= inline.sdv_InterlockedDecrement.1.myNondetVar_0.3 inline.sdv_InterlockedDecrement.1.myNondetVar_0) (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> ?v_2704 (=> ?v_2705 (=> ?v_2706 (=> ?v_2707 (=> ?v_2708 (=> ?v_2709 (=> ?v_2710 (=> (= inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> ?v_2711 (=> ?v_2712 (=> ?v_2713 (=> ?v_2714 (=> ?v_2715 (=> ?v_2716 (=> ?v_2717 (=> ?v_2718 (=> ?v_2719 (=> ?v_2720 (=> ?v_2721 (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> ?v_2727 (=> ?v_2728 (=> ?v_2729 (=> ?v_2730 (=> (= inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..0) (=> ?v_2731 (=> ?v_2732 (=> ?v_2733 (=> ?v_2734 (=> ?v_2735 (=> ?v_2736 (=> ?v_2737 (=> ?v_2738 (=> ?v_2739 (=> ?v_2740 (=> ?v_2741 (=> ?v_2742 (=> ?v_2743 (=> ?v_2744 (=> ?v_2745 (=> ?v_2746 (=> ?v_2747 (=> ?v_2748 (=> ?v_2749 (=> ?v_2750 (=> ?v_2751 (=> ?v_2752 (=> ?v_2753 (=> ?v_2754 (=> ?v_2755 (=> ?v_2756 (=> ?v_2757 (=> ?v_2758 (=> ?v_2759 (=> ?v_2760 (=> ?v_2761 (=> ?v_2762 (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.SerialWrite.0..result.SerialWrite.74.0.1..1 inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2) (=> ?v_2763 (=> ?v_2764 (=> ?v_2765 (=> ?v_2766 (=> ?v_2767 (=> ?v_2768 (=> ?v_2769 (=> ?v_2770 (=> ?v_2771 (=> ?v_2772 (=> ?v_2773 (=> ?v_2774 (=> ?v_2775 (=> ?v_2776 (=> ?v_2777 (=> (= inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..1 inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2.) (=> ?v_2778 (=> ?v_2779 (=> ?v_2780 (=> ?v_2781 (=> ?v_2782 (=> ?v_2783 (=> ?v_2784 (=> ?v_2785 (=> ?v_2786 (=> ?v_2787 (=> ?v_2788 (=> ?v_2789 (=> ?v_2790 (=> ?v_2791 (=> ?v_2792 (=> ?v_2793 (=> ?v_2794 (=> ?v_2795 (=> ?v_2796 (=> ?v_2797 (=> (= inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..2 inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3.) (=> ?v_2798 (=> ?v_2799 (=> ?v_2800 (=> ?v_2801 (=> ?v_2802 (=> ?v_2803 (=> ?v_2804 (=> ?v_2805 (=> (= k.123 k.68) (=> ?v_2806 (=> ?v_2807 (=> ?v_2808 (=> ?v_2809 (=> ?v_2810 (=> ?v_2811 (=> ?v_2812 (=> ?v_2813 (=> ?v_2814 (=> ?v_2815 (=> ?v_2816 (=> ?v_2817 (=> ?v_2818 (=> ?v_2819 (=> ?v_2820 (=> ?v_2821 (=> ?v_2822 (=> ?v_2823 (=> ?v_2824 (=> ?v_2825 (=> ?v_2826 (=> ?v_2827 (=> ?v_2828 (=> ?v_2829 (=> (= inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1.) (=> ?v_2830 (=> ?v_2831 (=> ?v_2832 (=> ?v_2833 (=> ?v_2834 (=> ?v_2835 (=> ?v_2836 (=> ?v_2837 (=> ?v_2838 (=> ?v_2839 (=> ?v_2840 (=> (= inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1.) (=> ?v_2841 (=> ?v_2842 (=> ?v_2843 (=> ?v_2844 (=> ?v_2845 (=> ?v_2846 (=> ?v_2847 (=> ?v_2848 (=> ?v_2849 (=> ?v_2850 (=> ?v_2851 (=> ?v_2852 (=> ?v_2853 (=> ?v_2854 (=> ?v_2855 (=> ?v_2856 (=> ?v_2857 (=> ?v_2858 (=> ?v_2859 (=> ?v_2860 (=> ?v_2861 (=> ?v_2862 (=> ?v_2863 (=> ?v_2864 (=> ?v_2865 (=> ?v_2866 (=> ?v_2867 (=> ?v_2868 (=> ?v_2869 (=> ?v_2870 (=> ?v_2871 (=> ?v_2872 (=> ?v_2873 (=> ?v_2874 (=> ?v_2875 (=> ?v_2876 (=> ?v_2877 (=> ?v_2878 (=> ?v_2879 (=> ?v_2880 (=> ?v_2881 (=> ?v_2882 (=> ?v_2883 (=> (= inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError1.0 inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError1) (=> ?v_2884 (=> ?v_2885 (=> ?v_2886 (=> ?v_2887 (=> ?v_2888 (=> ?v_2889 (=> ?v_2890 (=> ?v_2891 (=> ?v_2892 (=> ?v_2893 (=> ?v_2894 (=> ?v_2895 (=> ?v_2896 (=> ?v_2897 (=> ?v_2898 (=> ?v_2899 (=> ?v_2900 (=> ?v_2901 (=> ?v_2902 (=> ?v_2903 (=> ?v_2904 (=> ?v_2905 (=> ?v_2906 (=> ?v_2907 (=> ?v_2908 (=> ?v_2909 (=> ?v_2910 (=> ?v_2911 (=> ?v_2912 (=> ?v_2913 (=> ?v_2914 (=> ?v_2915 (=> ?v_2916 (=> ?v_2917 (=> ?v_2918 (=> ?v_2919 (=> ?v_2920 (=> ?v_2921 (=> ?v_2922 (=> ?v_2923 (=> ?v_2924 (=> ?v_2925 (=> ?v_2926 (=> ?v_2927 (=> ?v_2928 (=> ?v_2929 (=> ?v_2930 (=> ?v_2931 (=> ?v_2932 (=> ?v_2933 (=> ?v_2934 (=> ?v_2935 (=> ?v_2936 (=> ?v_2937 (=> ?v_2938 (=> ?v_2939 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> ?v_2940 ?v_2941)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_6023 (= inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2 259))) (let ((?v_2176 (not ?v_6023)) (?v_2162 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.32 Mem_0_T.CancelRoutine__IRP.31) (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.0 hirp) (=> (= inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5..1 inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5..0) (=> (= k.68 k.67) (=> (= alloc.44 alloc.3) (=> (= inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..0) (=> (= errorReached.22 errorReached.21) (=> (= inline.SerialWrite.0.havoc_stringTemp.0 call51927formal.new.0) (=> (= inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.0.myNondetVar_0.1) (=> (= irpCompleted_1.15 irpCompleted_1.14) (=> (= inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.0.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.0.myNondetVar_0.2 inline.sdv_InterlockedDecrement.0.myNondetVar_0.1) (=> (= inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.0.myNondetVar_0.1) (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.0 hirp) (=> (= Mem_1_T.CancelRoutine__IRP.32 Mem_1_T.CancelRoutine__IRP.31) (=> (= irpCompleted_0.15 irpCompleted_0.14) ?v_2177)))))))))))))))))) (?v_2161 (= inline.sdv_InterlockedDecrement.0.myNondetVar_0.1 0))) (let ((?v_2175 (and (=> true (=> (not ?v_2161) (=> true (=> (= inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2.) ?v_2162)))) (=> true (=> ?v_2161 (=> true (=> (= inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..0 call52129formal.ret.0) (=> true (=> true (=> true ?v_2162)))))))))) (let ((?v_2163 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.31 Mem_0_T.CancelRoutine__IRP.4) (=> (= Mem_1_T.CancelRoutine__IRP.31 Mem_1_T.CancelRoutine__IRP.4) (=> (= irpCompleted_0.14 irpCompleted_0.2) (=> (= k.67 k.6) (=> (= irpCompleted_1.14 irpCompleted_1.2) (=> (= errorReached.21 errorReached.2) ?v_2175)))))))) (?v_2165 (= irpCompleted_1.2 irpCompleted_1))) (let ((?v_2166 (=> (= irpCompleted_0.2 irpCompleted_0) (=> true ?v_2163))) (?v_2164 (= k.6 1))) (let ((?v_2169 (not ?v_2164)) (?v_21 (= k.6 0))) (let ((?v_2167 (not ?v_21))) (let ((?v_2168 (and (=> true (=> ?v_21 (=> true (=> ?v_2165 (=> (= irpCompleted_0.2 1) ?v_2163))))) (=> true (=> ?v_2167 (and (=> true (=> ?v_2164 (=> true (=> (= irpCompleted_1.2 1) ?v_2166)))) (=> true (=> ?v_2169 (=> true (=> ?v_2165 ?v_2166)))))))))) (let ((?v_2172 (=> true (=> true ?v_2168))) (?v_2170 (= Mem_0_T.CancelRoutine__IRP.4 Mem_0_T.CancelRoutine__IRP.2)) (?v_2171 (= Mem_1_T.CancelRoutine__IRP.4 Mem_1_T.CancelRoutine__IRP.2))) (let ((?v_2174 (=> true (=> (<= k.5 k.6) (=> (< k.6 2) (and (=> true (=> ?v_21 (=> (= Mem_0_T.CancelRoutine__IRP.3 ?v_2183) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.4 Mem_0_T.CancelRoutine__IRP.3) (=> ?v_2171 ?v_2168)))))) (=> true (=> ?v_2167 (and (=> true (=> ?v_2164 (=> (= Mem_1_T.CancelRoutine__IRP.3 ?v_5923) (=> true (=> ?v_2170 (=> (= Mem_1_T.CancelRoutine__IRP.4 Mem_1_T.CancelRoutine__IRP.3) ?v_2172)))))) (=> true (=> ?v_2169 (=> true (=> ?v_2170 (=> ?v_2171 ?v_2172))))))))))))) (?v_18 (= k.5 0)) (?v_2173 (= k.5 1)) (?v_17 (int_2_U call51927formal.new.0))) (let ((?v_5988 (and (=> true (=> (not ?v_16) (and (=> true (=> ?v_2176 (=> true (and ?v_8 (=> ?v_8 (=> (> call51927formal.new.0 0) (=> (forall ((?x1707 Int)) (! (=> (and (<= call51927formal.new.0 ?x1707) (< ?x1707 (+ call51927formal.new.0 1))) (= (Base ?x1707) call51927formal.new.0)) :pattern ((Base ?x1707)) )) (=> (forall ((?x1708 boogieU)) (! (=> (= (type ?x1708) intType) (or (= (U_2_int ?x1708) call51927formal.new.0) (= (MapType0Select alloc.2 ?x1708) (MapType0Select alloc.3 ?x1708)))) :pattern ((MapType0Select alloc.3 ?x1708)) )) (=> (and (= (MapType0Select alloc.2 ?v_17) UNALLOCATED) (= (MapType0Select alloc.3 ?v_17) ALLOCATED)) (and (=> true (=> ?v_12 (and (=> true (=> (=> ?v_18 ?v_2181) (=> (=> ?v_2173 ?v_2182) (=> true (=> (= errorReached.2 1) ?v_2174))))) (=> true (=> (=> ?v_18 ?v_19) (=> (=> ?v_2173 ?v_20) (=> true (=> (= errorReached.2 errorReached.1) ?v_2174)))))))) (=> true (=> ?v_3000 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.31 Mem_0_T.CancelRoutine__IRP.2) (=> (= Mem_1_T.CancelRoutine__IRP.31 Mem_1_T.CancelRoutine__IRP.2) (=> (= irpCompleted_0.14 irpCompleted_0) (=> (= k.67 k.5) (=> (= irpCompleted_1.14 irpCompleted_1) (=> (= errorReached.21 errorReached.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2175)))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_2176) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.32 Mem_0_T.CancelRoutine__IRP.2) (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5..1 inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5.) (=> (= k.68 k.5) (=> (= alloc.44 alloc.2) (=> (= inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2.) (=> (= errorReached.22 errorReached.1) (=> (= inline.SerialWrite.0.havoc_stringTemp.0 call50562formal.new.0) (=> (= inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= irpCompleted_1.15 irpCompleted_1) (=> (= inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.sdv_InterlockedDecrement.0.myNondetVar_0.2 inline.sdv_InterlockedDecrement.0.myNondetVar_0) (=> (= inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= Mem_1_T.CancelRoutine__IRP.32 Mem_1_T.CancelRoutine__IRP.2) (=> (= irpCompleted_0.15 irpCompleted_0) ?v_2177)))))))))))))))))))))) (=> true (=> ?v_16 (=> true (and ?v_8 (=> ?v_8 (=> (> call51907formal.new.0 0) (=> (forall ((?x1703 Int)) (! (=> (and (<= call51907formal.new.0 ?x1703) (< ?x1703 (+ call51907formal.new.0 1))) (= (Base ?x1703) call51907formal.new.0)) :pattern ((Base ?x1703)) )) (=> (forall ((?x1704 boogieU)) (! (=> (= (type ?x1704) intType) (or (= (U_2_int ?x1704) call51907formal.new.0) (= (MapType0Select alloc.2 ?x1704) (MapType0Select alloc.4 ?x1704)))) :pattern ((MapType0Select alloc.4 ?x1704)) )) (=> (and (= (MapType0Select alloc.2 ?v_2178) UNALLOCATED) (= (MapType0Select alloc.4 ?v_2178) ALLOCATED)) (=> true (=> (<= k.5 k.7) (=> (< k.7 2) (and (=> true (=> ?v_2180 (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.1 ?v_25) (=> true (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.2 inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.1) ?v_5954))))) (=> true (=> ?v_5908 (and (=> true (=> ?v_5895 (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.0 ?v_945) (=> true (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.2 inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.0) ?v_5955))))) (=> true (=> ?v_5911 (=> true (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.2 inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError) ?v_5955))))))))))))))))))))))) (let ((?v_6030 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5988)))))))))) (?v_6003 (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_5958 (= inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_5959 (= cancelLockStatus_0.3 cancelLockStatus_0)) (?v_5961 (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_5962 (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_5963 (= inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_5964 (= Mem_1_T.CancelRoutine__IRP.2 Mem_1_T.CancelRoutine__IRP)) (?v_5965 (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_5966 (= inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_5967 (= errorReached.1 0)) (?v_6004 (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5970 (= inline.InsertTailList.0.myNondetVar_0.1 inline.InsertTailList.0.myNondetVar_0)) (?v_5974 (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5975 (= Mem_0_T.CancelRoutine__IRP.2 Mem_0_T.CancelRoutine__IRP)) (?v_5976 (= inline.sdv_IoReleaseCancelSpinLock.0..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.0..result.userContextSwitch.3151.2.1.)) (?v_5978 (= inline.sdv_IoAcquireCancelSpinLock.0..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.0..result.userContextSwitch.1645.2.1.)) (?v_5980 (= inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5981 (= cancelLockStatus_1.3 cancelLockStatus_1)) (?v_5982 (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_5983 (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_5984 (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_5985 (= inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5986 (= inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5987 (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..0 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3.))) (let ((?v_6005 (=> ?v_5987 ?v_6030))) (let ((?v_6058 (=> ?v_5986 ?v_6005))) (let ((?v_5995 (=> ?v_5984 (=> ?v_5985 ?v_6058)))) (let ((?v_6017 (=> ?v_5982 (=> ?v_5983 ?v_5995)))) (let ((?v_6065 (=> ?v_5980 (=> ?v_5981 ?v_6017)))) (let ((?v_6072 (=> true (=> ?v_6003 (=> ?v_5958 (=> ?v_5959 (=> (= inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1..0) (=> ?v_5961 (=> ?v_16 (=> ?v_5962 (=> ?v_5963 (=> ?v_5964 (=> ?v_5965 (=> ?v_5966 (=> ?v_5967 (=> ?v_6004 (=> (= inline.SerialFilterIrps.0.myNondetVar_1.7 inline.SerialFilterIrps.0.myNondetVar_1.1) (=> ?v_5970 (=> (= lockStatus_1.14 lockStatus_1.13) (=> (= k.5 k.3) (=> (= lockStatus_0.14 lockStatus_0.13) (=> (= inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> ?v_5974 (=> ?v_5975 (=> ?v_5976 (=> (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.40) (=> ?v_5978 (=> (= inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) ?v_6065))))))))))))))))))))))))))) (?v_6071 (= inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_6067 (=> true (=> (= lockStatus_1.13 lockStatus_1.12) (=> (= lockStatus_0.13 lockStatus_0.12) (=> (= k.3 k.0) (=> (= inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1..0 call51831formal.ret.0) ?v_6072)))))) (?v_6069 (= lockStatus_1.12 lockStatus_1.1))) (let ((?v_6070 (=> (= lockStatus_0.12 lockStatus_0.1) (=> true ?v_6067))) (?v_6068 (= k.0 1)) (?v_6066 (= k.0 0)) (?v_15 (FlagsLock__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (?v_5960 (= inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1.)) (?v_5973 (= inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5979 (= inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock))) (let ((?v_6063 (=> true (=> ?v_6003 (=> (= inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> ?v_5959 (=> ?v_5960 (=> ?v_5961 (=> ?v_16 (=> ?v_5962 (=> ?v_5963 (=> ?v_5964 (=> ?v_5965 (=> ?v_5966 (=> ?v_5967 (=> ?v_6004 (=> (= inline.SerialFilterIrps.0.myNondetVar_1.7 inline.SerialFilterIrps.0.myNondetVar_1.2) (=> ?v_5970 (=> (= lockStatus_1.14 lockStatus_1.11) (=> ?v_18 (=> (= lockStatus_0.14 lockStatus_0.11) (=> ?v_5973 (=> ?v_5974 (=> ?v_5975 (=> ?v_5976 (=> (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.39) (=> ?v_5978 (=> ?v_5979 (=> ?v_5980 (=> ?v_5981 (=> ?v_5982 (=> ?v_5983 (=> ?v_5984 (=> (= inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) ?v_6058))))))))))))))))))))))))))))))))) (?v_6062 (= inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_6059 (=> true (=> (= lockStatus_1.11 lockStatus_1.10) (=> (= lockStatus_0.11 lockStatus_0.10) ?v_6063)))) (?v_6060 (= lockStatus_1.10 lockStatus_1.1))) (let ((?v_6061 (=> (= lockStatus_0.10 lockStatus_0.1) (=> true ?v_6059))) (?v_6024 (= inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_6025 (= inline.SerialFilterIrps.0.myNondetVar_1.7 inline.SerialFilterIrps.0.myNondetVar_1.5)) (?v_6026 (= lockStatus_1.14 lockStatus_1.5)) (?v_6027 (= lockStatus_0.14 lockStatus_0.5)) (?v_6028 (= inline.sdv_IoAcquireCancelSpinLock.0..result.userContextSwitch.1645.2.1..0 call51323formal.ret.0)) (?v_6029 (= inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0))) (let ((?v_6032 (=> true (=> ?v_6003 (=> ?v_5958 (=> (= cancelLockStatus_0.3 cancelLockStatus_0.2) (=> ?v_5960 (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> ?v_6023 (=> (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialFilterCancelQueued) (=> ?v_5963 (=> (= Mem_1_T.CancelRoutine__IRP.2 Mem_1_T.CancelRoutine__IRP.1) (=> (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 hirp) (=> ?v_6024 (=> (= errorReached.1 errorReached.0) (=> ?v_6004 (=> ?v_6025 (=> (= inline.InsertTailList.0.myNondetVar_0.1 inline.InsertTailList.0.myNondetVar_0.0) (=> ?v_6026 (=> (= k.5 k.4) (=> ?v_6027 (=> ?v_5973 (=> ?v_5974 (=> (= Mem_0_T.CancelRoutine__IRP.2 Mem_0_T.CancelRoutine__IRP.1) (=> ?v_5976 (=> (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.41) (=> ?v_6028 (=> ?v_5979 (=> ?v_6029 (=> (= cancelLockStatus_1.3 cancelLockStatus_1.2) (=> (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 hirp) (=> ?v_5983 (=> (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialFilterCancelQueued) (=> ?v_5985 (=> ?v_5986 (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3313.2.3..0 call51660formal.ret.0) ?v_6030))))))))))))))))))))))))))))))))))) (?v_6034 (= cancelLockStatus_1.2 cancelLockStatus_1.0))) (let ((?v_6035 (=> (= cancelLockStatus_0.2 cancelLockStatus_0.0) (=> true (=> true (=> true (=> true (=> true ?v_6032))))))) (?v_6033 (= k.4 1)) (?v_6031 (= k.4 0))) (let ((?v_6037 (=> true (=> (<= k.1 k.4) (=> (< k.4 2) (and (=> true (=> ?v_6031 (=> true (=> ?v_6034 (=> (= cancelLockStatus_0.2 0) ?v_6032))))) (=> true (=> (not ?v_6031) (and (=> true (=> ?v_6033 (=> true (=> (= cancelLockStatus_1.2 0) ?v_6035)))) (=> true (=> (not ?v_6033) (=> true (=> ?v_6034 ?v_6035))))))))))))) (let ((?v_6040 (=> true ?v_6037)) (?v_6038 (= Mem_0_T.CancelRoutine__IRP.1 Mem_0_T.CancelRoutine__IRP)) (?v_6039 (= Mem_1_T.CancelRoutine__IRP.1 Mem_1_T.CancelRoutine__IRP)) (?v_6015 (= k.1 1))) (let ((?v_6045 (not ?v_6015)) (?v_6013 (= k.1 0))) (let ((?v_6043 (not ?v_6013))) (let ((?v_6041 (and (=> true (=> ?v_6013 (=> (= Mem_0_T.CancelRoutine__IRP.0 (MapType0Store Mem_0_T.CancelRoutine__IRP ?v_952 ?v_6036)) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.1 Mem_0_T.CancelRoutine__IRP.0) (=> ?v_6039 ?v_6037)))))) (=> true (=> ?v_6043 (and (=> true (=> ?v_6015 (=> (= Mem_1_T.CancelRoutine__IRP.0 (MapType0Store Mem_1_T.CancelRoutine__IRP ?v_952 ?v_6036)) (=> true (=> ?v_6038 (=> (= Mem_1_T.CancelRoutine__IRP.1 Mem_1_T.CancelRoutine__IRP.0) ?v_6040)))))) (=> true (=> ?v_6045 (=> true (=> ?v_6038 (=> ?v_6039 ?v_6040))))))))))) (let ((?v_6042 (=> true (=> (= errorReached.0 0) (=> true ?v_6041))))) (let ((?v_6044 (and (=> true (=> ?v_12 (and (=> true (=> (=> ?v_6013 ?v_2181) (=> (=> ?v_6015 ?v_2182) (=> true (=> (= errorReached.0 1) ?v_6041))))) (=> true (=> (=> ?v_6013 ?v_19) (=> (=> ?v_6015 ?v_20) ?v_6042)))))) (=> true (=> ?v_3000 ?v_6042))))) (let ((?v_6046 (=> true (=> true ?v_6044))) (?v_6019 (=> true (=> (= inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..1 ?v_953) (=> true (=> ?v_6003 (=> ?v_5958 (=> (= cancelLockStatus_0.3 cancelLockStatus_0.1) (=> ?v_5960 (=> ?v_5961 (=> (= inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2 inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..1) (=> ?v_5962 (=> ?v_5963 (=> ?v_5964 (=> ?v_5965 (=> ?v_6024 (=> ?v_5967 (=> ?v_6004 (=> ?v_6025 (=> ?v_5970 (=> ?v_6026 (=> (= k.5 k.2) (=> ?v_6027 (=> ?v_5973 (=> ?v_5974 (=> ?v_5975 (=> (= inline.sdv_IoReleaseCancelSpinLock.0..result.userContextSwitch.3151.2.1..0 call51436formal.ret.0) (=> (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.33) (=> ?v_6028 (=> ?v_5979 (=> ?v_6029 (=> (= cancelLockStatus_1.3 cancelLockStatus_1.1) ?v_6017))))))))))))))))))))))))))))))) (?v_6021 (= cancelLockStatus_1.1 cancelLockStatus_1.0))) (let ((?v_6022 (=> (= cancelLockStatus_0.1 cancelLockStatus_0.0) (=> true (=> true (=> true (=> true (=> true ?v_6019))))))) (?v_6020 (= k.2 1)) (?v_6018 (= k.2 0))) (let ((?v_6047 (and (=> true (=> (=> ?v_6013 ?v_6014) (=> (=> ?v_6015 ?v_6016) (=> true (=> (<= k.1 k.2) (=> (< k.2 2) (and (=> true (=> ?v_6018 (=> true (=> ?v_6021 (=> (= cancelLockStatus_0.1 0) ?v_6019))))) (=> true (=> (not ?v_6018) (and (=> true (=> ?v_6020 (=> true (=> (= cancelLockStatus_1.1 0) ?v_6022)))) (=> true (=> (not ?v_6020) (=> true (=> ?v_6021 ?v_6022)))))))))))))) (=> true (=> (=> ?v_6013 ?v_3007) (=> (=> ?v_6015 ?v_3008) (and (=> true (=> ?v_6013 (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP ?v_952))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_6044))))) (=> true (=> ?v_6043 (and (=> true (=> ?v_6015 (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP ?v_952))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_6046))))) (=> true (=> ?v_6045 (=> true (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_6046))))))))))))) (?v_6048 (= cancelLockStatus_1.0 cancelLockStatus_1))) (let ((?v_6049 (=> (= cancelLockStatus_0.0 cancelLockStatus_0) (=> true (=> true (=> true (=> true (=> true ?v_6047))))))) (?v_6011 (= cancelLockStatus_0 0)) (?v_6012 (= cancelLockStatus_1 0))) (let ((?v_6054 (=> true (=> (<= 0 k.1) (=> (< k.1 2) (=> true (=> (=> ?v_6013 ?v_6011) (=> (=> ?v_6015 ?v_6012) (and (=> true (=> ?v_6013 (=> true (=> ?v_6048 (=> (= cancelLockStatus_0.0 1) ?v_6047))))) (=> true (=> ?v_6043 (and (=> true (=> ?v_6015 (=> true (=> (= cancelLockStatus_1.0 1) ?v_6049)))) (=> true (=> ?v_6045 (=> true (=> ?v_6048 ?v_6049))))))))))))))) (?v_6053 (= inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_6050 (=> true (=> (= lockStatus_1.5 lockStatus_1.4) (=> (= lockStatus_0.5 lockStatus_0.4) ?v_6054)))) (?v_6051 (= lockStatus_1.4 lockStatus_1.1))) (let ((?v_6052 (=> (= lockStatus_0.4 lockStatus_0.1) (=> true ?v_6050)))) (let ((?v_6056 (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.30 inline.SerialFilterIrps.0.myNondetVar_1.5) (=> true (=> (= inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_15) (and (=> true (=> ?v_6053 (and (=> true (=> ?v_0 (=> true (=> ?v_6051 (=> (= lockStatus_0.4 0) ?v_6050))))) (=> true (=> ?v_31 (and (=> true (=> ?v_1 (=> true (=> (= lockStatus_1.4 0) ?v_6052)))) (=> true (=> ?v_947 (=> true (=> ?v_6051 ?v_6052)))))))))) (=> true (=> (not ?v_6053) (=> true (=> (= lockStatus_1.5 lockStatus_1.1) (=> (= lockStatus_0.5 lockStatus_0.1) (=> true (=> true (=> true (=> true (=> true (=> true ?v_6054))))))))))))))))) (?v_6002 (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))))) (let ((?v_6055 (= ?v_6002 22)) (?v_6010 (=> true (=> ?v_6003 (=> ?v_5958 (=> ?v_5959 (=> ?v_5960 (=> ?v_5961 (=> ?v_16 (=> ?v_5962 (=> (= inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> ?v_5964 (=> ?v_5965 (=> ?v_5966 (=> ?v_5967 (=> ?v_6004 (=> (= inline.SerialFilterIrps.0.myNondetVar_1.7 inline.SerialFilterIrps.0.myNondetVar_1.6) (=> ?v_5970 (=> (= lockStatus_1.14 lockStatus_1.7) (=> ?v_18 (=> (= lockStatus_0.14 lockStatus_0.7) (=> ?v_5973 (=> ?v_5974 (=> ?v_5975 (=> ?v_5976 (=> (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.37) (=> ?v_5978 (=> ?v_5979 (=> ?v_5980 (=> ?v_5981 (=> ?v_5982 (=> ?v_5983 (=> ?v_5984 (=> ?v_5985 (=> (= inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) ?v_6005)))))))))))))))))))))))))))))))))) (?v_6009 (= inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_6006 (=> true (=> (= lockStatus_1.7 lockStatus_1.6) (=> (= lockStatus_0.7 lockStatus_0.6) ?v_6010)))) (?v_6007 (= lockStatus_1.6 lockStatus_1.1))) (let ((?v_6008 (=> (= lockStatus_0.6 lockStatus_0.1) (=> true ?v_6006))) (?v_5956 (= ?v_6002 27))) (let ((?v_6001 (not ?v_5956)) (?v_6000 (=> true (=> ?v_6003 (=> ?v_5958 (=> ?v_5959 (=> ?v_5960 (=> ?v_5961 (=> ?v_16 (=> ?v_5962 (=> ?v_5963 (=> ?v_5964 (=> ?v_5965 (=> ?v_5966 (=> ?v_5967 (=> ?v_6004 (=> (= inline.SerialFilterIrps.0.myNondetVar_1.7 inline.SerialFilterIrps.0.myNondetVar_1.3) (=> ?v_5970 (=> (= lockStatus_1.14 lockStatus_1.9) (=> ?v_18 (=> (= lockStatus_0.14 lockStatus_0.9) (=> ?v_5973 (=> (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> ?v_5975 (=> ?v_5976 (=> (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.38) (=> ?v_5978 (=> ?v_5979 (=> ?v_5980 (=> ?v_5981 (=> ?v_5982 (=> (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) ?v_5995))))))))))))))))))))))))))))))) (?v_5999 (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5996 (=> true (=> (= lockStatus_1.9 lockStatus_1.8) (=> (= lockStatus_0.9 lockStatus_0.8) ?v_6000)))) (?v_5997 (= lockStatus_1.8 lockStatus_1.1))) (let ((?v_5998 (=> (= lockStatus_0.8 lockStatus_0.1) (=> true ?v_5996)))) (let ((?v_6057 (and (=> true (=> ?v_5956 (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.22 inline.SerialFilterIrps.0.myNondetVar_1.3) (=> true (=> (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_15) (and (=> true (=> ?v_5999 (and (=> true (=> ?v_0 (=> true (=> ?v_5997 (=> (= lockStatus_0.8 0) ?v_5996))))) (=> true (=> ?v_31 (and (=> true (=> ?v_1 (=> true (=> (= lockStatus_1.8 0) ?v_5998)))) (=> true (=> ?v_947 (=> true (=> ?v_5997 ?v_5998)))))))))) (=> true (=> (not ?v_5999) (=> true (=> (= lockStatus_1.9 lockStatus_1.1) (=> (= lockStatus_0.9 lockStatus_0.1) (=> true (=> true (=> true (=> true ?v_6000)))))))))))))))) (=> true (=> ?v_6001 (and (=> true (=> ?v_6055 (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.34 16) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.35 inline.SerialFilterIrps.0.myNondetVar_1.6) (=> true (=> (= inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_15) (and (=> true (=> ?v_6009 (and (=> true (=> ?v_0 (=> true (=> ?v_6007 (=> (= lockStatus_0.6 0) ?v_6006))))) (=> true (=> ?v_31 (and (=> true (=> ?v_1 (=> true (=> (= lockStatus_1.6 0) ?v_6008)))) (=> true (=> ?v_947 (=> true (=> ?v_6007 ?v_6008)))))))))) (=> true (=> (not ?v_6009) (=> true (=> (= lockStatus_1.7 lockStatus_1.1) (=> (= lockStatus_0.7 lockStatus_0.1) (=> true (=> true (=> true (=> true ?v_6010)))))))))))))))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.28 16) 0) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.29 inline.SerialFilterIrps.0.myNondetVar_0.28) ?v_6056))))))) (=> true (=> (not ?v_6055) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.29 inline.SerialFilterIrps.0.myNondetVar_0.21) ?v_6056))))))))) (?v_5957 (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_5968 (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_5969 (= inline.SerialFilterIrps.0.myNondetVar_1.7 inline.SerialFilterIrps.0.myNondetVar_1.4)) (?v_5971 (= lockStatus_1.14 lockStatus_1.3)) (?v_5972 (= lockStatus_0.14 lockStatus_0.3)) (?v_5977 (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.27))) (let ((?v_5993 (and (=> true (=> ?v_5956 (=> true (=> ?v_5957 (=> ?v_5958 (=> ?v_5959 (=> ?v_5960 (=> ?v_5961 (=> ?v_16 (=> ?v_5962 (=> ?v_5963 (=> ?v_5964 (=> ?v_5965 (=> ?v_5966 (=> ?v_5967 (=> ?v_5968 (=> ?v_5969 (=> ?v_5970 (=> ?v_5971 (=> ?v_18 (=> ?v_5972 (=> ?v_5973 (=> ?v_5974 (=> ?v_5975 (=> ?v_5976 (=> ?v_5977 (=> ?v_5978 (=> ?v_5979 (=> ?v_5980 (=> ?v_5981 (=> ?v_5982 (=> ?v_5983 (=> ?v_5984 (=> ?v_5985 (=> ?v_5986 (=> ?v_5987 ?v_5988)))))))))))))))))))))))))))))))))))) (=> true (=> ?v_6001 (=> true (=> (= inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..0 (- 0 1073741738)) (=> true (=> ?v_5957 (=> ?v_5958 (=> ?v_5959 (=> ?v_5960 (=> ?v_5961 (=> (= inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2 inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..0) (=> ?v_5962 (=> ?v_5963 (=> ?v_5964 (=> ?v_5965 (=> ?v_5966 (=> ?v_5967 (=> ?v_5968 (=> ?v_5969 (=> ?v_5970 (=> ?v_5971 (=> ?v_18 (=> ?v_5972 (=> ?v_5973 (=> ?v_5974 (=> ?v_5975 (=> ?v_5976 (=> ?v_5977 (=> ?v_5978 (=> ?v_5979 ?v_6065)))))))))))))))))))))))))))))))) (?v_5992 (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5989 (=> true (=> (= lockStatus_1.3 lockStatus_1.2) (=> (= lockStatus_0.3 lockStatus_0.2) ?v_5993)))) (?v_5990 (= lockStatus_1.2 lockStatus_1.1))) (let ((?v_5991 (=> (= lockStatus_0.2 lockStatus_0.1) (=> true ?v_5989)))) (let ((?v_5994 (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.25 inline.SerialFilterIrps.0.myNondetVar_1.4) (=> true (=> (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_15) (and (=> true (=> ?v_5992 (and (=> true (=> ?v_0 (=> true (=> ?v_5990 (=> (= lockStatus_0.2 0) ?v_5989))))) (=> true (=> ?v_31 (and (=> true (=> ?v_1 (=> true (=> (= lockStatus_1.2 0) ?v_5991)))) (=> true (=> ?v_947 (=> true (=> ?v_5990 ?v_5991)))))))))) (=> true (=> (not ?v_5992) (=> true (=> (= lockStatus_1.3 lockStatus_1.1) (=> (= lockStatus_0.3 lockStatus_0.1) (=> true (=> true (=> true (=> true ?v_5993)))))))))))))))) (let ((?v_6064 (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.9 1) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.24 inline.SerialFilterIrps.0.myNondetVar_0.9) ?v_5994)))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.6 1) 0) (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.7 4) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.24 inline.SerialFilterIrps.0.myNondetVar_0.7) ?v_5994)))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.8 4) 0) (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.10 8) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.24 inline.SerialFilterIrps.0.myNondetVar_0.10) ?v_5994)))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.11 8) 0) (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.20 2) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.21 inline.SerialFilterIrps.0.myNondetVar_0.20) ?v_6057)))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.12 2) 0) (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.19 16) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.21 inline.SerialFilterIrps.0.myNondetVar_0.19) (=> true (=> true ?v_6057)))))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.13 16) 0) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.17 inline.SerialFilterIrps.0.myNondetVar_1.2) (=> true (=> (= inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_15) (and (=> true (=> ?v_6062 (and (=> true (=> ?v_0 (=> true (=> ?v_6060 (=> (= lockStatus_0.10 0) ?v_6059))))) (=> true (=> ?v_31 (and (=> true (=> ?v_1 (=> true (=> (= lockStatus_1.10 0) ?v_6061)))) (=> true (=> ?v_947 (=> true (=> ?v_6060 ?v_6061)))))))))) (=> true (=> (not ?v_6062) (=> true (=> (= lockStatus_1.11 lockStatus_1.1) (=> (= lockStatus_0.11 lockStatus_0.1) (=> true (=> true (=> true (=> true ?v_6063))))))))))))))))))))))))))))))) (let ((?v_6077 (and (=> true (=> (not (= inline.SerialFilterIrps.0.myNondetVar_0.3 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.5 inline.SerialFilterIrps.0.myNondetVar_0.3) ?v_6064)))) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.2 0) (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.4 4) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.5 inline.SerialFilterIrps.0.myNondetVar_0.4) (=> true ?v_6064))))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.14 4) 0) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.15 inline.SerialFilterIrps.0.myNondetVar_1.1) (=> true (=> (= inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_15) (and (=> true (=> ?v_6071 (=> true (=> (<= 0 k.0) (=> (< k.0 2) (and (=> true (=> ?v_6066 (=> true (=> ?v_6069 (=> (= lockStatus_0.12 0) ?v_6067))))) (=> true (=> (not ?v_6066) (and (=> true (=> ?v_6068 (=> true (=> (= lockStatus_1.12 0) ?v_6070)))) (=> true (=> (not ?v_6068) (=> true (=> ?v_6069 ?v_6070))))))))))))) (=> true (=> (not ?v_6071) (=> true (=> (= lockStatus_1.13 lockStatus_1.1) (=> (= lockStatus_0.13 lockStatus_0.1) (=> (= k.3 0) (=> (= inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.5..result.userContextSwitch.4629.4.1.) (=> true (=> true (=> true (=> true ?v_6072))))))))))))))))))))))) (?v_6076 (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 hlock))) (let ((?v_6073 (=> true (=> (= lockStatus_1.1 lockStatus_1.0) (=> (= lockStatus_0.1 lockStatus_0.0) ?v_6077)))) (?v_6074 (= lockStatus_1.0 lockStatus_1))) (let ((?v_6075 (=> (= lockStatus_0.0 lockStatus_0) (=> true ?v_6073))) (?v_13 (=> ?v_0 (= lockStatus_0 0))) (?v_14 (=> ?v_1 (= lockStatus_1 0)))) (let ((?v_6078 (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.0 inline.SerialFilterIrps.0.myNondetVar_1.0) (=> true (=> (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 ?v_15) (and (=> true (=> ?v_6076 (=> true (=> ?v_13 (=> ?v_14 (and (=> true (=> ?v_0 (=> true (=> ?v_6074 (=> (= lockStatus_0.0 1) ?v_6073))))) (=> true (=> ?v_31 (and (=> true (=> ?v_1 (=> true (=> (= lockStatus_1.0 1) ?v_6075)))) (=> true (=> ?v_947 (=> true (=> ?v_6074 ?v_6075))))))))))))) (=> true (=> (not ?v_6076) (=> true (=> (= lockStatus_1.1 lockStatus_1) (=> (= lockStatus_0.1 lockStatus_0) (=> true (=> true (=> true (=> true ?v_6077))))))))))))))) (?v_10 (int_2_U call50617formal.new.0)) (?v_11 (int_2_U call50620formal.new.0)) (?v_9 (int_2_U call50562formal.new.0))) (let ((?v_6079 (=> true (and ?v_8 (=> ?v_8 (=> (> call50562formal.new.0 0) (=> (forall ((?x1713 Int)) (! (=> (and (<= call50562formal.new.0 ?x1713) (< ?x1713 (+ call50562formal.new.0 1))) (= (Base ?x1713) call50562formal.new.0)) :pattern ((Base ?x1713)) )) (=> (forall ((?x1714 boogieU)) (! (=> (= (type ?x1714) intType) (or (= (U_2_int ?x1714) call50562formal.new.0) (= (MapType0Select alloc ?x1714) (MapType0Select alloc.0 ?x1714)))) :pattern ((MapType0Select alloc.0 ?x1714)) )) (=> (and (= (MapType0Select alloc ?v_9) UNALLOCATED) (= (MapType0Select alloc.0 ?v_9) ALLOCATED)) (=> true (and ?v_8 (=> ?v_8 (=> (> call50617formal.new.0 0) (=> (forall ((?x1709 Int)) (! (=> (and (<= call50617formal.new.0 ?x1709) (< ?x1709 (+ call50617formal.new.0 1))) (= (Base ?x1709) call50617formal.new.0)) :pattern ((Base ?x1709)) )) (=> (forall ((?x1710 boogieU)) (! (=> (= (type ?x1710) intType) (or (= (U_2_int ?x1710) call50617formal.new.0) (= (MapType0Select alloc.0 ?x1710) (MapType0Select alloc.1 ?x1710)))) :pattern ((MapType0Select alloc.1 ?x1710)) )) (=> (and (= (MapType0Select alloc.0 ?v_10) UNALLOCATED) (= (MapType0Select alloc.1 ?v_10) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call50620formal.new.0 0) (=> (forall ((?x1711 Int)) (! (=> (and (<= call50620formal.new.0 ?x1711) (< ?x1711 (+ call50620formal.new.0 1))) (= (Base ?x1711) call50620formal.new.0)) :pattern ((Base ?x1711)) )) (=> (forall ((?x1712 boogieU)) (! (=> (= (type ?x1712) intType) (or (= (U_2_int ?x1712) call50620formal.new.0) (= (MapType0Select alloc.1 ?x1712) (MapType0Select alloc.2 ?x1712)))) :pattern ((MapType0Select alloc.2 ?x1712)) )) (=> (and (= (MapType0Select alloc.1 ?v_11) UNALLOCATED) (= (MapType0Select alloc.2 ?v_11) ALLOCATED)) (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_6078)))) (=> true (=> ?v_3000 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_6078))))))))))))))))))))))))))))))) (let ((?v_6080 (=> true (=> true ?v_6079)))) (let ((?v_6081 (=> true (=> (= Mem_T.MajorFunction__IO_STACK_LOCATION.0 (MapType0Store Mem_T.MajorFunction__IO_STACK_LOCATION (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.0..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (int_2_U 4))) (and (=> true (=> ?v_0 (=> (= inline.SerialWrite.0..Extension.3.102.29.SerialWrite.1 ?v_25) (=> true (=> (= inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.1) ?v_6079))))) (=> true (=> ?v_31 (and (=> true (=> ?v_1 (=> (= inline.SerialWrite.0..Extension.3.102.29.SerialWrite.0 ?v_945) (=> true (=> (= inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.0) ?v_6080))))) (=> true (=> ?v_947 (=> true (=> (= inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2 inline.SerialWrite.0..Extension.3.102.29.SerialWrite) ?v_6080))))))))))) (?v_6 (int_2_U (Cancel__IRP x.tmpIrp.2.6628.7.sdv_main))) (?v_5 (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION inline.myInitDriver.0..Extension.2.11.27.myInitDriver))) (?v_4 (int_2_U (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION inline.myInitDriver.0..Extension.2.11.27.myInitDriver))) (?v_3 (int_2_U (CurrentReadIrp__SERIAL_DEVICE_EXTENSION inline.myInitDriver.0..Extension.2.11.27.myInitDriver))) (?v_2 (int_2_U (DeviceExtension__DEVICE_OBJECT inline.myInitDriver.0..devobjTmp.1.10.17.myInitDriver)))) (not (=> true (=> (= Mem_1_T.CancelRoutine__IRP Mem_s_1_T.CancelRoutine__IRP) (=> (= Mem_1_T.Cancel__IRP Mem_s_1_T.Cancel__IRP) (=> (= Mem_1_T.DeviceExtension__DEVICE_OBJECT Mem_s_1_T.DeviceExtension__DEVICE_OBJECT) (=> (= Mem_1_T.P_IRP Mem_s_1_T.P_IRP) (=> (= irpCompleted_1 irpCompleted_s_1) (=> (= lockStatus_1 lockStatus_s_1) (=> (= cancelLockStatus_1 cancelLockStatus_s_1) (=> true (=> (=> ?v_0 ?v_19) (=> (=> ?v_1 ?v_20) (=> true (=> ?v_13 (=> ?v_14 (=> true (=> (=> ?v_0 ?v_6011) (=> (=> ?v_1 ?v_6012) (=> true (=> (= inline.myInitDriver.0..devobjTmp.1.10.17.myInitDriver hdevobj) (=> true (=> (=> ?v_0 (= inline.myInitDriver.0..Extension.2.11.27.myInitDriver (U_2_int (MapType0Select Mem_0_T.DeviceExtension__DEVICE_OBJECT ?v_2)))) (=> (=> ?v_1 (= inline.myInitDriver.0..Extension.2.11.27.myInitDriver (U_2_int (MapType0Select Mem_1_T.DeviceExtension__DEVICE_OBJECT ?v_2)))) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.P_IRP ?v_3)) 0)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.P_IRP ?v_3)) 0)) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.P_IRP ?v_4)) 0)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.P_IRP ?v_4)) 0)) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.P_IRP ?v_5)) 0)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.P_IRP ?v_5)) 0)) (=> true (=> (= x.tmpIrp.2.6628.7.sdv_main hirp) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP ?v_6)) 0)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP ?v_6)) 0)) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP ?v_7)) 0)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP ?v_7)) 0)) (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.0..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_6081)))) (=> true (=> ?v_3000 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.0..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true ?v_6081))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
