(set-info :smt-lib-version 2.6)
(set-logic UFNIA)
(set-info :source |
    Shuvendu K. Lahiri, Shaz Qadeer, Zvonimir Rakamaric, Static and Precise 
    Detection of Concurrency Errors in Systems Code Using SMT Solvers, in 
    Computer Aided Verification (CAV '09), Springer Verlag, February 2009
    <http://research.microsoft.com/apps/pubs/default.aspx?id=80360>
|)
(set-info :category "industrial")
(set-info :status unsat)
(declare-sort boogieU 0)
(declare-sort boogieT 0)
(declare-sort TermBool 0)
(declare-fun boolTrue () TermBool)
(declare-fun boolFalse () TermBool)
(declare-fun boolIff (TermBool TermBool) TermBool)
(declare-fun boolImplies (TermBool TermBool) TermBool)
(declare-fun boolAnd (TermBool TermBool) TermBool)
(declare-fun boolOr (TermBool TermBool) TermBool)
(declare-fun boolNot (TermBool) TermBool)
(declare-fun UEqual (boogieU boogieU) TermBool)
(declare-fun TEqual (boogieT boogieT) TermBool)
(declare-fun IntEqual (Int Int) TermBool)
(declare-fun intLess (Int Int) TermBool)
(declare-fun intAtMost (Int Int) TermBool)
(declare-fun intGreater (Int Int) TermBool)
(declare-fun intAtLeast (Int Int) TermBool)
(declare-fun boogieIntMod (Int Int) Int)
(declare-fun boogieIntDiv (Int Int) Int)
(declare-fun UOrdering2 (boogieU boogieU) Bool)
(declare-fun UOrdering3 (boogieT boogieU boogieU) Bool)
(declare-fun TermUOrdering2 (boogieU boogieU) TermBool)
(declare-fun TermUOrdering3 (boogieT boogieU boogieU) TermBool)
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolIff ?x ?y) boolTrue) (= (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolImplies ?x ?y) boolTrue) (=> (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolAnd ?x ?y) boolTrue) (and (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolOr ?x ?y) boolTrue) (or (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool)) (! (= (= (boolNot ?x) boolTrue) (not (= ?x boolTrue))) :pattern ((boolNot ?x)) )))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (UEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieT)) (= (= (TEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (IntEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intLess ?x ?y) boolTrue) (< ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtMost ?x ?y) boolTrue) (<= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtLeast ?x ?y) boolTrue) (>= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intGreater ?x ?y) boolTrue) (> ?x ?y))))
(assert (distinct boolFalse boolTrue))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (TermUOrdering2 ?x ?y) boolTrue) (UOrdering2 ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieU) (?z boogieU)) (= (= (TermUOrdering3 ?x ?y ?z) boolTrue) (UOrdering3 ?x ?y ?z))))
(declare-fun Ctor (boogieT) Int)
(declare-fun intType () boogieT)
(declare-fun boolType () boogieT)
(declare-fun int_2_U (Int) boogieU)
(declare-fun U_2_int (boogieU) Int)
(declare-fun type (boogieU) boogieT)
(declare-fun bool_2_U (TermBool) boogieU)
(declare-fun U_2_bool (boogieU) TermBool)
(declare-fun nameType () boogieT)
(declare-fun UNALLOCATED () boogieU)
(declare-fun ALLOCATED () boogieU)
(declare-fun FREED () boogieU)
(declare-fun BYTE () boogieU)
(declare-fun T.Guid_WMIGUIDREGINFO () boogieU)
(declare-fun T.InstanceCount_WMIGUIDREGINFO () boogieU)
(declare-fun T.Flags_WMIGUIDREGINFO () boogieU)
(declare-fun T.OperationID__ACCESS_STATE () boogieU)
(declare-fun T.SecurityEvaluated__ACCESS_STATE () boogieU)
(declare-fun T.GenerateAudit__ACCESS_STATE () boogieU)
(declare-fun T.GenerateOnClose__ACCESS_STATE () boogieU)
(declare-fun T.PrivilegesAllocated__ACCESS_STATE () boogieU)
(declare-fun T.Flags__ACCESS_STATE () boogieU)
(declare-fun T.RemainingDesiredAccess__ACCESS_STATE () boogieU)
(declare-fun T.PreviouslyGrantedAccess__ACCESS_STATE () boogieU)
(declare-fun T.OriginalDesiredAccess__ACCESS_STATE () boogieU)
(declare-fun T.SubjectSecurityContext__ACCESS_STATE () boogieU)
(declare-fun T.SecurityDescriptor__ACCESS_STATE () boogieU)
(declare-fun T.AuxData__ACCESS_STATE () boogieU)
(declare-fun T.Privileges__ACCESS_STATE () boogieU)
(declare-fun T.AuditPrivileges__ACCESS_STATE () boogieU)
(declare-fun T.ObjectName__ACCESS_STATE () boogieU)
(declare-fun T.ObjectTypeName__ACCESS_STATE () boogieU)
(declare-fun T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Version__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Revision__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Count__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Count__CM_RESOURCE_LIST () boogieU)
(declare-fun T.List__CM_RESOURCE_LIST () boogieU)
(declare-fun T.Size__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Version__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceD1__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceD2__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.LockSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.EjectSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Removable__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DockDevice__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.UniqueID__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SilentInstall__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.RawDeviceOK__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SurpriseRemovalOK__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD0__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD1__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD2__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD3__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.HardwareDisabled__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.NonDynamic__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WarmEjectSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.NoDisplayInUI__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Reserved__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Address__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.UINumber__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceState__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SystemWake__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceWake__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D1Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D2Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D3Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Type__DEVICE_OBJECT () boogieU)
(declare-fun T.Size__DEVICE_OBJECT () boogieU)
(declare-fun T.ReferenceCount__DEVICE_OBJECT () boogieU)
(declare-fun T.DriverObject__DEVICE_OBJECT () boogieU)
(declare-fun T.NextDevice__DEVICE_OBJECT () boogieU)
(declare-fun T.AttachedDevice__DEVICE_OBJECT () boogieU)
(declare-fun T.CurrentIrp__DEVICE_OBJECT () boogieU)
(declare-fun T.Timer__DEVICE_OBJECT () boogieU)
(declare-fun T.Flags__DEVICE_OBJECT () boogieU)
(declare-fun T.Characteristics__DEVICE_OBJECT () boogieU)
(declare-fun T.Vpb__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceType__DEVICE_OBJECT () boogieU)
(declare-fun T.StackSize__DEVICE_OBJECT () boogieU)
(declare-fun T.Queue__DEVICE_OBJECT () boogieU)
(declare-fun T.AlignmentRequirement__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceQueue__DEVICE_OBJECT () boogieU)
(declare-fun T.Dpc__DEVICE_OBJECT () boogieU)
(declare-fun T.ActiveThreadCount__DEVICE_OBJECT () boogieU)
(declare-fun T.SecurityDescriptor__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceLock__DEVICE_OBJECT () boogieU)
(declare-fun T.SectorSize__DEVICE_OBJECT () boogieU)
(declare-fun T.Spare1__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceObjectExtension__DEVICE_OBJECT () boogieU)
(declare-fun T.Reserved__DEVICE_OBJECT () boogieU)
(declare-fun T.Type__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.Size__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.DeviceObject__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.__unnamed_4_7b44c46c__DISPATCHER_HEADER () boogieU)
(declare-fun T.SignalState__DISPATCHER_HEADER () boogieU)
(declare-fun T.WaitListHead__DISPATCHER_HEADER () boogieU)
(declare-fun T.DriverObject__DRIVER_EXTENSION () boogieU)
(declare-fun T.AddDevice__DRIVER_EXTENSION () boogieU)
(declare-fun T.Count__DRIVER_EXTENSION () boogieU)
(declare-fun T.ServiceKeyName__DRIVER_EXTENSION () boogieU)
(declare-fun T.Type__DRIVER_OBJECT () boogieU)
(declare-fun T.Size__DRIVER_OBJECT () boogieU)
(declare-fun T.DeviceObject__DRIVER_OBJECT () boogieU)
(declare-fun T.Flags__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverStart__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverSize__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverSection__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverExtension__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverName__DRIVER_OBJECT () boogieU)
(declare-fun T.HardwareDatabase__DRIVER_OBJECT () boogieU)
(declare-fun T.FastIoDispatch__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverInit__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverStartIo__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverUnload__DRIVER_OBJECT () boogieU)
(declare-fun T.MajorFunction__DRIVER_OBJECT () boogieU)
(declare-fun T.SystemResourcesList__ERESOURCE () boogieU)
(declare-fun T.OwnerTable__ERESOURCE () boogieU)
(declare-fun T.ActiveCount__ERESOURCE () boogieU)
(declare-fun T.Flag__ERESOURCE () boogieU)
(declare-fun T.SharedWaiters__ERESOURCE () boogieU)
(declare-fun T.ExclusiveWaiters__ERESOURCE () boogieU)
(declare-fun T.OwnerEntry__ERESOURCE () boogieU)
(declare-fun T.ActiveEntries__ERESOURCE () boogieU)
(declare-fun T.ContentionCount__ERESOURCE () boogieU)
(declare-fun T.NumberOfSharedWaiters__ERESOURCE () boogieU)
(declare-fun T.NumberOfExclusiveWaiters__ERESOURCE () boogieU)
(declare-fun T.__unnamed_4_f13e195c__ERESOURCE () boogieU)
(declare-fun T.SpinLock__ERESOURCE () boogieU)
(declare-fun T.SizeOfFastIoDispatch__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoCheckIfPossible__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoRead__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryBasicInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryStandardInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoLock__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockSingle__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockAll__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockAllByKey__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoDeviceControl__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoDetachDevice__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireForModWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlRead__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlReadComplete__FAST_IO_DISPATCH () boogieU)
(declare-fun T.PrepareMdlWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlWriteComplete__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoReadCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoWriteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlReadCompleteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryOpen__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseForModWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireForCcFlush__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseForCcFlush__FAST_IO_DISPATCH () boogieU)
(declare-fun T.Count__FAST_MUTEX () boogieU)
(declare-fun T.Owner__FAST_MUTEX () boogieU)
(declare-fun T.Contention__FAST_MUTEX () boogieU)
(declare-fun T.Gate__FAST_MUTEX () boogieU)
(declare-fun T.OldIrql__FAST_MUTEX () boogieU)
(declare-fun T.CreationTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.LastAccessTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.LastWriteTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.ChangeTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.FileAttributes__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.CreationTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.Type__FILE_OBJECT () boogieU)
(declare-fun T.Size__FILE_OBJECT () boogieU)
(declare-fun T.DeviceObject__FILE_OBJECT () boogieU)
(declare-fun T.Vpb__FILE_OBJECT () boogieU)
(declare-fun T.FsContext__FILE_OBJECT () boogieU)
(declare-fun T.FsContext2__FILE_OBJECT () boogieU)
(declare-fun T.SectionObjectPointer__FILE_OBJECT () boogieU)
(declare-fun T.PrivateCacheMap__FILE_OBJECT () boogieU)
(declare-fun T.FinalStatus__FILE_OBJECT () boogieU)
(declare-fun T.RelatedFileObject__FILE_OBJECT () boogieU)
(declare-fun T.LockOperation__FILE_OBJECT () boogieU)
(declare-fun T.DeletePending__FILE_OBJECT () boogieU)
(declare-fun T.ReadAccess__FILE_OBJECT () boogieU)
(declare-fun T.WriteAccess__FILE_OBJECT () boogieU)
(declare-fun T.DeleteAccess__FILE_OBJECT () boogieU)
(declare-fun T.SharedRead__FILE_OBJECT () boogieU)
(declare-fun T.SharedWrite__FILE_OBJECT () boogieU)
(declare-fun T.SharedDelete__FILE_OBJECT () boogieU)
(declare-fun T.Flags__FILE_OBJECT () boogieU)
(declare-fun T.FileName__FILE_OBJECT () boogieU)
(declare-fun T.CurrentByteOffset__FILE_OBJECT () boogieU)
(declare-fun T.Waiters__FILE_OBJECT () boogieU)
(declare-fun T.Busy__FILE_OBJECT () boogieU)
(declare-fun T.LastLock__FILE_OBJECT () boogieU)
(declare-fun T.Lock__FILE_OBJECT () boogieU)
(declare-fun T.Event__FILE_OBJECT () boogieU)
(declare-fun T.CompletionContext__FILE_OBJECT () boogieU)
(declare-fun T.IrpListLock__FILE_OBJECT () boogieU)
(declare-fun T.IrpList__FILE_OBJECT () boogieU)
(declare-fun T.FileObjectExtension__FILE_OBJECT () boogieU)
(declare-fun T.AllocationSize__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.EndOfFile__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.NumberOfLinks__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.DeletePending__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.Directory__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.Data1__GUID () boogieU)
(declare-fun T.Data2__GUID () boogieU)
(declare-fun T.Data3__GUID () boogieU)
(declare-fun T.Data4__GUID () boogieU)
(declare-fun T.PrivilegeCount__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Control__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Privilege__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Size__INTERFACE () boogieU)
(declare-fun T.Version__INTERFACE () boogieU)
(declare-fun T.Context__INTERFACE () boogieU)
(declare-fun T.InterfaceReference__INTERFACE () boogieU)
(declare-fun T.InterfaceDereference__INTERFACE () boogieU)
(declare-fun T.Port__IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.Key__IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.Option__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Type__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.ShareDisposition__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Spare1__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Flags__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Spare2__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.u__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Version__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Revision__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Count__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Descriptors__IO_RESOURCE_LIST () boogieU)
(declare-fun T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.List__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.SecurityQos__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.AccessState__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.DesiredAccess__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.FullCreateOptions__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.MajorFunction__IO_STACK_LOCATION () boogieU)
(declare-fun T.MinorFunction__IO_STACK_LOCATION () boogieU)
(declare-fun T.Flags__IO_STACK_LOCATION () boogieU)
(declare-fun T.Control__IO_STACK_LOCATION () boogieU)
(declare-fun T.Parameters__IO_STACK_LOCATION () boogieU)
(declare-fun T.DeviceObject__IO_STACK_LOCATION () boogieU)
(declare-fun T.FileObject__IO_STACK_LOCATION () boogieU)
(declare-fun T.CompletionRoutine__IO_STACK_LOCATION () boogieU)
(declare-fun T.Context__IO_STACK_LOCATION () boogieU)
(declare-fun T.__unnamed_4_ab1173de__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Information__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Type__IRP () boogieU)
(declare-fun T.Size__IRP () boogieU)
(declare-fun T.MdlAddress__IRP () boogieU)
(declare-fun T.Flags__IRP () boogieU)
(declare-fun T.AssociatedIrp__IRP () boogieU)
(declare-fun T.ThreadListEntry__IRP () boogieU)
(declare-fun T.IoStatus__IRP () boogieU)
(declare-fun T.RequestorMode__IRP () boogieU)
(declare-fun T.PendingReturned__IRP () boogieU)
(declare-fun T.StackCount__IRP () boogieU)
(declare-fun T.CurrentLocation__IRP () boogieU)
(declare-fun T.Cancel__IRP () boogieU)
(declare-fun T.CancelIrql__IRP () boogieU)
(declare-fun T.ApcEnvironment__IRP () boogieU)
(declare-fun T.AllocationFlags__IRP () boogieU)
(declare-fun T.UserIosb__IRP () boogieU)
(declare-fun T.UserEvent__IRP () boogieU)
(declare-fun T.Overlay__IRP () boogieU)
(declare-fun T.CancelRoutine__IRP () boogieU)
(declare-fun T.UserBuffer__IRP () boogieU)
(declare-fun T.Tail__IRP () boogieU)
(declare-fun T.Type__KAPC () boogieU)
(declare-fun T.SpareByte0__KAPC () boogieU)
(declare-fun T.Size__KAPC () boogieU)
(declare-fun T.SpareByte1__KAPC () boogieU)
(declare-fun T.SpareLong0__KAPC () boogieU)
(declare-fun T.Thread__KAPC () boogieU)
(declare-fun T.ApcListEntry__KAPC () boogieU)
(declare-fun T.KernelRoutine__KAPC () boogieU)
(declare-fun T.RundownRoutine__KAPC () boogieU)
(declare-fun T.NormalRoutine__KAPC () boogieU)
(declare-fun T.NormalContext__KAPC () boogieU)
(declare-fun T.SystemArgument1__KAPC () boogieU)
(declare-fun T.SystemArgument2__KAPC () boogieU)
(declare-fun T.ApcStateIndex__KAPC () boogieU)
(declare-fun T.ApcMode__KAPC () boogieU)
(declare-fun T.Inserted__KAPC () boogieU)
(declare-fun T.Type__KDEVICE_QUEUE () boogieU)
(declare-fun T.Size__KDEVICE_QUEUE () boogieU)
(declare-fun T.DeviceListHead__KDEVICE_QUEUE () boogieU)
(declare-fun T.Lock__KDEVICE_QUEUE () boogieU)
(declare-fun T.Busy__KDEVICE_QUEUE () boogieU)
(declare-fun T.DeviceListEntry__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.SortKey__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.Inserted__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.Type__KDPC () boogieU)
(declare-fun T.Importance__KDPC () boogieU)
(declare-fun T.Number__KDPC () boogieU)
(declare-fun T.DpcListEntry__KDPC () boogieU)
(declare-fun T.DeferredRoutine__KDPC () boogieU)
(declare-fun T.DeferredContext__KDPC () boogieU)
(declare-fun T.SystemArgument1__KDPC () boogieU)
(declare-fun T.SystemArgument2__KDPC () boogieU)
(declare-fun T.DpcData__KDPC () boogieU)
(declare-fun T.Header__KEVENT () boogieU)
(declare-fun T.Header__KSEMAPHORE () boogieU)
(declare-fun T.Limit__KSEMAPHORE () boogieU)
(declare-fun T.Header__KTIMER () boogieU)
(declare-fun T.DueTime__KTIMER () boogieU)
(declare-fun T.TimerListEntry__KTIMER () boogieU)
(declare-fun T.Dpc__KTIMER () boogieU)
(declare-fun T.Period__KTIMER () boogieU)
(declare-fun T.__unnamed_8_544b88f4__LARGE_INTEGER () boogieU)
(declare-fun T.u__LARGE_INTEGER () boogieU)
(declare-fun T.QuadPart__LARGE_INTEGER () boogieU)
(declare-fun T.Flink__LIST_ENTRY () boogieU)
(declare-fun T.Blink__LIST_ENTRY () boogieU)
(declare-fun T.LowPart__LUID () boogieU)
(declare-fun T.HighPart__LUID () boogieU)
(declare-fun T.Luid__LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.Attributes__LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.Next__MDL () boogieU)
(declare-fun T.Size__MDL () boogieU)
(declare-fun T.MdlFlags__MDL () boogieU)
(declare-fun T.Process__MDL () boogieU)
(declare-fun T.MappedSystemVa__MDL () boogieU)
(declare-fun T.StartVa__MDL () boogieU)
(declare-fun T.ByteCount__MDL () boogieU)
(declare-fun T.ByteOffset__MDL () boogieU)
(declare-fun T.OwnerThread__OWNER_ENTRY () boogieU)
(declare-fun T.__unnamed_4_1c47e29a__OWNER_ENTRY () boogieU)
(declare-fun T.SequenceD1__POWER_SEQUENCE () boogieU)
(declare-fun T.SequenceD2__POWER_SEQUENCE () boogieU)
(declare-fun T.SequenceD3__POWER_SEQUENCE () boogieU)
(declare-fun T.SystemState__POWER_STATE () boogieU)
(declare-fun T.DeviceState__POWER_STATE () boogieU)
(declare-fun T.PrivilegeCount__PRIVILEGE_SET () boogieU)
(declare-fun T.Control__PRIVILEGE_SET () boogieU)
(declare-fun T.Privilege__PRIVILEGE_SET () boogieU)
(declare-fun T.DataSectionObject__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.SharedCacheMap__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.ImageSectionObject__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.Length__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ClientToken__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.PrimaryToken__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.ReceivedCount__SERIALPERF_STATS () boogieU)
(declare-fun T.TransmittedCount__SERIALPERF_STATS () boogieU)
(declare-fun T.FrameErrorCount__SERIALPERF_STATS () boogieU)
(declare-fun T.SerialOverrunErrorCount__SERIALPERF_STATS () boogieU)
(declare-fun T.BufferOverrunErrorCount__SERIALPERF_STATS () boogieU)
(declare-fun T.ParityErrorCount__SERIALPERF_STATS () boogieU)
(declare-fun T.BaudRate__SERIAL_BAUD_RATE () boogieU)
(declare-fun T.EofChar__SERIAL_CHARS () boogieU)
(declare-fun T.ErrorChar__SERIAL_CHARS () boogieU)
(declare-fun T.BreakChar__SERIAL_CHARS () boogieU)
(declare-fun T.EventChar__SERIAL_CHARS () boogieU)
(declare-fun T.XonChar__SERIAL_CHARS () boogieU)
(declare-fun T.XoffChar__SERIAL_CHARS () boogieU)
(declare-fun T.IsrFunc__SERIAL_CISR_SW () boogieU)
(declare-fun T.Context__SERIAL_CISR_SW () boogieU)
(declare-fun T.SharerList__SERIAL_CISR_SW () boogieU)
(declare-fun T.PacketLength__SERIAL_COMMPROP () boogieU)
(declare-fun T.PacketVersion__SERIAL_COMMPROP () boogieU)
(declare-fun T.ServiceMask__SERIAL_COMMPROP () boogieU)
(declare-fun T.Reserved1__SERIAL_COMMPROP () boogieU)
(declare-fun T.MaxTxQueue__SERIAL_COMMPROP () boogieU)
(declare-fun T.MaxRxQueue__SERIAL_COMMPROP () boogieU)
(declare-fun T.MaxBaud__SERIAL_COMMPROP () boogieU)
(declare-fun T.ProvSubType__SERIAL_COMMPROP () boogieU)
(declare-fun T.ProvCapabilities__SERIAL_COMMPROP () boogieU)
(declare-fun T.SettableParams__SERIAL_COMMPROP () boogieU)
(declare-fun T.SettableBaud__SERIAL_COMMPROP () boogieU)
(declare-fun T.SettableData__SERIAL_COMMPROP () boogieU)
(declare-fun T.SettableStopParity__SERIAL_COMMPROP () boogieU)
(declare-fun T.CurrentTxQueue__SERIAL_COMMPROP () boogieU)
(declare-fun T.CurrentRxQueue__SERIAL_COMMPROP () boogieU)
(declare-fun T.ProvSpec1__SERIAL_COMMPROP () boogieU)
(declare-fun T.ProvSpec2__SERIAL_COMMPROP () boogieU)
(declare-fun T.ProvChar__SERIAL_COMMPROP () boogieU)
(declare-fun T.TopLevelOurIsr__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TopLevelOurIsrContext__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TopLevelSharers__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CommonInterruptObject__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.MultiportSiblings__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.AllDevObjs__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OriginalController__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OriginalInterruptStatus__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.IntervalTime__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ShortIntervalAmount__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LongIntervalAmount__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CutOverAmount__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LastReadTime__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceName__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ObjectDirectory__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SymbolicLinkName__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DosName__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.IntervalTimeToUse__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceObject__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OurIsr__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OurIsrContext__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Controller__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.InterruptStatus__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Interrupt__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ReadQueue__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WriteQueue__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.MaskQueue__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PurgeQueue__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentReadIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentWriteIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentMaskIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentWaitIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentXoffIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WriteLength__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WriteCurrentChar__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.InterruptReadBuffer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ReadBufferBase__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentCharSlot__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LastCharSlot__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.FirstReadableChar__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LockPtr__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.BufferSize__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.BufferSizePt8__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.NumberNeededForRead__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.IsrWaitMask__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.HistoryMask__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.IrpMaskLocation__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TXHolding__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.RXHolding__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ErrorWord__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TotalCharsQueued__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CountOnLastRead__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ReadByIsr__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CurrentBaud__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CountSinceXoff__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CountOfTryingToLowerRTS__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SupportedBauds__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SpanOfController__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SpanOfInterruptStatus__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ClockRate__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TxFifoAmount__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PermitShare__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Timeouts__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SpecialChars__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.HandFlow__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PerfStats__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LineControl__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceIsOpened__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.UnMapRegisters__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.UnMapStatus__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.HoldingEmpty__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TransmitImmediate__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.EmptiedTransmit__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PortOnAMultiportCard__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Vector__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Irql__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OriginalVector__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OriginalIrql__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.AddressSpace__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.BusNumber__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.InterfaceType__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PortIndex__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Indexed__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.MaskInverted__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.NewPortIndex__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.NewMaskInverted__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.NewExtension__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ImmediateChar__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ValidDataMask__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.EscapeChar__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SendXonChar__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SendXoffChar__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.FifoPresent__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.RxFifoTrigger__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.InterruptShareable__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CreatedSymbolicLink__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CreatedSerialCommEntry__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ControlLock__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.FlagsLock__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CompleteWriteDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CompleteReadDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CommErrorDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CommWaitDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CompleteImmediateDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.XoffCountCompleteDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.StartTimerLowerRTSDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PerhapsLowerRTSDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.IsrUnlockPagesDpc__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SetPendingDpcEvent__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.XoffCountTimer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LowerRTSTimer__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.LowerDeviceObject__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PowerState__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DriverObject__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SerialSyncEvent__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceClassSymbolicName__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CIsrSw__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PendingIRPCnt__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DevicePNPAccept__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PendingIRPEvent__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PNPState__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Flags__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OpenCount__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SerialStartEvent__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceState__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceStateMap__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PowerD0Event__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.StalledIrpQueue__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OpenMutex__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.CloseMutex__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.OwnsPowerPolicy__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.RetainPowerOnClose__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.QueueCreateIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SystemWake__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DeviceWake__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Pdo__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SendWaitWake__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PendingWakeIrp__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WmiLibInfo__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WmiIdentifier__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WmiCommData__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WmiHwData__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.WmiPerfData__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.DpcCount__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PendingDpcEvent__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.SkipNaming__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.TL16C550CAFC__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.NewDevicePowerState__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.UartRemovalDetect__SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.Reopen__SERIAL_DEVICE_STATE () boogieU)
(declare-fun T.IER__SERIAL_DEVICE_STATE () boogieU)
(declare-fun T.LCR__SERIAL_DEVICE_STATE () boogieU)
(declare-fun T.MCR__SERIAL_DEVICE_STATE () boogieU)
(declare-fun T.ControlHandShake__SERIAL_HANDFLOW () boogieU)
(declare-fun T.FlowReplace__SERIAL_HANDFLOW () boogieU)
(declare-fun T.XonLimit__SERIAL_HANDFLOW () boogieU)
(declare-fun T.XoffLimit__SERIAL_HANDFLOW () boogieU)
(declare-fun T.Extension__SERIAL_IOCTL_SYNC () boogieU)
(declare-fun T.Data__SERIAL_IOCTL_SYNC () boogieU)
(declare-fun T.StopBits__SERIAL_LINE_CONTROL () boogieU)
(declare-fun T.Parity__SERIAL_LINE_CONTROL () boogieU)
(declare-fun T.WordLength__SERIAL_LINE_CONTROL () boogieU)
(declare-fun T.InSize__SERIAL_QUEUE_SIZE () boogieU)
(declare-fun T.OutSize__SERIAL_QUEUE_SIZE () boogieU)
(declare-fun T.Extension__SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T.OldBuffer__SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T.NewBuffer__SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T.NewBufferSize__SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T.NumberMoved__SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T.ReadIntervalTimeout__SERIAL_TIMEOUTS () boogieU)
(declare-fun T.ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS () boogieU)
(declare-fun T.ReadTotalTimeoutConstant__SERIAL_TIMEOUTS () boogieU)
(declare-fun T.WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS () boogieU)
(declare-fun T.WriteTotalTimeoutConstant__SERIAL_TIMEOUTS () boogieU)
(declare-fun T.Extension__SERIAL_UPDATE_CHAR () boogieU)
(declare-fun T.CharsCopied__SERIAL_UPDATE_CHAR () boogieU)
(declare-fun T.Completed__SERIAL_UPDATE_CHAR () boogieU)
(declare-fun T.BaudRate__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.BitsPerByte__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.Parity__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.ParityCheckEnable__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.StopBits__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.XoffCharacter__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.XoffXmitThreshold__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.XonCharacter__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.XonXmitThreshold__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.MaximumBaudRate__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.MaximumOutputBufferSize__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.MaximumInputBufferSize__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.Support16BitMode__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SupportDTRDSR__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SupportIntervalTimeouts__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SupportParityCheck__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SupportRTSCTS__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SupportXonXoff__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SettableBaudRate__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SettableDataBits__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SettableFlowControl__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SettableParity__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SettableParityCheck__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.SettableStopBits__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.IsBusy__SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T.IrqNumber__SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T.IrqVector__SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T.IrqLevel__SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T.IrqAffinityMask__SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T.InterruptType__SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T.BaseIOAddress__SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T.ReceivedCount__SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T.TransmittedCount__SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T.FrameErrorCount__SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T.SerialOverrunErrorCount__SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T.BufferOverrunErrorCount__SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T.ParityErrorCount__SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T.Timeout__SERIAL_XOFF_COUNTER () boogieU)
(declare-fun T.Counter__SERIAL_XOFF_COUNTER () boogieU)
(declare-fun T.XoffChar__SERIAL_XOFF_COUNTER () boogieU)
(declare-fun T.__unnamed_4_a8006df8__SYSTEM_POWER_STATE_CONTEXT () boogieU)
(declare-fun T.__unnamed_8_baf71367__ULARGE_INTEGER () boogieU)
(declare-fun T.u__ULARGE_INTEGER () boogieU)
(declare-fun T.QuadPart__ULARGE_INTEGER () boogieU)
(declare-fun T.Length__UNICODE_STRING () boogieU)
(declare-fun T.MaximumLength__UNICODE_STRING () boogieU)
(declare-fun T.Buffer__UNICODE_STRING () boogieU)
(declare-fun T.Type__VPB () boogieU)
(declare-fun T.Size__VPB () boogieU)
(declare-fun T.Flags__VPB () boogieU)
(declare-fun T.VolumeLabelLength__VPB () boogieU)
(declare-fun T.DeviceObject__VPB () boogieU)
(declare-fun T.RealDevice__VPB () boogieU)
(declare-fun T.SerialNumber__VPB () boogieU)
(declare-fun T.ReferenceCount__VPB () boogieU)
(declare-fun T.VolumeLabel__VPB () boogieU)
(declare-fun T.WaitQueueEntry__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceRoutine__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceContext__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceObject__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.CurrentIrp__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.BufferChainingDpc__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.GuidCount__WMILIB_CONTEXT () boogieU)
(declare-fun T.GuidList__WMILIB_CONTEXT () boogieU)
(declare-fun T.QueryWmiRegInfo__WMILIB_CONTEXT () boogieU)
(declare-fun T.QueryWmiDataBlock__WMILIB_CONTEXT () boogieU)
(declare-fun T.SetWmiDataBlock__WMILIB_CONTEXT () boogieU)
(declare-fun T.SetWmiDataItem__WMILIB_CONTEXT () boogieU)
(declare-fun T.ExecuteWmiMethod__WMILIB_CONTEXT () boogieU)
(declare-fun T.WmiFunctionControl__WMILIB_CONTEXT () boogieU)
(declare-fun T.Priority___unnamed_12_0cb3dc26 () boogieU)
(declare-fun T.Reserved1___unnamed_12_0cb3dc26 () boogieU)
(declare-fun T.Reserved2___unnamed_12_0cb3dc26 () boogieU)
(declare-fun T.Data___unnamed_12_1a4b0b08 () boogieU)
(declare-fun T.Reserved___unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.MessageCount___unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.Vector___unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.Affinity___unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.Start___unnamed_12_28f1f9cc () boogieU)
(declare-fun T.Length___unnamed_12_28f1f9cc () boogieU)
(declare-fun T.Reserved___unnamed_12_28f1f9cc () boogieU)
(declare-fun T.__unnamed_12_9eaf06f6___unnamed_12_29a9546e () boogieU)
(declare-fun T.Start___unnamed_12_33a88444 () boogieU)
(declare-fun T.Length48___unnamed_12_33a88444 () boogieU)
(declare-fun T.Start___unnamed_12_468ce3a2 () boogieU)
(declare-fun T.Length___unnamed_12_468ce3a2 () boogieU)
(declare-fun T.ListEntry___unnamed_12_5cc47a19 () boogieU)
(declare-fun T.__unnamed_4_61d4f5e1___unnamed_12_5cc47a19 () boogieU)
(declare-fun T.Level___unnamed_12_6fbd747c () boogieU)
(declare-fun T.Vector___unnamed_12_6fbd747c () boogieU)
(declare-fun T.Affinity___unnamed_12_6fbd747c () boogieU)
(declare-fun T.Generic___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Port___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Interrupt___unnamed_12_9a27b966 () boogieU)
(declare-fun T.MessageInterrupt___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Memory___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Dma___unnamed_12_9a27b966 () boogieU)
(declare-fun T.DevicePrivate___unnamed_12_9a27b966 () boogieU)
(declare-fun T.BusNumber___unnamed_12_9a27b966 () boogieU)
(declare-fun T.DeviceSpecificData___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Memory40___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Memory48___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Memory64___unnamed_12_9a27b966 () boogieU)
(declare-fun T.Raw___unnamed_12_9eaf06f6 () boogieU)
(declare-fun T.Translated___unnamed_12_9eaf06f6 () boogieU)
(declare-fun T.Data___unnamed_12_a967ef4a () boogieU)
(declare-fun T.Start___unnamed_12_ab6ff61b () boogieU)
(declare-fun T.Length64___unnamed_12_ab6ff61b () boogieU)
(declare-fun T.Start___unnamed_12_ad4e1918 () boogieU)
(declare-fun T.Length___unnamed_12_ad4e1918 () boogieU)
(declare-fun T.Start___unnamed_12_c0c3bd45 () boogieU)
(declare-fun T.Length___unnamed_12_c0c3bd45 () boogieU)
(declare-fun T.Start___unnamed_12_df63118d () boogieU)
(declare-fun T.Length40___unnamed_12_df63118d () boogieU)
(declare-fun T.Level___unnamed_12_e5164c3f () boogieU)
(declare-fun T.Vector___unnamed_12_e5164c3f () boogieU)
(declare-fun T.Affinity___unnamed_12_e5164c3f () boogieU)
(declare-fun T.Channel___unnamed_12_f1f9be0a () boogieU)
(declare-fun T.Port___unnamed_12_f1f9be0a () boogieU)
(declare-fun T.Reserved1___unnamed_12_f1f9be0a () boogieU)
(declare-fun T.DataSize___unnamed_12_f354d203 () boogieU)
(declare-fun T.Reserved1___unnamed_12_f354d203 () boogieU)
(declare-fun T.Reserved2___unnamed_12_f354d203 () boogieU)
(declare-fun T.InterfaceType___unnamed_16_2ab145ec () boogieU)
(declare-fun T.Size___unnamed_16_2ab145ec () boogieU)
(declare-fun T.Version___unnamed_16_2ab145ec () boogieU)
(declare-fun T.Interface___unnamed_16_2ab145ec () boogieU)
(declare-fun T.InterfaceSpecificData___unnamed_16_2ab145ec () boogieU)
(declare-fun T.Length___unnamed_16_30f1d328 () boogieU)
(declare-fun T.MinBusNumber___unnamed_16_30f1d328 () boogieU)
(declare-fun T.MaxBusNumber___unnamed_16_30f1d328 () boogieU)
(declare-fun T.Reserved___unnamed_16_30f1d328 () boogieU)
(declare-fun T.DeviceQueueEntry___unnamed_16_3277c3a0 () boogieU)
(declare-fun T.__unnamed_16_c774559b___unnamed_16_3277c3a0 () boogieU)
(declare-fun T.Length___unnamed_16_3a584a7c () boogieU)
(declare-fun T.Key___unnamed_16_3a584a7c () boogieU)
(declare-fun T.ByteOffset___unnamed_16_3a584a7c () boogieU)
(declare-fun T.OutputBufferLength___unnamed_16_3dec08db () boogieU)
(declare-fun T.InputBufferLength___unnamed_16_3dec08db () boogieU)
(declare-fun T.FsControlCode___unnamed_16_3dec08db () boogieU)
(declare-fun T.Type3InputBuffer___unnamed_16_3dec08db () boogieU)
(declare-fun T.Create___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Read___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Write___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryDirectory___unnamed_16_57edbc3a () boogieU)
(declare-fun T.NotifyDirectory___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryFile___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetFile___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryEa___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetEa___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryVolume___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetVolume___unnamed_16_57edbc3a () boogieU)
(declare-fun T.FileSystemControl___unnamed_16_57edbc3a () boogieU)
(declare-fun T.LockControl___unnamed_16_57edbc3a () boogieU)
(declare-fun T.DeviceIoControl___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QuerySecurity___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetSecurity___unnamed_16_57edbc3a () boogieU)
(declare-fun T.MountVolume___unnamed_16_57edbc3a () boogieU)
(declare-fun T.VerifyVolume___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Scsi___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryQuota___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetQuota___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryDeviceRelations___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryInterface___unnamed_16_57edbc3a () boogieU)
(declare-fun T.DeviceCapabilities___unnamed_16_57edbc3a () boogieU)
(declare-fun T.FilterResourceRequirements___unnamed_16_57edbc3a () boogieU)
(declare-fun T.ReadWriteConfig___unnamed_16_57edbc3a () boogieU)
(declare-fun T.SetLock___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryId___unnamed_16_57edbc3a () boogieU)
(declare-fun T.QueryDeviceText___unnamed_16_57edbc3a () boogieU)
(declare-fun T.UsageNotification___unnamed_16_57edbc3a () boogieU)
(declare-fun T.WaitWake___unnamed_16_57edbc3a () boogieU)
(declare-fun T.PowerSequence___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Power___unnamed_16_57edbc3a () boogieU)
(declare-fun T.StartDevice___unnamed_16_57edbc3a () boogieU)
(declare-fun T.WMI___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Others___unnamed_16_57edbc3a () boogieU)
(declare-fun T.Argument1___unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.Argument2___unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.Argument3___unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.Argument4___unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.OutputBufferLength___unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.InputBufferLength___unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.IoControlCode___unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.Type3InputBuffer___unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.ProviderId___unnamed_16_66abee0d () boogieU)
(declare-fun T.DataPath___unnamed_16_66abee0d () boogieU)
(declare-fun T.BufferSize___unnamed_16_66abee0d () boogieU)
(declare-fun T.Buffer___unnamed_16_66abee0d () boogieU)
(declare-fun T.__unnamed_4_b38dc67f___unnamed_16_6c8935f2 () boogieU)
(declare-fun T.Type___unnamed_16_6c8935f2 () boogieU)
(declare-fun T.State___unnamed_16_6c8935f2 () boogieU)
(declare-fun T.ShutdownType___unnamed_16_6c8935f2 () boogieU)
(declare-fun T.Length___unnamed_16_834e30a3 () boogieU)
(declare-fun T.EaList___unnamed_16_834e30a3 () boogieU)
(declare-fun T.EaListLength___unnamed_16_834e30a3 () boogieU)
(declare-fun T.EaIndex___unnamed_16_834e30a3 () boogieU)
(declare-fun T.WhichSpace___unnamed_16_83707d7f () boogieU)
(declare-fun T.Buffer___unnamed_16_83707d7f () boogieU)
(declare-fun T.Offset___unnamed_16_83707d7f () boogieU)
(declare-fun T.Length___unnamed_16_83707d7f () boogieU)
(declare-fun T.Length___unnamed_16_94922103 () boogieU)
(declare-fun T.Key___unnamed_16_94922103 () boogieU)
(declare-fun T.ByteOffset___unnamed_16_94922103 () boogieU)
(declare-fun T.Length___unnamed_16_9eb64f79 () boogieU)
(declare-fun T.StartSid___unnamed_16_9eb64f79 () boogieU)
(declare-fun T.SidList___unnamed_16_9eb64f79 () boogieU)
(declare-fun T.SidListLength___unnamed_16_9eb64f79 () boogieU)
(declare-fun T.Length___unnamed_16_a71f10bf () boogieU)
(declare-fun T.FileName___unnamed_16_a71f10bf () boogieU)
(declare-fun T.FileInformationClass___unnamed_16_a71f10bf () boogieU)
(declare-fun T.FileIndex___unnamed_16_a71f10bf () boogieU)
(declare-fun T.SecurityContext___unnamed_16_af2c1884 () boogieU)
(declare-fun T.Options___unnamed_16_af2c1884 () boogieU)
(declare-fun T.FileAttributes___unnamed_16_af2c1884 () boogieU)
(declare-fun T.ShareAccess___unnamed_16_af2c1884 () boogieU)
(declare-fun T.EaLength___unnamed_16_af2c1884 () boogieU)
(declare-fun T.Length___unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.FileInformationClass___unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.FileObject___unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.__unnamed_4_4d53984e___unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.DriverContext___unnamed_16_c774559b () boogieU)
(declare-fun T.Length___unnamed_16_ca1b3ad0 () boogieU)
(declare-fun T.Key___unnamed_16_ca1b3ad0 () boogieU)
(declare-fun T.ByteOffset___unnamed_16_ca1b3ad0 () boogieU)
(declare-fun T.Abandoned___unnamed_1_4258582a () boogieU)
(declare-fun T.Absolute___unnamed_1_4258582a () boogieU)
(declare-fun T.NpxIrql___unnamed_1_4258582a () boogieU)
(declare-fun T.Signalling___unnamed_1_4258582a () boogieU)
(declare-fun T.Lock___unnamed_1_4f5916b9 () boogieU)
(declare-fun T.Size___unnamed_1_923f487b () boogieU)
(declare-fun T.Hand___unnamed_1_923f487b () boogieU)
(declare-fun T.Inserted___unnamed_1_ac5cb154 () boogieU)
(declare-fun T.DebugActive___unnamed_1_ac5cb154 () boogieU)
(declare-fun T.DpcActive___unnamed_1_ac5cb154 () boogieU)
(declare-fun T.MinimumVector___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.MaximumVector___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.AffinityPolicy___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.PriorityPolicy___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.TargetedProcessors___unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.Length___unnamed_24_76c1f52c () boogieU)
(declare-fun T.Alignment___unnamed_24_76c1f52c () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_76c1f52c () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_76c1f52c () boogieU)
(declare-fun T.Length64___unnamed_24_87e4ad03 () boogieU)
(declare-fun T.Alignment64___unnamed_24_87e4ad03 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_87e4ad03 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_87e4ad03 () boogieU)
(declare-fun T.Port___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Memory___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Interrupt___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Dma___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Generic___unnamed_24_87fb9019 () boogieU)
(declare-fun T.DevicePrivate___unnamed_24_87fb9019 () boogieU)
(declare-fun T.BusNumber___unnamed_24_87fb9019 () boogieU)
(declare-fun T.ConfigData___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Memory40___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Memory48___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Memory64___unnamed_24_87fb9019 () boogieU)
(declare-fun T.Length40___unnamed_24_af527a47 () boogieU)
(declare-fun T.Alignment40___unnamed_24_af527a47 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_af527a47 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_af527a47 () boogieU)
(declare-fun T.Length___unnamed_24_b3ef9869 () boogieU)
(declare-fun T.Alignment___unnamed_24_b3ef9869 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_b3ef9869 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_b3ef9869 () boogieU)
(declare-fun T.Length___unnamed_24_c23e34f7 () boogieU)
(declare-fun T.Alignment___unnamed_24_c23e34f7 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_c23e34f7 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_c23e34f7 () boogieU)
(declare-fun T.Length48___unnamed_24_e04d7241 () boogieU)
(declare-fun T.Alignment48___unnamed_24_e04d7241 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_e04d7241 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_e04d7241 () boogieU)
(declare-fun T.ReplaceIfExists___unnamed_2_1d659b1d () boogieU)
(declare-fun T.AdvanceOnly___unnamed_2_1d659b1d () boogieU)
(declare-fun T.ListEntry___unnamed_40_1db13fa5 () boogieU)
(declare-fun T.Wcb___unnamed_40_1db13fa5 () boogieU)
(declare-fun T.__unnamed_16_3277c3a0___unnamed_40_ebf2206a () boogieU)
(declare-fun T.Thread___unnamed_40_ebf2206a () boogieU)
(declare-fun T.AuxiliaryBuffer___unnamed_40_ebf2206a () boogieU)
(declare-fun T.__unnamed_12_5cc47a19___unnamed_40_ebf2206a () boogieU)
(declare-fun T.OriginalFileObject___unnamed_40_ebf2206a () boogieU)
(declare-fun T.InitialPrivilegeSet___unnamed_44_0d347e8a () boogieU)
(declare-fun T.PrivilegeSet___unnamed_44_0d347e8a () boogieU)
(declare-fun T.Overlay___unnamed_48_ffd8d308 () boogieU)
(declare-fun T.Apc___unnamed_48_ffd8d308 () boogieU)
(declare-fun T.CompletionKey___unnamed_48_ffd8d308 () boogieU)
(declare-fun T.IdType___unnamed_4_04fc9c34 () boogieU)
(declare-fun T.PowerSequence___unnamed_4_082ca2fa () boogieU)
(declare-fun T.Type___unnamed_4_142d6b52 () boogieU)
(declare-fun T.OwnerCount___unnamed_4_1c47e29a () boogieU)
(declare-fun T.TableSize___unnamed_4_1c47e29a () boogieU)
(declare-fun T.MasterIrp___unnamed_4_3dc37e35 () boogieU)
(declare-fun T.IrpCount___unnamed_4_3dc37e35 () boogieU)
(declare-fun T.SystemBuffer___unnamed_4_3dc37e35 () boogieU)
(declare-fun T.__unnamed_2_1d659b1d___unnamed_4_4d53984e () boogieU)
(declare-fun T.ClusterCount___unnamed_4_4d53984e () boogieU)
(declare-fun T.DeleteHandle___unnamed_4_4d53984e () boogieU)
(declare-fun T.Length___unnamed_4_522a02ae () boogieU)
(declare-fun T.CurrentStackLocation___unnamed_4_61d4f5e1 () boogieU)
(declare-fun T.PacketType___unnamed_4_61d4f5e1 () boogieU)
(declare-fun T.Length___unnamed_4_6eaf329f () boogieU)
(declare-fun T.__unnamed_4_f14caa62___unnamed_4_7b44c46c () boogieU)
(declare-fun T.Lock___unnamed_4_7b44c46c () boogieU)
(declare-fun T.PowerState___unnamed_4_7bab7ec3 () boogieU)
(declare-fun T.__unnamed_4_ce0c1b82___unnamed_4_a8006df8 () boogieU)
(declare-fun T.ContextAsUlong___unnamed_4_a8006df8 () boogieU)
(declare-fun T.Status___unnamed_4_ab1173de () boogieU)
(declare-fun T.Pointer___unnamed_4_ab1173de () boogieU)
(declare-fun T.Srb___unnamed_4_b2e59cbb () boogieU)
(declare-fun T.SystemContext___unnamed_4_b38dc67f () boogieU)
(declare-fun T.SystemPowerStateContext___unnamed_4_b38dc67f () boogieU)
(declare-fun T.Capabilities___unnamed_4_c62ef092 () boogieU)
(declare-fun T.Reserved1___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.TargetSystemState___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.EffectiveSystemState___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.CurrentSystemState___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.IgnoreHibernationPath___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.PseudoTransition___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.Reserved2___unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.UserApcRoutine___unnamed_4_cedfeccd () boogieU)
(declare-fun T.IssuingProcess___unnamed_4_cedfeccd () boogieU)
(declare-fun T.Address___unnamed_4_f13e195c () boogieU)
(declare-fun T.CreatorBackTraceIndex___unnamed_4_f13e195c () boogieU)
(declare-fun T.Type___unnamed_4_f14caa62 () boogieU)
(declare-fun T.__unnamed_1_4258582a___unnamed_4_f14caa62 () boogieU)
(declare-fun T.__unnamed_1_923f487b___unnamed_4_f14caa62 () boogieU)
(declare-fun T.__unnamed_1_ac5cb154___unnamed_4_f14caa62 () boogieU)
(declare-fun T.IoResourceRequirementList___unnamed_4_f18e264a () boogieU)
(declare-fun T.Length___unnamed_8_06a6de28 () boogieU)
(declare-fun T.CompletionFilter___unnamed_8_06a6de28 () boogieU)
(declare-fun T.DeviceTextType___unnamed_8_219179d3 () boogieU)
(declare-fun T.LocaleId___unnamed_8_219179d3 () boogieU)
(declare-fun T.InPath___unnamed_8_380551ca () boogieU)
(declare-fun T.Reserved___unnamed_8_380551ca () boogieU)
(declare-fun T.Type___unnamed_8_380551ca () boogieU)
(declare-fun T.SecurityInformation___unnamed_8_3ebf0971 () boogieU)
(declare-fun T.Length___unnamed_8_3ebf0971 () boogieU)
(declare-fun T.AsynchronousParameters___unnamed_8_45a58840 () boogieU)
(declare-fun T.AllocationSize___unnamed_8_45a58840 () boogieU)
(declare-fun T.LowPart___unnamed_8_544b88f4 () boogieU)
(declare-fun T.HighPart___unnamed_8_544b88f4 () boogieU)
(declare-fun T.MinimumChannel___unnamed_8_5bc13409 () boogieU)
(declare-fun T.MaximumChannel___unnamed_8_5bc13409 () boogieU)
(declare-fun T.Length___unnamed_8_5d23cded () boogieU)
(declare-fun T.FsInformationClass___unnamed_8_5d23cded () boogieU)
(declare-fun T.LowPart___unnamed_8_5d67d492 () boogieU)
(declare-fun T.HighPart___unnamed_8_5d67d492 () boogieU)
(declare-fun T.SecurityInformation___unnamed_8_655e974a () boogieU)
(declare-fun T.SecurityDescriptor___unnamed_8_655e974a () boogieU)
(declare-fun T.Vpb___unnamed_8_a4174c52 () boogieU)
(declare-fun T.DeviceObject___unnamed_8_a4174c52 () boogieU)
(declare-fun T.LowPart___unnamed_8_a569aa82 () boogieU)
(declare-fun T.HighPart___unnamed_8_a569aa82 () boogieU)
(declare-fun T.Length___unnamed_8_b3031d0e () boogieU)
(declare-fun T.FileInformationClass___unnamed_8_b3031d0e () boogieU)
(declare-fun T.Length___unnamed_8_b7ca8084 () boogieU)
(declare-fun T.FsInformationClass___unnamed_8_b7ca8084 () boogieU)
(declare-fun T.Vpb___unnamed_8_b8c2e139 () boogieU)
(declare-fun T.DeviceObject___unnamed_8_b8c2e139 () boogieU)
(declare-fun T.LowPart___unnamed_8_baf71367 () boogieU)
(declare-fun T.HighPart___unnamed_8_baf71367 () boogieU)
(declare-fun T.__unnamed_4_cedfeccd___unnamed_8_be4b9317 () boogieU)
(declare-fun T.UserApcContext___unnamed_8_be4b9317 () boogieU)
(declare-fun T.AllocatedResources___unnamed_8_d81ae7e8 () boogieU)
(declare-fun T.AllocatedResourcesTranslated___unnamed_8_d81ae7e8 () boogieU)
(declare-fun T.A17CHAR () boogieU)
(declare-fun T.A18CHAR () boogieU)
(declare-fun T.A1UINT2 () boogieU)
(declare-fun T.A1_CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_IO_RESOURCE_LIST () boogieU)
(declare-fun T.A1_LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.A20CHAR () boogieU)
(declare-fun T.A21CHAR () boogieU)
(declare-fun T.A22CHAR () boogieU)
(declare-fun T.A23CHAR () boogieU)
(declare-fun T.A24CHAR () boogieU)
(declare-fun T.A25CHAR () boogieU)
(declare-fun T.A26CHAR () boogieU)
(declare-fun T.A27CHAR () boogieU)
(declare-fun T.A28CHAR () boogieU)
(declare-fun T.A28PFDRIVER_DISPATCH () boogieU)
(declare-fun T.A30CHAR () boogieU)
(declare-fun T.A31CHAR () boogieU)
(declare-fun T.A32CHAR () boogieU)
(declare-fun T.A32UINT2 () boogieU)
(declare-fun T.A34CHAR () boogieU)
(declare-fun T.A35CHAR () boogieU)
(declare-fun T.A37CHAR () boogieU)
(declare-fun T.A3UCHAR () boogieU)
(declare-fun T.A3UINT4 () boogieU)
(declare-fun T.A3_LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.A4PVOID () boogieU)
(declare-fun T.A7_DEVICE_POWER_STATE () boogieU)
(declare-fun T.A8UCHAR () boogieU)
(declare-fun T.BUS_QUERY_ID_TYPE () boogieU)
(declare-fun T.CHAR () boogieU)
(declare-fun T.DEVICE_TEXT_TYPE () boogieU)
(declare-fun T.F0 () boogieU)
(declare-fun T.F1 () boogieU)
(declare-fun T.F10 () boogieU)
(declare-fun T.F11 () boogieU)
(declare-fun T.F12 () boogieU)
(declare-fun T.F13 () boogieU)
(declare-fun T.F14 () boogieU)
(declare-fun T.F15 () boogieU)
(declare-fun T.F16 () boogieU)
(declare-fun T.F17 () boogieU)
(declare-fun T.F18 () boogieU)
(declare-fun T.F19 () boogieU)
(declare-fun T.F2 () boogieU)
(declare-fun T.F20 () boogieU)
(declare-fun T.F21 () boogieU)
(declare-fun T.F22 () boogieU)
(declare-fun T.F23 () boogieU)
(declare-fun T.F24 () boogieU)
(declare-fun T.F25 () boogieU)
(declare-fun T.F26 () boogieU)
(declare-fun T.F27 () boogieU)
(declare-fun T.F28 () boogieU)
(declare-fun T.F29 () boogieU)
(declare-fun T.F3 () boogieU)
(declare-fun T.F30 () boogieU)
(declare-fun T.F31 () boogieU)
(declare-fun T.F32 () boogieU)
(declare-fun T.F33 () boogieU)
(declare-fun T.F34 () boogieU)
(declare-fun T.F35 () boogieU)
(declare-fun T.F36 () boogieU)
(declare-fun T.F37 () boogieU)
(declare-fun T.F38 () boogieU)
(declare-fun T.F39 () boogieU)
(declare-fun T.F4 () boogieU)
(declare-fun T.F40 () boogieU)
(declare-fun T.F41 () boogieU)
(declare-fun T.F42 () boogieU)
(declare-fun T.F43 () boogieU)
(declare-fun T.F44 () boogieU)
(declare-fun T.F45 () boogieU)
(declare-fun T.F5 () boogieU)
(declare-fun T.F6 () boogieU)
(declare-fun T.F7 () boogieU)
(declare-fun T.F8 () boogieU)
(declare-fun T.F9 () boogieU)
(declare-fun T.FDRIVER_ADD_DEVICE () boogieU)
(declare-fun T.FDRIVER_CANCEL () boogieU)
(declare-fun T.FDRIVER_DISPATCH () boogieU)
(declare-fun T.FDRIVER_INITIALIZE () boogieU)
(declare-fun T.FDRIVER_STARTIO () boogieU)
(declare-fun T.FDRIVER_UNLOAD () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FILE () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FOR_CCFLUSH () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE () boogieU)
(declare-fun T.FFAST_IO_CHECK_IF_POSSIBLE () boogieU)
(declare-fun T.FFAST_IO_DETACH_DEVICE () boogieU)
(declare-fun T.FFAST_IO_DEVICE_CONTROL () boogieU)
(declare-fun T.FFAST_IO_LOCK () boogieU)
(declare-fun T.FFAST_IO_MDL_READ () boogieU)
(declare-fun T.FFAST_IO_MDL_READ_COMPLETE () boogieU)
(declare-fun T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_MDL_WRITE_COMPLETE () boogieU)
(declare-fun T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_PREPARE_MDL_WRITE () boogieU)
(declare-fun T.FFAST_IO_QUERY_BASIC_INFO () boogieU)
(declare-fun T.FFAST_IO_QUERY_NETWORK_OPEN_INFO () boogieU)
(declare-fun T.FFAST_IO_QUERY_OPEN () boogieU)
(declare-fun T.FFAST_IO_QUERY_STANDARD_INFO () boogieU)
(declare-fun T.FFAST_IO_READ () boogieU)
(declare-fun T.FFAST_IO_READ_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FILE () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FOR_CCFLUSH () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FOR_MOD_WRITE () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_ALL () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_ALL_BY_KEY () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_SINGLE () boogieU)
(declare-fun T.FFAST_IO_WRITE () boogieU)
(declare-fun T.FFAST_IO_WRITE_COMPRESSED () boogieU)
(declare-fun T.FIO_COMPLETION_ROUTINE () boogieU)
(declare-fun T.FKSERVICE_ROUTINE () boogieU)
(declare-fun T.INT2 () boogieU)
(declare-fun T.INT4 () boogieU)
(declare-fun T.INT8 () boogieU)
(declare-fun T.PA17CHAR () boogieU)
(declare-fun T.PA18CHAR () boogieU)
(declare-fun T.PA20CHAR () boogieU)
(declare-fun T.PA21CHAR () boogieU)
(declare-fun T.PA22CHAR () boogieU)
(declare-fun T.PA23CHAR () boogieU)
(declare-fun T.PA24CHAR () boogieU)
(declare-fun T.PA25CHAR () boogieU)
(declare-fun T.PA26CHAR () boogieU)
(declare-fun T.PA27CHAR () boogieU)
(declare-fun T.PA28CHAR () boogieU)
(declare-fun T.PA30CHAR () boogieU)
(declare-fun T.PA31CHAR () boogieU)
(declare-fun T.PA32CHAR () boogieU)
(declare-fun T.PA34CHAR () boogieU)
(declare-fun T.PA35CHAR () boogieU)
(declare-fun T.PA37CHAR () boogieU)
(declare-fun T.PCHAR () boogieU)
(declare-fun T.PF0 () boogieU)
(declare-fun T.PF20 () boogieU)
(declare-fun T.PF21 () boogieU)
(declare-fun T.PF22 () boogieU)
(declare-fun T.PF24 () boogieU)
(declare-fun T.PF25 () boogieU)
(declare-fun T.PF26 () boogieU)
(declare-fun T.PF32 () boogieU)
(declare-fun T.PF33 () boogieU)
(declare-fun T.PF34 () boogieU)
(declare-fun T.PF36 () boogieU)
(declare-fun T.PF37 () boogieU)
(declare-fun T.PF38 () boogieU)
(declare-fun T.PF39 () boogieU)
(declare-fun T.PF40 () boogieU)
(declare-fun T.PF41 () boogieU)
(declare-fun T.PF42 () boogieU)
(declare-fun T.PF43 () boogieU)
(declare-fun T.PF44 () boogieU)
(declare-fun T.PF45 () boogieU)
(declare-fun T.PFDRIVER_ADD_DEVICE () boogieU)
(declare-fun T.PFDRIVER_CANCEL () boogieU)
(declare-fun T.PFDRIVER_DISPATCH () boogieU)
(declare-fun T.PFDRIVER_INITIALIZE () boogieU)
(declare-fun T.PFDRIVER_STARTIO () boogieU)
(declare-fun T.PFDRIVER_UNLOAD () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FILE () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE () boogieU)
(declare-fun T.PFFAST_IO_CHECK_IF_POSSIBLE () boogieU)
(declare-fun T.PFFAST_IO_DETACH_DEVICE () boogieU)
(declare-fun T.PFFAST_IO_DEVICE_CONTROL () boogieU)
(declare-fun T.PFFAST_IO_LOCK () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ_COMPLETE () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_MDL_WRITE_COMPLETE () boogieU)
(declare-fun T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_PREPARE_MDL_WRITE () boogieU)
(declare-fun T.PFFAST_IO_QUERY_BASIC_INFO () boogieU)
(declare-fun T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO () boogieU)
(declare-fun T.PFFAST_IO_QUERY_OPEN () boogieU)
(declare-fun T.PFFAST_IO_QUERY_STANDARD_INFO () boogieU)
(declare-fun T.PFFAST_IO_READ () boogieU)
(declare-fun T.PFFAST_IO_READ_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FILE () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FOR_CCFLUSH () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FOR_MOD_WRITE () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_ALL () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_ALL_BY_KEY () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_SINGLE () boogieU)
(declare-fun T.PFFAST_IO_WRITE () boogieU)
(declare-fun T.PFFAST_IO_WRITE_COMPRESSED () boogieU)
(declare-fun T.PFIO_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PFKSERVICE_ROUTINE () boogieU)
(declare-fun T.PINT2 () boogieU)
(declare-fun T.PINT4 () boogieU)
(declare-fun T.POWER_ACTION () boogieU)
(declare-fun T.PPCHAR () boogieU)
(declare-fun T.PPF0 () boogieU)
(declare-fun T.PPF25 () boogieU)
(declare-fun T.PPF34 () boogieU)
(declare-fun T.PPF43 () boogieU)
(declare-fun T.PPF44 () boogieU)
(declare-fun T.PPFDRIVER_CANCEL () boogieU)
(declare-fun T.PPINT2 () boogieU)
(declare-fun T.PPINT4 () boogieU)
(declare-fun T.PPP_IRP () boogieU)
(declare-fun T.PPUCHAR () boogieU)
(declare-fun T.PPUINT4 () boogieU)
(declare-fun T.PPVOID () boogieU)
(declare-fun T.PP_DEVICE_OBJECT () boogieU)
(declare-fun T.PP_ERESOURCE () boogieU)
(declare-fun T.PP_IO_STACK_LOCATION () boogieU)
(declare-fun T.PP_IRP () boogieU)
(declare-fun T.PP_KDPC () boogieU)
(declare-fun T.PP_KEVENT () boogieU)
(declare-fun T.PP_KINTERRUPT () boogieU)
(declare-fun T.PP_KTIMER () boogieU)
(declare-fun T.PP_LARGE_INTEGER () boogieU)
(declare-fun T.PP_LIST_ENTRY () boogieU)
(declare-fun T.PP_MDL () boogieU)
(declare-fun T.PP_SERIAL_BAUD_RATE () boogieU)
(declare-fun T.PP_SERIAL_CHARS () boogieU)
(declare-fun T.PP_SERIAL_COMMPROP () boogieU)
(declare-fun T.PP_SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.PP_SERIAL_HANDFLOW () boogieU)
(declare-fun T.PP_SERIAL_LINE_CONTROL () boogieU)
(declare-fun T.PP_SERIAL_QUEUE_SIZE () boogieU)
(declare-fun T.PP_SERIAL_TIMEOUTS () boogieU)
(declare-fun T.PP_SERIAL_XOFF_COUNTER () boogieU)
(declare-fun T.PP_UNICODE_STRING () boogieU)
(declare-fun T.PUCHAR () boogieU)
(declare-fun T.PUINT2 () boogieU)
(declare-fun T.PUINT4 () boogieU)
(declare-fun T.PVOID () boogieU)
(declare-fun T.PWMIGUIDREGINFO () boogieU)
(declare-fun T.P_ACCESS_STATE () boogieU)
(declare-fun T.P_CM_RESOURCE_LIST () boogieU)
(declare-fun T.P_COMPRESSED_DATA_INFO () boogieU)
(declare-fun T.P_DEVICE_CAPABILITIES () boogieU)
(declare-fun T.P_DEVICE_OBJECT () boogieU)
(declare-fun T.P_DEVICE_POWER_STATE () boogieU)
(declare-fun T.P_DEVOBJ_EXTENSION () boogieU)
(declare-fun T.P_DRIVER_EXTENSION () boogieU)
(declare-fun T.P_DRIVER_OBJECT () boogieU)
(declare-fun T.P_EPROCESS () boogieU)
(declare-fun T.P_ERESOURCE () boogieU)
(declare-fun T.P_EVENT_TYPE () boogieU)
(declare-fun T.P_FAST_IO_DISPATCH () boogieU)
(declare-fun T.P_FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.P_FILE_GET_QUOTA_INFORMATION () boogieU)
(declare-fun T.P_FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.P_FILE_OBJECT () boogieU)
(declare-fun T.P_FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.P_GUID () boogieU)
(declare-fun T.P_INTERFACE () boogieU)
(declare-fun T.P_IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.P_IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.P_IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.P_IO_STACK_LOCATION () boogieU)
(declare-fun T.P_IO_STATUS_BLOCK () boogieU)
(declare-fun T.P_IO_TIMER () boogieU)
(declare-fun T.P_IRP () boogieU)
(declare-fun T.P_KAPC () boogieU)
(declare-fun T.P_KDPC () boogieU)
(declare-fun T.P_KEVENT () boogieU)
(declare-fun T.P_KINTERRUPT () boogieU)
(declare-fun T.P_KPROCESS () boogieU)
(declare-fun T.P_KSEMAPHORE () boogieU)
(declare-fun T.P_KTHREAD () boogieU)
(declare-fun T.P_KTIMER () boogieU)
(declare-fun T.P_KWAIT_REASON () boogieU)
(declare-fun T.P_LARGE_INTEGER () boogieU)
(declare-fun T.P_LIST_ENTRY () boogieU)
(declare-fun T.P_MDL () boogieU)
(declare-fun T.P_OWNER_ENTRY () boogieU)
(declare-fun T.P_POOL_TYPE () boogieU)
(declare-fun T.P_POWER_SEQUENCE () boogieU)
(declare-fun T.P_POWER_STATE () boogieU)
(declare-fun T.P_SCSI_REQUEST_BLOCK () boogieU)
(declare-fun T.P_SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.P_SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.P_SERIAL_BAUD_RATE () boogieU)
(declare-fun T.P_SERIAL_CHARS () boogieU)
(declare-fun T.P_SERIAL_CISR_SW () boogieU)
(declare-fun T.P_SERIAL_COMMPROP () boogieU)
(declare-fun T.P_SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T.P_SERIAL_HANDFLOW () boogieU)
(declare-fun T.P_SERIAL_IOCTL_SYNC () boogieU)
(declare-fun T.P_SERIAL_LINE_CONTROL () boogieU)
(declare-fun T.P_SERIAL_QUEUE_SIZE () boogieU)
(declare-fun T.P_SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T.P_SERIAL_TIMEOUTS () boogieU)
(declare-fun T.P_SERIAL_UPDATE_CHAR () boogieU)
(declare-fun T.P_SERIAL_XOFF_COUNTER () boogieU)
(declare-fun T.P_UNICODE_STRING () boogieU)
(declare-fun T.P_VPB () boogieU)
(declare-fun T.UCHAR () boogieU)
(declare-fun T.UINT2 () boogieU)
(declare-fun T.UINT4 () boogieU)
(declare-fun T.UINT8 () boogieU)
(declare-fun T.VOID () boogieU)
(declare-fun T.WMIENABLEDISABLECONTROL () boogieU)
(declare-fun T.WMIGUIDREGINFO () boogieU)
(declare-fun T._ACCESS_STATE () boogieU)
(declare-fun T._CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T._CM_RESOURCE_LIST () boogieU)
(declare-fun T._COMPRESSED_DATA_INFO () boogieU)
(declare-fun T._DEVICE_CAPABILITIES () boogieU)
(declare-fun T._DEVICE_OBJECT () boogieU)
(declare-fun T._DEVICE_POWER_STATE () boogieU)
(declare-fun T._DEVICE_RELATION_TYPE () boogieU)
(declare-fun T._DEVICE_USAGE_NOTIFICATION_TYPE () boogieU)
(declare-fun T._DEVOBJ_EXTENSION () boogieU)
(declare-fun T._DISPATCHER_HEADER () boogieU)
(declare-fun T._DRIVER_EXTENSION () boogieU)
(declare-fun T._DRIVER_OBJECT () boogieU)
(declare-fun T._EPROCESS () boogieU)
(declare-fun T._ERESOURCE () boogieU)
(declare-fun T._EVENT_TYPE () boogieU)
(declare-fun T._FAST_IO_DISPATCH () boogieU)
(declare-fun T._FAST_MUTEX () boogieU)
(declare-fun T._FILE_BASIC_INFORMATION () boogieU)
(declare-fun T._FILE_GET_QUOTA_INFORMATION () boogieU)
(declare-fun T._FILE_INFORMATION_CLASS () boogieU)
(declare-fun T._FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T._FILE_OBJECT () boogieU)
(declare-fun T._FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T._FSINFOCLASS () boogieU)
(declare-fun T._GUID () boogieU)
(declare-fun T._INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T._INTERFACE () boogieU)
(declare-fun T._INTERFACE_TYPE () boogieU)
(declare-fun T._IO_ALLOCATION_ACTION () boogieU)
(declare-fun T._IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T._IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._IO_RESOURCE_LIST () boogieU)
(declare-fun T._IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T._IO_SECURITY_CONTEXT () boogieU)
(declare-fun T._IO_STACK_LOCATION () boogieU)
(declare-fun T._IO_STATUS_BLOCK () boogieU)
(declare-fun T._IO_TIMER () boogieU)
(declare-fun T._IRP () boogieU)
(declare-fun T._IRQ_DEVICE_POLICY () boogieU)
(declare-fun T._IRQ_PRIORITY () boogieU)
(declare-fun T._KAPC () boogieU)
(declare-fun T._KDEVICE_QUEUE () boogieU)
(declare-fun T._KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T._KDPC () boogieU)
(declare-fun T._KEVENT () boogieU)
(declare-fun T._KINTERRUPT () boogieU)
(declare-fun T._KPROCESS () boogieU)
(declare-fun T._KSEMAPHORE () boogieU)
(declare-fun T._KTHREAD () boogieU)
(declare-fun T._KTIMER () boogieU)
(declare-fun T._KWAIT_REASON () boogieU)
(declare-fun T._LARGE_INTEGER () boogieU)
(declare-fun T._LIST_ENTRY () boogieU)
(declare-fun T._LUID () boogieU)
(declare-fun T._LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T._MDL () boogieU)
(declare-fun T._OWNER_ENTRY () boogieU)
(declare-fun T._POOL_TYPE () boogieU)
(declare-fun T._POWER_SEQUENCE () boogieU)
(declare-fun T._POWER_STATE () boogieU)
(declare-fun T._POWER_STATE_TYPE () boogieU)
(declare-fun T._PRIVILEGE_SET () boogieU)
(declare-fun T._SCSI_REQUEST_BLOCK () boogieU)
(declare-fun T._SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T._SECURITY_IMPERSONATION_LEVEL () boogieU)
(declare-fun T._SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T._SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T._SERIALPERF_STATS () boogieU)
(declare-fun T._SERIAL_BAUD_RATE () boogieU)
(declare-fun T._SERIAL_CHARS () boogieU)
(declare-fun T._SERIAL_CISR_SW () boogieU)
(declare-fun T._SERIAL_COMMPROP () boogieU)
(declare-fun T._SERIAL_DEVICE_EXTENSION () boogieU)
(declare-fun T._SERIAL_DEVICE_STATE () boogieU)
(declare-fun T._SERIAL_HANDFLOW () boogieU)
(declare-fun T._SERIAL_IOCTL_SYNC () boogieU)
(declare-fun T._SERIAL_LINE_CONTROL () boogieU)
(declare-fun T._SERIAL_QUEUE_SIZE () boogieU)
(declare-fun T._SERIAL_RESIZE_PARAMS () boogieU)
(declare-fun T._SERIAL_TIMEOUTS () boogieU)
(declare-fun T._SERIAL_UPDATE_CHAR () boogieU)
(declare-fun T._SERIAL_WMI_COMM_DATA () boogieU)
(declare-fun T._SERIAL_WMI_HW_DATA () boogieU)
(declare-fun T._SERIAL_WMI_PERF_DATA () boogieU)
(declare-fun T._SERIAL_XOFF_COUNTER () boogieU)
(declare-fun T._SYSTEM_POWER_STATE () boogieU)
(declare-fun T._SYSTEM_POWER_STATE_CONTEXT () boogieU)
(declare-fun T._ULARGE_INTEGER () boogieU)
(declare-fun T._UNICODE_STRING () boogieU)
(declare-fun T._VPB () boogieU)
(declare-fun T._WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T._WMILIB_CONTEXT () boogieU)
(declare-fun T.__unnamed_12_0cb3dc26 () boogieU)
(declare-fun T.__unnamed_12_1a4b0b08 () boogieU)
(declare-fun T.__unnamed_12_1cbe20d6 () boogieU)
(declare-fun T.__unnamed_12_28f1f9cc () boogieU)
(declare-fun T.__unnamed_12_29a9546e () boogieU)
(declare-fun T.__unnamed_12_33a88444 () boogieU)
(declare-fun T.__unnamed_12_468ce3a2 () boogieU)
(declare-fun T.__unnamed_12_5cc47a19 () boogieU)
(declare-fun T.__unnamed_12_6fbd747c () boogieU)
(declare-fun T.__unnamed_12_9a27b966 () boogieU)
(declare-fun T.__unnamed_12_9eaf06f6 () boogieU)
(declare-fun T.__unnamed_12_a967ef4a () boogieU)
(declare-fun T.__unnamed_12_ab6ff61b () boogieU)
(declare-fun T.__unnamed_12_ad4e1918 () boogieU)
(declare-fun T.__unnamed_12_c0c3bd45 () boogieU)
(declare-fun T.__unnamed_12_df63118d () boogieU)
(declare-fun T.__unnamed_12_e5164c3f () boogieU)
(declare-fun T.__unnamed_12_f1f9be0a () boogieU)
(declare-fun T.__unnamed_12_f354d203 () boogieU)
(declare-fun T.__unnamed_16_2ab145ec () boogieU)
(declare-fun T.__unnamed_16_30f1d328 () boogieU)
(declare-fun T.__unnamed_16_3277c3a0 () boogieU)
(declare-fun T.__unnamed_16_3a584a7c () boogieU)
(declare-fun T.__unnamed_16_3dec08db () boogieU)
(declare-fun T.__unnamed_16_57edbc3a () boogieU)
(declare-fun T.__unnamed_16_5ac3fe10 () boogieU)
(declare-fun T.__unnamed_16_5bbbf1e7 () boogieU)
(declare-fun T.__unnamed_16_66abee0d () boogieU)
(declare-fun T.__unnamed_16_6c8935f2 () boogieU)
(declare-fun T.__unnamed_16_834e30a3 () boogieU)
(declare-fun T.__unnamed_16_83707d7f () boogieU)
(declare-fun T.__unnamed_16_94922103 () boogieU)
(declare-fun T.__unnamed_16_9eb64f79 () boogieU)
(declare-fun T.__unnamed_16_a71f10bf () boogieU)
(declare-fun T.__unnamed_16_af2c1884 () boogieU)
(declare-fun T.__unnamed_16_b1a6a9b2 () boogieU)
(declare-fun T.__unnamed_16_c774559b () boogieU)
(declare-fun T.__unnamed_16_ca1b3ad0 () boogieU)
(declare-fun T.__unnamed_1_4258582a () boogieU)
(declare-fun T.__unnamed_1_4f5916b9 () boogieU)
(declare-fun T.__unnamed_1_923f487b () boogieU)
(declare-fun T.__unnamed_1_ac5cb154 () boogieU)
(declare-fun T.__unnamed_20_9fc4dd36 () boogieU)
(declare-fun T.__unnamed_24_76c1f52c () boogieU)
(declare-fun T.__unnamed_24_87e4ad03 () boogieU)
(declare-fun T.__unnamed_24_87fb9019 () boogieU)
(declare-fun T.__unnamed_24_af527a47 () boogieU)
(declare-fun T.__unnamed_24_b3ef9869 () boogieU)
(declare-fun T.__unnamed_24_c23e34f7 () boogieU)
(declare-fun T.__unnamed_24_e04d7241 () boogieU)
(declare-fun T.__unnamed_2_1d659b1d () boogieU)
(declare-fun T.__unnamed_40_1db13fa5 () boogieU)
(declare-fun T.__unnamed_40_ebf2206a () boogieU)
(declare-fun T.__unnamed_44_0d347e8a () boogieU)
(declare-fun T.__unnamed_48_ffd8d308 () boogieU)
(declare-fun T.__unnamed_4_04fc9c34 () boogieU)
(declare-fun T.__unnamed_4_082ca2fa () boogieU)
(declare-fun T.__unnamed_4_142d6b52 () boogieU)
(declare-fun T.__unnamed_4_1c47e29a () boogieU)
(declare-fun T.__unnamed_4_3dc37e35 () boogieU)
(declare-fun T.__unnamed_4_4d53984e () boogieU)
(declare-fun T.__unnamed_4_522a02ae () boogieU)
(declare-fun T.__unnamed_4_61d4f5e1 () boogieU)
(declare-fun T.__unnamed_4_6eaf329f () boogieU)
(declare-fun T.__unnamed_4_7b44c46c () boogieU)
(declare-fun T.__unnamed_4_7bab7ec3 () boogieU)
(declare-fun T.__unnamed_4_a8006df8 () boogieU)
(declare-fun T.__unnamed_4_ab1173de () boogieU)
(declare-fun T.__unnamed_4_b2e59cbb () boogieU)
(declare-fun T.__unnamed_4_b38dc67f () boogieU)
(declare-fun T.__unnamed_4_c62ef092 () boogieU)
(declare-fun T.__unnamed_4_ce0c1b82 () boogieU)
(declare-fun T.__unnamed_4_cedfeccd () boogieU)
(declare-fun T.__unnamed_4_f13e195c () boogieU)
(declare-fun T.__unnamed_4_f14caa62 () boogieU)
(declare-fun T.__unnamed_4_f18e264a () boogieU)
(declare-fun T.__unnamed_8_06a6de28 () boogieU)
(declare-fun T.__unnamed_8_219179d3 () boogieU)
(declare-fun T.__unnamed_8_380551ca () boogieU)
(declare-fun T.__unnamed_8_3ebf0971 () boogieU)
(declare-fun T.__unnamed_8_45a58840 () boogieU)
(declare-fun T.__unnamed_8_544b88f4 () boogieU)
(declare-fun T.__unnamed_8_5bc13409 () boogieU)
(declare-fun T.__unnamed_8_5d23cded () boogieU)
(declare-fun T.__unnamed_8_5d67d492 () boogieU)
(declare-fun T.__unnamed_8_655e974a () boogieU)
(declare-fun T.__unnamed_8_a4174c52 () boogieU)
(declare-fun T.__unnamed_8_a569aa82 () boogieU)
(declare-fun T.__unnamed_8_b3031d0e () boogieU)
(declare-fun T.__unnamed_8_b7ca8084 () boogieU)
(declare-fun T.__unnamed_8_b8c2e139 () boogieU)
(declare-fun T.__unnamed_8_baf71367 () boogieU)
(declare-fun T.__unnamed_8_be4b9317 () boogieU)
(declare-fun T.__unnamed_8_d81ae7e8 () boogieU)
(declare-fun byteType () boogieT)
(declare-fun MapType0Type (boogieT boogieT) boogieT)
(declare-fun MapType0TypeInv0 (boogieT) boogieT)
(declare-fun MapType0TypeInv1 (boogieT) boogieT)
(declare-fun MapType0Select (boogieU boogieU) boogieU)
(declare-fun MapType0Store (boogieU boogieU boogieU) boogieU)
(declare-fun Empty () boogieU)
(declare-fun SetTrue () boogieU)
(declare-fun Singleton (Int) boogieU)
(declare-fun Union (boogieU boogieU) boogieU)
(declare-fun Intersection (boogieU boogieU) boogieU)
(declare-fun Difference (boogieU boogieU) boogieU)
(declare-fun Inverse (boogieU Int) boogieU)
(declare-fun Dereference (boogieU boogieU) boogieU)
(declare-fun Unified (boogieU) boogieU)
(declare-fun Field (Int) boogieU)
(declare-fun Values (boogieU boogieU) boogieU)
(declare-fun T.Ptr (boogieU) boogieU)
(declare-fun x_S_Argument4___unnamed_16_5ac3fe10 (boogieU) boogieU)
(declare-fun x_S_Argument4___unnamed_16_5ac3fe10Inv (boogieU) boogieU)
(declare-fun x_S_AssociatedIrp__IRP (boogieU) boogieU)
(declare-fun x_S_AssociatedIrp__IRPInv (boogieU) boogieU)
(declare-fun x_S_BaudRate__SERIAL_BAUD_RATE (boogieU) boogieU)
(declare-fun x_S_BaudRate__SERIAL_BAUD_RATEInv (boogieU) boogieU)
(declare-fun x_S_BaudRate__SERIAL_WMI_COMM_DATA (boogieU) boogieU)
(declare-fun x_S_BaudRate__SERIAL_WMI_COMM_DATAInv (boogieU) boogieU)
(declare-fun x_S_BitsPerByte__SERIAL_WMI_COMM_DATA (boogieU) boogieU)
(declare-fun x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv (boogieU) boogieU)
(declare-fun x_S_Blink__LIST_ENTRY (boogieU) boogieU)
(declare-fun x_S_Blink__LIST_ENTRYInv (boogieU) boogieU)
(declare-fun x_S_BreakChar__SERIAL_CHARS (boogieU) boogieU)
(declare-fun x_S_BreakChar__SERIAL_CHARSInv (boogieU) boogieU)
(declare-fun x_S_BufferSize__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CancelIrql__IRP (boogieU) boogieU)
(declare-fun x_S_CancelIrql__IRPInv (boogieU) boogieU)
(declare-fun x_S_CancelRoutine__IRP (boogieU) boogieU)
(declare-fun x_S_CancelRoutine__IRPInv (boogieU) boogieU)
(declare-fun x_S_Cancel__IRP (boogieU) boogieU)
(declare-fun x_S_Cancel__IRPInv (boogieU) boogieU)
(declare-fun x_S_CharsCopied__SERIAL_UPDATE_CHAR (boogieU) boogieU)
(declare-fun x_S_CharsCopied__SERIAL_UPDATE_CHARInv (boogieU) boogieU)
(declare-fun x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ClockRate__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Completed__SERIAL_UPDATE_CHAR (boogieU) boogieU)
(declare-fun x_S_Completed__SERIAL_UPDATE_CHARInv (boogieU) boogieU)
(declare-fun x_S_ControlHandShake__SERIAL_HANDFLOW (boogieU) boogieU)
(declare-fun x_S_ControlHandShake__SERIAL_HANDFLOWInv (boogieU) boogieU)
(declare-fun x_S_ControlLock__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Controller__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_Controller__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Counter__SERIAL_XOFF_COUNTER (boogieU) boogieU)
(declare-fun x_S_Counter__SERIAL_XOFF_COUNTERInv (boogieU) boogieU)
(declare-fun x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CurrentRxQueue__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_CurrentRxQueue__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_CurrentTxQueue__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_CurrentTxQueue__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Data__SERIAL_IOCTL_SYNC (boogieU) boogieU)
(declare-fun x_S_Data__SERIAL_IOCTL_SYNCInv (boogieU) boogieU)
(declare-fun x_S_DeviceExtension__DEVICE_OBJECT (boogieU) boogieU)
(declare-fun x_S_DeviceExtension__DEVICE_OBJECTInv (boogieU) boogieU)
(declare-fun x_S_DeviceIoControl___unnamed_16_57edbc3a (boogieU) boogieU)
(declare-fun x_S_DeviceIoControl___unnamed_16_57edbc3aInv (boogieU) boogieU)
(declare-fun x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_DeviceState__POWER_STATE (boogieU) boogieU)
(declare-fun x_S_DeviceState__POWER_STATEInv (boogieU) boogieU)
(declare-fun x_S_DpcCount__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Dpc__KTIMER (boogieU) boogieU)
(declare-fun x_S_Dpc__KTIMERInv (boogieU) boogieU)
(declare-fun x_S_EofChar__SERIAL_CHARS (boogieU) boogieU)
(declare-fun x_S_EofChar__SERIAL_CHARSInv (boogieU) boogieU)
(declare-fun x_S_ErrorChar__SERIAL_CHARS (boogieU) boogieU)
(declare-fun x_S_ErrorChar__SERIAL_CHARSInv (boogieU) boogieU)
(declare-fun x_S_ErrorWord__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_EscapeChar__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_EventChar__SERIAL_CHARS (boogieU) boogieU)
(declare-fun x_S_EventChar__SERIAL_CHARSInv (boogieU) boogieU)
(declare-fun x_S_Extension__SERIAL_IOCTL_SYNC (boogieU) boogieU)
(declare-fun x_S_Extension__SERIAL_IOCTL_SYNCInv (boogieU) boogieU)
(declare-fun x_S_Extension__SERIAL_RESIZE_PARAMS (boogieU) boogieU)
(declare-fun x_S_Extension__SERIAL_RESIZE_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_Extension__SERIAL_UPDATE_CHAR (boogieU) boogieU)
(declare-fun x_S_Extension__SERIAL_UPDATE_CHARInv (boogieU) boogieU)
(declare-fun x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_FlagsLock__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Flags__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_Flags__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Flink__LIST_ENTRY (boogieU) boogieU)
(declare-fun x_S_Flink__LIST_ENTRYInv (boogieU) boogieU)
(declare-fun x_S_FlowReplace__SERIAL_HANDFLOW (boogieU) boogieU)
(declare-fun x_S_FlowReplace__SERIAL_HANDFLOWInv (boogieU) boogieU)
(declare-fun x_S_HandFlow__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_HighPart___unnamed_8_544b88f4 (boogieU) boogieU)
(declare-fun x_S_HighPart___unnamed_8_544b88f4Inv (boogieU) boogieU)
(declare-fun x_S_HighPart___unnamed_8_5d67d492 (boogieU) boogieU)
(declare-fun x_S_HighPart___unnamed_8_5d67d492Inv (boogieU) boogieU)
(declare-fun x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_InSize__SERIAL_QUEUE_SIZE (boogieU) boogieU)
(declare-fun x_S_InSize__SERIAL_QUEUE_SIZEInv (boogieU) boogieU)
(declare-fun x_S_Information__IO_STATUS_BLOCK (boogieU) boogieU)
(declare-fun x_S_Information__IO_STATUS_BLOCKInv (boogieU) boogieU)
(declare-fun x_S_InputBufferLength___unnamed_16_5bbbf1e7 (boogieU) boogieU)
(declare-fun x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv (boogieU) boogieU)
(declare-fun x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Interrupt__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_IntervalTime__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_IoControlCode___unnamed_16_5bbbf1e7 (boogieU) boogieU)
(declare-fun x_S_IoControlCode___unnamed_16_5bbbf1e7Inv (boogieU) boogieU)
(declare-fun x_S_IoStatus__IRP (boogieU) boogieU)
(declare-fun x_S_IoStatus__IRPInv (boogieU) boogieU)
(declare-fun x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_LastReadTime__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Length___unnamed_16_3a584a7c (boogieU) boogieU)
(declare-fun x_S_Length___unnamed_16_3a584a7cInv (boogieU) boogieU)
(declare-fun x_S_Length___unnamed_16_94922103 (boogieU) boogieU)
(declare-fun x_S_Length___unnamed_16_94922103Inv (boogieU) boogieU)
(declare-fun x_S_LineControl__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ListEntry___unnamed_12_5cc47a19 (boogieU) boogieU)
(declare-fun x_S_ListEntry___unnamed_12_5cc47a19Inv (boogieU) boogieU)
(declare-fun x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_LowPart___unnamed_8_544b88f4 (boogieU) boogieU)
(declare-fun x_S_LowPart___unnamed_8_544b88f4Inv (boogieU) boogieU)
(declare-fun x_S_LowPart___unnamed_8_5d67d492 (boogieU) boogieU)
(declare-fun x_S_LowPart___unnamed_8_5d67d492Inv (boogieU) boogieU)
(declare-fun x_S_MajorFunction__IO_STACK_LOCATION (boogieU) boogieU)
(declare-fun x_S_MajorFunction__IO_STACK_LOCATIONInv (boogieU) boogieU)
(declare-fun x_S_MaskQueue__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_MaxBaud__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_MaxBaud__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_MaxRxQueue__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_MaxRxQueue__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_MaxTxQueue__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_MaxTxQueue__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_NewBufferSize__SERIAL_RESIZE_PARAMS (boogieU) boogieU)
(declare-fun x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_NewBuffer__SERIAL_RESIZE_PARAMS (boogieU) boogieU)
(declare-fun x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_NumberMoved__SERIAL_RESIZE_PARAMS (boogieU) boogieU)
(declare-fun x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_OldBuffer__SERIAL_RESIZE_PARAMS (boogieU) boogieU)
(declare-fun x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_Others___unnamed_16_57edbc3a (boogieU) boogieU)
(declare-fun x_S_Others___unnamed_16_57edbc3aInv (boogieU) boogieU)
(declare-fun x_S_OutputBufferLength___unnamed_16_5bbbf1e7 (boogieU) boogieU)
(declare-fun x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv (boogieU) boogieU)
(declare-fun x_S_Overlay___unnamed_48_ffd8d308 (boogieU) boogieU)
(declare-fun x_S_Overlay___unnamed_48_ffd8d308Inv (boogieU) boogieU)
(declare-fun x_S_PacketLength__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_PacketLength__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_PacketVersion__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_PacketVersion__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_Parameters__IO_STACK_LOCATION (boogieU) boogieU)
(declare-fun x_S_Parameters__IO_STACK_LOCATIONInv (boogieU) boogieU)
(declare-fun x_S_Parity__SERIAL_LINE_CONTROL (boogieU) boogieU)
(declare-fun x_S_Parity__SERIAL_LINE_CONTROLInv (boogieU) boogieU)
(declare-fun x_S_Parity__SERIAL_WMI_COMM_DATA (boogieU) boogieU)
(declare-fun x_S_Parity__SERIAL_WMI_COMM_DATAInv (boogieU) boogieU)
(declare-fun x_S_Pdo__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_PowerState__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ProvCapabilities__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_ProvCapabilities__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_ProvSubType__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_ProvSubType__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_QuadPart__LARGE_INTEGER (boogieU) boogieU)
(declare-fun x_S_QuadPart__LARGE_INTEGERInv (boogieU) boogieU)
(declare-fun x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS (boogieU) boogieU)
(declare-fun x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv (boogieU) boogieU)
(declare-fun x_S_ReadQueue__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS (boogieU) boogieU)
(declare-fun x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv (boogieU) boogieU)
(declare-fun x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS (boogieU) boogieU)
(declare-fun x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (boogieU) boogieU)
(declare-fun x_S_Read___unnamed_16_57edbc3a (boogieU) boogieU)
(declare-fun x_S_Read___unnamed_16_57edbc3aInv (boogieU) boogieU)
(declare-fun x_S_ServiceMask__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_ServiceMask__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_SettableBaud__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_SettableBaud__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_SettableData__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_SettableData__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_SettableParams__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_SettableParams__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_SettableStopParity__SERIAL_COMMPROP (boogieU) boogieU)
(declare-fun x_S_SettableStopParity__SERIAL_COMMPROPInv (boogieU) boogieU)
(declare-fun x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_SpecialChars__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_ab1173de (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_ab1173deInv (boogieU) boogieU)
(declare-fun x_S_StopBits__SERIAL_LINE_CONTROL (boogieU) boogieU)
(declare-fun x_S_StopBits__SERIAL_LINE_CONTROLInv (boogieU) boogieU)
(declare-fun x_S_StopBits__SERIAL_WMI_COMM_DATA (boogieU) boogieU)
(declare-fun x_S_StopBits__SERIAL_WMI_COMM_DATAInv (boogieU) boogieU)
(declare-fun x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_SystemBuffer___unnamed_4_3dc37e35 (boogieU) boogieU)
(declare-fun x_S_SystemBuffer___unnamed_4_3dc37e35Inv (boogieU) boogieU)
(declare-fun x_S_SystemState__POWER_STATE (boogieU) boogieU)
(declare-fun x_S_SystemState__POWER_STATEInv (boogieU) boogieU)
(declare-fun x_S_Tail__IRP (boogieU) boogieU)
(declare-fun x_S_Tail__IRPInv (boogieU) boogieU)
(declare-fun x_S_Timeout__SERIAL_XOFF_COUNTER (boogieU) boogieU)
(declare-fun x_S_Timeout__SERIAL_XOFF_COUNTERInv (boogieU) boogieU)
(declare-fun x_S_Timeouts__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 (boogieU) boogieU)
(declare-fun x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv (boogieU) boogieU)
(declare-fun x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_WmiCommData__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_WordLength__SERIAL_LINE_CONTROL (boogieU) boogieU)
(declare-fun x_S_WordLength__SERIAL_LINE_CONTROLInv (boogieU) boogieU)
(declare-fun x_S_WriteQueue__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS (boogieU) boogieU)
(declare-fun x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv (boogieU) boogieU)
(declare-fun x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS (boogieU) boogieU)
(declare-fun x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (boogieU) boogieU)
(declare-fun x_S_Write___unnamed_16_57edbc3a (boogieU) boogieU)
(declare-fun x_S_Write___unnamed_16_57edbc3aInv (boogieU) boogieU)
(declare-fun x_S_XoffChar__SERIAL_CHARS (boogieU) boogieU)
(declare-fun x_S_XoffChar__SERIAL_CHARSInv (boogieU) boogieU)
(declare-fun x_S_XoffCharacter__SERIAL_WMI_COMM_DATA (boogieU) boogieU)
(declare-fun x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv (boogieU) boogieU)
(declare-fun x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION (boogieU) boogieU)
(declare-fun x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv (boogieU) boogieU)
(declare-fun x_S_XoffLimit__SERIAL_HANDFLOW (boogieU) boogieU)
(declare-fun x_S_XoffLimit__SERIAL_HANDFLOWInv (boogieU) boogieU)
(declare-fun x_S_XonChar__SERIAL_CHARS (boogieU) boogieU)
(declare-fun x_S_XonChar__SERIAL_CHARSInv (boogieU) boogieU)
(declare-fun x_S_XonCharacter__SERIAL_WMI_COMM_DATA (boogieU) boogieU)
(declare-fun x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv (boogieU) boogieU)
(declare-fun x_S_XonLimit__SERIAL_HANDFLOW (boogieU) boogieU)
(declare-fun x_S_XonLimit__SERIAL_HANDFLOWInv (boogieU) boogieU)
(declare-fun x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a (boogieU) boogieU)
(declare-fun x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv (boogieU) boogieU)
(declare-fun x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK (boogieU) boogieU)
(declare-fun x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv (boogieU) boogieU)
(declare-fun x_S___unnamed_8_544b88f4__LARGE_INTEGER (boogieU) boogieU)
(declare-fun x_S___unnamed_8_544b88f4__LARGE_INTEGERInv (boogieU) boogieU)
(declare-fun x_S_u__LARGE_INTEGER (boogieU) boogieU)
(declare-fun x_S_u__LARGE_INTEGERInv (boogieU) boogieU)
(declare-fun SerialCancelCurrentWrite () Int)
(declare-fun SerialCancelCurrentXoff () Int)
(declare-fun SerialCancelImmediate () Int)
(declare-fun SerialCancelQueued () Int)
(declare-fun SerialClearStats () Int)
(declare-fun SerialClrDTR () Int)
(declare-fun SerialClrRTS () Int)
(declare-fun SerialFilterCancelQueued () Int)
(declare-fun SerialGetCommStatus () Int)
(declare-fun SerialGetMCRContents () Int)
(declare-fun SerialGetModemUpdate () Int)
(declare-fun SerialGetNextIrp () Int)
(declare-fun SerialGetNextWrite () Int)
(declare-fun SerialGetStats () Int)
(declare-fun SerialGiveImmediateToIsr () Int)
(declare-fun SerialGiveWriteToIsr () Int)
(declare-fun SerialGiveXoffToIsr () Int)
(declare-fun SerialGrabReadFromIsr () Int)
(declare-fun SerialGrabWriteFromIsr () Int)
(declare-fun SerialGrabXoffFromIsr () Int)
(declare-fun SerialPretendXoff () Int)
(declare-fun SerialPretendXon () Int)
(declare-fun SerialProcessEmptyTransmit () Int)
(declare-fun SerialSetBaud () Int)
(declare-fun SerialSetChars () Int)
(declare-fun SerialSetDTR () Int)
(declare-fun SerialSetEscapeChar () Int)
(declare-fun SerialSetFCRContents () Int)
(declare-fun SerialSetHandFlow () Int)
(declare-fun SerialSetLineControl () Int)
(declare-fun SerialSetMCRContents () Int)
(declare-fun SerialSetRTS () Int)
(declare-fun SerialStartMask () Int)
(declare-fun SerialStartPurge () Int)
(declare-fun SerialStartRead () Int)
(declare-fun SerialStartWrite () Int)
(declare-fun SerialSystemPowerCompletion () Int)
(declare-fun SerialTurnOffBreak () Int)
(declare-fun SerialTurnOnBreak () Int)
(declare-fun SerialUpdateAndSwitchToNew () Int)
(declare-fun SerialUpdateAndSwitchToUser () Int)
(declare-fun SerialUpdateInterruptBuffer () Int)
(declare-fun SerialUpdateReadByIsr () Int)
(declare-fun hdevobj () Int)
(declare-fun hiostackloc () Int)
(declare-fun hirp () Int)
(declare-fun hlock () Int)
(declare-fun notused_hiostackloc () Int)
(declare-fun sdv_irql_current () Int)
(declare-fun sdv_irql_previous () Int)
(declare-fun sdv_irql_previous_2 () Int)
(declare-fun sdv_irql_previous_3 () Int)
(declare-fun BOOGIE_LARGE_INT_2147483648 () Int)
(declare-fun BOOGIE_LARGE_INT_4294967295 () Int)
(declare-fun OneByteToInt (boogieU) Int)
(declare-fun TwoBytesToInt (boogieU boogieU) Int)
(declare-fun FourBytesToInt (boogieU boogieU boogieU boogieU) Int)
(declare-fun Equal (boogieU boogieU) TermBool)
(declare-fun Subset (boogieU boogieU) TermBool)
(declare-fun Disjoint (boogieU boogieU) TermBool)
(declare-fun HasType (Int boogieU boogieU) TermBool)
(declare-fun Match (Int boogieU) TermBool)
(declare-fun Argument4___unnamed_16_5ac3fe10Inv (Int) Int)
(declare-fun Argument4___unnamed_16_5ac3fe10 (Int) Int)
(declare-fun MINUS_BOTH_PTR_OR_BOTH_INT (Int Int Int) Int)
(declare-fun MINUS_LEFT_PTR (Int Int Int) Int)
(declare-fun AssociatedIrp__IRPInv (Int) Int)
(declare-fun AssociatedIrp__IRP (Int) Int)
(declare-fun BaudRate__SERIAL_BAUD_RATEInv (Int) Int)
(declare-fun BaudRate__SERIAL_BAUD_RATE (Int) Int)
(declare-fun BaudRate__SERIAL_WMI_COMM_DATAInv (Int) Int)
(declare-fun BaudRate__SERIAL_WMI_COMM_DATA (Int) Int)
(declare-fun BitsPerByte__SERIAL_WMI_COMM_DATAInv (Int) Int)
(declare-fun BitsPerByte__SERIAL_WMI_COMM_DATA (Int) Int)
(declare-fun Blink__LIST_ENTRYInv (Int) Int)
(declare-fun Blink__LIST_ENTRY (Int) Int)
(declare-fun BreakChar__SERIAL_CHARSInv (Int) Int)
(declare-fun BreakChar__SERIAL_CHARS (Int) Int)
(declare-fun BufferSize__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun BufferSize__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CancelIrql__IRPInv (Int) Int)
(declare-fun CancelIrql__IRP (Int) Int)
(declare-fun CancelRoutine__IRPInv (Int) Int)
(declare-fun CancelRoutine__IRP (Int) Int)
(declare-fun Cancel__IRPInv (Int) Int)
(declare-fun Cancel__IRP (Int) Int)
(declare-fun CharsCopied__SERIAL_UPDATE_CHARInv (Int) Int)
(declare-fun CharsCopied__SERIAL_UPDATE_CHAR (Int) Int)
(declare-fun CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ClockRate__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ClockRate__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Completed__SERIAL_UPDATE_CHARInv (Int) Int)
(declare-fun Completed__SERIAL_UPDATE_CHAR (Int) Int)
(declare-fun ControlHandShake__SERIAL_HANDFLOWInv (Int) Int)
(declare-fun ControlHandShake__SERIAL_HANDFLOW (Int) Int)
(declare-fun ControlLock__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ControlLock__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Controller__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun Controller__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CountOnLastRead__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Counter__SERIAL_XOFF_COUNTERInv (Int) Int)
(declare-fun Counter__SERIAL_XOFF_COUNTER (Int) Int)
(declare-fun CurrentBaud__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentBaud__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentMaskIrp__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentReadIrp__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CurrentRxQueue__SERIAL_COMMPROPInv (Int) Int)
(declare-fun CurrentRxQueue__SERIAL_COMMPROP (Int) Int)
(declare-fun CurrentTxQueue__SERIAL_COMMPROPInv (Int) Int)
(declare-fun CurrentTxQueue__SERIAL_COMMPROP (Int) Int)
(declare-fun CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentWriteIrp__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CurrentXoffIrp__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun CutOverAmount__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun CutOverAmount__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Data__SERIAL_IOCTL_SYNCInv (Int) Int)
(declare-fun Data__SERIAL_IOCTL_SYNC (Int) Int)
(declare-fun DeviceExtension__DEVICE_OBJECTInv (Int) Int)
(declare-fun DeviceExtension__DEVICE_OBJECT (Int) Int)
(declare-fun DeviceIoControl___unnamed_16_57edbc3aInv (Int) Int)
(declare-fun DeviceIoControl___unnamed_16_57edbc3a (Int) Int)
(declare-fun DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun DeviceIsOpened__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun DevicePNPAccept__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun DeviceState__POWER_STATEInv (Int) Int)
(declare-fun DeviceState__POWER_STATE (Int) Int)
(declare-fun DpcCount__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun DpcCount__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Dpc__KTIMERInv (Int) Int)
(declare-fun Dpc__KTIMER (Int) Int)
(declare-fun EofChar__SERIAL_CHARSInv (Int) Int)
(declare-fun EofChar__SERIAL_CHARS (Int) Int)
(declare-fun ErrorChar__SERIAL_CHARSInv (Int) Int)
(declare-fun ErrorChar__SERIAL_CHARS (Int) Int)
(declare-fun ErrorWord__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ErrorWord__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun EscapeChar__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun EscapeChar__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun EventChar__SERIAL_CHARSInv (Int) Int)
(declare-fun EventChar__SERIAL_CHARS (Int) Int)
(declare-fun Extension__SERIAL_IOCTL_SYNCInv (Int) Int)
(declare-fun Extension__SERIAL_IOCTL_SYNC (Int) Int)
(declare-fun Extension__SERIAL_RESIZE_PARAMSInv (Int) Int)
(declare-fun Extension__SERIAL_RESIZE_PARAMS (Int) Int)
(declare-fun Extension__SERIAL_UPDATE_CHARInv (Int) Int)
(declare-fun Extension__SERIAL_UPDATE_CHAR (Int) Int)
(declare-fun FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun FirstReadableChar__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun FlagsLock__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun FlagsLock__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Flags__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun Flags__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Flink__LIST_ENTRYInv (Int) Int)
(declare-fun Flink__LIST_ENTRY (Int) Int)
(declare-fun FlowReplace__SERIAL_HANDFLOWInv (Int) Int)
(declare-fun FlowReplace__SERIAL_HANDFLOW (Int) Int)
(declare-fun HandFlow__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun HandFlow__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun HighPart___unnamed_8_544b88f4Inv (Int) Int)
(declare-fun HighPart___unnamed_8_544b88f4 (Int) Int)
(declare-fun HighPart___unnamed_8_5d67d492Inv (Int) Int)
(declare-fun HighPart___unnamed_8_5d67d492 (Int) Int)
(declare-fun ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun InSize__SERIAL_QUEUE_SIZEInv (Int) Int)
(declare-fun InSize__SERIAL_QUEUE_SIZE (Int) Int)
(declare-fun Information__IO_STATUS_BLOCKInv (Int) Int)
(declare-fun Information__IO_STATUS_BLOCK (Int) Int)
(declare-fun InputBufferLength___unnamed_16_5bbbf1e7Inv (Int) Int)
(declare-fun InputBufferLength___unnamed_16_5bbbf1e7 (Int) Int)
(declare-fun InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun InterruptReadBuffer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Interrupt__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun Interrupt__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun IntervalTimeToUse__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun IntervalTime__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun IntervalTime__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun IoControlCode___unnamed_16_5bbbf1e7Inv (Int) Int)
(declare-fun IoControlCode___unnamed_16_5bbbf1e7 (Int) Int)
(declare-fun IoStatus__IRPInv (Int) Int)
(declare-fun IoStatus__IRP (Int) Int)
(declare-fun IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun IsrWaitMask__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun LastCharSlot__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun LastCharSlot__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun LastReadTime__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun LastReadTime__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Length___unnamed_16_3a584a7cInv (Int) Int)
(declare-fun Length___unnamed_16_3a584a7c (Int) Int)
(declare-fun Length___unnamed_16_94922103Inv (Int) Int)
(declare-fun Length___unnamed_16_94922103 (Int) Int)
(declare-fun LineControl__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun LineControl__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ListEntry___unnamed_12_5cc47a19Inv (Int) Int)
(declare-fun ListEntry___unnamed_12_5cc47a19 (Int) Int)
(declare-fun LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun LongIntervalAmount__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun LowPart___unnamed_8_544b88f4Inv (Int) Int)
(declare-fun LowPart___unnamed_8_544b88f4 (Int) Int)
(declare-fun LowPart___unnamed_8_5d67d492Inv (Int) Int)
(declare-fun LowPart___unnamed_8_5d67d492 (Int) Int)
(declare-fun MajorFunction__IO_STACK_LOCATIONInv (Int) Int)
(declare-fun MajorFunction__IO_STACK_LOCATION (Int) Int)
(declare-fun MaskQueue__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun MaskQueue__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun MaxBaud__SERIAL_COMMPROPInv (Int) Int)
(declare-fun MaxBaud__SERIAL_COMMPROP (Int) Int)
(declare-fun MaxRxQueue__SERIAL_COMMPROPInv (Int) Int)
(declare-fun MaxRxQueue__SERIAL_COMMPROP (Int) Int)
(declare-fun MaxTxQueue__SERIAL_COMMPROPInv (Int) Int)
(declare-fun MaxTxQueue__SERIAL_COMMPROP (Int) Int)
(declare-fun NewBufferSize__SERIAL_RESIZE_PARAMSInv (Int) Int)
(declare-fun NewBufferSize__SERIAL_RESIZE_PARAMS (Int) Int)
(declare-fun NewBuffer__SERIAL_RESIZE_PARAMSInv (Int) Int)
(declare-fun NewBuffer__SERIAL_RESIZE_PARAMS (Int) Int)
(declare-fun NumberMoved__SERIAL_RESIZE_PARAMSInv (Int) Int)
(declare-fun NumberMoved__SERIAL_RESIZE_PARAMS (Int) Int)
(declare-fun NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun NumberNeededForRead__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun OldBuffer__SERIAL_RESIZE_PARAMSInv (Int) Int)
(declare-fun OldBuffer__SERIAL_RESIZE_PARAMS (Int) Int)
(declare-fun Others___unnamed_16_57edbc3aInv (Int) Int)
(declare-fun Others___unnamed_16_57edbc3a (Int) Int)
(declare-fun OutputBufferLength___unnamed_16_5bbbf1e7Inv (Int) Int)
(declare-fun OutputBufferLength___unnamed_16_5bbbf1e7 (Int) Int)
(declare-fun Overlay___unnamed_48_ffd8d308Inv (Int) Int)
(declare-fun Overlay___unnamed_48_ffd8d308 (Int) Int)
(declare-fun PacketLength__SERIAL_COMMPROPInv (Int) Int)
(declare-fun PacketLength__SERIAL_COMMPROP (Int) Int)
(declare-fun PacketVersion__SERIAL_COMMPROPInv (Int) Int)
(declare-fun PacketVersion__SERIAL_COMMPROP (Int) Int)
(declare-fun Parameters__IO_STACK_LOCATIONInv (Int) Int)
(declare-fun Parameters__IO_STACK_LOCATION (Int) Int)
(declare-fun Parity__SERIAL_LINE_CONTROLInv (Int) Int)
(declare-fun Parity__SERIAL_LINE_CONTROL (Int) Int)
(declare-fun Parity__SERIAL_WMI_COMM_DATAInv (Int) Int)
(declare-fun Parity__SERIAL_WMI_COMM_DATA (Int) Int)
(declare-fun Pdo__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun Pdo__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun PendingDpcEvent__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun PendingIRPCnt__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun PendingIRPEvent__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun PowerState__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun PowerState__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ProvCapabilities__SERIAL_COMMPROPInv (Int) Int)
(declare-fun ProvCapabilities__SERIAL_COMMPROP (Int) Int)
(declare-fun ProvSubType__SERIAL_COMMPROPInv (Int) Int)
(declare-fun ProvSubType__SERIAL_COMMPROP (Int) Int)
(declare-fun PurgeQueue__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun PurgeQueue__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun QuadPart__LARGE_INTEGERInv (Int) Int)
(declare-fun QuadPart__LARGE_INTEGER (Int) Int)
(declare-fun ReadByIsr__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ReadByIsr__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ReadIntervalTimeout__SERIAL_TIMEOUTSInv (Int) Int)
(declare-fun ReadIntervalTimeout__SERIAL_TIMEOUTS (Int) Int)
(declare-fun ReadQueue__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ReadQueue__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv (Int) Int)
(declare-fun ReadTotalTimeoutConstant__SERIAL_TIMEOUTS (Int) Int)
(declare-fun ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (Int) Int)
(declare-fun ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS (Int) Int)
(declare-fun Read___unnamed_16_57edbc3aInv (Int) Int)
(declare-fun Read___unnamed_16_57edbc3a (Int) Int)
(declare-fun ServiceMask__SERIAL_COMMPROPInv (Int) Int)
(declare-fun ServiceMask__SERIAL_COMMPROP (Int) Int)
(declare-fun SettableBaud__SERIAL_COMMPROPInv (Int) Int)
(declare-fun SettableBaud__SERIAL_COMMPROP (Int) Int)
(declare-fun SettableData__SERIAL_COMMPROPInv (Int) Int)
(declare-fun SettableData__SERIAL_COMMPROP (Int) Int)
(declare-fun SettableParams__SERIAL_COMMPROPInv (Int) Int)
(declare-fun SettableParams__SERIAL_COMMPROP (Int) Int)
(declare-fun SettableStopParity__SERIAL_COMMPROPInv (Int) Int)
(declare-fun SettableStopParity__SERIAL_COMMPROP (Int) Int)
(declare-fun ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ShortIntervalAmount__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun SpecialChars__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun SpecialChars__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun StalledIrpQueue__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Status___unnamed_4_ab1173deInv (Int) Int)
(declare-fun Status___unnamed_4_ab1173de (Int) Int)
(declare-fun StopBits__SERIAL_LINE_CONTROLInv (Int) Int)
(declare-fun StopBits__SERIAL_LINE_CONTROL (Int) Int)
(declare-fun StopBits__SERIAL_WMI_COMM_DATAInv (Int) Int)
(declare-fun StopBits__SERIAL_WMI_COMM_DATA (Int) Int)
(declare-fun SupportedBauds__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun SupportedBauds__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun SystemBuffer___unnamed_4_3dc37e35Inv (Int) Int)
(declare-fun SystemBuffer___unnamed_4_3dc37e35 (Int) Int)
(declare-fun SystemState__POWER_STATEInv (Int) Int)
(declare-fun SystemState__POWER_STATE (Int) Int)
(declare-fun Tail__IRPInv (Int) Int)
(declare-fun Tail__IRP (Int) Int)
(declare-fun Timeout__SERIAL_XOFF_COUNTERInv (Int) Int)
(declare-fun Timeout__SERIAL_XOFF_COUNTER (Int) Int)
(declare-fun Timeouts__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun Timeouts__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun TotalCharsQueued__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun Type3InputBuffer___unnamed_16_5bbbf1e7Inv (Int) Int)
(declare-fun Type3InputBuffer___unnamed_16_5bbbf1e7 (Int) Int)
(declare-fun ValidDataMask__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun ValidDataMask__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun WmiCommData__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun WmiCommData__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun WordLength__SERIAL_LINE_CONTROLInv (Int) Int)
(declare-fun WordLength__SERIAL_LINE_CONTROL (Int) Int)
(declare-fun WriteQueue__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun WriteQueue__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv (Int) Int)
(declare-fun WriteTotalTimeoutConstant__SERIAL_TIMEOUTS (Int) Int)
(declare-fun WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (Int) Int)
(declare-fun WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS (Int) Int)
(declare-fun Write___unnamed_16_57edbc3aInv (Int) Int)
(declare-fun Write___unnamed_16_57edbc3a (Int) Int)
(declare-fun XoffChar__SERIAL_CHARSInv (Int) Int)
(declare-fun XoffChar__SERIAL_CHARS (Int) Int)
(declare-fun XoffCharacter__SERIAL_WMI_COMM_DATAInv (Int) Int)
(declare-fun XoffCharacter__SERIAL_WMI_COMM_DATA (Int) Int)
(declare-fun XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv (Int) Int)
(declare-fun XoffCountTimer__SERIAL_DEVICE_EXTENSION (Int) Int)
(declare-fun XoffLimit__SERIAL_HANDFLOWInv (Int) Int)
(declare-fun XoffLimit__SERIAL_HANDFLOW (Int) Int)
(declare-fun XonChar__SERIAL_CHARSInv (Int) Int)
(declare-fun XonChar__SERIAL_CHARS (Int) Int)
(declare-fun XonCharacter__SERIAL_WMI_COMM_DATAInv (Int) Int)
(declare-fun XonCharacter__SERIAL_WMI_COMM_DATA (Int) Int)
(declare-fun XonLimit__SERIAL_HANDFLOWInv (Int) Int)
(declare-fun XonLimit__SERIAL_HANDFLOW (Int) Int)
(declare-fun x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv (Int) Int)
(declare-fun x__unnamed_12_5cc47a19___unnamed_40_ebf2206a (Int) Int)
(declare-fun x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (Int) Int)
(declare-fun x__unnamed_4_ab1173de__IO_STATUS_BLOCK (Int) Int)
(declare-fun x__unnamed_8_544b88f4__LARGE_INTEGERInv (Int) Int)
(declare-fun x__unnamed_8_544b88f4__LARGE_INTEGER (Int) Int)
(declare-fun u__LARGE_INTEGERInv (Int) Int)
(declare-fun u__LARGE_INTEGER (Int) Int)
(declare-fun PLUS (Int Int Int) Int)
(declare-fun MULT (Int Int) Int)
(declare-fun DIV (Int Int) Int)
(declare-fun POW2 (Int) TermBool)
(declare-fun choose (TermBool Int Int) Int)
(declare-fun BIT_BAND (Int Int) Int)
(declare-fun LIFT (TermBool) Int)
(declare-fun NOT (Int) Int)
(declare-fun NULL_CHECK (Int) Int)
(declare-fun Mem_0_T.CancelRoutine__IRP.125 () boogieU)
(declare-fun Mem_s_1_T.CancelRoutine__IRP () boogieU)
(declare-fun Mem_0_T.Cancel__IRP.2 () boogieU)
(declare-fun Mem_s_1_T.Cancel__IRP () boogieU)
(declare-fun Mem_0_T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun Mem_s_1_T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun Mem_0_T.P_IRP.92 () boogieU)
(declare-fun Mem_s_1_T.P_IRP () boogieU)
(declare-fun alloc.119 () boogieU)
(declare-fun alloc.96 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.125 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.98 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.98 () boogieU)
(declare-fun Mem_0_T.P_IRP.69 () boogieU)
(declare-fun Mem_1_T.P_IRP.92 () boogieU)
(declare-fun Mem_1_T.P_IRP.69 () boogieU)
(declare-fun alloc.118 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.124 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.124 () boogieU)
(declare-fun Mem_0_T.P_IRP.91 () boogieU)
(declare-fun Mem_1_T.P_IRP.91 () boogieU)
(declare-fun alloc.117 () boogieU)
(declare-fun alloc.99 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.101 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.101 () boogieU)
(declare-fun alloc.116 () boogieU)
(declare-fun Mem_1_T.P_IRP.90 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.123 () boogieU)
(declare-fun Mem_0_T.P_IRP.90 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.123 () boogieU)
(declare-fun alloc.115 () boogieU)
(declare-fun Mem_1_T.P_IRP.89 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.122 () boogieU)
(declare-fun Mem_0_T.P_IRP.89 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.122 () boogieU)
(declare-fun alloc.114 () boogieU)
(declare-fun Mem_T.MajorFunction__IO_STACK_LOCATION.0 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.121 () boogieU)
(declare-fun alloc.113 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.121 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.120 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.120 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.118 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.119 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.118 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.119 () boogieU)
(declare-fun alloc.112 () boogieU)
(declare-fun Mem_1_T.P_IRP.87 () boogieU)
(declare-fun Mem_0_T.P_IRP.88 () boogieU)
(declare-fun Mem_0_T.P_IRP.87 () boogieU)
(declare-fun Mem_1_T.P_IRP.88 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.115 () boogieU)
(declare-fun Mem_0_T.P_IRP.86 () boogieU)
(declare-fun Mem_1_T.P_IRP.86 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.115 () boogieU)
(declare-fun Mem_1_T.P_IRP.82 () boogieU)
(declare-fun Mem_0_T.P_IRP.83 () boogieU)
(declare-fun Mem_0_T.P_IRP.82 () boogieU)
(declare-fun Mem_1_T.P_IRP.85 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.117 () boogieU)
(declare-fun Mem_0_T.P_IRP.85 () boogieU)
(declare-fun Mem_1_T.P_IRP.84 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.117 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.116 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.116 () boogieU)
(declare-fun Mem_0_T.P_IRP.84 () boogieU)
(declare-fun Mem_1_T.P_IRP.83 () boogieU)
(declare-fun alloc.111 () boogieU)
(declare-fun alloc.106 () boogieU)
(declare-fun alloc.108 () boogieU)
(declare-fun Mem_1_T.P_IRP.78 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.107 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.107 () boogieU)
(declare-fun Mem_0_T.P_IRP.78 () boogieU)
(declare-fun Mem_1_T.Cancel__IRP.2 () boogieU)
(declare-fun alloc.107 () boogieU)
(declare-fun Mem_1_T.P_IRP.77 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.106 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.106 () boogieU)
(declare-fun Mem_0_T.P_IRP.77 () boogieU)
(declare-fun Mem_0_T.P_IRP.76 () boogieU)
(declare-fun Mem_1_T.P_IRP.76 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.105 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.105 () boogieU)
(declare-fun alloc.104 () boogieU)
(declare-fun alloc.101 () boogieU)
(declare-fun alloc.102 () boogieU)
(declare-fun alloc.103 () boogieU)
(declare-fun alloc.110 () boogieU)
(declare-fun Mem_1_T.P_IRP.81 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.114 () boogieU)
(declare-fun Mem_0_T.P_IRP.81 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.114 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.113 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.113 () boogieU)
(declare-fun alloc.109 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.112 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.112 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.110 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.111 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.110 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.111 () boogieU)
(declare-fun alloc.105 () boogieU)
(declare-fun Mem_1_T.P_IRP.79 () boogieU)
(declare-fun Mem_0_T.P_IRP.80 () boogieU)
(declare-fun Mem_0_T.P_IRP.79 () boogieU)
(declare-fun Mem_1_T.P_IRP.80 () boogieU)
(declare-fun Mem_0_T.P_IRP.73 () boogieU)
(declare-fun Mem_1_T.P_IRP.73 () boogieU)
(declare-fun Mem_0_T.P_IRP.72 () boogieU)
(declare-fun Mem_1_T.P_IRP.72 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.109 () boogieU)
(declare-fun Mem_0_T.P_IRP.75 () boogieU)
(declare-fun Mem_1_T.P_IRP.75 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.109 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.108 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.108 () boogieU)
(declare-fun Mem_0_T.P_IRP.74 () boogieU)
(declare-fun Mem_1_T.P_IRP.74 () boogieU)
(declare-fun alloc.100 () boogieU)
(declare-fun Mem_1_T.P_IRP.71 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.104 () boogieU)
(declare-fun Mem_0_T.P_IRP.71 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.104 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.103 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.103 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.102 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.102 () boogieU)
(declare-fun Mem_0_T.P_IRP.70 () boogieU)
(declare-fun Mem_1_T.P_IRP.70 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.100 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.100 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.99 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.99 () boogieU)
(declare-fun alloc.98 () boogieU)
(declare-fun alloc.97 () boogieU)
(declare-fun Mem_1_T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun alloc.76 () boogieU)
(declare-fun Mem_1_T.P_IRP.46 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.69 () boogieU)
(declare-fun Mem_0_T.Cancel__IRP () boogieU)
(declare-fun Mem_0_T.P_IRP.46 () boogieU)
(declare-fun Mem_1_T.Cancel__IRP () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.69 () boogieU)
(declare-fun alloc.95 () boogieU)
(declare-fun Mem_1_T.P_IRP.68 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.97 () boogieU)
(declare-fun Mem_0_T.Cancel__IRP.1 () boogieU)
(declare-fun Mem_0_T.P_IRP.68 () boogieU)
(declare-fun Mem_1_T.Cancel__IRP.1 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.97 () boogieU)
(declare-fun alloc.77 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.74 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.74 () boogieU)
(declare-fun alloc.94 () boogieU)
(declare-fun Mem_1_T.P_IRP.67 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.96 () boogieU)
(declare-fun Mem_0_T.P_IRP.67 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.96 () boogieU)
(declare-fun alloc.93 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.95 () boogieU)
(declare-fun Mem_0_T.P_IRP.66 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.95 () boogieU)
(declare-fun Mem_1_T.P_IRP.66 () boogieU)
(declare-fun alloc.92 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.94 () boogieU)
(declare-fun alloc.91 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.94 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.93 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.93 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.91 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.92 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.91 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.92 () boogieU)
(declare-fun alloc.90 () boogieU)
(declare-fun Mem_1_T.P_IRP.64 () boogieU)
(declare-fun Mem_0_T.P_IRP.65 () boogieU)
(declare-fun Mem_0_T.P_IRP.64 () boogieU)
(declare-fun Mem_1_T.P_IRP.65 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.88 () boogieU)
(declare-fun Mem_0_T.P_IRP.63 () boogieU)
(declare-fun Mem_1_T.P_IRP.63 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.88 () boogieU)
(declare-fun Mem_1_T.P_IRP.59 () boogieU)
(declare-fun Mem_0_T.P_IRP.62 () boogieU)
(declare-fun Mem_0_T.P_IRP.59 () boogieU)
(declare-fun Mem_1_T.P_IRP.62 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.90 () boogieU)
(declare-fun Mem_0_T.P_IRP.61 () boogieU)
(declare-fun Mem_1_T.P_IRP.61 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.90 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.89 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.89 () boogieU)
(declare-fun Mem_0_T.P_IRP.60 () boogieU)
(declare-fun Mem_1_T.P_IRP.60 () boogieU)
(declare-fun alloc.89 () boogieU)
(declare-fun alloc.84 () boogieU)
(declare-fun alloc.88 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.87 () boogieU)
(declare-fun Mem_1_T.P_IRP.58 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.87 () boogieU)
(declare-fun Mem_0_T.P_IRP.58 () boogieU)
(declare-fun alloc.86 () boogieU)
(declare-fun Mem_1_T.P_IRP.57 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.85 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.85 () boogieU)
(declare-fun Mem_0_T.P_IRP.57 () boogieU)
(declare-fun Mem_0_T.P_IRP.56 () boogieU)
(declare-fun Mem_1_T.P_IRP.56 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.84 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.84 () boogieU)
(declare-fun alloc.82 () boogieU)
(declare-fun alloc.79 () boogieU)
(declare-fun alloc.80 () boogieU)
(declare-fun alloc.81 () boogieU)
(declare-fun alloc.87 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.86 () boogieU)
(declare-fun Mem_0_T.P_IRP.55 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.86 () boogieU)
(declare-fun Mem_1_T.P_IRP.55 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.83 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.83 () boogieU)
(declare-fun alloc.85 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.82 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.82 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.80 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.81 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.80 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.81 () boogieU)
(declare-fun alloc.83 () boogieU)
(declare-fun Mem_1_T.P_IRP.53 () boogieU)
(declare-fun Mem_0_T.P_IRP.54 () boogieU)
(declare-fun Mem_0_T.P_IRP.53 () boogieU)
(declare-fun Mem_1_T.P_IRP.54 () boogieU)
(declare-fun Mem_0_T.P_IRP.50 () boogieU)
(declare-fun Mem_1_T.P_IRP.50 () boogieU)
(declare-fun Mem_0_T.P_IRP.49 () boogieU)
(declare-fun Mem_1_T.P_IRP.49 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.79 () boogieU)
(declare-fun Mem_0_T.P_IRP.52 () boogieU)
(declare-fun Mem_1_T.P_IRP.52 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.79 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.78 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.78 () boogieU)
(declare-fun Mem_0_T.P_IRP.51 () boogieU)
(declare-fun Mem_1_T.P_IRP.51 () boogieU)
(declare-fun alloc.78 () boogieU)
(declare-fun Mem_1_T.P_IRP.48 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.77 () boogieU)
(declare-fun Mem_0_T.P_IRP.48 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.77 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.76 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.76 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.75 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.75 () boogieU)
(declare-fun Mem_0_T.P_IRP.47 () boogieU)
(declare-fun Mem_1_T.P_IRP.47 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.73 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.73 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.71 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.72 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.71 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.72 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.70 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.70 () boogieU)
(declare-fun Mem_0_T.Cancel__IRP.0 () boogieU)
(declare-fun Mem_1_T.Cancel__IRP.0 () boogieU)
(declare-fun Mem_0_T.P_IRP () boogieU)
(declare-fun alloc.6 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.6 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.6 () boogieU)
(declare-fun Mem_1_T.P_IRP () boogieU)
(declare-fun alloc.5 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.5 () boogieU)
(declare-fun alloc.3 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.5 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.4 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.4 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.2 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.3 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.2 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.3 () boogieU)
(declare-fun alloc.2 () boogieU)
(declare-fun alloc.9 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.10 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.10 () boogieU)
(declare-fun alloc.8 () boogieU)
(declare-fun Mem_0_T.P_IRP.45 () boogieU)
(declare-fun alloc.75 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.68 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.68 () boogieU)
(declare-fun Mem_1_T.P_IRP.45 () boogieU)
(declare-fun alloc.74 () boogieU)
(declare-fun alloc.23 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.16 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.16 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.15 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.15 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.14 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.14 () boogieU)
(declare-fun alloc.10 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.21 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.21 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.20 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.20 () boogieU)
(declare-fun Mem_0_T.P_IRP.44 () boogieU)
(declare-fun Mem_1_T.P_IRP.44 () boogieU)
(declare-fun alloc.73 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.67 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.67 () boogieU)
(declare-fun alloc.72 () boogieU)
(declare-fun Mem_1_T.P_IRP.43 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.66 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.66 () boogieU)
(declare-fun alloc.71 () boogieU)
(declare-fun Mem_0_T.P_IRP.43 () boogieU)
(declare-fun alloc.70 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.65 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.65 () boogieU)
(declare-fun alloc.69 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.64 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.64 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.62 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.63 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.62 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.63 () boogieU)
(declare-fun alloc.68 () boogieU)
(declare-fun Mem_1_T.P_IRP.41 () boogieU)
(declare-fun Mem_0_T.P_IRP.42 () boogieU)
(declare-fun Mem_0_T.P_IRP.41 () boogieU)
(declare-fun Mem_1_T.P_IRP.42 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.59 () boogieU)
(declare-fun Mem_0_T.P_IRP.40 () boogieU)
(declare-fun Mem_1_T.P_IRP.40 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.59 () boogieU)
(declare-fun Mem_1_T.P_IRP.36 () boogieU)
(declare-fun Mem_0_T.P_IRP.37 () boogieU)
(declare-fun Mem_0_T.P_IRP.36 () boogieU)
(declare-fun Mem_1_T.P_IRP.37 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.61 () boogieU)
(declare-fun Mem_0_T.P_IRP.39 () boogieU)
(declare-fun Mem_1_T.P_IRP.39 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.61 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.60 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.60 () boogieU)
(declare-fun Mem_0_T.P_IRP.38 () boogieU)
(declare-fun Mem_1_T.P_IRP.38 () boogieU)
(declare-fun alloc.67 () boogieU)
(declare-fun alloc.62 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.53 () boogieU)
(declare-fun Mem_1_T.P_IRP.32 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.53 () boogieU)
(declare-fun Mem_0_T.P_IRP.32 () boogieU)
(declare-fun alloc.66 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.58 () boogieU)
(declare-fun Mem_1_T.P_IRP.35 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.58 () boogieU)
(declare-fun Mem_0_T.P_IRP.35 () boogieU)
(declare-fun alloc.65 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.57 () boogieU)
(declare-fun Mem_1_T.P_IRP.34 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.57 () boogieU)
(declare-fun Mem_0_T.P_IRP.34 () boogieU)
(declare-fun Mem_0_T.P_IRP.33 () boogieU)
(declare-fun Mem_1_T.P_IRP.33 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.56 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.56 () boogieU)
(declare-fun alloc.61 () boogieU)
(declare-fun alloc.58 () boogieU)
(declare-fun alloc.57 () boogieU)
(declare-fun alloc.59 () boogieU)
(declare-fun alloc.60 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.55 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.55 () boogieU)
(declare-fun alloc.64 () boogieU)
(declare-fun alloc.63 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.54 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.54 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.52 () boogieU)
(declare-fun alloc.56 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.52 () boogieU)
(declare-fun Mem_0_T.P_IRP.31 () boogieU)
(declare-fun Mem_1_T.P_IRP.31 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.19 () boogieU)
(declare-fun alloc.25 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.19 () boogieU)
(declare-fun Mem_0_T.P_IRP.1 () boogieU)
(declare-fun Mem_1_T.P_IRP.1 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.51 () boogieU)
(declare-fun alloc.55 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.51 () boogieU)
(declare-fun Mem_0_T.P_IRP.30 () boogieU)
(declare-fun Mem_1_T.P_IRP.30 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.46 () boogieU)
(declare-fun alloc.52 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.46 () boogieU)
(declare-fun Mem_0_T.P_IRP.29 () boogieU)
(declare-fun Mem_1_T.P_IRP.29 () boogieU)
(declare-fun alloc.51 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.45 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.45 () boogieU)
(declare-fun alloc.50 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.44 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.44 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.42 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.43 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.42 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.43 () boogieU)
(declare-fun alloc.49 () boogieU)
(declare-fun Mem_1_T.P_IRP.27 () boogieU)
(declare-fun Mem_0_T.P_IRP.28 () boogieU)
(declare-fun Mem_0_T.P_IRP.27 () boogieU)
(declare-fun Mem_1_T.P_IRP.28 () boogieU)
(declare-fun Mem_0_T.P_IRP.24 () boogieU)
(declare-fun Mem_1_T.P_IRP.24 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.36 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.36 () boogieU)
(declare-fun Mem_1_T.P_IRP.15 () boogieU)
(declare-fun Mem_0_T.P_IRP.23 () boogieU)
(declare-fun Mem_0_T.P_IRP.15 () boogieU)
(declare-fun Mem_1_T.P_IRP.23 () boogieU)
(declare-fun Mem_0_T.P_IRP.26 () boogieU)
(declare-fun Mem_1_T.P_IRP.26 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.41 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.41 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.40 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.40 () boogieU)
(declare-fun Mem_0_T.P_IRP.25 () boogieU)
(declare-fun Mem_1_T.P_IRP.25 () boogieU)
(declare-fun alloc.48 () boogieU)
(declare-fun alloc.45 () boogieU)
(declare-fun alloc.47 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.35 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.35 () boogieU)
(declare-fun Mem_1_T.P_IRP.14 () boogieU)
(declare-fun Mem_0_T.P_IRP.14 () boogieU)
(declare-fun alloc.46 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.34 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.34 () boogieU)
(declare-fun Mem_1_T.P_IRP.13 () boogieU)
(declare-fun Mem_0_T.P_IRP.13 () boogieU)
(declare-fun Mem_0_T.P_IRP.12 () boogieU)
(declare-fun Mem_1_T.P_IRP.12 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.33 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.33 () boogieU)
(declare-fun alloc.44 () boogieU)
(declare-fun alloc.41 () boogieU)
(declare-fun alloc.42 () boogieU)
(declare-fun alloc.43 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.50 () boogieU)
(declare-fun alloc.54 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.50 () boogieU)
(declare-fun Mem_0_T.P_IRP.22 () boogieU)
(declare-fun Mem_1_T.P_IRP.22 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.49 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.49 () boogieU)
(declare-fun alloc.53 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.48 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.48 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.39 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.47 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.39 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.47 () boogieU)
(declare-fun alloc.39 () boogieU)
(declare-fun Mem_1_T.P_IRP.20 () boogieU)
(declare-fun Mem_0_T.P_IRP.21 () boogieU)
(declare-fun Mem_0_T.P_IRP.20 () boogieU)
(declare-fun Mem_1_T.P_IRP.21 () boogieU)
(declare-fun Mem_0_T.P_IRP.17 () boogieU)
(declare-fun Mem_1_T.P_IRP.17 () boogieU)
(declare-fun Mem_0_T.P_IRP.16 () boogieU)
(declare-fun Mem_1_T.P_IRP.16 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.38 () boogieU)
(declare-fun Mem_0_T.P_IRP.19 () boogieU)
(declare-fun Mem_1_T.P_IRP.19 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.38 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.37 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.37 () boogieU)
(declare-fun Mem_0_T.P_IRP.18 () boogieU)
(declare-fun Mem_1_T.P_IRP.18 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.32 () boogieU)
(declare-fun alloc.40 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.32 () boogieU)
(declare-fun Mem_0_T.P_IRP.11 () boogieU)
(declare-fun Mem_1_T.P_IRP.11 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.31 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.31 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.30 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.30 () boogieU)
(declare-fun Mem_0_T.P_IRP.10 () boogieU)
(declare-fun Mem_1_T.P_IRP.10 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.18 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.18 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.17 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.17 () boogieU)
(declare-fun alloc.24 () boogieU)
(declare-fun alloc.22 () boogieU)
(declare-fun alloc.19 () boogieU)
(declare-fun alloc.20 () boogieU)
(declare-fun alloc.21 () boogieU)
(declare-fun Mem_0_T.P_IRP.9 () boogieU)
(declare-fun Mem_1_T.P_IRP.9 () boogieU)
(declare-fun alloc.38 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.29 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.29 () boogieU)
(declare-fun alloc.37 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.28 () boogieU)
(declare-fun Mem_1_T.P_IRP.8 () boogieU)
(declare-fun Mem_0_T.P_IRP.8 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.28 () boogieU)
(declare-fun alloc.36 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.27 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.27 () boogieU)
(declare-fun alloc.35 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.26 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.26 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.24 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.25 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.24 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.25 () boogieU)
(declare-fun alloc.34 () boogieU)
(declare-fun Mem_1_T.P_IRP.6 () boogieU)
(declare-fun Mem_0_T.P_IRP.7 () boogieU)
(declare-fun Mem_0_T.P_IRP.6 () boogieU)
(declare-fun Mem_1_T.P_IRP.7 () boogieU)
(declare-fun Mem_0_T.P_IRP.3 () boogieU)
(declare-fun Mem_1_T.P_IRP.3 () boogieU)
(declare-fun Mem_0_T.P_IRP.2 () boogieU)
(declare-fun Mem_1_T.P_IRP.2 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.23 () boogieU)
(declare-fun Mem_0_T.P_IRP.5 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.23 () boogieU)
(declare-fun Mem_1_T.P_IRP.5 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.22 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.22 () boogieU)
(declare-fun Mem_0_T.P_IRP.4 () boogieU)
(declare-fun Mem_1_T.P_IRP.4 () boogieU)
(declare-fun alloc.33 () boogieU)
(declare-fun alloc.28 () boogieU)
(declare-fun alloc.27 () boogieU)
(declare-fun alloc.26 () boogieU)
(declare-fun alloc.32 () boogieU)
(declare-fun alloc.31 () boogieU)
(declare-fun alloc.30 () boogieU)
(declare-fun alloc.29 () boogieU)
(declare-fun alloc.18 () boogieU)
(declare-fun alloc.13 () boogieU)
(declare-fun alloc.14 () boogieU)
(declare-fun alloc.15 () boogieU)
(declare-fun alloc.16 () boogieU)
(declare-fun alloc.17 () boogieU)
(declare-fun Mem_0_T.P_IRP.0 () boogieU)
(declare-fun Mem_1_T.P_IRP.0 () boogieU)
(declare-fun alloc.12 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.13 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.13 () boogieU)
(declare-fun alloc.11 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.12 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.12 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.11 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.11 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.9 () boogieU)
(declare-fun alloc.7 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.9 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.8 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.8 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.7 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.7 () boogieU)
(declare-fun alloc.4 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.1 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.1 () boogieU)
(declare-fun Mem_0_T.CancelRoutine__IRP.0 () boogieU)
(declare-fun Mem_1_T.CancelRoutine__IRP.0 () boogieU)
(declare-fun alloc.1 () boogieU)
(declare-fun alloc.0 () boogieU)
(declare-fun alloc () boogieU)
(declare-fun Mem_T.MajorFunction__IO_STACK_LOCATION () boogieU)
(declare-fun irpCompleted_0.52 () Int)
(declare-fun irpCompleted_s_1 () Int)
(declare-fun lockStatus_0.41 () Int)
(declare-fun lockStatus_s_1 () Int)
(declare-fun cancelLockStatus_0.90 () Int)
(declare-fun cancelLockStatus_s_1 () Int)
(declare-fun errorReached.90 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.6 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.5 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.5 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.8 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.7 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..5 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 () Int)
(declare-fun inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite.0 () Int)
(declare-fun x.SerialCompleteWrite.arg.2.7..2 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.4 () Int)
(declare-fun inline.KeSynchronizeExecution.9.myNondetVar_0.8 () Int)
(declare-fun inline.KeSynchronizeExecution.9.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun x.devobjTmp.3.6629.17.sdv_main.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrp.4.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.4.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.5 () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..3 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20.myNondetVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialDpcEpilogue.6..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.24.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0.4 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialDpcEpilogue.6..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialGetNextWrite.2.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.5.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.5.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.22 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.21 () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun cancelLockStatus_1.90 () Int)
(declare-fun cancelLockStatus_1.89 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun cancelLockStatus_0.89 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_1.0 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.8 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.7 () Int)
(declare-fun irpCompleted_0.51 () Int)
(declare-fun inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun irpCompleted_1.52 () Int)
(declare-fun irpCompleted_1.51 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun k.105 () Int)
(declare-fun k.104 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_2.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_2.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.7 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.6 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialCompleteWrite.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCompleteWrite.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.1 () Int)
(declare-fun x.tmpIrp.2.6628.7.sdv_main.3 () Int)
(declare-fun x.tmpIrp.2.6628.7.sdv_main.2 () Int)
(declare-fun inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun x.SerialCompleteWrite.arg.2.7..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..4 () Int)
(declare-fun inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.SerialCancelTimer.4.myNondetVar_0.3 () Int)
(declare-fun inline.SerialCancelTimer.4.myNondetVar_0.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.15 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialCompleteWrite.0.havoc_stringTemp.0 () Int)
(declare-fun call73934formal.new.0 () Int)
(declare-fun inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialCancelTimer.5.myNondetVar_0.3 () Int)
(declare-fun inline.SerialCancelTimer.5.myNondetVar_0.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.15 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.14 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.24.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..1 () Int)
(declare-fun inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.6 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.24..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialCompleteWrite.0..Extension.5.741.29.SerialCompleteWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.12 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.11 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..1 () Int)
(declare-fun inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.761.20.3..1 () Int)
(declare-fun inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.761.20.3..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun x.Extension.4.6630.27.sdv_main.3 () Int)
(declare-fun x.Extension.4.6630.27.sdv_main.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..newIrp.14.428.13.SerialTryToCompleteCurrent.0 () Int)
(declare-fun call68644formal.new.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.23.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.23.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.havoc_stringTemp.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun errorReached.89 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..0 () Int)
(declare-fun inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19.myNondetVar_0.3 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0.9 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.747.20.1..1 () Int)
(declare-fun inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.747.20.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.._refType.12.396.0.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialCompleteWrite.0..OldIrql.6.742.10.SerialCompleteWrite.0 () Int)
(declare-fun call68515formal.new.0 () Int)
(declare-fun inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.6 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.11 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.10 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0.5 () Int)
(declare-fun Base (Int) Int)
(declare-fun call73924formal.ret.0 () Int)
(declare-fun inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrp.4.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite () Int)
(declare-fun errorReached.74 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5. () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun call73655formal.new.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_InterlockedDecrement.23.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.havoc_stringTemp () Int)
(declare-fun inline.SerialGetNextIrp.5.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22.myNondetVar_0 () Int)
(declare-fun inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0 () Int)
(declare-fun cancelLockStatus_1.73 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.havoc_stringTemp () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun k.87 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2. () Int)
(declare-fun irpCompleted_1.43 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..0 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite () Int)
(declare-fun inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.sdv_InterlockedDecrement.20.myNondetVar_0 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.havoc_stringTemp () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun irpCompleted_0.43 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0 () Int)
(declare-fun cancelLockStatus_0.73 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0 () Int)
(declare-fun call73858formal.ret.0 () Int)
(declare-fun inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun irpCompleted_1.41 () Int)
(declare-fun irpCompleted_0.41 () Int)
(declare-fun k.84 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1. () Int)
(declare-fun errorReached.72 () Int)
(declare-fun irpCompleted_1.42 () Int)
(declare-fun irpCompleted_0.42 () Int)
(declare-fun k.86 () Int)
(declare-fun call73688formal.ret.0 () Int)
(declare-fun errorReached.73 () Int)
(declare-fun cancelLockStatus_1.72 () Int)
(declare-fun cancelLockStatus_0.72 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrp.4.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.0 () Int)
(declare-fun errorReached.88 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0.3 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.havoc_stringTemp () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.SerialGetNextWrite.2.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.SerialGetNextIrp.5.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22.myNondetVar_0.3 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.3 () Int)
(declare-fun cancelLockStatus_1.88 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.havoc_stringTemp.1 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun k.103 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.14 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun irpCompleted_1.50 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4. () Int)
(declare-fun inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.1 () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.23.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0.7 () Int)
(declare-fun call70109formal.ret.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.20 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun irpCompleted_0.50 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.4 () Int)
(declare-fun cancelLockStatus_0.88 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0.4 () Int)
(declare-fun cancelLockStatus_1.75 () Int)
(declare-fun k.88 () Int)
(declare-fun cancelLockStatus_0.75 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun errorReached.81 () Int)
(declare-fun inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0.2 () Int)
(declare-fun call72692formal.new.0 () Int)
(declare-fun call72723formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.5.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22.myNondetVar_0.2 () Int)
(declare-fun cancelLockStatus_1.79 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun k.94 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun irpCompleted_1.46 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun irpCompleted_0.46 () Int)
(declare-fun cancelLockStatus_0.79 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun errorReached.78 () Int)
(declare-fun inline.sdv_InterlockedDecrement.22.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_0.45 () Int)
(declare-fun irpCompleted_1.45 () Int)
(declare-fun call73034formal.new.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun errorReached.80 () Int)
(declare-fun call73235formal.ret.0 () Int)
(declare-fun irpCompleted_1.44 () Int)
(declare-fun irpCompleted_0.44 () Int)
(declare-fun errorReached.79 () Int)
(declare-fun cancelLockStatus_1.76 () Int)
(declare-fun cancelLockStatus_0.76 () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0.0 () Int)
(declare-fun errorReached.77 () Int)
(declare-fun inline.RemoveHeadList.5.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun k.93 () Int)
(declare-fun k.89 () Int)
(declare-fun call73493formal.ret.0 () Int)
(declare-fun k.92 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5.myVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextIrp.4.myNondetVar_0.0 () Int)
(declare-fun call70194formal.new.0 () Int)
(declare-fun errorReached.87 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1 () Int)
(declare-fun call70197formal.new.0 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun call70191formal.new.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun call71610formal.new.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.2 () Int)
(declare-fun cancelLockStatus_1.87 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.1 () Int)
(declare-fun k.102 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.5 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.2 () Int)
(declare-fun inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun irpCompleted_1.49 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.3 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..0 () Int)
(declare-fun call70616formal.new.0 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20.myNondetVar_0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun call70200formal.new.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.19 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun irpCompleted_0.49 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.3 () Int)
(declare-fun cancelLockStatus_0.87 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.13 () Int)
(declare-fun inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.4 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.18 () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun cancelLockStatus_0.86 () Int)
(declare-fun cancelLockStatus_1.86 () Int)
(declare-fun inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.9 () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0.6 () Int)
(declare-fun cancelLockStatus_1.85 () Int)
(declare-fun cancelLockStatus_0.85 () Int)
(declare-fun inline.KeSynchronizeExecution.10..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.10.myNondetVar_0.5 () Int)
(declare-fun cancelLockStatus_1.84 () Int)
(declare-fun cancelLockStatus_0.84 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.12 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.11 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.10 () Int)
(declare-fun errorReached.84 () Int)
(declare-fun k.99 () Int)
(declare-fun inline.sdv_InterlockedDecrement.20.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun irpCompleted_0.48 () Int)
(declare-fun errorReached.86 () Int)
(declare-fun inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun call70956formal.new.0 () Int)
(declare-fun irpCompleted_1.48 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun k.101 () Int)
(declare-fun call71159formal.ret.0 () Int)
(declare-fun irpCompleted_1.47 () Int)
(declare-fun irpCompleted_0.47 () Int)
(declare-fun k.100 () Int)
(declare-fun call70989formal.ret.0 () Int)
(declare-fun errorReached.85 () Int)
(declare-fun cancelLockStatus_1.83 () Int)
(declare-fun cancelLockStatus_0.83 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.2 () Int)
(declare-fun errorReached.83 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.0 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun k.98 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun k.96 () Int)
(declare-fun errorReached.82 () Int)
(declare-fun call71418formal.ret.0 () Int)
(declare-fun k.97 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4.myVar_0.0 () Int)
(declare-fun k.95 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun cancelLockStatus_1.82 () Int)
(declare-fun cancelLockStatus_0.82 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun cancelLockStatus_0.78 () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.7 () Int)
(declare-fun k.91 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.3 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun errorReached.76 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.2 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.2 () Int)
(declare-fun cancelLockStatus_1.78 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.13 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0.5 () Int)
(declare-fun cancelLockStatus_1.77 () Int)
(declare-fun cancelLockStatus_0.77 () Int)
(declare-fun inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.1 () Int)
(declare-fun k.90 () Int)
(declare-fun errorReached.75 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.12 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun call72482formal.ret.0 () Int)
(declare-fun inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.2 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.6.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_2.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.11 () Int)
(declare-fun call72432formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.2 () Int)
(declare-fun inline.SerialSetTimer.5.myNondetVar_0.4 () Int)
(declare-fun BIT_BOR (Int Int) Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.10 () Int)
(declare-fun inline.sdv_InterlockedDecrement.21.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.8 () Int)
(declare-fun inline.KeSynchronizeExecution.11..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.11.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.3 () Int)
(declare-fun cancelLockStatus_0.81 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.8 () Int)
(declare-fun inline.SerialGetNextWrite.2.tempBoogie0.4 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_1.3 () Int)
(declare-fun cancelLockStatus_1.81 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.15 () Int)
(declare-fun cancelLockStatus_1.80 () Int)
(declare-fun cancelLockStatus_0.80 () Int)
(declare-fun inline.SerialGetNextWrite.2.myNondetVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.2.myVar_0.0 () Int)
(declare-fun call70234formal.new.0 () Int)
(declare-fun cancelLockStatus_1.74 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.6 () Int)
(declare-fun k.85 () Int)
(declare-fun call70037formal.ret.0 () Int)
(declare-fun cancelLockStatus_0.74 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.sdv_InterlockedDecrement.19.myNondetVar_0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.10 () Int)
(declare-fun inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5. () Int)
(declare-fun inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1. () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialCancelTimer.5.myNondetVar_0 () Int)
(declare-fun inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.7 () Int)
(declare-fun inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.3 () Int)
(declare-fun inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun call69610formal.ret.0 () Int)
(declare-fun inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialCancelTimer.5.myNondetVar_0.1 () Int)
(declare-fun inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.13 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.10 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.8 () Int)
(declare-fun BIT_BNOT (Int) Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.12 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.11 () Int)
(declare-fun inline.sdv_InterlockedDecrement.19.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.SerialCancelTimer.5.myNondetVar_0.0 () Int)
(declare-fun call69691formal.ret.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.3 () Int)
(declare-fun inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun k.82 () Int)
(declare-fun inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.1 () Int)
(declare-fun inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.6 () Int)
(declare-fun inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1. () Int)
(declare-fun inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3. () Int)
(declare-fun inline.sdv_InterlockedDecrement.18.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.1 () Int)
(declare-fun inline.SerialCancelTimer.4.myNondetVar_0 () Int)
(declare-fun inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.1 () Int)
(declare-fun inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun call69328formal.ret.0 () Int)
(declare-fun inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18.myNondetVar_0.2 () Int)
(declare-fun inline.SerialCancelTimer.4.myNondetVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.6 () Int)
(declare-fun k.83 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.7 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.8 () Int)
(declare-fun inline.sdv_InterlockedDecrement.18.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCancelTimer.4.myNondetVar_0.0 () Int)
(declare-fun inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun call69409formal.ret.0 () Int)
(declare-fun k.78 () Int)
(declare-fun errorReached.70 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0 () Int)
(declare-fun k.81 () Int)
(declare-fun errorReached.71 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_2.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.tempBoogie0.0 () Int)
(declare-fun k.79 () Int)
(declare-fun k.80 () Int)
(declare-fun call69253formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myNondetVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.1.myVar_0.0 () Int)
(declare-fun inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.KeSynchronizeExecution.9.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.9.myNondetVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.KeSynchronizeExecution.9..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.9.myNondetVar_0.5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myVar_0.0 () Int)
(declare-fun cancelLockStatus_1.71 () Int)
(declare-fun cancelLockStatus_0.71 () Int)
(declare-fun call68534formal.new.0 () Int)
(declare-fun x.SerialCompleteWrite.arg.2.7. () Int)
(declare-fun x.SerialCompleteWrite.arg.2.7..1 () Int)
(declare-fun x.SerialCompleteWrite.arg.2.7..0 () Int)
(declare-fun x.tmpIrp.2.6628.7.sdv_main () Int)
(declare-fun x.tmpIrp.2.6628.7.sdv_main.0 () Int)
(declare-fun x.tmpIrp.2.6628.7.sdv_main.1 () Int)
(declare-fun x.Extension.4.6630.27.sdv_main () Int)
(declare-fun x.Extension.4.6630.27.sdv_main.0 () Int)
(declare-fun x.Extension.4.6630.27.sdv_main.1 () Int)
(declare-fun call68336formal.ret.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite () Int)
(declare-fun x.devobjTmp.3.6629.17.sdv_main () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialDpcEpilogue.6..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialDpcEpilogue.6..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.myNondetVar_2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialCompleteWrite.0.myNondetVar_0 () Int)
(declare-fun inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialCompleteWrite.0.havoc_stringTemp () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_InterlockedDecrement.24.myNondetVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_InterlockedDecrement.24..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialCompleteWrite.0..Extension.5.741.29.SerialCompleteWrite () Int)
(declare-fun inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.761.20.3. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..newIrp.14.428.13.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.747.20.1. () Int)
(declare-fun inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.1.._refType.12.396.0.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialCompleteWrite.0..OldIrql.6.742.10.SerialCompleteWrite () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun cancelLockStatus_0.53 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.6 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.3 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite () Int)
(declare-fun inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.15 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun errorReached.50 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.SerialCancelTimer.6.myNondetVar_0.3 () Int)
(declare-fun inline.SerialCancelTimer.6.myNondetVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_2.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_2 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.havoc_stringTemp () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0 () Int)
(declare-fun inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..5 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..4 () Int)
(declare-fun inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.8 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1 () Int)
(declare-fun inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..1 () Int)
(declare-fun inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1. () Int)
(declare-fun k.77 () Int)
(declare-fun k.53 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.sdv_InterlockedDecrement.25.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25.myNondetVar_0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.KeSynchronizeExecution.12.myNondetVar_0.8 () Int)
(declare-fun inline.KeSynchronizeExecution.12.myNondetVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrp.7.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_InterlockedDecrement.26.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5. () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3. () Int)
(declare-fun cancelLockStatus_1.53 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialGetNextWrite.3.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.havoc_stringTemp () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.22 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.havoc_stringTemp () Int)
(declare-fun inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite () Int)
(declare-fun inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.havoc_stringTemp () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialGetNextIrp.6.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.6.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite () Int)
(declare-fun inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.7 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.6 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite () Int)
(declare-fun inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.6 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1 () Int)
(declare-fun irpCompleted_1.30 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..3 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite () Int)
(declare-fun inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5. () Int)
(declare-fun inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.5 () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialCancelTimer.7.myNondetVar_0.3 () Int)
(declare-fun inline.SerialCancelTimer.7.myNondetVar_0 () Int)
(declare-fun inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.8 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.._refType.12.396.0.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.._refType.12.396.0.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0.9 () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..1 () Int)
(declare-fun inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..newIrp.14.428.13.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..newIrp.14.428.13.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite.0 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.11 () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun irpCompleted_0.30 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.sdv_InterlockedDecrement.29.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_InterlockedDecrement.30.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.30.myNondetVar_0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4. () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.12 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite1.0 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun cancelLockStatus_0.70 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0.4 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.14 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun errorReached.69 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.SerialCancelTimer.6.myNondetVar_0.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_2.0 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.2 () Int)
(declare-fun inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.2 () Int)
(declare-fun inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..3 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun k.76 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.KeSynchronizeExecution.12.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.7.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 () Int)
(declare-fun cancelLockStatus_1.70 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 () Int)
(declare-fun inline.SerialGetNextWrite.3.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.21 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.havoc_stringTemp.2 () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.5 () Int)
(declare-fun inline.SerialGetNextIrp.6.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5 () Int)
(declare-fun inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun irpCompleted_1.40 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..2 () Int)
(declare-fun inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..0 () Int)
(declare-fun inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialCancelTimer.7.myNondetVar_0.2 () Int)
(declare-fun inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.7 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 () Int)
(declare-fun call74225formal.new.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.15 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.10 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun irpCompleted_0.40 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.30.myNondetVar_0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.5 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.11 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun cancelLockStatus_0.55 () Int)
(declare-fun inline.sdv_InterlockedDecrement.30.myNondetVar_0.1 () Int)
(declare-fun errorReached.54 () Int)
(declare-fun k.65 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.6 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 () Int)
(declare-fun cancelLockStatus_1.55 () Int)
(declare-fun call79234formal.new.0 () Int)
(declare-fun irpCompleted_1.32 () Int)
(declare-fun inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun irpCompleted_0.32 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..0 () Int)
(declare-fun call79438formal.ret.0 () Int)
(declare-fun k.62 () Int)
(declare-fun errorReached.52 () Int)
(declare-fun irpCompleted_1.31 () Int)
(declare-fun irpCompleted_0.31 () Int)
(declare-fun call79267formal.ret.0 () Int)
(declare-fun k.64 () Int)
(declare-fun errorReached.53 () Int)
(declare-fun k.63 () Int)
(declare-fun k.60 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun cancelLockStatus_0.69 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.4 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun errorReached.68 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun k.75 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.1 () Int)
(declare-fun inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 () Int)
(declare-fun inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrp.7.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 () Int)
(declare-fun inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun cancelLockStatus_1.69 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.20 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.6.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun irpCompleted_1.39 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..1 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialGetNextWrite.3.havoc_stringTemp.0 () Int)
(declare-fun inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.6 () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.14 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.5 () Int)
(declare-fun call75688formal.ret.0 () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun irpCompleted_0.39 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun cancelLockStatus_0.56 () Int)
(declare-fun k.61 () Int)
(declare-fun cancelLockStatus_1.56 () Int)
(declare-fun cancelLockStatus_0.58 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun call78272formal.new.0 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun errorReached.60 () Int)
(declare-fun k.69 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun inline.SerialGetNextIrp.7.myNondetVar_0.0 () Int)
(declare-fun cancelLockStatus_1.58 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0.2 () Int)
(declare-fun inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun irpCompleted_1.35 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.0 () Int)
(declare-fun inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun irpCompleted_0.35 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun errorReached.56 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun call78612formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.29.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_0.34 () Int)
(declare-fun irpCompleted_1.34 () Int)
(declare-fun errorReached.58 () Int)
(declare-fun inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun call78813formal.ret.0 () Int)
(declare-fun irpCompleted_1.33 () Int)
(declare-fun irpCompleted_0.33 () Int)
(declare-fun errorReached.57 () Int)
(declare-fun cancelLockStatus_1.57 () Int)
(declare-fun cancelLockStatus_0.57 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.2 () Int)
(declare-fun errorReached.55 () Int)
(declare-fun inline.RemoveHeadList.7.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun k.68 () Int)
(declare-fun call79071formal.ret.0 () Int)
(declare-fun k.67 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7.myVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun call75779formal.new.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun cancelLockStatus_0.68 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.3 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun errorReached.67 () Int)
(declare-fun k.74 () Int)
(declare-fun inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.0 () Int)
(declare-fun inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 () Int)
(declare-fun cancelLockStatus_1.68 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun call76227formal.ret.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.19 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextIrp.6.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0.7 () Int)
(declare-fun inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun irpCompleted_1.38 () Int)
(declare-fun call75776formal.new.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.1 () Int)
(declare-fun call77187formal.new.0 () Int)
(declare-fun inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun call76196formal.new.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.5 () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.13 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.4 () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun irpCompleted_0.38 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun call75770formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun call75773formal.new.0 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun cancelLockStatus_1.67 () Int)
(declare-fun cancelLockStatus_0.67 () Int)
(declare-fun call77206formal.ret.0 () Int)
(declare-fun inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.9 () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun k.73 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.18 () Int)
(declare-fun cancelLockStatus_1.66 () Int)
(declare-fun cancelLockStatus_0.66 () Int)
(declare-fun inline.KeSynchronizeExecution.13..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.13.myNondetVar_0.5 () Int)
(declare-fun cancelLockStatus_1.65 () Int)
(declare-fun cancelLockStatus_0.65 () Int)
(declare-fun k.72 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.12 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.11 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.10 () Int)
(declare-fun errorReached.64 () Int)
(declare-fun call76538formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.27.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun irpCompleted_0.37 () Int)
(declare-fun irpCompleted_1.37 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun errorReached.66 () Int)
(declare-fun call76739formal.ret.0 () Int)
(declare-fun irpCompleted_1.36 () Int)
(declare-fun irpCompleted_0.36 () Int)
(declare-fun errorReached.65 () Int)
(declare-fun cancelLockStatus_1.64 () Int)
(declare-fun cancelLockStatus_0.64 () Int)
(declare-fun errorReached.63 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0.0 () Int)
(declare-fun inline.RemoveHeadList.6.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun errorReached.62 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun cancelLockStatus_1.63 () Int)
(declare-fun cancelLockStatus_0.63 () Int)
(declare-fun k.71 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.5 () Int)
(declare-fun k.66 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun call77569formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun cancelLockStatus_0.62 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2 () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.15 () Int)
(declare-fun inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun k.70 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun errorReached.61 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.3 () Int)
(declare-fun cancelLockStatus_1.62 () Int)
(declare-fun inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.7 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun cancelLockStatus_1.59 () Int)
(declare-fun cancelLockStatus_0.59 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.11 () Int)
(declare-fun errorReached.59 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.3 () Int)
(declare-fun call78012formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.2 () Int)
(declare-fun inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_2.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.13 () Int)
(declare-fun call78062formal.ret.0 () Int)
(declare-fun inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.2 () Int)
(declare-fun inline.SerialSetTimer.6.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_InterlockedIncrement.7.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.12 () Int)
(declare-fun inline.sdv_InterlockedDecrement.28.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.9 () Int)
(declare-fun inline.KeSynchronizeExecution.14..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.14.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.4 () Int)
(declare-fun cancelLockStatus_0.61 () Int)
(declare-fun inline.SerialGetNextWrite.3.tempBoogie0.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.8 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_1.0 () Int)
(declare-fun cancelLockStatus_1.61 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun cancelLockStatus_1.60 () Int)
(declare-fun cancelLockStatus_0.60 () Int)
(declare-fun inline.SerialGetNextWrite.3.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.0 () Int)
(declare-fun inline.SerialGetNextWrite.3.myVar_0.1 () Int)
(declare-fun call75813formal.new.0 () Int)
(declare-fun cancelLockStatus_0.54 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.5 () Int)
(declare-fun cancelLockStatus_1.54 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.4 () Int)
(declare-fun k.59 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.10 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.7 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.3 () Int)
(declare-fun inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun call75190formal.ret.0 () Int)
(declare-fun inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialCancelTimer.7.myNondetVar_0.1 () Int)
(declare-fun inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.13 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.10 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.12 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.11 () Int)
(declare-fun inline.sdv_InterlockedDecrement.26.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.SerialCancelTimer.7.myNondetVar_0.0 () Int)
(declare-fun call75271formal.ret.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.1 () Int)
(declare-fun k.57 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25.myNondetVar_0.2 () Int)
(declare-fun call74908formal.ret.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialCancelTimer.6.myNondetVar_0.1 () Int)
(declare-fun inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.2 () Int)
(declare-fun k.58 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.7 () Int)
(declare-fun inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.25.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCancelTimer.6.myNondetVar_0.0 () Int)
(declare-fun call74989formal.ret.0 () Int)
(declare-fun k.54 () Int)
(declare-fun k.56 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_2.0 () Int)
(declare-fun errorReached.51 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.tempBoogie0.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun k.55 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myNondetVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.2.myVar_0.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.12.myNondetVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.12..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.12.myNondetVar_0.5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myNondetVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.2.myVar_0.0 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.1 () Int)
(declare-fun inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.0 () Int)
(declare-fun cancelLockStatus_1.52 () Int)
(declare-fun cancelLockStatus_0.52 () Int)
(declare-fun call68286formal.ret.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1 () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0 () Int)
(declare-fun inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead () Int)
(declare-fun inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..2 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14. () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue1.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0.9 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..1 () Int)
(declare-fun inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..0 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.11 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0.5 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.6 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.5 () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.27 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0 () Int)
(declare-fun inline.SerialStartOrQueue.0..oldIrql.6.692.10.SerialStartOrQueue.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..oldIrql.6.692.10.SerialStartOrQueue () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..5 () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.6 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite () Int)
(declare-fun inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..3 () Int)
(declare-fun inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.146.23.16..1 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.146.23.16. () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialStartOrQueue.0.tempBoogie0.3 () Int)
(declare-fun inline.SerialStartOrQueue.0.tempBoogie0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.6 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.5 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1. () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..1 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError1.0 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12. () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.3 () Int)
(declare-fun inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.6 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.25 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.2 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..5 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.5 () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.0.myNondetVar_0 () Int)
(declare-fun inline.SerialWrite.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialWrite.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.8 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialSetTimer.2.myNondetVar_0.8 () Int)
(declare-fun inline.SerialSetTimer.2.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.1 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.sdv_InterlockedDecrement.7.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..6 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..5 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.7 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.11 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.5 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.1 () Int)
(declare-fun inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..5 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.3 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialSetTimer.4.myNondetVar_0.8 () Int)
(declare-fun inline.SerialSetTimer.4.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.154.8.18..1 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.154.8.18..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite () Int)
(declare-fun inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..5 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.3 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.2 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.5 () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.6 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..4 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.703.36.2..0 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.703.36.2. () Int)
(declare-fun inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..5 () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.4 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3. () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead () Int)
(declare-fun inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialStartRead.0..result.SerialStartRead.184.0.1..2 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialStartRead.184.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..2 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11. () Int)
(declare-fun inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.SerialStartOrQueue.0.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialStartOrQueue.0.havoc_stringTemp () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.18 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13. () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.7 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite () Int)
(declare-fun inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.5 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrp.2.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.30 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.114.22.7..1 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.114.22.7. () Int)
(declare-fun inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..1 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.156.24.20..1 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.156.24.20..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.7 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.85 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialCompleteIfError.0..result.SerialCompleteIfError.892.0.1..0 () Int)
(declare-fun inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.1 () Int)
(declare-fun inline.SerialIRPEpilogue.8..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.17.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.6 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.havoc_stringTemp () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..4 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp () Int)
(declare-fun inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.SerialWrite.0..status.4.103.13.SerialWrite.0 () Int)
(declare-fun inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialWrite.0.havoc_stringTemp.1 () Int)
(declare-fun call68259formal.new.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.17 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..5 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1. () Int)
(declare-fun inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..5 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..4 () Int)
(declare-fun inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..5 () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.15 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.4 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.1 () Int)
(declare-fun inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite () Int)
(declare-fun inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.4 () Int)
(declare-fun inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1. () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.5 () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.5 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead () Int)
(declare-fun inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.17 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..4 () Int)
(declare-fun inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.7 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..1 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8. () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..5 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12. () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.7 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1. () Int)
(declare-fun cancelLockStatus_1.3 () Int)
(declare-fun inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.3 () Int)
(declare-fun inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead () Int)
(declare-fun inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.16.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.16.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3. () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1 () Int)
(declare-fun inline.SerialWrite.0..result.SerialStartOrQueue.142.34.15..0 () Int)
(declare-fun inline.SerialWrite.0..result.SerialStartOrQueue.142.34.15. () Int)
(declare-fun cancelLockStatus_0.3 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..6 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4. () Int)
(declare-fun inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..2 () Int)
(declare-fun inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..1 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.6 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.13 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1 () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.17.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..5 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.1.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialGetNextWrite.1.havoc_stringTemp () Int)
(declare-fun inline.sdv_InterlockedIncrement.3.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedIncrement.3.myNondetVar_0 () Int)
(declare-fun inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..3 () Int)
(declare-fun inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.4 () Int)
(declare-fun inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.10 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1 () Int)
(declare-fun inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError.0 () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..5 () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.8 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..2 () Int)
(declare-fun inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6. () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..7 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_2.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_2 () Int)
(declare-fun inline.SerialSetTimer.3.myNondetVar_0.8 () Int)
(declare-fun inline.SerialSetTimer.3.myNondetVar_0 () Int)
(declare-fun inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.3 () Int)
(declare-fun inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_1.2 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..4 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun irpCompleted_1.7 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..5 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.16 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.8 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.4 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0.5 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.3 () Int)
(declare-fun inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.6 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp () Int)
(declare-fun inline.SerialWrite.0..result.SerialCompleteIfError.120.29.11..0 () Int)
(declare-fun inline.SerialCompleteIfError.0.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialCompleteIfError.0.havoc_stringTemp.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..6 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialStartWrite.0..result.question.7..3 () Int)
(declare-fun inline.SerialStartWrite.0..result.question.7. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.8 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.1 () Int)
(declare-fun inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.11 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.6 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..4 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3. () Int)
(declare-fun inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_InterlockedDecrement.8.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.6 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.9 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun lockStatus_1.41 () Int)
(declare-fun lockStatus_1.14 () Int)
(declare-fun inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite () Int)
(declare-fun inline.SerialIRPEpilogue.8..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.37 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.10 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.3 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite () Int)
(declare-fun inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.1 () Int)
(declare-fun inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..3 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..3 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..4 () Int)
(declare-fun inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.3 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..3 () Int)
(declare-fun inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.17 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.6 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..1 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9. () Int)
(declare-fun inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.3 () Int)
(declare-fun inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.4 () Int)
(declare-fun inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.1 () Int)
(declare-fun inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.9 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialWrite.0..result.SerialWrite.74.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.6 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..2 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2. () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite () Int)
(declare-fun inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun lockStatus_0.14 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.5 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.12 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp () Int)
(declare-fun inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..4 () Int)
(declare-fun inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.5 () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..6 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0 () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue1.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.6 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.sdv_InterlockedDecrement.17..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..3 () Int)
(declare-fun inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1. () Int)
(declare-fun inline.SerialStartRead.0.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialStartRead.0.havoc_stringTemp () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.24 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.5.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedIncrement.5.myNondetVar_0 () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..5 () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.6 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0 () Int)
(declare-fun inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.2 () Int)
(declare-fun inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite () Int)
(declare-fun inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5..2 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5. () Int)
(declare-fun inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.6 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.13 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..4 () Int)
(declare-fun inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1. () Int)
(declare-fun inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.4 () Int)
(declare-fun inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.4 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialStartWrite.0.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialStartWrite.0.havoc_stringTemp () Int)
(declare-fun errorReached.9 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.118.20.9..1 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.118.20.9..0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.7 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..2 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2. () Int)
(declare-fun inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..3 () Int)
(declare-fun inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.7 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.4 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.4 () Int)
(declare-fun inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue () Int)
(declare-fun inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.5 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.10 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.7 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.22 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0 () Int)
(declare-fun k.52 () Int)
(declare-fun k.2 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.7 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.8 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1 () Int)
(declare-fun inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..3 () Int)
(declare-fun inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2. () Int)
(declare-fun inline.SerialStartOrQueue.0..result.IsListEmpty.723.20.7..0 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.IsListEmpty.723.20.7. () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue1.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue1 () Int)
(declare-fun inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..3 () Int)
(declare-fun inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.3 () Int)
(declare-fun inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead () Int)
(declare-fun inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead () Int)
(declare-fun inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.2 () Int)
(declare-fun inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.7 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0.2 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.6 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.5 () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.121.23.12..1 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.121.23.12. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.4 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.havoc_stringTemp () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.4 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2. () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.KeSynchronizeExecution.5.myNondetVar_0.9 () Int)
(declare-fun inline.KeSynchronizeExecution.5.myNondetVar_0 () Int)
(declare-fun inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..2 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1. () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0.5 () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.4 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1 () Int)
(declare-fun inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.4 () Int)
(declare-fun inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..5 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5. () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite () Int)
(declare-fun inline.SerialGetNextIrp.3.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrp.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_InterlockedIncrement.4.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_InterlockedIncrement.4.myNondetVar_0 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.4 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock () Int)
(declare-fun inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun irpCompleted_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..1 () Int)
(declare-fun inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4. () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.5 () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.4 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue () Int)
(declare-fun inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..5 () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_InterlockedDecrement.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1. () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.7 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.11 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.7 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2 () Int)
(declare-fun inline.SerialGetNextWrite.0.havoc_stringTemp.4 () Int)
(declare-fun inline.SerialGetNextWrite.0.havoc_stringTemp () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.7 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.8 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent () Int)
(declare-fun inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.6 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue.0 () Int)
(declare-fun inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.havoc_stringTemp () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.3 () Int)
(declare-fun inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1. () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.14 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0 () Int)
(declare-fun inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.3 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0 () Int)
(declare-fun inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked () Int)
(declare-fun call68249formal.ret.0 () Int)
(declare-fun inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun irpCompleted_1.5 () Int)
(declare-fun irpCompleted_0.5 () Int)
(declare-fun errorReached.7 () Int)
(declare-fun irpCompleted_1.6 () Int)
(declare-fun irpCompleted_0.6 () Int)
(declare-fun errorReached.8 () Int)
(declare-fun call68048formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.7 () Int)
(declare-fun inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.0 () Int)
(declare-fun inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..1 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.2 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0.8 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.10 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.5 () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.3 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.26 () Int)
(declare-fun call52672formal.new.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..3 () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.3 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.146.23.16..0 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.2 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialStartOrQueue.0.tempBoogie0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.5 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..2 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.2 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.24 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.1 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.4 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.SerialWrite.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialSetTimer.2.myNondetVar_0.7 () Int)
(declare-fun inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..5 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..4 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.10 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.0 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.4 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.2 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialSetTimer.4.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.154.8.18. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.0 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.3 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.1 () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.4 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.5 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.3 () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.3 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..2 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.0 () Int)
(declare-fun inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialStartRead.184.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..1 () Int)
(declare-fun inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.3 () Int)
(declare-fun inline.SerialStartOrQueue.0.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.17 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.6 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextIrp.2.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.6 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.29 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0.5 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.156.24.20. () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.3 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.84 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialIRPEpilogue.8..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.3 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.3 () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.havoc_stringTemp.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp.4 () Int)
(declare-fun inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.2 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun call68036formal.new.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..4 () Int)
(declare-fun inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.0 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..3 () Int)
(declare-fun inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.3 () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..4 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.15 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 () Int)
(declare-fun inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.14 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.2 () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.16 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.2 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..4 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.6 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun cancelLockStatus_1.51 () Int)
(declare-fun inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.2 () Int)
(declare-fun inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.16.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.2 () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 () Int)
(declare-fun cancelLockStatus_0.51 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..3 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.12 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_InterlockedDecrement.17.myNondetVar_0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.SerialGetNextWrite.1.havoc_stringTemp.1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.3.myNondetVar_0.4 () Int)
(declare-fun inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..2 () Int)
(declare-fun inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.9 () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.7 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 () Int)
(declare-fun inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_2.2 () Int)
(declare-fun inline.SerialSetTimer.3.myNondetVar_0.7 () Int)
(declare-fun inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..3 () Int)
(declare-fun inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 () Int)
(declare-fun irpCompleted_1.29 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.3 () Int)
(declare-fun inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.2 () Int)
(declare-fun inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.0 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.15 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.7 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.4 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.3 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.5 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialStartWrite.0..result.question.7..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.7 () Int)
(declare-fun inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 () Int)
(declare-fun inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.0 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.5 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.8 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun lockStatus_1.40 () Int)
(declare-fun inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.0 () Int)
(declare-fun inline.SerialIRPEpilogue.8..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.36 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.9 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.2 () Int)
(declare-fun inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.2 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.4 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.3 () Int)
(declare-fun inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.16 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..0 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.8 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp.4 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..1 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun lockStatus_0.40 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.11 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0.4 () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..5 () Int)
(declare-fun inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0.9 () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.17..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..2 () Int)
(declare-fun inline.SerialStartRead.0.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.23 () Int)
(declare-fun inline.sdv_InterlockedIncrement.5.myNondetVar_0.4 () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.5 () Int)
(declare-fun inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.1 () Int)
(declare-fun inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.7 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.5 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.12 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..3 () Int)
(declare-fun inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialStartWrite.0.havoc_stringTemp.0 () Int)
(declare-fun errorReached.49 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.6 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..1 () Int)
(declare-fun inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.6 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.3 () Int)
(declare-fun inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.0 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.9 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.2 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.21 () Int)
(declare-fun k.51 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.6 () Int)
(declare-fun inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.7 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0.5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..2 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.2 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.2 () Int)
(declare-fun inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.3 () Int)
(declare-fun inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.6 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.5 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.havoc_stringTemp.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.3 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.5.myNondetVar_0.8 () Int)
(declare-fun inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0.4 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextIrp.3.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.sdv_InterlockedIncrement.4.myNondetVar_0.4 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.7 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 () Int)
(declare-fun inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3 () Int)
(declare-fun irpCompleted_0.29 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0.5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..0 () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.4 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.7 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.6 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.10 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.6 () Int)
(declare-fun inline.SerialGetNextWrite.0.havoc_stringTemp.3 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.7 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.13 () Int)
(declare-fun inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.7 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.7 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3 () Int)
(declare-fun k.7 () Int)
(declare-fun cancelLockStatus_0.5 () Int)
(declare-fun call53098formal.ret.0 () Int)
(declare-fun cancelLockStatus_1.5 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.1 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.25 () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.23 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.11 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0.4 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.1 () Int)
(declare-fun k.20 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.13 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.3 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.1 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.1 () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun call62766formal.new.0 () Int)
(declare-fun inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.2 () Int)
(declare-fun inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.1 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.2 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.8 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.2 () Int)
(declare-fun inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.83 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.15 () Int)
(declare-fun call62772formal.new.0 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.3 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.2 () Int)
(declare-fun lockStatus_0.35 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.5.myNondetVar_0.3 () Int)
(declare-fun call62775formal.new.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun cancelLockStatus_0.18 () Int)
(declare-fun cancelLockStatus_1.18 () Int)
(declare-fun inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun call62769formal.new.0 () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.9 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.4 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialSetTimer.3.myNondetVar_0.6 () Int)
(declare-fun inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.1 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun call62781formal.new.0 () Int)
(declare-fun inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0.8 () Int)
(declare-fun inline.SerialSetTimer.4.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun lockStatus_1.35 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun irpCompleted_1.13 () Int)
(declare-fun inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.1 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialStartRead.184.0.1..0 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.15 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..1 () Int)
(declare-fun inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0.4 () Int)
(declare-fun inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..1 () Int)
(declare-fun inline.SerialStartRead.0.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.4 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.3 () Int)
(declare-fun inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun errorReached.20 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..2 () Int)
(declare-fun inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.6 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.1 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.4 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.havoc_stringTemp.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.2 () Int)
(declare-fun inline.SerialGetNextIrp.3.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.7 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun irpCompleted_0.13 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.5 () Int)
(declare-fun inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.4.myNondetVar_0.3 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun call62778formal.new.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.1 () Int)
(declare-fun inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 () Int)
(declare-fun k.18 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.8 () Int)
(declare-fun inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.0 () Int)
(declare-fun inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun call67093formal.ret.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.9 () Int)
(declare-fun lockStatus_0.30 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..0 () Int)
(declare-fun inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.5 () Int)
(declare-fun cancelLockStatus_1.14 () Int)
(declare-fun inline.sdv_InterlockedIncrement.5.myNondetVar_0.2 () Int)
(declare-fun lockStatus_1.30 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun call62813formal.new.0 () Int)
(declare-fun inline.SerialSetTimer.3.myNondetVar_0.5 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.4.myNondetVar_0.2 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.23 () Int)
(declare-fun inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.13 () Int)
(declare-fun inline.SerialSetTimer.4.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.0 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun cancelLockStatus_0.14 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.0 () Int)
(declare-fun inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.21 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0.3 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0.2 () Int)
(declare-fun call64623formal.ret.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..0 () Int)
(declare-fun inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.79 () Int)
(declare-fun inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.5 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0.3 () Int)
(declare-fun call64516formal.ret.0 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.0 () Int)
(declare-fun inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.0 () Int)
(declare-fun lockStatus_0.25 () Int)
(declare-fun k.16 () Int)
(declare-fun lockStatus_1.25 () Int)
(declare-fun call67167formal.ret.0 () Int)
(declare-fun lockStatus_0.29 () Int)
(declare-fun k.17 () Int)
(declare-fun lockStatus_1.29 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.77 () Int)
(declare-fun cancelLockStatus_1.11 () Int)
(declare-fun cancelLockStatus_0.11 () Int)
(declare-fun k.15 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.20 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.22 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.21 () Int)
(declare-fun k.14 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.12 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.10 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.75 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.71 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.1 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.16 () Int)
(declare-fun call66997formal.new.0 () Int)
(declare-fun call67047formal.ret.0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.19 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.2 () Int)
(declare-fun inline.SerialSetTimer.4.myNondetVar_0.4 () Int)
(declare-fun inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.11 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.74 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0.2 () Int)
(declare-fun inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.5.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.15.myNondetVar_0.1 () Int)
(declare-fun call66973formal.a0.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.72 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.73 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.18 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.17 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.12 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.61 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.5 () Int)
(declare-fun call66751formal.ret.0 () Int)
(declare-fun inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_2.0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.15 () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0.2 () Int)
(declare-fun inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialStartRead.0.tempBoogie0.0 () Int)
(declare-fun call66701formal.new.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.70 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.9 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialSetTimer.3.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_InterlockedIncrement.4.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.14.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.69 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.13 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.14 () Int)
(declare-fun inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 () Int)
(declare-fun inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.12 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.2 () Int)
(declare-fun inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 () Int)
(declare-fun errorReached.19 () Int)
(declare-fun k.19 () Int)
(declare-fun inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11.myNondetVar_0.2 () Int)
(declare-fun inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 () Int)
(declare-fun inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0.3 () Int)
(declare-fun inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.10 () Int)
(declare-fun lockStatus_0.34 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.2 () Int)
(declare-fun inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.1 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.6 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.1 () Int)
(declare-fun irpCompleted_1.12 () Int)
(declare-fun cancelLockStatus_1.17 () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0.7 () Int)
(declare-fun lockStatus_1.34 () Int)
(declare-fun call64453formal.new.0 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.24 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.14 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.1 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.SerialGetNextIrp.3.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun cancelLockStatus_0.17 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.22 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0.2 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.7 () Int)
(declare-fun inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.0 () Int)
(declare-fun call63581formal.new.0 () Int)
(declare-fun inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0.3 () Int)
(declare-fun inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..1 () Int)
(declare-fun inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.82 () Int)
(declare-fun inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.0 () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.3 () Int)
(declare-fun inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.14 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun irpCompleted_0.12 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.0 () Int)
(declare-fun inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.3 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0.2 () Int)
(declare-fun inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.1 () Int)
(declare-fun inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.0 () Int)
(declare-fun errorReached.16 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.11.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_0.11 () Int)
(declare-fun call63921formal.new.0 () Int)
(declare-fun errorReached.18 () Int)
(declare-fun inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun irpCompleted_1.11 () Int)
(declare-fun call64122formal.ret.0 () Int)
(declare-fun irpCompleted_1.10 () Int)
(declare-fun irpCompleted_0.10 () Int)
(declare-fun errorReached.17 () Int)
(declare-fun cancelLockStatus_1.16 () Int)
(declare-fun cancelLockStatus_0.16 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.2 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.0 () Int)
(declare-fun errorReached.15 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3.myVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun cancelLockStatus_1.15 () Int)
(declare-fun cancelLockStatus_0.15 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.8 () Int)
(declare-fun cancelLockStatus_0.13 () Int)
(declare-fun cancelLockStatus_1.13 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.68 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun lockStatus_1.28 () Int)
(declare-fun lockStatus_0.28 () Int)
(declare-fun lockStatus_0.27 () Int)
(declare-fun lockStatus_1.27 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.66 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.62 () Int)
(declare-fun inline.KeSynchronizeExecution.8..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.8.myNondetVar_0.5 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.11 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.10 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.9 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.7 () Int)
(declare-fun cancelLockStatus_0.12 () Int)
(declare-fun cancelLockStatus_1.12 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.80 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun lockStatus_1.32 () Int)
(declare-fun inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.1 () Int)
(declare-fun lockStatus_0.32 () Int)
(declare-fun lockStatus_0.31 () Int)
(declare-fun lockStatus_1.31 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.64 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.7 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.6 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.53 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.50 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.52 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.6 () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0.6 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.81 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun lockStatus_1.33 () Int)
(declare-fun lockStatus_0.33 () Int)
(declare-fun lockStatus_0.26 () Int)
(declare-fun lockStatus_1.26 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.57 () Int)
(declare-fun inline.KeSynchronizeExecution.7.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.7..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.55 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.54 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.51 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.49 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.4 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.20 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.4 () Int)
(declare-fun k.11 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.8 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.5 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.5 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.18 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.7 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.6 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.14 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.19 () Int)
(declare-fun k.13 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.10 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.11 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myVar_0.2 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.2 () Int)
(declare-fun lockStatus_0.20 () Int)
(declare-fun lockStatus_1.20 () Int)
(declare-fun lockStatus_0.24 () Int)
(declare-fun lockStatus_1.24 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.48 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.47 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.45 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.46 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.34 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.36 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.37 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.35 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.33 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.32 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.31 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.30 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.22 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.40 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.42 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.44 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.43 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.41 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.39 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.25 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.38 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.28 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.29 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.27 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.26 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.24 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.23 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.21 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.20 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.19 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.4 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.18 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.11 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.13 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.3 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.17 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.2 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.16 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.14 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.12 () Int)
(declare-fun lockStatus_0.18 () Int)
(declare-fun lockStatus_1.18 () Int)
(declare-fun lockStatus_0.19 () Int)
(declare-fun lockStatus_1.19 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.8 () Int)
(declare-fun lockStatus_0.17 () Int)
(declare-fun k.10 () Int)
(declare-fun lockStatus_1.17 () Int)
(declare-fun call64748formal.ret.0 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartRead.0.myNondetVar_1.0 () Int)
(declare-fun inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.13.myNondetVar_0.1 () Int)
(declare-fun inline.SerialCancelTimer.3.myNondetVar_0.0 () Int)
(declare-fun call64700formal.ret.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.12.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.SerialCancelTimer.2.myNondetVar_0.0 () Int)
(declare-fun call64593formal.ret.0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.4 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.3 () Int)
(declare-fun call63004formal.new.0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.0 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.7 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.11 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.4 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.4 () Int)
(declare-fun lockStatus_1.23 () Int)
(declare-fun inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun call63007formal.new.0 () Int)
(declare-fun lockStatus_0.23 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.13 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.10 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun lockStatus_1.22 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.3 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 () Int)
(declare-fun lockStatus_0.22 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.12 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.6 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.1 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.3 () Int)
(declare-fun lockStatus_0.16 () Int)
(declare-fun lockStatus_1.16 () Int)
(declare-fun lockStatus_0.21 () Int)
(declare-fun lockStatus_1.21 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.9 () Int)
(declare-fun inline.KeSynchronizeExecution.6..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.6.myNondetVar_0.5 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.9 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.0 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.1 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.7 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.2 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.1 () Int)
(declare-fun lockStatus_0.15 () Int)
(declare-fun lockStatus_1.15 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.2 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.1 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialResizeBuffer.0.myNondetVar_1.0 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.1 () Int)
(declare-fun inline.SerialResizeBuffer.0.myVar_0.0 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.1 () Int)
(declare-fun inline.SerialStartRead.0.myVar_0.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.1 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0.7 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.havoc_stringTemp.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..1 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.1 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.13 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.0 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun k.50 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.1 () Int)
(declare-fun inline.SerialSetTimer.2.myNondetVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7.myNondetVar_0.3 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..4 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.3 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.16 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.5 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.5 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.28 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.4 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.6 () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.5 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp.3 () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..3 () Int)
(declare-fun call53173formal.new.0 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..3 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_1.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.14 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.5 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun lockStatus_0.39 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun cancelLockStatus_0.50 () Int)
(declare-fun cancelLockStatus_1.50 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.2 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..5 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..2 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.6 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.3.myNondetVar_0.3 () Int)
(declare-fun inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.2 () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.6 () Int)
(declare-fun inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..2 () Int)
(declare-fun inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.22 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.3 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.4 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialStartWrite.0..result.question.7..1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8.myNondetVar_0.3 () Int)
(declare-fun inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..0 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun lockStatus_1.39 () Int)
(declare-fun call53164formal.new.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.8 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun irpCompleted_1.28 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialGetNextIrp.2.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.2 () Int)
(declare-fun inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp.3 () Int)
(declare-fun inline.KeSynchronizeExecution.5.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.10 () Int)
(declare-fun inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..2 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.3 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.11 () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_2.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.6 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun call61978formal.new.0 () Int)
(declare-fun errorReached.48 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.2 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 () Int)
(declare-fun inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.2 () Int)
(declare-fun call53170formal.new.0 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.20 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.15 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.5 () Int)
(declare-fun inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.1.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.35 () Int)
(declare-fun inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.0 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..1 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.4 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0.3 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 () Int)
(declare-fun inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.1 () Int)
(declare-fun irpCompleted_0.28 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.9 () Int)
(declare-fun inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.0 () Int)
(declare-fun call53167formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..0 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 () Int)
(declare-fun inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.12 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.6 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.27 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.1 () Int)
(declare-fun inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.0 () Int)
(declare-fun k.38 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun inline.KeSynchronizeExecution.5.myNondetVar_0.6 () Int)
(declare-fun inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.2 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.20 () Int)
(declare-fun cancelLockStatus_0.41 () Int)
(declare-fun inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun errorReached.39 () Int)
(declare-fun cancelLockStatus_1.41 () Int)
(declare-fun inline.sdv_InterlockedIncrement.3.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.23 () Int)
(declare-fun inline.SerialSetTimer.2.myNondetVar_0.5 () Int)
(declare-fun irpCompleted_1.24 () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0.3 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.34 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun irpCompleted_0.24 () Int)
(declare-fun inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.8 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun cancelLockStatus_1.37 () Int)
(declare-fun cancelLockStatus_0.37 () Int)
(declare-fun inline.KeSynchronizeExecution.5..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.5.myNondetVar_0.5 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.2 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.6 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.32 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.29 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.2 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.3 () Int)
(declare-fun inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.26 () Int)
(declare-fun inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.7 () Int)
(declare-fun call62518formal.ret.0 () Int)
(declare-fun call62468formal.new.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialSetTimer.2.myNondetVar_0.4 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.31 () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_InterlockedIncrement.3.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.3 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.30 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.25 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.24 () Int)
(declare-fun inline.sdv_InterlockedDecrement.10.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.28 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.22 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.21 () Int)
(declare-fun errorReached.38 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.17 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.18 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.19 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.16 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.15 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.5 () Int)
(declare-fun inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0 () Int)
(declare-fun k.49 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.2 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1 () Int)
(declare-fun call59530formal.new.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.8 () Int)
(declare-fun inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 () Int)
(declare-fun cancelLockStatus_0.49 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.1 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 () Int)
(declare-fun call60939formal.new.0 () Int)
(declare-fun inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.19 () Int)
(declare-fun errorReached.47 () Int)
(declare-fun cancelLockStatus_1.49 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..0 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun call59524formal.new.0 () Int)
(declare-fun inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..0 () Int)
(declare-fun call59948formal.new.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun irpCompleted_1.27 () Int)
(declare-fun inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.27 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.13 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.0 () Int)
(declare-fun irpCompleted_0.27 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun call59521formal.new.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun call59527formal.new.0 () Int)
(declare-fun inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.3 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.9 () Int)
(declare-fun cancelLockStatus_1.48 () Int)
(declare-fun cancelLockStatus_0.48 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.18 () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun call61083formal.ret.0 () Int)
(declare-fun k.48 () Int)
(declare-fun cancelLockStatus_1.47 () Int)
(declare-fun cancelLockStatus_0.47 () Int)
(declare-fun k.47 () Int)
(declare-fun inline.KeSynchronizeExecution.3..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.3.myNondetVar_0.5 () Int)
(declare-fun cancelLockStatus_1.46 () Int)
(declare-fun cancelLockStatus_0.46 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.12 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.11 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.10 () Int)
(declare-fun k.44 () Int)
(declare-fun errorReached.44 () Int)
(declare-fun k.46 () Int)
(declare-fun call60289formal.new.0 () Int)
(declare-fun irpCompleted_0.26 () Int)
(declare-fun inline.sdv_InterlockedDecrement.8.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_1.26 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun errorReached.46 () Int)
(declare-fun call60491formal.ret.0 () Int)
(declare-fun irpCompleted_1.25 () Int)
(declare-fun irpCompleted_0.25 () Int)
(declare-fun k.45 () Int)
(declare-fun errorReached.45 () Int)
(declare-fun cancelLockStatus_1.45 () Int)
(declare-fun cancelLockStatus_0.45 () Int)
(declare-fun k.42 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.1 () Int)
(declare-fun errorReached.43 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.2 () Int)
(declare-fun errorReached.42 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2.myVar_0.0 () Int)
(declare-fun k.43 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun cancelLockStatus_1.44 () Int)
(declare-fun cancelLockStatus_0.44 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.5 () Int)
(declare-fun cancelLockStatus_1.38 () Int)
(declare-fun cancelLockStatus_0.38 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.15 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.0 () Int)
(declare-fun errorReached.41 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.0 () Int)
(declare-fun call61323formal.ret.0 () Int)
(declare-fun k.41 () Int)
(declare-fun inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.4 () Int)
(declare-fun inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun call61148formal.ret.0 () Int)
(declare-fun inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun cancelLockStatus_1.43 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.3 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.2 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun cancelLockStatus_0.43 () Int)
(declare-fun inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0.2 () Int)
(declare-fun cancelLockStatus_1.42 () Int)
(declare-fun cancelLockStatus_0.42 () Int)
(declare-fun k.40 () Int)
(declare-fun inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.9 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.2 () Int)
(declare-fun errorReached.40 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.13 () Int)
(declare-fun inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.3 () Int)
(declare-fun call61766formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.2 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_2.1 () Int)
(declare-fun inline.SerialSetTimer.1.myNondetVar_0.4 () Int)
(declare-fun call61816formal.ret.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.2.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.12 () Int)
(declare-fun inline.sdv_InterlockedDecrement.9.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.4.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.4..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.8 () Int)
(declare-fun k.39 () Int)
(declare-fun call59894formal.ret.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.1.tempBoogie0.0 () Int)
(declare-fun cancelLockStatus_1.40 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_1.0 () Int)
(declare-fun cancelLockStatus_0.40 () Int)
(declare-fun cancelLockStatus_1.39 () Int)
(declare-fun cancelLockStatus_0.39 () Int)
(declare-fun inline.SerialGetNextWrite.1.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.1.myVar_0.0 () Int)
(declare-fun call59564formal.new.0 () Int)
(declare-fun inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.0 () Int)
(declare-fun cancelLockStatus_1.36 () Int)
(declare-fun cancelLockStatus_0.36 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.10 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.12 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.11 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.26 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.19 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.3 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.6 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.25 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.9 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.4 () Int)
(declare-fun inline.SerialStartWrite.0..result.question.7..0 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.24 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.22 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.23 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.8 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.7 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.20 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.18 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.21 () Int)
(declare-fun lockStatus_0.37 () Int)
(declare-fun lockStatus_1.37 () Int)
(declare-fun lockStatus_0.38 () Int)
(declare-fun lockStatus_1.38 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.15 () Int)
(declare-fun lockStatus_0.36 () Int)
(declare-fun lockStatus_1.36 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.2 () Int)
(declare-fun cancelLockStatus_0.8 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.1 () Int)
(declare-fun cancelLockStatus_1.8 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.7 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.0 () Int)
(declare-fun cancelLockStatus_1.7 () Int)
(declare-fun cancelLockStatus_0.7 () Int)
(declare-fun cancelLockStatus_0.9 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.2 () Int)
(declare-fun cancelLockStatus_1.9 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.1 () Int)
(declare-fun cancelLockStatus_0.35 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.21 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.2 () Int)
(declare-fun errorReached.37 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.5 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.14 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_1.0 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_2.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.3 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.15 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0.2 () Int)
(declare-fun call53668formal.new.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.4 () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.4 () Int)
(declare-fun inline.SerialStartWrite.0.tempBoogie0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun k.37 () Int)
(declare-fun inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.3 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..0 () Int)
(declare-fun inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_2.0 () Int)
(declare-fun inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun cancelLockStatus_1.35 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.10 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..1 () Int)
(declare-fun irpCompleted_0.23 () Int)
(declare-fun inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.0 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.9 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.5 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.7 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.havoc_stringTemp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun irpCompleted_1.23 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.5 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.1 () Int)
(declare-fun inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.2 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.1 () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..0 () Int)
(declare-fun inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.1 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..0 () Int)
(declare-fun inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..3 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.5 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..1 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.2 () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0.2 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.11 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.5 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 () Int)
(declare-fun inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp.2 () Int)
(declare-fun cancelLockStatus_0.22 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 () Int)
(declare-fun errorReached.22 () Int)
(declare-fun k.24 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.7.myNondetVar_0.1 () Int)
(declare-fun cancelLockStatus_1.22 () Int)
(declare-fun call58671formal.new.0 () Int)
(declare-fun irpCompleted_1.15 () Int)
(declare-fun inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun irpCompleted_0.15 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.5 () Int)
(declare-fun call58873formal.ret.0 () Int)
(declare-fun k.21 () Int)
(declare-fun errorReached.13 () Int)
(declare-fun irpCompleted_1.14 () Int)
(declare-fun irpCompleted_0.14 () Int)
(declare-fun k.23 () Int)
(declare-fun errorReached.21 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun cancelLockStatus_0.34 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.6 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.1 () Int)
(declare-fun errorReached.36 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.4 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun k.36 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..1 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.8 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.0 () Int)
(declare-fun cancelLockStatus_1.34 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.9 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.0 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..3 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..1 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.2 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.havoc_stringTemp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun irpCompleted_1.22 () Int)
(declare-fun inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.4 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.5 () Int)
(declare-fun inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.3 () Int)
(declare-fun inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.20 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..0 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..1 () Int)
(declare-fun inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.0 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.4 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..1 () Int)
(declare-fun irpCompleted_0.22 () Int)
(declare-fun inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..0 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.1 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp.1 () Int)
(declare-fun cancelLockStatus_0.20 () Int)
(declare-fun cancelLockStatus_1.20 () Int)
(declare-fun inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun cancelLockStatus_0.28 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun errorReached.35 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.3 () Int)
(declare-fun inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextIrp.1.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun k.33 () Int)
(declare-fun cancelLockStatus_1.28 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun irpCompleted_1.21 () Int)
(declare-fun inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.havoc_stringTemp.0 () Int)
(declare-fun call57706formal.new.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun irpCompleted_0.21 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun call57737formal.ret.0 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun call57992formal.ret.0 () Int)
(declare-fun errorReached.27 () Int)
(declare-fun irpCompleted_0.20 () Int)
(declare-fun inline.sdv_InterlockedDecrement.6.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun call58050formal.new.0 () Int)
(declare-fun errorReached.34 () Int)
(declare-fun irpCompleted_1.20 () Int)
(declare-fun inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun call58251formal.ret.0 () Int)
(declare-fun irpCompleted_1.19 () Int)
(declare-fun irpCompleted_0.19 () Int)
(declare-fun errorReached.33 () Int)
(declare-fun cancelLockStatus_1.21 () Int)
(declare-fun cancelLockStatus_0.21 () Int)
(declare-fun k.32 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.2 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.0 () Int)
(declare-fun errorReached.26 () Int)
(declare-fun k.31 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1.myVar_0.0 () Int)
(declare-fun k.22 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.2 () Int)
(declare-fun call55209formal.new.0 () Int)
(declare-fun cancelLockStatus_0.33 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.5 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.2 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1 () Int)
(declare-fun call55632formal.new.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun errorReached.32 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.3 () Int)
(declare-fun inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.13 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.2 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..0 () Int)
(declare-fun k.35 () Int)
(declare-fun inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.7 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.6 () Int)
(declare-fun cancelLockStatus_1.33 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.8 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..2 () Int)
(declare-fun call55206formal.new.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 () Int)
(declare-fun inline.SerialGetNextIrp.0.myNondetVar_0.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..0 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.3 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.1 () Int)
(declare-fun call56622formal.new.0 () Int)
(declare-fun irpCompleted_1.18 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun call55212formal.new.0 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.2 () Int)
(declare-fun inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..0 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.19 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 () Int)
(declare-fun call55215formal.new.0 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.3 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..1 () Int)
(declare-fun irpCompleted_0.18 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.0 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.havoc_stringTemp.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun cancelLockStatus_0.32 () Int)
(declare-fun inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.6 () Int)
(declare-fun cancelLockStatus_1.32 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.9 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.18 () Int)
(declare-fun cancelLockStatus_1.31 () Int)
(declare-fun cancelLockStatus_0.31 () Int)
(declare-fun inline.KeSynchronizeExecution.1.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.1..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun cancelLockStatus_1.30 () Int)
(declare-fun cancelLockStatus_0.30 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.12 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.16 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.11 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.10 () Int)
(declare-fun errorReached.29 () Int)
(declare-fun inline.sdv_InterlockedDecrement.4.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_0.17 () Int)
(declare-fun irpCompleted_1.17 () Int)
(declare-fun call55972formal.new.0 () Int)
(declare-fun inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun errorReached.31 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..0 () Int)
(declare-fun call56173formal.ret.0 () Int)
(declare-fun irpCompleted_1.16 () Int)
(declare-fun irpCompleted_0.16 () Int)
(declare-fun errorReached.30 () Int)
(declare-fun cancelLockStatus_1.29 () Int)
(declare-fun cancelLockStatus_0.29 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.2 () Int)
(declare-fun errorReached.28 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.1 () Int)
(declare-fun k.34 () Int)
(declare-fun errorReached.25 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0.myVar_0.0 () Int)
(declare-fun k.30 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.0 () Int)
(declare-fun inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.1 () Int)
(declare-fun cancelLockStatus_1.27 () Int)
(declare-fun cancelLockStatus_0.27 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun k.25 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..1 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.1 () Int)
(declare-fun cancelLockStatus_0.26 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.3 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.1 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.15 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.4 () Int)
(declare-fun k.29 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 () Int)
(declare-fun inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.0 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.1 () Int)
(declare-fun inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.0 () Int)
(declare-fun errorReached.24 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2 () Int)
(declare-fun inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.0 () Int)
(declare-fun inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..0 () Int)
(declare-fun cancelLockStatus_1.26 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun cancelLockStatus_1.23 () Int)
(declare-fun cancelLockStatus_0.23 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun errorReached.23 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.0 () Int)
(declare-fun inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.14 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.9 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun k.28 () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_2.1 () Int)
(declare-fun inline.sdv_InterlockedIncrement.1.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.13 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.3 () Int)
(declare-fun inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.2 () Int)
(declare-fun call57446formal.new.0 () Int)
(declare-fun call57496formal.ret.0 () Int)
(declare-fun inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialSetTimer.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.12 () Int)
(declare-fun inline.sdv_InterlockedDecrement.5.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.10 () Int)
(declare-fun inline.KeSynchronizeExecution.2..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.KeSynchronizeExecution.2.myNondetVar_0.5 () Int)
(declare-fun k.27 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.7 () Int)
(declare-fun k.26 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.0 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.0 () Int)
(declare-fun inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.3 () Int)
(declare-fun cancelLockStatus_0.25 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.8 () Int)
(declare-fun inline.SerialGetNextWrite.0.tempBoogie0.1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun cancelLockStatus_1.25 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_1.0 () Int)
(declare-fun cancelLockStatus_1.24 () Int)
(declare-fun cancelLockStatus_0.24 () Int)
(declare-fun inline.SerialGetNextWrite.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.7 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.6 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.1 () Int)
(declare-fun inline.SerialGetNextWrite.0.myVar_0.0 () Int)
(declare-fun call55249formal.new.0 () Int)
(declare-fun cancelLockStatus_0.19 () Int)
(declare-fun cancelLockStatus_1.19 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.3 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.10 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.7 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.3 () Int)
(declare-fun inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun call54629formal.ret.0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0.2 () Int)
(declare-fun inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.13 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.10 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.12 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.11 () Int)
(declare-fun inline.sdv_InterlockedDecrement.3.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.SerialCancelTimer.1.myNondetVar_0.0 () Int)
(declare-fun call54710formal.ret.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.1 () Int)
(declare-fun call54348formal.ret.0 () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0.2 () Int)
(declare-fun inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.0 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.9 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.8 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.7 () Int)
(declare-fun inline.sdv_InterlockedDecrement.2.myNondetVar_0.1 () Int)
(declare-fun inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.SerialCancelTimer.0.myNondetVar_0.0 () Int)
(declare-fun call54429formal.ret.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.5 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.2 () Int)
(declare-fun errorReached.12 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_1.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.tempBoogie0.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_2.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.4 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.3 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.1 () Int)
(declare-fun inline.SerialRundownIrpRefs.0.myVar_0.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.3 () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0.6 () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..0 () Int)
(declare-fun inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.0 () Int)
(declare-fun inline.KeSynchronizeExecution.0.myNondetVar_0.5 () Int)
(declare-fun inline.KeSynchronizeExecution.0..result.SynchronizeRoutine.4679.26.2. () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.0 () Int)
(declare-fun inline.SerialTryToCompleteCurrent.0.myVar_0.1 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.4 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.3 () Int)
(declare-fun inline.SerialStartWrite.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.1 () Int)
(declare-fun inline.SerialStartWrite.0.myVar_0.0 () Int)
(declare-fun call53197formal.new.0 () Int)
(declare-fun cancelLockStatus_1.4 () Int)
(declare-fun cancelLockStatus_0.4 () Int)
(declare-fun k.6 () Int)
(declare-fun k.12 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun cancelLockStatus_0.10 () Int)
(declare-fun cancelLockStatus_1.10 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.14 () Int)
(declare-fun errorReached.14 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun k.9 () Int)
(declare-fun inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..0 () Int)
(declare-fun call67432formal.new.0 () Int)
(declare-fun cancelLockStatus_0.6 () Int)
(declare-fun cancelLockStatus_1.6 () Int)
(declare-fun inline.sdv_InterlockedDecrement.16.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.13 () Int)
(declare-fun irpCompleted_1.9 () Int)
(declare-fun errorReached.11 () Int)
(declare-fun inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun irpCompleted_0.9 () Int)
(declare-fun call67634formal.ret.0 () Int)
(declare-fun irpCompleted_1.8 () Int)
(declare-fun irpCompleted_0.8 () Int)
(declare-fun k.8 () Int)
(declare-fun errorReached.10 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.12 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.11 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.10 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 () Int)
(declare-fun inline.SerialStartOrQueue.0.tempBoogie0.1 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.3 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.1 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialStartOrQueue.0.tempBoogie0.0 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialStartOrQueue.0.myNondetVar_1.0 () Int)
(declare-fun inline.SerialWrite.0.myNondetVar_0 () Int)
(declare-fun call52577formal.new.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun inline.SerialWrite.0..result.SerialWrite.74.0.1..0 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.121.23.12..0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3. () Int)
(declare-fun irpCompleted_0 () Int)
(declare-fun inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest () Int)
(declare-fun inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1 () Int)
(declare-fun errorReached.1 () Int)
(declare-fun inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue () Int)
(declare-fun inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2. () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1. () Int)
(declare-fun inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2. () Int)
(declare-fun irpCompleted_1 () Int)
(declare-fun inline.SerialCompleteIfError.0.havoc_stringTemp () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1. () Int)
(declare-fun inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..0 () Int)
(declare-fun irpCompleted_0.4 () Int)
(declare-fun inline.sdv_InterlockedDecrement.1.myNondetVar_0.1 () Int)
(declare-fun errorReached.6 () Int)
(declare-fun inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun irpCompleted_1.4 () Int)
(declare-fun call52348formal.new.0 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.0 () Int)
(declare-fun call52549formal.ret.0 () Int)
(declare-fun irpCompleted_1.3 () Int)
(declare-fun irpCompleted_0.3 () Int)
(declare-fun errorReached.5 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.5 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError () Int)
(declare-fun inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.0 () Int)
(declare-fun inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.1 () Int)
(declare-fun call51901formal.new.0 () Int)
(declare-fun inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.114.22.7..0 () Int)
(declare-fun inline.SerialCompleteIfError.0..result.SerialCompleteIfError.892.0.1. () Int)
(declare-fun call51917formal.new.0 () Int)
(declare-fun inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.0 () Int)
(declare-fun inline.SerialCompleteIfError.0.myNondetVar_0 () Int)
(declare-fun inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.0 () Int)
(declare-fun irpCompleted_1.2 () Int)
(declare-fun inline.SerialWrite.0..result.SerialCompleteIfError.120.29.11. () Int)
(declare-fun inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..1 () Int)
(declare-fun inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..1 () Int)
(declare-fun inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError1 () Int)
(declare-fun inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5..1 () Int)
(declare-fun inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..0 () Int)
(declare-fun errorReached.4 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.118.20.9. () Int)
(declare-fun k.5 () Int)
(declare-fun inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..0 () Int)
(declare-fun irpCompleted_0.2 () Int)
(declare-fun inline.SerialWrite.0.havoc_stringTemp.0 () Int)
(declare-fun call50562formal.new.0 () Int)
(declare-fun inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..0 () Int)
(declare-fun inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..0 () Int)
(declare-fun irpCompleted_0.1 () Int)
(declare-fun errorReached.3 () Int)
(declare-fun inline.sdv_InterlockedDecrement.0.myNondetVar_0.1 () Int)
(declare-fun irpCompleted_1.1 () Int)
(declare-fun call51921formal.new.0 () Int)
(declare-fun inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5..0 () Int)
(declare-fun k.4 () Int)
(declare-fun call52124formal.ret.0 () Int)
(declare-fun irpCompleted_1.0 () Int)
(declare-fun irpCompleted_0.0 () Int)
(declare-fun k.3 () Int)
(declare-fun errorReached.2 () Int)
(declare-fun call51954formal.ret.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun cancelLockStatus_1 () Int)
(declare-fun cancelLockStatus_0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2. () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun lockStatus_0.7 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.1 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.7 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.42 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.27 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun lockStatus_1.7 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 () Int)
(declare-fun lockStatus_0.1 () Int)
(declare-fun lockStatus_1.1 () Int)
(declare-fun lockStatus_0.6 () Int)
(declare-fun lockStatus_1.6 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.8 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun lockStatus_0.5 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.2 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.26 () Int)
(declare-fun lockStatus_1.5 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock () Int)
(declare-fun lockStatus_0.4 () Int)
(declare-fun lockStatus_1.4 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.18 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.17 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun k.1 () Int)
(declare-fun cancelLockStatus_1.2 () Int)
(declare-fun cancelLockStatus_0.2 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..0 () Int)
(declare-fun errorReached.0 () Int)
(declare-fun lockStatus_0.11 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.5 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.41 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 () Int)
(declare-fun lockStatus_1.11 () Int)
(declare-fun cancelLockStatus_1.0 () Int)
(declare-fun cancelLockStatus_0.0 () Int)
(declare-fun k.0 () Int)
(declare-fun call51615formal.ret.0 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 () Int)
(declare-fun inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 () Int)
(declare-fun cancelLockStatus_1.1 () Int)
(declare-fun cancelLockStatus_0.1 () Int)
(declare-fun inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..1 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.39 () Int)
(declare-fun lockStatus_0.10 () Int)
(declare-fun lockStatus_1.10 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.32 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.31 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.24 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.30 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun lockStatus_0.9 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.6 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.37 () Int)
(declare-fun lockStatus_1.9 () Int)
(declare-fun lockStatus_0.8 () Int)
(declare-fun lockStatus_1.8 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.35 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.34 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun lockStatus_0.13 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.4 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.40 () Int)
(declare-fun lockStatus_1.13 () Int)
(declare-fun lockStatus_0.12 () Int)
(declare-fun lockStatus_1.12 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.28 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.20 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.15 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.16 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.14 () Int)
(declare-fun lockStatus_0.3 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.3 () Int)
(declare-fun inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 () Int)
(declare-fun inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.25 () Int)
(declare-fun lockStatus_1.3 () Int)
(declare-fun lockStatus_0.2 () Int)
(declare-fun lockStatus_1.2 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.22 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.21 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.13 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.12 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.11 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.10 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.7 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.6 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.4 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.2 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.5 () Int)
(declare-fun lockStatus_0 () Int)
(declare-fun lockStatus_1 () Int)
(declare-fun inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 () Int)
(declare-fun lockStatus_0.0 () Int)
(declare-fun lockStatus_1.0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_0.0 () Int)
(declare-fun inline.SerialFilterIrps.0.myNondetVar_1.0 () Int)
(declare-fun call50617formal.new.0 () Int)
(declare-fun call50620formal.new.0 () Int)
(declare-fun inline.SerialWrite.0..Extension.3.102.29.SerialWrite () Int)
(declare-fun inline.SerialWrite.0..Extension.3.102.29.SerialWrite.1 () Int)
(declare-fun inline.SerialWrite.0..Extension.3.102.29.SerialWrite.0 () Int)
(declare-fun inline.sdv_IoGetCurrentIrpStackLocation.0..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 () Int)
(declare-fun inline.myInitDriver.0..Extension.2.11.27.myInitDriver () Int)
(declare-fun inline.myInitDriver.0..devobjTmp.1.10.17.myInitDriver () Int)
(assert (let ((?v_0 (MapType0Type intType boolType))) (and (= (Ctor intType) 0) (= (Ctor boolType) 1) (forall ((?arg0 Int)) (! (= (U_2_int (int_2_U ?arg0)) ?arg0) :pattern ((int_2_U ?arg0)) )) (forall ((?x boogieU)) (! (=> (= (type ?x) intType) (= (int_2_U (U_2_int ?x)) ?x)) :pattern ((int_2_U (U_2_int ?x))) )) (forall ((?arg00 Int)) (! (= (type (int_2_U ?arg00)) intType) :pattern ((int_2_U ?arg00)) )) (forall ((?arg01 TermBool)) (! (= (= (U_2_bool (bool_2_U ?arg01)) boolTrue) (= ?arg01 boolTrue)) :pattern ((bool_2_U ?arg01)) )) (forall ((?x0 boogieU)) (! (=> (= (type ?x0) boolType) (= (bool_2_U (U_2_bool ?x0)) ?x0)) :pattern ((bool_2_U (U_2_bool ?x0))) )) (forall ((?arg02 TermBool)) (! (= (type (bool_2_U ?arg02)) boolType) :pattern ((bool_2_U ?arg02)) )) (= (Ctor nameType) 2) (= (type UNALLOCATED) nameType) (= (type ALLOCATED) nameType) (= (type FREED) nameType) (= (type BYTE) nameType) (= (type T.Guid_WMIGUIDREGINFO) nameType) (= (type T.InstanceCount_WMIGUIDREGINFO) nameType) (= (type T.Flags_WMIGUIDREGINFO) nameType) (= (type T.OperationID__ACCESS_STATE) nameType) (= (type T.SecurityEvaluated__ACCESS_STATE) nameType) (= (type T.GenerateAudit__ACCESS_STATE) nameType) (= (type T.GenerateOnClose__ACCESS_STATE) nameType) (= (type T.PrivilegesAllocated__ACCESS_STATE) nameType) (= (type T.Flags__ACCESS_STATE) nameType) (= (type T.RemainingDesiredAccess__ACCESS_STATE) nameType) (= (type T.PreviouslyGrantedAccess__ACCESS_STATE) nameType) (= (type T.OriginalDesiredAccess__ACCESS_STATE) nameType) (= (type T.SubjectSecurityContext__ACCESS_STATE) nameType) (= (type T.SecurityDescriptor__ACCESS_STATE) nameType) (= (type T.AuxData__ACCESS_STATE) nameType) (= (type T.Privileges__ACCESS_STATE) nameType) (= (type T.AuditPrivileges__ACCESS_STATE) nameType) (= (type T.ObjectName__ACCESS_STATE) nameType) (= (type T.ObjectTypeName__ACCESS_STATE) nameType) (= (type T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Version__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Revision__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Count__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Count__CM_RESOURCE_LIST) nameType) (= (type T.List__CM_RESOURCE_LIST) nameType) (= (type T.Size__DEVICE_CAPABILITIES) nameType) (= (type T.Version__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceD1__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceD2__DEVICE_CAPABILITIES) nameType) (= (type T.LockSupported__DEVICE_CAPABILITIES) nameType) (= (type T.EjectSupported__DEVICE_CAPABILITIES) nameType) (= (type T.Removable__DEVICE_CAPABILITIES) nameType) (= (type T.DockDevice__DEVICE_CAPABILITIES) nameType) (= (type T.UniqueID__DEVICE_CAPABILITIES) nameType) (= (type T.SilentInstall__DEVICE_CAPABILITIES) nameType) (= (type T.RawDeviceOK__DEVICE_CAPABILITIES) nameType) (= (type T.SurpriseRemovalOK__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD0__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD1__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD2__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD3__DEVICE_CAPABILITIES) nameType) (= (type T.HardwareDisabled__DEVICE_CAPABILITIES) nameType) (= (type T.NonDynamic__DEVICE_CAPABILITIES) nameType) (= (type T.WarmEjectSupported__DEVICE_CAPABILITIES) nameType) (= (type T.NoDisplayInUI__DEVICE_CAPABILITIES) nameType) (= (type T.Reserved__DEVICE_CAPABILITIES) nameType) (= (type T.Address__DEVICE_CAPABILITIES) nameType) (= (type T.UINumber__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceState__DEVICE_CAPABILITIES) nameType) (= (type T.SystemWake__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceWake__DEVICE_CAPABILITIES) nameType) (= (type T.D1Latency__DEVICE_CAPABILITIES) nameType) (= (type T.D2Latency__DEVICE_CAPABILITIES) nameType) (= (type T.D3Latency__DEVICE_CAPABILITIES) nameType) (= (type T.Type__DEVICE_OBJECT) nameType) (= (type T.Size__DEVICE_OBJECT) nameType) (= (type T.ReferenceCount__DEVICE_OBJECT) nameType) (= (type T.DriverObject__DEVICE_OBJECT) nameType) (= (type T.NextDevice__DEVICE_OBJECT) nameType) (= (type T.AttachedDevice__DEVICE_OBJECT) nameType) (= (type T.CurrentIrp__DEVICE_OBJECT) nameType) (= (type T.Timer__DEVICE_OBJECT) nameType) (= (type T.Flags__DEVICE_OBJECT) nameType) (= (type T.Characteristics__DEVICE_OBJECT) nameType) (= (type T.Vpb__DEVICE_OBJECT) nameType) (= (type T.DeviceExtension__DEVICE_OBJECT) nameType) (= (type T.DeviceType__DEVICE_OBJECT) nameType) (= (type T.StackSize__DEVICE_OBJECT) nameType) (= (type T.Queue__DEVICE_OBJECT) nameType) (= (type T.AlignmentRequirement__DEVICE_OBJECT) nameType) (= (type T.DeviceQueue__DEVICE_OBJECT) nameType) (= (type T.Dpc__DEVICE_OBJECT) nameType) (= (type T.ActiveThreadCount__DEVICE_OBJECT) nameType) (= (type T.SecurityDescriptor__DEVICE_OBJECT) nameType) (= (type T.DeviceLock__DEVICE_OBJECT) nameType) (= (type T.SectorSize__DEVICE_OBJECT) nameType) (= (type T.Spare1__DEVICE_OBJECT) nameType) (= (type T.DeviceObjectExtension__DEVICE_OBJECT) nameType) (= (type T.Reserved__DEVICE_OBJECT) nameType) (= (type T.Type__DEVOBJ_EXTENSION) nameType) (= (type T.Size__DEVOBJ_EXTENSION) nameType) (= (type T.DeviceObject__DEVOBJ_EXTENSION) nameType) (= (type T.__unnamed_4_7b44c46c__DISPATCHER_HEADER) nameType) (= (type T.SignalState__DISPATCHER_HEADER) nameType) (= (type T.WaitListHead__DISPATCHER_HEADER) nameType) (= (type T.DriverObject__DRIVER_EXTENSION) nameType) (= (type T.AddDevice__DRIVER_EXTENSION) nameType) (= (type T.Count__DRIVER_EXTENSION) nameType) (= (type T.ServiceKeyName__DRIVER_EXTENSION) nameType) (= (type T.Type__DRIVER_OBJECT) nameType) (= (type T.Size__DRIVER_OBJECT) nameType) (= (type T.DeviceObject__DRIVER_OBJECT) nameType) (= (type T.Flags__DRIVER_OBJECT) nameType) (= (type T.DriverStart__DRIVER_OBJECT) nameType) (= (type T.DriverSize__DRIVER_OBJECT) nameType) (= (type T.DriverSection__DRIVER_OBJECT) nameType) (= (type T.DriverExtension__DRIVER_OBJECT) nameType) (= (type T.DriverName__DRIVER_OBJECT) nameType) (= (type T.HardwareDatabase__DRIVER_OBJECT) nameType) (= (type T.FastIoDispatch__DRIVER_OBJECT) nameType) (= (type T.DriverInit__DRIVER_OBJECT) nameType) (= (type T.DriverStartIo__DRIVER_OBJECT) nameType) (= (type T.DriverUnload__DRIVER_OBJECT) nameType) (= (type T.MajorFunction__DRIVER_OBJECT) nameType) (= (type T.SystemResourcesList__ERESOURCE) nameType) (= (type T.OwnerTable__ERESOURCE) nameType) (= (type T.ActiveCount__ERESOURCE) nameType) (= (type T.Flag__ERESOURCE) nameType) (= (type T.SharedWaiters__ERESOURCE) nameType) (= (type T.ExclusiveWaiters__ERESOURCE) nameType) (= (type T.OwnerEntry__ERESOURCE) nameType) (= (type T.ActiveEntries__ERESOURCE) nameType) (= (type T.ContentionCount__ERESOURCE) nameType) (= (type T.NumberOfSharedWaiters__ERESOURCE) nameType) (= (type T.NumberOfExclusiveWaiters__ERESOURCE) nameType) (= (type T.__unnamed_4_f13e195c__ERESOURCE) nameType) (= (type T.SpinLock__ERESOURCE) nameType) (= (type T.SizeOfFastIoDispatch__FAST_IO_DISPATCH) nameType) (= (type T.FastIoCheckIfPossible__FAST_IO_DISPATCH) nameType) (= (type T.FastIoRead__FAST_IO_DISPATCH) nameType) (= (type T.FastIoWrite__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryBasicInfo__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryStandardInfo__FAST_IO_DISPATCH) nameType) (= (type T.FastIoLock__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockSingle__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockAll__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockAllByKey__FAST_IO_DISPATCH) nameType) (= (type T.FastIoDeviceControl__FAST_IO_DISPATCH) nameType) (= (type T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH) nameType) (= (type T.FastIoDetachDevice__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH) nameType) (= (type T.AcquireForModWrite__FAST_IO_DISPATCH) nameType) (= (type T.MdlRead__FAST_IO_DISPATCH) nameType) (= (type T.MdlReadComplete__FAST_IO_DISPATCH) nameType) (= (type T.PrepareMdlWrite__FAST_IO_DISPATCH) nameType) (= (type T.MdlWriteComplete__FAST_IO_DISPATCH) nameType) (= (type T.FastIoReadCompressed__FAST_IO_DISPATCH) nameType) (= (type T.FastIoWriteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.MdlReadCompleteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryOpen__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseForModWrite__FAST_IO_DISPATCH) nameType) (= (type T.AcquireForCcFlush__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseForCcFlush__FAST_IO_DISPATCH) nameType) (= (type T.Count__FAST_MUTEX) nameType) (= (type T.Owner__FAST_MUTEX) nameType) (= (type T.Contention__FAST_MUTEX) nameType) (= (type T.Gate__FAST_MUTEX) nameType) (= (type T.OldIrql__FAST_MUTEX) nameType) (= (type T.CreationTime__FILE_BASIC_INFORMATION) nameType) (= (type T.LastAccessTime__FILE_BASIC_INFORMATION) nameType) (= (type T.LastWriteTime__FILE_BASIC_INFORMATION) nameType) (= (type T.ChangeTime__FILE_BASIC_INFORMATION) nameType) (= (type T.FileAttributes__FILE_BASIC_INFORMATION) nameType) (= (type T.CreationTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.Type__FILE_OBJECT) nameType) (= (type T.Size__FILE_OBJECT) nameType) (= (type T.DeviceObject__FILE_OBJECT) nameType) (= (type T.Vpb__FILE_OBJECT) nameType) (= (type T.FsContext__FILE_OBJECT) nameType) (= (type T.FsContext2__FILE_OBJECT) nameType) (= (type T.SectionObjectPointer__FILE_OBJECT) nameType) (= (type T.PrivateCacheMap__FILE_OBJECT) nameType) (= (type T.FinalStatus__FILE_OBJECT) nameType) (= (type T.RelatedFileObject__FILE_OBJECT) nameType) (= (type T.LockOperation__FILE_OBJECT) nameType) (= (type T.DeletePending__FILE_OBJECT) nameType) (= (type T.ReadAccess__FILE_OBJECT) nameType) (= (type T.WriteAccess__FILE_OBJECT) nameType) (= (type T.DeleteAccess__FILE_OBJECT) nameType) (= (type T.SharedRead__FILE_OBJECT) nameType) (= (type T.SharedWrite__FILE_OBJECT) nameType) (= (type T.SharedDelete__FILE_OBJECT) nameType) (= (type T.Flags__FILE_OBJECT) nameType) (= (type T.FileName__FILE_OBJECT) nameType) (= (type T.CurrentByteOffset__FILE_OBJECT) nameType) (= (type T.Waiters__FILE_OBJECT) nameType) (= (type T.Busy__FILE_OBJECT) nameType) (= (type T.LastLock__FILE_OBJECT) nameType) (= (type T.Lock__FILE_OBJECT) nameType) (= (type T.Event__FILE_OBJECT) nameType) (= (type T.CompletionContext__FILE_OBJECT) nameType) (= (type T.IrpListLock__FILE_OBJECT) nameType) (= (type T.IrpList__FILE_OBJECT) nameType) (= (type T.FileObjectExtension__FILE_OBJECT) nameType) (= (type T.AllocationSize__FILE_STANDARD_INFORMATION) nameType) (= (type T.EndOfFile__FILE_STANDARD_INFORMATION) nameType) (= (type T.NumberOfLinks__FILE_STANDARD_INFORMATION) nameType) (= (type T.DeletePending__FILE_STANDARD_INFORMATION) nameType) (= (type T.Directory__FILE_STANDARD_INFORMATION) nameType) (= (type T.Data1__GUID) nameType) (= (type T.Data2__GUID) nameType) (= (type T.Data3__GUID) nameType) (= (type T.Data4__GUID) nameType) (= (type T.PrivilegeCount__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Control__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Privilege__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Size__INTERFACE) nameType) (= (type T.Version__INTERFACE) nameType) (= (type T.Context__INTERFACE) nameType) (= (type T.InterfaceReference__INTERFACE) nameType) (= (type T.InterfaceDereference__INTERFACE) nameType) (= (type T.Port__IO_COMPLETION_CONTEXT) nameType) (= (type T.Key__IO_COMPLETION_CONTEXT) nameType) (= (type T.Option__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Type__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.ShareDisposition__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Spare1__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Flags__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Spare2__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.u__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Version__IO_RESOURCE_LIST) nameType) (= (type T.Revision__IO_RESOURCE_LIST) nameType) (= (type T.Count__IO_RESOURCE_LIST) nameType) (= (type T.Descriptors__IO_RESOURCE_LIST) nameType) (= (type T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.List__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.SecurityQos__IO_SECURITY_CONTEXT) nameType) (= (type T.AccessState__IO_SECURITY_CONTEXT) nameType) (= (type T.DesiredAccess__IO_SECURITY_CONTEXT) nameType) (= (type T.FullCreateOptions__IO_SECURITY_CONTEXT) nameType) (= (type T.MajorFunction__IO_STACK_LOCATION) nameType) (= (type T.MinorFunction__IO_STACK_LOCATION) nameType) (= (type T.Flags__IO_STACK_LOCATION) nameType) (= (type T.Control__IO_STACK_LOCATION) nameType) (= (type T.Parameters__IO_STACK_LOCATION) nameType) (= (type T.DeviceObject__IO_STACK_LOCATION) nameType) (= (type T.FileObject__IO_STACK_LOCATION) nameType) (= (type T.CompletionRoutine__IO_STACK_LOCATION) nameType) (= (type T.Context__IO_STACK_LOCATION) nameType) (= (type T.__unnamed_4_ab1173de__IO_STATUS_BLOCK) nameType) (= (type T.Information__IO_STATUS_BLOCK) nameType) (= (type T.Type__IRP) nameType) (= (type T.Size__IRP) nameType) (= (type T.MdlAddress__IRP) nameType) (= (type T.Flags__IRP) nameType) (= (type T.AssociatedIrp__IRP) nameType) (= (type T.ThreadListEntry__IRP) nameType) (= (type T.IoStatus__IRP) nameType) (= (type T.RequestorMode__IRP) nameType) (= (type T.PendingReturned__IRP) nameType) (= (type T.StackCount__IRP) nameType) (= (type T.CurrentLocation__IRP) nameType) (= (type T.Cancel__IRP) nameType) (= (type T.CancelIrql__IRP) nameType) (= (type T.ApcEnvironment__IRP) nameType) (= (type T.AllocationFlags__IRP) nameType) (= (type T.UserIosb__IRP) nameType) (= (type T.UserEvent__IRP) nameType) (= (type T.Overlay__IRP) nameType) (= (type T.CancelRoutine__IRP) nameType) (= (type T.UserBuffer__IRP) nameType) (= (type T.Tail__IRP) nameType) (= (type T.Type__KAPC) nameType) (= (type T.SpareByte0__KAPC) nameType) (= (type T.Size__KAPC) nameType) (= (type T.SpareByte1__KAPC) nameType) (= (type T.SpareLong0__KAPC) nameType) (= (type T.Thread__KAPC) nameType) (= (type T.ApcListEntry__KAPC) nameType) (= (type T.KernelRoutine__KAPC) nameType) (= (type T.RundownRoutine__KAPC) nameType) (= (type T.NormalRoutine__KAPC) nameType) (= (type T.NormalContext__KAPC) nameType) (= (type T.SystemArgument1__KAPC) nameType) (= (type T.SystemArgument2__KAPC) nameType) (= (type T.ApcStateIndex__KAPC) nameType) (= (type T.ApcMode__KAPC) nameType) (= (type T.Inserted__KAPC) nameType) (= (type T.Type__KDEVICE_QUEUE) nameType) (= (type T.Size__KDEVICE_QUEUE) nameType) (= (type T.DeviceListHead__KDEVICE_QUEUE) nameType) (= (type T.Lock__KDEVICE_QUEUE) nameType) (= (type T.Busy__KDEVICE_QUEUE) nameType) (= (type T.DeviceListEntry__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.SortKey__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.Inserted__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.Type__KDPC) nameType) (= (type T.Importance__KDPC) nameType) (= (type T.Number__KDPC) nameType) (= (type T.DpcListEntry__KDPC) nameType) (= (type T.DeferredRoutine__KDPC) nameType) (= (type T.DeferredContext__KDPC) nameType) (= (type T.SystemArgument1__KDPC) nameType) (= (type T.SystemArgument2__KDPC) nameType) (= (type T.DpcData__KDPC) nameType) (= (type T.Header__KEVENT) nameType) (= (type T.Header__KSEMAPHORE) nameType) (= (type T.Limit__KSEMAPHORE) nameType) (= (type T.Header__KTIMER) nameType) (= (type T.DueTime__KTIMER) nameType) (= (type T.TimerListEntry__KTIMER) nameType) (= (type T.Dpc__KTIMER) nameType) (= (type T.Period__KTIMER) nameType) (= (type T.__unnamed_8_544b88f4__LARGE_INTEGER) nameType) (= (type T.u__LARGE_INTEGER) nameType) (= (type T.QuadPart__LARGE_INTEGER) nameType) (= (type T.Flink__LIST_ENTRY) nameType) (= (type T.Blink__LIST_ENTRY) nameType) (= (type T.LowPart__LUID) nameType) (= (type T.HighPart__LUID) nameType) (= (type T.Luid__LUID_AND_ATTRIBUTES) nameType) (= (type T.Attributes__LUID_AND_ATTRIBUTES) nameType) (= (type T.Next__MDL) nameType) (= (type T.Size__MDL) nameType) (= (type T.MdlFlags__MDL) nameType) (= (type T.Process__MDL) nameType) (= (type T.MappedSystemVa__MDL) nameType) (= (type T.StartVa__MDL) nameType) (= (type T.ByteCount__MDL) nameType) (= (type T.ByteOffset__MDL) nameType) (= (type T.OwnerThread__OWNER_ENTRY) nameType) (= (type T.__unnamed_4_1c47e29a__OWNER_ENTRY) nameType) (= (type T.SequenceD1__POWER_SEQUENCE) nameType) (= (type T.SequenceD2__POWER_SEQUENCE) nameType) (= (type T.SequenceD3__POWER_SEQUENCE) nameType) (= (type T.SystemState__POWER_STATE) nameType) (= (type T.DeviceState__POWER_STATE) nameType) (= (type T.PrivilegeCount__PRIVILEGE_SET) nameType) (= (type T.Control__PRIVILEGE_SET) nameType) (= (type T.Privilege__PRIVILEGE_SET) nameType) (= (type T.DataSectionObject__SECTION_OBJECT_POINTERS) nameType) (= (type T.SharedCacheMap__SECTION_OBJECT_POINTERS) nameType) (= (type T.ImageSectionObject__SECTION_OBJECT_POINTERS) nameType) (= (type T.Length__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ClientToken__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.PrimaryToken__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.ReceivedCount__SERIALPERF_STATS) nameType) (= (type T.TransmittedCount__SERIALPERF_STATS) nameType) (= (type T.FrameErrorCount__SERIALPERF_STATS) nameType) (= (type T.SerialOverrunErrorCount__SERIALPERF_STATS) nameType) (= (type T.BufferOverrunErrorCount__SERIALPERF_STATS) nameType) (= (type T.ParityErrorCount__SERIALPERF_STATS) nameType) (= (type T.BaudRate__SERIAL_BAUD_RATE) nameType) (= (type T.EofChar__SERIAL_CHARS) nameType) (= (type T.ErrorChar__SERIAL_CHARS) nameType) (= (type T.BreakChar__SERIAL_CHARS) nameType) (= (type T.EventChar__SERIAL_CHARS) nameType) (= (type T.XonChar__SERIAL_CHARS) nameType) (= (type T.XoffChar__SERIAL_CHARS) nameType) (= (type T.IsrFunc__SERIAL_CISR_SW) nameType) (= (type T.Context__SERIAL_CISR_SW) nameType) (= (type T.SharerList__SERIAL_CISR_SW) nameType) (= (type T.PacketLength__SERIAL_COMMPROP) nameType) (= (type T.PacketVersion__SERIAL_COMMPROP) nameType) (= (type T.ServiceMask__SERIAL_COMMPROP) nameType) (= (type T.Reserved1__SERIAL_COMMPROP) nameType) (= (type T.MaxTxQueue__SERIAL_COMMPROP) nameType) (= (type T.MaxRxQueue__SERIAL_COMMPROP) nameType) (= (type T.MaxBaud__SERIAL_COMMPROP) nameType) (= (type T.ProvSubType__SERIAL_COMMPROP) nameType) (= (type T.ProvCapabilities__SERIAL_COMMPROP) nameType) (= (type T.SettableParams__SERIAL_COMMPROP) nameType) (= (type T.SettableBaud__SERIAL_COMMPROP) nameType) (= (type T.SettableData__SERIAL_COMMPROP) nameType) (= (type T.SettableStopParity__SERIAL_COMMPROP) nameType) (= (type T.CurrentTxQueue__SERIAL_COMMPROP) nameType) (= (type T.CurrentRxQueue__SERIAL_COMMPROP) nameType) (= (type T.ProvSpec1__SERIAL_COMMPROP) nameType) (= (type T.ProvSpec2__SERIAL_COMMPROP) nameType) (= (type T.ProvChar__SERIAL_COMMPROP) nameType) (= (type T.TopLevelOurIsr__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TopLevelOurIsrContext__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TopLevelSharers__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CommonInterruptObject__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.MultiportSiblings__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.AllDevObjs__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OriginalController__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OriginalInterruptStatus__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.IntervalTime__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ShortIntervalAmount__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LongIntervalAmount__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CutOverAmount__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LastReadTime__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceName__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ObjectDirectory__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SymbolicLinkName__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DosName__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.IntervalTimeToUse__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceObject__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OurIsr__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OurIsrContext__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Controller__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.InterruptStatus__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Interrupt__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ReadQueue__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WriteQueue__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.MaskQueue__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PurgeQueue__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentReadIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentWriteIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentMaskIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentWaitIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentXoffIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WriteLength__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WriteCurrentChar__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.InterruptReadBuffer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ReadBufferBase__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentCharSlot__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LastCharSlot__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.FirstReadableChar__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LockPtr__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.BufferSize__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.BufferSizePt8__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.NumberNeededForRead__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.IsrWaitMask__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.HistoryMask__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.IrpMaskLocation__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TXHolding__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.RXHolding__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ErrorWord__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TotalCharsQueued__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CountOnLastRead__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ReadByIsr__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CurrentBaud__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CountSinceXoff__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CountOfTryingToLowerRTS__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SupportedBauds__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SpanOfController__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SpanOfInterruptStatus__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ClockRate__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TxFifoAmount__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PermitShare__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Timeouts__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SpecialChars__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.HandFlow__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PerfStats__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LineControl__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceIsOpened__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.UnMapRegisters__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.UnMapStatus__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.HoldingEmpty__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TransmitImmediate__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.EmptiedTransmit__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PortOnAMultiportCard__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Vector__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Irql__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OriginalVector__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OriginalIrql__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.AddressSpace__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.BusNumber__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.InterfaceType__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PortIndex__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Indexed__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.MaskInverted__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.NewPortIndex__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.NewMaskInverted__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.NewExtension__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ImmediateChar__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ValidDataMask__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.EscapeChar__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SendXonChar__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SendXoffChar__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.FifoPresent__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.RxFifoTrigger__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.InterruptShareable__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CreatedSymbolicLink__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CreatedSerialCommEntry__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ControlLock__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.FlagsLock__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CompleteWriteDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CompleteReadDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CommErrorDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CommWaitDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CompleteImmediateDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.XoffCountCompleteDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.StartTimerLowerRTSDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PerhapsLowerRTSDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.IsrUnlockPagesDpc__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SetPendingDpcEvent__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.XoffCountTimer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LowerRTSTimer__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.LowerDeviceObject__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PowerState__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DriverObject__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SerialSyncEvent__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceClassSymbolicName__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CIsrSw__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PendingIRPCnt__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DevicePNPAccept__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PendingIRPEvent__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PNPState__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Flags__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OpenCount__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SerialStartEvent__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceState__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceStateMap__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PowerD0Event__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.StalledIrpQueue__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OpenMutex__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.CloseMutex__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.OwnsPowerPolicy__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.RetainPowerOnClose__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.QueueCreateIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SystemWake__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DeviceWake__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Pdo__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SendWaitWake__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PendingWakeIrp__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WmiLibInfo__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WmiIdentifier__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WmiCommData__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WmiHwData__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.WmiPerfData__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.DpcCount__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PendingDpcEvent__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.SkipNaming__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.TL16C550CAFC__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.NewDevicePowerState__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.UartRemovalDetect__SERIAL_DEVICE_EXTENSION) nameType) (= (type T.Reopen__SERIAL_DEVICE_STATE) nameType) (= (type T.IER__SERIAL_DEVICE_STATE) nameType) (= (type T.LCR__SERIAL_DEVICE_STATE) nameType) (= (type T.MCR__SERIAL_DEVICE_STATE) nameType) (= (type T.ControlHandShake__SERIAL_HANDFLOW) nameType) (= (type T.FlowReplace__SERIAL_HANDFLOW) nameType) (= (type T.XonLimit__SERIAL_HANDFLOW) nameType) (= (type T.XoffLimit__SERIAL_HANDFLOW) nameType) (= (type T.Extension__SERIAL_IOCTL_SYNC) nameType) (= (type T.Data__SERIAL_IOCTL_SYNC) nameType) (= (type T.StopBits__SERIAL_LINE_CONTROL) nameType) (= (type T.Parity__SERIAL_LINE_CONTROL) nameType) (= (type T.WordLength__SERIAL_LINE_CONTROL) nameType) (= (type T.InSize__SERIAL_QUEUE_SIZE) nameType) (= (type T.OutSize__SERIAL_QUEUE_SIZE) nameType) (= (type T.Extension__SERIAL_RESIZE_PARAMS) nameType) (= (type T.OldBuffer__SERIAL_RESIZE_PARAMS) nameType) (= (type T.NewBuffer__SERIAL_RESIZE_PARAMS) nameType) (= (type T.NewBufferSize__SERIAL_RESIZE_PARAMS) nameType) (= (type T.NumberMoved__SERIAL_RESIZE_PARAMS) nameType) (= (type T.ReadIntervalTimeout__SERIAL_TIMEOUTS) nameType) (= (type T.ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS) nameType) (= (type T.ReadTotalTimeoutConstant__SERIAL_TIMEOUTS) nameType) (= (type T.WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS) nameType) (= (type T.WriteTotalTimeoutConstant__SERIAL_TIMEOUTS) nameType) (= (type T.Extension__SERIAL_UPDATE_CHAR) nameType) (= (type T.CharsCopied__SERIAL_UPDATE_CHAR) nameType) (= (type T.Completed__SERIAL_UPDATE_CHAR) nameType) (= (type T.BaudRate__SERIAL_WMI_COMM_DATA) nameType) (= (type T.BitsPerByte__SERIAL_WMI_COMM_DATA) nameType) (= (type T.Parity__SERIAL_WMI_COMM_DATA) nameType) (= (type T.ParityCheckEnable__SERIAL_WMI_COMM_DATA) nameType) (= (type T.StopBits__SERIAL_WMI_COMM_DATA) nameType) (= (type T.XoffCharacter__SERIAL_WMI_COMM_DATA) nameType) (= (type T.XoffXmitThreshold__SERIAL_WMI_COMM_DATA) nameType) (= (type T.XonCharacter__SERIAL_WMI_COMM_DATA) nameType) (= (type T.XonXmitThreshold__SERIAL_WMI_COMM_DATA) nameType) (= (type T.MaximumBaudRate__SERIAL_WMI_COMM_DATA) nameType) (= (type T.MaximumOutputBufferSize__SERIAL_WMI_COMM_DATA) nameType) (= (type T.MaximumInputBufferSize__SERIAL_WMI_COMM_DATA) nameType) (= (type T.Support16BitMode__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SupportDTRDSR__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SupportIntervalTimeouts__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SupportParityCheck__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SupportRTSCTS__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SupportXonXoff__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SettableBaudRate__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SettableDataBits__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SettableFlowControl__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SettableParity__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SettableParityCheck__SERIAL_WMI_COMM_DATA) nameType) (= (type T.SettableStopBits__SERIAL_WMI_COMM_DATA) nameType) (= (type T.IsBusy__SERIAL_WMI_COMM_DATA) nameType) (= (type T.IrqNumber__SERIAL_WMI_HW_DATA) nameType) (= (type T.IrqVector__SERIAL_WMI_HW_DATA) nameType) (= (type T.IrqLevel__SERIAL_WMI_HW_DATA) nameType) (= (type T.IrqAffinityMask__SERIAL_WMI_HW_DATA) nameType) (= (type T.InterruptType__SERIAL_WMI_HW_DATA) nameType) (= (type T.BaseIOAddress__SERIAL_WMI_HW_DATA) nameType) (= (type T.ReceivedCount__SERIAL_WMI_PERF_DATA) nameType) (= (type T.TransmittedCount__SERIAL_WMI_PERF_DATA) nameType) (= (type T.FrameErrorCount__SERIAL_WMI_PERF_DATA) nameType) (= (type T.SerialOverrunErrorCount__SERIAL_WMI_PERF_DATA) nameType) (= (type T.BufferOverrunErrorCount__SERIAL_WMI_PERF_DATA) nameType) (= (type T.ParityErrorCount__SERIAL_WMI_PERF_DATA) nameType) (= (type T.Timeout__SERIAL_XOFF_COUNTER) nameType) (= (type T.Counter__SERIAL_XOFF_COUNTER) nameType) (= (type T.XoffChar__SERIAL_XOFF_COUNTER) nameType) (= (type T.__unnamed_4_a8006df8__SYSTEM_POWER_STATE_CONTEXT) nameType) (= (type T.__unnamed_8_baf71367__ULARGE_INTEGER) nameType) (= (type T.u__ULARGE_INTEGER) nameType) (= (type T.QuadPart__ULARGE_INTEGER) nameType) (= (type T.Length__UNICODE_STRING) nameType) (= (type T.MaximumLength__UNICODE_STRING) nameType) (= (type T.Buffer__UNICODE_STRING) nameType) (= (type T.Type__VPB) nameType) (= (type T.Size__VPB) nameType) (= (type T.Flags__VPB) nameType) (= (type T.VolumeLabelLength__VPB) nameType) (= (type T.DeviceObject__VPB) nameType) (= (type T.RealDevice__VPB) nameType) (= (type T.SerialNumber__VPB) nameType) (= (type T.ReferenceCount__VPB) nameType) (= (type T.VolumeLabel__VPB) nameType) (= (type T.WaitQueueEntry__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceRoutine__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceContext__WAIT_CONTEXT_BLOCK) nameType) (= (type T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceObject__WAIT_CONTEXT_BLOCK) nameType) (= (type T.CurrentIrp__WAIT_CONTEXT_BLOCK) nameType) (= (type T.BufferChainingDpc__WAIT_CONTEXT_BLOCK) nameType) (= (type T.GuidCount__WMILIB_CONTEXT) nameType) (= (type T.GuidList__WMILIB_CONTEXT) nameType) (= (type T.QueryWmiRegInfo__WMILIB_CONTEXT) nameType) (= (type T.QueryWmiDataBlock__WMILIB_CONTEXT) nameType) (= (type T.SetWmiDataBlock__WMILIB_CONTEXT) nameType) (= (type T.SetWmiDataItem__WMILIB_CONTEXT) nameType) (= (type T.ExecuteWmiMethod__WMILIB_CONTEXT) nameType) (= (type T.WmiFunctionControl__WMILIB_CONTEXT) nameType) (= (type T.Priority___unnamed_12_0cb3dc26) nameType) (= (type T.Reserved1___unnamed_12_0cb3dc26) nameType) (= (type T.Reserved2___unnamed_12_0cb3dc26) nameType) (= (type T.Data___unnamed_12_1a4b0b08) nameType) (= (type T.Reserved___unnamed_12_1cbe20d6) nameType) (= (type T.MessageCount___unnamed_12_1cbe20d6) nameType) (= (type T.Vector___unnamed_12_1cbe20d6) nameType) (= (type T.Affinity___unnamed_12_1cbe20d6) nameType) (= (type T.Start___unnamed_12_28f1f9cc) nameType) (= (type T.Length___unnamed_12_28f1f9cc) nameType) (= (type T.Reserved___unnamed_12_28f1f9cc) nameType) (= (type T.__unnamed_12_9eaf06f6___unnamed_12_29a9546e) nameType) (= (type T.Start___unnamed_12_33a88444) nameType) (= (type T.Length48___unnamed_12_33a88444) nameType) (= (type T.Start___unnamed_12_468ce3a2) nameType) (= (type T.Length___unnamed_12_468ce3a2) nameType) (= (type T.ListEntry___unnamed_12_5cc47a19) nameType) (= (type T.__unnamed_4_61d4f5e1___unnamed_12_5cc47a19) nameType) (= (type T.Level___unnamed_12_6fbd747c) nameType) (= (type T.Vector___unnamed_12_6fbd747c) nameType) (= (type T.Affinity___unnamed_12_6fbd747c) nameType) (= (type T.Generic___unnamed_12_9a27b966) nameType) (= (type T.Port___unnamed_12_9a27b966) nameType) (= (type T.Interrupt___unnamed_12_9a27b966) nameType) (= (type T.MessageInterrupt___unnamed_12_9a27b966) nameType) (= (type T.Memory___unnamed_12_9a27b966) nameType) (= (type T.Dma___unnamed_12_9a27b966) nameType) (= (type T.DevicePrivate___unnamed_12_9a27b966) nameType) (= (type T.BusNumber___unnamed_12_9a27b966) nameType) (= (type T.DeviceSpecificData___unnamed_12_9a27b966) nameType) (= (type T.Memory40___unnamed_12_9a27b966) nameType) (= (type T.Memory48___unnamed_12_9a27b966) nameType) (= (type T.Memory64___unnamed_12_9a27b966) nameType) (= (type T.Raw___unnamed_12_9eaf06f6) nameType) (= (type T.Translated___unnamed_12_9eaf06f6) nameType) (= (type T.Data___unnamed_12_a967ef4a) nameType) (= (type T.Start___unnamed_12_ab6ff61b) nameType) (= (type T.Length64___unnamed_12_ab6ff61b) nameType) (= (type T.Start___unnamed_12_ad4e1918) nameType) (= (type T.Length___unnamed_12_ad4e1918) nameType) (= (type T.Start___unnamed_12_c0c3bd45) nameType) (= (type T.Length___unnamed_12_c0c3bd45) nameType) (= (type T.Start___unnamed_12_df63118d) nameType) (= (type T.Length40___unnamed_12_df63118d) nameType) (= (type T.Level___unnamed_12_e5164c3f) nameType) (= (type T.Vector___unnamed_12_e5164c3f) nameType) (= (type T.Affinity___unnamed_12_e5164c3f) nameType) (= (type T.Channel___unnamed_12_f1f9be0a) nameType) (= (type T.Port___unnamed_12_f1f9be0a) nameType) (= (type T.Reserved1___unnamed_12_f1f9be0a) nameType) (= (type T.DataSize___unnamed_12_f354d203) nameType) (= (type T.Reserved1___unnamed_12_f354d203) nameType) (= (type T.Reserved2___unnamed_12_f354d203) nameType) (= (type T.InterfaceType___unnamed_16_2ab145ec) nameType) (= (type T.Size___unnamed_16_2ab145ec) nameType) (= (type T.Version___unnamed_16_2ab145ec) nameType) (= (type T.Interface___unnamed_16_2ab145ec) nameType) (= (type T.InterfaceSpecificData___unnamed_16_2ab145ec) nameType) (= (type T.Length___unnamed_16_30f1d328) nameType) (= (type T.MinBusNumber___unnamed_16_30f1d328) nameType) (= (type T.MaxBusNumber___unnamed_16_30f1d328) nameType) (= (type T.Reserved___unnamed_16_30f1d328) nameType) (= (type T.DeviceQueueEntry___unnamed_16_3277c3a0) nameType) (= (type T.__unnamed_16_c774559b___unnamed_16_3277c3a0) nameType) (= (type T.Length___unnamed_16_3a584a7c) nameType) (= (type T.Key___unnamed_16_3a584a7c) nameType) (= (type T.ByteOffset___unnamed_16_3a584a7c) nameType) (= (type T.OutputBufferLength___unnamed_16_3dec08db) nameType) (= (type T.InputBufferLength___unnamed_16_3dec08db) nameType) (= (type T.FsControlCode___unnamed_16_3dec08db) nameType) (= (type T.Type3InputBuffer___unnamed_16_3dec08db) nameType) (= (type T.Create___unnamed_16_57edbc3a) nameType) (= (type T.Read___unnamed_16_57edbc3a) nameType) (= (type T.Write___unnamed_16_57edbc3a) nameType) (= (type T.QueryDirectory___unnamed_16_57edbc3a) nameType) (= (type T.NotifyDirectory___unnamed_16_57edbc3a) nameType) (= (type T.QueryFile___unnamed_16_57edbc3a) nameType) (= (type T.SetFile___unnamed_16_57edbc3a) nameType) (= (type T.QueryEa___unnamed_16_57edbc3a) nameType) (= (type T.SetEa___unnamed_16_57edbc3a) nameType) (= (type T.QueryVolume___unnamed_16_57edbc3a) nameType) (= (type T.SetVolume___unnamed_16_57edbc3a) nameType) (= (type T.FileSystemControl___unnamed_16_57edbc3a) nameType) (= (type T.LockControl___unnamed_16_57edbc3a) nameType) (= (type T.DeviceIoControl___unnamed_16_57edbc3a) nameType) (= (type T.QuerySecurity___unnamed_16_57edbc3a) nameType) (= (type T.SetSecurity___unnamed_16_57edbc3a) nameType) (= (type T.MountVolume___unnamed_16_57edbc3a) nameType) (= (type T.VerifyVolume___unnamed_16_57edbc3a) nameType) (= (type T.Scsi___unnamed_16_57edbc3a) nameType) (= (type T.QueryQuota___unnamed_16_57edbc3a) nameType) (= (type T.SetQuota___unnamed_16_57edbc3a) nameType) (= (type T.QueryDeviceRelations___unnamed_16_57edbc3a) nameType) (= (type T.QueryInterface___unnamed_16_57edbc3a) nameType) (= (type T.DeviceCapabilities___unnamed_16_57edbc3a) nameType) (= (type T.FilterResourceRequirements___unnamed_16_57edbc3a) nameType) (= (type T.ReadWriteConfig___unnamed_16_57edbc3a) nameType) (= (type T.SetLock___unnamed_16_57edbc3a) nameType) (= (type T.QueryId___unnamed_16_57edbc3a) nameType) (= (type T.QueryDeviceText___unnamed_16_57edbc3a) nameType) (= (type T.UsageNotification___unnamed_16_57edbc3a) nameType) (= (type T.WaitWake___unnamed_16_57edbc3a) nameType) (= (type T.PowerSequence___unnamed_16_57edbc3a) nameType) (= (type T.Power___unnamed_16_57edbc3a) nameType) (= (type T.StartDevice___unnamed_16_57edbc3a) nameType) (= (type T.WMI___unnamed_16_57edbc3a) nameType) (= (type T.Others___unnamed_16_57edbc3a) nameType) (= (type T.Argument1___unnamed_16_5ac3fe10) nameType) (= (type T.Argument2___unnamed_16_5ac3fe10) nameType) (= (type T.Argument3___unnamed_16_5ac3fe10) nameType) (= (type T.Argument4___unnamed_16_5ac3fe10) nameType) (= (type T.OutputBufferLength___unnamed_16_5bbbf1e7) nameType) (= (type T.InputBufferLength___unnamed_16_5bbbf1e7) nameType) (= (type T.IoControlCode___unnamed_16_5bbbf1e7) nameType) (= (type T.Type3InputBuffer___unnamed_16_5bbbf1e7) nameType) (= (type T.ProviderId___unnamed_16_66abee0d) nameType) (= (type T.DataPath___unnamed_16_66abee0d) nameType) (= (type T.BufferSize___unnamed_16_66abee0d) nameType) (= (type T.Buffer___unnamed_16_66abee0d) nameType) (= (type T.__unnamed_4_b38dc67f___unnamed_16_6c8935f2) nameType) (= (type T.Type___unnamed_16_6c8935f2) nameType) (= (type T.State___unnamed_16_6c8935f2) nameType) (= (type T.ShutdownType___unnamed_16_6c8935f2) nameType) (= (type T.Length___unnamed_16_834e30a3) nameType) (= (type T.EaList___unnamed_16_834e30a3) nameType) (= (type T.EaListLength___unnamed_16_834e30a3) nameType) (= (type T.EaIndex___unnamed_16_834e30a3) nameType) (= (type T.WhichSpace___unnamed_16_83707d7f) nameType) (= (type T.Buffer___unnamed_16_83707d7f) nameType) (= (type T.Offset___unnamed_16_83707d7f) nameType) (= (type T.Length___unnamed_16_83707d7f) nameType) (= (type T.Length___unnamed_16_94922103) nameType) (= (type T.Key___unnamed_16_94922103) nameType) (= (type T.ByteOffset___unnamed_16_94922103) nameType) (= (type T.Length___unnamed_16_9eb64f79) nameType) (= (type T.StartSid___unnamed_16_9eb64f79) nameType) (= (type T.SidList___unnamed_16_9eb64f79) nameType) (= (type T.SidListLength___unnamed_16_9eb64f79) nameType) (= (type T.Length___unnamed_16_a71f10bf) nameType) (= (type T.FileName___unnamed_16_a71f10bf) nameType) (= (type T.FileInformationClass___unnamed_16_a71f10bf) nameType) (= (type T.FileIndex___unnamed_16_a71f10bf) nameType) (= (type T.SecurityContext___unnamed_16_af2c1884) nameType) (= (type T.Options___unnamed_16_af2c1884) nameType) (= (type T.FileAttributes___unnamed_16_af2c1884) nameType) (= (type T.ShareAccess___unnamed_16_af2c1884) nameType) (= (type T.EaLength___unnamed_16_af2c1884) nameType) (= (type T.Length___unnamed_16_b1a6a9b2) nameType) (= (type T.FileInformationClass___unnamed_16_b1a6a9b2) nameType) (= (type T.FileObject___unnamed_16_b1a6a9b2) nameType) (= (type T.__unnamed_4_4d53984e___unnamed_16_b1a6a9b2) nameType) (= (type T.DriverContext___unnamed_16_c774559b) nameType) (= (type T.Length___unnamed_16_ca1b3ad0) nameType) (= (type T.Key___unnamed_16_ca1b3ad0) nameType) (= (type T.ByteOffset___unnamed_16_ca1b3ad0) nameType) (= (type T.Abandoned___unnamed_1_4258582a) nameType) (= (type T.Absolute___unnamed_1_4258582a) nameType) (= (type T.NpxIrql___unnamed_1_4258582a) nameType) (= (type T.Signalling___unnamed_1_4258582a) nameType) (= (type T.Lock___unnamed_1_4f5916b9) nameType) (= (type T.Size___unnamed_1_923f487b) nameType) (= (type T.Hand___unnamed_1_923f487b) nameType) (= (type T.Inserted___unnamed_1_ac5cb154) nameType) (= (type T.DebugActive___unnamed_1_ac5cb154) nameType) (= (type T.DpcActive___unnamed_1_ac5cb154) nameType) (= (type T.MinimumVector___unnamed_20_9fc4dd36) nameType) (= (type T.MaximumVector___unnamed_20_9fc4dd36) nameType) (= (type T.AffinityPolicy___unnamed_20_9fc4dd36) nameType) (= (type T.PriorityPolicy___unnamed_20_9fc4dd36) nameType) (= (type T.TargetedProcessors___unnamed_20_9fc4dd36) nameType) (= (type T.Length___unnamed_24_76c1f52c) nameType) (= (type T.Alignment___unnamed_24_76c1f52c) nameType) (= (type T.MinimumAddress___unnamed_24_76c1f52c) nameType) (= (type T.MaximumAddress___unnamed_24_76c1f52c) nameType) (= (type T.Length64___unnamed_24_87e4ad03) nameType) (= (type T.Alignment64___unnamed_24_87e4ad03) nameType) (= (type T.MinimumAddress___unnamed_24_87e4ad03) nameType) (= (type T.MaximumAddress___unnamed_24_87e4ad03) nameType) (= (type T.Port___unnamed_24_87fb9019) nameType) (= (type T.Memory___unnamed_24_87fb9019) nameType) (= (type T.Interrupt___unnamed_24_87fb9019) nameType) (= (type T.Dma___unnamed_24_87fb9019) nameType) (= (type T.Generic___unnamed_24_87fb9019) nameType) (= (type T.DevicePrivate___unnamed_24_87fb9019) nameType) (= (type T.BusNumber___unnamed_24_87fb9019) nameType) (= (type T.ConfigData___unnamed_24_87fb9019) nameType) (= (type T.Memory40___unnamed_24_87fb9019) nameType) (= (type T.Memory48___unnamed_24_87fb9019) nameType) (= (type T.Memory64___unnamed_24_87fb9019) nameType) (= (type T.Length40___unnamed_24_af527a47) nameType) (= (type T.Alignment40___unnamed_24_af527a47) nameType) (= (type T.MinimumAddress___unnamed_24_af527a47) nameType) (= (type T.MaximumAddress___unnamed_24_af527a47) nameType) (= (type T.Length___unnamed_24_b3ef9869) nameType) (= (type T.Alignment___unnamed_24_b3ef9869) nameType) (= (type T.MinimumAddress___unnamed_24_b3ef9869) nameType) (= (type T.MaximumAddress___unnamed_24_b3ef9869) nameType) (= (type T.Length___unnamed_24_c23e34f7) nameType) (= (type T.Alignment___unnamed_24_c23e34f7) nameType) (= (type T.MinimumAddress___unnamed_24_c23e34f7) nameType) (= (type T.MaximumAddress___unnamed_24_c23e34f7) nameType) (= (type T.Length48___unnamed_24_e04d7241) nameType) (= (type T.Alignment48___unnamed_24_e04d7241) nameType) (= (type T.MinimumAddress___unnamed_24_e04d7241) nameType) (= (type T.MaximumAddress___unnamed_24_e04d7241) nameType) (= (type T.ReplaceIfExists___unnamed_2_1d659b1d) nameType) (= (type T.AdvanceOnly___unnamed_2_1d659b1d) nameType) (= (type T.ListEntry___unnamed_40_1db13fa5) nameType) (= (type T.Wcb___unnamed_40_1db13fa5) nameType) (= (type T.__unnamed_16_3277c3a0___unnamed_40_ebf2206a) nameType) (= (type T.Thread___unnamed_40_ebf2206a) nameType) (= (type T.AuxiliaryBuffer___unnamed_40_ebf2206a) nameType) (= (type T.__unnamed_12_5cc47a19___unnamed_40_ebf2206a) nameType) (= (type T.OriginalFileObject___unnamed_40_ebf2206a) nameType) (= (type T.InitialPrivilegeSet___unnamed_44_0d347e8a) nameType) (= (type T.PrivilegeSet___unnamed_44_0d347e8a) nameType) (= (type T.Overlay___unnamed_48_ffd8d308) nameType) (= (type T.Apc___unnamed_48_ffd8d308) nameType) (= (type T.CompletionKey___unnamed_48_ffd8d308) nameType) (= (type T.IdType___unnamed_4_04fc9c34) nameType) (= (type T.PowerSequence___unnamed_4_082ca2fa) nameType) (= (type T.Type___unnamed_4_142d6b52) nameType) (= (type T.OwnerCount___unnamed_4_1c47e29a) nameType) (= (type T.TableSize___unnamed_4_1c47e29a) nameType) (= (type T.MasterIrp___unnamed_4_3dc37e35) nameType) (= (type T.IrpCount___unnamed_4_3dc37e35) nameType) (= (type T.SystemBuffer___unnamed_4_3dc37e35) nameType) (= (type T.__unnamed_2_1d659b1d___unnamed_4_4d53984e) nameType) (= (type T.ClusterCount___unnamed_4_4d53984e) nameType) (= (type T.DeleteHandle___unnamed_4_4d53984e) nameType) (= (type T.Length___unnamed_4_522a02ae) nameType) (= (type T.CurrentStackLocation___unnamed_4_61d4f5e1) nameType) (= (type T.PacketType___unnamed_4_61d4f5e1) nameType) (= (type T.Length___unnamed_4_6eaf329f) nameType) (= (type T.__unnamed_4_f14caa62___unnamed_4_7b44c46c) nameType) (= (type T.Lock___unnamed_4_7b44c46c) nameType) (= (type T.PowerState___unnamed_4_7bab7ec3) nameType) (= (type T.__unnamed_4_ce0c1b82___unnamed_4_a8006df8) nameType) (= (type T.ContextAsUlong___unnamed_4_a8006df8) nameType) (= (type T.Status___unnamed_4_ab1173de) nameType) (= (type T.Pointer___unnamed_4_ab1173de) nameType) (= (type T.Srb___unnamed_4_b2e59cbb) nameType) (= (type T.SystemContext___unnamed_4_b38dc67f) nameType) (= (type T.SystemPowerStateContext___unnamed_4_b38dc67f) nameType) (= (type T.Capabilities___unnamed_4_c62ef092) nameType) (= (type T.Reserved1___unnamed_4_ce0c1b82) nameType) (= (type T.TargetSystemState___unnamed_4_ce0c1b82) nameType) (= (type T.EffectiveSystemState___unnamed_4_ce0c1b82) nameType) (= (type T.CurrentSystemState___unnamed_4_ce0c1b82) nameType) (= (type T.IgnoreHibernationPath___unnamed_4_ce0c1b82) nameType) (= (type T.PseudoTransition___unnamed_4_ce0c1b82) nameType) (= (type T.Reserved2___unnamed_4_ce0c1b82) nameType) (= (type T.UserApcRoutine___unnamed_4_cedfeccd) nameType) (= (type T.IssuingProcess___unnamed_4_cedfeccd) nameType) (= (type T.Address___unnamed_4_f13e195c) nameType) (= (type T.CreatorBackTraceIndex___unnamed_4_f13e195c) nameType) (= (type T.Type___unnamed_4_f14caa62) nameType) (= (type T.__unnamed_1_4258582a___unnamed_4_f14caa62) nameType) (= (type T.__unnamed_1_923f487b___unnamed_4_f14caa62) nameType) (= (type T.__unnamed_1_ac5cb154___unnamed_4_f14caa62) nameType) (= (type T.IoResourceRequirementList___unnamed_4_f18e264a) nameType) (= (type T.Length___unnamed_8_06a6de28) nameType) (= (type T.CompletionFilter___unnamed_8_06a6de28) nameType) (= (type T.DeviceTextType___unnamed_8_219179d3) nameType) (= (type T.LocaleId___unnamed_8_219179d3) nameType) (= (type T.InPath___unnamed_8_380551ca) nameType) (= (type T.Reserved___unnamed_8_380551ca) nameType) (= (type T.Type___unnamed_8_380551ca) nameType) (= (type T.SecurityInformation___unnamed_8_3ebf0971) nameType) (= (type T.Length___unnamed_8_3ebf0971) nameType) (= (type T.AsynchronousParameters___unnamed_8_45a58840) nameType) (= (type T.AllocationSize___unnamed_8_45a58840) nameType) (= (type T.LowPart___unnamed_8_544b88f4) nameType) (= (type T.HighPart___unnamed_8_544b88f4) nameType) (= (type T.MinimumChannel___unnamed_8_5bc13409) nameType) (= (type T.MaximumChannel___unnamed_8_5bc13409) nameType) (= (type T.Length___unnamed_8_5d23cded) nameType) (= (type T.FsInformationClass___unnamed_8_5d23cded) nameType) (= (type T.LowPart___unnamed_8_5d67d492) nameType) (= (type T.HighPart___unnamed_8_5d67d492) nameType) (= (type T.SecurityInformation___unnamed_8_655e974a) nameType) (= (type T.SecurityDescriptor___unnamed_8_655e974a) nameType) (= (type T.Vpb___unnamed_8_a4174c52) nameType) (= (type T.DeviceObject___unnamed_8_a4174c52) nameType) (= (type T.LowPart___unnamed_8_a569aa82) nameType) (= (type T.HighPart___unnamed_8_a569aa82) nameType) (= (type T.Length___unnamed_8_b3031d0e) nameType) (= (type T.FileInformationClass___unnamed_8_b3031d0e) nameType) (= (type T.Length___unnamed_8_b7ca8084) nameType) (= (type T.FsInformationClass___unnamed_8_b7ca8084) nameType) (= (type T.Vpb___unnamed_8_b8c2e139) nameType) (= (type T.DeviceObject___unnamed_8_b8c2e139) nameType) (= (type T.LowPart___unnamed_8_baf71367) nameType) (= (type T.HighPart___unnamed_8_baf71367) nameType) (= (type T.__unnamed_4_cedfeccd___unnamed_8_be4b9317) nameType) (= (type T.UserApcContext___unnamed_8_be4b9317) nameType) (= (type T.AllocatedResources___unnamed_8_d81ae7e8) nameType) (= (type T.AllocatedResourcesTranslated___unnamed_8_d81ae7e8) nameType) (= (type T.A17CHAR) nameType) (= (type T.A18CHAR) nameType) (= (type T.A1UINT2) nameType) (= (type T.A1_CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_IO_RESOURCE_LIST) nameType) (= (type T.A1_LUID_AND_ATTRIBUTES) nameType) (= (type T.A20CHAR) nameType) (= (type T.A21CHAR) nameType) (= (type T.A22CHAR) nameType) (= (type T.A23CHAR) nameType) (= (type T.A24CHAR) nameType) (= (type T.A25CHAR) nameType) (= (type T.A26CHAR) nameType) (= (type T.A27CHAR) nameType) (= (type T.A28CHAR) nameType) (= (type T.A28PFDRIVER_DISPATCH) nameType) (= (type T.A30CHAR) nameType) (= (type T.A31CHAR) nameType) (= (type T.A32CHAR) nameType) (= (type T.A32UINT2) nameType) (= (type T.A34CHAR) nameType) (= (type T.A35CHAR) nameType) (= (type T.A37CHAR) nameType) (= (type T.A3UCHAR) nameType) (= (type T.A3UINT4) nameType) (= (type T.A3_LUID_AND_ATTRIBUTES) nameType) (= (type T.A4PVOID) nameType) (= (type T.A7_DEVICE_POWER_STATE) nameType) (= (type T.A8UCHAR) nameType) (= (type T.BUS_QUERY_ID_TYPE) nameType) (= (type T.CHAR) nameType) (= (type T.DEVICE_TEXT_TYPE) nameType) (= (type T.F0) nameType) (= (type T.F1) nameType) (= (type T.F10) nameType) (= (type T.F11) nameType) (= (type T.F12) nameType) (= (type T.F13) nameType) (= (type T.F14) nameType) (= (type T.F15) nameType) (= (type T.F16) nameType) (= (type T.F17) nameType) (= (type T.F18) nameType) (= (type T.F19) nameType) (= (type T.F2) nameType) (= (type T.F20) nameType) (= (type T.F21) nameType) (= (type T.F22) nameType) (= (type T.F23) nameType) (= (type T.F24) nameType) (= (type T.F25) nameType) (= (type T.F26) nameType) (= (type T.F27) nameType) (= (type T.F28) nameType) (= (type T.F29) nameType) (= (type T.F3) nameType) (= (type T.F30) nameType) (= (type T.F31) nameType) (= (type T.F32) nameType) (= (type T.F33) nameType) (= (type T.F34) nameType) (= (type T.F35) nameType) (= (type T.F36) nameType) (= (type T.F37) nameType) (= (type T.F38) nameType) (= (type T.F39) nameType) (= (type T.F4) nameType) (= (type T.F40) nameType) (= (type T.F41) nameType) (= (type T.F42) nameType) (= (type T.F43) nameType) (= (type T.F44) nameType) (= (type T.F45) nameType) (= (type T.F5) nameType) (= (type T.F6) nameType) (= (type T.F7) nameType) (= (type T.F8) nameType) (= (type T.F9) nameType) (= (type T.FDRIVER_ADD_DEVICE) nameType) (= (type T.FDRIVER_CANCEL) nameType) (= (type T.FDRIVER_DISPATCH) nameType) (= (type T.FDRIVER_INITIALIZE) nameType) (= (type T.FDRIVER_STARTIO) nameType) (= (type T.FDRIVER_UNLOAD) nameType) (= (type T.FFAST_IO_ACQUIRE_FILE) nameType) (= (type T.FFAST_IO_ACQUIRE_FOR_CCFLUSH) nameType) (= (type T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE) nameType) (= (type T.FFAST_IO_CHECK_IF_POSSIBLE) nameType) (= (type T.FFAST_IO_DETACH_DEVICE) nameType) (= (type T.FFAST_IO_DEVICE_CONTROL) nameType) (= (type T.FFAST_IO_LOCK) nameType) (= (type T.FFAST_IO_MDL_READ) nameType) (= (type T.FFAST_IO_MDL_READ_COMPLETE) nameType) (= (type T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED) nameType) (= (type T.FFAST_IO_MDL_WRITE_COMPLETE) nameType) (= (type T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED) nameType) (= (type T.FFAST_IO_PREPARE_MDL_WRITE) nameType) (= (type T.FFAST_IO_QUERY_BASIC_INFO) nameType) (= (type T.FFAST_IO_QUERY_NETWORK_OPEN_INFO) nameType) (= (type T.FFAST_IO_QUERY_OPEN) nameType) (= (type T.FFAST_IO_QUERY_STANDARD_INFO) nameType) (= (type T.FFAST_IO_READ) nameType) (= (type T.FFAST_IO_READ_COMPRESSED) nameType) (= (type T.FFAST_IO_RELEASE_FILE) nameType) (= (type T.FFAST_IO_RELEASE_FOR_CCFLUSH) nameType) (= (type T.FFAST_IO_RELEASE_FOR_MOD_WRITE) nameType) (= (type T.FFAST_IO_UNLOCK_ALL) nameType) (= (type T.FFAST_IO_UNLOCK_ALL_BY_KEY) nameType) (= (type T.FFAST_IO_UNLOCK_SINGLE) nameType) (= (type T.FFAST_IO_WRITE) nameType) (= (type T.FFAST_IO_WRITE_COMPRESSED) nameType) (= (type T.FIO_COMPLETION_ROUTINE) nameType) (= (type T.FKSERVICE_ROUTINE) nameType) (= (type T.INT2) nameType) (= (type T.INT4) nameType) (= (type T.INT8) nameType) (= (type T.PA17CHAR) nameType) (= (type T.PA18CHAR) nameType) (= (type T.PA20CHAR) nameType) (= (type T.PA21CHAR) nameType) (= (type T.PA22CHAR) nameType) (= (type T.PA23CHAR) nameType) (= (type T.PA24CHAR) nameType) (= (type T.PA25CHAR) nameType) (= (type T.PA26CHAR) nameType) (= (type T.PA27CHAR) nameType) (= (type T.PA28CHAR) nameType) (= (type T.PA30CHAR) nameType) (= (type T.PA31CHAR) nameType) (= (type T.PA32CHAR) nameType) (= (type T.PA34CHAR) nameType) (= (type T.PA35CHAR) nameType) (= (type T.PA37CHAR) nameType) (= (type T.PCHAR) nameType) (= (type T.PF0) nameType) (= (type T.PF20) nameType) (= (type T.PF21) nameType) (= (type T.PF22) nameType) (= (type T.PF24) nameType) (= (type T.PF25) nameType) (= (type T.PF26) nameType) (= (type T.PF32) nameType) (= (type T.PF33) nameType) (= (type T.PF34) nameType) (= (type T.PF36) nameType) (= (type T.PF37) nameType) (= (type T.PF38) nameType) (= (type T.PF39) nameType) (= (type T.PF40) nameType) (= (type T.PF41) nameType) (= (type T.PF42) nameType) (= (type T.PF43) nameType) (= (type T.PF44) nameType) (= (type T.PF45) nameType) (= (type T.PFDRIVER_ADD_DEVICE) nameType) (= (type T.PFDRIVER_CANCEL) nameType) (= (type T.PFDRIVER_DISPATCH) nameType) (= (type T.PFDRIVER_INITIALIZE) nameType) (= (type T.PFDRIVER_STARTIO) nameType) (= (type T.PFDRIVER_UNLOAD) nameType) (= (type T.PFFAST_IO_ACQUIRE_FILE) nameType) (= (type T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH) nameType) (= (type T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE) nameType) (= (type T.PFFAST_IO_CHECK_IF_POSSIBLE) nameType) (= (type T.PFFAST_IO_DETACH_DEVICE) nameType) (= (type T.PFFAST_IO_DEVICE_CONTROL) nameType) (= (type T.PFFAST_IO_LOCK) nameType) (= (type T.PFFAST_IO_MDL_READ) nameType) (= (type T.PFFAST_IO_MDL_READ_COMPLETE) nameType) (= (type T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED) nameType) (= (type T.PFFAST_IO_MDL_WRITE_COMPLETE) nameType) (= (type T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED) nameType) (= (type T.PFFAST_IO_PREPARE_MDL_WRITE) nameType) (= (type T.PFFAST_IO_QUERY_BASIC_INFO) nameType) (= (type T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO) nameType) (= (type T.PFFAST_IO_QUERY_OPEN) nameType) (= (type T.PFFAST_IO_QUERY_STANDARD_INFO) nameType) (= (type T.PFFAST_IO_READ) nameType) (= (type T.PFFAST_IO_READ_COMPRESSED) nameType) (= (type T.PFFAST_IO_RELEASE_FILE) nameType) (= (type T.PFFAST_IO_RELEASE_FOR_CCFLUSH) nameType) (= (type T.PFFAST_IO_RELEASE_FOR_MOD_WRITE) nameType) (= (type T.PFFAST_IO_UNLOCK_ALL) nameType) (= (type T.PFFAST_IO_UNLOCK_ALL_BY_KEY) nameType) (= (type T.PFFAST_IO_UNLOCK_SINGLE) nameType) (= (type T.PFFAST_IO_WRITE) nameType) (= (type T.PFFAST_IO_WRITE_COMPRESSED) nameType) (= (type T.PFIO_COMPLETION_ROUTINE) nameType) (= (type T.PFKSERVICE_ROUTINE) nameType) (= (type T.PINT2) nameType) (= (type T.PINT4) nameType) (= (type T.POWER_ACTION) nameType) (= (type T.PPCHAR) nameType) (= (type T.PPF0) nameType) (= (type T.PPF25) nameType) (= (type T.PPF34) nameType) (= (type T.PPF43) nameType) (= (type T.PPF44) nameType) (= (type T.PPFDRIVER_CANCEL) nameType) (= (type T.PPINT2) nameType) (= (type T.PPINT4) nameType) (= (type T.PPP_IRP) nameType) (= (type T.PPUCHAR) nameType) (= (type T.PPUINT4) nameType) (= (type T.PPVOID) nameType) (= (type T.PP_DEVICE_OBJECT) nameType) (= (type T.PP_ERESOURCE) nameType) (= (type T.PP_IO_STACK_LOCATION) nameType) (= (type T.PP_IRP) nameType) (= (type T.PP_KDPC) nameType) (= (type T.PP_KEVENT) nameType) (= (type T.PP_KINTERRUPT) nameType) (= (type T.PP_KTIMER) nameType) (= (type T.PP_LARGE_INTEGER) nameType) (= (type T.PP_LIST_ENTRY) nameType) (= (type T.PP_MDL) nameType) (= (type T.PP_SERIAL_BAUD_RATE) nameType) (= (type T.PP_SERIAL_CHARS) nameType) (= (type T.PP_SERIAL_COMMPROP) nameType) (= (type T.PP_SERIAL_DEVICE_EXTENSION) nameType) (= (type T.PP_SERIAL_HANDFLOW) nameType) (= (type T.PP_SERIAL_LINE_CONTROL) nameType) (= (type T.PP_SERIAL_QUEUE_SIZE) nameType) (= (type T.PP_SERIAL_TIMEOUTS) nameType) (= (type T.PP_SERIAL_XOFF_COUNTER) nameType) (= (type T.PP_UNICODE_STRING) nameType) (= (type T.PUCHAR) nameType) (= (type T.PUINT2) nameType) (= (type T.PUINT4) nameType) (= (type T.PVOID) nameType) (= (type T.PWMIGUIDREGINFO) nameType) (= (type T.P_ACCESS_STATE) nameType) (= (type T.P_CM_RESOURCE_LIST) nameType) (= (type T.P_COMPRESSED_DATA_INFO) nameType) (= (type T.P_DEVICE_CAPABILITIES) nameType) (= (type T.P_DEVICE_OBJECT) nameType) (= (type T.P_DEVICE_POWER_STATE) nameType) (= (type T.P_DEVOBJ_EXTENSION) nameType) (= (type T.P_DRIVER_EXTENSION) nameType) (= (type T.P_DRIVER_OBJECT) nameType) (= (type T.P_EPROCESS) nameType) (= (type T.P_ERESOURCE) nameType) (= (type T.P_EVENT_TYPE) nameType) (= (type T.P_FAST_IO_DISPATCH) nameType) (= (type T.P_FILE_BASIC_INFORMATION) nameType) (= (type T.P_FILE_GET_QUOTA_INFORMATION) nameType) (= (type T.P_FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.P_FILE_OBJECT) nameType) (= (type T.P_FILE_STANDARD_INFORMATION) nameType) (= (type T.P_GUID) nameType) (= (type T.P_INTERFACE) nameType) (= (type T.P_IO_COMPLETION_CONTEXT) nameType) (= (type T.P_IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.P_IO_SECURITY_CONTEXT) nameType) (= (type T.P_IO_STACK_LOCATION) nameType) (= (type T.P_IO_STATUS_BLOCK) nameType) (= (type T.P_IO_TIMER) nameType) (= (type T.P_IRP) nameType) (= (type T.P_KAPC) nameType) (= (type T.P_KDPC) nameType) (= (type T.P_KEVENT) nameType) (= (type T.P_KINTERRUPT) nameType) (= (type T.P_KPROCESS) nameType) (= (type T.P_KSEMAPHORE) nameType) (= (type T.P_KTHREAD) nameType) (= (type T.P_KTIMER) nameType) (= (type T.P_KWAIT_REASON) nameType) (= (type T.P_LARGE_INTEGER) nameType) (= (type T.P_LIST_ENTRY) nameType) (= (type T.P_MDL) nameType) (= (type T.P_OWNER_ENTRY) nameType) (= (type T.P_POOL_TYPE) nameType) (= (type T.P_POWER_SEQUENCE) nameType) (= (type T.P_POWER_STATE) nameType) (= (type T.P_SCSI_REQUEST_BLOCK) nameType) (= (type T.P_SECTION_OBJECT_POINTERS) nameType) (= (type T.P_SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.P_SERIAL_BAUD_RATE) nameType) (= (type T.P_SERIAL_CHARS) nameType) (= (type T.P_SERIAL_CISR_SW) nameType) (= (type T.P_SERIAL_COMMPROP) nameType) (= (type T.P_SERIAL_DEVICE_EXTENSION) nameType) (= (type T.P_SERIAL_HANDFLOW) nameType) (= (type T.P_SERIAL_IOCTL_SYNC) nameType) (= (type T.P_SERIAL_LINE_CONTROL) nameType) (= (type T.P_SERIAL_QUEUE_SIZE) nameType) (= (type T.P_SERIAL_RESIZE_PARAMS) nameType) (= (type T.P_SERIAL_TIMEOUTS) nameType) (= (type T.P_SERIAL_UPDATE_CHAR) nameType) (= (type T.P_SERIAL_XOFF_COUNTER) nameType) (= (type T.P_UNICODE_STRING) nameType) (= (type T.P_VPB) nameType) (= (type T.UCHAR) nameType) (= (type T.UINT2) nameType) (= (type T.UINT4) nameType) (= (type T.UINT8) nameType) (= (type T.VOID) nameType) (= (type T.WMIENABLEDISABLECONTROL) nameType) (= (type T.WMIGUIDREGINFO) nameType) (= (type T._ACCESS_STATE) nameType) (= (type T._CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T._CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T._CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T._CM_RESOURCE_LIST) nameType) (= (type T._COMPRESSED_DATA_INFO) nameType) (= (type T._DEVICE_CAPABILITIES) nameType) (= (type T._DEVICE_OBJECT) nameType) (= (type T._DEVICE_POWER_STATE) nameType) (= (type T._DEVICE_RELATION_TYPE) nameType) (= (type T._DEVICE_USAGE_NOTIFICATION_TYPE) nameType) (= (type T._DEVOBJ_EXTENSION) nameType) (= (type T._DISPATCHER_HEADER) nameType) (= (type T._DRIVER_EXTENSION) nameType) (= (type T._DRIVER_OBJECT) nameType) (= (type T._EPROCESS) nameType) (= (type T._ERESOURCE) nameType) (= (type T._EVENT_TYPE) nameType) (= (type T._FAST_IO_DISPATCH) nameType) (= (type T._FAST_MUTEX) nameType) (= (type T._FILE_BASIC_INFORMATION) nameType) (= (type T._FILE_GET_QUOTA_INFORMATION) nameType) (= (type T._FILE_INFORMATION_CLASS) nameType) (= (type T._FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T._FILE_OBJECT) nameType) (= (type T._FILE_STANDARD_INFORMATION) nameType) (= (type T._FSINFOCLASS) nameType) (= (type T._GUID) nameType) (= (type T._INITIAL_PRIVILEGE_SET) nameType) (= (type T._INTERFACE) nameType) (= (type T._INTERFACE_TYPE) nameType) (= (type T._IO_ALLOCATION_ACTION) nameType) (= (type T._IO_COMPLETION_CONTEXT) nameType) (= (type T._IO_RESOURCE_DESCRIPTOR) nameType) (= (type T._IO_RESOURCE_LIST) nameType) (= (type T._IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T._IO_SECURITY_CONTEXT) nameType) (= (type T._IO_STACK_LOCATION) nameType) (= (type T._IO_STATUS_BLOCK) nameType) (= (type T._IO_TIMER) nameType) (= (type T._IRP) nameType) (= (type T._IRQ_DEVICE_POLICY) nameType) (= (type T._IRQ_PRIORITY) nameType) (= (type T._KAPC) nameType) (= (type T._KDEVICE_QUEUE) nameType) (= (type T._KDEVICE_QUEUE_ENTRY) nameType) (= (type T._KDPC) nameType) (= (type T._KEVENT) nameType) (= (type T._KINTERRUPT) nameType) (= (type T._KPROCESS) nameType) (= (type T._KSEMAPHORE) nameType) (= (type T._KTHREAD) nameType) (= (type T._KTIMER) nameType) (= (type T._KWAIT_REASON) nameType) (= (type T._LARGE_INTEGER) nameType) (= (type T._LIST_ENTRY) nameType) (= (type T._LUID) nameType) (= (type T._LUID_AND_ATTRIBUTES) nameType) (= (type T._MDL) nameType) (= (type T._OWNER_ENTRY) nameType) (= (type T._POOL_TYPE) nameType) (= (type T._POWER_SEQUENCE) nameType) (= (type T._POWER_STATE) nameType) (= (type T._POWER_STATE_TYPE) nameType) (= (type T._PRIVILEGE_SET) nameType) (= (type T._SCSI_REQUEST_BLOCK) nameType) (= (type T._SECTION_OBJECT_POINTERS) nameType) (= (type T._SECURITY_IMPERSONATION_LEVEL) nameType) (= (type T._SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T._SECURITY_SUBJECT_CONTEXT) nameType) (= (type T._SERIALPERF_STATS) nameType) (= (type T._SERIAL_BAUD_RATE) nameType) (= (type T._SERIAL_CHARS) nameType) (= (type T._SERIAL_CISR_SW) nameType) (= (type T._SERIAL_COMMPROP) nameType) (= (type T._SERIAL_DEVICE_EXTENSION) nameType) (= (type T._SERIAL_DEVICE_STATE) nameType) (= (type T._SERIAL_HANDFLOW) nameType) (= (type T._SERIAL_IOCTL_SYNC) nameType) (= (type T._SERIAL_LINE_CONTROL) nameType) (= (type T._SERIAL_QUEUE_SIZE) nameType) (= (type T._SERIAL_RESIZE_PARAMS) nameType) (= (type T._SERIAL_TIMEOUTS) nameType) (= (type T._SERIAL_UPDATE_CHAR) nameType) (= (type T._SERIAL_WMI_COMM_DATA) nameType) (= (type T._SERIAL_WMI_HW_DATA) nameType) (= (type T._SERIAL_WMI_PERF_DATA) nameType) (= (type T._SERIAL_XOFF_COUNTER) nameType) (= (type T._SYSTEM_POWER_STATE) nameType) (= (type T._SYSTEM_POWER_STATE_CONTEXT) nameType) (= (type T._ULARGE_INTEGER) nameType) (= (type T._UNICODE_STRING) nameType) (= (type T._VPB) nameType) (= (type T._WAIT_CONTEXT_BLOCK) nameType) (= (type T._WMILIB_CONTEXT) nameType) (= (type T.__unnamed_12_0cb3dc26) nameType) (= (type T.__unnamed_12_1a4b0b08) nameType) (= (type T.__unnamed_12_1cbe20d6) nameType) (= (type T.__unnamed_12_28f1f9cc) nameType) (= (type T.__unnamed_12_29a9546e) nameType) (= (type T.__unnamed_12_33a88444) nameType) (= (type T.__unnamed_12_468ce3a2) nameType) (= (type T.__unnamed_12_5cc47a19) nameType) (= (type T.__unnamed_12_6fbd747c) nameType) (= (type T.__unnamed_12_9a27b966) nameType) (= (type T.__unnamed_12_9eaf06f6) nameType) (= (type T.__unnamed_12_a967ef4a) nameType) (= (type T.__unnamed_12_ab6ff61b) nameType) (= (type T.__unnamed_12_ad4e1918) nameType) (= (type T.__unnamed_12_c0c3bd45) nameType) (= (type T.__unnamed_12_df63118d) nameType) (= (type T.__unnamed_12_e5164c3f) nameType) (= (type T.__unnamed_12_f1f9be0a) nameType) (= (type T.__unnamed_12_f354d203) nameType) (= (type T.__unnamed_16_2ab145ec) nameType) (= (type T.__unnamed_16_30f1d328) nameType) (= (type T.__unnamed_16_3277c3a0) nameType) (= (type T.__unnamed_16_3a584a7c) nameType) (= (type T.__unnamed_16_3dec08db) nameType) (= (type T.__unnamed_16_57edbc3a) nameType) (= (type T.__unnamed_16_5ac3fe10) nameType) (= (type T.__unnamed_16_5bbbf1e7) nameType) (= (type T.__unnamed_16_66abee0d) nameType) (= (type T.__unnamed_16_6c8935f2) nameType) (= (type T.__unnamed_16_834e30a3) nameType) (= (type T.__unnamed_16_83707d7f) nameType) (= (type T.__unnamed_16_94922103) nameType) (= (type T.__unnamed_16_9eb64f79) nameType) (= (type T.__unnamed_16_a71f10bf) nameType) (= (type T.__unnamed_16_af2c1884) nameType) (= (type T.__unnamed_16_b1a6a9b2) nameType) (= (type T.__unnamed_16_c774559b) nameType) (= (type T.__unnamed_16_ca1b3ad0) nameType) (= (type T.__unnamed_1_4258582a) nameType) (= (type T.__unnamed_1_4f5916b9) nameType) (= (type T.__unnamed_1_923f487b) nameType) (= (type T.__unnamed_1_ac5cb154) nameType) (= (type T.__unnamed_20_9fc4dd36) nameType) (= (type T.__unnamed_24_76c1f52c) nameType) (= (type T.__unnamed_24_87e4ad03) nameType) (= (type T.__unnamed_24_87fb9019) nameType) (= (type T.__unnamed_24_af527a47) nameType) (= (type T.__unnamed_24_b3ef9869) nameType) (= (type T.__unnamed_24_c23e34f7) nameType) (= (type T.__unnamed_24_e04d7241) nameType) (= (type T.__unnamed_2_1d659b1d) nameType) (= (type T.__unnamed_40_1db13fa5) nameType) (= (type T.__unnamed_40_ebf2206a) nameType) (= (type T.__unnamed_44_0d347e8a) nameType) (= (type T.__unnamed_48_ffd8d308) nameType) (= (type T.__unnamed_4_04fc9c34) nameType) (= (type T.__unnamed_4_082ca2fa) nameType) (= (type T.__unnamed_4_142d6b52) nameType) (= (type T.__unnamed_4_1c47e29a) nameType) (= (type T.__unnamed_4_3dc37e35) nameType) (= (type T.__unnamed_4_4d53984e) nameType) (= (type T.__unnamed_4_522a02ae) nameType) (= (type T.__unnamed_4_61d4f5e1) nameType) (= (type T.__unnamed_4_6eaf329f) nameType) (= (type T.__unnamed_4_7b44c46c) nameType) (= (type T.__unnamed_4_7bab7ec3) nameType) (= (type T.__unnamed_4_a8006df8) nameType) (= (type T.__unnamed_4_ab1173de) nameType) (= (type T.__unnamed_4_b2e59cbb) nameType) (= (type T.__unnamed_4_b38dc67f) nameType) (= (type T.__unnamed_4_c62ef092) nameType) (= (type T.__unnamed_4_ce0c1b82) nameType) (= (type T.__unnamed_4_cedfeccd) nameType) (= (type T.__unnamed_4_f13e195c) nameType) (= (type T.__unnamed_4_f14caa62) nameType) (= (type T.__unnamed_4_f18e264a) nameType) (= (type T.__unnamed_8_06a6de28) nameType) (= (type T.__unnamed_8_219179d3) nameType) (= (type T.__unnamed_8_380551ca) nameType) (= (type T.__unnamed_8_3ebf0971) nameType) (= (type T.__unnamed_8_45a58840) nameType) (= (type T.__unnamed_8_544b88f4) nameType) (= (type T.__unnamed_8_5bc13409) nameType) (= (type T.__unnamed_8_5d23cded) nameType) (= (type T.__unnamed_8_5d67d492) nameType) (= (type T.__unnamed_8_655e974a) nameType) (= (type T.__unnamed_8_a4174c52) nameType) (= (type T.__unnamed_8_a569aa82) nameType) (= (type T.__unnamed_8_b3031d0e) nameType) (= (type T.__unnamed_8_b7ca8084) nameType) (= (type T.__unnamed_8_b8c2e139) nameType) (= (type T.__unnamed_8_baf71367) nameType) (= (type T.__unnamed_8_be4b9317) nameType) (= (type T.__unnamed_8_d81ae7e8) nameType) (= (Ctor byteType) 3) (forall ((?arg03 boogieT) (?arg1 boogieT)) (= (Ctor (MapType0Type ?arg03 ?arg1)) 4)) (forall ((?arg04 boogieT) (?arg10 boogieT)) (! (= (MapType0TypeInv0 (MapType0Type ?arg04 ?arg10)) ?arg04) :pattern ((MapType0Type ?arg04 ?arg10)) )) (forall ((?arg05 boogieT) (?arg11 boogieT)) (! (= (MapType0TypeInv1 (MapType0Type ?arg05 ?arg11)) ?arg11) :pattern ((MapType0Type ?arg05 ?arg11)) )) (forall ((?arg06 boogieU) (?arg12 boogieU)) (! (= (type (MapType0Select ?arg06 ?arg12)) (MapType0TypeInv1 (type ?arg06))) :pattern ((MapType0Select ?arg06 ?arg12)) )) (forall ((?arg07 boogieU) (?arg13 boogieU) (?arg2 boogieU)) (! (= (type (MapType0Store ?arg07 ?arg13 ?arg2)) (MapType0Type (type ?arg13) (type ?arg2))) :pattern ((MapType0Store ?arg07 ?arg13 ?arg2)) )) (forall ((?val boogieU) (?m boogieU) (?x00 boogieU)) (= (MapType0Select (MapType0Store ?m ?x00 ?val) ?x00) ?val)) (forall ((?val0 boogieU) (?m0 boogieU) (?x01 boogieU) (?y0 boogieU)) (or (= ?x01 ?y0) (= (MapType0Select (MapType0Store ?m0 ?x01 ?val0) ?y0) (MapType0Select ?m0 ?y0)))) (forall ((?val1 boogieU) (?m1 boogieU) (?x02 boogieU) (?y00 boogieU)) (or true (= (MapType0Select (MapType0Store ?m1 ?x02 ?val1) ?y00) (MapType0Select ?m1 ?y00)))) (= (type Empty) ?v_0) (= (type SetTrue) ?v_0) (forall ((?arg08 Int)) (! (= (type (Singleton ?arg08)) ?v_0) :pattern ((Singleton ?arg08)) )) (forall ((?arg09 boogieU) (?arg14 boogieU)) (! (= (type (Union ?arg09 ?arg14)) ?v_0) :pattern ((Union ?arg09 ?arg14)) )) (forall ((?arg010 boogieU) (?arg15 boogieU)) (! (= (type (Intersection ?arg010 ?arg15)) ?v_0) :pattern ((Intersection ?arg010 ?arg15)) )) (forall ((?arg011 boogieU) (?arg16 boogieU)) (! (= (type (Difference ?arg011 ?arg16)) ?v_0) :pattern ((Difference ?arg011 ?arg16)) )) (forall ((?arg012 boogieU) (?arg17 Int)) (! (= (type (Inverse ?arg012 ?arg17)) ?v_0) :pattern ((Inverse ?arg012 ?arg17)) )) (forall ((?arg013 boogieU) (?arg18 boogieU)) (! (= (type (Dereference ?arg013 ?arg18)) ?v_0) :pattern ((Dereference ?arg013 ?arg18)) )) (forall ((?arg014 boogieU)) (! (= (type (Unified ?arg014)) (MapType0Type intType intType)) :pattern ((Unified ?arg014)) )) (forall ((?arg015 Int)) (! (= (type (Field ?arg015)) nameType) :pattern ((Field ?arg015)) )) (forall ((?arg016 boogieU) (?arg19 boogieU)) (! (= (type (Values ?arg016 ?arg19)) ?v_0) :pattern ((Values ?arg016 ?arg19)) )) (forall ((?arg017 boogieU)) (! (= (type (T.Ptr ?arg017)) nameType) :pattern ((T.Ptr ?arg017)) )) (forall ((?arg018 boogieU)) (! (= (type (x_S_Argument4___unnamed_16_5ac3fe10 ?arg018)) ?v_0) :pattern ((x_S_Argument4___unnamed_16_5ac3fe10 ?arg018)) )) (forall ((?arg019 boogieU)) (! (= (type (x_S_Argument4___unnamed_16_5ac3fe10Inv ?arg019)) ?v_0) :pattern ((x_S_Argument4___unnamed_16_5ac3fe10Inv ?arg019)) )) (forall ((?arg020 boogieU)) (! (= (type (x_S_AssociatedIrp__IRP ?arg020)) ?v_0) :pattern ((x_S_AssociatedIrp__IRP ?arg020)) )) (forall ((?arg021 boogieU)) (! (= (type (x_S_AssociatedIrp__IRPInv ?arg021)) ?v_0) :pattern ((x_S_AssociatedIrp__IRPInv ?arg021)) )) (forall ((?arg022 boogieU)) (! (= (type (x_S_BaudRate__SERIAL_BAUD_RATE ?arg022)) ?v_0) :pattern ((x_S_BaudRate__SERIAL_BAUD_RATE ?arg022)) )) (forall ((?arg023 boogieU)) (! (= (type (x_S_BaudRate__SERIAL_BAUD_RATEInv ?arg023)) ?v_0) :pattern ((x_S_BaudRate__SERIAL_BAUD_RATEInv ?arg023)) )) (forall ((?arg024 boogieU)) (! (= (type (x_S_BaudRate__SERIAL_WMI_COMM_DATA ?arg024)) ?v_0) :pattern ((x_S_BaudRate__SERIAL_WMI_COMM_DATA ?arg024)) )) (forall ((?arg025 boogieU)) (! (= (type (x_S_BaudRate__SERIAL_WMI_COMM_DATAInv ?arg025)) ?v_0) :pattern ((x_S_BaudRate__SERIAL_WMI_COMM_DATAInv ?arg025)) )) (forall ((?arg026 boogieU)) (! (= (type (x_S_BitsPerByte__SERIAL_WMI_COMM_DATA ?arg026)) ?v_0) :pattern ((x_S_BitsPerByte__SERIAL_WMI_COMM_DATA ?arg026)) )) (forall ((?arg027 boogieU)) (! (= (type (x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv ?arg027)) ?v_0) :pattern ((x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv ?arg027)) )) (forall ((?arg028 boogieU)) (! (= (type (x_S_Blink__LIST_ENTRY ?arg028)) ?v_0) :pattern ((x_S_Blink__LIST_ENTRY ?arg028)) )) (forall ((?arg029 boogieU)) (! (= (type (x_S_Blink__LIST_ENTRYInv ?arg029)) ?v_0) :pattern ((x_S_Blink__LIST_ENTRYInv ?arg029)) )) (forall ((?arg030 boogieU)) (! (= (type (x_S_BreakChar__SERIAL_CHARS ?arg030)) ?v_0) :pattern ((x_S_BreakChar__SERIAL_CHARS ?arg030)) )) (forall ((?arg031 boogieU)) (! (= (type (x_S_BreakChar__SERIAL_CHARSInv ?arg031)) ?v_0) :pattern ((x_S_BreakChar__SERIAL_CHARSInv ?arg031)) )) (forall ((?arg032 boogieU)) (! (= (type (x_S_BufferSize__SERIAL_DEVICE_EXTENSION ?arg032)) ?v_0) :pattern ((x_S_BufferSize__SERIAL_DEVICE_EXTENSION ?arg032)) )) (forall ((?arg033 boogieU)) (! (= (type (x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv ?arg033)) ?v_0) :pattern ((x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv ?arg033)) )) (forall ((?arg034 boogieU)) (! (= (type (x_S_CancelIrql__IRP ?arg034)) ?v_0) :pattern ((x_S_CancelIrql__IRP ?arg034)) )) (forall ((?arg035 boogieU)) (! (= (type (x_S_CancelIrql__IRPInv ?arg035)) ?v_0) :pattern ((x_S_CancelIrql__IRPInv ?arg035)) )) (forall ((?arg036 boogieU)) (! (= (type (x_S_CancelRoutine__IRP ?arg036)) ?v_0) :pattern ((x_S_CancelRoutine__IRP ?arg036)) )) (forall ((?arg037 boogieU)) (! (= (type (x_S_CancelRoutine__IRPInv ?arg037)) ?v_0) :pattern ((x_S_CancelRoutine__IRPInv ?arg037)) )) (forall ((?arg038 boogieU)) (! (= (type (x_S_Cancel__IRP ?arg038)) ?v_0) :pattern ((x_S_Cancel__IRP ?arg038)) )) (forall ((?arg039 boogieU)) (! (= (type (x_S_Cancel__IRPInv ?arg039)) ?v_0) :pattern ((x_S_Cancel__IRPInv ?arg039)) )) (forall ((?arg040 boogieU)) (! (= (type (x_S_CharsCopied__SERIAL_UPDATE_CHAR ?arg040)) ?v_0) :pattern ((x_S_CharsCopied__SERIAL_UPDATE_CHAR ?arg040)) )) (forall ((?arg041 boogieU)) (! (= (type (x_S_CharsCopied__SERIAL_UPDATE_CHARInv ?arg041)) ?v_0) :pattern ((x_S_CharsCopied__SERIAL_UPDATE_CHARInv ?arg041)) )) (forall ((?arg042 boogieU)) (! (= (type (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?arg042)) ?v_0) :pattern ((x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?arg042)) )) (forall ((?arg043 boogieU)) (! (= (type (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?arg043)) ?v_0) :pattern ((x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?arg043)) )) (forall ((?arg044 boogieU)) (! (= (type (x_S_ClockRate__SERIAL_DEVICE_EXTENSION ?arg044)) ?v_0) :pattern ((x_S_ClockRate__SERIAL_DEVICE_EXTENSION ?arg044)) )) (forall ((?arg045 boogieU)) (! (= (type (x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv ?arg045)) ?v_0) :pattern ((x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv ?arg045)) )) (forall ((?arg046 boogieU)) (! (= (type (x_S_Completed__SERIAL_UPDATE_CHAR ?arg046)) ?v_0) :pattern ((x_S_Completed__SERIAL_UPDATE_CHAR ?arg046)) )) (forall ((?arg047 boogieU)) (! (= (type (x_S_Completed__SERIAL_UPDATE_CHARInv ?arg047)) ?v_0) :pattern ((x_S_Completed__SERIAL_UPDATE_CHARInv ?arg047)) )) (forall ((?arg048 boogieU)) (! (= (type (x_S_ControlHandShake__SERIAL_HANDFLOW ?arg048)) ?v_0) :pattern ((x_S_ControlHandShake__SERIAL_HANDFLOW ?arg048)) )) (forall ((?arg049 boogieU)) (! (= (type (x_S_ControlHandShake__SERIAL_HANDFLOWInv ?arg049)) ?v_0) :pattern ((x_S_ControlHandShake__SERIAL_HANDFLOWInv ?arg049)) )) (forall ((?arg050 boogieU)) (! (= (type (x_S_ControlLock__SERIAL_DEVICE_EXTENSION ?arg050)) ?v_0) :pattern ((x_S_ControlLock__SERIAL_DEVICE_EXTENSION ?arg050)) )) (forall ((?arg051 boogieU)) (! (= (type (x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv ?arg051)) ?v_0) :pattern ((x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv ?arg051)) )) (forall ((?arg052 boogieU)) (! (= (type (x_S_Controller__SERIAL_DEVICE_EXTENSION ?arg052)) ?v_0) :pattern ((x_S_Controller__SERIAL_DEVICE_EXTENSION ?arg052)) )) (forall ((?arg053 boogieU)) (! (= (type (x_S_Controller__SERIAL_DEVICE_EXTENSIONInv ?arg053)) ?v_0) :pattern ((x_S_Controller__SERIAL_DEVICE_EXTENSIONInv ?arg053)) )) (forall ((?arg054 boogieU)) (! (= (type (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION ?arg054)) ?v_0) :pattern ((x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION ?arg054)) )) (forall ((?arg055 boogieU)) (! (= (type (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?arg055)) ?v_0) :pattern ((x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?arg055)) )) (forall ((?arg056 boogieU)) (! (= (type (x_S_Counter__SERIAL_XOFF_COUNTER ?arg056)) ?v_0) :pattern ((x_S_Counter__SERIAL_XOFF_COUNTER ?arg056)) )) (forall ((?arg057 boogieU)) (! (= (type (x_S_Counter__SERIAL_XOFF_COUNTERInv ?arg057)) ?v_0) :pattern ((x_S_Counter__SERIAL_XOFF_COUNTERInv ?arg057)) )) (forall ((?arg058 boogieU)) (! (= (type (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION ?arg058)) ?v_0) :pattern ((x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION ?arg058)) )) (forall ((?arg059 boogieU)) (! (= (type (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?arg059)) ?v_0) :pattern ((x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?arg059)) )) (forall ((?arg060 boogieU)) (! (= (type (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?arg060)) ?v_0) :pattern ((x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?arg060)) )) (forall ((?arg061 boogieU)) (! (= (type (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?arg061)) ?v_0) :pattern ((x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?arg061)) )) (forall ((?arg062 boogieU)) (! (= (type (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?arg062)) ?v_0) :pattern ((x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?arg062)) )) (forall ((?arg063 boogieU)) (! (= (type (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?arg063)) ?v_0) :pattern ((x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?arg063)) )) (forall ((?arg064 boogieU)) (! (= (type (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?arg064)) ?v_0) :pattern ((x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?arg064)) )) (forall ((?arg065 boogieU)) (! (= (type (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?arg065)) ?v_0) :pattern ((x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?arg065)) )) (forall ((?arg066 boogieU)) (! (= (type (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?arg066)) ?v_0) :pattern ((x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?arg066)) )) (forall ((?arg067 boogieU)) (! (= (type (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?arg067)) ?v_0) :pattern ((x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?arg067)) )) (forall ((?arg068 boogieU)) (! (= (type (x_S_CurrentRxQueue__SERIAL_COMMPROP ?arg068)) ?v_0) :pattern ((x_S_CurrentRxQueue__SERIAL_COMMPROP ?arg068)) )) (forall ((?arg069 boogieU)) (! (= (type (x_S_CurrentRxQueue__SERIAL_COMMPROPInv ?arg069)) ?v_0) :pattern ((x_S_CurrentRxQueue__SERIAL_COMMPROPInv ?arg069)) )) (forall ((?arg070 boogieU)) (! (= (type (x_S_CurrentTxQueue__SERIAL_COMMPROP ?arg070)) ?v_0) :pattern ((x_S_CurrentTxQueue__SERIAL_COMMPROP ?arg070)) )) (forall ((?arg071 boogieU)) (! (= (type (x_S_CurrentTxQueue__SERIAL_COMMPROPInv ?arg071)) ?v_0) :pattern ((x_S_CurrentTxQueue__SERIAL_COMMPROPInv ?arg071)) )) (forall ((?arg072 boogieU)) (! (= (type (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?arg072)) ?v_0) :pattern ((x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?arg072)) )) (forall ((?arg073 boogieU)) (! (= (type (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?arg073)) ?v_0) :pattern ((x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?arg073)) )) (forall ((?arg074 boogieU)) (! (= (type (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?arg074)) ?v_0) :pattern ((x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?arg074)) )) (forall ((?arg075 boogieU)) (! (= (type (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?arg075)) ?v_0) :pattern ((x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?arg075)) )) (forall ((?arg076 boogieU)) (! (= (type (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION ?arg076)) ?v_0) :pattern ((x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION ?arg076)) )) (forall ((?arg077 boogieU)) (! (= (type (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?arg077)) ?v_0) :pattern ((x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?arg077)) )) (forall ((?arg078 boogieU)) (! (= (type (x_S_Data__SERIAL_IOCTL_SYNC ?arg078)) ?v_0) :pattern ((x_S_Data__SERIAL_IOCTL_SYNC ?arg078)) )) (forall ((?arg079 boogieU)) (! (= (type (x_S_Data__SERIAL_IOCTL_SYNCInv ?arg079)) ?v_0) :pattern ((x_S_Data__SERIAL_IOCTL_SYNCInv ?arg079)) )) (forall ((?arg080 boogieU)) (! (= (type (x_S_DeviceExtension__DEVICE_OBJECT ?arg080)) ?v_0) :pattern ((x_S_DeviceExtension__DEVICE_OBJECT ?arg080)) )) (forall ((?arg081 boogieU)) (! (= (type (x_S_DeviceExtension__DEVICE_OBJECTInv ?arg081)) ?v_0) :pattern ((x_S_DeviceExtension__DEVICE_OBJECTInv ?arg081)) )) (forall ((?arg082 boogieU)) (! (= (type (x_S_DeviceIoControl___unnamed_16_57edbc3a ?arg082)) ?v_0) :pattern ((x_S_DeviceIoControl___unnamed_16_57edbc3a ?arg082)) )) (forall ((?arg083 boogieU)) (! (= (type (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?arg083)) ?v_0) :pattern ((x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?arg083)) )) (forall ((?arg084 boogieU)) (! (= (type (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?arg084)) ?v_0) :pattern ((x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?arg084)) )) (forall ((?arg085 boogieU)) (! (= (type (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?arg085)) ?v_0) :pattern ((x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?arg085)) )) (forall ((?arg086 boogieU)) (! (= (type (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?arg086)) ?v_0) :pattern ((x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?arg086)) )) (forall ((?arg087 boogieU)) (! (= (type (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?arg087)) ?v_0) :pattern ((x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?arg087)) )) (forall ((?arg088 boogieU)) (! (= (type (x_S_DeviceState__POWER_STATE ?arg088)) ?v_0) :pattern ((x_S_DeviceState__POWER_STATE ?arg088)) )) (forall ((?arg089 boogieU)) (! (= (type (x_S_DeviceState__POWER_STATEInv ?arg089)) ?v_0) :pattern ((x_S_DeviceState__POWER_STATEInv ?arg089)) )) (forall ((?arg090 boogieU)) (! (= (type (x_S_DpcCount__SERIAL_DEVICE_EXTENSION ?arg090)) ?v_0) :pattern ((x_S_DpcCount__SERIAL_DEVICE_EXTENSION ?arg090)) )) (forall ((?arg091 boogieU)) (! (= (type (x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv ?arg091)) ?v_0) :pattern ((x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv ?arg091)) )) (forall ((?arg092 boogieU)) (! (= (type (x_S_Dpc__KTIMER ?arg092)) ?v_0) :pattern ((x_S_Dpc__KTIMER ?arg092)) )) (forall ((?arg093 boogieU)) (! (= (type (x_S_Dpc__KTIMERInv ?arg093)) ?v_0) :pattern ((x_S_Dpc__KTIMERInv ?arg093)) )) (forall ((?arg094 boogieU)) (! (= (type (x_S_EofChar__SERIAL_CHARS ?arg094)) ?v_0) :pattern ((x_S_EofChar__SERIAL_CHARS ?arg094)) )) (forall ((?arg095 boogieU)) (! (= (type (x_S_EofChar__SERIAL_CHARSInv ?arg095)) ?v_0) :pattern ((x_S_EofChar__SERIAL_CHARSInv ?arg095)) )) (forall ((?arg096 boogieU)) (! (= (type (x_S_ErrorChar__SERIAL_CHARS ?arg096)) ?v_0) :pattern ((x_S_ErrorChar__SERIAL_CHARS ?arg096)) )) (forall ((?arg097 boogieU)) (! (= (type (x_S_ErrorChar__SERIAL_CHARSInv ?arg097)) ?v_0) :pattern ((x_S_ErrorChar__SERIAL_CHARSInv ?arg097)) )) (forall ((?arg098 boogieU)) (! (= (type (x_S_ErrorWord__SERIAL_DEVICE_EXTENSION ?arg098)) ?v_0) :pattern ((x_S_ErrorWord__SERIAL_DEVICE_EXTENSION ?arg098)) )) (forall ((?arg099 boogieU)) (! (= (type (x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?arg099)) ?v_0) :pattern ((x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?arg099)) )) (forall ((?arg0100 boogieU)) (! (= (type (x_S_EscapeChar__SERIAL_DEVICE_EXTENSION ?arg0100)) ?v_0) :pattern ((x_S_EscapeChar__SERIAL_DEVICE_EXTENSION ?arg0100)) )) (forall ((?arg0101 boogieU)) (! (= (type (x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?arg0101)) ?v_0) :pattern ((x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?arg0101)) )) (forall ((?arg0102 boogieU)) (! (= (type (x_S_EventChar__SERIAL_CHARS ?arg0102)) ?v_0) :pattern ((x_S_EventChar__SERIAL_CHARS ?arg0102)) )) (forall ((?arg0103 boogieU)) (! (= (type (x_S_EventChar__SERIAL_CHARSInv ?arg0103)) ?v_0) :pattern ((x_S_EventChar__SERIAL_CHARSInv ?arg0103)) )) (forall ((?arg0104 boogieU)) (! (= (type (x_S_Extension__SERIAL_IOCTL_SYNC ?arg0104)) ?v_0) :pattern ((x_S_Extension__SERIAL_IOCTL_SYNC ?arg0104)) )) (forall ((?arg0105 boogieU)) (! (= (type (x_S_Extension__SERIAL_IOCTL_SYNCInv ?arg0105)) ?v_0) :pattern ((x_S_Extension__SERIAL_IOCTL_SYNCInv ?arg0105)) )) (forall ((?arg0106 boogieU)) (! (= (type (x_S_Extension__SERIAL_RESIZE_PARAMS ?arg0106)) ?v_0) :pattern ((x_S_Extension__SERIAL_RESIZE_PARAMS ?arg0106)) )) (forall ((?arg0107 boogieU)) (! (= (type (x_S_Extension__SERIAL_RESIZE_PARAMSInv ?arg0107)) ?v_0) :pattern ((x_S_Extension__SERIAL_RESIZE_PARAMSInv ?arg0107)) )) (forall ((?arg0108 boogieU)) (! (= (type (x_S_Extension__SERIAL_UPDATE_CHAR ?arg0108)) ?v_0) :pattern ((x_S_Extension__SERIAL_UPDATE_CHAR ?arg0108)) )) (forall ((?arg0109 boogieU)) (! (= (type (x_S_Extension__SERIAL_UPDATE_CHARInv ?arg0109)) ?v_0) :pattern ((x_S_Extension__SERIAL_UPDATE_CHARInv ?arg0109)) )) (forall ((?arg0110 boogieU)) (! (= (type (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION ?arg0110)) ?v_0) :pattern ((x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION ?arg0110)) )) (forall ((?arg0111 boogieU)) (! (= (type (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?arg0111)) ?v_0) :pattern ((x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?arg0111)) )) (forall ((?arg0112 boogieU)) (! (= (type (x_S_FlagsLock__SERIAL_DEVICE_EXTENSION ?arg0112)) ?v_0) :pattern ((x_S_FlagsLock__SERIAL_DEVICE_EXTENSION ?arg0112)) )) (forall ((?arg0113 boogieU)) (! (= (type (x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?arg0113)) ?v_0) :pattern ((x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?arg0113)) )) (forall ((?arg0114 boogieU)) (! (= (type (x_S_Flags__SERIAL_DEVICE_EXTENSION ?arg0114)) ?v_0) :pattern ((x_S_Flags__SERIAL_DEVICE_EXTENSION ?arg0114)) )) (forall ((?arg0115 boogieU)) (! (= (type (x_S_Flags__SERIAL_DEVICE_EXTENSIONInv ?arg0115)) ?v_0) :pattern ((x_S_Flags__SERIAL_DEVICE_EXTENSIONInv ?arg0115)) )) (forall ((?arg0116 boogieU)) (! (= (type (x_S_Flink__LIST_ENTRY ?arg0116)) ?v_0) :pattern ((x_S_Flink__LIST_ENTRY ?arg0116)) )) (forall ((?arg0117 boogieU)) (! (= (type (x_S_Flink__LIST_ENTRYInv ?arg0117)) ?v_0) :pattern ((x_S_Flink__LIST_ENTRYInv ?arg0117)) )) (forall ((?arg0118 boogieU)) (! (= (type (x_S_FlowReplace__SERIAL_HANDFLOW ?arg0118)) ?v_0) :pattern ((x_S_FlowReplace__SERIAL_HANDFLOW ?arg0118)) )) (forall ((?arg0119 boogieU)) (! (= (type (x_S_FlowReplace__SERIAL_HANDFLOWInv ?arg0119)) ?v_0) :pattern ((x_S_FlowReplace__SERIAL_HANDFLOWInv ?arg0119)) )) (forall ((?arg0120 boogieU)) (! (= (type (x_S_HandFlow__SERIAL_DEVICE_EXTENSION ?arg0120)) ?v_0) :pattern ((x_S_HandFlow__SERIAL_DEVICE_EXTENSION ?arg0120)) )) (forall ((?arg0121 boogieU)) (! (= (type (x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv ?arg0121)) ?v_0) :pattern ((x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv ?arg0121)) )) (forall ((?arg0122 boogieU)) (! (= (type (x_S_HighPart___unnamed_8_544b88f4 ?arg0122)) ?v_0) :pattern ((x_S_HighPart___unnamed_8_544b88f4 ?arg0122)) )) (forall ((?arg0123 boogieU)) (! (= (type (x_S_HighPart___unnamed_8_544b88f4Inv ?arg0123)) ?v_0) :pattern ((x_S_HighPart___unnamed_8_544b88f4Inv ?arg0123)) )) (forall ((?arg0124 boogieU)) (! (= (type (x_S_HighPart___unnamed_8_5d67d492 ?arg0124)) ?v_0) :pattern ((x_S_HighPart___unnamed_8_5d67d492 ?arg0124)) )) (forall ((?arg0125 boogieU)) (! (= (type (x_S_HighPart___unnamed_8_5d67d492Inv ?arg0125)) ?v_0) :pattern ((x_S_HighPart___unnamed_8_5d67d492Inv ?arg0125)) )) (forall ((?arg0126 boogieU)) (! (= (type (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?arg0126)) ?v_0) :pattern ((x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?arg0126)) )) (forall ((?arg0127 boogieU)) (! (= (type (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0127)) ?v_0) :pattern ((x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0127)) )) (forall ((?arg0128 boogieU)) (! (= (type (x_S_InSize__SERIAL_QUEUE_SIZE ?arg0128)) ?v_0) :pattern ((x_S_InSize__SERIAL_QUEUE_SIZE ?arg0128)) )) (forall ((?arg0129 boogieU)) (! (= (type (x_S_InSize__SERIAL_QUEUE_SIZEInv ?arg0129)) ?v_0) :pattern ((x_S_InSize__SERIAL_QUEUE_SIZEInv ?arg0129)) )) (forall ((?arg0130 boogieU)) (! (= (type (x_S_Information__IO_STATUS_BLOCK ?arg0130)) ?v_0) :pattern ((x_S_Information__IO_STATUS_BLOCK ?arg0130)) )) (forall ((?arg0131 boogieU)) (! (= (type (x_S_Information__IO_STATUS_BLOCKInv ?arg0131)) ?v_0) :pattern ((x_S_Information__IO_STATUS_BLOCKInv ?arg0131)) )) (forall ((?arg0132 boogieU)) (! (= (type (x_S_InputBufferLength___unnamed_16_5bbbf1e7 ?arg0132)) ?v_0) :pattern ((x_S_InputBufferLength___unnamed_16_5bbbf1e7 ?arg0132)) )) (forall ((?arg0133 boogieU)) (! (= (type (x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv ?arg0133)) ?v_0) :pattern ((x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv ?arg0133)) )) (forall ((?arg0134 boogieU)) (! (= (type (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?arg0134)) ?v_0) :pattern ((x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?arg0134)) )) (forall ((?arg0135 boogieU)) (! (= (type (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?arg0135)) ?v_0) :pattern ((x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?arg0135)) )) (forall ((?arg0136 boogieU)) (! (= (type (x_S_Interrupt__SERIAL_DEVICE_EXTENSION ?arg0136)) ?v_0) :pattern ((x_S_Interrupt__SERIAL_DEVICE_EXTENSION ?arg0136)) )) (forall ((?arg0137 boogieU)) (! (= (type (x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv ?arg0137)) ?v_0) :pattern ((x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv ?arg0137)) )) (forall ((?arg0138 boogieU)) (! (= (type (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0138)) ?v_0) :pattern ((x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0138)) )) (forall ((?arg0139 boogieU)) (! (= (type (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0139)) ?v_0) :pattern ((x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0139)) )) (forall ((?arg0140 boogieU)) (! (= (type (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?arg0140)) ?v_0) :pattern ((x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?arg0140)) )) (forall ((?arg0141 boogieU)) (! (= (type (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?arg0141)) ?v_0) :pattern ((x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?arg0141)) )) (forall ((?arg0142 boogieU)) (! (= (type (x_S_IntervalTime__SERIAL_DEVICE_EXTENSION ?arg0142)) ?v_0) :pattern ((x_S_IntervalTime__SERIAL_DEVICE_EXTENSION ?arg0142)) )) (forall ((?arg0143 boogieU)) (! (= (type (x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?arg0143)) ?v_0) :pattern ((x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?arg0143)) )) (forall ((?arg0144 boogieU)) (! (= (type (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?arg0144)) ?v_0) :pattern ((x_S_IoControlCode___unnamed_16_5bbbf1e7 ?arg0144)) )) (forall ((?arg0145 boogieU)) (! (= (type (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?arg0145)) ?v_0) :pattern ((x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?arg0145)) )) (forall ((?arg0146 boogieU)) (! (= (type (x_S_IoStatus__IRP ?arg0146)) ?v_0) :pattern ((x_S_IoStatus__IRP ?arg0146)) )) (forall ((?arg0147 boogieU)) (! (= (type (x_S_IoStatus__IRPInv ?arg0147)) ?v_0) :pattern ((x_S_IoStatus__IRPInv ?arg0147)) )) (forall ((?arg0148 boogieU)) (! (= (type (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION ?arg0148)) ?v_0) :pattern ((x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION ?arg0148)) )) (forall ((?arg0149 boogieU)) (! (= (type (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?arg0149)) ?v_0) :pattern ((x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?arg0149)) )) (forall ((?arg0150 boogieU)) (! (= (type (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION ?arg0150)) ?v_0) :pattern ((x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION ?arg0150)) )) (forall ((?arg0151 boogieU)) (! (= (type (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?arg0151)) ?v_0) :pattern ((x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?arg0151)) )) (forall ((?arg0152 boogieU)) (! (= (type (x_S_LastReadTime__SERIAL_DEVICE_EXTENSION ?arg0152)) ?v_0) :pattern ((x_S_LastReadTime__SERIAL_DEVICE_EXTENSION ?arg0152)) )) (forall ((?arg0153 boogieU)) (! (= (type (x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?arg0153)) ?v_0) :pattern ((x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?arg0153)) )) (forall ((?arg0154 boogieU)) (! (= (type (x_S_Length___unnamed_16_3a584a7c ?arg0154)) ?v_0) :pattern ((x_S_Length___unnamed_16_3a584a7c ?arg0154)) )) (forall ((?arg0155 boogieU)) (! (= (type (x_S_Length___unnamed_16_3a584a7cInv ?arg0155)) ?v_0) :pattern ((x_S_Length___unnamed_16_3a584a7cInv ?arg0155)) )) (forall ((?arg0156 boogieU)) (! (= (type (x_S_Length___unnamed_16_94922103 ?arg0156)) ?v_0) :pattern ((x_S_Length___unnamed_16_94922103 ?arg0156)) )) (forall ((?arg0157 boogieU)) (! (= (type (x_S_Length___unnamed_16_94922103Inv ?arg0157)) ?v_0) :pattern ((x_S_Length___unnamed_16_94922103Inv ?arg0157)) )) (forall ((?arg0158 boogieU)) (! (= (type (x_S_LineControl__SERIAL_DEVICE_EXTENSION ?arg0158)) ?v_0) :pattern ((x_S_LineControl__SERIAL_DEVICE_EXTENSION ?arg0158)) )) (forall ((?arg0159 boogieU)) (! (= (type (x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv ?arg0159)) ?v_0) :pattern ((x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv ?arg0159)) )) (forall ((?arg0160 boogieU)) (! (= (type (x_S_ListEntry___unnamed_12_5cc47a19 ?arg0160)) ?v_0) :pattern ((x_S_ListEntry___unnamed_12_5cc47a19 ?arg0160)) )) (forall ((?arg0161 boogieU)) (! (= (type (x_S_ListEntry___unnamed_12_5cc47a19Inv ?arg0161)) ?v_0) :pattern ((x_S_ListEntry___unnamed_12_5cc47a19Inv ?arg0161)) )) (forall ((?arg0162 boogieU)) (! (= (type (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?arg0162)) ?v_0) :pattern ((x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?arg0162)) )) (forall ((?arg0163 boogieU)) (! (= (type (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?arg0163)) ?v_0) :pattern ((x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?arg0163)) )) (forall ((?arg0164 boogieU)) (! (= (type (x_S_LowPart___unnamed_8_544b88f4 ?arg0164)) ?v_0) :pattern ((x_S_LowPart___unnamed_8_544b88f4 ?arg0164)) )) (forall ((?arg0165 boogieU)) (! (= (type (x_S_LowPart___unnamed_8_544b88f4Inv ?arg0165)) ?v_0) :pattern ((x_S_LowPart___unnamed_8_544b88f4Inv ?arg0165)) )) (forall ((?arg0166 boogieU)) (! (= (type (x_S_LowPart___unnamed_8_5d67d492 ?arg0166)) ?v_0) :pattern ((x_S_LowPart___unnamed_8_5d67d492 ?arg0166)) )) (forall ((?arg0167 boogieU)) (! (= (type (x_S_LowPart___unnamed_8_5d67d492Inv ?arg0167)) ?v_0) :pattern ((x_S_LowPart___unnamed_8_5d67d492Inv ?arg0167)) )) (forall ((?arg0168 boogieU)) (! (= (type (x_S_MajorFunction__IO_STACK_LOCATION ?arg0168)) ?v_0) :pattern ((x_S_MajorFunction__IO_STACK_LOCATION ?arg0168)) )) (forall ((?arg0169 boogieU)) (! (= (type (x_S_MajorFunction__IO_STACK_LOCATIONInv ?arg0169)) ?v_0) :pattern ((x_S_MajorFunction__IO_STACK_LOCATIONInv ?arg0169)) )) (forall ((?arg0170 boogieU)) (! (= (type (x_S_MaskQueue__SERIAL_DEVICE_EXTENSION ?arg0170)) ?v_0) :pattern ((x_S_MaskQueue__SERIAL_DEVICE_EXTENSION ?arg0170)) )) (forall ((?arg0171 boogieU)) (! (= (type (x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0171)) ?v_0) :pattern ((x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0171)) )) (forall ((?arg0172 boogieU)) (! (= (type (x_S_MaxBaud__SERIAL_COMMPROP ?arg0172)) ?v_0) :pattern ((x_S_MaxBaud__SERIAL_COMMPROP ?arg0172)) )) (forall ((?arg0173 boogieU)) (! (= (type (x_S_MaxBaud__SERIAL_COMMPROPInv ?arg0173)) ?v_0) :pattern ((x_S_MaxBaud__SERIAL_COMMPROPInv ?arg0173)) )) (forall ((?arg0174 boogieU)) (! (= (type (x_S_MaxRxQueue__SERIAL_COMMPROP ?arg0174)) ?v_0) :pattern ((x_S_MaxRxQueue__SERIAL_COMMPROP ?arg0174)) )) (forall ((?arg0175 boogieU)) (! (= (type (x_S_MaxRxQueue__SERIAL_COMMPROPInv ?arg0175)) ?v_0) :pattern ((x_S_MaxRxQueue__SERIAL_COMMPROPInv ?arg0175)) )) (forall ((?arg0176 boogieU)) (! (= (type (x_S_MaxTxQueue__SERIAL_COMMPROP ?arg0176)) ?v_0) :pattern ((x_S_MaxTxQueue__SERIAL_COMMPROP ?arg0176)) )) (forall ((?arg0177 boogieU)) (! (= (type (x_S_MaxTxQueue__SERIAL_COMMPROPInv ?arg0177)) ?v_0) :pattern ((x_S_MaxTxQueue__SERIAL_COMMPROPInv ?arg0177)) )) (forall ((?arg0178 boogieU)) (! (= (type (x_S_NewBufferSize__SERIAL_RESIZE_PARAMS ?arg0178)) ?v_0) :pattern ((x_S_NewBufferSize__SERIAL_RESIZE_PARAMS ?arg0178)) )) (forall ((?arg0179 boogieU)) (! (= (type (x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv ?arg0179)) ?v_0) :pattern ((x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv ?arg0179)) )) (forall ((?arg0180 boogieU)) (! (= (type (x_S_NewBuffer__SERIAL_RESIZE_PARAMS ?arg0180)) ?v_0) :pattern ((x_S_NewBuffer__SERIAL_RESIZE_PARAMS ?arg0180)) )) (forall ((?arg0181 boogieU)) (! (= (type (x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv ?arg0181)) ?v_0) :pattern ((x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv ?arg0181)) )) (forall ((?arg0182 boogieU)) (! (= (type (x_S_NumberMoved__SERIAL_RESIZE_PARAMS ?arg0182)) ?v_0) :pattern ((x_S_NumberMoved__SERIAL_RESIZE_PARAMS ?arg0182)) )) (forall ((?arg0183 boogieU)) (! (= (type (x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv ?arg0183)) ?v_0) :pattern ((x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv ?arg0183)) )) (forall ((?arg0184 boogieU)) (! (= (type (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?arg0184)) ?v_0) :pattern ((x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?arg0184)) )) (forall ((?arg0185 boogieU)) (! (= (type (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?arg0185)) ?v_0) :pattern ((x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?arg0185)) )) (forall ((?arg0186 boogieU)) (! (= (type (x_S_OldBuffer__SERIAL_RESIZE_PARAMS ?arg0186)) ?v_0) :pattern ((x_S_OldBuffer__SERIAL_RESIZE_PARAMS ?arg0186)) )) (forall ((?arg0187 boogieU)) (! (= (type (x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv ?arg0187)) ?v_0) :pattern ((x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv ?arg0187)) )) (forall ((?arg0188 boogieU)) (! (= (type (x_S_Others___unnamed_16_57edbc3a ?arg0188)) ?v_0) :pattern ((x_S_Others___unnamed_16_57edbc3a ?arg0188)) )) (forall ((?arg0189 boogieU)) (! (= (type (x_S_Others___unnamed_16_57edbc3aInv ?arg0189)) ?v_0) :pattern ((x_S_Others___unnamed_16_57edbc3aInv ?arg0189)) )) (forall ((?arg0190 boogieU)) (! (= (type (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?arg0190)) ?v_0) :pattern ((x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?arg0190)) )) (forall ((?arg0191 boogieU)) (! (= (type (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?arg0191)) ?v_0) :pattern ((x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?arg0191)) )) (forall ((?arg0192 boogieU)) (! (= (type (x_S_Overlay___unnamed_48_ffd8d308 ?arg0192)) ?v_0) :pattern ((x_S_Overlay___unnamed_48_ffd8d308 ?arg0192)) )) (forall ((?arg0193 boogieU)) (! (= (type (x_S_Overlay___unnamed_48_ffd8d308Inv ?arg0193)) ?v_0) :pattern ((x_S_Overlay___unnamed_48_ffd8d308Inv ?arg0193)) )) (forall ((?arg0194 boogieU)) (! (= (type (x_S_PacketLength__SERIAL_COMMPROP ?arg0194)) ?v_0) :pattern ((x_S_PacketLength__SERIAL_COMMPROP ?arg0194)) )) (forall ((?arg0195 boogieU)) (! (= (type (x_S_PacketLength__SERIAL_COMMPROPInv ?arg0195)) ?v_0) :pattern ((x_S_PacketLength__SERIAL_COMMPROPInv ?arg0195)) )) (forall ((?arg0196 boogieU)) (! (= (type (x_S_PacketVersion__SERIAL_COMMPROP ?arg0196)) ?v_0) :pattern ((x_S_PacketVersion__SERIAL_COMMPROP ?arg0196)) )) (forall ((?arg0197 boogieU)) (! (= (type (x_S_PacketVersion__SERIAL_COMMPROPInv ?arg0197)) ?v_0) :pattern ((x_S_PacketVersion__SERIAL_COMMPROPInv ?arg0197)) )) (forall ((?arg0198 boogieU)) (! (= (type (x_S_Parameters__IO_STACK_LOCATION ?arg0198)) ?v_0) :pattern ((x_S_Parameters__IO_STACK_LOCATION ?arg0198)) )) (forall ((?arg0199 boogieU)) (! (= (type (x_S_Parameters__IO_STACK_LOCATIONInv ?arg0199)) ?v_0) :pattern ((x_S_Parameters__IO_STACK_LOCATIONInv ?arg0199)) )) (forall ((?arg0200 boogieU)) (! (= (type (x_S_Parity__SERIAL_LINE_CONTROL ?arg0200)) ?v_0) :pattern ((x_S_Parity__SERIAL_LINE_CONTROL ?arg0200)) )) (forall ((?arg0201 boogieU)) (! (= (type (x_S_Parity__SERIAL_LINE_CONTROLInv ?arg0201)) ?v_0) :pattern ((x_S_Parity__SERIAL_LINE_CONTROLInv ?arg0201)) )) (forall ((?arg0202 boogieU)) (! (= (type (x_S_Parity__SERIAL_WMI_COMM_DATA ?arg0202)) ?v_0) :pattern ((x_S_Parity__SERIAL_WMI_COMM_DATA ?arg0202)) )) (forall ((?arg0203 boogieU)) (! (= (type (x_S_Parity__SERIAL_WMI_COMM_DATAInv ?arg0203)) ?v_0) :pattern ((x_S_Parity__SERIAL_WMI_COMM_DATAInv ?arg0203)) )) (forall ((?arg0204 boogieU)) (! (= (type (x_S_Pdo__SERIAL_DEVICE_EXTENSION ?arg0204)) ?v_0) :pattern ((x_S_Pdo__SERIAL_DEVICE_EXTENSION ?arg0204)) )) (forall ((?arg0205 boogieU)) (! (= (type (x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv ?arg0205)) ?v_0) :pattern ((x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv ?arg0205)) )) (forall ((?arg0206 boogieU)) (! (= (type (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?arg0206)) ?v_0) :pattern ((x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?arg0206)) )) (forall ((?arg0207 boogieU)) (! (= (type (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?arg0207)) ?v_0) :pattern ((x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?arg0207)) )) (forall ((?arg0208 boogieU)) (! (= (type (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?arg0208)) ?v_0) :pattern ((x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?arg0208)) )) (forall ((?arg0209 boogieU)) (! (= (type (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?arg0209)) ?v_0) :pattern ((x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?arg0209)) )) (forall ((?arg0210 boogieU)) (! (= (type (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?arg0210)) ?v_0) :pattern ((x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?arg0210)) )) (forall ((?arg0211 boogieU)) (! (= (type (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?arg0211)) ?v_0) :pattern ((x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?arg0211)) )) (forall ((?arg0212 boogieU)) (! (= (type (x_S_PowerState__SERIAL_DEVICE_EXTENSION ?arg0212)) ?v_0) :pattern ((x_S_PowerState__SERIAL_DEVICE_EXTENSION ?arg0212)) )) (forall ((?arg0213 boogieU)) (! (= (type (x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv ?arg0213)) ?v_0) :pattern ((x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv ?arg0213)) )) (forall ((?arg0214 boogieU)) (! (= (type (x_S_ProvCapabilities__SERIAL_COMMPROP ?arg0214)) ?v_0) :pattern ((x_S_ProvCapabilities__SERIAL_COMMPROP ?arg0214)) )) (forall ((?arg0215 boogieU)) (! (= (type (x_S_ProvCapabilities__SERIAL_COMMPROPInv ?arg0215)) ?v_0) :pattern ((x_S_ProvCapabilities__SERIAL_COMMPROPInv ?arg0215)) )) (forall ((?arg0216 boogieU)) (! (= (type (x_S_ProvSubType__SERIAL_COMMPROP ?arg0216)) ?v_0) :pattern ((x_S_ProvSubType__SERIAL_COMMPROP ?arg0216)) )) (forall ((?arg0217 boogieU)) (! (= (type (x_S_ProvSubType__SERIAL_COMMPROPInv ?arg0217)) ?v_0) :pattern ((x_S_ProvSubType__SERIAL_COMMPROPInv ?arg0217)) )) (forall ((?arg0218 boogieU)) (! (= (type (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION ?arg0218)) ?v_0) :pattern ((x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION ?arg0218)) )) (forall ((?arg0219 boogieU)) (! (= (type (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0219)) ?v_0) :pattern ((x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0219)) )) (forall ((?arg0220 boogieU)) (! (= (type (x_S_QuadPart__LARGE_INTEGER ?arg0220)) ?v_0) :pattern ((x_S_QuadPart__LARGE_INTEGER ?arg0220)) )) (forall ((?arg0221 boogieU)) (! (= (type (x_S_QuadPart__LARGE_INTEGERInv ?arg0221)) ?v_0) :pattern ((x_S_QuadPart__LARGE_INTEGERInv ?arg0221)) )) (forall ((?arg0222 boogieU)) (! (= (type (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION ?arg0222)) ?v_0) :pattern ((x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION ?arg0222)) )) (forall ((?arg0223 boogieU)) (! (= (type (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?arg0223)) ?v_0) :pattern ((x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?arg0223)) )) (forall ((?arg0224 boogieU)) (! (= (type (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS ?arg0224)) ?v_0) :pattern ((x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS ?arg0224)) )) (forall ((?arg0225 boogieU)) (! (= (type (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?arg0225)) ?v_0) :pattern ((x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?arg0225)) )) (forall ((?arg0226 boogieU)) (! (= (type (x_S_ReadQueue__SERIAL_DEVICE_EXTENSION ?arg0226)) ?v_0) :pattern ((x_S_ReadQueue__SERIAL_DEVICE_EXTENSION ?arg0226)) )) (forall ((?arg0227 boogieU)) (! (= (type (x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0227)) ?v_0) :pattern ((x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0227)) )) (forall ((?arg0228 boogieU)) (! (= (type (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?arg0228)) ?v_0) :pattern ((x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?arg0228)) )) (forall ((?arg0229 boogieU)) (! (= (type (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0229)) ?v_0) :pattern ((x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0229)) )) (forall ((?arg0230 boogieU)) (! (= (type (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?arg0230)) ?v_0) :pattern ((x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?arg0230)) )) (forall ((?arg0231 boogieU)) (! (= (type (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0231)) ?v_0) :pattern ((x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0231)) )) (forall ((?arg0232 boogieU)) (! (= (type (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?arg0232)) ?v_0) :pattern ((x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?arg0232)) )) (forall ((?arg0233 boogieU)) (! (= (type (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?arg0233)) ?v_0) :pattern ((x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?arg0233)) )) (forall ((?arg0234 boogieU)) (! (= (type (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?arg0234)) ?v_0) :pattern ((x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?arg0234)) )) (forall ((?arg0235 boogieU)) (! (= (type (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?arg0235)) ?v_0) :pattern ((x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?arg0235)) )) (forall ((?arg0236 boogieU)) (! (= (type (x_S_Read___unnamed_16_57edbc3a ?arg0236)) ?v_0) :pattern ((x_S_Read___unnamed_16_57edbc3a ?arg0236)) )) (forall ((?arg0237 boogieU)) (! (= (type (x_S_Read___unnamed_16_57edbc3aInv ?arg0237)) ?v_0) :pattern ((x_S_Read___unnamed_16_57edbc3aInv ?arg0237)) )) (forall ((?arg0238 boogieU)) (! (= (type (x_S_ServiceMask__SERIAL_COMMPROP ?arg0238)) ?v_0) :pattern ((x_S_ServiceMask__SERIAL_COMMPROP ?arg0238)) )) (forall ((?arg0239 boogieU)) (! (= (type (x_S_ServiceMask__SERIAL_COMMPROPInv ?arg0239)) ?v_0) :pattern ((x_S_ServiceMask__SERIAL_COMMPROPInv ?arg0239)) )) (forall ((?arg0240 boogieU)) (! (= (type (x_S_SettableBaud__SERIAL_COMMPROP ?arg0240)) ?v_0) :pattern ((x_S_SettableBaud__SERIAL_COMMPROP ?arg0240)) )) (forall ((?arg0241 boogieU)) (! (= (type (x_S_SettableBaud__SERIAL_COMMPROPInv ?arg0241)) ?v_0) :pattern ((x_S_SettableBaud__SERIAL_COMMPROPInv ?arg0241)) )) (forall ((?arg0242 boogieU)) (! (= (type (x_S_SettableData__SERIAL_COMMPROP ?arg0242)) ?v_0) :pattern ((x_S_SettableData__SERIAL_COMMPROP ?arg0242)) )) (forall ((?arg0243 boogieU)) (! (= (type (x_S_SettableData__SERIAL_COMMPROPInv ?arg0243)) ?v_0) :pattern ((x_S_SettableData__SERIAL_COMMPROPInv ?arg0243)) )) (forall ((?arg0244 boogieU)) (! (= (type (x_S_SettableParams__SERIAL_COMMPROP ?arg0244)) ?v_0) :pattern ((x_S_SettableParams__SERIAL_COMMPROP ?arg0244)) )) (forall ((?arg0245 boogieU)) (! (= (type (x_S_SettableParams__SERIAL_COMMPROPInv ?arg0245)) ?v_0) :pattern ((x_S_SettableParams__SERIAL_COMMPROPInv ?arg0245)) )) (forall ((?arg0246 boogieU)) (! (= (type (x_S_SettableStopParity__SERIAL_COMMPROP ?arg0246)) ?v_0) :pattern ((x_S_SettableStopParity__SERIAL_COMMPROP ?arg0246)) )) (forall ((?arg0247 boogieU)) (! (= (type (x_S_SettableStopParity__SERIAL_COMMPROPInv ?arg0247)) ?v_0) :pattern ((x_S_SettableStopParity__SERIAL_COMMPROPInv ?arg0247)) )) (forall ((?arg0248 boogieU)) (! (= (type (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?arg0248)) ?v_0) :pattern ((x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?arg0248)) )) (forall ((?arg0249 boogieU)) (! (= (type (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?arg0249)) ?v_0) :pattern ((x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?arg0249)) )) (forall ((?arg0250 boogieU)) (! (= (type (x_S_SpecialChars__SERIAL_DEVICE_EXTENSION ?arg0250)) ?v_0) :pattern ((x_S_SpecialChars__SERIAL_DEVICE_EXTENSION ?arg0250)) )) (forall ((?arg0251 boogieU)) (! (= (type (x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?arg0251)) ?v_0) :pattern ((x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?arg0251)) )) (forall ((?arg0252 boogieU)) (! (= (type (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?arg0252)) ?v_0) :pattern ((x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?arg0252)) )) (forall ((?arg0253 boogieU)) (! (= (type (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0253)) ?v_0) :pattern ((x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0253)) )) (forall ((?arg0254 boogieU)) (! (= (type (x_S_Status___unnamed_4_ab1173de ?arg0254)) ?v_0) :pattern ((x_S_Status___unnamed_4_ab1173de ?arg0254)) )) (forall ((?arg0255 boogieU)) (! (= (type (x_S_Status___unnamed_4_ab1173deInv ?arg0255)) ?v_0) :pattern ((x_S_Status___unnamed_4_ab1173deInv ?arg0255)) )) (forall ((?arg0256 boogieU)) (! (= (type (x_S_StopBits__SERIAL_LINE_CONTROL ?arg0256)) ?v_0) :pattern ((x_S_StopBits__SERIAL_LINE_CONTROL ?arg0256)) )) (forall ((?arg0257 boogieU)) (! (= (type (x_S_StopBits__SERIAL_LINE_CONTROLInv ?arg0257)) ?v_0) :pattern ((x_S_StopBits__SERIAL_LINE_CONTROLInv ?arg0257)) )) (forall ((?arg0258 boogieU)) (! (= (type (x_S_StopBits__SERIAL_WMI_COMM_DATA ?arg0258)) ?v_0) :pattern ((x_S_StopBits__SERIAL_WMI_COMM_DATA ?arg0258)) )) (forall ((?arg0259 boogieU)) (! (= (type (x_S_StopBits__SERIAL_WMI_COMM_DATAInv ?arg0259)) ?v_0) :pattern ((x_S_StopBits__SERIAL_WMI_COMM_DATAInv ?arg0259)) )) (forall ((?arg0260 boogieU)) (! (= (type (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION ?arg0260)) ?v_0) :pattern ((x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION ?arg0260)) )) (forall ((?arg0261 boogieU)) (! (= (type (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?arg0261)) ?v_0) :pattern ((x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?arg0261)) )) (forall ((?arg0262 boogieU)) (! (= (type (x_S_SystemBuffer___unnamed_4_3dc37e35 ?arg0262)) ?v_0) :pattern ((x_S_SystemBuffer___unnamed_4_3dc37e35 ?arg0262)) )) (forall ((?arg0263 boogieU)) (! (= (type (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?arg0263)) ?v_0) :pattern ((x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?arg0263)) )) (forall ((?arg0264 boogieU)) (! (= (type (x_S_SystemState__POWER_STATE ?arg0264)) ?v_0) :pattern ((x_S_SystemState__POWER_STATE ?arg0264)) )) (forall ((?arg0265 boogieU)) (! (= (type (x_S_SystemState__POWER_STATEInv ?arg0265)) ?v_0) :pattern ((x_S_SystemState__POWER_STATEInv ?arg0265)) )) (forall ((?arg0266 boogieU)) (! (= (type (x_S_Tail__IRP ?arg0266)) ?v_0) :pattern ((x_S_Tail__IRP ?arg0266)) )) (forall ((?arg0267 boogieU)) (! (= (type (x_S_Tail__IRPInv ?arg0267)) ?v_0) :pattern ((x_S_Tail__IRPInv ?arg0267)) )) (forall ((?arg0268 boogieU)) (! (= (type (x_S_Timeout__SERIAL_XOFF_COUNTER ?arg0268)) ?v_0) :pattern ((x_S_Timeout__SERIAL_XOFF_COUNTER ?arg0268)) )) (forall ((?arg0269 boogieU)) (! (= (type (x_S_Timeout__SERIAL_XOFF_COUNTERInv ?arg0269)) ?v_0) :pattern ((x_S_Timeout__SERIAL_XOFF_COUNTERInv ?arg0269)) )) (forall ((?arg0270 boogieU)) (! (= (type (x_S_Timeouts__SERIAL_DEVICE_EXTENSION ?arg0270)) ?v_0) :pattern ((x_S_Timeouts__SERIAL_DEVICE_EXTENSION ?arg0270)) )) (forall ((?arg0271 boogieU)) (! (= (type (x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv ?arg0271)) ?v_0) :pattern ((x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv ?arg0271)) )) (forall ((?arg0272 boogieU)) (! (= (type (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?arg0272)) ?v_0) :pattern ((x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?arg0272)) )) (forall ((?arg0273 boogieU)) (! (= (type (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?arg0273)) ?v_0) :pattern ((x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?arg0273)) )) (forall ((?arg0274 boogieU)) (! (= (type (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0274)) ?v_0) :pattern ((x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0274)) )) (forall ((?arg0275 boogieU)) (! (= (type (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0275)) ?v_0) :pattern ((x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0275)) )) (forall ((?arg0276 boogieU)) (! (= (type (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0276)) ?v_0) :pattern ((x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0276)) )) (forall ((?arg0277 boogieU)) (! (= (type (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0277)) ?v_0) :pattern ((x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0277)) )) (forall ((?arg0278 boogieU)) (! (= (type (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0278)) ?v_0) :pattern ((x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0278)) )) (forall ((?arg0279 boogieU)) (! (= (type (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0279)) ?v_0) :pattern ((x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0279)) )) (forall ((?arg0280 boogieU)) (! (= (type (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 ?arg0280)) ?v_0) :pattern ((x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 ?arg0280)) )) (forall ((?arg0281 boogieU)) (! (= (type (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?arg0281)) ?v_0) :pattern ((x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?arg0281)) )) (forall ((?arg0282 boogieU)) (! (= (type (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION ?arg0282)) ?v_0) :pattern ((x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION ?arg0282)) )) (forall ((?arg0283 boogieU)) (! (= (type (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?arg0283)) ?v_0) :pattern ((x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?arg0283)) )) (forall ((?arg0284 boogieU)) (! (= (type (x_S_WmiCommData__SERIAL_DEVICE_EXTENSION ?arg0284)) ?v_0) :pattern ((x_S_WmiCommData__SERIAL_DEVICE_EXTENSION ?arg0284)) )) (forall ((?arg0285 boogieU)) (! (= (type (x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?arg0285)) ?v_0) :pattern ((x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?arg0285)) )) (forall ((?arg0286 boogieU)) (! (= (type (x_S_WordLength__SERIAL_LINE_CONTROL ?arg0286)) ?v_0) :pattern ((x_S_WordLength__SERIAL_LINE_CONTROL ?arg0286)) )) (forall ((?arg0287 boogieU)) (! (= (type (x_S_WordLength__SERIAL_LINE_CONTROLInv ?arg0287)) ?v_0) :pattern ((x_S_WordLength__SERIAL_LINE_CONTROLInv ?arg0287)) )) (forall ((?arg0288 boogieU)) (! (= (type (x_S_WriteQueue__SERIAL_DEVICE_EXTENSION ?arg0288)) ?v_0) :pattern ((x_S_WriteQueue__SERIAL_DEVICE_EXTENSION ?arg0288)) )) (forall ((?arg0289 boogieU)) (! (= (type (x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0289)) ?v_0) :pattern ((x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?arg0289)) )) (forall ((?arg0290 boogieU)) (! (= (type (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?arg0290)) ?v_0) :pattern ((x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?arg0290)) )) (forall ((?arg0291 boogieU)) (! (= (type (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0291)) ?v_0) :pattern ((x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0291)) )) (forall ((?arg0292 boogieU)) (! (= (type (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?arg0292)) ?v_0) :pattern ((x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?arg0292)) )) (forall ((?arg0293 boogieU)) (! (= (type (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?arg0293)) ?v_0) :pattern ((x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?arg0293)) )) (forall ((?arg0294 boogieU)) (! (= (type (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?arg0294)) ?v_0) :pattern ((x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?arg0294)) )) (forall ((?arg0295 boogieU)) (! (= (type (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?arg0295)) ?v_0) :pattern ((x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?arg0295)) )) (forall ((?arg0296 boogieU)) (! (= (type (x_S_Write___unnamed_16_57edbc3a ?arg0296)) ?v_0) :pattern ((x_S_Write___unnamed_16_57edbc3a ?arg0296)) )) (forall ((?arg0297 boogieU)) (! (= (type (x_S_Write___unnamed_16_57edbc3aInv ?arg0297)) ?v_0) :pattern ((x_S_Write___unnamed_16_57edbc3aInv ?arg0297)) )) (forall ((?arg0298 boogieU)) (! (= (type (x_S_XoffChar__SERIAL_CHARS ?arg0298)) ?v_0) :pattern ((x_S_XoffChar__SERIAL_CHARS ?arg0298)) )) (forall ((?arg0299 boogieU)) (! (= (type (x_S_XoffChar__SERIAL_CHARSInv ?arg0299)) ?v_0) :pattern ((x_S_XoffChar__SERIAL_CHARSInv ?arg0299)) )) (forall ((?arg0300 boogieU)) (! (= (type (x_S_XoffCharacter__SERIAL_WMI_COMM_DATA ?arg0300)) ?v_0) :pattern ((x_S_XoffCharacter__SERIAL_WMI_COMM_DATA ?arg0300)) )) (forall ((?arg0301 boogieU)) (! (= (type (x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv ?arg0301)) ?v_0) :pattern ((x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv ?arg0301)) )) (forall ((?arg0302 boogieU)) (! (= (type (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0302)) ?v_0) :pattern ((x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?arg0302)) )) (forall ((?arg0303 boogieU)) (! (= (type (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0303)) ?v_0) :pattern ((x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?arg0303)) )) (forall ((?arg0304 boogieU)) (! (= (type (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION ?arg0304)) ?v_0) :pattern ((x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION ?arg0304)) )) (forall ((?arg0305 boogieU)) (! (= (type (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0305)) ?v_0) :pattern ((x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?arg0305)) )) (forall ((?arg0306 boogieU)) (! (= (type (x_S_XoffLimit__SERIAL_HANDFLOW ?arg0306)) ?v_0) :pattern ((x_S_XoffLimit__SERIAL_HANDFLOW ?arg0306)) )) (forall ((?arg0307 boogieU)) (! (= (type (x_S_XoffLimit__SERIAL_HANDFLOWInv ?arg0307)) ?v_0) :pattern ((x_S_XoffLimit__SERIAL_HANDFLOWInv ?arg0307)) )) (forall ((?arg0308 boogieU)) (! (= (type (x_S_XonChar__SERIAL_CHARS ?arg0308)) ?v_0) :pattern ((x_S_XonChar__SERIAL_CHARS ?arg0308)) )) (forall ((?arg0309 boogieU)) (! (= (type (x_S_XonChar__SERIAL_CHARSInv ?arg0309)) ?v_0) :pattern ((x_S_XonChar__SERIAL_CHARSInv ?arg0309)) )) (forall ((?arg0310 boogieU)) (! (= (type (x_S_XonCharacter__SERIAL_WMI_COMM_DATA ?arg0310)) ?v_0) :pattern ((x_S_XonCharacter__SERIAL_WMI_COMM_DATA ?arg0310)) )) (forall ((?arg0311 boogieU)) (! (= (type (x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv ?arg0311)) ?v_0) :pattern ((x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv ?arg0311)) )) (forall ((?arg0312 boogieU)) (! (= (type (x_S_XonLimit__SERIAL_HANDFLOW ?arg0312)) ?v_0) :pattern ((x_S_XonLimit__SERIAL_HANDFLOW ?arg0312)) )) (forall ((?arg0313 boogieU)) (! (= (type (x_S_XonLimit__SERIAL_HANDFLOWInv ?arg0313)) ?v_0) :pattern ((x_S_XonLimit__SERIAL_HANDFLOWInv ?arg0313)) )) (forall ((?arg0314 boogieU)) (! (= (type (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a ?arg0314)) ?v_0) :pattern ((x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a ?arg0314)) )) (forall ((?arg0315 boogieU)) (! (= (type (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?arg0315)) ?v_0) :pattern ((x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?arg0315)) )) (forall ((?arg0316 boogieU)) (! (= (type (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?arg0316)) ?v_0) :pattern ((x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?arg0316)) )) (forall ((?arg0317 boogieU)) (! (= (type (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?arg0317)) ?v_0) :pattern ((x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?arg0317)) )) (forall ((?arg0318 boogieU)) (! (= (type (x_S___unnamed_8_544b88f4__LARGE_INTEGER ?arg0318)) ?v_0) :pattern ((x_S___unnamed_8_544b88f4__LARGE_INTEGER ?arg0318)) )) (forall ((?arg0319 boogieU)) (! (= (type (x_S___unnamed_8_544b88f4__LARGE_INTEGERInv ?arg0319)) ?v_0) :pattern ((x_S___unnamed_8_544b88f4__LARGE_INTEGERInv ?arg0319)) )) (forall ((?arg0320 boogieU)) (! (= (type (x_S_u__LARGE_INTEGER ?arg0320)) ?v_0) :pattern ((x_S_u__LARGE_INTEGER ?arg0320)) )) (forall ((?arg0321 boogieU)) (! (= (type (x_S_u__LARGE_INTEGERInv ?arg0321)) ?v_0) :pattern ((x_S_u__LARGE_INTEGERInv ?arg0321)) )))))
(assert (and (forall ((?x1 boogieU)) (UOrdering2 ?x1 ?x1)) (forall ((?x2 boogieU) (?y boogieU) (?z boogieU)) (! (let ((?v_0 (type ?x2))) (=> (and (= (type ?y) ?v_0) (= (type ?z) ?v_0)) (=> (and (UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) (UOrdering2 ?x2 ?z)))) :pattern ((UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) )) (forall ((?x3 boogieU) (?y1 boogieU)) (! (=> (= (type ?y1) (type ?x3)) (=> (and (UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) (= ?x3 ?y1))) :pattern ((UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) )) (distinct UNALLOCATED ALLOCATED FREED BYTE T.Guid_WMIGUIDREGINFO T.InstanceCount_WMIGUIDREGINFO T.Flags_WMIGUIDREGINFO T.OperationID__ACCESS_STATE T.SecurityEvaluated__ACCESS_STATE T.GenerateAudit__ACCESS_STATE T.GenerateOnClose__ACCESS_STATE T.PrivilegesAllocated__ACCESS_STATE T.Flags__ACCESS_STATE T.RemainingDesiredAccess__ACCESS_STATE T.PreviouslyGrantedAccess__ACCESS_STATE T.OriginalDesiredAccess__ACCESS_STATE T.SubjectSecurityContext__ACCESS_STATE T.SecurityDescriptor__ACCESS_STATE T.AuxData__ACCESS_STATE T.Privileges__ACCESS_STATE T.AuditPrivileges__ACCESS_STATE T.ObjectName__ACCESS_STATE T.ObjectTypeName__ACCESS_STATE T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR T.Version__CM_PARTIAL_RESOURCE_LIST T.Revision__CM_PARTIAL_RESOURCE_LIST T.Count__CM_PARTIAL_RESOURCE_LIST T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST T.Count__CM_RESOURCE_LIST T.List__CM_RESOURCE_LIST T.Size__DEVICE_CAPABILITIES T.Version__DEVICE_CAPABILITIES T.DeviceD1__DEVICE_CAPABILITIES T.DeviceD2__DEVICE_CAPABILITIES T.LockSupported__DEVICE_CAPABILITIES T.EjectSupported__DEVICE_CAPABILITIES T.Removable__DEVICE_CAPABILITIES T.DockDevice__DEVICE_CAPABILITIES T.UniqueID__DEVICE_CAPABILITIES T.SilentInstall__DEVICE_CAPABILITIES T.RawDeviceOK__DEVICE_CAPABILITIES T.SurpriseRemovalOK__DEVICE_CAPABILITIES T.WakeFromD0__DEVICE_CAPABILITIES T.WakeFromD1__DEVICE_CAPABILITIES T.WakeFromD2__DEVICE_CAPABILITIES T.WakeFromD3__DEVICE_CAPABILITIES T.HardwareDisabled__DEVICE_CAPABILITIES T.NonDynamic__DEVICE_CAPABILITIES T.WarmEjectSupported__DEVICE_CAPABILITIES T.NoDisplayInUI__DEVICE_CAPABILITIES T.Reserved__DEVICE_CAPABILITIES T.Address__DEVICE_CAPABILITIES T.UINumber__DEVICE_CAPABILITIES T.DeviceState__DEVICE_CAPABILITIES T.SystemWake__DEVICE_CAPABILITIES T.DeviceWake__DEVICE_CAPABILITIES T.D1Latency__DEVICE_CAPABILITIES T.D2Latency__DEVICE_CAPABILITIES T.D3Latency__DEVICE_CAPABILITIES T.Type__DEVICE_OBJECT T.Size__DEVICE_OBJECT T.ReferenceCount__DEVICE_OBJECT T.DriverObject__DEVICE_OBJECT T.NextDevice__DEVICE_OBJECT T.AttachedDevice__DEVICE_OBJECT T.CurrentIrp__DEVICE_OBJECT T.Timer__DEVICE_OBJECT T.Flags__DEVICE_OBJECT T.Characteristics__DEVICE_OBJECT T.Vpb__DEVICE_OBJECT T.DeviceExtension__DEVICE_OBJECT T.DeviceType__DEVICE_OBJECT T.StackSize__DEVICE_OBJECT T.Queue__DEVICE_OBJECT T.AlignmentRequirement__DEVICE_OBJECT T.DeviceQueue__DEVICE_OBJECT T.Dpc__DEVICE_OBJECT T.ActiveThreadCount__DEVICE_OBJECT T.SecurityDescriptor__DEVICE_OBJECT T.DeviceLock__DEVICE_OBJECT T.SectorSize__DEVICE_OBJECT T.Spare1__DEVICE_OBJECT T.DeviceObjectExtension__DEVICE_OBJECT T.Reserved__DEVICE_OBJECT T.Type__DEVOBJ_EXTENSION T.Size__DEVOBJ_EXTENSION T.DeviceObject__DEVOBJ_EXTENSION T.__unnamed_4_7b44c46c__DISPATCHER_HEADER T.SignalState__DISPATCHER_HEADER T.WaitListHead__DISPATCHER_HEADER T.DriverObject__DRIVER_EXTENSION T.AddDevice__DRIVER_EXTENSION T.Count__DRIVER_EXTENSION T.ServiceKeyName__DRIVER_EXTENSION T.Type__DRIVER_OBJECT T.Size__DRIVER_OBJECT T.DeviceObject__DRIVER_OBJECT T.Flags__DRIVER_OBJECT T.DriverStart__DRIVER_OBJECT T.DriverSize__DRIVER_OBJECT T.DriverSection__DRIVER_OBJECT T.DriverExtension__DRIVER_OBJECT T.DriverName__DRIVER_OBJECT T.HardwareDatabase__DRIVER_OBJECT T.FastIoDispatch__DRIVER_OBJECT T.DriverInit__DRIVER_OBJECT T.DriverStartIo__DRIVER_OBJECT T.DriverUnload__DRIVER_OBJECT T.MajorFunction__DRIVER_OBJECT T.SystemResourcesList__ERESOURCE T.OwnerTable__ERESOURCE T.ActiveCount__ERESOURCE T.Flag__ERESOURCE T.SharedWaiters__ERESOURCE T.ExclusiveWaiters__ERESOURCE T.OwnerEntry__ERESOURCE T.ActiveEntries__ERESOURCE T.ContentionCount__ERESOURCE T.NumberOfSharedWaiters__ERESOURCE T.NumberOfExclusiveWaiters__ERESOURCE T.__unnamed_4_f13e195c__ERESOURCE T.SpinLock__ERESOURCE T.SizeOfFastIoDispatch__FAST_IO_DISPATCH T.FastIoCheckIfPossible__FAST_IO_DISPATCH T.FastIoRead__FAST_IO_DISPATCH T.FastIoWrite__FAST_IO_DISPATCH T.FastIoQueryBasicInfo__FAST_IO_DISPATCH T.FastIoQueryStandardInfo__FAST_IO_DISPATCH T.FastIoLock__FAST_IO_DISPATCH T.FastIoUnlockSingle__FAST_IO_DISPATCH T.FastIoUnlockAll__FAST_IO_DISPATCH T.FastIoUnlockAllByKey__FAST_IO_DISPATCH T.FastIoDeviceControl__FAST_IO_DISPATCH T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH T.FastIoDetachDevice__FAST_IO_DISPATCH T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH T.AcquireForModWrite__FAST_IO_DISPATCH T.MdlRead__FAST_IO_DISPATCH T.MdlReadComplete__FAST_IO_DISPATCH T.PrepareMdlWrite__FAST_IO_DISPATCH T.MdlWriteComplete__FAST_IO_DISPATCH T.FastIoReadCompressed__FAST_IO_DISPATCH T.FastIoWriteCompressed__FAST_IO_DISPATCH T.MdlReadCompleteCompressed__FAST_IO_DISPATCH T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH T.FastIoQueryOpen__FAST_IO_DISPATCH T.ReleaseForModWrite__FAST_IO_DISPATCH T.AcquireForCcFlush__FAST_IO_DISPATCH T.ReleaseForCcFlush__FAST_IO_DISPATCH T.Count__FAST_MUTEX T.Owner__FAST_MUTEX T.Contention__FAST_MUTEX T.Gate__FAST_MUTEX T.OldIrql__FAST_MUTEX T.CreationTime__FILE_BASIC_INFORMATION T.LastAccessTime__FILE_BASIC_INFORMATION T.LastWriteTime__FILE_BASIC_INFORMATION T.ChangeTime__FILE_BASIC_INFORMATION T.FileAttributes__FILE_BASIC_INFORMATION T.CreationTime__FILE_NETWORK_OPEN_INFORMATION T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION T.Type__FILE_OBJECT T.Size__FILE_OBJECT T.DeviceObject__FILE_OBJECT T.Vpb__FILE_OBJECT T.FsContext__FILE_OBJECT T.FsContext2__FILE_OBJECT T.SectionObjectPointer__FILE_OBJECT T.PrivateCacheMap__FILE_OBJECT T.FinalStatus__FILE_OBJECT T.RelatedFileObject__FILE_OBJECT T.LockOperation__FILE_OBJECT T.DeletePending__FILE_OBJECT T.ReadAccess__FILE_OBJECT T.WriteAccess__FILE_OBJECT T.DeleteAccess__FILE_OBJECT T.SharedRead__FILE_OBJECT T.SharedWrite__FILE_OBJECT T.SharedDelete__FILE_OBJECT T.Flags__FILE_OBJECT T.FileName__FILE_OBJECT T.CurrentByteOffset__FILE_OBJECT T.Waiters__FILE_OBJECT T.Busy__FILE_OBJECT T.LastLock__FILE_OBJECT T.Lock__FILE_OBJECT T.Event__FILE_OBJECT T.CompletionContext__FILE_OBJECT T.IrpListLock__FILE_OBJECT T.IrpList__FILE_OBJECT T.FileObjectExtension__FILE_OBJECT T.AllocationSize__FILE_STANDARD_INFORMATION T.EndOfFile__FILE_STANDARD_INFORMATION T.NumberOfLinks__FILE_STANDARD_INFORMATION T.DeletePending__FILE_STANDARD_INFORMATION T.Directory__FILE_STANDARD_INFORMATION T.Data1__GUID T.Data2__GUID T.Data3__GUID T.Data4__GUID T.PrivilegeCount__INITIAL_PRIVILEGE_SET T.Control__INITIAL_PRIVILEGE_SET T.Privilege__INITIAL_PRIVILEGE_SET T.Size__INTERFACE T.Version__INTERFACE T.Context__INTERFACE T.InterfaceReference__INTERFACE T.InterfaceDereference__INTERFACE T.Port__IO_COMPLETION_CONTEXT T.Key__IO_COMPLETION_CONTEXT T.Option__IO_RESOURCE_DESCRIPTOR T.Type__IO_RESOURCE_DESCRIPTOR T.ShareDisposition__IO_RESOURCE_DESCRIPTOR T.Spare1__IO_RESOURCE_DESCRIPTOR T.Flags__IO_RESOURCE_DESCRIPTOR T.Spare2__IO_RESOURCE_DESCRIPTOR T.u__IO_RESOURCE_DESCRIPTOR T.Version__IO_RESOURCE_LIST T.Revision__IO_RESOURCE_LIST T.Count__IO_RESOURCE_LIST T.Descriptors__IO_RESOURCE_LIST T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST T.List__IO_RESOURCE_REQUIREMENTS_LIST T.SecurityQos__IO_SECURITY_CONTEXT T.AccessState__IO_SECURITY_CONTEXT T.DesiredAccess__IO_SECURITY_CONTEXT T.FullCreateOptions__IO_SECURITY_CONTEXT T.MajorFunction__IO_STACK_LOCATION T.MinorFunction__IO_STACK_LOCATION T.Flags__IO_STACK_LOCATION T.Control__IO_STACK_LOCATION T.Parameters__IO_STACK_LOCATION T.DeviceObject__IO_STACK_LOCATION T.FileObject__IO_STACK_LOCATION T.CompletionRoutine__IO_STACK_LOCATION T.Context__IO_STACK_LOCATION T.__unnamed_4_ab1173de__IO_STATUS_BLOCK T.Information__IO_STATUS_BLOCK T.Type__IRP T.Size__IRP T.MdlAddress__IRP T.Flags__IRP T.AssociatedIrp__IRP T.ThreadListEntry__IRP T.IoStatus__IRP T.RequestorMode__IRP T.PendingReturned__IRP T.StackCount__IRP T.CurrentLocation__IRP T.Cancel__IRP T.CancelIrql__IRP T.ApcEnvironment__IRP T.AllocationFlags__IRP T.UserIosb__IRP T.UserEvent__IRP T.Overlay__IRP T.CancelRoutine__IRP T.UserBuffer__IRP T.Tail__IRP T.Type__KAPC T.SpareByte0__KAPC T.Size__KAPC T.SpareByte1__KAPC T.SpareLong0__KAPC T.Thread__KAPC T.ApcListEntry__KAPC T.KernelRoutine__KAPC T.RundownRoutine__KAPC T.NormalRoutine__KAPC T.NormalContext__KAPC T.SystemArgument1__KAPC T.SystemArgument2__KAPC T.ApcStateIndex__KAPC T.ApcMode__KAPC T.Inserted__KAPC T.Type__KDEVICE_QUEUE T.Size__KDEVICE_QUEUE T.DeviceListHead__KDEVICE_QUEUE T.Lock__KDEVICE_QUEUE T.Busy__KDEVICE_QUEUE T.DeviceListEntry__KDEVICE_QUEUE_ENTRY T.SortKey__KDEVICE_QUEUE_ENTRY T.Inserted__KDEVICE_QUEUE_ENTRY T.Type__KDPC T.Importance__KDPC T.Number__KDPC T.DpcListEntry__KDPC T.DeferredRoutine__KDPC T.DeferredContext__KDPC T.SystemArgument1__KDPC T.SystemArgument2__KDPC T.DpcData__KDPC T.Header__KEVENT T.Header__KSEMAPHORE T.Limit__KSEMAPHORE T.Header__KTIMER T.DueTime__KTIMER T.TimerListEntry__KTIMER T.Dpc__KTIMER T.Period__KTIMER T.__unnamed_8_544b88f4__LARGE_INTEGER T.u__LARGE_INTEGER T.QuadPart__LARGE_INTEGER T.Flink__LIST_ENTRY T.Blink__LIST_ENTRY T.LowPart__LUID T.HighPart__LUID T.Luid__LUID_AND_ATTRIBUTES T.Attributes__LUID_AND_ATTRIBUTES T.Next__MDL T.Size__MDL T.MdlFlags__MDL T.Process__MDL T.MappedSystemVa__MDL T.StartVa__MDL T.ByteCount__MDL T.ByteOffset__MDL T.OwnerThread__OWNER_ENTRY T.__unnamed_4_1c47e29a__OWNER_ENTRY T.SequenceD1__POWER_SEQUENCE T.SequenceD2__POWER_SEQUENCE T.SequenceD3__POWER_SEQUENCE T.SystemState__POWER_STATE T.DeviceState__POWER_STATE T.PrivilegeCount__PRIVILEGE_SET T.Control__PRIVILEGE_SET T.Privilege__PRIVILEGE_SET T.DataSectionObject__SECTION_OBJECT_POINTERS T.SharedCacheMap__SECTION_OBJECT_POINTERS T.ImageSectionObject__SECTION_OBJECT_POINTERS T.Length__SECURITY_QUALITY_OF_SERVICE T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE T.ClientToken__SECURITY_SUBJECT_CONTEXT T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT T.PrimaryToken__SECURITY_SUBJECT_CONTEXT T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT T.ReceivedCount__SERIALPERF_STATS T.TransmittedCount__SERIALPERF_STATS T.FrameErrorCount__SERIALPERF_STATS T.SerialOverrunErrorCount__SERIALPERF_STATS T.BufferOverrunErrorCount__SERIALPERF_STATS T.ParityErrorCount__SERIALPERF_STATS T.BaudRate__SERIAL_BAUD_RATE T.EofChar__SERIAL_CHARS T.ErrorChar__SERIAL_CHARS T.BreakChar__SERIAL_CHARS T.EventChar__SERIAL_CHARS T.XonChar__SERIAL_CHARS T.XoffChar__SERIAL_CHARS T.IsrFunc__SERIAL_CISR_SW T.Context__SERIAL_CISR_SW T.SharerList__SERIAL_CISR_SW T.PacketLength__SERIAL_COMMPROP T.PacketVersion__SERIAL_COMMPROP T.ServiceMask__SERIAL_COMMPROP T.Reserved1__SERIAL_COMMPROP T.MaxTxQueue__SERIAL_COMMPROP T.MaxRxQueue__SERIAL_COMMPROP T.MaxBaud__SERIAL_COMMPROP T.ProvSubType__SERIAL_COMMPROP T.ProvCapabilities__SERIAL_COMMPROP T.SettableParams__SERIAL_COMMPROP T.SettableBaud__SERIAL_COMMPROP T.SettableData__SERIAL_COMMPROP T.SettableStopParity__SERIAL_COMMPROP T.CurrentTxQueue__SERIAL_COMMPROP T.CurrentRxQueue__SERIAL_COMMPROP T.ProvSpec1__SERIAL_COMMPROP T.ProvSpec2__SERIAL_COMMPROP T.ProvChar__SERIAL_COMMPROP T.TopLevelOurIsr__SERIAL_DEVICE_EXTENSION T.TopLevelOurIsrContext__SERIAL_DEVICE_EXTENSION T.TopLevelSharers__SERIAL_DEVICE_EXTENSION T.CommonInterruptObject__SERIAL_DEVICE_EXTENSION T.MultiportSiblings__SERIAL_DEVICE_EXTENSION T.AllDevObjs__SERIAL_DEVICE_EXTENSION T.OriginalController__SERIAL_DEVICE_EXTENSION T.OriginalInterruptStatus__SERIAL_DEVICE_EXTENSION T.IntervalTime__SERIAL_DEVICE_EXTENSION T.ShortIntervalAmount__SERIAL_DEVICE_EXTENSION T.LongIntervalAmount__SERIAL_DEVICE_EXTENSION T.CutOverAmount__SERIAL_DEVICE_EXTENSION T.LastReadTime__SERIAL_DEVICE_EXTENSION T.DeviceName__SERIAL_DEVICE_EXTENSION T.ObjectDirectory__SERIAL_DEVICE_EXTENSION T.SymbolicLinkName__SERIAL_DEVICE_EXTENSION T.DosName__SERIAL_DEVICE_EXTENSION T.IntervalTimeToUse__SERIAL_DEVICE_EXTENSION T.DeviceObject__SERIAL_DEVICE_EXTENSION T.OurIsr__SERIAL_DEVICE_EXTENSION T.OurIsrContext__SERIAL_DEVICE_EXTENSION T.Controller__SERIAL_DEVICE_EXTENSION T.InterruptStatus__SERIAL_DEVICE_EXTENSION T.Interrupt__SERIAL_DEVICE_EXTENSION T.ReadQueue__SERIAL_DEVICE_EXTENSION T.WriteQueue__SERIAL_DEVICE_EXTENSION T.MaskQueue__SERIAL_DEVICE_EXTENSION T.PurgeQueue__SERIAL_DEVICE_EXTENSION T.CurrentReadIrp__SERIAL_DEVICE_EXTENSION T.CurrentWriteIrp__SERIAL_DEVICE_EXTENSION T.CurrentMaskIrp__SERIAL_DEVICE_EXTENSION T.CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION T.CurrentWaitIrp__SERIAL_DEVICE_EXTENSION T.CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION T.CurrentXoffIrp__SERIAL_DEVICE_EXTENSION T.WriteLength__SERIAL_DEVICE_EXTENSION T.WriteCurrentChar__SERIAL_DEVICE_EXTENSION T.InterruptReadBuffer__SERIAL_DEVICE_EXTENSION T.ReadBufferBase__SERIAL_DEVICE_EXTENSION T.CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION T.CurrentCharSlot__SERIAL_DEVICE_EXTENSION T.LastCharSlot__SERIAL_DEVICE_EXTENSION T.FirstReadableChar__SERIAL_DEVICE_EXTENSION T.LockPtr__SERIAL_DEVICE_EXTENSION T.BufferSize__SERIAL_DEVICE_EXTENSION T.BufferSizePt8__SERIAL_DEVICE_EXTENSION T.NumberNeededForRead__SERIAL_DEVICE_EXTENSION T.IsrWaitMask__SERIAL_DEVICE_EXTENSION T.HistoryMask__SERIAL_DEVICE_EXTENSION T.IrpMaskLocation__SERIAL_DEVICE_EXTENSION T.TXHolding__SERIAL_DEVICE_EXTENSION T.RXHolding__SERIAL_DEVICE_EXTENSION T.ErrorWord__SERIAL_DEVICE_EXTENSION T.TotalCharsQueued__SERIAL_DEVICE_EXTENSION T.CountOnLastRead__SERIAL_DEVICE_EXTENSION T.ReadByIsr__SERIAL_DEVICE_EXTENSION T.CurrentBaud__SERIAL_DEVICE_EXTENSION T.CountSinceXoff__SERIAL_DEVICE_EXTENSION T.CountOfTryingToLowerRTS__SERIAL_DEVICE_EXTENSION T.SupportedBauds__SERIAL_DEVICE_EXTENSION T.SpanOfController__SERIAL_DEVICE_EXTENSION T.SpanOfInterruptStatus__SERIAL_DEVICE_EXTENSION T.ClockRate__SERIAL_DEVICE_EXTENSION T.TxFifoAmount__SERIAL_DEVICE_EXTENSION T.PermitShare__SERIAL_DEVICE_EXTENSION T.Timeouts__SERIAL_DEVICE_EXTENSION T.SpecialChars__SERIAL_DEVICE_EXTENSION T.HandFlow__SERIAL_DEVICE_EXTENSION T.PerfStats__SERIAL_DEVICE_EXTENSION T.LineControl__SERIAL_DEVICE_EXTENSION T.DeviceIsOpened__SERIAL_DEVICE_EXTENSION T.UnMapRegisters__SERIAL_DEVICE_EXTENSION T.UnMapStatus__SERIAL_DEVICE_EXTENSION T.HoldingEmpty__SERIAL_DEVICE_EXTENSION T.TransmitImmediate__SERIAL_DEVICE_EXTENSION T.EmptiedTransmit__SERIAL_DEVICE_EXTENSION T.PortOnAMultiportCard__SERIAL_DEVICE_EXTENSION T.Vector__SERIAL_DEVICE_EXTENSION T.Irql__SERIAL_DEVICE_EXTENSION T.OriginalVector__SERIAL_DEVICE_EXTENSION T.OriginalIrql__SERIAL_DEVICE_EXTENSION T.AddressSpace__SERIAL_DEVICE_EXTENSION T.BusNumber__SERIAL_DEVICE_EXTENSION T.InterfaceType__SERIAL_DEVICE_EXTENSION T.PortIndex__SERIAL_DEVICE_EXTENSION T.Indexed__SERIAL_DEVICE_EXTENSION T.MaskInverted__SERIAL_DEVICE_EXTENSION T.NewPortIndex__SERIAL_DEVICE_EXTENSION T.NewMaskInverted__SERIAL_DEVICE_EXTENSION T.NewExtension__SERIAL_DEVICE_EXTENSION T.ImmediateChar__SERIAL_DEVICE_EXTENSION T.ValidDataMask__SERIAL_DEVICE_EXTENSION T.EscapeChar__SERIAL_DEVICE_EXTENSION T.SendXonChar__SERIAL_DEVICE_EXTENSION T.SendXoffChar__SERIAL_DEVICE_EXTENSION T.FifoPresent__SERIAL_DEVICE_EXTENSION T.RxFifoTrigger__SERIAL_DEVICE_EXTENSION T.InterruptShareable__SERIAL_DEVICE_EXTENSION T.CreatedSymbolicLink__SERIAL_DEVICE_EXTENSION T.CreatedSerialCommEntry__SERIAL_DEVICE_EXTENSION T.ControlLock__SERIAL_DEVICE_EXTENSION T.FlagsLock__SERIAL_DEVICE_EXTENSION T.CompleteWriteDpc__SERIAL_DEVICE_EXTENSION T.CompleteReadDpc__SERIAL_DEVICE_EXTENSION T.TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION T.IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION T.TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION T.CommErrorDpc__SERIAL_DEVICE_EXTENSION T.CommWaitDpc__SERIAL_DEVICE_EXTENSION T.CompleteImmediateDpc__SERIAL_DEVICE_EXTENSION T.TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION T.XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION T.XoffCountCompleteDpc__SERIAL_DEVICE_EXTENSION T.StartTimerLowerRTSDpc__SERIAL_DEVICE_EXTENSION T.PerhapsLowerRTSDpc__SERIAL_DEVICE_EXTENSION T.IsrUnlockPagesDpc__SERIAL_DEVICE_EXTENSION T.SetPendingDpcEvent__SERIAL_DEVICE_EXTENSION T.ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION T.ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION T.WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION T.ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION T.XoffCountTimer__SERIAL_DEVICE_EXTENSION T.LowerRTSTimer__SERIAL_DEVICE_EXTENSION T.LowerDeviceObject__SERIAL_DEVICE_EXTENSION T.PowerState__SERIAL_DEVICE_EXTENSION T.DriverObject__SERIAL_DEVICE_EXTENSION T.SerialSyncEvent__SERIAL_DEVICE_EXTENSION T.DeviceClassSymbolicName__SERIAL_DEVICE_EXTENSION T.CIsrSw__SERIAL_DEVICE_EXTENSION T.PendingIRPCnt__SERIAL_DEVICE_EXTENSION T.DevicePNPAccept__SERIAL_DEVICE_EXTENSION T.PendingIRPEvent__SERIAL_DEVICE_EXTENSION T.PNPState__SERIAL_DEVICE_EXTENSION T.Flags__SERIAL_DEVICE_EXTENSION T.OpenCount__SERIAL_DEVICE_EXTENSION T.SerialStartEvent__SERIAL_DEVICE_EXTENSION T.DeviceState__SERIAL_DEVICE_EXTENSION T.DeviceStateMap__SERIAL_DEVICE_EXTENSION T.PowerD0Event__SERIAL_DEVICE_EXTENSION T.StalledIrpQueue__SERIAL_DEVICE_EXTENSION T.OpenMutex__SERIAL_DEVICE_EXTENSION T.CloseMutex__SERIAL_DEVICE_EXTENSION T.OwnsPowerPolicy__SERIAL_DEVICE_EXTENSION T.RetainPowerOnClose__SERIAL_DEVICE_EXTENSION T.QueueCreateIrp__SERIAL_DEVICE_EXTENSION T.SystemWake__SERIAL_DEVICE_EXTENSION T.DeviceWake__SERIAL_DEVICE_EXTENSION T.Pdo__SERIAL_DEVICE_EXTENSION T.SendWaitWake__SERIAL_DEVICE_EXTENSION T.PendingWakeIrp__SERIAL_DEVICE_EXTENSION T.WmiLibInfo__SERIAL_DEVICE_EXTENSION T.WmiIdentifier__SERIAL_DEVICE_EXTENSION T.WmiCommData__SERIAL_DEVICE_EXTENSION T.WmiHwData__SERIAL_DEVICE_EXTENSION T.WmiPerfData__SERIAL_DEVICE_EXTENSION T.DpcCount__SERIAL_DEVICE_EXTENSION T.PendingDpcEvent__SERIAL_DEVICE_EXTENSION T.SkipNaming__SERIAL_DEVICE_EXTENSION T.TL16C550CAFC__SERIAL_DEVICE_EXTENSION T.NewDevicePowerState__SERIAL_DEVICE_EXTENSION T.UartRemovalDetect__SERIAL_DEVICE_EXTENSION T.Reopen__SERIAL_DEVICE_STATE T.IER__SERIAL_DEVICE_STATE T.LCR__SERIAL_DEVICE_STATE T.MCR__SERIAL_DEVICE_STATE T.ControlHandShake__SERIAL_HANDFLOW T.FlowReplace__SERIAL_HANDFLOW T.XonLimit__SERIAL_HANDFLOW T.XoffLimit__SERIAL_HANDFLOW T.Extension__SERIAL_IOCTL_SYNC T.Data__SERIAL_IOCTL_SYNC T.StopBits__SERIAL_LINE_CONTROL T.Parity__SERIAL_LINE_CONTROL T.WordLength__SERIAL_LINE_CONTROL T.InSize__SERIAL_QUEUE_SIZE T.OutSize__SERIAL_QUEUE_SIZE T.Extension__SERIAL_RESIZE_PARAMS T.OldBuffer__SERIAL_RESIZE_PARAMS T.NewBuffer__SERIAL_RESIZE_PARAMS T.NewBufferSize__SERIAL_RESIZE_PARAMS T.NumberMoved__SERIAL_RESIZE_PARAMS T.ReadIntervalTimeout__SERIAL_TIMEOUTS T.ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS T.ReadTotalTimeoutConstant__SERIAL_TIMEOUTS T.WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS T.WriteTotalTimeoutConstant__SERIAL_TIMEOUTS T.Extension__SERIAL_UPDATE_CHAR T.CharsCopied__SERIAL_UPDATE_CHAR T.Completed__SERIAL_UPDATE_CHAR T.BaudRate__SERIAL_WMI_COMM_DATA T.BitsPerByte__SERIAL_WMI_COMM_DATA T.Parity__SERIAL_WMI_COMM_DATA T.ParityCheckEnable__SERIAL_WMI_COMM_DATA T.StopBits__SERIAL_WMI_COMM_DATA T.XoffCharacter__SERIAL_WMI_COMM_DATA T.XoffXmitThreshold__SERIAL_WMI_COMM_DATA T.XonCharacter__SERIAL_WMI_COMM_DATA T.XonXmitThreshold__SERIAL_WMI_COMM_DATA T.MaximumBaudRate__SERIAL_WMI_COMM_DATA T.MaximumOutputBufferSize__SERIAL_WMI_COMM_DATA T.MaximumInputBufferSize__SERIAL_WMI_COMM_DATA T.Support16BitMode__SERIAL_WMI_COMM_DATA T.SupportDTRDSR__SERIAL_WMI_COMM_DATA T.SupportIntervalTimeouts__SERIAL_WMI_COMM_DATA T.SupportParityCheck__SERIAL_WMI_COMM_DATA T.SupportRTSCTS__SERIAL_WMI_COMM_DATA T.SupportXonXoff__SERIAL_WMI_COMM_DATA T.SettableBaudRate__SERIAL_WMI_COMM_DATA T.SettableDataBits__SERIAL_WMI_COMM_DATA T.SettableFlowControl__SERIAL_WMI_COMM_DATA T.SettableParity__SERIAL_WMI_COMM_DATA T.SettableParityCheck__SERIAL_WMI_COMM_DATA T.SettableStopBits__SERIAL_WMI_COMM_DATA T.IsBusy__SERIAL_WMI_COMM_DATA T.IrqNumber__SERIAL_WMI_HW_DATA T.IrqVector__SERIAL_WMI_HW_DATA T.IrqLevel__SERIAL_WMI_HW_DATA T.IrqAffinityMask__SERIAL_WMI_HW_DATA T.InterruptType__SERIAL_WMI_HW_DATA T.BaseIOAddress__SERIAL_WMI_HW_DATA T.ReceivedCount__SERIAL_WMI_PERF_DATA T.TransmittedCount__SERIAL_WMI_PERF_DATA T.FrameErrorCount__SERIAL_WMI_PERF_DATA T.SerialOverrunErrorCount__SERIAL_WMI_PERF_DATA T.BufferOverrunErrorCount__SERIAL_WMI_PERF_DATA T.ParityErrorCount__SERIAL_WMI_PERF_DATA T.Timeout__SERIAL_XOFF_COUNTER T.Counter__SERIAL_XOFF_COUNTER T.XoffChar__SERIAL_XOFF_COUNTER T.__unnamed_4_a8006df8__SYSTEM_POWER_STATE_CONTEXT T.__unnamed_8_baf71367__ULARGE_INTEGER T.u__ULARGE_INTEGER T.QuadPart__ULARGE_INTEGER T.Length__UNICODE_STRING T.MaximumLength__UNICODE_STRING T.Buffer__UNICODE_STRING T.Type__VPB T.Size__VPB T.Flags__VPB T.VolumeLabelLength__VPB T.DeviceObject__VPB T.RealDevice__VPB T.SerialNumber__VPB T.ReferenceCount__VPB T.VolumeLabel__VPB T.WaitQueueEntry__WAIT_CONTEXT_BLOCK T.DeviceRoutine__WAIT_CONTEXT_BLOCK T.DeviceContext__WAIT_CONTEXT_BLOCK T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK T.DeviceObject__WAIT_CONTEXT_BLOCK T.CurrentIrp__WAIT_CONTEXT_BLOCK T.BufferChainingDpc__WAIT_CONTEXT_BLOCK T.GuidCount__WMILIB_CONTEXT T.GuidList__WMILIB_CONTEXT T.QueryWmiRegInfo__WMILIB_CONTEXT T.QueryWmiDataBlock__WMILIB_CONTEXT T.SetWmiDataBlock__WMILIB_CONTEXT T.SetWmiDataItem__WMILIB_CONTEXT T.ExecuteWmiMethod__WMILIB_CONTEXT T.WmiFunctionControl__WMILIB_CONTEXT T.Priority___unnamed_12_0cb3dc26 T.Reserved1___unnamed_12_0cb3dc26 T.Reserved2___unnamed_12_0cb3dc26 T.Data___unnamed_12_1a4b0b08 T.Reserved___unnamed_12_1cbe20d6 T.MessageCount___unnamed_12_1cbe20d6 T.Vector___unnamed_12_1cbe20d6 T.Affinity___unnamed_12_1cbe20d6 T.Start___unnamed_12_28f1f9cc T.Length___unnamed_12_28f1f9cc T.Reserved___unnamed_12_28f1f9cc T.__unnamed_12_9eaf06f6___unnamed_12_29a9546e T.Start___unnamed_12_33a88444 T.Length48___unnamed_12_33a88444 T.Start___unnamed_12_468ce3a2 T.Length___unnamed_12_468ce3a2 T.ListEntry___unnamed_12_5cc47a19 T.__unnamed_4_61d4f5e1___unnamed_12_5cc47a19 T.Level___unnamed_12_6fbd747c T.Vector___unnamed_12_6fbd747c T.Affinity___unnamed_12_6fbd747c T.Generic___unnamed_12_9a27b966 T.Port___unnamed_12_9a27b966 T.Interrupt___unnamed_12_9a27b966 T.MessageInterrupt___unnamed_12_9a27b966 T.Memory___unnamed_12_9a27b966 T.Dma___unnamed_12_9a27b966 T.DevicePrivate___unnamed_12_9a27b966 T.BusNumber___unnamed_12_9a27b966 T.DeviceSpecificData___unnamed_12_9a27b966 T.Memory40___unnamed_12_9a27b966 T.Memory48___unnamed_12_9a27b966 T.Memory64___unnamed_12_9a27b966 T.Raw___unnamed_12_9eaf06f6 T.Translated___unnamed_12_9eaf06f6 T.Data___unnamed_12_a967ef4a T.Start___unnamed_12_ab6ff61b T.Length64___unnamed_12_ab6ff61b T.Start___unnamed_12_ad4e1918 T.Length___unnamed_12_ad4e1918 T.Start___unnamed_12_c0c3bd45 T.Length___unnamed_12_c0c3bd45 T.Start___unnamed_12_df63118d T.Length40___unnamed_12_df63118d T.Level___unnamed_12_e5164c3f T.Vector___unnamed_12_e5164c3f T.Affinity___unnamed_12_e5164c3f T.Channel___unnamed_12_f1f9be0a T.Port___unnamed_12_f1f9be0a T.Reserved1___unnamed_12_f1f9be0a T.DataSize___unnamed_12_f354d203 T.Reserved1___unnamed_12_f354d203 T.Reserved2___unnamed_12_f354d203 T.InterfaceType___unnamed_16_2ab145ec T.Size___unnamed_16_2ab145ec T.Version___unnamed_16_2ab145ec T.Interface___unnamed_16_2ab145ec T.InterfaceSpecificData___unnamed_16_2ab145ec T.Length___unnamed_16_30f1d328 T.MinBusNumber___unnamed_16_30f1d328 T.MaxBusNumber___unnamed_16_30f1d328 T.Reserved___unnamed_16_30f1d328 T.DeviceQueueEntry___unnamed_16_3277c3a0 T.__unnamed_16_c774559b___unnamed_16_3277c3a0 T.Length___unnamed_16_3a584a7c T.Key___unnamed_16_3a584a7c T.ByteOffset___unnamed_16_3a584a7c T.OutputBufferLength___unnamed_16_3dec08db T.InputBufferLength___unnamed_16_3dec08db T.FsControlCode___unnamed_16_3dec08db T.Type3InputBuffer___unnamed_16_3dec08db T.Create___unnamed_16_57edbc3a T.Read___unnamed_16_57edbc3a T.Write___unnamed_16_57edbc3a T.QueryDirectory___unnamed_16_57edbc3a T.NotifyDirectory___unnamed_16_57edbc3a T.QueryFile___unnamed_16_57edbc3a T.SetFile___unnamed_16_57edbc3a T.QueryEa___unnamed_16_57edbc3a T.SetEa___unnamed_16_57edbc3a T.QueryVolume___unnamed_16_57edbc3a T.SetVolume___unnamed_16_57edbc3a T.FileSystemControl___unnamed_16_57edbc3a T.LockControl___unnamed_16_57edbc3a T.DeviceIoControl___unnamed_16_57edbc3a T.QuerySecurity___unnamed_16_57edbc3a T.SetSecurity___unnamed_16_57edbc3a T.MountVolume___unnamed_16_57edbc3a T.VerifyVolume___unnamed_16_57edbc3a T.Scsi___unnamed_16_57edbc3a T.QueryQuota___unnamed_16_57edbc3a T.SetQuota___unnamed_16_57edbc3a T.QueryDeviceRelations___unnamed_16_57edbc3a T.QueryInterface___unnamed_16_57edbc3a T.DeviceCapabilities___unnamed_16_57edbc3a T.FilterResourceRequirements___unnamed_16_57edbc3a T.ReadWriteConfig___unnamed_16_57edbc3a T.SetLock___unnamed_16_57edbc3a T.QueryId___unnamed_16_57edbc3a T.QueryDeviceText___unnamed_16_57edbc3a T.UsageNotification___unnamed_16_57edbc3a T.WaitWake___unnamed_16_57edbc3a T.PowerSequence___unnamed_16_57edbc3a T.Power___unnamed_16_57edbc3a T.StartDevice___unnamed_16_57edbc3a T.WMI___unnamed_16_57edbc3a T.Others___unnamed_16_57edbc3a T.Argument1___unnamed_16_5ac3fe10 T.Argument2___unnamed_16_5ac3fe10 T.Argument3___unnamed_16_5ac3fe10 T.Argument4___unnamed_16_5ac3fe10 T.OutputBufferLength___unnamed_16_5bbbf1e7 T.InputBufferLength___unnamed_16_5bbbf1e7 T.IoControlCode___unnamed_16_5bbbf1e7 T.Type3InputBuffer___unnamed_16_5bbbf1e7 T.ProviderId___unnamed_16_66abee0d T.DataPath___unnamed_16_66abee0d T.BufferSize___unnamed_16_66abee0d T.Buffer___unnamed_16_66abee0d T.__unnamed_4_b38dc67f___unnamed_16_6c8935f2 T.Type___unnamed_16_6c8935f2 T.State___unnamed_16_6c8935f2 T.ShutdownType___unnamed_16_6c8935f2 T.Length___unnamed_16_834e30a3 T.EaList___unnamed_16_834e30a3 T.EaListLength___unnamed_16_834e30a3 T.EaIndex___unnamed_16_834e30a3 T.WhichSpace___unnamed_16_83707d7f T.Buffer___unnamed_16_83707d7f T.Offset___unnamed_16_83707d7f T.Length___unnamed_16_83707d7f T.Length___unnamed_16_94922103 T.Key___unnamed_16_94922103 T.ByteOffset___unnamed_16_94922103 T.Length___unnamed_16_9eb64f79 T.StartSid___unnamed_16_9eb64f79 T.SidList___unnamed_16_9eb64f79 T.SidListLength___unnamed_16_9eb64f79 T.Length___unnamed_16_a71f10bf T.FileName___unnamed_16_a71f10bf T.FileInformationClass___unnamed_16_a71f10bf T.FileIndex___unnamed_16_a71f10bf T.SecurityContext___unnamed_16_af2c1884 T.Options___unnamed_16_af2c1884 T.FileAttributes___unnamed_16_af2c1884 T.ShareAccess___unnamed_16_af2c1884 T.EaLength___unnamed_16_af2c1884 T.Length___unnamed_16_b1a6a9b2 T.FileInformationClass___unnamed_16_b1a6a9b2 T.FileObject___unnamed_16_b1a6a9b2 T.__unnamed_4_4d53984e___unnamed_16_b1a6a9b2 T.DriverContext___unnamed_16_c774559b T.Length___unnamed_16_ca1b3ad0 T.Key___unnamed_16_ca1b3ad0 T.ByteOffset___unnamed_16_ca1b3ad0 T.Abandoned___unnamed_1_4258582a T.Absolute___unnamed_1_4258582a T.NpxIrql___unnamed_1_4258582a T.Signalling___unnamed_1_4258582a T.Lock___unnamed_1_4f5916b9 T.Size___unnamed_1_923f487b T.Hand___unnamed_1_923f487b T.Inserted___unnamed_1_ac5cb154 T.DebugActive___unnamed_1_ac5cb154 T.DpcActive___unnamed_1_ac5cb154 T.MinimumVector___unnamed_20_9fc4dd36 T.MaximumVector___unnamed_20_9fc4dd36 T.AffinityPolicy___unnamed_20_9fc4dd36 T.PriorityPolicy___unnamed_20_9fc4dd36 T.TargetedProcessors___unnamed_20_9fc4dd36 T.Length___unnamed_24_76c1f52c T.Alignment___unnamed_24_76c1f52c T.MinimumAddress___unnamed_24_76c1f52c T.MaximumAddress___unnamed_24_76c1f52c T.Length64___unnamed_24_87e4ad03 T.Alignment64___unnamed_24_87e4ad03 T.MinimumAddress___unnamed_24_87e4ad03 T.MaximumAddress___unnamed_24_87e4ad03 T.Port___unnamed_24_87fb9019 T.Memory___unnamed_24_87fb9019 T.Interrupt___unnamed_24_87fb9019 T.Dma___unnamed_24_87fb9019 T.Generic___unnamed_24_87fb9019 T.DevicePrivate___unnamed_24_87fb9019 T.BusNumber___unnamed_24_87fb9019 T.ConfigData___unnamed_24_87fb9019 T.Memory40___unnamed_24_87fb9019 T.Memory48___unnamed_24_87fb9019 T.Memory64___unnamed_24_87fb9019 T.Length40___unnamed_24_af527a47 T.Alignment40___unnamed_24_af527a47 T.MinimumAddress___unnamed_24_af527a47 T.MaximumAddress___unnamed_24_af527a47 T.Length___unnamed_24_b3ef9869 T.Alignment___unnamed_24_b3ef9869 T.MinimumAddress___unnamed_24_b3ef9869 T.MaximumAddress___unnamed_24_b3ef9869 T.Length___unnamed_24_c23e34f7 T.Alignment___unnamed_24_c23e34f7 T.MinimumAddress___unnamed_24_c23e34f7 T.MaximumAddress___unnamed_24_c23e34f7 T.Length48___unnamed_24_e04d7241 T.Alignment48___unnamed_24_e04d7241 T.MinimumAddress___unnamed_24_e04d7241 T.MaximumAddress___unnamed_24_e04d7241 T.ReplaceIfExists___unnamed_2_1d659b1d T.AdvanceOnly___unnamed_2_1d659b1d T.ListEntry___unnamed_40_1db13fa5 T.Wcb___unnamed_40_1db13fa5 T.__unnamed_16_3277c3a0___unnamed_40_ebf2206a T.Thread___unnamed_40_ebf2206a T.AuxiliaryBuffer___unnamed_40_ebf2206a T.__unnamed_12_5cc47a19___unnamed_40_ebf2206a T.OriginalFileObject___unnamed_40_ebf2206a T.InitialPrivilegeSet___unnamed_44_0d347e8a T.PrivilegeSet___unnamed_44_0d347e8a T.Overlay___unnamed_48_ffd8d308 T.Apc___unnamed_48_ffd8d308 T.CompletionKey___unnamed_48_ffd8d308 T.IdType___unnamed_4_04fc9c34 T.PowerSequence___unnamed_4_082ca2fa T.Type___unnamed_4_142d6b52 T.OwnerCount___unnamed_4_1c47e29a T.TableSize___unnamed_4_1c47e29a T.MasterIrp___unnamed_4_3dc37e35 T.IrpCount___unnamed_4_3dc37e35 T.SystemBuffer___unnamed_4_3dc37e35 T.__unnamed_2_1d659b1d___unnamed_4_4d53984e T.ClusterCount___unnamed_4_4d53984e T.DeleteHandle___unnamed_4_4d53984e T.Length___unnamed_4_522a02ae T.CurrentStackLocation___unnamed_4_61d4f5e1 T.PacketType___unnamed_4_61d4f5e1 T.Length___unnamed_4_6eaf329f T.__unnamed_4_f14caa62___unnamed_4_7b44c46c T.Lock___unnamed_4_7b44c46c T.PowerState___unnamed_4_7bab7ec3 T.__unnamed_4_ce0c1b82___unnamed_4_a8006df8 T.ContextAsUlong___unnamed_4_a8006df8 T.Status___unnamed_4_ab1173de T.Pointer___unnamed_4_ab1173de T.Srb___unnamed_4_b2e59cbb T.SystemContext___unnamed_4_b38dc67f T.SystemPowerStateContext___unnamed_4_b38dc67f T.Capabilities___unnamed_4_c62ef092 T.Reserved1___unnamed_4_ce0c1b82 T.TargetSystemState___unnamed_4_ce0c1b82 T.EffectiveSystemState___unnamed_4_ce0c1b82 T.CurrentSystemState___unnamed_4_ce0c1b82 T.IgnoreHibernationPath___unnamed_4_ce0c1b82 T.PseudoTransition___unnamed_4_ce0c1b82 T.Reserved2___unnamed_4_ce0c1b82 T.UserApcRoutine___unnamed_4_cedfeccd T.IssuingProcess___unnamed_4_cedfeccd T.Address___unnamed_4_f13e195c T.CreatorBackTraceIndex___unnamed_4_f13e195c T.Type___unnamed_4_f14caa62 T.__unnamed_1_4258582a___unnamed_4_f14caa62 T.__unnamed_1_923f487b___unnamed_4_f14caa62 T.__unnamed_1_ac5cb154___unnamed_4_f14caa62 T.IoResourceRequirementList___unnamed_4_f18e264a T.Length___unnamed_8_06a6de28 T.CompletionFilter___unnamed_8_06a6de28 T.DeviceTextType___unnamed_8_219179d3 T.LocaleId___unnamed_8_219179d3 T.InPath___unnamed_8_380551ca T.Reserved___unnamed_8_380551ca T.Type___unnamed_8_380551ca T.SecurityInformation___unnamed_8_3ebf0971 T.Length___unnamed_8_3ebf0971 T.AsynchronousParameters___unnamed_8_45a58840 T.AllocationSize___unnamed_8_45a58840 T.LowPart___unnamed_8_544b88f4 T.HighPart___unnamed_8_544b88f4 T.MinimumChannel___unnamed_8_5bc13409 T.MaximumChannel___unnamed_8_5bc13409 T.Length___unnamed_8_5d23cded T.FsInformationClass___unnamed_8_5d23cded T.LowPart___unnamed_8_5d67d492 T.HighPart___unnamed_8_5d67d492 T.SecurityInformation___unnamed_8_655e974a T.SecurityDescriptor___unnamed_8_655e974a T.Vpb___unnamed_8_a4174c52 T.DeviceObject___unnamed_8_a4174c52 T.LowPart___unnamed_8_a569aa82 T.HighPart___unnamed_8_a569aa82 T.Length___unnamed_8_b3031d0e T.FileInformationClass___unnamed_8_b3031d0e T.Length___unnamed_8_b7ca8084 T.FsInformationClass___unnamed_8_b7ca8084 T.Vpb___unnamed_8_b8c2e139 T.DeviceObject___unnamed_8_b8c2e139 T.LowPart___unnamed_8_baf71367 T.HighPart___unnamed_8_baf71367 T.__unnamed_4_cedfeccd___unnamed_8_be4b9317 T.UserApcContext___unnamed_8_be4b9317 T.AllocatedResources___unnamed_8_d81ae7e8 T.AllocatedResourcesTranslated___unnamed_8_d81ae7e8 T.A17CHAR T.A18CHAR T.A1UINT2 T.A1_CM_FULL_RESOURCE_DESCRIPTOR T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR T.A1_IO_RESOURCE_DESCRIPTOR T.A1_IO_RESOURCE_LIST T.A1_LUID_AND_ATTRIBUTES T.A20CHAR T.A21CHAR T.A22CHAR T.A23CHAR T.A24CHAR T.A25CHAR T.A26CHAR T.A27CHAR T.A28CHAR T.A28PFDRIVER_DISPATCH T.A30CHAR T.A31CHAR T.A32CHAR T.A32UINT2 T.A34CHAR T.A35CHAR T.A37CHAR T.A3UCHAR T.A3UINT4 T.A3_LUID_AND_ATTRIBUTES T.A4PVOID T.A7_DEVICE_POWER_STATE T.A8UCHAR T.BUS_QUERY_ID_TYPE T.CHAR T.DEVICE_TEXT_TYPE T.F0 T.F1 T.F10 T.F11 T.F12 T.F13 T.F14 T.F15 T.F16 T.F17 T.F18 T.F19 T.F2 T.F20 T.F21 T.F22 T.F23 T.F24 T.F25 T.F26 T.F27 T.F28 T.F29 T.F3 T.F30 T.F31 T.F32 T.F33 T.F34 T.F35 T.F36 T.F37 T.F38 T.F39 T.F4 T.F40 T.F41 T.F42 T.F43 T.F44 T.F45 T.F5 T.F6 T.F7 T.F8 T.F9 T.FDRIVER_ADD_DEVICE T.FDRIVER_CANCEL T.FDRIVER_DISPATCH T.FDRIVER_INITIALIZE T.FDRIVER_STARTIO T.FDRIVER_UNLOAD T.FFAST_IO_ACQUIRE_FILE T.FFAST_IO_ACQUIRE_FOR_CCFLUSH T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE T.FFAST_IO_CHECK_IF_POSSIBLE T.FFAST_IO_DETACH_DEVICE T.FFAST_IO_DEVICE_CONTROL T.FFAST_IO_LOCK T.FFAST_IO_MDL_READ T.FFAST_IO_MDL_READ_COMPLETE T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED T.FFAST_IO_MDL_WRITE_COMPLETE T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED T.FFAST_IO_PREPARE_MDL_WRITE T.FFAST_IO_QUERY_BASIC_INFO T.FFAST_IO_QUERY_NETWORK_OPEN_INFO T.FFAST_IO_QUERY_OPEN T.FFAST_IO_QUERY_STANDARD_INFO T.FFAST_IO_READ T.FFAST_IO_READ_COMPRESSED T.FFAST_IO_RELEASE_FILE T.FFAST_IO_RELEASE_FOR_CCFLUSH T.FFAST_IO_RELEASE_FOR_MOD_WRITE T.FFAST_IO_UNLOCK_ALL T.FFAST_IO_UNLOCK_ALL_BY_KEY T.FFAST_IO_UNLOCK_SINGLE T.FFAST_IO_WRITE T.FFAST_IO_WRITE_COMPRESSED T.FIO_COMPLETION_ROUTINE T.FKSERVICE_ROUTINE T.INT2 T.INT4 T.INT8 T.PA17CHAR T.PA18CHAR T.PA20CHAR T.PA21CHAR T.PA22CHAR T.PA23CHAR T.PA24CHAR T.PA25CHAR T.PA26CHAR T.PA27CHAR T.PA28CHAR T.PA30CHAR T.PA31CHAR T.PA32CHAR T.PA34CHAR T.PA35CHAR T.PA37CHAR T.PCHAR T.PF0 T.PF20 T.PF21 T.PF22 T.PF24 T.PF25 T.PF26 T.PF32 T.PF33 T.PF34 T.PF36 T.PF37 T.PF38 T.PF39 T.PF40 T.PF41 T.PF42 T.PF43 T.PF44 T.PF45 T.PFDRIVER_ADD_DEVICE T.PFDRIVER_CANCEL T.PFDRIVER_DISPATCH T.PFDRIVER_INITIALIZE T.PFDRIVER_STARTIO T.PFDRIVER_UNLOAD T.PFFAST_IO_ACQUIRE_FILE T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE T.PFFAST_IO_CHECK_IF_POSSIBLE T.PFFAST_IO_DETACH_DEVICE T.PFFAST_IO_DEVICE_CONTROL T.PFFAST_IO_LOCK T.PFFAST_IO_MDL_READ T.PFFAST_IO_MDL_READ_COMPLETE T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED T.PFFAST_IO_MDL_WRITE_COMPLETE T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED T.PFFAST_IO_PREPARE_MDL_WRITE T.PFFAST_IO_QUERY_BASIC_INFO T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO T.PFFAST_IO_QUERY_OPEN T.PFFAST_IO_QUERY_STANDARD_INFO T.PFFAST_IO_READ T.PFFAST_IO_READ_COMPRESSED T.PFFAST_IO_RELEASE_FILE T.PFFAST_IO_RELEASE_FOR_CCFLUSH T.PFFAST_IO_RELEASE_FOR_MOD_WRITE T.PFFAST_IO_UNLOCK_ALL T.PFFAST_IO_UNLOCK_ALL_BY_KEY T.PFFAST_IO_UNLOCK_SINGLE T.PFFAST_IO_WRITE T.PFFAST_IO_WRITE_COMPRESSED T.PFIO_COMPLETION_ROUTINE T.PFKSERVICE_ROUTINE T.PINT2 T.PINT4 T.POWER_ACTION T.PPCHAR T.PPF0 T.PPF25 T.PPF34 T.PPF43 T.PPF44 T.PPFDRIVER_CANCEL T.PPINT2 T.PPINT4 T.PPP_IRP T.PPUCHAR T.PPUINT4 T.PPVOID T.PP_DEVICE_OBJECT T.PP_ERESOURCE T.PP_IO_STACK_LOCATION T.PP_IRP T.PP_KDPC T.PP_KEVENT T.PP_KINTERRUPT T.PP_KTIMER T.PP_LARGE_INTEGER T.PP_LIST_ENTRY T.PP_MDL T.PP_SERIAL_BAUD_RATE T.PP_SERIAL_CHARS T.PP_SERIAL_COMMPROP T.PP_SERIAL_DEVICE_EXTENSION T.PP_SERIAL_HANDFLOW T.PP_SERIAL_LINE_CONTROL T.PP_SERIAL_QUEUE_SIZE T.PP_SERIAL_TIMEOUTS T.PP_SERIAL_XOFF_COUNTER T.PP_UNICODE_STRING T.PUCHAR T.PUINT2 T.PUINT4 T.PVOID T.PWMIGUIDREGINFO T.P_ACCESS_STATE T.P_CM_RESOURCE_LIST T.P_COMPRESSED_DATA_INFO T.P_DEVICE_CAPABILITIES T.P_DEVICE_OBJECT T.P_DEVICE_POWER_STATE T.P_DEVOBJ_EXTENSION T.P_DRIVER_EXTENSION T.P_DRIVER_OBJECT T.P_EPROCESS T.P_ERESOURCE T.P_EVENT_TYPE T.P_FAST_IO_DISPATCH T.P_FILE_BASIC_INFORMATION T.P_FILE_GET_QUOTA_INFORMATION T.P_FILE_NETWORK_OPEN_INFORMATION T.P_FILE_OBJECT T.P_FILE_STANDARD_INFORMATION T.P_GUID T.P_INTERFACE T.P_IO_COMPLETION_CONTEXT T.P_IO_RESOURCE_REQUIREMENTS_LIST T.P_IO_SECURITY_CONTEXT T.P_IO_STACK_LOCATION T.P_IO_STATUS_BLOCK T.P_IO_TIMER T.P_IRP T.P_KAPC T.P_KDPC T.P_KEVENT T.P_KINTERRUPT T.P_KPROCESS T.P_KSEMAPHORE T.P_KTHREAD T.P_KTIMER T.P_KWAIT_REASON T.P_LARGE_INTEGER T.P_LIST_ENTRY T.P_MDL T.P_OWNER_ENTRY T.P_POOL_TYPE T.P_POWER_SEQUENCE T.P_POWER_STATE T.P_SCSI_REQUEST_BLOCK T.P_SECTION_OBJECT_POINTERS T.P_SECURITY_QUALITY_OF_SERVICE T.P_SERIAL_BAUD_RATE T.P_SERIAL_CHARS T.P_SERIAL_CISR_SW T.P_SERIAL_COMMPROP T.P_SERIAL_DEVICE_EXTENSION T.P_SERIAL_HANDFLOW T.P_SERIAL_IOCTL_SYNC T.P_SERIAL_LINE_CONTROL T.P_SERIAL_QUEUE_SIZE T.P_SERIAL_RESIZE_PARAMS T.P_SERIAL_TIMEOUTS T.P_SERIAL_UPDATE_CHAR T.P_SERIAL_XOFF_COUNTER T.P_UNICODE_STRING T.P_VPB T.UCHAR T.UINT2 T.UINT4 T.UINT8 T.VOID T.WMIENABLEDISABLECONTROL T.WMIGUIDREGINFO T._ACCESS_STATE T._CM_FULL_RESOURCE_DESCRIPTOR T._CM_PARTIAL_RESOURCE_DESCRIPTOR T._CM_PARTIAL_RESOURCE_LIST T._CM_RESOURCE_LIST T._COMPRESSED_DATA_INFO T._DEVICE_CAPABILITIES T._DEVICE_OBJECT T._DEVICE_POWER_STATE T._DEVICE_RELATION_TYPE T._DEVICE_USAGE_NOTIFICATION_TYPE T._DEVOBJ_EXTENSION T._DISPATCHER_HEADER T._DRIVER_EXTENSION T._DRIVER_OBJECT T._EPROCESS T._ERESOURCE T._EVENT_TYPE T._FAST_IO_DISPATCH T._FAST_MUTEX T._FILE_BASIC_INFORMATION T._FILE_GET_QUOTA_INFORMATION T._FILE_INFORMATION_CLASS T._FILE_NETWORK_OPEN_INFORMATION T._FILE_OBJECT T._FILE_STANDARD_INFORMATION T._FSINFOCLASS T._GUID T._INITIAL_PRIVILEGE_SET T._INTERFACE T._INTERFACE_TYPE T._IO_ALLOCATION_ACTION T._IO_COMPLETION_CONTEXT T._IO_RESOURCE_DESCRIPTOR T._IO_RESOURCE_LIST T._IO_RESOURCE_REQUIREMENTS_LIST T._IO_SECURITY_CONTEXT T._IO_STACK_LOCATION T._IO_STATUS_BLOCK T._IO_TIMER T._IRP T._IRQ_DEVICE_POLICY T._IRQ_PRIORITY T._KAPC T._KDEVICE_QUEUE T._KDEVICE_QUEUE_ENTRY T._KDPC T._KEVENT T._KINTERRUPT T._KPROCESS T._KSEMAPHORE T._KTHREAD T._KTIMER T._KWAIT_REASON T._LARGE_INTEGER T._LIST_ENTRY T._LUID T._LUID_AND_ATTRIBUTES T._MDL T._OWNER_ENTRY T._POOL_TYPE T._POWER_SEQUENCE T._POWER_STATE T._POWER_STATE_TYPE T._PRIVILEGE_SET T._SCSI_REQUEST_BLOCK T._SECTION_OBJECT_POINTERS T._SECURITY_IMPERSONATION_LEVEL T._SECURITY_QUALITY_OF_SERVICE T._SECURITY_SUBJECT_CONTEXT T._SERIALPERF_STATS T._SERIAL_BAUD_RATE T._SERIAL_CHARS T._SERIAL_CISR_SW T._SERIAL_COMMPROP T._SERIAL_DEVICE_EXTENSION T._SERIAL_DEVICE_STATE T._SERIAL_HANDFLOW T._SERIAL_IOCTL_SYNC T._SERIAL_LINE_CONTROL T._SERIAL_QUEUE_SIZE T._SERIAL_RESIZE_PARAMS T._SERIAL_TIMEOUTS T._SERIAL_UPDATE_CHAR T._SERIAL_WMI_COMM_DATA T._SERIAL_WMI_HW_DATA T._SERIAL_WMI_PERF_DATA T._SERIAL_XOFF_COUNTER T._SYSTEM_POWER_STATE T._SYSTEM_POWER_STATE_CONTEXT T._ULARGE_INTEGER T._UNICODE_STRING T._VPB T._WAIT_CONTEXT_BLOCK T._WMILIB_CONTEXT T.__unnamed_12_0cb3dc26 T.__unnamed_12_1a4b0b08 T.__unnamed_12_1cbe20d6 T.__unnamed_12_28f1f9cc T.__unnamed_12_29a9546e T.__unnamed_12_33a88444 T.__unnamed_12_468ce3a2 T.__unnamed_12_5cc47a19 T.__unnamed_12_6fbd747c T.__unnamed_12_9a27b966 T.__unnamed_12_9eaf06f6 T.__unnamed_12_a967ef4a T.__unnamed_12_ab6ff61b T.__unnamed_12_ad4e1918 T.__unnamed_12_c0c3bd45 T.__unnamed_12_df63118d T.__unnamed_12_e5164c3f T.__unnamed_12_f1f9be0a T.__unnamed_12_f354d203 T.__unnamed_16_2ab145ec T.__unnamed_16_30f1d328 T.__unnamed_16_3277c3a0 T.__unnamed_16_3a584a7c T.__unnamed_16_3dec08db T.__unnamed_16_57edbc3a T.__unnamed_16_5ac3fe10 T.__unnamed_16_5bbbf1e7 T.__unnamed_16_66abee0d T.__unnamed_16_6c8935f2 T.__unnamed_16_834e30a3 T.__unnamed_16_83707d7f T.__unnamed_16_94922103 T.__unnamed_16_9eb64f79 T.__unnamed_16_a71f10bf T.__unnamed_16_af2c1884 T.__unnamed_16_b1a6a9b2 T.__unnamed_16_c774559b T.__unnamed_16_ca1b3ad0 T.__unnamed_1_4258582a T.__unnamed_1_4f5916b9 T.__unnamed_1_923f487b T.__unnamed_1_ac5cb154 T.__unnamed_20_9fc4dd36 T.__unnamed_24_76c1f52c T.__unnamed_24_87e4ad03 T.__unnamed_24_87fb9019 T.__unnamed_24_af527a47 T.__unnamed_24_b3ef9869 T.__unnamed_24_c23e34f7 T.__unnamed_24_e04d7241 T.__unnamed_2_1d659b1d T.__unnamed_40_1db13fa5 T.__unnamed_40_ebf2206a T.__unnamed_44_0d347e8a T.__unnamed_48_ffd8d308 T.__unnamed_4_04fc9c34 T.__unnamed_4_082ca2fa T.__unnamed_4_142d6b52 T.__unnamed_4_1c47e29a T.__unnamed_4_3dc37e35 T.__unnamed_4_4d53984e T.__unnamed_4_522a02ae T.__unnamed_4_61d4f5e1 T.__unnamed_4_6eaf329f T.__unnamed_4_7b44c46c T.__unnamed_4_7bab7ec3 T.__unnamed_4_a8006df8 T.__unnamed_4_ab1173de T.__unnamed_4_b2e59cbb T.__unnamed_4_b38dc67f T.__unnamed_4_c62ef092 T.__unnamed_4_ce0c1b82 T.__unnamed_4_cedfeccd T.__unnamed_4_f13e195c T.__unnamed_4_f14caa62 T.__unnamed_4_f18e264a T.__unnamed_8_06a6de28 T.__unnamed_8_219179d3 T.__unnamed_8_380551ca T.__unnamed_8_3ebf0971 T.__unnamed_8_45a58840 T.__unnamed_8_544b88f4 T.__unnamed_8_5bc13409 T.__unnamed_8_5d23cded T.__unnamed_8_5d67d492 T.__unnamed_8_655e974a T.__unnamed_8_a4174c52 T.__unnamed_8_a569aa82 T.__unnamed_8_b3031d0e T.__unnamed_8_b7ca8084 T.__unnamed_8_b8c2e139 T.__unnamed_8_baf71367 T.__unnamed_8_be4b9317 T.__unnamed_8_d81ae7e8 (int_2_U SerialCancelCurrentWrite) (int_2_U SerialCancelCurrentXoff) (int_2_U SerialCancelImmediate) (int_2_U SerialCancelQueued) (int_2_U SerialClearStats) (int_2_U SerialClrDTR) (int_2_U SerialClrRTS) (int_2_U SerialFilterCancelQueued) (int_2_U SerialGetCommStatus) (int_2_U SerialGetMCRContents) (int_2_U SerialGetModemUpdate) (int_2_U SerialGetNextIrp) (int_2_U SerialGetNextWrite) (int_2_U SerialGetStats) (int_2_U SerialGiveImmediateToIsr) (int_2_U SerialGiveWriteToIsr) (int_2_U SerialGiveXoffToIsr) (int_2_U SerialGrabReadFromIsr) (int_2_U SerialGrabWriteFromIsr) (int_2_U SerialGrabXoffFromIsr) (int_2_U SerialPretendXoff) (int_2_U SerialPretendXon) (int_2_U SerialProcessEmptyTransmit) (int_2_U SerialSetBaud) (int_2_U SerialSetChars) (int_2_U SerialSetDTR) (int_2_U SerialSetEscapeChar) (int_2_U SerialSetFCRContents) (int_2_U SerialSetHandFlow) (int_2_U SerialSetLineControl) (int_2_U SerialSetMCRContents) (int_2_U SerialSetRTS) (int_2_U SerialStartMask) (int_2_U SerialStartPurge) (int_2_U SerialStartRead) (int_2_U SerialStartWrite) (int_2_U SerialSystemPowerCompletion) (int_2_U SerialTurnOffBreak) (int_2_U SerialTurnOnBreak) (int_2_U SerialUpdateAndSwitchToNew) (int_2_U SerialUpdateAndSwitchToUser) (int_2_U SerialUpdateInterruptBuffer) (int_2_U SerialUpdateReadByIsr) (int_2_U hdevobj) (int_2_U hiostackloc) (int_2_U hirp) (int_2_U hlock) (int_2_U notused_hiostackloc) (int_2_U sdv_irql_current) (int_2_U sdv_irql_previous) (int_2_U sdv_irql_previous_2) (int_2_U sdv_irql_previous_3) (int_2_U BOOGIE_LARGE_INT_2147483648) (int_2_U BOOGIE_LARGE_INT_4294967295)) (forall ((?b0 boogieU) (?c0 boogieU)) (! (=> (and (= (type ?b0) byteType) (= (type ?c0) byteType)) (=> (= (OneByteToInt ?b0) (OneByteToInt ?c0)) (= ?b0 ?c0))) :pattern ((OneByteToInt ?b0) (OneByteToInt ?c0)) )) (forall ((?b00 boogieU) (?b1 boogieU) (?c00 boogieU) (?c1 boogieU)) (! (=> (and (= (type ?b00) byteType) (= (type ?b1) byteType) (= (type ?c00) byteType) (= (type ?c1) byteType)) (=> (= (TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) (and (= ?b00 ?c00) (= ?b1 ?c1)))) :pattern ((TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) )) (forall ((?b01 boogieU) (?b10 boogieU) (?b2 boogieU) (?b3 boogieU) (?c01 boogieU) (?c10 boogieU) (?c2 boogieU) (?c3 boogieU)) (! (=> (and (= (type ?b01) byteType) (= (type ?b10) byteType) (= (type ?b2) byteType) (= (type ?b3) byteType) (= (type ?c01) byteType) (= (type ?c10) byteType) (= (type ?c2) byteType) (= (type ?c3) byteType)) (=> (= (FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) (and (= ?b01 ?c01) (= ?b10 ?c10) (= ?b2 ?c2) (= ?b3 ?c3)))) :pattern ((FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) )) (forall ((?x4 boogieU)) (=> (= (type ?x4) intType) (not (= (U_2_bool (MapType0Select Empty ?x4)) boolTrue)))) (forall ((?x5 boogieU)) (=> (= (type ?x5) intType) (= (U_2_bool (MapType0Select SetTrue ?x5)) boolTrue))) (forall ((?x6 boogieU) (?y2 Int)) (! (=> (= (type ?x6) intType) (= (= (U_2_bool (MapType0Select (Singleton ?y2) ?x6)) boolTrue) (= (U_2_int ?x6) ?y2))) :pattern ((MapType0Select (Singleton ?y2) ?x6)) )) (forall ((?y3 Int)) (! (= (U_2_bool (MapType0Select (Singleton ?y3) (int_2_U ?y3))) boolTrue) :pattern ((Singleton ?y3)) )) (forall ((?x7 boogieU) (?S boogieU) (?T boogieU)) (! (let ((?v_1 (MapType0Type intType boolType))) (=> (and (= (type ?x7) intType) (= (type ?S) ?v_1) (= (type ?T) ?v_1)) (= (= (U_2_bool (MapType0Select (Union ?S ?T) ?x7)) boolTrue) (or (= (U_2_bool (MapType0Select ?S ?x7)) boolTrue) (= (U_2_bool (MapType0Select ?T ?x7)) boolTrue))))) :pattern ((MapType0Select (Union ?S ?T) ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?S ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?T ?x7)) )) (forall ((?x8 boogieU) (?S0 boogieU) (?T0 boogieU)) (! (let ((?v_2 (MapType0Type intType boolType))) (=> (and (= (type ?x8) intType) (= (type ?S0) ?v_2) (= (type ?T0) ?v_2)) (= (= (U_2_bool (MapType0Select (Intersection ?S0 ?T0) ?x8)) boolTrue) (and (= (U_2_bool (MapType0Select ?S0 ?x8)) boolTrue) (= (U_2_bool (MapType0Select ?T0 ?x8)) boolTrue))))) :pattern ((MapType0Select (Intersection ?S0 ?T0) ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?S0 ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?T0 ?x8)) )) (forall ((?x9 boogieU) (?S1 boogieU) (?T1 boogieU)) (! (let ((?v_3 (MapType0Type intType boolType))) (=> (and (= (type ?x9) intType) (= (type ?S1) ?v_3) (= (type ?T1) ?v_3)) (= (= (U_2_bool (MapType0Select (Difference ?S1 ?T1) ?x9)) boolTrue) (and (= (U_2_bool (MapType0Select ?S1 ?x9)) boolTrue) (not (= (U_2_bool (MapType0Select ?T1 ?x9)) boolTrue)))))) :pattern ((MapType0Select (Difference ?S1 ?T1) ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?S1 ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?T1 ?x9)) )) (forall ((?S2 boogieU) (?T2 boogieU)) (! (let ((?v_4 (MapType0Type intType boolType))) (=> (and (= (type ?S2) ?v_4) (= (type ?T2) ?v_4)) (= (= (Equal ?S2 ?T2) boolTrue) (and (= (Subset ?S2 ?T2) boolTrue) (= (Subset ?T2 ?S2) boolTrue))))) :pattern ((Equal ?S2 ?T2)) )) (forall ((?x10 boogieU) (?S3 boogieU) (?T3 boogieU)) (! (let ((?v_5 (MapType0Type intType boolType))) (=> (and (= (type ?x10) intType) (= (type ?S3) ?v_5) (= (type ?T3) ?v_5)) (=> (and (= (U_2_bool (MapType0Select ?S3 ?x10)) boolTrue) (= (Subset ?S3 ?T3) boolTrue)) (= (U_2_bool (MapType0Select ?T3 ?x10)) boolTrue)))) :pattern ((MapType0Select ?S3 ?x10) (Subset ?S3 ?T3))  :pattern ((MapType0Select ?T3 ?x10) (Subset ?S3 ?T3)) )) (forall ((?S4 boogieU) (?T4 boogieU)) (! (let ((?v_6 (MapType0Type intType boolType))) (=> (and (= (type ?S4) ?v_6) (= (type ?T4) ?v_6)) (or (= (Subset ?S4 ?T4) boolTrue) (exists ((?x11 Int)) (let ((?v_7 (int_2_U ?x11))) (and (= (U_2_bool (MapType0Select ?S4 ?v_7)) boolTrue) (not (= (U_2_bool (MapType0Select ?T4 ?v_7)) boolTrue)))))))) :pattern ((Subset ?S4 ?T4)) )) (forall ((?x12 boogieU) (?S5 boogieU) (?T5 boogieU)) (! (let ((?v_8 (MapType0Type intType boolType))) (=> (and (= (type ?x12) intType) (= (type ?S5) ?v_8) (= (type ?T5) ?v_8)) (not (and (= (U_2_bool (MapType0Select ?S5 ?x12)) boolTrue) (= (Disjoint ?S5 ?T5) boolTrue) (= (U_2_bool (MapType0Select ?T5 ?x12)) boolTrue))))) :pattern ((MapType0Select ?S5 ?x12) (Disjoint ?S5 ?T5))  :pattern ((MapType0Select ?T5 ?x12) (Disjoint ?S5 ?T5)) )) (forall ((?S6 boogieU) (?T6 boogieU)) (! (let ((?v_9 (MapType0Type intType boolType))) (=> (and (= (type ?S6) ?v_9) (= (type ?T6) ?v_9)) (or (= (Disjoint ?S6 ?T6) boolTrue) (exists ((?x13 Int)) (let ((?v_10 (int_2_U ?x13))) (and (= (U_2_bool (MapType0Select ?S6 ?v_10)) boolTrue) (= (U_2_bool (MapType0Select ?T6 ?v_10)) boolTrue))))))) :pattern ((Disjoint ?S6 ?T6)) )) (forall ((?f boogieU) (?x14 boogieU)) (! (=> (and (= (type ?f) (MapType0Type intType intType)) (= (type ?x14) intType)) (= (U_2_bool (MapType0Select (Inverse ?f (U_2_int (MapType0Select ?f ?x14))) ?x14)) boolTrue)) :pattern ((Inverse ?f (U_2_int (MapType0Select ?f ?x14)))) )) (forall ((?f0 boogieU) (?x15 boogieU) (?y4 Int)) (! (=> (and (= (type ?f0) (MapType0Type intType intType)) (= (type ?x15) intType)) (=> (= (U_2_bool (MapType0Select (Inverse ?f0 ?y4) ?x15)) boolTrue) (= (U_2_int (MapType0Select ?f0 ?x15)) ?y4))) :pattern ((Inverse ?f0 ?y4) (MapType0Select ?f0 ?x15)) )) (forall ((?f1 boogieU) (?x16 boogieU) (?y5 boogieU)) (! (let ((?v_11 (U_2_int ?y5))) (=> (and (= (type ?f1) (MapType0Type intType intType)) (= (type ?x16) intType) (= (type ?y5) intType)) (= (Equal (Inverse (MapType0Store ?f1 ?x16 ?y5) ?v_11) (Union (Inverse ?f1 ?v_11) (Singleton (U_2_int ?x16)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f1 ?x16 ?y5) (U_2_int ?y5))) )) (forall ((?f2 boogieU) (?x17 boogieU) (?y6 boogieU) (?z0 Int)) (! (=> (and (= (type ?f2) (MapType0Type intType intType)) (= (type ?x17) intType) (= (type ?y6) intType)) (or (= (U_2_int ?y6) ?z0) (= (Equal (Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0) (Difference (Inverse ?f2 ?z0) (Singleton (U_2_int ?x17)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0)) )) (forall ((?x18 boogieU) (?S7 boogieU) (?M boogieU)) (! (=> (and (= (type ?x18) intType) (= (type ?S7) (MapType0Type intType boolType)) (= (type ?M) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select (Dereference ?S7 ?M) ?x18)) boolTrue) (exists ((?y7 Int)) (let ((?v_12 (int_2_U ?y7))) (and (= (U_2_int ?x18) (U_2_int (MapType0Select ?M ?v_12))) (= (U_2_bool (MapType0Select ?S7 ?v_12)) boolTrue)))))) :pattern ((MapType0Select (Dereference ?S7 ?M) ?x18)) )) (forall ((?x19 boogieU) (?S8 boogieU) (?M0 boogieU)) (! (=> (and (= (type ?x19) intType) (= (type ?S8) (MapType0Type intType boolType)) (= (type ?M0) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select ?S8 ?x19)) boolTrue) (= (U_2_bool (MapType0Select (Dereference ?S8 ?M0) (MapType0Select ?M0 ?x19))) boolTrue))) :pattern ((MapType0Select ?M0 ?x19) (MapType0Select ?S8 ?x19) (Dereference ?S8 ?M0)) )) (forall ((?x20 boogieU) (?y8 boogieU) (?S9 boogieU) (?M1 boogieU)) (! (=> (and (= (type ?x20) intType) (= (type ?y8) intType) (= (type ?S9) (MapType0Type intType boolType)) (= (type ?M1) (MapType0Type intType intType))) (=> (not (= (U_2_bool (MapType0Select ?S9 ?x20)) boolTrue)) (= (Equal (Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8)) (Dereference ?S9 ?M1)) boolTrue))) :pattern ((Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8))) )) (forall ((?x21 boogieU) (?y9 boogieU) (?S10 boogieU) (?M2 boogieU)) (! (let ((?v_13 (U_2_int (MapType0Select ?M2 ?x21)))) (=> (and (= (type ?x21) intType) (= (type ?y9) intType) (= (type ?S10) (MapType0Type intType boolType)) (= (type ?M2) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S10 ?x21)) boolTrue) (= (Equal (Intersection (Inverse ?M2 ?v_13) ?S10) (Singleton (U_2_int ?x21))) boolTrue)) (= (Equal (Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9)) (Union (Difference (Dereference ?S10 ?M2) (Singleton ?v_13)) (Singleton (U_2_int ?y9)))) boolTrue)))) :pattern ((Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9))) )) (forall ((?x22 boogieU) (?y10 boogieU) (?S11 boogieU) (?M3 boogieU)) (! (=> (and (= (type ?x22) intType) (= (type ?y10) intType) (= (type ?S11) (MapType0Type intType boolType)) (= (type ?M3) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S11 ?x22)) boolTrue) (not (= (Equal (Intersection (Inverse ?M3 (U_2_int (MapType0Select ?M3 ?x22))) ?S11) (Singleton (U_2_int ?x22))) boolTrue))) (= (Equal (Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10)) (Union (Dereference ?S11 ?M3) (Singleton (U_2_int ?y10)))) boolTrue))) :pattern ((Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10))) )) (forall ((?M4 boogieU) (?x23 boogieU)) (! (=> (and (= (type ?M4) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x23) intType)) (= (U_2_int (MapType0Select (Unified ?M4) ?x23)) (U_2_int (MapType0Select (MapType0Select ?M4 (Field (U_2_int ?x23))) ?x23)))) :pattern ((MapType0Select (Unified ?M4) ?x23)) )) (forall ((?M5 boogieU) (?x24 boogieU) (?y11 boogieU)) (! (let ((?v_14 (Field (U_2_int ?x24)))) (=> (and (= (type ?M5) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x24) intType) (= (type ?y11) intType)) (= (Unified (MapType0Store ?M5 ?v_14 (MapType0Store (MapType0Select ?M5 ?v_14) ?x24 ?y11))) (MapType0Store (Unified ?M5) ?x24 ?y11)))) :pattern ((Unified (MapType0Store ?M5 (Field (U_2_int ?x24)) (MapType0Store (MapType0Select ?M5 (Field (U_2_int ?x24))) ?x24 ?y11)))) )) (forall ((?v boogieU) (?t boogieU) (?m2 boogieU)) (! (=> (and (= (type ?v) intType) (= (type ?t) nameType) (= (type ?m2) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (U_2_bool (MapType0Select (Values ?t ?m2) ?v)) boolTrue) (= (HasType (U_2_int ?v) ?t ?m2) boolTrue))) :pattern ((MapType0Select (Values ?t ?m2) ?v)) )) (forall ((?v0 Int) (?t0 boogieU) (?m3 boogieU)) (! (=> (and (= (type ?t0) nameType) (= (type ?m3) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (HasType ?v0 ?t0 ?m3) boolTrue) (= (U_2_bool (MapType0Select (Values ?t0 ?m3) (int_2_U ?v0))) boolTrue))) :pattern ((HasType ?v0 ?t0 ?m3) (Values ?t0 ?m3)) )) (forall ((?a Int) (?t1 boogieU)) (! (let ((?v_15 (T.Ptr ?t1))) (=> (= (type ?t1) nameType) (= (= (Match ?a ?v_15) boolTrue) (= (Field ?a) ?v_15)))) :pattern ((Match ?a (T.Ptr ?t1))) )) (forall ((?v1 Int) (?t2 boogieU) (?m4 boogieU)) (! (=> (and (= (type ?t2) nameType) (= (type ?m4) (MapType0Type nameType (MapType0Type intType intType)))) (= (= (HasType ?v1 (T.Ptr ?t2) ?m4) boolTrue) (or (= ?v1 0) (and (> ?v1 0) (= (Match ?v1 ?t2) boolTrue))))) :pattern ((HasType ?v1 (T.Ptr ?t2) ?m4)) )) (forall ((?v2 Int) (?t3 boogieU) (?m10 boogieU) (?m20 boogieU)) (! (let ((?v_16 (MapType0Type nameType (MapType0Type intType intType)))) (=> (and (= (type ?t3) nameType) (= (type ?m10) ?v_16) (= (type ?m20) ?v_16)) (= (= (HasType ?v2 ?t3 ?m10) boolTrue) (= (HasType ?v2 ?t3 ?m20) boolTrue)))) :pattern ((HasType ?v2 ?t3 ?m10) (HasType ?v2 ?t3 ?m20)) )) (forall ((?x25 Int)) (! (= (Argument4___unnamed_16_5ac3fe10Inv (Argument4___unnamed_16_5ac3fe10 ?x25)) ?x25) :pattern ((Argument4___unnamed_16_5ac3fe10Inv (Argument4___unnamed_16_5ac3fe10 ?x25))) )) (forall ((?x26 Int)) (! (= (Argument4___unnamed_16_5ac3fe10 (Argument4___unnamed_16_5ac3fe10Inv ?x26)) ?x26) :pattern ((Argument4___unnamed_16_5ac3fe10Inv ?x26)) )) (forall ((?x27 boogieU) (?S12 boogieU)) (! (=> (and (= (type ?x27) intType) (= (type ?S12) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Argument4___unnamed_16_5ac3fe10 ?S12) ?x27)) boolTrue) (= (U_2_bool (MapType0Select ?S12 (int_2_U (Argument4___unnamed_16_5ac3fe10Inv (U_2_int ?x27))))) boolTrue))) :pattern ((MapType0Select (x_S_Argument4___unnamed_16_5ac3fe10 ?S12) ?x27)) )) (forall ((?x28 boogieU) (?S13 boogieU)) (! (=> (and (= (type ?x28) intType) (= (type ?S13) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Argument4___unnamed_16_5ac3fe10Inv ?S13) ?x28)) boolTrue) (= (U_2_bool (MapType0Select ?S13 (int_2_U (Argument4___unnamed_16_5ac3fe10 (U_2_int ?x28))))) boolTrue))) :pattern ((MapType0Select (x_S_Argument4___unnamed_16_5ac3fe10Inv ?S13) ?x28)) )) (forall ((?x29 boogieU) (?S14 boogieU)) (! (=> (and (= (type ?x29) intType) (= (type ?S14) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S14 ?x29)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Argument4___unnamed_16_5ac3fe10 ?S14) (int_2_U (Argument4___unnamed_16_5ac3fe10 (U_2_int ?x29))))) boolTrue))) :pattern ((MapType0Select ?S14 ?x29) (x_S_Argument4___unnamed_16_5ac3fe10 ?S14)) )) (forall ((?x30 boogieU) (?S15 boogieU)) (! (=> (and (= (type ?x30) intType) (= (type ?S15) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S15 ?x30)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Argument4___unnamed_16_5ac3fe10Inv ?S15) (int_2_U (Argument4___unnamed_16_5ac3fe10Inv (U_2_int ?x30))))) boolTrue))) :pattern ((MapType0Select ?S15 ?x30) (x_S_Argument4___unnamed_16_5ac3fe10Inv ?S15)) )) (forall ((?x31 Int)) (! (= (Argument4___unnamed_16_5ac3fe10 ?x31) (+ ?x31 12)) :pattern ((Argument4___unnamed_16_5ac3fe10 ?x31)) )) (forall ((?x32 Int)) (! (= (Argument4___unnamed_16_5ac3fe10Inv ?x32) (- ?x32 12)) :pattern ((Argument4___unnamed_16_5ac3fe10Inv ?x32)) )) (forall ((?x33 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x33 12 1) (Argument4___unnamed_16_5ac3fe10Inv ?x33)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x33 12 1)) )) (forall ((?x34 Int)) (! (= (MINUS_LEFT_PTR ?x34 1 12) (Argument4___unnamed_16_5ac3fe10Inv ?x34)) :pattern ((MINUS_LEFT_PTR ?x34 1 12)) )) (forall ((?x35 Int)) (! (= (AssociatedIrp__IRPInv (AssociatedIrp__IRP ?x35)) ?x35) :pattern ((AssociatedIrp__IRPInv (AssociatedIrp__IRP ?x35))) )) (forall ((?x36 Int)) (! (= (AssociatedIrp__IRP (AssociatedIrp__IRPInv ?x36)) ?x36) :pattern ((AssociatedIrp__IRPInv ?x36)) )) (forall ((?x37 boogieU) (?S16 boogieU)) (! (=> (and (= (type ?x37) intType) (= (type ?S16) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_AssociatedIrp__IRP ?S16) ?x37)) boolTrue) (= (U_2_bool (MapType0Select ?S16 (int_2_U (AssociatedIrp__IRPInv (U_2_int ?x37))))) boolTrue))) :pattern ((MapType0Select (x_S_AssociatedIrp__IRP ?S16) ?x37)) )) (forall ((?x38 boogieU) (?S17 boogieU)) (! (=> (and (= (type ?x38) intType) (= (type ?S17) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_AssociatedIrp__IRPInv ?S17) ?x38)) boolTrue) (= (U_2_bool (MapType0Select ?S17 (int_2_U (AssociatedIrp__IRP (U_2_int ?x38))))) boolTrue))) :pattern ((MapType0Select (x_S_AssociatedIrp__IRPInv ?S17) ?x38)) )) (forall ((?x39 boogieU) (?S18 boogieU)) (! (=> (and (= (type ?x39) intType) (= (type ?S18) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S18 ?x39)) boolTrue) (= (U_2_bool (MapType0Select (x_S_AssociatedIrp__IRP ?S18) (int_2_U (AssociatedIrp__IRP (U_2_int ?x39))))) boolTrue))) :pattern ((MapType0Select ?S18 ?x39) (x_S_AssociatedIrp__IRP ?S18)) )) (forall ((?x40 boogieU) (?S19 boogieU)) (! (=> (and (= (type ?x40) intType) (= (type ?S19) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S19 ?x40)) boolTrue) (= (U_2_bool (MapType0Select (x_S_AssociatedIrp__IRPInv ?S19) (int_2_U (AssociatedIrp__IRPInv (U_2_int ?x40))))) boolTrue))) :pattern ((MapType0Select ?S19 ?x40) (x_S_AssociatedIrp__IRPInv ?S19)) )) (forall ((?x41 Int)) (! (= (AssociatedIrp__IRP ?x41) (+ ?x41 12)) :pattern ((AssociatedIrp__IRP ?x41)) )) (forall ((?x42 Int)) (! (= (AssociatedIrp__IRPInv ?x42) (- ?x42 12)) :pattern ((AssociatedIrp__IRPInv ?x42)) )) (forall ((?x43 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x43 12 1) (AssociatedIrp__IRPInv ?x43)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x43 12 1)) )) (forall ((?x44 Int)) (! (= (MINUS_LEFT_PTR ?x44 1 12) (AssociatedIrp__IRPInv ?x44)) :pattern ((MINUS_LEFT_PTR ?x44 1 12)) )) (forall ((?x45 Int)) (! (= (BaudRate__SERIAL_BAUD_RATEInv (BaudRate__SERIAL_BAUD_RATE ?x45)) ?x45) :pattern ((BaudRate__SERIAL_BAUD_RATEInv (BaudRate__SERIAL_BAUD_RATE ?x45))) )) (forall ((?x46 Int)) (! (= (BaudRate__SERIAL_BAUD_RATE (BaudRate__SERIAL_BAUD_RATEInv ?x46)) ?x46) :pattern ((BaudRate__SERIAL_BAUD_RATEInv ?x46)) )) (forall ((?x47 boogieU) (?S20 boogieU)) (! (=> (and (= (type ?x47) intType) (= (type ?S20) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_BAUD_RATE ?S20) ?x47)) boolTrue) (= (U_2_bool (MapType0Select ?S20 (int_2_U (BaudRate__SERIAL_BAUD_RATEInv (U_2_int ?x47))))) boolTrue))) :pattern ((MapType0Select (x_S_BaudRate__SERIAL_BAUD_RATE ?S20) ?x47)) )) (forall ((?x48 boogieU) (?S21 boogieU)) (! (=> (and (= (type ?x48) intType) (= (type ?S21) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_BAUD_RATEInv ?S21) ?x48)) boolTrue) (= (U_2_bool (MapType0Select ?S21 (int_2_U (BaudRate__SERIAL_BAUD_RATE (U_2_int ?x48))))) boolTrue))) :pattern ((MapType0Select (x_S_BaudRate__SERIAL_BAUD_RATEInv ?S21) ?x48)) )) (forall ((?x49 boogieU) (?S22 boogieU)) (! (=> (and (= (type ?x49) intType) (= (type ?S22) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S22 ?x49)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_BAUD_RATE ?S22) (int_2_U (BaudRate__SERIAL_BAUD_RATE (U_2_int ?x49))))) boolTrue))) :pattern ((MapType0Select ?S22 ?x49) (x_S_BaudRate__SERIAL_BAUD_RATE ?S22)) )) (forall ((?x50 boogieU) (?S23 boogieU)) (! (=> (and (= (type ?x50) intType) (= (type ?S23) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S23 ?x50)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_BAUD_RATEInv ?S23) (int_2_U (BaudRate__SERIAL_BAUD_RATEInv (U_2_int ?x50))))) boolTrue))) :pattern ((MapType0Select ?S23 ?x50) (x_S_BaudRate__SERIAL_BAUD_RATEInv ?S23)) )) (forall ((?x51 Int)) (! (= (BaudRate__SERIAL_BAUD_RATE ?x51) (+ ?x51 0)) :pattern ((BaudRate__SERIAL_BAUD_RATE ?x51)) )) (forall ((?x52 Int)) (! (= (BaudRate__SERIAL_BAUD_RATEInv ?x52) (- ?x52 0)) :pattern ((BaudRate__SERIAL_BAUD_RATEInv ?x52)) )) (forall ((?x53 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x53 0 1) (BaudRate__SERIAL_BAUD_RATEInv ?x53)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x53 0 1)) )) (forall ((?x54 Int)) (! (= (MINUS_LEFT_PTR ?x54 1 0) (BaudRate__SERIAL_BAUD_RATEInv ?x54)) :pattern ((MINUS_LEFT_PTR ?x54 1 0)) )) (forall ((?x55 Int)) (! (= (BaudRate__SERIAL_WMI_COMM_DATAInv (BaudRate__SERIAL_WMI_COMM_DATA ?x55)) ?x55) :pattern ((BaudRate__SERIAL_WMI_COMM_DATAInv (BaudRate__SERIAL_WMI_COMM_DATA ?x55))) )) (forall ((?x56 Int)) (! (= (BaudRate__SERIAL_WMI_COMM_DATA (BaudRate__SERIAL_WMI_COMM_DATAInv ?x56)) ?x56) :pattern ((BaudRate__SERIAL_WMI_COMM_DATAInv ?x56)) )) (forall ((?x57 boogieU) (?S24 boogieU)) (! (=> (and (= (type ?x57) intType) (= (type ?S24) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_WMI_COMM_DATA ?S24) ?x57)) boolTrue) (= (U_2_bool (MapType0Select ?S24 (int_2_U (BaudRate__SERIAL_WMI_COMM_DATAInv (U_2_int ?x57))))) boolTrue))) :pattern ((MapType0Select (x_S_BaudRate__SERIAL_WMI_COMM_DATA ?S24) ?x57)) )) (forall ((?x58 boogieU) (?S25 boogieU)) (! (=> (and (= (type ?x58) intType) (= (type ?S25) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_WMI_COMM_DATAInv ?S25) ?x58)) boolTrue) (= (U_2_bool (MapType0Select ?S25 (int_2_U (BaudRate__SERIAL_WMI_COMM_DATA (U_2_int ?x58))))) boolTrue))) :pattern ((MapType0Select (x_S_BaudRate__SERIAL_WMI_COMM_DATAInv ?S25) ?x58)) )) (forall ((?x59 boogieU) (?S26 boogieU)) (! (=> (and (= (type ?x59) intType) (= (type ?S26) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S26 ?x59)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_WMI_COMM_DATA ?S26) (int_2_U (BaudRate__SERIAL_WMI_COMM_DATA (U_2_int ?x59))))) boolTrue))) :pattern ((MapType0Select ?S26 ?x59) (x_S_BaudRate__SERIAL_WMI_COMM_DATA ?S26)) )) (forall ((?x60 boogieU) (?S27 boogieU)) (! (=> (and (= (type ?x60) intType) (= (type ?S27) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S27 ?x60)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BaudRate__SERIAL_WMI_COMM_DATAInv ?S27) (int_2_U (BaudRate__SERIAL_WMI_COMM_DATAInv (U_2_int ?x60))))) boolTrue))) :pattern ((MapType0Select ?S27 ?x60) (x_S_BaudRate__SERIAL_WMI_COMM_DATAInv ?S27)) )) (forall ((?x61 Int)) (! (= (BaudRate__SERIAL_WMI_COMM_DATA ?x61) (+ ?x61 0)) :pattern ((BaudRate__SERIAL_WMI_COMM_DATA ?x61)) )) (forall ((?x62 Int)) (! (= (BaudRate__SERIAL_WMI_COMM_DATAInv ?x62) (- ?x62 0)) :pattern ((BaudRate__SERIAL_WMI_COMM_DATAInv ?x62)) )) (forall ((?x63 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x63 0 1) (BaudRate__SERIAL_WMI_COMM_DATAInv ?x63)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x63 0 1)) )) (forall ((?x64 Int)) (! (= (MINUS_LEFT_PTR ?x64 1 0) (BaudRate__SERIAL_WMI_COMM_DATAInv ?x64)) :pattern ((MINUS_LEFT_PTR ?x64 1 0)) )) (forall ((?x65 Int)) (! (= (BitsPerByte__SERIAL_WMI_COMM_DATAInv (BitsPerByte__SERIAL_WMI_COMM_DATA ?x65)) ?x65) :pattern ((BitsPerByte__SERIAL_WMI_COMM_DATAInv (BitsPerByte__SERIAL_WMI_COMM_DATA ?x65))) )) (forall ((?x66 Int)) (! (= (BitsPerByte__SERIAL_WMI_COMM_DATA (BitsPerByte__SERIAL_WMI_COMM_DATAInv ?x66)) ?x66) :pattern ((BitsPerByte__SERIAL_WMI_COMM_DATAInv ?x66)) )) (forall ((?x67 boogieU) (?S28 boogieU)) (! (=> (and (= (type ?x67) intType) (= (type ?S28) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BitsPerByte__SERIAL_WMI_COMM_DATA ?S28) ?x67)) boolTrue) (= (U_2_bool (MapType0Select ?S28 (int_2_U (BitsPerByte__SERIAL_WMI_COMM_DATAInv (U_2_int ?x67))))) boolTrue))) :pattern ((MapType0Select (x_S_BitsPerByte__SERIAL_WMI_COMM_DATA ?S28) ?x67)) )) (forall ((?x68 boogieU) (?S29 boogieU)) (! (=> (and (= (type ?x68) intType) (= (type ?S29) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv ?S29) ?x68)) boolTrue) (= (U_2_bool (MapType0Select ?S29 (int_2_U (BitsPerByte__SERIAL_WMI_COMM_DATA (U_2_int ?x68))))) boolTrue))) :pattern ((MapType0Select (x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv ?S29) ?x68)) )) (forall ((?x69 boogieU) (?S30 boogieU)) (! (=> (and (= (type ?x69) intType) (= (type ?S30) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S30 ?x69)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BitsPerByte__SERIAL_WMI_COMM_DATA ?S30) (int_2_U (BitsPerByte__SERIAL_WMI_COMM_DATA (U_2_int ?x69))))) boolTrue))) :pattern ((MapType0Select ?S30 ?x69) (x_S_BitsPerByte__SERIAL_WMI_COMM_DATA ?S30)) )) (forall ((?x70 boogieU) (?S31 boogieU)) (! (=> (and (= (type ?x70) intType) (= (type ?S31) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S31 ?x70)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv ?S31) (int_2_U (BitsPerByte__SERIAL_WMI_COMM_DATAInv (U_2_int ?x70))))) boolTrue))) :pattern ((MapType0Select ?S31 ?x70) (x_S_BitsPerByte__SERIAL_WMI_COMM_DATAInv ?S31)) )) (forall ((?x71 Int)) (! (= (BitsPerByte__SERIAL_WMI_COMM_DATA ?x71) (+ ?x71 4)) :pattern ((BitsPerByte__SERIAL_WMI_COMM_DATA ?x71)) )) (forall ((?x72 Int)) (! (= (BitsPerByte__SERIAL_WMI_COMM_DATAInv ?x72) (- ?x72 4)) :pattern ((BitsPerByte__SERIAL_WMI_COMM_DATAInv ?x72)) )) (forall ((?x73 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x73 4 1) (BitsPerByte__SERIAL_WMI_COMM_DATAInv ?x73)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x73 4 1)) )) (forall ((?x74 Int)) (! (= (MINUS_LEFT_PTR ?x74 1 4) (BitsPerByte__SERIAL_WMI_COMM_DATAInv ?x74)) :pattern ((MINUS_LEFT_PTR ?x74 1 4)) )) (forall ((?x75 Int)) (! (= (Blink__LIST_ENTRYInv (Blink__LIST_ENTRY ?x75)) ?x75) :pattern ((Blink__LIST_ENTRYInv (Blink__LIST_ENTRY ?x75))) )) (forall ((?x76 Int)) (! (= (Blink__LIST_ENTRY (Blink__LIST_ENTRYInv ?x76)) ?x76) :pattern ((Blink__LIST_ENTRYInv ?x76)) )) (forall ((?x77 boogieU) (?S32 boogieU)) (! (=> (and (= (type ?x77) intType) (= (type ?S32) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRY ?S32) ?x77)) boolTrue) (= (U_2_bool (MapType0Select ?S32 (int_2_U (Blink__LIST_ENTRYInv (U_2_int ?x77))))) boolTrue))) :pattern ((MapType0Select (x_S_Blink__LIST_ENTRY ?S32) ?x77)) )) (forall ((?x78 boogieU) (?S33 boogieU)) (! (=> (and (= (type ?x78) intType) (= (type ?S33) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRYInv ?S33) ?x78)) boolTrue) (= (U_2_bool (MapType0Select ?S33 (int_2_U (Blink__LIST_ENTRY (U_2_int ?x78))))) boolTrue))) :pattern ((MapType0Select (x_S_Blink__LIST_ENTRYInv ?S33) ?x78)) )) (forall ((?x79 boogieU) (?S34 boogieU)) (! (=> (and (= (type ?x79) intType) (= (type ?S34) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S34 ?x79)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRY ?S34) (int_2_U (Blink__LIST_ENTRY (U_2_int ?x79))))) boolTrue))) :pattern ((MapType0Select ?S34 ?x79) (x_S_Blink__LIST_ENTRY ?S34)) )) (forall ((?x80 boogieU) (?S35 boogieU)) (! (=> (and (= (type ?x80) intType) (= (type ?S35) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S35 ?x80)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRYInv ?S35) (int_2_U (Blink__LIST_ENTRYInv (U_2_int ?x80))))) boolTrue))) :pattern ((MapType0Select ?S35 ?x80) (x_S_Blink__LIST_ENTRYInv ?S35)) )) (forall ((?x81 Int)) (! (= (Blink__LIST_ENTRY ?x81) (+ ?x81 4)) :pattern ((Blink__LIST_ENTRY ?x81)) )) (forall ((?x82 Int)) (! (= (Blink__LIST_ENTRYInv ?x82) (- ?x82 4)) :pattern ((Blink__LIST_ENTRYInv ?x82)) )) (forall ((?x83 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x83 4 1) (Blink__LIST_ENTRYInv ?x83)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x83 4 1)) )) (forall ((?x84 Int)) (! (= (MINUS_LEFT_PTR ?x84 1 4) (Blink__LIST_ENTRYInv ?x84)) :pattern ((MINUS_LEFT_PTR ?x84 1 4)) )) (forall ((?x85 Int)) (! (= (BreakChar__SERIAL_CHARSInv (BreakChar__SERIAL_CHARS ?x85)) ?x85) :pattern ((BreakChar__SERIAL_CHARSInv (BreakChar__SERIAL_CHARS ?x85))) )) (forall ((?x86 Int)) (! (= (BreakChar__SERIAL_CHARS (BreakChar__SERIAL_CHARSInv ?x86)) ?x86) :pattern ((BreakChar__SERIAL_CHARSInv ?x86)) )) (forall ((?x87 boogieU) (?S36 boogieU)) (! (=> (and (= (type ?x87) intType) (= (type ?S36) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BreakChar__SERIAL_CHARS ?S36) ?x87)) boolTrue) (= (U_2_bool (MapType0Select ?S36 (int_2_U (BreakChar__SERIAL_CHARSInv (U_2_int ?x87))))) boolTrue))) :pattern ((MapType0Select (x_S_BreakChar__SERIAL_CHARS ?S36) ?x87)) )) (forall ((?x88 boogieU) (?S37 boogieU)) (! (=> (and (= (type ?x88) intType) (= (type ?S37) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BreakChar__SERIAL_CHARSInv ?S37) ?x88)) boolTrue) (= (U_2_bool (MapType0Select ?S37 (int_2_U (BreakChar__SERIAL_CHARS (U_2_int ?x88))))) boolTrue))) :pattern ((MapType0Select (x_S_BreakChar__SERIAL_CHARSInv ?S37) ?x88)) )) (forall ((?x89 boogieU) (?S38 boogieU)) (! (=> (and (= (type ?x89) intType) (= (type ?S38) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S38 ?x89)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BreakChar__SERIAL_CHARS ?S38) (int_2_U (BreakChar__SERIAL_CHARS (U_2_int ?x89))))) boolTrue))) :pattern ((MapType0Select ?S38 ?x89) (x_S_BreakChar__SERIAL_CHARS ?S38)) )) (forall ((?x90 boogieU) (?S39 boogieU)) (! (=> (and (= (type ?x90) intType) (= (type ?S39) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S39 ?x90)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BreakChar__SERIAL_CHARSInv ?S39) (int_2_U (BreakChar__SERIAL_CHARSInv (U_2_int ?x90))))) boolTrue))) :pattern ((MapType0Select ?S39 ?x90) (x_S_BreakChar__SERIAL_CHARSInv ?S39)) )) (forall ((?x91 Int)) (! (= (BreakChar__SERIAL_CHARS ?x91) (+ ?x91 2)) :pattern ((BreakChar__SERIAL_CHARS ?x91)) )) (forall ((?x92 Int)) (! (= (BreakChar__SERIAL_CHARSInv ?x92) (- ?x92 2)) :pattern ((BreakChar__SERIAL_CHARSInv ?x92)) )) (forall ((?x93 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x93 2 1) (BreakChar__SERIAL_CHARSInv ?x93)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x93 2 1)) )) (forall ((?x94 Int)) (! (= (MINUS_LEFT_PTR ?x94 1 2) (BreakChar__SERIAL_CHARSInv ?x94)) :pattern ((MINUS_LEFT_PTR ?x94 1 2)) )) (forall ((?x95 Int)) (! (= (BufferSize__SERIAL_DEVICE_EXTENSIONInv (BufferSize__SERIAL_DEVICE_EXTENSION ?x95)) ?x95) :pattern ((BufferSize__SERIAL_DEVICE_EXTENSIONInv (BufferSize__SERIAL_DEVICE_EXTENSION ?x95))) )) (forall ((?x96 Int)) (! (= (BufferSize__SERIAL_DEVICE_EXTENSION (BufferSize__SERIAL_DEVICE_EXTENSIONInv ?x96)) ?x96) :pattern ((BufferSize__SERIAL_DEVICE_EXTENSIONInv ?x96)) )) (forall ((?x97 boogieU) (?S40 boogieU)) (! (=> (and (= (type ?x97) intType) (= (type ?S40) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BufferSize__SERIAL_DEVICE_EXTENSION ?S40) ?x97)) boolTrue) (= (U_2_bool (MapType0Select ?S40 (int_2_U (BufferSize__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x97))))) boolTrue))) :pattern ((MapType0Select (x_S_BufferSize__SERIAL_DEVICE_EXTENSION ?S40) ?x97)) )) (forall ((?x98 boogieU) (?S41 boogieU)) (! (=> (and (= (type ?x98) intType) (= (type ?S41) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv ?S41) ?x98)) boolTrue) (= (U_2_bool (MapType0Select ?S41 (int_2_U (BufferSize__SERIAL_DEVICE_EXTENSION (U_2_int ?x98))))) boolTrue))) :pattern ((MapType0Select (x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv ?S41) ?x98)) )) (forall ((?x99 boogieU) (?S42 boogieU)) (! (=> (and (= (type ?x99) intType) (= (type ?S42) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S42 ?x99)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BufferSize__SERIAL_DEVICE_EXTENSION ?S42) (int_2_U (BufferSize__SERIAL_DEVICE_EXTENSION (U_2_int ?x99))))) boolTrue))) :pattern ((MapType0Select ?S42 ?x99) (x_S_BufferSize__SERIAL_DEVICE_EXTENSION ?S42)) )) (forall ((?x100 boogieU) (?S43 boogieU)) (! (=> (and (= (type ?x100) intType) (= (type ?S43) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S43 ?x100)) boolTrue) (= (U_2_bool (MapType0Select (x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv ?S43) (int_2_U (BufferSize__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x100))))) boolTrue))) :pattern ((MapType0Select ?S43 ?x100) (x_S_BufferSize__SERIAL_DEVICE_EXTENSIONInv ?S43)) )) (forall ((?x101 Int)) (! (= (BufferSize__SERIAL_DEVICE_EXTENSION ?x101) (+ ?x101 252)) :pattern ((BufferSize__SERIAL_DEVICE_EXTENSION ?x101)) )) (forall ((?x102 Int)) (! (= (BufferSize__SERIAL_DEVICE_EXTENSIONInv ?x102) (- ?x102 252)) :pattern ((BufferSize__SERIAL_DEVICE_EXTENSIONInv ?x102)) )) (forall ((?x103 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x103 252 1) (BufferSize__SERIAL_DEVICE_EXTENSIONInv ?x103)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x103 252 1)) )) (forall ((?x104 Int)) (! (= (MINUS_LEFT_PTR ?x104 1 252) (BufferSize__SERIAL_DEVICE_EXTENSIONInv ?x104)) :pattern ((MINUS_LEFT_PTR ?x104 1 252)) )) (forall ((?x105 Int)) (! (= (CancelIrql__IRPInv (CancelIrql__IRP ?x105)) ?x105) :pattern ((CancelIrql__IRPInv (CancelIrql__IRP ?x105))) )) (forall ((?x106 Int)) (! (= (CancelIrql__IRP (CancelIrql__IRPInv ?x106)) ?x106) :pattern ((CancelIrql__IRPInv ?x106)) )) (forall ((?x107 boogieU) (?S44 boogieU)) (! (=> (and (= (type ?x107) intType) (= (type ?S44) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CancelIrql__IRP ?S44) ?x107)) boolTrue) (= (U_2_bool (MapType0Select ?S44 (int_2_U (CancelIrql__IRPInv (U_2_int ?x107))))) boolTrue))) :pattern ((MapType0Select (x_S_CancelIrql__IRP ?S44) ?x107)) )) (forall ((?x108 boogieU) (?S45 boogieU)) (! (=> (and (= (type ?x108) intType) (= (type ?S45) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CancelIrql__IRPInv ?S45) ?x108)) boolTrue) (= (U_2_bool (MapType0Select ?S45 (int_2_U (CancelIrql__IRP (U_2_int ?x108))))) boolTrue))) :pattern ((MapType0Select (x_S_CancelIrql__IRPInv ?S45) ?x108)) )) (forall ((?x109 boogieU) (?S46 boogieU)) (! (=> (and (= (type ?x109) intType) (= (type ?S46) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S46 ?x109)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CancelIrql__IRP ?S46) (int_2_U (CancelIrql__IRP (U_2_int ?x109))))) boolTrue))) :pattern ((MapType0Select ?S46 ?x109) (x_S_CancelIrql__IRP ?S46)) )) (forall ((?x110 boogieU) (?S47 boogieU)) (! (=> (and (= (type ?x110) intType) (= (type ?S47) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S47 ?x110)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CancelIrql__IRPInv ?S47) (int_2_U (CancelIrql__IRPInv (U_2_int ?x110))))) boolTrue))) :pattern ((MapType0Select ?S47 ?x110) (x_S_CancelIrql__IRPInv ?S47)) )) (forall ((?x111 Int)) (! (= (CancelIrql__IRP ?x111) (+ ?x111 37)) :pattern ((CancelIrql__IRP ?x111)) )) (forall ((?x112 Int)) (! (= (CancelIrql__IRPInv ?x112) (- ?x112 37)) :pattern ((CancelIrql__IRPInv ?x112)) )) (forall ((?x113 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x113 37 1) (CancelIrql__IRPInv ?x113)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x113 37 1)) )) (forall ((?x114 Int)) (! (= (MINUS_LEFT_PTR ?x114 1 37) (CancelIrql__IRPInv ?x114)) :pattern ((MINUS_LEFT_PTR ?x114 1 37)) )) (forall ((?x115 Int)) (! (= (CancelRoutine__IRPInv (CancelRoutine__IRP ?x115)) ?x115) :pattern ((CancelRoutine__IRPInv (CancelRoutine__IRP ?x115))) )) (forall ((?x116 Int)) (! (= (CancelRoutine__IRP (CancelRoutine__IRPInv ?x116)) ?x116) :pattern ((CancelRoutine__IRPInv ?x116)) )) (forall ((?x117 boogieU) (?S48 boogieU)) (! (=> (and (= (type ?x117) intType) (= (type ?S48) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CancelRoutine__IRP ?S48) ?x117)) boolTrue) (= (U_2_bool (MapType0Select ?S48 (int_2_U (CancelRoutine__IRPInv (U_2_int ?x117))))) boolTrue))) :pattern ((MapType0Select (x_S_CancelRoutine__IRP ?S48) ?x117)) )) (forall ((?x118 boogieU) (?S49 boogieU)) (! (=> (and (= (type ?x118) intType) (= (type ?S49) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CancelRoutine__IRPInv ?S49) ?x118)) boolTrue) (= (U_2_bool (MapType0Select ?S49 (int_2_U (CancelRoutine__IRP (U_2_int ?x118))))) boolTrue))) :pattern ((MapType0Select (x_S_CancelRoutine__IRPInv ?S49) ?x118)) )) (forall ((?x119 boogieU) (?S50 boogieU)) (! (=> (and (= (type ?x119) intType) (= (type ?S50) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S50 ?x119)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CancelRoutine__IRP ?S50) (int_2_U (CancelRoutine__IRP (U_2_int ?x119))))) boolTrue))) :pattern ((MapType0Select ?S50 ?x119) (x_S_CancelRoutine__IRP ?S50)) )) (forall ((?x120 boogieU) (?S51 boogieU)) (! (=> (and (= (type ?x120) intType) (= (type ?S51) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S51 ?x120)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CancelRoutine__IRPInv ?S51) (int_2_U (CancelRoutine__IRPInv (U_2_int ?x120))))) boolTrue))) :pattern ((MapType0Select ?S51 ?x120) (x_S_CancelRoutine__IRPInv ?S51)) )) (forall ((?x121 Int)) (! (= (CancelRoutine__IRP ?x121) (+ ?x121 56)) :pattern ((CancelRoutine__IRP ?x121)) )) (forall ((?x122 Int)) (! (= (CancelRoutine__IRPInv ?x122) (- ?x122 56)) :pattern ((CancelRoutine__IRPInv ?x122)) )) (forall ((?x123 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x123 56 1) (CancelRoutine__IRPInv ?x123)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x123 56 1)) )) (forall ((?x124 Int)) (! (= (MINUS_LEFT_PTR ?x124 1 56) (CancelRoutine__IRPInv ?x124)) :pattern ((MINUS_LEFT_PTR ?x124 1 56)) )) (forall ((?x125 Int)) (! (= (Cancel__IRPInv (Cancel__IRP ?x125)) ?x125) :pattern ((Cancel__IRPInv (Cancel__IRP ?x125))) )) (forall ((?x126 Int)) (! (= (Cancel__IRP (Cancel__IRPInv ?x126)) ?x126) :pattern ((Cancel__IRPInv ?x126)) )) (forall ((?x127 boogieU) (?S52 boogieU)) (! (=> (and (= (type ?x127) intType) (= (type ?S52) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancel__IRP ?S52) ?x127)) boolTrue) (= (U_2_bool (MapType0Select ?S52 (int_2_U (Cancel__IRPInv (U_2_int ?x127))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancel__IRP ?S52) ?x127)) )) (forall ((?x128 boogieU) (?S53 boogieU)) (! (=> (and (= (type ?x128) intType) (= (type ?S53) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Cancel__IRPInv ?S53) ?x128)) boolTrue) (= (U_2_bool (MapType0Select ?S53 (int_2_U (Cancel__IRP (U_2_int ?x128))))) boolTrue))) :pattern ((MapType0Select (x_S_Cancel__IRPInv ?S53) ?x128)) )) (forall ((?x129 boogieU) (?S54 boogieU)) (! (=> (and (= (type ?x129) intType) (= (type ?S54) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S54 ?x129)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancel__IRP ?S54) (int_2_U (Cancel__IRP (U_2_int ?x129))))) boolTrue))) :pattern ((MapType0Select ?S54 ?x129) (x_S_Cancel__IRP ?S54)) )) (forall ((?x130 boogieU) (?S55 boogieU)) (! (=> (and (= (type ?x130) intType) (= (type ?S55) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S55 ?x130)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Cancel__IRPInv ?S55) (int_2_U (Cancel__IRPInv (U_2_int ?x130))))) boolTrue))) :pattern ((MapType0Select ?S55 ?x130) (x_S_Cancel__IRPInv ?S55)) )) (forall ((?x131 Int)) (! (= (Cancel__IRP ?x131) (+ ?x131 36)) :pattern ((Cancel__IRP ?x131)) )) (forall ((?x132 Int)) (! (= (Cancel__IRPInv ?x132) (- ?x132 36)) :pattern ((Cancel__IRPInv ?x132)) )) (forall ((?x133 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x133 36 1) (Cancel__IRPInv ?x133)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x133 36 1)) )) (forall ((?x134 Int)) (! (= (MINUS_LEFT_PTR ?x134 1 36) (Cancel__IRPInv ?x134)) :pattern ((MINUS_LEFT_PTR ?x134 1 36)) )) (forall ((?x135 Int)) (! (= (CharsCopied__SERIAL_UPDATE_CHARInv (CharsCopied__SERIAL_UPDATE_CHAR ?x135)) ?x135) :pattern ((CharsCopied__SERIAL_UPDATE_CHARInv (CharsCopied__SERIAL_UPDATE_CHAR ?x135))) )) (forall ((?x136 Int)) (! (= (CharsCopied__SERIAL_UPDATE_CHAR (CharsCopied__SERIAL_UPDATE_CHARInv ?x136)) ?x136) :pattern ((CharsCopied__SERIAL_UPDATE_CHARInv ?x136)) )) (forall ((?x137 boogieU) (?S56 boogieU)) (! (=> (and (= (type ?x137) intType) (= (type ?S56) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CharsCopied__SERIAL_UPDATE_CHAR ?S56) ?x137)) boolTrue) (= (U_2_bool (MapType0Select ?S56 (int_2_U (CharsCopied__SERIAL_UPDATE_CHARInv (U_2_int ?x137))))) boolTrue))) :pattern ((MapType0Select (x_S_CharsCopied__SERIAL_UPDATE_CHAR ?S56) ?x137)) )) (forall ((?x138 boogieU) (?S57 boogieU)) (! (=> (and (= (type ?x138) intType) (= (type ?S57) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CharsCopied__SERIAL_UPDATE_CHARInv ?S57) ?x138)) boolTrue) (= (U_2_bool (MapType0Select ?S57 (int_2_U (CharsCopied__SERIAL_UPDATE_CHAR (U_2_int ?x138))))) boolTrue))) :pattern ((MapType0Select (x_S_CharsCopied__SERIAL_UPDATE_CHARInv ?S57) ?x138)) )) (forall ((?x139 boogieU) (?S58 boogieU)) (! (=> (and (= (type ?x139) intType) (= (type ?S58) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S58 ?x139)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CharsCopied__SERIAL_UPDATE_CHAR ?S58) (int_2_U (CharsCopied__SERIAL_UPDATE_CHAR (U_2_int ?x139))))) boolTrue))) :pattern ((MapType0Select ?S58 ?x139) (x_S_CharsCopied__SERIAL_UPDATE_CHAR ?S58)) )) (forall ((?x140 boogieU) (?S59 boogieU)) (! (=> (and (= (type ?x140) intType) (= (type ?S59) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S59 ?x140)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CharsCopied__SERIAL_UPDATE_CHARInv ?S59) (int_2_U (CharsCopied__SERIAL_UPDATE_CHARInv (U_2_int ?x140))))) boolTrue))) :pattern ((MapType0Select ?S59 ?x140) (x_S_CharsCopied__SERIAL_UPDATE_CHARInv ?S59)) )) (forall ((?x141 Int)) (! (= (CharsCopied__SERIAL_UPDATE_CHAR ?x141) (+ ?x141 4)) :pattern ((CharsCopied__SERIAL_UPDATE_CHAR ?x141)) )) (forall ((?x142 Int)) (! (= (CharsCopied__SERIAL_UPDATE_CHARInv ?x142) (- ?x142 4)) :pattern ((CharsCopied__SERIAL_UPDATE_CHARInv ?x142)) )) (forall ((?x143 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x143 4 1) (CharsCopied__SERIAL_UPDATE_CHARInv ?x143)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x143 4 1)) )) (forall ((?x144 Int)) (! (= (MINUS_LEFT_PTR ?x144 1 4) (CharsCopied__SERIAL_UPDATE_CHARInv ?x144)) :pattern ((MINUS_LEFT_PTR ?x144 1 4)) )) (forall ((?x145 Int)) (! (= (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?x145)) ?x145) :pattern ((CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?x145))) )) (forall ((?x146 Int)) (! (= (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?x146)) ?x146) :pattern ((CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?x146)) )) (forall ((?x147 boogieU) (?S60 boogieU)) (! (=> (and (= (type ?x147) intType) (= (type ?S60) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?S60) ?x147)) boolTrue) (= (U_2_bool (MapType0Select ?S60 (int_2_U (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x147))))) boolTrue))) :pattern ((MapType0Select (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?S60) ?x147)) )) (forall ((?x148 boogieU) (?S61 boogieU)) (! (=> (and (= (type ?x148) intType) (= (type ?S61) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?S61) ?x148)) boolTrue) (= (U_2_bool (MapType0Select ?S61 (int_2_U (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION (U_2_int ?x148))))) boolTrue))) :pattern ((MapType0Select (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?S61) ?x148)) )) (forall ((?x149 boogieU) (?S62 boogieU)) (! (=> (and (= (type ?x149) intType) (= (type ?S62) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S62 ?x149)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?S62) (int_2_U (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION (U_2_int ?x149))))) boolTrue))) :pattern ((MapType0Select ?S62 ?x149) (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?S62)) )) (forall ((?x150 boogieU) (?S63 boogieU)) (! (=> (and (= (type ?x150) intType) (= (type ?S63) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S63 ?x150)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?S63) (int_2_U (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x150))))) boolTrue))) :pattern ((MapType0Select ?S63 ?x150) (x_S_CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?S63)) )) (forall ((?x151 Int)) (! (= (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?x151) (+ ?x151 232)) :pattern ((CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSION ?x151)) )) (forall ((?x152 Int)) (! (= (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?x152) (- ?x152 232)) :pattern ((CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?x152)) )) (forall ((?x153 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x153 232 1) (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?x153)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x153 232 1)) )) (forall ((?x154 Int)) (! (= (MINUS_LEFT_PTR ?x154 1 232) (CharsInInterruptBuffer__SERIAL_DEVICE_EXTENSIONInv ?x154)) :pattern ((MINUS_LEFT_PTR ?x154 1 232)) )) (forall ((?x155 Int)) (! (= (ClockRate__SERIAL_DEVICE_EXTENSIONInv (ClockRate__SERIAL_DEVICE_EXTENSION ?x155)) ?x155) :pattern ((ClockRate__SERIAL_DEVICE_EXTENSIONInv (ClockRate__SERIAL_DEVICE_EXTENSION ?x155))) )) (forall ((?x156 Int)) (! (= (ClockRate__SERIAL_DEVICE_EXTENSION (ClockRate__SERIAL_DEVICE_EXTENSIONInv ?x156)) ?x156) :pattern ((ClockRate__SERIAL_DEVICE_EXTENSIONInv ?x156)) )) (forall ((?x157 boogieU) (?S64 boogieU)) (! (=> (and (= (type ?x157) intType) (= (type ?S64) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ClockRate__SERIAL_DEVICE_EXTENSION ?S64) ?x157)) boolTrue) (= (U_2_bool (MapType0Select ?S64 (int_2_U (ClockRate__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x157))))) boolTrue))) :pattern ((MapType0Select (x_S_ClockRate__SERIAL_DEVICE_EXTENSION ?S64) ?x157)) )) (forall ((?x158 boogieU) (?S65 boogieU)) (! (=> (and (= (type ?x158) intType) (= (type ?S65) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv ?S65) ?x158)) boolTrue) (= (U_2_bool (MapType0Select ?S65 (int_2_U (ClockRate__SERIAL_DEVICE_EXTENSION (U_2_int ?x158))))) boolTrue))) :pattern ((MapType0Select (x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv ?S65) ?x158)) )) (forall ((?x159 boogieU) (?S66 boogieU)) (! (=> (and (= (type ?x159) intType) (= (type ?S66) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S66 ?x159)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ClockRate__SERIAL_DEVICE_EXTENSION ?S66) (int_2_U (ClockRate__SERIAL_DEVICE_EXTENSION (U_2_int ?x159))))) boolTrue))) :pattern ((MapType0Select ?S66 ?x159) (x_S_ClockRate__SERIAL_DEVICE_EXTENSION ?S66)) )) (forall ((?x160 boogieU) (?S67 boogieU)) (! (=> (and (= (type ?x160) intType) (= (type ?S67) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S67 ?x160)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv ?S67) (int_2_U (ClockRate__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x160))))) boolTrue))) :pattern ((MapType0Select ?S67 ?x160) (x_S_ClockRate__SERIAL_DEVICE_EXTENSIONInv ?S67)) )) (forall ((?x161 Int)) (! (= (ClockRate__SERIAL_DEVICE_EXTENSION ?x161) (+ ?x161 324)) :pattern ((ClockRate__SERIAL_DEVICE_EXTENSION ?x161)) )) (forall ((?x162 Int)) (! (= (ClockRate__SERIAL_DEVICE_EXTENSIONInv ?x162) (- ?x162 324)) :pattern ((ClockRate__SERIAL_DEVICE_EXTENSIONInv ?x162)) )) (forall ((?x163 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x163 324 1) (ClockRate__SERIAL_DEVICE_EXTENSIONInv ?x163)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x163 324 1)) )) (forall ((?x164 Int)) (! (= (MINUS_LEFT_PTR ?x164 1 324) (ClockRate__SERIAL_DEVICE_EXTENSIONInv ?x164)) :pattern ((MINUS_LEFT_PTR ?x164 1 324)) )) (forall ((?x165 Int)) (! (= (Completed__SERIAL_UPDATE_CHARInv (Completed__SERIAL_UPDATE_CHAR ?x165)) ?x165) :pattern ((Completed__SERIAL_UPDATE_CHARInv (Completed__SERIAL_UPDATE_CHAR ?x165))) )) (forall ((?x166 Int)) (! (= (Completed__SERIAL_UPDATE_CHAR (Completed__SERIAL_UPDATE_CHARInv ?x166)) ?x166) :pattern ((Completed__SERIAL_UPDATE_CHARInv ?x166)) )) (forall ((?x167 boogieU) (?S68 boogieU)) (! (=> (and (= (type ?x167) intType) (= (type ?S68) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Completed__SERIAL_UPDATE_CHAR ?S68) ?x167)) boolTrue) (= (U_2_bool (MapType0Select ?S68 (int_2_U (Completed__SERIAL_UPDATE_CHARInv (U_2_int ?x167))))) boolTrue))) :pattern ((MapType0Select (x_S_Completed__SERIAL_UPDATE_CHAR ?S68) ?x167)) )) (forall ((?x168 boogieU) (?S69 boogieU)) (! (=> (and (= (type ?x168) intType) (= (type ?S69) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Completed__SERIAL_UPDATE_CHARInv ?S69) ?x168)) boolTrue) (= (U_2_bool (MapType0Select ?S69 (int_2_U (Completed__SERIAL_UPDATE_CHAR (U_2_int ?x168))))) boolTrue))) :pattern ((MapType0Select (x_S_Completed__SERIAL_UPDATE_CHARInv ?S69) ?x168)) )) (forall ((?x169 boogieU) (?S70 boogieU)) (! (=> (and (= (type ?x169) intType) (= (type ?S70) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S70 ?x169)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Completed__SERIAL_UPDATE_CHAR ?S70) (int_2_U (Completed__SERIAL_UPDATE_CHAR (U_2_int ?x169))))) boolTrue))) :pattern ((MapType0Select ?S70 ?x169) (x_S_Completed__SERIAL_UPDATE_CHAR ?S70)) )) (forall ((?x170 boogieU) (?S71 boogieU)) (! (=> (and (= (type ?x170) intType) (= (type ?S71) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S71 ?x170)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Completed__SERIAL_UPDATE_CHARInv ?S71) (int_2_U (Completed__SERIAL_UPDATE_CHARInv (U_2_int ?x170))))) boolTrue))) :pattern ((MapType0Select ?S71 ?x170) (x_S_Completed__SERIAL_UPDATE_CHARInv ?S71)) )) (forall ((?x171 Int)) (! (= (Completed__SERIAL_UPDATE_CHAR ?x171) (+ ?x171 8)) :pattern ((Completed__SERIAL_UPDATE_CHAR ?x171)) )) (forall ((?x172 Int)) (! (= (Completed__SERIAL_UPDATE_CHARInv ?x172) (- ?x172 8)) :pattern ((Completed__SERIAL_UPDATE_CHARInv ?x172)) )) (forall ((?x173 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x173 8 1) (Completed__SERIAL_UPDATE_CHARInv ?x173)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x173 8 1)) )) (forall ((?x174 Int)) (! (= (MINUS_LEFT_PTR ?x174 1 8) (Completed__SERIAL_UPDATE_CHARInv ?x174)) :pattern ((MINUS_LEFT_PTR ?x174 1 8)) )) (forall ((?x175 Int)) (! (= (ControlHandShake__SERIAL_HANDFLOWInv (ControlHandShake__SERIAL_HANDFLOW ?x175)) ?x175) :pattern ((ControlHandShake__SERIAL_HANDFLOWInv (ControlHandShake__SERIAL_HANDFLOW ?x175))) )) (forall ((?x176 Int)) (! (= (ControlHandShake__SERIAL_HANDFLOW (ControlHandShake__SERIAL_HANDFLOWInv ?x176)) ?x176) :pattern ((ControlHandShake__SERIAL_HANDFLOWInv ?x176)) )) (forall ((?x177 boogieU) (?S72 boogieU)) (! (=> (and (= (type ?x177) intType) (= (type ?S72) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ControlHandShake__SERIAL_HANDFLOW ?S72) ?x177)) boolTrue) (= (U_2_bool (MapType0Select ?S72 (int_2_U (ControlHandShake__SERIAL_HANDFLOWInv (U_2_int ?x177))))) boolTrue))) :pattern ((MapType0Select (x_S_ControlHandShake__SERIAL_HANDFLOW ?S72) ?x177)) )) (forall ((?x178 boogieU) (?S73 boogieU)) (! (=> (and (= (type ?x178) intType) (= (type ?S73) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ControlHandShake__SERIAL_HANDFLOWInv ?S73) ?x178)) boolTrue) (= (U_2_bool (MapType0Select ?S73 (int_2_U (ControlHandShake__SERIAL_HANDFLOW (U_2_int ?x178))))) boolTrue))) :pattern ((MapType0Select (x_S_ControlHandShake__SERIAL_HANDFLOWInv ?S73) ?x178)) )) (forall ((?x179 boogieU) (?S74 boogieU)) (! (=> (and (= (type ?x179) intType) (= (type ?S74) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S74 ?x179)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ControlHandShake__SERIAL_HANDFLOW ?S74) (int_2_U (ControlHandShake__SERIAL_HANDFLOW (U_2_int ?x179))))) boolTrue))) :pattern ((MapType0Select ?S74 ?x179) (x_S_ControlHandShake__SERIAL_HANDFLOW ?S74)) )) (forall ((?x180 boogieU) (?S75 boogieU)) (! (=> (and (= (type ?x180) intType) (= (type ?S75) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S75 ?x180)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ControlHandShake__SERIAL_HANDFLOWInv ?S75) (int_2_U (ControlHandShake__SERIAL_HANDFLOWInv (U_2_int ?x180))))) boolTrue))) :pattern ((MapType0Select ?S75 ?x180) (x_S_ControlHandShake__SERIAL_HANDFLOWInv ?S75)) )) (forall ((?x181 Int)) (! (= (ControlHandShake__SERIAL_HANDFLOW ?x181) (+ ?x181 0)) :pattern ((ControlHandShake__SERIAL_HANDFLOW ?x181)) )) (forall ((?x182 Int)) (! (= (ControlHandShake__SERIAL_HANDFLOWInv ?x182) (- ?x182 0)) :pattern ((ControlHandShake__SERIAL_HANDFLOWInv ?x182)) )) (forall ((?x183 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x183 0 1) (ControlHandShake__SERIAL_HANDFLOWInv ?x183)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x183 0 1)) )) (forall ((?x184 Int)) (! (= (MINUS_LEFT_PTR ?x184 1 0) (ControlHandShake__SERIAL_HANDFLOWInv ?x184)) :pattern ((MINUS_LEFT_PTR ?x184 1 0)) )) (forall ((?x185 Int)) (! (= (ControlLock__SERIAL_DEVICE_EXTENSIONInv (ControlLock__SERIAL_DEVICE_EXTENSION ?x185)) ?x185) :pattern ((ControlLock__SERIAL_DEVICE_EXTENSIONInv (ControlLock__SERIAL_DEVICE_EXTENSION ?x185))) )) (forall ((?x186 Int)) (! (= (ControlLock__SERIAL_DEVICE_EXTENSION (ControlLock__SERIAL_DEVICE_EXTENSIONInv ?x186)) ?x186) :pattern ((ControlLock__SERIAL_DEVICE_EXTENSIONInv ?x186)) )) (forall ((?x187 boogieU) (?S76 boogieU)) (! (=> (and (= (type ?x187) intType) (= (type ?S76) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ControlLock__SERIAL_DEVICE_EXTENSION ?S76) ?x187)) boolTrue) (= (U_2_bool (MapType0Select ?S76 (int_2_U (ControlLock__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x187))))) boolTrue))) :pattern ((MapType0Select (x_S_ControlLock__SERIAL_DEVICE_EXTENSION ?S76) ?x187)) )) (forall ((?x188 boogieU) (?S77 boogieU)) (! (=> (and (= (type ?x188) intType) (= (type ?S77) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv ?S77) ?x188)) boolTrue) (= (U_2_bool (MapType0Select ?S77 (int_2_U (ControlLock__SERIAL_DEVICE_EXTENSION (U_2_int ?x188))))) boolTrue))) :pattern ((MapType0Select (x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv ?S77) ?x188)) )) (forall ((?x189 boogieU) (?S78 boogieU)) (! (=> (and (= (type ?x189) intType) (= (type ?S78) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S78 ?x189)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ControlLock__SERIAL_DEVICE_EXTENSION ?S78) (int_2_U (ControlLock__SERIAL_DEVICE_EXTENSION (U_2_int ?x189))))) boolTrue))) :pattern ((MapType0Select ?S78 ?x189) (x_S_ControlLock__SERIAL_DEVICE_EXTENSION ?S78)) )) (forall ((?x190 boogieU) (?S79 boogieU)) (! (=> (and (= (type ?x190) intType) (= (type ?S79) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S79 ?x190)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv ?S79) (int_2_U (ControlLock__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x190))))) boolTrue))) :pattern ((MapType0Select ?S79 ?x190) (x_S_ControlLock__SERIAL_DEVICE_EXTENSIONInv ?S79)) )) (forall ((?x191 Int)) (! (= (ControlLock__SERIAL_DEVICE_EXTENSION ?x191) (+ ?x191 476)) :pattern ((ControlLock__SERIAL_DEVICE_EXTENSION ?x191)) )) (forall ((?x192 Int)) (! (= (ControlLock__SERIAL_DEVICE_EXTENSIONInv ?x192) (- ?x192 476)) :pattern ((ControlLock__SERIAL_DEVICE_EXTENSIONInv ?x192)) )) (forall ((?x193 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x193 476 1) (ControlLock__SERIAL_DEVICE_EXTENSIONInv ?x193)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x193 476 1)) )) (forall ((?x194 Int)) (! (= (MINUS_LEFT_PTR ?x194 1 476) (ControlLock__SERIAL_DEVICE_EXTENSIONInv ?x194)) :pattern ((MINUS_LEFT_PTR ?x194 1 476)) )) (forall ((?x195 Int)) (! (= (Controller__SERIAL_DEVICE_EXTENSIONInv (Controller__SERIAL_DEVICE_EXTENSION ?x195)) ?x195) :pattern ((Controller__SERIAL_DEVICE_EXTENSIONInv (Controller__SERIAL_DEVICE_EXTENSION ?x195))) )) (forall ((?x196 Int)) (! (= (Controller__SERIAL_DEVICE_EXTENSION (Controller__SERIAL_DEVICE_EXTENSIONInv ?x196)) ?x196) :pattern ((Controller__SERIAL_DEVICE_EXTENSIONInv ?x196)) )) (forall ((?x197 boogieU) (?S80 boogieU)) (! (=> (and (= (type ?x197) intType) (= (type ?S80) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Controller__SERIAL_DEVICE_EXTENSION ?S80) ?x197)) boolTrue) (= (U_2_bool (MapType0Select ?S80 (int_2_U (Controller__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x197))))) boolTrue))) :pattern ((MapType0Select (x_S_Controller__SERIAL_DEVICE_EXTENSION ?S80) ?x197)) )) (forall ((?x198 boogieU) (?S81 boogieU)) (! (=> (and (= (type ?x198) intType) (= (type ?S81) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Controller__SERIAL_DEVICE_EXTENSIONInv ?S81) ?x198)) boolTrue) (= (U_2_bool (MapType0Select ?S81 (int_2_U (Controller__SERIAL_DEVICE_EXTENSION (U_2_int ?x198))))) boolTrue))) :pattern ((MapType0Select (x_S_Controller__SERIAL_DEVICE_EXTENSIONInv ?S81) ?x198)) )) (forall ((?x199 boogieU) (?S82 boogieU)) (! (=> (and (= (type ?x199) intType) (= (type ?S82) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S82 ?x199)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Controller__SERIAL_DEVICE_EXTENSION ?S82) (int_2_U (Controller__SERIAL_DEVICE_EXTENSION (U_2_int ?x199))))) boolTrue))) :pattern ((MapType0Select ?S82 ?x199) (x_S_Controller__SERIAL_DEVICE_EXTENSION ?S82)) )) (forall ((?x200 boogieU) (?S83 boogieU)) (! (=> (and (= (type ?x200) intType) (= (type ?S83) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S83 ?x200)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Controller__SERIAL_DEVICE_EXTENSIONInv ?S83) (int_2_U (Controller__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x200))))) boolTrue))) :pattern ((MapType0Select ?S83 ?x200) (x_S_Controller__SERIAL_DEVICE_EXTENSIONInv ?S83)) )) (forall ((?x201 Int)) (! (= (Controller__SERIAL_DEVICE_EXTENSION ?x201) (+ ?x201 144)) :pattern ((Controller__SERIAL_DEVICE_EXTENSION ?x201)) )) (forall ((?x202 Int)) (! (= (Controller__SERIAL_DEVICE_EXTENSIONInv ?x202) (- ?x202 144)) :pattern ((Controller__SERIAL_DEVICE_EXTENSIONInv ?x202)) )) (forall ((?x203 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x203 144 1) (Controller__SERIAL_DEVICE_EXTENSIONInv ?x203)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x203 144 1)) )) (forall ((?x204 Int)) (! (= (MINUS_LEFT_PTR ?x204 1 144) (Controller__SERIAL_DEVICE_EXTENSIONInv ?x204)) :pattern ((MINUS_LEFT_PTR ?x204 1 144)) )) (forall ((?x205 Int)) (! (= (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv (CountOnLastRead__SERIAL_DEVICE_EXTENSION ?x205)) ?x205) :pattern ((CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv (CountOnLastRead__SERIAL_DEVICE_EXTENSION ?x205))) )) (forall ((?x206 Int)) (! (= (CountOnLastRead__SERIAL_DEVICE_EXTENSION (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?x206)) ?x206) :pattern ((CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?x206)) )) (forall ((?x207 boogieU) (?S84 boogieU)) (! (=> (and (= (type ?x207) intType) (= (type ?S84) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION ?S84) ?x207)) boolTrue) (= (U_2_bool (MapType0Select ?S84 (int_2_U (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x207))))) boolTrue))) :pattern ((MapType0Select (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION ?S84) ?x207)) )) (forall ((?x208 boogieU) (?S85 boogieU)) (! (=> (and (= (type ?x208) intType) (= (type ?S85) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?S85) ?x208)) boolTrue) (= (U_2_bool (MapType0Select ?S85 (int_2_U (CountOnLastRead__SERIAL_DEVICE_EXTENSION (U_2_int ?x208))))) boolTrue))) :pattern ((MapType0Select (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?S85) ?x208)) )) (forall ((?x209 boogieU) (?S86 boogieU)) (! (=> (and (= (type ?x209) intType) (= (type ?S86) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S86 ?x209)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION ?S86) (int_2_U (CountOnLastRead__SERIAL_DEVICE_EXTENSION (U_2_int ?x209))))) boolTrue))) :pattern ((MapType0Select ?S86 ?x209) (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSION ?S86)) )) (forall ((?x210 boogieU) (?S87 boogieU)) (! (=> (and (= (type ?x210) intType) (= (type ?S87) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S87 ?x210)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?S87) (int_2_U (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x210))))) boolTrue))) :pattern ((MapType0Select ?S87 ?x210) (x_S_CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?S87)) )) (forall ((?x211 Int)) (! (= (CountOnLastRead__SERIAL_DEVICE_EXTENSION ?x211) (+ ?x211 292)) :pattern ((CountOnLastRead__SERIAL_DEVICE_EXTENSION ?x211)) )) (forall ((?x212 Int)) (! (= (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?x212) (- ?x212 292)) :pattern ((CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?x212)) )) (forall ((?x213 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x213 292 1) (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?x213)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x213 292 1)) )) (forall ((?x214 Int)) (! (= (MINUS_LEFT_PTR ?x214 1 292) (CountOnLastRead__SERIAL_DEVICE_EXTENSIONInv ?x214)) :pattern ((MINUS_LEFT_PTR ?x214 1 292)) )) (forall ((?x215 Int)) (! (= (Counter__SERIAL_XOFF_COUNTERInv (Counter__SERIAL_XOFF_COUNTER ?x215)) ?x215) :pattern ((Counter__SERIAL_XOFF_COUNTERInv (Counter__SERIAL_XOFF_COUNTER ?x215))) )) (forall ((?x216 Int)) (! (= (Counter__SERIAL_XOFF_COUNTER (Counter__SERIAL_XOFF_COUNTERInv ?x216)) ?x216) :pattern ((Counter__SERIAL_XOFF_COUNTERInv ?x216)) )) (forall ((?x217 boogieU) (?S88 boogieU)) (! (=> (and (= (type ?x217) intType) (= (type ?S88) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Counter__SERIAL_XOFF_COUNTER ?S88) ?x217)) boolTrue) (= (U_2_bool (MapType0Select ?S88 (int_2_U (Counter__SERIAL_XOFF_COUNTERInv (U_2_int ?x217))))) boolTrue))) :pattern ((MapType0Select (x_S_Counter__SERIAL_XOFF_COUNTER ?S88) ?x217)) )) (forall ((?x218 boogieU) (?S89 boogieU)) (! (=> (and (= (type ?x218) intType) (= (type ?S89) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Counter__SERIAL_XOFF_COUNTERInv ?S89) ?x218)) boolTrue) (= (U_2_bool (MapType0Select ?S89 (int_2_U (Counter__SERIAL_XOFF_COUNTER (U_2_int ?x218))))) boolTrue))) :pattern ((MapType0Select (x_S_Counter__SERIAL_XOFF_COUNTERInv ?S89) ?x218)) )) (forall ((?x219 boogieU) (?S90 boogieU)) (! (=> (and (= (type ?x219) intType) (= (type ?S90) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S90 ?x219)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Counter__SERIAL_XOFF_COUNTER ?S90) (int_2_U (Counter__SERIAL_XOFF_COUNTER (U_2_int ?x219))))) boolTrue))) :pattern ((MapType0Select ?S90 ?x219) (x_S_Counter__SERIAL_XOFF_COUNTER ?S90)) )) (forall ((?x220 boogieU) (?S91 boogieU)) (! (=> (and (= (type ?x220) intType) (= (type ?S91) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S91 ?x220)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Counter__SERIAL_XOFF_COUNTERInv ?S91) (int_2_U (Counter__SERIAL_XOFF_COUNTERInv (U_2_int ?x220))))) boolTrue))) :pattern ((MapType0Select ?S91 ?x220) (x_S_Counter__SERIAL_XOFF_COUNTERInv ?S91)) )) (forall ((?x221 Int)) (! (= (Counter__SERIAL_XOFF_COUNTER ?x221) (+ ?x221 4)) :pattern ((Counter__SERIAL_XOFF_COUNTER ?x221)) )) (forall ((?x222 Int)) (! (= (Counter__SERIAL_XOFF_COUNTERInv ?x222) (- ?x222 4)) :pattern ((Counter__SERIAL_XOFF_COUNTERInv ?x222)) )) (forall ((?x223 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x223 4 1) (Counter__SERIAL_XOFF_COUNTERInv ?x223)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x223 4 1)) )) (forall ((?x224 Int)) (! (= (MINUS_LEFT_PTR ?x224 1 4) (Counter__SERIAL_XOFF_COUNTERInv ?x224)) :pattern ((MINUS_LEFT_PTR ?x224 1 4)) )) (forall ((?x225 Int)) (! (= (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv (CurrentBaud__SERIAL_DEVICE_EXTENSION ?x225)) ?x225) :pattern ((CurrentBaud__SERIAL_DEVICE_EXTENSIONInv (CurrentBaud__SERIAL_DEVICE_EXTENSION ?x225))) )) (forall ((?x226 Int)) (! (= (CurrentBaud__SERIAL_DEVICE_EXTENSION (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?x226)) ?x226) :pattern ((CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?x226)) )) (forall ((?x227 boogieU) (?S92 boogieU)) (! (=> (and (= (type ?x227) intType) (= (type ?S92) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION ?S92) ?x227)) boolTrue) (= (U_2_bool (MapType0Select ?S92 (int_2_U (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x227))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION ?S92) ?x227)) )) (forall ((?x228 boogieU) (?S93 boogieU)) (! (=> (and (= (type ?x228) intType) (= (type ?S93) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?S93) ?x228)) boolTrue) (= (U_2_bool (MapType0Select ?S93 (int_2_U (CurrentBaud__SERIAL_DEVICE_EXTENSION (U_2_int ?x228))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?S93) ?x228)) )) (forall ((?x229 boogieU) (?S94 boogieU)) (! (=> (and (= (type ?x229) intType) (= (type ?S94) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S94 ?x229)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION ?S94) (int_2_U (CurrentBaud__SERIAL_DEVICE_EXTENSION (U_2_int ?x229))))) boolTrue))) :pattern ((MapType0Select ?S94 ?x229) (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSION ?S94)) )) (forall ((?x230 boogieU) (?S95 boogieU)) (! (=> (and (= (type ?x230) intType) (= (type ?S95) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S95 ?x230)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?S95) (int_2_U (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x230))))) boolTrue))) :pattern ((MapType0Select ?S95 ?x230) (x_S_CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?S95)) )) (forall ((?x231 Int)) (! (= (CurrentBaud__SERIAL_DEVICE_EXTENSION ?x231) (+ ?x231 300)) :pattern ((CurrentBaud__SERIAL_DEVICE_EXTENSION ?x231)) )) (forall ((?x232 Int)) (! (= (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?x232) (- ?x232 300)) :pattern ((CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?x232)) )) (forall ((?x233 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x233 300 1) (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?x233)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x233 300 1)) )) (forall ((?x234 Int)) (! (= (MINUS_LEFT_PTR ?x234 1 300) (CurrentBaud__SERIAL_DEVICE_EXTENSIONInv ?x234)) :pattern ((MINUS_LEFT_PTR ?x234 1 300)) )) (forall ((?x235 Int)) (! (= (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?x235)) ?x235) :pattern ((CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?x235))) )) (forall ((?x236 Int)) (! (= (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?x236)) ?x236) :pattern ((CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?x236)) )) (forall ((?x237 boogieU) (?S96 boogieU)) (! (=> (and (= (type ?x237) intType) (= (type ?S96) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?S96) ?x237)) boolTrue) (= (U_2_bool (MapType0Select ?S96 (int_2_U (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x237))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?S96) ?x237)) )) (forall ((?x238 boogieU) (?S97 boogieU)) (! (=> (and (= (type ?x238) intType) (= (type ?S97) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?S97) ?x238)) boolTrue) (= (U_2_bool (MapType0Select ?S97 (int_2_U (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x238))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?S97) ?x238)) )) (forall ((?x239 boogieU) (?S98 boogieU)) (! (=> (and (= (type ?x239) intType) (= (type ?S98) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S98 ?x239)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?S98) (int_2_U (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x239))))) boolTrue))) :pattern ((MapType0Select ?S98 ?x239) (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?S98)) )) (forall ((?x240 boogieU) (?S99 boogieU)) (! (=> (and (= (type ?x240) intType) (= (type ?S99) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S99 ?x240)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?S99) (int_2_U (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x240))))) boolTrue))) :pattern ((MapType0Select ?S99 ?x240) (x_S_CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?S99)) )) (forall ((?x241 Int)) (! (= (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?x241) (+ ?x241 208)) :pattern ((CurrentImmediateIrp__SERIAL_DEVICE_EXTENSION ?x241)) )) (forall ((?x242 Int)) (! (= (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?x242) (- ?x242 208)) :pattern ((CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?x242)) )) (forall ((?x243 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x243 208 1) (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?x243)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x243 208 1)) )) (forall ((?x244 Int)) (! (= (MINUS_LEFT_PTR ?x244 1 208) (CurrentImmediateIrp__SERIAL_DEVICE_EXTENSIONInv ?x244)) :pattern ((MINUS_LEFT_PTR ?x244 1 208)) )) (forall ((?x245 Int)) (! (= (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?x245)) ?x245) :pattern ((CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?x245))) )) (forall ((?x246 Int)) (! (= (CurrentMaskIrp__SERIAL_DEVICE_EXTENSION (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?x246)) ?x246) :pattern ((CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?x246)) )) (forall ((?x247 boogieU) (?S100 boogieU)) (! (=> (and (= (type ?x247) intType) (= (type ?S100) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?S100) ?x247)) boolTrue) (= (U_2_bool (MapType0Select ?S100 (int_2_U (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x247))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?S100) ?x247)) )) (forall ((?x248 boogieU) (?S101 boogieU)) (! (=> (and (= (type ?x248) intType) (= (type ?S101) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?S101) ?x248)) boolTrue) (= (U_2_bool (MapType0Select ?S101 (int_2_U (CurrentMaskIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x248))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?S101) ?x248)) )) (forall ((?x249 boogieU) (?S102 boogieU)) (! (=> (and (= (type ?x249) intType) (= (type ?S102) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S102 ?x249)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?S102) (int_2_U (CurrentMaskIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x249))))) boolTrue))) :pattern ((MapType0Select ?S102 ?x249) (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?S102)) )) (forall ((?x250 boogieU) (?S103 boogieU)) (! (=> (and (= (type ?x250) intType) (= (type ?S103) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S103 ?x250)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?S103) (int_2_U (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x250))))) boolTrue))) :pattern ((MapType0Select ?S103 ?x250) (x_S_CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?S103)) )) (forall ((?x251 Int)) (! (= (CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?x251) (+ ?x251 196)) :pattern ((CurrentMaskIrp__SERIAL_DEVICE_EXTENSION ?x251)) )) (forall ((?x252 Int)) (! (= (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?x252) (- ?x252 196)) :pattern ((CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?x252)) )) (forall ((?x253 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x253 196 1) (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?x253)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x253 196 1)) )) (forall ((?x254 Int)) (! (= (MINUS_LEFT_PTR ?x254 1 196) (CurrentMaskIrp__SERIAL_DEVICE_EXTENSIONInv ?x254)) :pattern ((MINUS_LEFT_PTR ?x254 1 196)) )) (forall ((?x255 Int)) (! (= (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?x255)) ?x255) :pattern ((CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?x255))) )) (forall ((?x256 Int)) (! (= (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?x256)) ?x256) :pattern ((CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?x256)) )) (forall ((?x257 boogieU) (?S104 boogieU)) (! (=> (and (= (type ?x257) intType) (= (type ?S104) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?S104) ?x257)) boolTrue) (= (U_2_bool (MapType0Select ?S104 (int_2_U (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x257))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?S104) ?x257)) )) (forall ((?x258 boogieU) (?S105 boogieU)) (! (=> (and (= (type ?x258) intType) (= (type ?S105) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?S105) ?x258)) boolTrue) (= (U_2_bool (MapType0Select ?S105 (int_2_U (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x258))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?S105) ?x258)) )) (forall ((?x259 boogieU) (?S106 boogieU)) (! (=> (and (= (type ?x259) intType) (= (type ?S106) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S106 ?x259)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?S106) (int_2_U (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x259))))) boolTrue))) :pattern ((MapType0Select ?S106 ?x259) (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?S106)) )) (forall ((?x260 boogieU) (?S107 boogieU)) (! (=> (and (= (type ?x260) intType) (= (type ?S107) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S107 ?x260)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?S107) (int_2_U (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x260))))) boolTrue))) :pattern ((MapType0Select ?S107 ?x260) (x_S_CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?S107)) )) (forall ((?x261 Int)) (! (= (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?x261) (+ ?x261 200)) :pattern ((CurrentPurgeIrp__SERIAL_DEVICE_EXTENSION ?x261)) )) (forall ((?x262 Int)) (! (= (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?x262) (- ?x262 200)) :pattern ((CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?x262)) )) (forall ((?x263 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x263 200 1) (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?x263)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x263 200 1)) )) (forall ((?x264 Int)) (! (= (MINUS_LEFT_PTR ?x264 1 200) (CurrentPurgeIrp__SERIAL_DEVICE_EXTENSIONInv ?x264)) :pattern ((MINUS_LEFT_PTR ?x264 1 200)) )) (forall ((?x265 Int)) (! (= (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?x265)) ?x265) :pattern ((CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?x265))) )) (forall ((?x266 Int)) (! (= (CurrentReadIrp__SERIAL_DEVICE_EXTENSION (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?x266)) ?x266) :pattern ((CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?x266)) )) (forall ((?x267 boogieU) (?S108 boogieU)) (! (=> (and (= (type ?x267) intType) (= (type ?S108) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?S108) ?x267)) boolTrue) (= (U_2_bool (MapType0Select ?S108 (int_2_U (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x267))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?S108) ?x267)) )) (forall ((?x268 boogieU) (?S109 boogieU)) (! (=> (and (= (type ?x268) intType) (= (type ?S109) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?S109) ?x268)) boolTrue) (= (U_2_bool (MapType0Select ?S109 (int_2_U (CurrentReadIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x268))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?S109) ?x268)) )) (forall ((?x269 boogieU) (?S110 boogieU)) (! (=> (and (= (type ?x269) intType) (= (type ?S110) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S110 ?x269)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?S110) (int_2_U (CurrentReadIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x269))))) boolTrue))) :pattern ((MapType0Select ?S110 ?x269) (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?S110)) )) (forall ((?x270 boogieU) (?S111 boogieU)) (! (=> (and (= (type ?x270) intType) (= (type ?S111) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S111 ?x270)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?S111) (int_2_U (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x270))))) boolTrue))) :pattern ((MapType0Select ?S111 ?x270) (x_S_CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?S111)) )) (forall ((?x271 Int)) (! (= (CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?x271) (+ ?x271 188)) :pattern ((CurrentReadIrp__SERIAL_DEVICE_EXTENSION ?x271)) )) (forall ((?x272 Int)) (! (= (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?x272) (- ?x272 188)) :pattern ((CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?x272)) )) (forall ((?x273 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x273 188 1) (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?x273)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x273 188 1)) )) (forall ((?x274 Int)) (! (= (MINUS_LEFT_PTR ?x274 1 188) (CurrentReadIrp__SERIAL_DEVICE_EXTENSIONInv ?x274)) :pattern ((MINUS_LEFT_PTR ?x274 1 188)) )) (forall ((?x275 Int)) (! (= (CurrentRxQueue__SERIAL_COMMPROPInv (CurrentRxQueue__SERIAL_COMMPROP ?x275)) ?x275) :pattern ((CurrentRxQueue__SERIAL_COMMPROPInv (CurrentRxQueue__SERIAL_COMMPROP ?x275))) )) (forall ((?x276 Int)) (! (= (CurrentRxQueue__SERIAL_COMMPROP (CurrentRxQueue__SERIAL_COMMPROPInv ?x276)) ?x276) :pattern ((CurrentRxQueue__SERIAL_COMMPROPInv ?x276)) )) (forall ((?x277 boogieU) (?S112 boogieU)) (! (=> (and (= (type ?x277) intType) (= (type ?S112) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRxQueue__SERIAL_COMMPROP ?S112) ?x277)) boolTrue) (= (U_2_bool (MapType0Select ?S112 (int_2_U (CurrentRxQueue__SERIAL_COMMPROPInv (U_2_int ?x277))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRxQueue__SERIAL_COMMPROP ?S112) ?x277)) )) (forall ((?x278 boogieU) (?S113 boogieU)) (! (=> (and (= (type ?x278) intType) (= (type ?S113) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentRxQueue__SERIAL_COMMPROPInv ?S113) ?x278)) boolTrue) (= (U_2_bool (MapType0Select ?S113 (int_2_U (CurrentRxQueue__SERIAL_COMMPROP (U_2_int ?x278))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentRxQueue__SERIAL_COMMPROPInv ?S113) ?x278)) )) (forall ((?x279 boogieU) (?S114 boogieU)) (! (=> (and (= (type ?x279) intType) (= (type ?S114) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S114 ?x279)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRxQueue__SERIAL_COMMPROP ?S114) (int_2_U (CurrentRxQueue__SERIAL_COMMPROP (U_2_int ?x279))))) boolTrue))) :pattern ((MapType0Select ?S114 ?x279) (x_S_CurrentRxQueue__SERIAL_COMMPROP ?S114)) )) (forall ((?x280 boogieU) (?S115 boogieU)) (! (=> (and (= (type ?x280) intType) (= (type ?S115) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S115 ?x280)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentRxQueue__SERIAL_COMMPROPInv ?S115) (int_2_U (CurrentRxQueue__SERIAL_COMMPROPInv (U_2_int ?x280))))) boolTrue))) :pattern ((MapType0Select ?S115 ?x280) (x_S_CurrentRxQueue__SERIAL_COMMPROPInv ?S115)) )) (forall ((?x281 Int)) (! (= (CurrentRxQueue__SERIAL_COMMPROP ?x281) (+ ?x281 48)) :pattern ((CurrentRxQueue__SERIAL_COMMPROP ?x281)) )) (forall ((?x282 Int)) (! (= (CurrentRxQueue__SERIAL_COMMPROPInv ?x282) (- ?x282 48)) :pattern ((CurrentRxQueue__SERIAL_COMMPROPInv ?x282)) )) (forall ((?x283 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x283 48 1) (CurrentRxQueue__SERIAL_COMMPROPInv ?x283)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x283 48 1)) )) (forall ((?x284 Int)) (! (= (MINUS_LEFT_PTR ?x284 1 48) (CurrentRxQueue__SERIAL_COMMPROPInv ?x284)) :pattern ((MINUS_LEFT_PTR ?x284 1 48)) )) (forall ((?x285 Int)) (! (= (CurrentTxQueue__SERIAL_COMMPROPInv (CurrentTxQueue__SERIAL_COMMPROP ?x285)) ?x285) :pattern ((CurrentTxQueue__SERIAL_COMMPROPInv (CurrentTxQueue__SERIAL_COMMPROP ?x285))) )) (forall ((?x286 Int)) (! (= (CurrentTxQueue__SERIAL_COMMPROP (CurrentTxQueue__SERIAL_COMMPROPInv ?x286)) ?x286) :pattern ((CurrentTxQueue__SERIAL_COMMPROPInv ?x286)) )) (forall ((?x287 boogieU) (?S116 boogieU)) (! (=> (and (= (type ?x287) intType) (= (type ?S116) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentTxQueue__SERIAL_COMMPROP ?S116) ?x287)) boolTrue) (= (U_2_bool (MapType0Select ?S116 (int_2_U (CurrentTxQueue__SERIAL_COMMPROPInv (U_2_int ?x287))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentTxQueue__SERIAL_COMMPROP ?S116) ?x287)) )) (forall ((?x288 boogieU) (?S117 boogieU)) (! (=> (and (= (type ?x288) intType) (= (type ?S117) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentTxQueue__SERIAL_COMMPROPInv ?S117) ?x288)) boolTrue) (= (U_2_bool (MapType0Select ?S117 (int_2_U (CurrentTxQueue__SERIAL_COMMPROP (U_2_int ?x288))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentTxQueue__SERIAL_COMMPROPInv ?S117) ?x288)) )) (forall ((?x289 boogieU) (?S118 boogieU)) (! (=> (and (= (type ?x289) intType) (= (type ?S118) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S118 ?x289)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentTxQueue__SERIAL_COMMPROP ?S118) (int_2_U (CurrentTxQueue__SERIAL_COMMPROP (U_2_int ?x289))))) boolTrue))) :pattern ((MapType0Select ?S118 ?x289) (x_S_CurrentTxQueue__SERIAL_COMMPROP ?S118)) )) (forall ((?x290 boogieU) (?S119 boogieU)) (! (=> (and (= (type ?x290) intType) (= (type ?S119) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S119 ?x290)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentTxQueue__SERIAL_COMMPROPInv ?S119) (int_2_U (CurrentTxQueue__SERIAL_COMMPROPInv (U_2_int ?x290))))) boolTrue))) :pattern ((MapType0Select ?S119 ?x290) (x_S_CurrentTxQueue__SERIAL_COMMPROPInv ?S119)) )) (forall ((?x291 Int)) (! (= (CurrentTxQueue__SERIAL_COMMPROP ?x291) (+ ?x291 44)) :pattern ((CurrentTxQueue__SERIAL_COMMPROP ?x291)) )) (forall ((?x292 Int)) (! (= (CurrentTxQueue__SERIAL_COMMPROPInv ?x292) (- ?x292 44)) :pattern ((CurrentTxQueue__SERIAL_COMMPROPInv ?x292)) )) (forall ((?x293 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x293 44 1) (CurrentTxQueue__SERIAL_COMMPROPInv ?x293)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x293 44 1)) )) (forall ((?x294 Int)) (! (= (MINUS_LEFT_PTR ?x294 1 44) (CurrentTxQueue__SERIAL_COMMPROPInv ?x294)) :pattern ((MINUS_LEFT_PTR ?x294 1 44)) )) (forall ((?x295 Int)) (! (= (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?x295)) ?x295) :pattern ((CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?x295))) )) (forall ((?x296 Int)) (! (= (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?x296)) ?x296) :pattern ((CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?x296)) )) (forall ((?x297 boogieU) (?S120 boogieU)) (! (=> (and (= (type ?x297) intType) (= (type ?S120) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?S120) ?x297)) boolTrue) (= (U_2_bool (MapType0Select ?S120 (int_2_U (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x297))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?S120) ?x297)) )) (forall ((?x298 boogieU) (?S121 boogieU)) (! (=> (and (= (type ?x298) intType) (= (type ?S121) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?S121) ?x298)) boolTrue) (= (U_2_bool (MapType0Select ?S121 (int_2_U (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x298))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?S121) ?x298)) )) (forall ((?x299 boogieU) (?S122 boogieU)) (! (=> (and (= (type ?x299) intType) (= (type ?S122) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S122 ?x299)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?S122) (int_2_U (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x299))))) boolTrue))) :pattern ((MapType0Select ?S122 ?x299) (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?S122)) )) (forall ((?x300 boogieU) (?S123 boogieU)) (! (=> (and (= (type ?x300) intType) (= (type ?S123) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S123 ?x300)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?S123) (int_2_U (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x300))))) boolTrue))) :pattern ((MapType0Select ?S123 ?x300) (x_S_CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?S123)) )) (forall ((?x301 Int)) (! (= (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?x301) (+ ?x301 192)) :pattern ((CurrentWriteIrp__SERIAL_DEVICE_EXTENSION ?x301)) )) (forall ((?x302 Int)) (! (= (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?x302) (- ?x302 192)) :pattern ((CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?x302)) )) (forall ((?x303 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x303 192 1) (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?x303)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x303 192 1)) )) (forall ((?x304 Int)) (! (= (MINUS_LEFT_PTR ?x304 1 192) (CurrentWriteIrp__SERIAL_DEVICE_EXTENSIONInv ?x304)) :pattern ((MINUS_LEFT_PTR ?x304 1 192)) )) (forall ((?x305 Int)) (! (= (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?x305)) ?x305) :pattern ((CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?x305))) )) (forall ((?x306 Int)) (! (= (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?x306)) ?x306) :pattern ((CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?x306)) )) (forall ((?x307 boogieU) (?S124 boogieU)) (! (=> (and (= (type ?x307) intType) (= (type ?S124) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?S124) ?x307)) boolTrue) (= (U_2_bool (MapType0Select ?S124 (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x307))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?S124) ?x307)) )) (forall ((?x308 boogieU) (?S125 boogieU)) (! (=> (and (= (type ?x308) intType) (= (type ?S125) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?S125) ?x308)) boolTrue) (= (U_2_bool (MapType0Select ?S125 (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x308))))) boolTrue))) :pattern ((MapType0Select (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?S125) ?x308)) )) (forall ((?x309 boogieU) (?S126 boogieU)) (! (=> (and (= (type ?x309) intType) (= (type ?S126) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S126 ?x309)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?S126) (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION (U_2_int ?x309))))) boolTrue))) :pattern ((MapType0Select ?S126 ?x309) (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?S126)) )) (forall ((?x310 boogieU) (?S127 boogieU)) (! (=> (and (= (type ?x310) intType) (= (type ?S127) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S127 ?x310)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?S127) (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x310))))) boolTrue))) :pattern ((MapType0Select ?S127 ?x310) (x_S_CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?S127)) )) (forall ((?x311 Int)) (! (= (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?x311) (+ ?x311 212)) :pattern ((CurrentXoffIrp__SERIAL_DEVICE_EXTENSION ?x311)) )) (forall ((?x312 Int)) (! (= (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?x312) (- ?x312 212)) :pattern ((CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?x312)) )) (forall ((?x313 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x313 212 1) (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?x313)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x313 212 1)) )) (forall ((?x314 Int)) (! (= (MINUS_LEFT_PTR ?x314 1 212) (CurrentXoffIrp__SERIAL_DEVICE_EXTENSIONInv ?x314)) :pattern ((MINUS_LEFT_PTR ?x314 1 212)) )) (forall ((?x315 Int)) (! (= (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv (CutOverAmount__SERIAL_DEVICE_EXTENSION ?x315)) ?x315) :pattern ((CutOverAmount__SERIAL_DEVICE_EXTENSIONInv (CutOverAmount__SERIAL_DEVICE_EXTENSION ?x315))) )) (forall ((?x316 Int)) (! (= (CutOverAmount__SERIAL_DEVICE_EXTENSION (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?x316)) ?x316) :pattern ((CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?x316)) )) (forall ((?x317 boogieU) (?S128 boogieU)) (! (=> (and (= (type ?x317) intType) (= (type ?S128) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION ?S128) ?x317)) boolTrue) (= (U_2_bool (MapType0Select ?S128 (int_2_U (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x317))))) boolTrue))) :pattern ((MapType0Select (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION ?S128) ?x317)) )) (forall ((?x318 boogieU) (?S129 boogieU)) (! (=> (and (= (type ?x318) intType) (= (type ?S129) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?S129) ?x318)) boolTrue) (= (U_2_bool (MapType0Select ?S129 (int_2_U (CutOverAmount__SERIAL_DEVICE_EXTENSION (U_2_int ?x318))))) boolTrue))) :pattern ((MapType0Select (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?S129) ?x318)) )) (forall ((?x319 boogieU) (?S130 boogieU)) (! (=> (and (= (type ?x319) intType) (= (type ?S130) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S130 ?x319)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION ?S130) (int_2_U (CutOverAmount__SERIAL_DEVICE_EXTENSION (U_2_int ?x319))))) boolTrue))) :pattern ((MapType0Select ?S130 ?x319) (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSION ?S130)) )) (forall ((?x320 boogieU) (?S131 boogieU)) (! (=> (and (= (type ?x320) intType) (= (type ?S131) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S131 ?x320)) boolTrue) (= (U_2_bool (MapType0Select (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?S131) (int_2_U (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x320))))) boolTrue))) :pattern ((MapType0Select ?S131 ?x320) (x_S_CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?S131)) )) (forall ((?x321 Int)) (! (= (CutOverAmount__SERIAL_DEVICE_EXTENSION ?x321) (+ ?x321 80)) :pattern ((CutOverAmount__SERIAL_DEVICE_EXTENSION ?x321)) )) (forall ((?x322 Int)) (! (= (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?x322) (- ?x322 80)) :pattern ((CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?x322)) )) (forall ((?x323 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x323 80 1) (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?x323)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x323 80 1)) )) (forall ((?x324 Int)) (! (= (MINUS_LEFT_PTR ?x324 1 80) (CutOverAmount__SERIAL_DEVICE_EXTENSIONInv ?x324)) :pattern ((MINUS_LEFT_PTR ?x324 1 80)) )) (forall ((?x325 Int)) (! (= (Data__SERIAL_IOCTL_SYNCInv (Data__SERIAL_IOCTL_SYNC ?x325)) ?x325) :pattern ((Data__SERIAL_IOCTL_SYNCInv (Data__SERIAL_IOCTL_SYNC ?x325))) )) (forall ((?x326 Int)) (! (= (Data__SERIAL_IOCTL_SYNC (Data__SERIAL_IOCTL_SYNCInv ?x326)) ?x326) :pattern ((Data__SERIAL_IOCTL_SYNCInv ?x326)) )) (forall ((?x327 boogieU) (?S132 boogieU)) (! (=> (and (= (type ?x327) intType) (= (type ?S132) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Data__SERIAL_IOCTL_SYNC ?S132) ?x327)) boolTrue) (= (U_2_bool (MapType0Select ?S132 (int_2_U (Data__SERIAL_IOCTL_SYNCInv (U_2_int ?x327))))) boolTrue))) :pattern ((MapType0Select (x_S_Data__SERIAL_IOCTL_SYNC ?S132) ?x327)) )) (forall ((?x328 boogieU) (?S133 boogieU)) (! (=> (and (= (type ?x328) intType) (= (type ?S133) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Data__SERIAL_IOCTL_SYNCInv ?S133) ?x328)) boolTrue) (= (U_2_bool (MapType0Select ?S133 (int_2_U (Data__SERIAL_IOCTL_SYNC (U_2_int ?x328))))) boolTrue))) :pattern ((MapType0Select (x_S_Data__SERIAL_IOCTL_SYNCInv ?S133) ?x328)) )) (forall ((?x329 boogieU) (?S134 boogieU)) (! (=> (and (= (type ?x329) intType) (= (type ?S134) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S134 ?x329)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Data__SERIAL_IOCTL_SYNC ?S134) (int_2_U (Data__SERIAL_IOCTL_SYNC (U_2_int ?x329))))) boolTrue))) :pattern ((MapType0Select ?S134 ?x329) (x_S_Data__SERIAL_IOCTL_SYNC ?S134)) )) (forall ((?x330 boogieU) (?S135 boogieU)) (! (=> (and (= (type ?x330) intType) (= (type ?S135) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S135 ?x330)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Data__SERIAL_IOCTL_SYNCInv ?S135) (int_2_U (Data__SERIAL_IOCTL_SYNCInv (U_2_int ?x330))))) boolTrue))) :pattern ((MapType0Select ?S135 ?x330) (x_S_Data__SERIAL_IOCTL_SYNCInv ?S135)) )) (forall ((?x331 Int)) (! (= (Data__SERIAL_IOCTL_SYNC ?x331) (+ ?x331 4)) :pattern ((Data__SERIAL_IOCTL_SYNC ?x331)) )) (forall ((?x332 Int)) (! (= (Data__SERIAL_IOCTL_SYNCInv ?x332) (- ?x332 4)) :pattern ((Data__SERIAL_IOCTL_SYNCInv ?x332)) )) (forall ((?x333 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x333 4 1) (Data__SERIAL_IOCTL_SYNCInv ?x333)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x333 4 1)) )) (forall ((?x334 Int)) (! (= (MINUS_LEFT_PTR ?x334 1 4) (Data__SERIAL_IOCTL_SYNCInv ?x334)) :pattern ((MINUS_LEFT_PTR ?x334 1 4)) )) (forall ((?x335 Int)) (! (= (DeviceExtension__DEVICE_OBJECTInv (DeviceExtension__DEVICE_OBJECT ?x335)) ?x335) :pattern ((DeviceExtension__DEVICE_OBJECTInv (DeviceExtension__DEVICE_OBJECT ?x335))) )) (forall ((?x336 Int)) (! (= (DeviceExtension__DEVICE_OBJECT (DeviceExtension__DEVICE_OBJECTInv ?x336)) ?x336) :pattern ((DeviceExtension__DEVICE_OBJECTInv ?x336)) )) (forall ((?x337 boogieU) (?S136 boogieU)) (! (=> (and (= (type ?x337) intType) (= (type ?S136) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceExtension__DEVICE_OBJECT ?S136) ?x337)) boolTrue) (= (U_2_bool (MapType0Select ?S136 (int_2_U (DeviceExtension__DEVICE_OBJECTInv (U_2_int ?x337))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceExtension__DEVICE_OBJECT ?S136) ?x337)) )) (forall ((?x338 boogieU) (?S137 boogieU)) (! (=> (and (= (type ?x338) intType) (= (type ?S137) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceExtension__DEVICE_OBJECTInv ?S137) ?x338)) boolTrue) (= (U_2_bool (MapType0Select ?S137 (int_2_U (DeviceExtension__DEVICE_OBJECT (U_2_int ?x338))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceExtension__DEVICE_OBJECTInv ?S137) ?x338)) )) (forall ((?x339 boogieU) (?S138 boogieU)) (! (=> (and (= (type ?x339) intType) (= (type ?S138) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S138 ?x339)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceExtension__DEVICE_OBJECT ?S138) (int_2_U (DeviceExtension__DEVICE_OBJECT (U_2_int ?x339))))) boolTrue))) :pattern ((MapType0Select ?S138 ?x339) (x_S_DeviceExtension__DEVICE_OBJECT ?S138)) )) (forall ((?x340 boogieU) (?S139 boogieU)) (! (=> (and (= (type ?x340) intType) (= (type ?S139) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S139 ?x340)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceExtension__DEVICE_OBJECTInv ?S139) (int_2_U (DeviceExtension__DEVICE_OBJECTInv (U_2_int ?x340))))) boolTrue))) :pattern ((MapType0Select ?S139 ?x340) (x_S_DeviceExtension__DEVICE_OBJECTInv ?S139)) )) (forall ((?x341 Int)) (! (= (DeviceExtension__DEVICE_OBJECT ?x341) (+ ?x341 40)) :pattern ((DeviceExtension__DEVICE_OBJECT ?x341)) )) (forall ((?x342 Int)) (! (= (DeviceExtension__DEVICE_OBJECTInv ?x342) (- ?x342 40)) :pattern ((DeviceExtension__DEVICE_OBJECTInv ?x342)) )) (forall ((?x343 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x343 40 1) (DeviceExtension__DEVICE_OBJECTInv ?x343)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x343 40 1)) )) (forall ((?x344 Int)) (! (= (MINUS_LEFT_PTR ?x344 1 40) (DeviceExtension__DEVICE_OBJECTInv ?x344)) :pattern ((MINUS_LEFT_PTR ?x344 1 40)) )) (forall ((?x345 Int)) (! (= (DeviceIoControl___unnamed_16_57edbc3aInv (DeviceIoControl___unnamed_16_57edbc3a ?x345)) ?x345) :pattern ((DeviceIoControl___unnamed_16_57edbc3aInv (DeviceIoControl___unnamed_16_57edbc3a ?x345))) )) (forall ((?x346 Int)) (! (= (DeviceIoControl___unnamed_16_57edbc3a (DeviceIoControl___unnamed_16_57edbc3aInv ?x346)) ?x346) :pattern ((DeviceIoControl___unnamed_16_57edbc3aInv ?x346)) )) (forall ((?x347 boogieU) (?S140 boogieU)) (! (=> (and (= (type ?x347) intType) (= (type ?S140) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3a ?S140) ?x347)) boolTrue) (= (U_2_bool (MapType0Select ?S140 (int_2_U (DeviceIoControl___unnamed_16_57edbc3aInv (U_2_int ?x347))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3a ?S140) ?x347)) )) (forall ((?x348 boogieU) (?S141 boogieU)) (! (=> (and (= (type ?x348) intType) (= (type ?S141) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?S141) ?x348)) boolTrue) (= (U_2_bool (MapType0Select ?S141 (int_2_U (DeviceIoControl___unnamed_16_57edbc3a (U_2_int ?x348))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?S141) ?x348)) )) (forall ((?x349 boogieU) (?S142 boogieU)) (! (=> (and (= (type ?x349) intType) (= (type ?S142) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S142 ?x349)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3a ?S142) (int_2_U (DeviceIoControl___unnamed_16_57edbc3a (U_2_int ?x349))))) boolTrue))) :pattern ((MapType0Select ?S142 ?x349) (x_S_DeviceIoControl___unnamed_16_57edbc3a ?S142)) )) (forall ((?x350 boogieU) (?S143 boogieU)) (! (=> (and (= (type ?x350) intType) (= (type ?S143) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S143 ?x350)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?S143) (int_2_U (DeviceIoControl___unnamed_16_57edbc3aInv (U_2_int ?x350))))) boolTrue))) :pattern ((MapType0Select ?S143 ?x350) (x_S_DeviceIoControl___unnamed_16_57edbc3aInv ?S143)) )) (forall ((?x351 Int)) (! (= (DeviceIoControl___unnamed_16_57edbc3a ?x351) (+ ?x351 0)) :pattern ((DeviceIoControl___unnamed_16_57edbc3a ?x351)) )) (forall ((?x352 Int)) (! (= (DeviceIoControl___unnamed_16_57edbc3aInv ?x352) (- ?x352 0)) :pattern ((DeviceIoControl___unnamed_16_57edbc3aInv ?x352)) )) (forall ((?x353 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x353 0 1) (DeviceIoControl___unnamed_16_57edbc3aInv ?x353)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x353 0 1)) )) (forall ((?x354 Int)) (! (= (MINUS_LEFT_PTR ?x354 1 0) (DeviceIoControl___unnamed_16_57edbc3aInv ?x354)) :pattern ((MINUS_LEFT_PTR ?x354 1 0)) )) (forall ((?x355 Int)) (! (= (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv (DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?x355)) ?x355) :pattern ((DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv (DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?x355))) )) (forall ((?x356 Int)) (! (= (DeviceIsOpened__SERIAL_DEVICE_EXTENSION (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?x356)) ?x356) :pattern ((DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?x356)) )) (forall ((?x357 boogieU) (?S144 boogieU)) (! (=> (and (= (type ?x357) intType) (= (type ?S144) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?S144) ?x357)) boolTrue) (= (U_2_bool (MapType0Select ?S144 (int_2_U (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x357))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?S144) ?x357)) )) (forall ((?x358 boogieU) (?S145 boogieU)) (! (=> (and (= (type ?x358) intType) (= (type ?S145) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?S145) ?x358)) boolTrue) (= (U_2_bool (MapType0Select ?S145 (int_2_U (DeviceIsOpened__SERIAL_DEVICE_EXTENSION (U_2_int ?x358))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?S145) ?x358)) )) (forall ((?x359 boogieU) (?S146 boogieU)) (! (=> (and (= (type ?x359) intType) (= (type ?S146) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S146 ?x359)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?S146) (int_2_U (DeviceIsOpened__SERIAL_DEVICE_EXTENSION (U_2_int ?x359))))) boolTrue))) :pattern ((MapType0Select ?S146 ?x359) (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?S146)) )) (forall ((?x360 boogieU) (?S147 boogieU)) (! (=> (and (= (type ?x360) intType) (= (type ?S147) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S147 ?x360)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?S147) (int_2_U (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x360))))) boolTrue))) :pattern ((MapType0Select ?S147 ?x360) (x_S_DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?S147)) )) (forall ((?x361 Int)) (! (= (DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?x361) (+ ?x361 405)) :pattern ((DeviceIsOpened__SERIAL_DEVICE_EXTENSION ?x361)) )) (forall ((?x362 Int)) (! (= (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?x362) (- ?x362 405)) :pattern ((DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?x362)) )) (forall ((?x363 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x363 405 1) (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?x363)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x363 405 1)) )) (forall ((?x364 Int)) (! (= (MINUS_LEFT_PTR ?x364 1 405) (DeviceIsOpened__SERIAL_DEVICE_EXTENSIONInv ?x364)) :pattern ((MINUS_LEFT_PTR ?x364 1 405)) )) (forall ((?x365 Int)) (! (= (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv (DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?x365)) ?x365) :pattern ((DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv (DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?x365))) )) (forall ((?x366 Int)) (! (= (DevicePNPAccept__SERIAL_DEVICE_EXTENSION (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?x366)) ?x366) :pattern ((DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?x366)) )) (forall ((?x367 boogieU) (?S148 boogieU)) (! (=> (and (= (type ?x367) intType) (= (type ?S148) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?S148) ?x367)) boolTrue) (= (U_2_bool (MapType0Select ?S148 (int_2_U (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x367))))) boolTrue))) :pattern ((MapType0Select (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?S148) ?x367)) )) (forall ((?x368 boogieU) (?S149 boogieU)) (! (=> (and (= (type ?x368) intType) (= (type ?S149) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?S149) ?x368)) boolTrue) (= (U_2_bool (MapType0Select ?S149 (int_2_U (DevicePNPAccept__SERIAL_DEVICE_EXTENSION (U_2_int ?x368))))) boolTrue))) :pattern ((MapType0Select (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?S149) ?x368)) )) (forall ((?x369 boogieU) (?S150 boogieU)) (! (=> (and (= (type ?x369) intType) (= (type ?S150) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S150 ?x369)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?S150) (int_2_U (DevicePNPAccept__SERIAL_DEVICE_EXTENSION (U_2_int ?x369))))) boolTrue))) :pattern ((MapType0Select ?S150 ?x369) (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?S150)) )) (forall ((?x370 boogieU) (?S151 boogieU)) (! (=> (and (= (type ?x370) intType) (= (type ?S151) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S151 ?x370)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?S151) (int_2_U (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x370))))) boolTrue))) :pattern ((MapType0Select ?S151 ?x370) (x_S_DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?S151)) )) (forall ((?x371 Int)) (! (= (DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?x371) (+ ?x371 1252)) :pattern ((DevicePNPAccept__SERIAL_DEVICE_EXTENSION ?x371)) )) (forall ((?x372 Int)) (! (= (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?x372) (- ?x372 1252)) :pattern ((DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?x372)) )) (forall ((?x373 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x373 1252 1) (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?x373)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x373 1252 1)) )) (forall ((?x374 Int)) (! (= (MINUS_LEFT_PTR ?x374 1 1252) (DevicePNPAccept__SERIAL_DEVICE_EXTENSIONInv ?x374)) :pattern ((MINUS_LEFT_PTR ?x374 1 1252)) )) (forall ((?x375 Int)) (! (= (DeviceState__POWER_STATEInv (DeviceState__POWER_STATE ?x375)) ?x375) :pattern ((DeviceState__POWER_STATEInv (DeviceState__POWER_STATE ?x375))) )) (forall ((?x376 Int)) (! (= (DeviceState__POWER_STATE (DeviceState__POWER_STATEInv ?x376)) ?x376) :pattern ((DeviceState__POWER_STATEInv ?x376)) )) (forall ((?x377 boogieU) (?S152 boogieU)) (! (=> (and (= (type ?x377) intType) (= (type ?S152) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceState__POWER_STATE ?S152) ?x377)) boolTrue) (= (U_2_bool (MapType0Select ?S152 (int_2_U (DeviceState__POWER_STATEInv (U_2_int ?x377))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceState__POWER_STATE ?S152) ?x377)) )) (forall ((?x378 boogieU) (?S153 boogieU)) (! (=> (and (= (type ?x378) intType) (= (type ?S153) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DeviceState__POWER_STATEInv ?S153) ?x378)) boolTrue) (= (U_2_bool (MapType0Select ?S153 (int_2_U (DeviceState__POWER_STATE (U_2_int ?x378))))) boolTrue))) :pattern ((MapType0Select (x_S_DeviceState__POWER_STATEInv ?S153) ?x378)) )) (forall ((?x379 boogieU) (?S154 boogieU)) (! (=> (and (= (type ?x379) intType) (= (type ?S154) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S154 ?x379)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceState__POWER_STATE ?S154) (int_2_U (DeviceState__POWER_STATE (U_2_int ?x379))))) boolTrue))) :pattern ((MapType0Select ?S154 ?x379) (x_S_DeviceState__POWER_STATE ?S154)) )) (forall ((?x380 boogieU) (?S155 boogieU)) (! (=> (and (= (type ?x380) intType) (= (type ?S155) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S155 ?x380)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DeviceState__POWER_STATEInv ?S155) (int_2_U (DeviceState__POWER_STATEInv (U_2_int ?x380))))) boolTrue))) :pattern ((MapType0Select ?S155 ?x380) (x_S_DeviceState__POWER_STATEInv ?S155)) )) (forall ((?x381 Int)) (! (= (DeviceState__POWER_STATE ?x381) (+ ?x381 0)) :pattern ((DeviceState__POWER_STATE ?x381)) )) (forall ((?x382 Int)) (! (= (DeviceState__POWER_STATEInv ?x382) (- ?x382 0)) :pattern ((DeviceState__POWER_STATEInv ?x382)) )) (forall ((?x383 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x383 0 1) (DeviceState__POWER_STATEInv ?x383)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x383 0 1)) )) (forall ((?x384 Int)) (! (= (MINUS_LEFT_PTR ?x384 1 0) (DeviceState__POWER_STATEInv ?x384)) :pattern ((MINUS_LEFT_PTR ?x384 1 0)) )) (forall ((?x385 Int)) (! (= (DpcCount__SERIAL_DEVICE_EXTENSIONInv (DpcCount__SERIAL_DEVICE_EXTENSION ?x385)) ?x385) :pattern ((DpcCount__SERIAL_DEVICE_EXTENSIONInv (DpcCount__SERIAL_DEVICE_EXTENSION ?x385))) )) (forall ((?x386 Int)) (! (= (DpcCount__SERIAL_DEVICE_EXTENSION (DpcCount__SERIAL_DEVICE_EXTENSIONInv ?x386)) ?x386) :pattern ((DpcCount__SERIAL_DEVICE_EXTENSIONInv ?x386)) )) (forall ((?x387 boogieU) (?S156 boogieU)) (! (=> (and (= (type ?x387) intType) (= (type ?S156) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcCount__SERIAL_DEVICE_EXTENSION ?S156) ?x387)) boolTrue) (= (U_2_bool (MapType0Select ?S156 (int_2_U (DpcCount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x387))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcCount__SERIAL_DEVICE_EXTENSION ?S156) ?x387)) )) (forall ((?x388 boogieU) (?S157 boogieU)) (! (=> (and (= (type ?x388) intType) (= (type ?S157) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv ?S157) ?x388)) boolTrue) (= (U_2_bool (MapType0Select ?S157 (int_2_U (DpcCount__SERIAL_DEVICE_EXTENSION (U_2_int ?x388))))) boolTrue))) :pattern ((MapType0Select (x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv ?S157) ?x388)) )) (forall ((?x389 boogieU) (?S158 boogieU)) (! (=> (and (= (type ?x389) intType) (= (type ?S158) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S158 ?x389)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcCount__SERIAL_DEVICE_EXTENSION ?S158) (int_2_U (DpcCount__SERIAL_DEVICE_EXTENSION (U_2_int ?x389))))) boolTrue))) :pattern ((MapType0Select ?S158 ?x389) (x_S_DpcCount__SERIAL_DEVICE_EXTENSION ?S158)) )) (forall ((?x390 boogieU) (?S159 boogieU)) (! (=> (and (= (type ?x390) intType) (= (type ?S159) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S159 ?x390)) boolTrue) (= (U_2_bool (MapType0Select (x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv ?S159) (int_2_U (DpcCount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x390))))) boolTrue))) :pattern ((MapType0Select ?S159 ?x390) (x_S_DpcCount__SERIAL_DEVICE_EXTENSIONInv ?S159)) )) (forall ((?x391 Int)) (! (= (DpcCount__SERIAL_DEVICE_EXTENSION ?x391) (+ ?x391 1616)) :pattern ((DpcCount__SERIAL_DEVICE_EXTENSION ?x391)) )) (forall ((?x392 Int)) (! (= (DpcCount__SERIAL_DEVICE_EXTENSIONInv ?x392) (- ?x392 1616)) :pattern ((DpcCount__SERIAL_DEVICE_EXTENSIONInv ?x392)) )) (forall ((?x393 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x393 1616 1) (DpcCount__SERIAL_DEVICE_EXTENSIONInv ?x393)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x393 1616 1)) )) (forall ((?x394 Int)) (! (= (MINUS_LEFT_PTR ?x394 1 1616) (DpcCount__SERIAL_DEVICE_EXTENSIONInv ?x394)) :pattern ((MINUS_LEFT_PTR ?x394 1 1616)) )) (forall ((?x395 Int)) (! (= (Dpc__KTIMERInv (Dpc__KTIMER ?x395)) ?x395) :pattern ((Dpc__KTIMERInv (Dpc__KTIMER ?x395))) )) (forall ((?x396 Int)) (! (= (Dpc__KTIMER (Dpc__KTIMERInv ?x396)) ?x396) :pattern ((Dpc__KTIMERInv ?x396)) )) (forall ((?x397 boogieU) (?S160 boogieU)) (! (=> (and (= (type ?x397) intType) (= (type ?S160) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Dpc__KTIMER ?S160) ?x397)) boolTrue) (= (U_2_bool (MapType0Select ?S160 (int_2_U (Dpc__KTIMERInv (U_2_int ?x397))))) boolTrue))) :pattern ((MapType0Select (x_S_Dpc__KTIMER ?S160) ?x397)) )) (forall ((?x398 boogieU) (?S161 boogieU)) (! (=> (and (= (type ?x398) intType) (= (type ?S161) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Dpc__KTIMERInv ?S161) ?x398)) boolTrue) (= (U_2_bool (MapType0Select ?S161 (int_2_U (Dpc__KTIMER (U_2_int ?x398))))) boolTrue))) :pattern ((MapType0Select (x_S_Dpc__KTIMERInv ?S161) ?x398)) )) (forall ((?x399 boogieU) (?S162 boogieU)) (! (=> (and (= (type ?x399) intType) (= (type ?S162) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S162 ?x399)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Dpc__KTIMER ?S162) (int_2_U (Dpc__KTIMER (U_2_int ?x399))))) boolTrue))) :pattern ((MapType0Select ?S162 ?x399) (x_S_Dpc__KTIMER ?S162)) )) (forall ((?x400 boogieU) (?S163 boogieU)) (! (=> (and (= (type ?x400) intType) (= (type ?S163) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S163 ?x400)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Dpc__KTIMERInv ?S163) (int_2_U (Dpc__KTIMERInv (U_2_int ?x400))))) boolTrue))) :pattern ((MapType0Select ?S163 ?x400) (x_S_Dpc__KTIMERInv ?S163)) )) (forall ((?x401 Int)) (! (= (Dpc__KTIMER ?x401) (+ ?x401 32)) :pattern ((Dpc__KTIMER ?x401)) )) (forall ((?x402 Int)) (! (= (Dpc__KTIMERInv ?x402) (- ?x402 32)) :pattern ((Dpc__KTIMERInv ?x402)) )) (forall ((?x403 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x403 32 1) (Dpc__KTIMERInv ?x403)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x403 32 1)) )) (forall ((?x404 Int)) (! (= (MINUS_LEFT_PTR ?x404 1 32) (Dpc__KTIMERInv ?x404)) :pattern ((MINUS_LEFT_PTR ?x404 1 32)) )) (forall ((?x405 Int)) (! (= (EofChar__SERIAL_CHARSInv (EofChar__SERIAL_CHARS ?x405)) ?x405) :pattern ((EofChar__SERIAL_CHARSInv (EofChar__SERIAL_CHARS ?x405))) )) (forall ((?x406 Int)) (! (= (EofChar__SERIAL_CHARS (EofChar__SERIAL_CHARSInv ?x406)) ?x406) :pattern ((EofChar__SERIAL_CHARSInv ?x406)) )) (forall ((?x407 boogieU) (?S164 boogieU)) (! (=> (and (= (type ?x407) intType) (= (type ?S164) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_EofChar__SERIAL_CHARS ?S164) ?x407)) boolTrue) (= (U_2_bool (MapType0Select ?S164 (int_2_U (EofChar__SERIAL_CHARSInv (U_2_int ?x407))))) boolTrue))) :pattern ((MapType0Select (x_S_EofChar__SERIAL_CHARS ?S164) ?x407)) )) (forall ((?x408 boogieU) (?S165 boogieU)) (! (=> (and (= (type ?x408) intType) (= (type ?S165) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_EofChar__SERIAL_CHARSInv ?S165) ?x408)) boolTrue) (= (U_2_bool (MapType0Select ?S165 (int_2_U (EofChar__SERIAL_CHARS (U_2_int ?x408))))) boolTrue))) :pattern ((MapType0Select (x_S_EofChar__SERIAL_CHARSInv ?S165) ?x408)) )) (forall ((?x409 boogieU) (?S166 boogieU)) (! (=> (and (= (type ?x409) intType) (= (type ?S166) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S166 ?x409)) boolTrue) (= (U_2_bool (MapType0Select (x_S_EofChar__SERIAL_CHARS ?S166) (int_2_U (EofChar__SERIAL_CHARS (U_2_int ?x409))))) boolTrue))) :pattern ((MapType0Select ?S166 ?x409) (x_S_EofChar__SERIAL_CHARS ?S166)) )) (forall ((?x410 boogieU) (?S167 boogieU)) (! (=> (and (= (type ?x410) intType) (= (type ?S167) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S167 ?x410)) boolTrue) (= (U_2_bool (MapType0Select (x_S_EofChar__SERIAL_CHARSInv ?S167) (int_2_U (EofChar__SERIAL_CHARSInv (U_2_int ?x410))))) boolTrue))) :pattern ((MapType0Select ?S167 ?x410) (x_S_EofChar__SERIAL_CHARSInv ?S167)) )) (forall ((?x411 Int)) (! (= (EofChar__SERIAL_CHARS ?x411) (+ ?x411 0)) :pattern ((EofChar__SERIAL_CHARS ?x411)) )) (forall ((?x412 Int)) (! (= (EofChar__SERIAL_CHARSInv ?x412) (- ?x412 0)) :pattern ((EofChar__SERIAL_CHARSInv ?x412)) )) (forall ((?x413 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x413 0 1) (EofChar__SERIAL_CHARSInv ?x413)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x413 0 1)) )) (forall ((?x414 Int)) (! (= (MINUS_LEFT_PTR ?x414 1 0) (EofChar__SERIAL_CHARSInv ?x414)) :pattern ((MINUS_LEFT_PTR ?x414 1 0)) )) (forall ((?x415 Int)) (! (= (ErrorChar__SERIAL_CHARSInv (ErrorChar__SERIAL_CHARS ?x415)) ?x415) :pattern ((ErrorChar__SERIAL_CHARSInv (ErrorChar__SERIAL_CHARS ?x415))) )) (forall ((?x416 Int)) (! (= (ErrorChar__SERIAL_CHARS (ErrorChar__SERIAL_CHARSInv ?x416)) ?x416) :pattern ((ErrorChar__SERIAL_CHARSInv ?x416)) )) (forall ((?x417 boogieU) (?S168 boogieU)) (! (=> (and (= (type ?x417) intType) (= (type ?S168) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ErrorChar__SERIAL_CHARS ?S168) ?x417)) boolTrue) (= (U_2_bool (MapType0Select ?S168 (int_2_U (ErrorChar__SERIAL_CHARSInv (U_2_int ?x417))))) boolTrue))) :pattern ((MapType0Select (x_S_ErrorChar__SERIAL_CHARS ?S168) ?x417)) )) (forall ((?x418 boogieU) (?S169 boogieU)) (! (=> (and (= (type ?x418) intType) (= (type ?S169) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ErrorChar__SERIAL_CHARSInv ?S169) ?x418)) boolTrue) (= (U_2_bool (MapType0Select ?S169 (int_2_U (ErrorChar__SERIAL_CHARS (U_2_int ?x418))))) boolTrue))) :pattern ((MapType0Select (x_S_ErrorChar__SERIAL_CHARSInv ?S169) ?x418)) )) (forall ((?x419 boogieU) (?S170 boogieU)) (! (=> (and (= (type ?x419) intType) (= (type ?S170) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S170 ?x419)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ErrorChar__SERIAL_CHARS ?S170) (int_2_U (ErrorChar__SERIAL_CHARS (U_2_int ?x419))))) boolTrue))) :pattern ((MapType0Select ?S170 ?x419) (x_S_ErrorChar__SERIAL_CHARS ?S170)) )) (forall ((?x420 boogieU) (?S171 boogieU)) (! (=> (and (= (type ?x420) intType) (= (type ?S171) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S171 ?x420)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ErrorChar__SERIAL_CHARSInv ?S171) (int_2_U (ErrorChar__SERIAL_CHARSInv (U_2_int ?x420))))) boolTrue))) :pattern ((MapType0Select ?S171 ?x420) (x_S_ErrorChar__SERIAL_CHARSInv ?S171)) )) (forall ((?x421 Int)) (! (= (ErrorChar__SERIAL_CHARS ?x421) (+ ?x421 1)) :pattern ((ErrorChar__SERIAL_CHARS ?x421)) )) (forall ((?x422 Int)) (! (= (ErrorChar__SERIAL_CHARSInv ?x422) (- ?x422 1)) :pattern ((ErrorChar__SERIAL_CHARSInv ?x422)) )) (forall ((?x423 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x423 1 1) (ErrorChar__SERIAL_CHARSInv ?x423)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x423 1 1)) )) (forall ((?x424 Int)) (! (= (MINUS_LEFT_PTR ?x424 1 1) (ErrorChar__SERIAL_CHARSInv ?x424)) :pattern ((MINUS_LEFT_PTR ?x424 1 1)) )) (forall ((?x425 Int)) (! (= (ErrorWord__SERIAL_DEVICE_EXTENSIONInv (ErrorWord__SERIAL_DEVICE_EXTENSION ?x425)) ?x425) :pattern ((ErrorWord__SERIAL_DEVICE_EXTENSIONInv (ErrorWord__SERIAL_DEVICE_EXTENSION ?x425))) )) (forall ((?x426 Int)) (! (= (ErrorWord__SERIAL_DEVICE_EXTENSION (ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?x426)) ?x426) :pattern ((ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?x426)) )) (forall ((?x427 boogieU) (?S172 boogieU)) (! (=> (and (= (type ?x427) intType) (= (type ?S172) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ErrorWord__SERIAL_DEVICE_EXTENSION ?S172) ?x427)) boolTrue) (= (U_2_bool (MapType0Select ?S172 (int_2_U (ErrorWord__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x427))))) boolTrue))) :pattern ((MapType0Select (x_S_ErrorWord__SERIAL_DEVICE_EXTENSION ?S172) ?x427)) )) (forall ((?x428 boogieU) (?S173 boogieU)) (! (=> (and (= (type ?x428) intType) (= (type ?S173) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?S173) ?x428)) boolTrue) (= (U_2_bool (MapType0Select ?S173 (int_2_U (ErrorWord__SERIAL_DEVICE_EXTENSION (U_2_int ?x428))))) boolTrue))) :pattern ((MapType0Select (x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?S173) ?x428)) )) (forall ((?x429 boogieU) (?S174 boogieU)) (! (=> (and (= (type ?x429) intType) (= (type ?S174) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S174 ?x429)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ErrorWord__SERIAL_DEVICE_EXTENSION ?S174) (int_2_U (ErrorWord__SERIAL_DEVICE_EXTENSION (U_2_int ?x429))))) boolTrue))) :pattern ((MapType0Select ?S174 ?x429) (x_S_ErrorWord__SERIAL_DEVICE_EXTENSION ?S174)) )) (forall ((?x430 boogieU) (?S175 boogieU)) (! (=> (and (= (type ?x430) intType) (= (type ?S175) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S175 ?x430)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?S175) (int_2_U (ErrorWord__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x430))))) boolTrue))) :pattern ((MapType0Select ?S175 ?x430) (x_S_ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?S175)) )) (forall ((?x431 Int)) (! (= (ErrorWord__SERIAL_DEVICE_EXTENSION ?x431) (+ ?x431 284)) :pattern ((ErrorWord__SERIAL_DEVICE_EXTENSION ?x431)) )) (forall ((?x432 Int)) (! (= (ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?x432) (- ?x432 284)) :pattern ((ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?x432)) )) (forall ((?x433 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x433 284 1) (ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?x433)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x433 284 1)) )) (forall ((?x434 Int)) (! (= (MINUS_LEFT_PTR ?x434 1 284) (ErrorWord__SERIAL_DEVICE_EXTENSIONInv ?x434)) :pattern ((MINUS_LEFT_PTR ?x434 1 284)) )) (forall ((?x435 Int)) (! (= (EscapeChar__SERIAL_DEVICE_EXTENSIONInv (EscapeChar__SERIAL_DEVICE_EXTENSION ?x435)) ?x435) :pattern ((EscapeChar__SERIAL_DEVICE_EXTENSIONInv (EscapeChar__SERIAL_DEVICE_EXTENSION ?x435))) )) (forall ((?x436 Int)) (! (= (EscapeChar__SERIAL_DEVICE_EXTENSION (EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?x436)) ?x436) :pattern ((EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?x436)) )) (forall ((?x437 boogieU) (?S176 boogieU)) (! (=> (and (= (type ?x437) intType) (= (type ?S176) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_EscapeChar__SERIAL_DEVICE_EXTENSION ?S176) ?x437)) boolTrue) (= (U_2_bool (MapType0Select ?S176 (int_2_U (EscapeChar__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x437))))) boolTrue))) :pattern ((MapType0Select (x_S_EscapeChar__SERIAL_DEVICE_EXTENSION ?S176) ?x437)) )) (forall ((?x438 boogieU) (?S177 boogieU)) (! (=> (and (= (type ?x438) intType) (= (type ?S177) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?S177) ?x438)) boolTrue) (= (U_2_bool (MapType0Select ?S177 (int_2_U (EscapeChar__SERIAL_DEVICE_EXTENSION (U_2_int ?x438))))) boolTrue))) :pattern ((MapType0Select (x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?S177) ?x438)) )) (forall ((?x439 boogieU) (?S178 boogieU)) (! (=> (and (= (type ?x439) intType) (= (type ?S178) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S178 ?x439)) boolTrue) (= (U_2_bool (MapType0Select (x_S_EscapeChar__SERIAL_DEVICE_EXTENSION ?S178) (int_2_U (EscapeChar__SERIAL_DEVICE_EXTENSION (U_2_int ?x439))))) boolTrue))) :pattern ((MapType0Select ?S178 ?x439) (x_S_EscapeChar__SERIAL_DEVICE_EXTENSION ?S178)) )) (forall ((?x440 boogieU) (?S179 boogieU)) (! (=> (and (= (type ?x440) intType) (= (type ?S179) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S179 ?x440)) boolTrue) (= (U_2_bool (MapType0Select (x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?S179) (int_2_U (EscapeChar__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x440))))) boolTrue))) :pattern ((MapType0Select ?S179 ?x440) (x_S_EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?S179)) )) (forall ((?x441 Int)) (! (= (EscapeChar__SERIAL_DEVICE_EXTENSION ?x441) (+ ?x441 466)) :pattern ((EscapeChar__SERIAL_DEVICE_EXTENSION ?x441)) )) (forall ((?x442 Int)) (! (= (EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?x442) (- ?x442 466)) :pattern ((EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?x442)) )) (forall ((?x443 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x443 466 1) (EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?x443)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x443 466 1)) )) (forall ((?x444 Int)) (! (= (MINUS_LEFT_PTR ?x444 1 466) (EscapeChar__SERIAL_DEVICE_EXTENSIONInv ?x444)) :pattern ((MINUS_LEFT_PTR ?x444 1 466)) )) (forall ((?x445 Int)) (! (= (EventChar__SERIAL_CHARSInv (EventChar__SERIAL_CHARS ?x445)) ?x445) :pattern ((EventChar__SERIAL_CHARSInv (EventChar__SERIAL_CHARS ?x445))) )) (forall ((?x446 Int)) (! (= (EventChar__SERIAL_CHARS (EventChar__SERIAL_CHARSInv ?x446)) ?x446) :pattern ((EventChar__SERIAL_CHARSInv ?x446)) )) (forall ((?x447 boogieU) (?S180 boogieU)) (! (=> (and (= (type ?x447) intType) (= (type ?S180) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_EventChar__SERIAL_CHARS ?S180) ?x447)) boolTrue) (= (U_2_bool (MapType0Select ?S180 (int_2_U (EventChar__SERIAL_CHARSInv (U_2_int ?x447))))) boolTrue))) :pattern ((MapType0Select (x_S_EventChar__SERIAL_CHARS ?S180) ?x447)) )) (forall ((?x448 boogieU) (?S181 boogieU)) (! (=> (and (= (type ?x448) intType) (= (type ?S181) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_EventChar__SERIAL_CHARSInv ?S181) ?x448)) boolTrue) (= (U_2_bool (MapType0Select ?S181 (int_2_U (EventChar__SERIAL_CHARS (U_2_int ?x448))))) boolTrue))) :pattern ((MapType0Select (x_S_EventChar__SERIAL_CHARSInv ?S181) ?x448)) )) (forall ((?x449 boogieU) (?S182 boogieU)) (! (=> (and (= (type ?x449) intType) (= (type ?S182) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S182 ?x449)) boolTrue) (= (U_2_bool (MapType0Select (x_S_EventChar__SERIAL_CHARS ?S182) (int_2_U (EventChar__SERIAL_CHARS (U_2_int ?x449))))) boolTrue))) :pattern ((MapType0Select ?S182 ?x449) (x_S_EventChar__SERIAL_CHARS ?S182)) )) (forall ((?x450 boogieU) (?S183 boogieU)) (! (=> (and (= (type ?x450) intType) (= (type ?S183) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S183 ?x450)) boolTrue) (= (U_2_bool (MapType0Select (x_S_EventChar__SERIAL_CHARSInv ?S183) (int_2_U (EventChar__SERIAL_CHARSInv (U_2_int ?x450))))) boolTrue))) :pattern ((MapType0Select ?S183 ?x450) (x_S_EventChar__SERIAL_CHARSInv ?S183)) )) (forall ((?x451 Int)) (! (= (EventChar__SERIAL_CHARS ?x451) (+ ?x451 3)) :pattern ((EventChar__SERIAL_CHARS ?x451)) )) (forall ((?x452 Int)) (! (= (EventChar__SERIAL_CHARSInv ?x452) (- ?x452 3)) :pattern ((EventChar__SERIAL_CHARSInv ?x452)) )) (forall ((?x453 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x453 3 1) (EventChar__SERIAL_CHARSInv ?x453)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x453 3 1)) )) (forall ((?x454 Int)) (! (= (MINUS_LEFT_PTR ?x454 1 3) (EventChar__SERIAL_CHARSInv ?x454)) :pattern ((MINUS_LEFT_PTR ?x454 1 3)) )) (forall ((?x455 Int)) (! (= (Extension__SERIAL_IOCTL_SYNCInv (Extension__SERIAL_IOCTL_SYNC ?x455)) ?x455) :pattern ((Extension__SERIAL_IOCTL_SYNCInv (Extension__SERIAL_IOCTL_SYNC ?x455))) )) (forall ((?x456 Int)) (! (= (Extension__SERIAL_IOCTL_SYNC (Extension__SERIAL_IOCTL_SYNCInv ?x456)) ?x456) :pattern ((Extension__SERIAL_IOCTL_SYNCInv ?x456)) )) (forall ((?x457 boogieU) (?S184 boogieU)) (! (=> (and (= (type ?x457) intType) (= (type ?S184) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_IOCTL_SYNC ?S184) ?x457)) boolTrue) (= (U_2_bool (MapType0Select ?S184 (int_2_U (Extension__SERIAL_IOCTL_SYNCInv (U_2_int ?x457))))) boolTrue))) :pattern ((MapType0Select (x_S_Extension__SERIAL_IOCTL_SYNC ?S184) ?x457)) )) (forall ((?x458 boogieU) (?S185 boogieU)) (! (=> (and (= (type ?x458) intType) (= (type ?S185) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_IOCTL_SYNCInv ?S185) ?x458)) boolTrue) (= (U_2_bool (MapType0Select ?S185 (int_2_U (Extension__SERIAL_IOCTL_SYNC (U_2_int ?x458))))) boolTrue))) :pattern ((MapType0Select (x_S_Extension__SERIAL_IOCTL_SYNCInv ?S185) ?x458)) )) (forall ((?x459 boogieU) (?S186 boogieU)) (! (=> (and (= (type ?x459) intType) (= (type ?S186) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S186 ?x459)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_IOCTL_SYNC ?S186) (int_2_U (Extension__SERIAL_IOCTL_SYNC (U_2_int ?x459))))) boolTrue))) :pattern ((MapType0Select ?S186 ?x459) (x_S_Extension__SERIAL_IOCTL_SYNC ?S186)) )) (forall ((?x460 boogieU) (?S187 boogieU)) (! (=> (and (= (type ?x460) intType) (= (type ?S187) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S187 ?x460)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_IOCTL_SYNCInv ?S187) (int_2_U (Extension__SERIAL_IOCTL_SYNCInv (U_2_int ?x460))))) boolTrue))) :pattern ((MapType0Select ?S187 ?x460) (x_S_Extension__SERIAL_IOCTL_SYNCInv ?S187)) )) (forall ((?x461 Int)) (! (= (Extension__SERIAL_IOCTL_SYNC ?x461) (+ ?x461 0)) :pattern ((Extension__SERIAL_IOCTL_SYNC ?x461)) )) (forall ((?x462 Int)) (! (= (Extension__SERIAL_IOCTL_SYNCInv ?x462) (- ?x462 0)) :pattern ((Extension__SERIAL_IOCTL_SYNCInv ?x462)) )) (forall ((?x463 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x463 0 1) (Extension__SERIAL_IOCTL_SYNCInv ?x463)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x463 0 1)) )) (forall ((?x464 Int)) (! (= (MINUS_LEFT_PTR ?x464 1 0) (Extension__SERIAL_IOCTL_SYNCInv ?x464)) :pattern ((MINUS_LEFT_PTR ?x464 1 0)) )) (forall ((?x465 Int)) (! (= (Extension__SERIAL_RESIZE_PARAMSInv (Extension__SERIAL_RESIZE_PARAMS ?x465)) ?x465) :pattern ((Extension__SERIAL_RESIZE_PARAMSInv (Extension__SERIAL_RESIZE_PARAMS ?x465))) )) (forall ((?x466 Int)) (! (= (Extension__SERIAL_RESIZE_PARAMS (Extension__SERIAL_RESIZE_PARAMSInv ?x466)) ?x466) :pattern ((Extension__SERIAL_RESIZE_PARAMSInv ?x466)) )) (forall ((?x467 boogieU) (?S188 boogieU)) (! (=> (and (= (type ?x467) intType) (= (type ?S188) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_RESIZE_PARAMS ?S188) ?x467)) boolTrue) (= (U_2_bool (MapType0Select ?S188 (int_2_U (Extension__SERIAL_RESIZE_PARAMSInv (U_2_int ?x467))))) boolTrue))) :pattern ((MapType0Select (x_S_Extension__SERIAL_RESIZE_PARAMS ?S188) ?x467)) )) (forall ((?x468 boogieU) (?S189 boogieU)) (! (=> (and (= (type ?x468) intType) (= (type ?S189) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_RESIZE_PARAMSInv ?S189) ?x468)) boolTrue) (= (U_2_bool (MapType0Select ?S189 (int_2_U (Extension__SERIAL_RESIZE_PARAMS (U_2_int ?x468))))) boolTrue))) :pattern ((MapType0Select (x_S_Extension__SERIAL_RESIZE_PARAMSInv ?S189) ?x468)) )) (forall ((?x469 boogieU) (?S190 boogieU)) (! (=> (and (= (type ?x469) intType) (= (type ?S190) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S190 ?x469)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_RESIZE_PARAMS ?S190) (int_2_U (Extension__SERIAL_RESIZE_PARAMS (U_2_int ?x469))))) boolTrue))) :pattern ((MapType0Select ?S190 ?x469) (x_S_Extension__SERIAL_RESIZE_PARAMS ?S190)) )) (forall ((?x470 boogieU) (?S191 boogieU)) (! (=> (and (= (type ?x470) intType) (= (type ?S191) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S191 ?x470)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_RESIZE_PARAMSInv ?S191) (int_2_U (Extension__SERIAL_RESIZE_PARAMSInv (U_2_int ?x470))))) boolTrue))) :pattern ((MapType0Select ?S191 ?x470) (x_S_Extension__SERIAL_RESIZE_PARAMSInv ?S191)) )) (forall ((?x471 Int)) (! (= (Extension__SERIAL_RESIZE_PARAMS ?x471) (+ ?x471 0)) :pattern ((Extension__SERIAL_RESIZE_PARAMS ?x471)) )) (forall ((?x472 Int)) (! (= (Extension__SERIAL_RESIZE_PARAMSInv ?x472) (- ?x472 0)) :pattern ((Extension__SERIAL_RESIZE_PARAMSInv ?x472)) )) (forall ((?x473 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x473 0 1) (Extension__SERIAL_RESIZE_PARAMSInv ?x473)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x473 0 1)) )) (forall ((?x474 Int)) (! (= (MINUS_LEFT_PTR ?x474 1 0) (Extension__SERIAL_RESIZE_PARAMSInv ?x474)) :pattern ((MINUS_LEFT_PTR ?x474 1 0)) )) (forall ((?x475 Int)) (! (= (Extension__SERIAL_UPDATE_CHARInv (Extension__SERIAL_UPDATE_CHAR ?x475)) ?x475) :pattern ((Extension__SERIAL_UPDATE_CHARInv (Extension__SERIAL_UPDATE_CHAR ?x475))) )) (forall ((?x476 Int)) (! (= (Extension__SERIAL_UPDATE_CHAR (Extension__SERIAL_UPDATE_CHARInv ?x476)) ?x476) :pattern ((Extension__SERIAL_UPDATE_CHARInv ?x476)) )) (forall ((?x477 boogieU) (?S192 boogieU)) (! (=> (and (= (type ?x477) intType) (= (type ?S192) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_UPDATE_CHAR ?S192) ?x477)) boolTrue) (= (U_2_bool (MapType0Select ?S192 (int_2_U (Extension__SERIAL_UPDATE_CHARInv (U_2_int ?x477))))) boolTrue))) :pattern ((MapType0Select (x_S_Extension__SERIAL_UPDATE_CHAR ?S192) ?x477)) )) (forall ((?x478 boogieU) (?S193 boogieU)) (! (=> (and (= (type ?x478) intType) (= (type ?S193) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_UPDATE_CHARInv ?S193) ?x478)) boolTrue) (= (U_2_bool (MapType0Select ?S193 (int_2_U (Extension__SERIAL_UPDATE_CHAR (U_2_int ?x478))))) boolTrue))) :pattern ((MapType0Select (x_S_Extension__SERIAL_UPDATE_CHARInv ?S193) ?x478)) )) (forall ((?x479 boogieU) (?S194 boogieU)) (! (=> (and (= (type ?x479) intType) (= (type ?S194) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S194 ?x479)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_UPDATE_CHAR ?S194) (int_2_U (Extension__SERIAL_UPDATE_CHAR (U_2_int ?x479))))) boolTrue))) :pattern ((MapType0Select ?S194 ?x479) (x_S_Extension__SERIAL_UPDATE_CHAR ?S194)) )) (forall ((?x480 boogieU) (?S195 boogieU)) (! (=> (and (= (type ?x480) intType) (= (type ?S195) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S195 ?x480)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Extension__SERIAL_UPDATE_CHARInv ?S195) (int_2_U (Extension__SERIAL_UPDATE_CHARInv (U_2_int ?x480))))) boolTrue))) :pattern ((MapType0Select ?S195 ?x480) (x_S_Extension__SERIAL_UPDATE_CHARInv ?S195)) )) (forall ((?x481 Int)) (! (= (Extension__SERIAL_UPDATE_CHAR ?x481) (+ ?x481 0)) :pattern ((Extension__SERIAL_UPDATE_CHAR ?x481)) )) (forall ((?x482 Int)) (! (= (Extension__SERIAL_UPDATE_CHARInv ?x482) (- ?x482 0)) :pattern ((Extension__SERIAL_UPDATE_CHARInv ?x482)) )) (forall ((?x483 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x483 0 1) (Extension__SERIAL_UPDATE_CHARInv ?x483)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x483 0 1)) )) (forall ((?x484 Int)) (! (= (MINUS_LEFT_PTR ?x484 1 0) (Extension__SERIAL_UPDATE_CHARInv ?x484)) :pattern ((MINUS_LEFT_PTR ?x484 1 0)) )) (forall ((?x485 Int)) (! (= (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv (FirstReadableChar__SERIAL_DEVICE_EXTENSION ?x485)) ?x485) :pattern ((FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv (FirstReadableChar__SERIAL_DEVICE_EXTENSION ?x485))) )) (forall ((?x486 Int)) (! (= (FirstReadableChar__SERIAL_DEVICE_EXTENSION (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?x486)) ?x486) :pattern ((FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?x486)) )) (forall ((?x487 boogieU) (?S196 boogieU)) (! (=> (and (= (type ?x487) intType) (= (type ?S196) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION ?S196) ?x487)) boolTrue) (= (U_2_bool (MapType0Select ?S196 (int_2_U (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x487))))) boolTrue))) :pattern ((MapType0Select (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION ?S196) ?x487)) )) (forall ((?x488 boogieU) (?S197 boogieU)) (! (=> (and (= (type ?x488) intType) (= (type ?S197) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?S197) ?x488)) boolTrue) (= (U_2_bool (MapType0Select ?S197 (int_2_U (FirstReadableChar__SERIAL_DEVICE_EXTENSION (U_2_int ?x488))))) boolTrue))) :pattern ((MapType0Select (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?S197) ?x488)) )) (forall ((?x489 boogieU) (?S198 boogieU)) (! (=> (and (= (type ?x489) intType) (= (type ?S198) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S198 ?x489)) boolTrue) (= (U_2_bool (MapType0Select (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION ?S198) (int_2_U (FirstReadableChar__SERIAL_DEVICE_EXTENSION (U_2_int ?x489))))) boolTrue))) :pattern ((MapType0Select ?S198 ?x489) (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSION ?S198)) )) (forall ((?x490 boogieU) (?S199 boogieU)) (! (=> (and (= (type ?x490) intType) (= (type ?S199) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S199 ?x490)) boolTrue) (= (U_2_bool (MapType0Select (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?S199) (int_2_U (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x490))))) boolTrue))) :pattern ((MapType0Select ?S199 ?x490) (x_S_FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?S199)) )) (forall ((?x491 Int)) (! (= (FirstReadableChar__SERIAL_DEVICE_EXTENSION ?x491) (+ ?x491 244)) :pattern ((FirstReadableChar__SERIAL_DEVICE_EXTENSION ?x491)) )) (forall ((?x492 Int)) (! (= (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?x492) (- ?x492 244)) :pattern ((FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?x492)) )) (forall ((?x493 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x493 244 1) (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?x493)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x493 244 1)) )) (forall ((?x494 Int)) (! (= (MINUS_LEFT_PTR ?x494 1 244) (FirstReadableChar__SERIAL_DEVICE_EXTENSIONInv ?x494)) :pattern ((MINUS_LEFT_PTR ?x494 1 244)) )) (forall ((?x495 Int)) (! (= (FlagsLock__SERIAL_DEVICE_EXTENSIONInv (FlagsLock__SERIAL_DEVICE_EXTENSION ?x495)) ?x495) :pattern ((FlagsLock__SERIAL_DEVICE_EXTENSIONInv (FlagsLock__SERIAL_DEVICE_EXTENSION ?x495))) )) (forall ((?x496 Int)) (! (= (FlagsLock__SERIAL_DEVICE_EXTENSION (FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?x496)) ?x496) :pattern ((FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?x496)) )) (forall ((?x497 boogieU) (?S200 boogieU)) (! (=> (and (= (type ?x497) intType) (= (type ?S200) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_FlagsLock__SERIAL_DEVICE_EXTENSION ?S200) ?x497)) boolTrue) (= (U_2_bool (MapType0Select ?S200 (int_2_U (FlagsLock__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x497))))) boolTrue))) :pattern ((MapType0Select (x_S_FlagsLock__SERIAL_DEVICE_EXTENSION ?S200) ?x497)) )) (forall ((?x498 boogieU) (?S201 boogieU)) (! (=> (and (= (type ?x498) intType) (= (type ?S201) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?S201) ?x498)) boolTrue) (= (U_2_bool (MapType0Select ?S201 (int_2_U (FlagsLock__SERIAL_DEVICE_EXTENSION (U_2_int ?x498))))) boolTrue))) :pattern ((MapType0Select (x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?S201) ?x498)) )) (forall ((?x499 boogieU) (?S202 boogieU)) (! (=> (and (= (type ?x499) intType) (= (type ?S202) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S202 ?x499)) boolTrue) (= (U_2_bool (MapType0Select (x_S_FlagsLock__SERIAL_DEVICE_EXTENSION ?S202) (int_2_U (FlagsLock__SERIAL_DEVICE_EXTENSION (U_2_int ?x499))))) boolTrue))) :pattern ((MapType0Select ?S202 ?x499) (x_S_FlagsLock__SERIAL_DEVICE_EXTENSION ?S202)) )) (forall ((?x500 boogieU) (?S203 boogieU)) (! (=> (and (= (type ?x500) intType) (= (type ?S203) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S203 ?x500)) boolTrue) (= (U_2_bool (MapType0Select (x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?S203) (int_2_U (FlagsLock__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x500))))) boolTrue))) :pattern ((MapType0Select ?S203 ?x500) (x_S_FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?S203)) )) (forall ((?x501 Int)) (! (= (FlagsLock__SERIAL_DEVICE_EXTENSION ?x501) (+ ?x501 480)) :pattern ((FlagsLock__SERIAL_DEVICE_EXTENSION ?x501)) )) (forall ((?x502 Int)) (! (= (FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?x502) (- ?x502 480)) :pattern ((FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?x502)) )) (forall ((?x503 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x503 480 1) (FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?x503)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x503 480 1)) )) (forall ((?x504 Int)) (! (= (MINUS_LEFT_PTR ?x504 1 480) (FlagsLock__SERIAL_DEVICE_EXTENSIONInv ?x504)) :pattern ((MINUS_LEFT_PTR ?x504 1 480)) )) (forall ((?x505 Int)) (! (= (Flags__SERIAL_DEVICE_EXTENSIONInv (Flags__SERIAL_DEVICE_EXTENSION ?x505)) ?x505) :pattern ((Flags__SERIAL_DEVICE_EXTENSIONInv (Flags__SERIAL_DEVICE_EXTENSION ?x505))) )) (forall ((?x506 Int)) (! (= (Flags__SERIAL_DEVICE_EXTENSION (Flags__SERIAL_DEVICE_EXTENSIONInv ?x506)) ?x506) :pattern ((Flags__SERIAL_DEVICE_EXTENSIONInv ?x506)) )) (forall ((?x507 boogieU) (?S204 boogieU)) (! (=> (and (= (type ?x507) intType) (= (type ?S204) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flags__SERIAL_DEVICE_EXTENSION ?S204) ?x507)) boolTrue) (= (U_2_bool (MapType0Select ?S204 (int_2_U (Flags__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x507))))) boolTrue))) :pattern ((MapType0Select (x_S_Flags__SERIAL_DEVICE_EXTENSION ?S204) ?x507)) )) (forall ((?x508 boogieU) (?S205 boogieU)) (! (=> (and (= (type ?x508) intType) (= (type ?S205) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flags__SERIAL_DEVICE_EXTENSIONInv ?S205) ?x508)) boolTrue) (= (U_2_bool (MapType0Select ?S205 (int_2_U (Flags__SERIAL_DEVICE_EXTENSION (U_2_int ?x508))))) boolTrue))) :pattern ((MapType0Select (x_S_Flags__SERIAL_DEVICE_EXTENSIONInv ?S205) ?x508)) )) (forall ((?x509 boogieU) (?S206 boogieU)) (! (=> (and (= (type ?x509) intType) (= (type ?S206) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S206 ?x509)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flags__SERIAL_DEVICE_EXTENSION ?S206) (int_2_U (Flags__SERIAL_DEVICE_EXTENSION (U_2_int ?x509))))) boolTrue))) :pattern ((MapType0Select ?S206 ?x509) (x_S_Flags__SERIAL_DEVICE_EXTENSION ?S206)) )) (forall ((?x510 boogieU) (?S207 boogieU)) (! (=> (and (= (type ?x510) intType) (= (type ?S207) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S207 ?x510)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flags__SERIAL_DEVICE_EXTENSIONInv ?S207) (int_2_U (Flags__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x510))))) boolTrue))) :pattern ((MapType0Select ?S207 ?x510) (x_S_Flags__SERIAL_DEVICE_EXTENSIONInv ?S207)) )) (forall ((?x511 Int)) (! (= (Flags__SERIAL_DEVICE_EXTENSION ?x511) (+ ?x511 1276)) :pattern ((Flags__SERIAL_DEVICE_EXTENSION ?x511)) )) (forall ((?x512 Int)) (! (= (Flags__SERIAL_DEVICE_EXTENSIONInv ?x512) (- ?x512 1276)) :pattern ((Flags__SERIAL_DEVICE_EXTENSIONInv ?x512)) )) (forall ((?x513 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x513 1276 1) (Flags__SERIAL_DEVICE_EXTENSIONInv ?x513)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x513 1276 1)) )) (forall ((?x514 Int)) (! (= (MINUS_LEFT_PTR ?x514 1 1276) (Flags__SERIAL_DEVICE_EXTENSIONInv ?x514)) :pattern ((MINUS_LEFT_PTR ?x514 1 1276)) )) (forall ((?x515 Int)) (! (= (Flink__LIST_ENTRYInv (Flink__LIST_ENTRY ?x515)) ?x515) :pattern ((Flink__LIST_ENTRYInv (Flink__LIST_ENTRY ?x515))) )) (forall ((?x516 Int)) (! (= (Flink__LIST_ENTRY (Flink__LIST_ENTRYInv ?x516)) ?x516) :pattern ((Flink__LIST_ENTRYInv ?x516)) )) (forall ((?x517 boogieU) (?S208 boogieU)) (! (=> (and (= (type ?x517) intType) (= (type ?S208) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRY ?S208) ?x517)) boolTrue) (= (U_2_bool (MapType0Select ?S208 (int_2_U (Flink__LIST_ENTRYInv (U_2_int ?x517))))) boolTrue))) :pattern ((MapType0Select (x_S_Flink__LIST_ENTRY ?S208) ?x517)) )) (forall ((?x518 boogieU) (?S209 boogieU)) (! (=> (and (= (type ?x518) intType) (= (type ?S209) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRYInv ?S209) ?x518)) boolTrue) (= (U_2_bool (MapType0Select ?S209 (int_2_U (Flink__LIST_ENTRY (U_2_int ?x518))))) boolTrue))) :pattern ((MapType0Select (x_S_Flink__LIST_ENTRYInv ?S209) ?x518)) )) (forall ((?x519 boogieU) (?S210 boogieU)) (! (=> (and (= (type ?x519) intType) (= (type ?S210) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S210 ?x519)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRY ?S210) (int_2_U (Flink__LIST_ENTRY (U_2_int ?x519))))) boolTrue))) :pattern ((MapType0Select ?S210 ?x519) (x_S_Flink__LIST_ENTRY ?S210)) )) (forall ((?x520 boogieU) (?S211 boogieU)) (! (=> (and (= (type ?x520) intType) (= (type ?S211) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S211 ?x520)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRYInv ?S211) (int_2_U (Flink__LIST_ENTRYInv (U_2_int ?x520))))) boolTrue))) :pattern ((MapType0Select ?S211 ?x520) (x_S_Flink__LIST_ENTRYInv ?S211)) )) (forall ((?x521 Int)) (! (= (Flink__LIST_ENTRY ?x521) (+ ?x521 0)) :pattern ((Flink__LIST_ENTRY ?x521)) )) (forall ((?x522 Int)) (! (= (Flink__LIST_ENTRYInv ?x522) (- ?x522 0)) :pattern ((Flink__LIST_ENTRYInv ?x522)) )) (forall ((?x523 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x523 0 1) (Flink__LIST_ENTRYInv ?x523)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x523 0 1)) )) (forall ((?x524 Int)) (! (= (MINUS_LEFT_PTR ?x524 1 0) (Flink__LIST_ENTRYInv ?x524)) :pattern ((MINUS_LEFT_PTR ?x524 1 0)) )) (forall ((?x525 Int)) (! (= (FlowReplace__SERIAL_HANDFLOWInv (FlowReplace__SERIAL_HANDFLOW ?x525)) ?x525) :pattern ((FlowReplace__SERIAL_HANDFLOWInv (FlowReplace__SERIAL_HANDFLOW ?x525))) )) (forall ((?x526 Int)) (! (= (FlowReplace__SERIAL_HANDFLOW (FlowReplace__SERIAL_HANDFLOWInv ?x526)) ?x526) :pattern ((FlowReplace__SERIAL_HANDFLOWInv ?x526)) )) (forall ((?x527 boogieU) (?S212 boogieU)) (! (=> (and (= (type ?x527) intType) (= (type ?S212) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_FlowReplace__SERIAL_HANDFLOW ?S212) ?x527)) boolTrue) (= (U_2_bool (MapType0Select ?S212 (int_2_U (FlowReplace__SERIAL_HANDFLOWInv (U_2_int ?x527))))) boolTrue))) :pattern ((MapType0Select (x_S_FlowReplace__SERIAL_HANDFLOW ?S212) ?x527)) )) (forall ((?x528 boogieU) (?S213 boogieU)) (! (=> (and (= (type ?x528) intType) (= (type ?S213) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_FlowReplace__SERIAL_HANDFLOWInv ?S213) ?x528)) boolTrue) (= (U_2_bool (MapType0Select ?S213 (int_2_U (FlowReplace__SERIAL_HANDFLOW (U_2_int ?x528))))) boolTrue))) :pattern ((MapType0Select (x_S_FlowReplace__SERIAL_HANDFLOWInv ?S213) ?x528)) )) (forall ((?x529 boogieU) (?S214 boogieU)) (! (=> (and (= (type ?x529) intType) (= (type ?S214) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S214 ?x529)) boolTrue) (= (U_2_bool (MapType0Select (x_S_FlowReplace__SERIAL_HANDFLOW ?S214) (int_2_U (FlowReplace__SERIAL_HANDFLOW (U_2_int ?x529))))) boolTrue))) :pattern ((MapType0Select ?S214 ?x529) (x_S_FlowReplace__SERIAL_HANDFLOW ?S214)) )) (forall ((?x530 boogieU) (?S215 boogieU)) (! (=> (and (= (type ?x530) intType) (= (type ?S215) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S215 ?x530)) boolTrue) (= (U_2_bool (MapType0Select (x_S_FlowReplace__SERIAL_HANDFLOWInv ?S215) (int_2_U (FlowReplace__SERIAL_HANDFLOWInv (U_2_int ?x530))))) boolTrue))) :pattern ((MapType0Select ?S215 ?x530) (x_S_FlowReplace__SERIAL_HANDFLOWInv ?S215)) )) (forall ((?x531 Int)) (! (= (FlowReplace__SERIAL_HANDFLOW ?x531) (+ ?x531 4)) :pattern ((FlowReplace__SERIAL_HANDFLOW ?x531)) )) (forall ((?x532 Int)) (! (= (FlowReplace__SERIAL_HANDFLOWInv ?x532) (- ?x532 4)) :pattern ((FlowReplace__SERIAL_HANDFLOWInv ?x532)) )) (forall ((?x533 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x533 4 1) (FlowReplace__SERIAL_HANDFLOWInv ?x533)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x533 4 1)) )) (forall ((?x534 Int)) (! (= (MINUS_LEFT_PTR ?x534 1 4) (FlowReplace__SERIAL_HANDFLOWInv ?x534)) :pattern ((MINUS_LEFT_PTR ?x534 1 4)) )) (forall ((?x535 Int)) (! (= (HandFlow__SERIAL_DEVICE_EXTENSIONInv (HandFlow__SERIAL_DEVICE_EXTENSION ?x535)) ?x535) :pattern ((HandFlow__SERIAL_DEVICE_EXTENSIONInv (HandFlow__SERIAL_DEVICE_EXTENSION ?x535))) )) (forall ((?x536 Int)) (! (= (HandFlow__SERIAL_DEVICE_EXTENSION (HandFlow__SERIAL_DEVICE_EXTENSIONInv ?x536)) ?x536) :pattern ((HandFlow__SERIAL_DEVICE_EXTENSIONInv ?x536)) )) (forall ((?x537 boogieU) (?S216 boogieU)) (! (=> (and (= (type ?x537) intType) (= (type ?S216) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_HandFlow__SERIAL_DEVICE_EXTENSION ?S216) ?x537)) boolTrue) (= (U_2_bool (MapType0Select ?S216 (int_2_U (HandFlow__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x537))))) boolTrue))) :pattern ((MapType0Select (x_S_HandFlow__SERIAL_DEVICE_EXTENSION ?S216) ?x537)) )) (forall ((?x538 boogieU) (?S217 boogieU)) (! (=> (and (= (type ?x538) intType) (= (type ?S217) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv ?S217) ?x538)) boolTrue) (= (U_2_bool (MapType0Select ?S217 (int_2_U (HandFlow__SERIAL_DEVICE_EXTENSION (U_2_int ?x538))))) boolTrue))) :pattern ((MapType0Select (x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv ?S217) ?x538)) )) (forall ((?x539 boogieU) (?S218 boogieU)) (! (=> (and (= (type ?x539) intType) (= (type ?S218) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S218 ?x539)) boolTrue) (= (U_2_bool (MapType0Select (x_S_HandFlow__SERIAL_DEVICE_EXTENSION ?S218) (int_2_U (HandFlow__SERIAL_DEVICE_EXTENSION (U_2_int ?x539))))) boolTrue))) :pattern ((MapType0Select ?S218 ?x539) (x_S_HandFlow__SERIAL_DEVICE_EXTENSION ?S218)) )) (forall ((?x540 boogieU) (?S219 boogieU)) (! (=> (and (= (type ?x540) intType) (= (type ?S219) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S219 ?x540)) boolTrue) (= (U_2_bool (MapType0Select (x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv ?S219) (int_2_U (HandFlow__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x540))))) boolTrue))) :pattern ((MapType0Select ?S219 ?x540) (x_S_HandFlow__SERIAL_DEVICE_EXTENSIONInv ?S219)) )) (forall ((?x541 Int)) (! (= (HandFlow__SERIAL_DEVICE_EXTENSION ?x541) (+ ?x541 364)) :pattern ((HandFlow__SERIAL_DEVICE_EXTENSION ?x541)) )) (forall ((?x542 Int)) (! (= (HandFlow__SERIAL_DEVICE_EXTENSIONInv ?x542) (- ?x542 364)) :pattern ((HandFlow__SERIAL_DEVICE_EXTENSIONInv ?x542)) )) (forall ((?x543 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x543 364 1) (HandFlow__SERIAL_DEVICE_EXTENSIONInv ?x543)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x543 364 1)) )) (forall ((?x544 Int)) (! (= (MINUS_LEFT_PTR ?x544 1 364) (HandFlow__SERIAL_DEVICE_EXTENSIONInv ?x544)) :pattern ((MINUS_LEFT_PTR ?x544 1 364)) )) (forall ((?x545 Int)) (! (= (HighPart___unnamed_8_544b88f4Inv (HighPart___unnamed_8_544b88f4 ?x545)) ?x545) :pattern ((HighPart___unnamed_8_544b88f4Inv (HighPart___unnamed_8_544b88f4 ?x545))) )) (forall ((?x546 Int)) (! (= (HighPart___unnamed_8_544b88f4 (HighPart___unnamed_8_544b88f4Inv ?x546)) ?x546) :pattern ((HighPart___unnamed_8_544b88f4Inv ?x546)) )) (forall ((?x547 boogieU) (?S220 boogieU)) (! (=> (and (= (type ?x547) intType) (= (type ?S220) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_544b88f4 ?S220) ?x547)) boolTrue) (= (U_2_bool (MapType0Select ?S220 (int_2_U (HighPart___unnamed_8_544b88f4Inv (U_2_int ?x547))))) boolTrue))) :pattern ((MapType0Select (x_S_HighPart___unnamed_8_544b88f4 ?S220) ?x547)) )) (forall ((?x548 boogieU) (?S221 boogieU)) (! (=> (and (= (type ?x548) intType) (= (type ?S221) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_544b88f4Inv ?S221) ?x548)) boolTrue) (= (U_2_bool (MapType0Select ?S221 (int_2_U (HighPart___unnamed_8_544b88f4 (U_2_int ?x548))))) boolTrue))) :pattern ((MapType0Select (x_S_HighPart___unnamed_8_544b88f4Inv ?S221) ?x548)) )) (forall ((?x549 boogieU) (?S222 boogieU)) (! (=> (and (= (type ?x549) intType) (= (type ?S222) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S222 ?x549)) boolTrue) (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_544b88f4 ?S222) (int_2_U (HighPart___unnamed_8_544b88f4 (U_2_int ?x549))))) boolTrue))) :pattern ((MapType0Select ?S222 ?x549) (x_S_HighPart___unnamed_8_544b88f4 ?S222)) )) (forall ((?x550 boogieU) (?S223 boogieU)) (! (=> (and (= (type ?x550) intType) (= (type ?S223) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S223 ?x550)) boolTrue) (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_544b88f4Inv ?S223) (int_2_U (HighPart___unnamed_8_544b88f4Inv (U_2_int ?x550))))) boolTrue))) :pattern ((MapType0Select ?S223 ?x550) (x_S_HighPart___unnamed_8_544b88f4Inv ?S223)) )) (forall ((?x551 Int)) (! (= (HighPart___unnamed_8_544b88f4 ?x551) (+ ?x551 4)) :pattern ((HighPart___unnamed_8_544b88f4 ?x551)) )) (forall ((?x552 Int)) (! (= (HighPart___unnamed_8_544b88f4Inv ?x552) (- ?x552 4)) :pattern ((HighPart___unnamed_8_544b88f4Inv ?x552)) )) (forall ((?x553 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x553 4 1) (HighPart___unnamed_8_544b88f4Inv ?x553)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x553 4 1)) )) (forall ((?x554 Int)) (! (= (MINUS_LEFT_PTR ?x554 1 4) (HighPart___unnamed_8_544b88f4Inv ?x554)) :pattern ((MINUS_LEFT_PTR ?x554 1 4)) )) (forall ((?x555 Int)) (! (= (HighPart___unnamed_8_5d67d492Inv (HighPart___unnamed_8_5d67d492 ?x555)) ?x555) :pattern ((HighPart___unnamed_8_5d67d492Inv (HighPart___unnamed_8_5d67d492 ?x555))) )) (forall ((?x556 Int)) (! (= (HighPart___unnamed_8_5d67d492 (HighPart___unnamed_8_5d67d492Inv ?x556)) ?x556) :pattern ((HighPart___unnamed_8_5d67d492Inv ?x556)) )) (forall ((?x557 boogieU) (?S224 boogieU)) (! (=> (and (= (type ?x557) intType) (= (type ?S224) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_5d67d492 ?S224) ?x557)) boolTrue) (= (U_2_bool (MapType0Select ?S224 (int_2_U (HighPart___unnamed_8_5d67d492Inv (U_2_int ?x557))))) boolTrue))) :pattern ((MapType0Select (x_S_HighPart___unnamed_8_5d67d492 ?S224) ?x557)) )) (forall ((?x558 boogieU) (?S225 boogieU)) (! (=> (and (= (type ?x558) intType) (= (type ?S225) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_5d67d492Inv ?S225) ?x558)) boolTrue) (= (U_2_bool (MapType0Select ?S225 (int_2_U (HighPart___unnamed_8_5d67d492 (U_2_int ?x558))))) boolTrue))) :pattern ((MapType0Select (x_S_HighPart___unnamed_8_5d67d492Inv ?S225) ?x558)) )) (forall ((?x559 boogieU) (?S226 boogieU)) (! (=> (and (= (type ?x559) intType) (= (type ?S226) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S226 ?x559)) boolTrue) (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_5d67d492 ?S226) (int_2_U (HighPart___unnamed_8_5d67d492 (U_2_int ?x559))))) boolTrue))) :pattern ((MapType0Select ?S226 ?x559) (x_S_HighPart___unnamed_8_5d67d492 ?S226)) )) (forall ((?x560 boogieU) (?S227 boogieU)) (! (=> (and (= (type ?x560) intType) (= (type ?S227) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S227 ?x560)) boolTrue) (= (U_2_bool (MapType0Select (x_S_HighPart___unnamed_8_5d67d492Inv ?S227) (int_2_U (HighPart___unnamed_8_5d67d492Inv (U_2_int ?x560))))) boolTrue))) :pattern ((MapType0Select ?S227 ?x560) (x_S_HighPart___unnamed_8_5d67d492Inv ?S227)) )) (forall ((?x561 Int)) (! (= (HighPart___unnamed_8_5d67d492 ?x561) (+ ?x561 4)) :pattern ((HighPart___unnamed_8_5d67d492 ?x561)) )) (forall ((?x562 Int)) (! (= (HighPart___unnamed_8_5d67d492Inv ?x562) (- ?x562 4)) :pattern ((HighPart___unnamed_8_5d67d492Inv ?x562)) )) (forall ((?x563 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x563 4 1) (HighPart___unnamed_8_5d67d492Inv ?x563)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x563 4 1)) )) (forall ((?x564 Int)) (! (= (MINUS_LEFT_PTR ?x564 1 4) (HighPart___unnamed_8_5d67d492Inv ?x564)) :pattern ((MINUS_LEFT_PTR ?x564 1 4)) )) (forall ((?x565 Int)) (! (= (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?x565)) ?x565) :pattern ((ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?x565))) )) (forall ((?x566 Int)) (! (= (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x566)) ?x566) :pattern ((ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x566)) )) (forall ((?x567 boogieU) (?S228 boogieU)) (! (=> (and (= (type ?x567) intType) (= (type ?S228) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?S228) ?x567)) boolTrue) (= (U_2_bool (MapType0Select ?S228 (int_2_U (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x567))))) boolTrue))) :pattern ((MapType0Select (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?S228) ?x567)) )) (forall ((?x568 boogieU) (?S229 boogieU)) (! (=> (and (= (type ?x568) intType) (= (type ?S229) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S229) ?x568)) boolTrue) (= (U_2_bool (MapType0Select ?S229 (int_2_U (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x568))))) boolTrue))) :pattern ((MapType0Select (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S229) ?x568)) )) (forall ((?x569 boogieU) (?S230 boogieU)) (! (=> (and (= (type ?x569) intType) (= (type ?S230) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S230 ?x569)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?S230) (int_2_U (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x569))))) boolTrue))) :pattern ((MapType0Select ?S230 ?x569) (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?S230)) )) (forall ((?x570 boogieU) (?S231 boogieU)) (! (=> (and (= (type ?x570) intType) (= (type ?S231) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S231 ?x570)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S231) (int_2_U (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x570))))) boolTrue))) :pattern ((MapType0Select ?S231 ?x570) (x_S_ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S231)) )) (forall ((?x571 Int)) (! (= (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?x571) (+ ?x571 1088)) :pattern ((ImmediateTotalTimer__SERIAL_DEVICE_EXTENSION ?x571)) )) (forall ((?x572 Int)) (! (= (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x572) (- ?x572 1088)) :pattern ((ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x572)) )) (forall ((?x573 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x573 1088 1) (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x573)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x573 1088 1)) )) (forall ((?x574 Int)) (! (= (MINUS_LEFT_PTR ?x574 1 1088) (ImmediateTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x574)) :pattern ((MINUS_LEFT_PTR ?x574 1 1088)) )) (forall ((?x575 Int)) (! (= (InSize__SERIAL_QUEUE_SIZEInv (InSize__SERIAL_QUEUE_SIZE ?x575)) ?x575) :pattern ((InSize__SERIAL_QUEUE_SIZEInv (InSize__SERIAL_QUEUE_SIZE ?x575))) )) (forall ((?x576 Int)) (! (= (InSize__SERIAL_QUEUE_SIZE (InSize__SERIAL_QUEUE_SIZEInv ?x576)) ?x576) :pattern ((InSize__SERIAL_QUEUE_SIZEInv ?x576)) )) (forall ((?x577 boogieU) (?S232 boogieU)) (! (=> (and (= (type ?x577) intType) (= (type ?S232) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_InSize__SERIAL_QUEUE_SIZE ?S232) ?x577)) boolTrue) (= (U_2_bool (MapType0Select ?S232 (int_2_U (InSize__SERIAL_QUEUE_SIZEInv (U_2_int ?x577))))) boolTrue))) :pattern ((MapType0Select (x_S_InSize__SERIAL_QUEUE_SIZE ?S232) ?x577)) )) (forall ((?x578 boogieU) (?S233 boogieU)) (! (=> (and (= (type ?x578) intType) (= (type ?S233) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_InSize__SERIAL_QUEUE_SIZEInv ?S233) ?x578)) boolTrue) (= (U_2_bool (MapType0Select ?S233 (int_2_U (InSize__SERIAL_QUEUE_SIZE (U_2_int ?x578))))) boolTrue))) :pattern ((MapType0Select (x_S_InSize__SERIAL_QUEUE_SIZEInv ?S233) ?x578)) )) (forall ((?x579 boogieU) (?S234 boogieU)) (! (=> (and (= (type ?x579) intType) (= (type ?S234) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S234 ?x579)) boolTrue) (= (U_2_bool (MapType0Select (x_S_InSize__SERIAL_QUEUE_SIZE ?S234) (int_2_U (InSize__SERIAL_QUEUE_SIZE (U_2_int ?x579))))) boolTrue))) :pattern ((MapType0Select ?S234 ?x579) (x_S_InSize__SERIAL_QUEUE_SIZE ?S234)) )) (forall ((?x580 boogieU) (?S235 boogieU)) (! (=> (and (= (type ?x580) intType) (= (type ?S235) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S235 ?x580)) boolTrue) (= (U_2_bool (MapType0Select (x_S_InSize__SERIAL_QUEUE_SIZEInv ?S235) (int_2_U (InSize__SERIAL_QUEUE_SIZEInv (U_2_int ?x580))))) boolTrue))) :pattern ((MapType0Select ?S235 ?x580) (x_S_InSize__SERIAL_QUEUE_SIZEInv ?S235)) )) (forall ((?x581 Int)) (! (= (InSize__SERIAL_QUEUE_SIZE ?x581) (+ ?x581 0)) :pattern ((InSize__SERIAL_QUEUE_SIZE ?x581)) )) (forall ((?x582 Int)) (! (= (InSize__SERIAL_QUEUE_SIZEInv ?x582) (- ?x582 0)) :pattern ((InSize__SERIAL_QUEUE_SIZEInv ?x582)) )) (forall ((?x583 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x583 0 1) (InSize__SERIAL_QUEUE_SIZEInv ?x583)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x583 0 1)) )) (forall ((?x584 Int)) (! (= (MINUS_LEFT_PTR ?x584 1 0) (InSize__SERIAL_QUEUE_SIZEInv ?x584)) :pattern ((MINUS_LEFT_PTR ?x584 1 0)) )) (forall ((?x585 Int)) (! (= (Information__IO_STATUS_BLOCKInv (Information__IO_STATUS_BLOCK ?x585)) ?x585) :pattern ((Information__IO_STATUS_BLOCKInv (Information__IO_STATUS_BLOCK ?x585))) )) (forall ((?x586 Int)) (! (= (Information__IO_STATUS_BLOCK (Information__IO_STATUS_BLOCKInv ?x586)) ?x586) :pattern ((Information__IO_STATUS_BLOCKInv ?x586)) )) (forall ((?x587 boogieU) (?S236 boogieU)) (! (=> (and (= (type ?x587) intType) (= (type ?S236) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Information__IO_STATUS_BLOCK ?S236) ?x587)) boolTrue) (= (U_2_bool (MapType0Select ?S236 (int_2_U (Information__IO_STATUS_BLOCKInv (U_2_int ?x587))))) boolTrue))) :pattern ((MapType0Select (x_S_Information__IO_STATUS_BLOCK ?S236) ?x587)) )) (forall ((?x588 boogieU) (?S237 boogieU)) (! (=> (and (= (type ?x588) intType) (= (type ?S237) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Information__IO_STATUS_BLOCKInv ?S237) ?x588)) boolTrue) (= (U_2_bool (MapType0Select ?S237 (int_2_U (Information__IO_STATUS_BLOCK (U_2_int ?x588))))) boolTrue))) :pattern ((MapType0Select (x_S_Information__IO_STATUS_BLOCKInv ?S237) ?x588)) )) (forall ((?x589 boogieU) (?S238 boogieU)) (! (=> (and (= (type ?x589) intType) (= (type ?S238) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S238 ?x589)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Information__IO_STATUS_BLOCK ?S238) (int_2_U (Information__IO_STATUS_BLOCK (U_2_int ?x589))))) boolTrue))) :pattern ((MapType0Select ?S238 ?x589) (x_S_Information__IO_STATUS_BLOCK ?S238)) )) (forall ((?x590 boogieU) (?S239 boogieU)) (! (=> (and (= (type ?x590) intType) (= (type ?S239) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S239 ?x590)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Information__IO_STATUS_BLOCKInv ?S239) (int_2_U (Information__IO_STATUS_BLOCKInv (U_2_int ?x590))))) boolTrue))) :pattern ((MapType0Select ?S239 ?x590) (x_S_Information__IO_STATUS_BLOCKInv ?S239)) )) (forall ((?x591 Int)) (! (= (Information__IO_STATUS_BLOCK ?x591) (+ ?x591 4)) :pattern ((Information__IO_STATUS_BLOCK ?x591)) )) (forall ((?x592 Int)) (! (= (Information__IO_STATUS_BLOCKInv ?x592) (- ?x592 4)) :pattern ((Information__IO_STATUS_BLOCKInv ?x592)) )) (forall ((?x593 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x593 4 1) (Information__IO_STATUS_BLOCKInv ?x593)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x593 4 1)) )) (forall ((?x594 Int)) (! (= (MINUS_LEFT_PTR ?x594 1 4) (Information__IO_STATUS_BLOCKInv ?x594)) :pattern ((MINUS_LEFT_PTR ?x594 1 4)) )) (forall ((?x595 Int)) (! (= (InputBufferLength___unnamed_16_5bbbf1e7Inv (InputBufferLength___unnamed_16_5bbbf1e7 ?x595)) ?x595) :pattern ((InputBufferLength___unnamed_16_5bbbf1e7Inv (InputBufferLength___unnamed_16_5bbbf1e7 ?x595))) )) (forall ((?x596 Int)) (! (= (InputBufferLength___unnamed_16_5bbbf1e7 (InputBufferLength___unnamed_16_5bbbf1e7Inv ?x596)) ?x596) :pattern ((InputBufferLength___unnamed_16_5bbbf1e7Inv ?x596)) )) (forall ((?x597 boogieU) (?S240 boogieU)) (! (=> (and (= (type ?x597) intType) (= (type ?S240) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_InputBufferLength___unnamed_16_5bbbf1e7 ?S240) ?x597)) boolTrue) (= (U_2_bool (MapType0Select ?S240 (int_2_U (InputBufferLength___unnamed_16_5bbbf1e7Inv (U_2_int ?x597))))) boolTrue))) :pattern ((MapType0Select (x_S_InputBufferLength___unnamed_16_5bbbf1e7 ?S240) ?x597)) )) (forall ((?x598 boogieU) (?S241 boogieU)) (! (=> (and (= (type ?x598) intType) (= (type ?S241) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv ?S241) ?x598)) boolTrue) (= (U_2_bool (MapType0Select ?S241 (int_2_U (InputBufferLength___unnamed_16_5bbbf1e7 (U_2_int ?x598))))) boolTrue))) :pattern ((MapType0Select (x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv ?S241) ?x598)) )) (forall ((?x599 boogieU) (?S242 boogieU)) (! (=> (and (= (type ?x599) intType) (= (type ?S242) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S242 ?x599)) boolTrue) (= (U_2_bool (MapType0Select (x_S_InputBufferLength___unnamed_16_5bbbf1e7 ?S242) (int_2_U (InputBufferLength___unnamed_16_5bbbf1e7 (U_2_int ?x599))))) boolTrue))) :pattern ((MapType0Select ?S242 ?x599) (x_S_InputBufferLength___unnamed_16_5bbbf1e7 ?S242)) )) (forall ((?x600 boogieU) (?S243 boogieU)) (! (=> (and (= (type ?x600) intType) (= (type ?S243) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S243 ?x600)) boolTrue) (= (U_2_bool (MapType0Select (x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv ?S243) (int_2_U (InputBufferLength___unnamed_16_5bbbf1e7Inv (U_2_int ?x600))))) boolTrue))) :pattern ((MapType0Select ?S243 ?x600) (x_S_InputBufferLength___unnamed_16_5bbbf1e7Inv ?S243)) )) (forall ((?x601 Int)) (! (= (InputBufferLength___unnamed_16_5bbbf1e7 ?x601) (+ ?x601 4)) :pattern ((InputBufferLength___unnamed_16_5bbbf1e7 ?x601)) )) (forall ((?x602 Int)) (! (= (InputBufferLength___unnamed_16_5bbbf1e7Inv ?x602) (- ?x602 4)) :pattern ((InputBufferLength___unnamed_16_5bbbf1e7Inv ?x602)) )) (forall ((?x603 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x603 4 1) (InputBufferLength___unnamed_16_5bbbf1e7Inv ?x603)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x603 4 1)) )) (forall ((?x604 Int)) (! (= (MINUS_LEFT_PTR ?x604 1 4) (InputBufferLength___unnamed_16_5bbbf1e7Inv ?x604)) :pattern ((MINUS_LEFT_PTR ?x604 1 4)) )) (forall ((?x605 Int)) (! (= (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv (InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?x605)) ?x605) :pattern ((InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv (InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?x605))) )) (forall ((?x606 Int)) (! (= (InterruptReadBuffer__SERIAL_DEVICE_EXTENSION (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?x606)) ?x606) :pattern ((InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?x606)) )) (forall ((?x607 boogieU) (?S244 boogieU)) (! (=> (and (= (type ?x607) intType) (= (type ?S244) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?S244) ?x607)) boolTrue) (= (U_2_bool (MapType0Select ?S244 (int_2_U (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x607))))) boolTrue))) :pattern ((MapType0Select (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?S244) ?x607)) )) (forall ((?x608 boogieU) (?S245 boogieU)) (! (=> (and (= (type ?x608) intType) (= (type ?S245) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?S245) ?x608)) boolTrue) (= (U_2_bool (MapType0Select ?S245 (int_2_U (InterruptReadBuffer__SERIAL_DEVICE_EXTENSION (U_2_int ?x608))))) boolTrue))) :pattern ((MapType0Select (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?S245) ?x608)) )) (forall ((?x609 boogieU) (?S246 boogieU)) (! (=> (and (= (type ?x609) intType) (= (type ?S246) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S246 ?x609)) boolTrue) (= (U_2_bool (MapType0Select (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?S246) (int_2_U (InterruptReadBuffer__SERIAL_DEVICE_EXTENSION (U_2_int ?x609))))) boolTrue))) :pattern ((MapType0Select ?S246 ?x609) (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?S246)) )) (forall ((?x610 boogieU) (?S247 boogieU)) (! (=> (and (= (type ?x610) intType) (= (type ?S247) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S247 ?x610)) boolTrue) (= (U_2_bool (MapType0Select (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?S247) (int_2_U (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x610))))) boolTrue))) :pattern ((MapType0Select ?S247 ?x610) (x_S_InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?S247)) )) (forall ((?x611 Int)) (! (= (InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?x611) (+ ?x611 224)) :pattern ((InterruptReadBuffer__SERIAL_DEVICE_EXTENSION ?x611)) )) (forall ((?x612 Int)) (! (= (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?x612) (- ?x612 224)) :pattern ((InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?x612)) )) (forall ((?x613 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x613 224 1) (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?x613)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x613 224 1)) )) (forall ((?x614 Int)) (! (= (MINUS_LEFT_PTR ?x614 1 224) (InterruptReadBuffer__SERIAL_DEVICE_EXTENSIONInv ?x614)) :pattern ((MINUS_LEFT_PTR ?x614 1 224)) )) (forall ((?x615 Int)) (! (= (Interrupt__SERIAL_DEVICE_EXTENSIONInv (Interrupt__SERIAL_DEVICE_EXTENSION ?x615)) ?x615) :pattern ((Interrupt__SERIAL_DEVICE_EXTENSIONInv (Interrupt__SERIAL_DEVICE_EXTENSION ?x615))) )) (forall ((?x616 Int)) (! (= (Interrupt__SERIAL_DEVICE_EXTENSION (Interrupt__SERIAL_DEVICE_EXTENSIONInv ?x616)) ?x616) :pattern ((Interrupt__SERIAL_DEVICE_EXTENSIONInv ?x616)) )) (forall ((?x617 boogieU) (?S248 boogieU)) (! (=> (and (= (type ?x617) intType) (= (type ?S248) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Interrupt__SERIAL_DEVICE_EXTENSION ?S248) ?x617)) boolTrue) (= (U_2_bool (MapType0Select ?S248 (int_2_U (Interrupt__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x617))))) boolTrue))) :pattern ((MapType0Select (x_S_Interrupt__SERIAL_DEVICE_EXTENSION ?S248) ?x617)) )) (forall ((?x618 boogieU) (?S249 boogieU)) (! (=> (and (= (type ?x618) intType) (= (type ?S249) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv ?S249) ?x618)) boolTrue) (= (U_2_bool (MapType0Select ?S249 (int_2_U (Interrupt__SERIAL_DEVICE_EXTENSION (U_2_int ?x618))))) boolTrue))) :pattern ((MapType0Select (x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv ?S249) ?x618)) )) (forall ((?x619 boogieU) (?S250 boogieU)) (! (=> (and (= (type ?x619) intType) (= (type ?S250) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S250 ?x619)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Interrupt__SERIAL_DEVICE_EXTENSION ?S250) (int_2_U (Interrupt__SERIAL_DEVICE_EXTENSION (U_2_int ?x619))))) boolTrue))) :pattern ((MapType0Select ?S250 ?x619) (x_S_Interrupt__SERIAL_DEVICE_EXTENSION ?S250)) )) (forall ((?x620 boogieU) (?S251 boogieU)) (! (=> (and (= (type ?x620) intType) (= (type ?S251) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S251 ?x620)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv ?S251) (int_2_U (Interrupt__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x620))))) boolTrue))) :pattern ((MapType0Select ?S251 ?x620) (x_S_Interrupt__SERIAL_DEVICE_EXTENSIONInv ?S251)) )) (forall ((?x621 Int)) (! (= (Interrupt__SERIAL_DEVICE_EXTENSION ?x621) (+ ?x621 152)) :pattern ((Interrupt__SERIAL_DEVICE_EXTENSION ?x621)) )) (forall ((?x622 Int)) (! (= (Interrupt__SERIAL_DEVICE_EXTENSIONInv ?x622) (- ?x622 152)) :pattern ((Interrupt__SERIAL_DEVICE_EXTENSIONInv ?x622)) )) (forall ((?x623 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x623 152 1) (Interrupt__SERIAL_DEVICE_EXTENSIONInv ?x623)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x623 152 1)) )) (forall ((?x624 Int)) (! (= (MINUS_LEFT_PTR ?x624 1 152) (Interrupt__SERIAL_DEVICE_EXTENSIONInv ?x624)) :pattern ((MINUS_LEFT_PTR ?x624 1 152)) )) (forall ((?x625 Int)) (! (= (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x625)) ?x625) :pattern ((IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x625))) )) (forall ((?x626 Int)) (! (= (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x626)) ?x626) :pattern ((IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x626)) )) (forall ((?x627 boogieU) (?S252 boogieU)) (! (=> (and (= (type ?x627) intType) (= (type ?S252) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S252) ?x627)) boolTrue) (= (U_2_bool (MapType0Select ?S252 (int_2_U (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x627))))) boolTrue))) :pattern ((MapType0Select (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S252) ?x627)) )) (forall ((?x628 boogieU) (?S253 boogieU)) (! (=> (and (= (type ?x628) intType) (= (type ?S253) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S253) ?x628)) boolTrue) (= (U_2_bool (MapType0Select ?S253 (int_2_U (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x628))))) boolTrue))) :pattern ((MapType0Select (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S253) ?x628)) )) (forall ((?x629 boogieU) (?S254 boogieU)) (! (=> (and (= (type ?x629) intType) (= (type ?S254) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S254 ?x629)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S254) (int_2_U (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x629))))) boolTrue))) :pattern ((MapType0Select ?S254 ?x629) (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S254)) )) (forall ((?x630 boogieU) (?S255 boogieU)) (! (=> (and (= (type ?x630) intType) (= (type ?S255) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S255 ?x630)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S255) (int_2_U (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x630))))) boolTrue))) :pattern ((MapType0Select ?S255 ?x630) (x_S_IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S255)) )) (forall ((?x631 Int)) (! (= (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x631) (+ ?x631 580)) :pattern ((IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x631)) )) (forall ((?x632 Int)) (! (= (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x632) (- ?x632 580)) :pattern ((IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x632)) )) (forall ((?x633 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x633 580 1) (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x633)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x633 580 1)) )) (forall ((?x634 Int)) (! (= (MINUS_LEFT_PTR ?x634 1 580) (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x634)) :pattern ((MINUS_LEFT_PTR ?x634 1 580)) )) (forall ((?x635 Int)) (! (= (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv (IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?x635)) ?x635) :pattern ((IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv (IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?x635))) )) (forall ((?x636 Int)) (! (= (IntervalTimeToUse__SERIAL_DEVICE_EXTENSION (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?x636)) ?x636) :pattern ((IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?x636)) )) (forall ((?x637 boogieU) (?S256 boogieU)) (! (=> (and (= (type ?x637) intType) (= (type ?S256) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?S256) ?x637)) boolTrue) (= (U_2_bool (MapType0Select ?S256 (int_2_U (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x637))))) boolTrue))) :pattern ((MapType0Select (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?S256) ?x637)) )) (forall ((?x638 boogieU) (?S257 boogieU)) (! (=> (and (= (type ?x638) intType) (= (type ?S257) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?S257) ?x638)) boolTrue) (= (U_2_bool (MapType0Select ?S257 (int_2_U (IntervalTimeToUse__SERIAL_DEVICE_EXTENSION (U_2_int ?x638))))) boolTrue))) :pattern ((MapType0Select (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?S257) ?x638)) )) (forall ((?x639 boogieU) (?S258 boogieU)) (! (=> (and (= (type ?x639) intType) (= (type ?S258) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S258 ?x639)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?S258) (int_2_U (IntervalTimeToUse__SERIAL_DEVICE_EXTENSION (U_2_int ?x639))))) boolTrue))) :pattern ((MapType0Select ?S258 ?x639) (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?S258)) )) (forall ((?x640 boogieU) (?S259 boogieU)) (! (=> (and (= (type ?x640) intType) (= (type ?S259) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S259 ?x640)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?S259) (int_2_U (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x640))))) boolTrue))) :pattern ((MapType0Select ?S259 ?x640) (x_S_IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?S259)) )) (forall ((?x641 Int)) (! (= (IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?x641) (+ ?x641 128)) :pattern ((IntervalTimeToUse__SERIAL_DEVICE_EXTENSION ?x641)) )) (forall ((?x642 Int)) (! (= (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?x642) (- ?x642 128)) :pattern ((IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?x642)) )) (forall ((?x643 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x643 128 1) (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?x643)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x643 128 1)) )) (forall ((?x644 Int)) (! (= (MINUS_LEFT_PTR ?x644 1 128) (IntervalTimeToUse__SERIAL_DEVICE_EXTENSIONInv ?x644)) :pattern ((MINUS_LEFT_PTR ?x644 1 128)) )) (forall ((?x645 Int)) (! (= (IntervalTime__SERIAL_DEVICE_EXTENSIONInv (IntervalTime__SERIAL_DEVICE_EXTENSION ?x645)) ?x645) :pattern ((IntervalTime__SERIAL_DEVICE_EXTENSIONInv (IntervalTime__SERIAL_DEVICE_EXTENSION ?x645))) )) (forall ((?x646 Int)) (! (= (IntervalTime__SERIAL_DEVICE_EXTENSION (IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?x646)) ?x646) :pattern ((IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?x646)) )) (forall ((?x647 boogieU) (?S260 boogieU)) (! (=> (and (= (type ?x647) intType) (= (type ?S260) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IntervalTime__SERIAL_DEVICE_EXTENSION ?S260) ?x647)) boolTrue) (= (U_2_bool (MapType0Select ?S260 (int_2_U (IntervalTime__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x647))))) boolTrue))) :pattern ((MapType0Select (x_S_IntervalTime__SERIAL_DEVICE_EXTENSION ?S260) ?x647)) )) (forall ((?x648 boogieU) (?S261 boogieU)) (! (=> (and (= (type ?x648) intType) (= (type ?S261) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?S261) ?x648)) boolTrue) (= (U_2_bool (MapType0Select ?S261 (int_2_U (IntervalTime__SERIAL_DEVICE_EXTENSION (U_2_int ?x648))))) boolTrue))) :pattern ((MapType0Select (x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?S261) ?x648)) )) (forall ((?x649 boogieU) (?S262 boogieU)) (! (=> (and (= (type ?x649) intType) (= (type ?S262) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S262 ?x649)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IntervalTime__SERIAL_DEVICE_EXTENSION ?S262) (int_2_U (IntervalTime__SERIAL_DEVICE_EXTENSION (U_2_int ?x649))))) boolTrue))) :pattern ((MapType0Select ?S262 ?x649) (x_S_IntervalTime__SERIAL_DEVICE_EXTENSION ?S262)) )) (forall ((?x650 boogieU) (?S263 boogieU)) (! (=> (and (= (type ?x650) intType) (= (type ?S263) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S263 ?x650)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?S263) (int_2_U (IntervalTime__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x650))))) boolTrue))) :pattern ((MapType0Select ?S263 ?x650) (x_S_IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?S263)) )) (forall ((?x651 Int)) (! (= (IntervalTime__SERIAL_DEVICE_EXTENSION ?x651) (+ ?x651 56)) :pattern ((IntervalTime__SERIAL_DEVICE_EXTENSION ?x651)) )) (forall ((?x652 Int)) (! (= (IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?x652) (- ?x652 56)) :pattern ((IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?x652)) )) (forall ((?x653 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x653 56 1) (IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?x653)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x653 56 1)) )) (forall ((?x654 Int)) (! (= (MINUS_LEFT_PTR ?x654 1 56) (IntervalTime__SERIAL_DEVICE_EXTENSIONInv ?x654)) :pattern ((MINUS_LEFT_PTR ?x654 1 56)) )) (forall ((?x655 Int)) (! (= (IoControlCode___unnamed_16_5bbbf1e7Inv (IoControlCode___unnamed_16_5bbbf1e7 ?x655)) ?x655) :pattern ((IoControlCode___unnamed_16_5bbbf1e7Inv (IoControlCode___unnamed_16_5bbbf1e7 ?x655))) )) (forall ((?x656 Int)) (! (= (IoControlCode___unnamed_16_5bbbf1e7 (IoControlCode___unnamed_16_5bbbf1e7Inv ?x656)) ?x656) :pattern ((IoControlCode___unnamed_16_5bbbf1e7Inv ?x656)) )) (forall ((?x657 boogieU) (?S264 boogieU)) (! (=> (and (= (type ?x657) intType) (= (type ?S264) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?S264) ?x657)) boolTrue) (= (U_2_bool (MapType0Select ?S264 (int_2_U (IoControlCode___unnamed_16_5bbbf1e7Inv (U_2_int ?x657))))) boolTrue))) :pattern ((MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?S264) ?x657)) )) (forall ((?x658 boogieU) (?S265 boogieU)) (! (=> (and (= (type ?x658) intType) (= (type ?S265) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?S265) ?x658)) boolTrue) (= (U_2_bool (MapType0Select ?S265 (int_2_U (IoControlCode___unnamed_16_5bbbf1e7 (U_2_int ?x658))))) boolTrue))) :pattern ((MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?S265) ?x658)) )) (forall ((?x659 boogieU) (?S266 boogieU)) (! (=> (and (= (type ?x659) intType) (= (type ?S266) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S266 ?x659)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?S266) (int_2_U (IoControlCode___unnamed_16_5bbbf1e7 (U_2_int ?x659))))) boolTrue))) :pattern ((MapType0Select ?S266 ?x659) (x_S_IoControlCode___unnamed_16_5bbbf1e7 ?S266)) )) (forall ((?x660 boogieU) (?S267 boogieU)) (! (=> (and (= (type ?x660) intType) (= (type ?S267) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S267 ?x660)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?S267) (int_2_U (IoControlCode___unnamed_16_5bbbf1e7Inv (U_2_int ?x660))))) boolTrue))) :pattern ((MapType0Select ?S267 ?x660) (x_S_IoControlCode___unnamed_16_5bbbf1e7Inv ?S267)) )) (forall ((?x661 Int)) (! (= (IoControlCode___unnamed_16_5bbbf1e7 ?x661) (+ ?x661 8)) :pattern ((IoControlCode___unnamed_16_5bbbf1e7 ?x661)) )) (forall ((?x662 Int)) (! (= (IoControlCode___unnamed_16_5bbbf1e7Inv ?x662) (- ?x662 8)) :pattern ((IoControlCode___unnamed_16_5bbbf1e7Inv ?x662)) )) (forall ((?x663 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x663 8 1) (IoControlCode___unnamed_16_5bbbf1e7Inv ?x663)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x663 8 1)) )) (forall ((?x664 Int)) (! (= (MINUS_LEFT_PTR ?x664 1 8) (IoControlCode___unnamed_16_5bbbf1e7Inv ?x664)) :pattern ((MINUS_LEFT_PTR ?x664 1 8)) )) (forall ((?x665 Int)) (! (= (IoStatus__IRPInv (IoStatus__IRP ?x665)) ?x665) :pattern ((IoStatus__IRPInv (IoStatus__IRP ?x665))) )) (forall ((?x666 Int)) (! (= (IoStatus__IRP (IoStatus__IRPInv ?x666)) ?x666) :pattern ((IoStatus__IRPInv ?x666)) )) (forall ((?x667 boogieU) (?S268 boogieU)) (! (=> (and (= (type ?x667) intType) (= (type ?S268) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__IRP ?S268) ?x667)) boolTrue) (= (U_2_bool (MapType0Select ?S268 (int_2_U (IoStatus__IRPInv (U_2_int ?x667))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__IRP ?S268) ?x667)) )) (forall ((?x668 boogieU) (?S269 boogieU)) (! (=> (and (= (type ?x668) intType) (= (type ?S269) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__IRPInv ?S269) ?x668)) boolTrue) (= (U_2_bool (MapType0Select ?S269 (int_2_U (IoStatus__IRP (U_2_int ?x668))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__IRPInv ?S269) ?x668)) )) (forall ((?x669 boogieU) (?S270 boogieU)) (! (=> (and (= (type ?x669) intType) (= (type ?S270) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S270 ?x669)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__IRP ?S270) (int_2_U (IoStatus__IRP (U_2_int ?x669))))) boolTrue))) :pattern ((MapType0Select ?S270 ?x669) (x_S_IoStatus__IRP ?S270)) )) (forall ((?x670 boogieU) (?S271 boogieU)) (! (=> (and (= (type ?x670) intType) (= (type ?S271) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S271 ?x670)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__IRPInv ?S271) (int_2_U (IoStatus__IRPInv (U_2_int ?x670))))) boolTrue))) :pattern ((MapType0Select ?S271 ?x670) (x_S_IoStatus__IRPInv ?S271)) )) (forall ((?x671 Int)) (! (= (IoStatus__IRP ?x671) (+ ?x671 24)) :pattern ((IoStatus__IRP ?x671)) )) (forall ((?x672 Int)) (! (= (IoStatus__IRPInv ?x672) (- ?x672 24)) :pattern ((IoStatus__IRPInv ?x672)) )) (forall ((?x673 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x673 24 1) (IoStatus__IRPInv ?x673)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x673 24 1)) )) (forall ((?x674 Int)) (! (= (MINUS_LEFT_PTR ?x674 1 24) (IoStatus__IRPInv ?x674)) :pattern ((MINUS_LEFT_PTR ?x674 1 24)) )) (forall ((?x675 Int)) (! (= (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv (IsrWaitMask__SERIAL_DEVICE_EXTENSION ?x675)) ?x675) :pattern ((IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv (IsrWaitMask__SERIAL_DEVICE_EXTENSION ?x675))) )) (forall ((?x676 Int)) (! (= (IsrWaitMask__SERIAL_DEVICE_EXTENSION (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?x676)) ?x676) :pattern ((IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?x676)) )) (forall ((?x677 boogieU) (?S272 boogieU)) (! (=> (and (= (type ?x677) intType) (= (type ?S272) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION ?S272) ?x677)) boolTrue) (= (U_2_bool (MapType0Select ?S272 (int_2_U (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x677))))) boolTrue))) :pattern ((MapType0Select (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION ?S272) ?x677)) )) (forall ((?x678 boogieU) (?S273 boogieU)) (! (=> (and (= (type ?x678) intType) (= (type ?S273) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?S273) ?x678)) boolTrue) (= (U_2_bool (MapType0Select ?S273 (int_2_U (IsrWaitMask__SERIAL_DEVICE_EXTENSION (U_2_int ?x678))))) boolTrue))) :pattern ((MapType0Select (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?S273) ?x678)) )) (forall ((?x679 boogieU) (?S274 boogieU)) (! (=> (and (= (type ?x679) intType) (= (type ?S274) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S274 ?x679)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION ?S274) (int_2_U (IsrWaitMask__SERIAL_DEVICE_EXTENSION (U_2_int ?x679))))) boolTrue))) :pattern ((MapType0Select ?S274 ?x679) (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSION ?S274)) )) (forall ((?x680 boogieU) (?S275 boogieU)) (! (=> (and (= (type ?x680) intType) (= (type ?S275) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S275 ?x680)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?S275) (int_2_U (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x680))))) boolTrue))) :pattern ((MapType0Select ?S275 ?x680) (x_S_IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?S275)) )) (forall ((?x681 Int)) (! (= (IsrWaitMask__SERIAL_DEVICE_EXTENSION ?x681) (+ ?x681 264)) :pattern ((IsrWaitMask__SERIAL_DEVICE_EXTENSION ?x681)) )) (forall ((?x682 Int)) (! (= (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?x682) (- ?x682 264)) :pattern ((IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?x682)) )) (forall ((?x683 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x683 264 1) (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?x683)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x683 264 1)) )) (forall ((?x684 Int)) (! (= (MINUS_LEFT_PTR ?x684 1 264) (IsrWaitMask__SERIAL_DEVICE_EXTENSIONInv ?x684)) :pattern ((MINUS_LEFT_PTR ?x684 1 264)) )) (forall ((?x685 Int)) (! (= (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv (LastCharSlot__SERIAL_DEVICE_EXTENSION ?x685)) ?x685) :pattern ((LastCharSlot__SERIAL_DEVICE_EXTENSIONInv (LastCharSlot__SERIAL_DEVICE_EXTENSION ?x685))) )) (forall ((?x686 Int)) (! (= (LastCharSlot__SERIAL_DEVICE_EXTENSION (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?x686)) ?x686) :pattern ((LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?x686)) )) (forall ((?x687 boogieU) (?S276 boogieU)) (! (=> (and (= (type ?x687) intType) (= (type ?S276) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION ?S276) ?x687)) boolTrue) (= (U_2_bool (MapType0Select ?S276 (int_2_U (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x687))))) boolTrue))) :pattern ((MapType0Select (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION ?S276) ?x687)) )) (forall ((?x688 boogieU) (?S277 boogieU)) (! (=> (and (= (type ?x688) intType) (= (type ?S277) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?S277) ?x688)) boolTrue) (= (U_2_bool (MapType0Select ?S277 (int_2_U (LastCharSlot__SERIAL_DEVICE_EXTENSION (U_2_int ?x688))))) boolTrue))) :pattern ((MapType0Select (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?S277) ?x688)) )) (forall ((?x689 boogieU) (?S278 boogieU)) (! (=> (and (= (type ?x689) intType) (= (type ?S278) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S278 ?x689)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION ?S278) (int_2_U (LastCharSlot__SERIAL_DEVICE_EXTENSION (U_2_int ?x689))))) boolTrue))) :pattern ((MapType0Select ?S278 ?x689) (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSION ?S278)) )) (forall ((?x690 boogieU) (?S279 boogieU)) (! (=> (and (= (type ?x690) intType) (= (type ?S279) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S279 ?x690)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?S279) (int_2_U (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x690))))) boolTrue))) :pattern ((MapType0Select ?S279 ?x690) (x_S_LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?S279)) )) (forall ((?x691 Int)) (! (= (LastCharSlot__SERIAL_DEVICE_EXTENSION ?x691) (+ ?x691 240)) :pattern ((LastCharSlot__SERIAL_DEVICE_EXTENSION ?x691)) )) (forall ((?x692 Int)) (! (= (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?x692) (- ?x692 240)) :pattern ((LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?x692)) )) (forall ((?x693 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x693 240 1) (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?x693)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x693 240 1)) )) (forall ((?x694 Int)) (! (= (MINUS_LEFT_PTR ?x694 1 240) (LastCharSlot__SERIAL_DEVICE_EXTENSIONInv ?x694)) :pattern ((MINUS_LEFT_PTR ?x694 1 240)) )) (forall ((?x695 Int)) (! (= (LastReadTime__SERIAL_DEVICE_EXTENSIONInv (LastReadTime__SERIAL_DEVICE_EXTENSION ?x695)) ?x695) :pattern ((LastReadTime__SERIAL_DEVICE_EXTENSIONInv (LastReadTime__SERIAL_DEVICE_EXTENSION ?x695))) )) (forall ((?x696 Int)) (! (= (LastReadTime__SERIAL_DEVICE_EXTENSION (LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?x696)) ?x696) :pattern ((LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?x696)) )) (forall ((?x697 boogieU) (?S280 boogieU)) (! (=> (and (= (type ?x697) intType) (= (type ?S280) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LastReadTime__SERIAL_DEVICE_EXTENSION ?S280) ?x697)) boolTrue) (= (U_2_bool (MapType0Select ?S280 (int_2_U (LastReadTime__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x697))))) boolTrue))) :pattern ((MapType0Select (x_S_LastReadTime__SERIAL_DEVICE_EXTENSION ?S280) ?x697)) )) (forall ((?x698 boogieU) (?S281 boogieU)) (! (=> (and (= (type ?x698) intType) (= (type ?S281) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?S281) ?x698)) boolTrue) (= (U_2_bool (MapType0Select ?S281 (int_2_U (LastReadTime__SERIAL_DEVICE_EXTENSION (U_2_int ?x698))))) boolTrue))) :pattern ((MapType0Select (x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?S281) ?x698)) )) (forall ((?x699 boogieU) (?S282 boogieU)) (! (=> (and (= (type ?x699) intType) (= (type ?S282) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S282 ?x699)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LastReadTime__SERIAL_DEVICE_EXTENSION ?S282) (int_2_U (LastReadTime__SERIAL_DEVICE_EXTENSION (U_2_int ?x699))))) boolTrue))) :pattern ((MapType0Select ?S282 ?x699) (x_S_LastReadTime__SERIAL_DEVICE_EXTENSION ?S282)) )) (forall ((?x700 boogieU) (?S283 boogieU)) (! (=> (and (= (type ?x700) intType) (= (type ?S283) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S283 ?x700)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?S283) (int_2_U (LastReadTime__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x700))))) boolTrue))) :pattern ((MapType0Select ?S283 ?x700) (x_S_LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?S283)) )) (forall ((?x701 Int)) (! (= (LastReadTime__SERIAL_DEVICE_EXTENSION ?x701) (+ ?x701 88)) :pattern ((LastReadTime__SERIAL_DEVICE_EXTENSION ?x701)) )) (forall ((?x702 Int)) (! (= (LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?x702) (- ?x702 88)) :pattern ((LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?x702)) )) (forall ((?x703 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x703 88 1) (LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?x703)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x703 88 1)) )) (forall ((?x704 Int)) (! (= (MINUS_LEFT_PTR ?x704 1 88) (LastReadTime__SERIAL_DEVICE_EXTENSIONInv ?x704)) :pattern ((MINUS_LEFT_PTR ?x704 1 88)) )) (forall ((?x705 Int)) (! (= (Length___unnamed_16_3a584a7cInv (Length___unnamed_16_3a584a7c ?x705)) ?x705) :pattern ((Length___unnamed_16_3a584a7cInv (Length___unnamed_16_3a584a7c ?x705))) )) (forall ((?x706 Int)) (! (= (Length___unnamed_16_3a584a7c (Length___unnamed_16_3a584a7cInv ?x706)) ?x706) :pattern ((Length___unnamed_16_3a584a7cInv ?x706)) )) (forall ((?x707 boogieU) (?S284 boogieU)) (! (=> (and (= (type ?x707) intType) (= (type ?S284) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_3a584a7c ?S284) ?x707)) boolTrue) (= (U_2_bool (MapType0Select ?S284 (int_2_U (Length___unnamed_16_3a584a7cInv (U_2_int ?x707))))) boolTrue))) :pattern ((MapType0Select (x_S_Length___unnamed_16_3a584a7c ?S284) ?x707)) )) (forall ((?x708 boogieU) (?S285 boogieU)) (! (=> (and (= (type ?x708) intType) (= (type ?S285) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_3a584a7cInv ?S285) ?x708)) boolTrue) (= (U_2_bool (MapType0Select ?S285 (int_2_U (Length___unnamed_16_3a584a7c (U_2_int ?x708))))) boolTrue))) :pattern ((MapType0Select (x_S_Length___unnamed_16_3a584a7cInv ?S285) ?x708)) )) (forall ((?x709 boogieU) (?S286 boogieU)) (! (=> (and (= (type ?x709) intType) (= (type ?S286) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S286 ?x709)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_3a584a7c ?S286) (int_2_U (Length___unnamed_16_3a584a7c (U_2_int ?x709))))) boolTrue))) :pattern ((MapType0Select ?S286 ?x709) (x_S_Length___unnamed_16_3a584a7c ?S286)) )) (forall ((?x710 boogieU) (?S287 boogieU)) (! (=> (and (= (type ?x710) intType) (= (type ?S287) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S287 ?x710)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_3a584a7cInv ?S287) (int_2_U (Length___unnamed_16_3a584a7cInv (U_2_int ?x710))))) boolTrue))) :pattern ((MapType0Select ?S287 ?x710) (x_S_Length___unnamed_16_3a584a7cInv ?S287)) )) (forall ((?x711 Int)) (! (= (Length___unnamed_16_3a584a7c ?x711) (+ ?x711 0)) :pattern ((Length___unnamed_16_3a584a7c ?x711)) )) (forall ((?x712 Int)) (! (= (Length___unnamed_16_3a584a7cInv ?x712) (- ?x712 0)) :pattern ((Length___unnamed_16_3a584a7cInv ?x712)) )) (forall ((?x713 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x713 0 1) (Length___unnamed_16_3a584a7cInv ?x713)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x713 0 1)) )) (forall ((?x714 Int)) (! (= (MINUS_LEFT_PTR ?x714 1 0) (Length___unnamed_16_3a584a7cInv ?x714)) :pattern ((MINUS_LEFT_PTR ?x714 1 0)) )) (forall ((?x715 Int)) (! (= (Length___unnamed_16_94922103Inv (Length___unnamed_16_94922103 ?x715)) ?x715) :pattern ((Length___unnamed_16_94922103Inv (Length___unnamed_16_94922103 ?x715))) )) (forall ((?x716 Int)) (! (= (Length___unnamed_16_94922103 (Length___unnamed_16_94922103Inv ?x716)) ?x716) :pattern ((Length___unnamed_16_94922103Inv ?x716)) )) (forall ((?x717 boogieU) (?S288 boogieU)) (! (=> (and (= (type ?x717) intType) (= (type ?S288) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_94922103 ?S288) ?x717)) boolTrue) (= (U_2_bool (MapType0Select ?S288 (int_2_U (Length___unnamed_16_94922103Inv (U_2_int ?x717))))) boolTrue))) :pattern ((MapType0Select (x_S_Length___unnamed_16_94922103 ?S288) ?x717)) )) (forall ((?x718 boogieU) (?S289 boogieU)) (! (=> (and (= (type ?x718) intType) (= (type ?S289) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_94922103Inv ?S289) ?x718)) boolTrue) (= (U_2_bool (MapType0Select ?S289 (int_2_U (Length___unnamed_16_94922103 (U_2_int ?x718))))) boolTrue))) :pattern ((MapType0Select (x_S_Length___unnamed_16_94922103Inv ?S289) ?x718)) )) (forall ((?x719 boogieU) (?S290 boogieU)) (! (=> (and (= (type ?x719) intType) (= (type ?S290) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S290 ?x719)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_94922103 ?S290) (int_2_U (Length___unnamed_16_94922103 (U_2_int ?x719))))) boolTrue))) :pattern ((MapType0Select ?S290 ?x719) (x_S_Length___unnamed_16_94922103 ?S290)) )) (forall ((?x720 boogieU) (?S291 boogieU)) (! (=> (and (= (type ?x720) intType) (= (type ?S291) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S291 ?x720)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length___unnamed_16_94922103Inv ?S291) (int_2_U (Length___unnamed_16_94922103Inv (U_2_int ?x720))))) boolTrue))) :pattern ((MapType0Select ?S291 ?x720) (x_S_Length___unnamed_16_94922103Inv ?S291)) )) (forall ((?x721 Int)) (! (= (Length___unnamed_16_94922103 ?x721) (+ ?x721 0)) :pattern ((Length___unnamed_16_94922103 ?x721)) )) (forall ((?x722 Int)) (! (= (Length___unnamed_16_94922103Inv ?x722) (- ?x722 0)) :pattern ((Length___unnamed_16_94922103Inv ?x722)) )) (forall ((?x723 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x723 0 1) (Length___unnamed_16_94922103Inv ?x723)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x723 0 1)) )) (forall ((?x724 Int)) (! (= (MINUS_LEFT_PTR ?x724 1 0) (Length___unnamed_16_94922103Inv ?x724)) :pattern ((MINUS_LEFT_PTR ?x724 1 0)) )) (forall ((?x725 Int)) (! (= (LineControl__SERIAL_DEVICE_EXTENSIONInv (LineControl__SERIAL_DEVICE_EXTENSION ?x725)) ?x725) :pattern ((LineControl__SERIAL_DEVICE_EXTENSIONInv (LineControl__SERIAL_DEVICE_EXTENSION ?x725))) )) (forall ((?x726 Int)) (! (= (LineControl__SERIAL_DEVICE_EXTENSION (LineControl__SERIAL_DEVICE_EXTENSIONInv ?x726)) ?x726) :pattern ((LineControl__SERIAL_DEVICE_EXTENSIONInv ?x726)) )) (forall ((?x727 boogieU) (?S292 boogieU)) (! (=> (and (= (type ?x727) intType) (= (type ?S292) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LineControl__SERIAL_DEVICE_EXTENSION ?S292) ?x727)) boolTrue) (= (U_2_bool (MapType0Select ?S292 (int_2_U (LineControl__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x727))))) boolTrue))) :pattern ((MapType0Select (x_S_LineControl__SERIAL_DEVICE_EXTENSION ?S292) ?x727)) )) (forall ((?x728 boogieU) (?S293 boogieU)) (! (=> (and (= (type ?x728) intType) (= (type ?S293) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv ?S293) ?x728)) boolTrue) (= (U_2_bool (MapType0Select ?S293 (int_2_U (LineControl__SERIAL_DEVICE_EXTENSION (U_2_int ?x728))))) boolTrue))) :pattern ((MapType0Select (x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv ?S293) ?x728)) )) (forall ((?x729 boogieU) (?S294 boogieU)) (! (=> (and (= (type ?x729) intType) (= (type ?S294) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S294 ?x729)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LineControl__SERIAL_DEVICE_EXTENSION ?S294) (int_2_U (LineControl__SERIAL_DEVICE_EXTENSION (U_2_int ?x729))))) boolTrue))) :pattern ((MapType0Select ?S294 ?x729) (x_S_LineControl__SERIAL_DEVICE_EXTENSION ?S294)) )) (forall ((?x730 boogieU) (?S295 boogieU)) (! (=> (and (= (type ?x730) intType) (= (type ?S295) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S295 ?x730)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv ?S295) (int_2_U (LineControl__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x730))))) boolTrue))) :pattern ((MapType0Select ?S295 ?x730) (x_S_LineControl__SERIAL_DEVICE_EXTENSIONInv ?S295)) )) (forall ((?x731 Int)) (! (= (LineControl__SERIAL_DEVICE_EXTENSION ?x731) (+ ?x731 404)) :pattern ((LineControl__SERIAL_DEVICE_EXTENSION ?x731)) )) (forall ((?x732 Int)) (! (= (LineControl__SERIAL_DEVICE_EXTENSIONInv ?x732) (- ?x732 404)) :pattern ((LineControl__SERIAL_DEVICE_EXTENSIONInv ?x732)) )) (forall ((?x733 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x733 404 1) (LineControl__SERIAL_DEVICE_EXTENSIONInv ?x733)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x733 404 1)) )) (forall ((?x734 Int)) (! (= (MINUS_LEFT_PTR ?x734 1 404) (LineControl__SERIAL_DEVICE_EXTENSIONInv ?x734)) :pattern ((MINUS_LEFT_PTR ?x734 1 404)) )) (forall ((?x735 Int)) (! (= (ListEntry___unnamed_12_5cc47a19Inv (ListEntry___unnamed_12_5cc47a19 ?x735)) ?x735) :pattern ((ListEntry___unnamed_12_5cc47a19Inv (ListEntry___unnamed_12_5cc47a19 ?x735))) )) (forall ((?x736 Int)) (! (= (ListEntry___unnamed_12_5cc47a19 (ListEntry___unnamed_12_5cc47a19Inv ?x736)) ?x736) :pattern ((ListEntry___unnamed_12_5cc47a19Inv ?x736)) )) (forall ((?x737 boogieU) (?S296 boogieU)) (! (=> (and (= (type ?x737) intType) (= (type ?S296) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ListEntry___unnamed_12_5cc47a19 ?S296) ?x737)) boolTrue) (= (U_2_bool (MapType0Select ?S296 (int_2_U (ListEntry___unnamed_12_5cc47a19Inv (U_2_int ?x737))))) boolTrue))) :pattern ((MapType0Select (x_S_ListEntry___unnamed_12_5cc47a19 ?S296) ?x737)) )) (forall ((?x738 boogieU) (?S297 boogieU)) (! (=> (and (= (type ?x738) intType) (= (type ?S297) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ListEntry___unnamed_12_5cc47a19Inv ?S297) ?x738)) boolTrue) (= (U_2_bool (MapType0Select ?S297 (int_2_U (ListEntry___unnamed_12_5cc47a19 (U_2_int ?x738))))) boolTrue))) :pattern ((MapType0Select (x_S_ListEntry___unnamed_12_5cc47a19Inv ?S297) ?x738)) )) (forall ((?x739 boogieU) (?S298 boogieU)) (! (=> (and (= (type ?x739) intType) (= (type ?S298) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S298 ?x739)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ListEntry___unnamed_12_5cc47a19 ?S298) (int_2_U (ListEntry___unnamed_12_5cc47a19 (U_2_int ?x739))))) boolTrue))) :pattern ((MapType0Select ?S298 ?x739) (x_S_ListEntry___unnamed_12_5cc47a19 ?S298)) )) (forall ((?x740 boogieU) (?S299 boogieU)) (! (=> (and (= (type ?x740) intType) (= (type ?S299) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S299 ?x740)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ListEntry___unnamed_12_5cc47a19Inv ?S299) (int_2_U (ListEntry___unnamed_12_5cc47a19Inv (U_2_int ?x740))))) boolTrue))) :pattern ((MapType0Select ?S299 ?x740) (x_S_ListEntry___unnamed_12_5cc47a19Inv ?S299)) )) (forall ((?x741 Int)) (! (= (ListEntry___unnamed_12_5cc47a19 ?x741) (+ ?x741 0)) :pattern ((ListEntry___unnamed_12_5cc47a19 ?x741)) )) (forall ((?x742 Int)) (! (= (ListEntry___unnamed_12_5cc47a19Inv ?x742) (- ?x742 0)) :pattern ((ListEntry___unnamed_12_5cc47a19Inv ?x742)) )) (forall ((?x743 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x743 0 1) (ListEntry___unnamed_12_5cc47a19Inv ?x743)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x743 0 1)) )) (forall ((?x744 Int)) (! (= (MINUS_LEFT_PTR ?x744 1 0) (ListEntry___unnamed_12_5cc47a19Inv ?x744)) :pattern ((MINUS_LEFT_PTR ?x744 1 0)) )) (forall ((?x745 Int)) (! (= (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?x745)) ?x745) :pattern ((LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?x745))) )) (forall ((?x746 Int)) (! (= (LongIntervalAmount__SERIAL_DEVICE_EXTENSION (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x746)) ?x746) :pattern ((LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x746)) )) (forall ((?x747 boogieU) (?S300 boogieU)) (! (=> (and (= (type ?x747) intType) (= (type ?S300) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?S300) ?x747)) boolTrue) (= (U_2_bool (MapType0Select ?S300 (int_2_U (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x747))))) boolTrue))) :pattern ((MapType0Select (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?S300) ?x747)) )) (forall ((?x748 boogieU) (?S301 boogieU)) (! (=> (and (= (type ?x748) intType) (= (type ?S301) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S301) ?x748)) boolTrue) (= (U_2_bool (MapType0Select ?S301 (int_2_U (LongIntervalAmount__SERIAL_DEVICE_EXTENSION (U_2_int ?x748))))) boolTrue))) :pattern ((MapType0Select (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S301) ?x748)) )) (forall ((?x749 boogieU) (?S302 boogieU)) (! (=> (and (= (type ?x749) intType) (= (type ?S302) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S302 ?x749)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?S302) (int_2_U (LongIntervalAmount__SERIAL_DEVICE_EXTENSION (U_2_int ?x749))))) boolTrue))) :pattern ((MapType0Select ?S302 ?x749) (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?S302)) )) (forall ((?x750 boogieU) (?S303 boogieU)) (! (=> (and (= (type ?x750) intType) (= (type ?S303) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S303 ?x750)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S303) (int_2_U (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x750))))) boolTrue))) :pattern ((MapType0Select ?S303 ?x750) (x_S_LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S303)) )) (forall ((?x751 Int)) (! (= (LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?x751) (+ ?x751 72)) :pattern ((LongIntervalAmount__SERIAL_DEVICE_EXTENSION ?x751)) )) (forall ((?x752 Int)) (! (= (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x752) (- ?x752 72)) :pattern ((LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x752)) )) (forall ((?x753 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x753 72 1) (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x753)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x753 72 1)) )) (forall ((?x754 Int)) (! (= (MINUS_LEFT_PTR ?x754 1 72) (LongIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x754)) :pattern ((MINUS_LEFT_PTR ?x754 1 72)) )) (forall ((?x755 Int)) (! (= (LowPart___unnamed_8_544b88f4Inv (LowPart___unnamed_8_544b88f4 ?x755)) ?x755) :pattern ((LowPart___unnamed_8_544b88f4Inv (LowPart___unnamed_8_544b88f4 ?x755))) )) (forall ((?x756 Int)) (! (= (LowPart___unnamed_8_544b88f4 (LowPart___unnamed_8_544b88f4Inv ?x756)) ?x756) :pattern ((LowPart___unnamed_8_544b88f4Inv ?x756)) )) (forall ((?x757 boogieU) (?S304 boogieU)) (! (=> (and (= (type ?x757) intType) (= (type ?S304) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_544b88f4 ?S304) ?x757)) boolTrue) (= (U_2_bool (MapType0Select ?S304 (int_2_U (LowPart___unnamed_8_544b88f4Inv (U_2_int ?x757))))) boolTrue))) :pattern ((MapType0Select (x_S_LowPart___unnamed_8_544b88f4 ?S304) ?x757)) )) (forall ((?x758 boogieU) (?S305 boogieU)) (! (=> (and (= (type ?x758) intType) (= (type ?S305) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_544b88f4Inv ?S305) ?x758)) boolTrue) (= (U_2_bool (MapType0Select ?S305 (int_2_U (LowPart___unnamed_8_544b88f4 (U_2_int ?x758))))) boolTrue))) :pattern ((MapType0Select (x_S_LowPart___unnamed_8_544b88f4Inv ?S305) ?x758)) )) (forall ((?x759 boogieU) (?S306 boogieU)) (! (=> (and (= (type ?x759) intType) (= (type ?S306) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S306 ?x759)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_544b88f4 ?S306) (int_2_U (LowPart___unnamed_8_544b88f4 (U_2_int ?x759))))) boolTrue))) :pattern ((MapType0Select ?S306 ?x759) (x_S_LowPart___unnamed_8_544b88f4 ?S306)) )) (forall ((?x760 boogieU) (?S307 boogieU)) (! (=> (and (= (type ?x760) intType) (= (type ?S307) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S307 ?x760)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_544b88f4Inv ?S307) (int_2_U (LowPart___unnamed_8_544b88f4Inv (U_2_int ?x760))))) boolTrue))) :pattern ((MapType0Select ?S307 ?x760) (x_S_LowPart___unnamed_8_544b88f4Inv ?S307)) )) (forall ((?x761 Int)) (! (= (LowPart___unnamed_8_544b88f4 ?x761) (+ ?x761 0)) :pattern ((LowPart___unnamed_8_544b88f4 ?x761)) )) (forall ((?x762 Int)) (! (= (LowPart___unnamed_8_544b88f4Inv ?x762) (- ?x762 0)) :pattern ((LowPart___unnamed_8_544b88f4Inv ?x762)) )) (forall ((?x763 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x763 0 1) (LowPart___unnamed_8_544b88f4Inv ?x763)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x763 0 1)) )) (forall ((?x764 Int)) (! (= (MINUS_LEFT_PTR ?x764 1 0) (LowPart___unnamed_8_544b88f4Inv ?x764)) :pattern ((MINUS_LEFT_PTR ?x764 1 0)) )) (forall ((?x765 Int)) (! (= (LowPart___unnamed_8_5d67d492Inv (LowPart___unnamed_8_5d67d492 ?x765)) ?x765) :pattern ((LowPart___unnamed_8_5d67d492Inv (LowPart___unnamed_8_5d67d492 ?x765))) )) (forall ((?x766 Int)) (! (= (LowPart___unnamed_8_5d67d492 (LowPart___unnamed_8_5d67d492Inv ?x766)) ?x766) :pattern ((LowPart___unnamed_8_5d67d492Inv ?x766)) )) (forall ((?x767 boogieU) (?S308 boogieU)) (! (=> (and (= (type ?x767) intType) (= (type ?S308) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_5d67d492 ?S308) ?x767)) boolTrue) (= (U_2_bool (MapType0Select ?S308 (int_2_U (LowPart___unnamed_8_5d67d492Inv (U_2_int ?x767))))) boolTrue))) :pattern ((MapType0Select (x_S_LowPart___unnamed_8_5d67d492 ?S308) ?x767)) )) (forall ((?x768 boogieU) (?S309 boogieU)) (! (=> (and (= (type ?x768) intType) (= (type ?S309) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_5d67d492Inv ?S309) ?x768)) boolTrue) (= (U_2_bool (MapType0Select ?S309 (int_2_U (LowPart___unnamed_8_5d67d492 (U_2_int ?x768))))) boolTrue))) :pattern ((MapType0Select (x_S_LowPart___unnamed_8_5d67d492Inv ?S309) ?x768)) )) (forall ((?x769 boogieU) (?S310 boogieU)) (! (=> (and (= (type ?x769) intType) (= (type ?S310) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S310 ?x769)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_5d67d492 ?S310) (int_2_U (LowPart___unnamed_8_5d67d492 (U_2_int ?x769))))) boolTrue))) :pattern ((MapType0Select ?S310 ?x769) (x_S_LowPart___unnamed_8_5d67d492 ?S310)) )) (forall ((?x770 boogieU) (?S311 boogieU)) (! (=> (and (= (type ?x770) intType) (= (type ?S311) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S311 ?x770)) boolTrue) (= (U_2_bool (MapType0Select (x_S_LowPart___unnamed_8_5d67d492Inv ?S311) (int_2_U (LowPart___unnamed_8_5d67d492Inv (U_2_int ?x770))))) boolTrue))) :pattern ((MapType0Select ?S311 ?x770) (x_S_LowPart___unnamed_8_5d67d492Inv ?S311)) )) (forall ((?x771 Int)) (! (= (LowPart___unnamed_8_5d67d492 ?x771) (+ ?x771 0)) :pattern ((LowPart___unnamed_8_5d67d492 ?x771)) )) (forall ((?x772 Int)) (! (= (LowPart___unnamed_8_5d67d492Inv ?x772) (- ?x772 0)) :pattern ((LowPart___unnamed_8_5d67d492Inv ?x772)) )) (forall ((?x773 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x773 0 1) (LowPart___unnamed_8_5d67d492Inv ?x773)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x773 0 1)) )) (forall ((?x774 Int)) (! (= (MINUS_LEFT_PTR ?x774 1 0) (LowPart___unnamed_8_5d67d492Inv ?x774)) :pattern ((MINUS_LEFT_PTR ?x774 1 0)) )) (forall ((?x775 Int)) (! (= (MajorFunction__IO_STACK_LOCATIONInv (MajorFunction__IO_STACK_LOCATION ?x775)) ?x775) :pattern ((MajorFunction__IO_STACK_LOCATIONInv (MajorFunction__IO_STACK_LOCATION ?x775))) )) (forall ((?x776 Int)) (! (= (MajorFunction__IO_STACK_LOCATION (MajorFunction__IO_STACK_LOCATIONInv ?x776)) ?x776) :pattern ((MajorFunction__IO_STACK_LOCATIONInv ?x776)) )) (forall ((?x777 boogieU) (?S312 boogieU)) (! (=> (and (= (type ?x777) intType) (= (type ?S312) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MajorFunction__IO_STACK_LOCATION ?S312) ?x777)) boolTrue) (= (U_2_bool (MapType0Select ?S312 (int_2_U (MajorFunction__IO_STACK_LOCATIONInv (U_2_int ?x777))))) boolTrue))) :pattern ((MapType0Select (x_S_MajorFunction__IO_STACK_LOCATION ?S312) ?x777)) )) (forall ((?x778 boogieU) (?S313 boogieU)) (! (=> (and (= (type ?x778) intType) (= (type ?S313) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MajorFunction__IO_STACK_LOCATIONInv ?S313) ?x778)) boolTrue) (= (U_2_bool (MapType0Select ?S313 (int_2_U (MajorFunction__IO_STACK_LOCATION (U_2_int ?x778))))) boolTrue))) :pattern ((MapType0Select (x_S_MajorFunction__IO_STACK_LOCATIONInv ?S313) ?x778)) )) (forall ((?x779 boogieU) (?S314 boogieU)) (! (=> (and (= (type ?x779) intType) (= (type ?S314) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S314 ?x779)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MajorFunction__IO_STACK_LOCATION ?S314) (int_2_U (MajorFunction__IO_STACK_LOCATION (U_2_int ?x779))))) boolTrue))) :pattern ((MapType0Select ?S314 ?x779) (x_S_MajorFunction__IO_STACK_LOCATION ?S314)) )) (forall ((?x780 boogieU) (?S315 boogieU)) (! (=> (and (= (type ?x780) intType) (= (type ?S315) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S315 ?x780)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MajorFunction__IO_STACK_LOCATIONInv ?S315) (int_2_U (MajorFunction__IO_STACK_LOCATIONInv (U_2_int ?x780))))) boolTrue))) :pattern ((MapType0Select ?S315 ?x780) (x_S_MajorFunction__IO_STACK_LOCATIONInv ?S315)) )) (forall ((?x781 Int)) (! (= (MajorFunction__IO_STACK_LOCATION ?x781) (+ ?x781 0)) :pattern ((MajorFunction__IO_STACK_LOCATION ?x781)) )) (forall ((?x782 Int)) (! (= (MajorFunction__IO_STACK_LOCATIONInv ?x782) (- ?x782 0)) :pattern ((MajorFunction__IO_STACK_LOCATIONInv ?x782)) )) (forall ((?x783 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x783 0 1) (MajorFunction__IO_STACK_LOCATIONInv ?x783)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x783 0 1)) )) (forall ((?x784 Int)) (! (= (MINUS_LEFT_PTR ?x784 1 0) (MajorFunction__IO_STACK_LOCATIONInv ?x784)) :pattern ((MINUS_LEFT_PTR ?x784 1 0)) )) (forall ((?x785 Int)) (! (= (MaskQueue__SERIAL_DEVICE_EXTENSIONInv (MaskQueue__SERIAL_DEVICE_EXTENSION ?x785)) ?x785) :pattern ((MaskQueue__SERIAL_DEVICE_EXTENSIONInv (MaskQueue__SERIAL_DEVICE_EXTENSION ?x785))) )) (forall ((?x786 Int)) (! (= (MaskQueue__SERIAL_DEVICE_EXTENSION (MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?x786)) ?x786) :pattern ((MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?x786)) )) (forall ((?x787 boogieU) (?S316 boogieU)) (! (=> (and (= (type ?x787) intType) (= (type ?S316) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaskQueue__SERIAL_DEVICE_EXTENSION ?S316) ?x787)) boolTrue) (= (U_2_bool (MapType0Select ?S316 (int_2_U (MaskQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x787))))) boolTrue))) :pattern ((MapType0Select (x_S_MaskQueue__SERIAL_DEVICE_EXTENSION ?S316) ?x787)) )) (forall ((?x788 boogieU) (?S317 boogieU)) (! (=> (and (= (type ?x788) intType) (= (type ?S317) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?S317) ?x788)) boolTrue) (= (U_2_bool (MapType0Select ?S317 (int_2_U (MaskQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x788))))) boolTrue))) :pattern ((MapType0Select (x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?S317) ?x788)) )) (forall ((?x789 boogieU) (?S318 boogieU)) (! (=> (and (= (type ?x789) intType) (= (type ?S318) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S318 ?x789)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaskQueue__SERIAL_DEVICE_EXTENSION ?S318) (int_2_U (MaskQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x789))))) boolTrue))) :pattern ((MapType0Select ?S318 ?x789) (x_S_MaskQueue__SERIAL_DEVICE_EXTENSION ?S318)) )) (forall ((?x790 boogieU) (?S319 boogieU)) (! (=> (and (= (type ?x790) intType) (= (type ?S319) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S319 ?x790)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?S319) (int_2_U (MaskQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x790))))) boolTrue))) :pattern ((MapType0Select ?S319 ?x790) (x_S_MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?S319)) )) (forall ((?x791 Int)) (! (= (MaskQueue__SERIAL_DEVICE_EXTENSION ?x791) (+ ?x791 172)) :pattern ((MaskQueue__SERIAL_DEVICE_EXTENSION ?x791)) )) (forall ((?x792 Int)) (! (= (MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?x792) (- ?x792 172)) :pattern ((MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?x792)) )) (forall ((?x793 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x793 172 1) (MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?x793)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x793 172 1)) )) (forall ((?x794 Int)) (! (= (MINUS_LEFT_PTR ?x794 1 172) (MaskQueue__SERIAL_DEVICE_EXTENSIONInv ?x794)) :pattern ((MINUS_LEFT_PTR ?x794 1 172)) )) (forall ((?x795 Int)) (! (= (MaxBaud__SERIAL_COMMPROPInv (MaxBaud__SERIAL_COMMPROP ?x795)) ?x795) :pattern ((MaxBaud__SERIAL_COMMPROPInv (MaxBaud__SERIAL_COMMPROP ?x795))) )) (forall ((?x796 Int)) (! (= (MaxBaud__SERIAL_COMMPROP (MaxBaud__SERIAL_COMMPROPInv ?x796)) ?x796) :pattern ((MaxBaud__SERIAL_COMMPROPInv ?x796)) )) (forall ((?x797 boogieU) (?S320 boogieU)) (! (=> (and (= (type ?x797) intType) (= (type ?S320) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxBaud__SERIAL_COMMPROP ?S320) ?x797)) boolTrue) (= (U_2_bool (MapType0Select ?S320 (int_2_U (MaxBaud__SERIAL_COMMPROPInv (U_2_int ?x797))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxBaud__SERIAL_COMMPROP ?S320) ?x797)) )) (forall ((?x798 boogieU) (?S321 boogieU)) (! (=> (and (= (type ?x798) intType) (= (type ?S321) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxBaud__SERIAL_COMMPROPInv ?S321) ?x798)) boolTrue) (= (U_2_bool (MapType0Select ?S321 (int_2_U (MaxBaud__SERIAL_COMMPROP (U_2_int ?x798))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxBaud__SERIAL_COMMPROPInv ?S321) ?x798)) )) (forall ((?x799 boogieU) (?S322 boogieU)) (! (=> (and (= (type ?x799) intType) (= (type ?S322) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S322 ?x799)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxBaud__SERIAL_COMMPROP ?S322) (int_2_U (MaxBaud__SERIAL_COMMPROP (U_2_int ?x799))))) boolTrue))) :pattern ((MapType0Select ?S322 ?x799) (x_S_MaxBaud__SERIAL_COMMPROP ?S322)) )) (forall ((?x800 boogieU) (?S323 boogieU)) (! (=> (and (= (type ?x800) intType) (= (type ?S323) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S323 ?x800)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxBaud__SERIAL_COMMPROPInv ?S323) (int_2_U (MaxBaud__SERIAL_COMMPROPInv (U_2_int ?x800))))) boolTrue))) :pattern ((MapType0Select ?S323 ?x800) (x_S_MaxBaud__SERIAL_COMMPROPInv ?S323)) )) (forall ((?x801 Int)) (! (= (MaxBaud__SERIAL_COMMPROP ?x801) (+ ?x801 20)) :pattern ((MaxBaud__SERIAL_COMMPROP ?x801)) )) (forall ((?x802 Int)) (! (= (MaxBaud__SERIAL_COMMPROPInv ?x802) (- ?x802 20)) :pattern ((MaxBaud__SERIAL_COMMPROPInv ?x802)) )) (forall ((?x803 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x803 20 1) (MaxBaud__SERIAL_COMMPROPInv ?x803)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x803 20 1)) )) (forall ((?x804 Int)) (! (= (MINUS_LEFT_PTR ?x804 1 20) (MaxBaud__SERIAL_COMMPROPInv ?x804)) :pattern ((MINUS_LEFT_PTR ?x804 1 20)) )) (forall ((?x805 Int)) (! (= (MaxRxQueue__SERIAL_COMMPROPInv (MaxRxQueue__SERIAL_COMMPROP ?x805)) ?x805) :pattern ((MaxRxQueue__SERIAL_COMMPROPInv (MaxRxQueue__SERIAL_COMMPROP ?x805))) )) (forall ((?x806 Int)) (! (= (MaxRxQueue__SERIAL_COMMPROP (MaxRxQueue__SERIAL_COMMPROPInv ?x806)) ?x806) :pattern ((MaxRxQueue__SERIAL_COMMPROPInv ?x806)) )) (forall ((?x807 boogieU) (?S324 boogieU)) (! (=> (and (= (type ?x807) intType) (= (type ?S324) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxRxQueue__SERIAL_COMMPROP ?S324) ?x807)) boolTrue) (= (U_2_bool (MapType0Select ?S324 (int_2_U (MaxRxQueue__SERIAL_COMMPROPInv (U_2_int ?x807))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxRxQueue__SERIAL_COMMPROP ?S324) ?x807)) )) (forall ((?x808 boogieU) (?S325 boogieU)) (! (=> (and (= (type ?x808) intType) (= (type ?S325) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxRxQueue__SERIAL_COMMPROPInv ?S325) ?x808)) boolTrue) (= (U_2_bool (MapType0Select ?S325 (int_2_U (MaxRxQueue__SERIAL_COMMPROP (U_2_int ?x808))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxRxQueue__SERIAL_COMMPROPInv ?S325) ?x808)) )) (forall ((?x809 boogieU) (?S326 boogieU)) (! (=> (and (= (type ?x809) intType) (= (type ?S326) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S326 ?x809)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxRxQueue__SERIAL_COMMPROP ?S326) (int_2_U (MaxRxQueue__SERIAL_COMMPROP (U_2_int ?x809))))) boolTrue))) :pattern ((MapType0Select ?S326 ?x809) (x_S_MaxRxQueue__SERIAL_COMMPROP ?S326)) )) (forall ((?x810 boogieU) (?S327 boogieU)) (! (=> (and (= (type ?x810) intType) (= (type ?S327) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S327 ?x810)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxRxQueue__SERIAL_COMMPROPInv ?S327) (int_2_U (MaxRxQueue__SERIAL_COMMPROPInv (U_2_int ?x810))))) boolTrue))) :pattern ((MapType0Select ?S327 ?x810) (x_S_MaxRxQueue__SERIAL_COMMPROPInv ?S327)) )) (forall ((?x811 Int)) (! (= (MaxRxQueue__SERIAL_COMMPROP ?x811) (+ ?x811 16)) :pattern ((MaxRxQueue__SERIAL_COMMPROP ?x811)) )) (forall ((?x812 Int)) (! (= (MaxRxQueue__SERIAL_COMMPROPInv ?x812) (- ?x812 16)) :pattern ((MaxRxQueue__SERIAL_COMMPROPInv ?x812)) )) (forall ((?x813 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x813 16 1) (MaxRxQueue__SERIAL_COMMPROPInv ?x813)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x813 16 1)) )) (forall ((?x814 Int)) (! (= (MINUS_LEFT_PTR ?x814 1 16) (MaxRxQueue__SERIAL_COMMPROPInv ?x814)) :pattern ((MINUS_LEFT_PTR ?x814 1 16)) )) (forall ((?x815 Int)) (! (= (MaxTxQueue__SERIAL_COMMPROPInv (MaxTxQueue__SERIAL_COMMPROP ?x815)) ?x815) :pattern ((MaxTxQueue__SERIAL_COMMPROPInv (MaxTxQueue__SERIAL_COMMPROP ?x815))) )) (forall ((?x816 Int)) (! (= (MaxTxQueue__SERIAL_COMMPROP (MaxTxQueue__SERIAL_COMMPROPInv ?x816)) ?x816) :pattern ((MaxTxQueue__SERIAL_COMMPROPInv ?x816)) )) (forall ((?x817 boogieU) (?S328 boogieU)) (! (=> (and (= (type ?x817) intType) (= (type ?S328) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxTxQueue__SERIAL_COMMPROP ?S328) ?x817)) boolTrue) (= (U_2_bool (MapType0Select ?S328 (int_2_U (MaxTxQueue__SERIAL_COMMPROPInv (U_2_int ?x817))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxTxQueue__SERIAL_COMMPROP ?S328) ?x817)) )) (forall ((?x818 boogieU) (?S329 boogieU)) (! (=> (and (= (type ?x818) intType) (= (type ?S329) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaxTxQueue__SERIAL_COMMPROPInv ?S329) ?x818)) boolTrue) (= (U_2_bool (MapType0Select ?S329 (int_2_U (MaxTxQueue__SERIAL_COMMPROP (U_2_int ?x818))))) boolTrue))) :pattern ((MapType0Select (x_S_MaxTxQueue__SERIAL_COMMPROPInv ?S329) ?x818)) )) (forall ((?x819 boogieU) (?S330 boogieU)) (! (=> (and (= (type ?x819) intType) (= (type ?S330) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S330 ?x819)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxTxQueue__SERIAL_COMMPROP ?S330) (int_2_U (MaxTxQueue__SERIAL_COMMPROP (U_2_int ?x819))))) boolTrue))) :pattern ((MapType0Select ?S330 ?x819) (x_S_MaxTxQueue__SERIAL_COMMPROP ?S330)) )) (forall ((?x820 boogieU) (?S331 boogieU)) (! (=> (and (= (type ?x820) intType) (= (type ?S331) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S331 ?x820)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaxTxQueue__SERIAL_COMMPROPInv ?S331) (int_2_U (MaxTxQueue__SERIAL_COMMPROPInv (U_2_int ?x820))))) boolTrue))) :pattern ((MapType0Select ?S331 ?x820) (x_S_MaxTxQueue__SERIAL_COMMPROPInv ?S331)) )) (forall ((?x821 Int)) (! (= (MaxTxQueue__SERIAL_COMMPROP ?x821) (+ ?x821 12)) :pattern ((MaxTxQueue__SERIAL_COMMPROP ?x821)) )) (forall ((?x822 Int)) (! (= (MaxTxQueue__SERIAL_COMMPROPInv ?x822) (- ?x822 12)) :pattern ((MaxTxQueue__SERIAL_COMMPROPInv ?x822)) )) (forall ((?x823 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x823 12 1) (MaxTxQueue__SERIAL_COMMPROPInv ?x823)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x823 12 1)) )) (forall ((?x824 Int)) (! (= (MINUS_LEFT_PTR ?x824 1 12) (MaxTxQueue__SERIAL_COMMPROPInv ?x824)) :pattern ((MINUS_LEFT_PTR ?x824 1 12)) )) (forall ((?x825 Int)) (! (= (NewBufferSize__SERIAL_RESIZE_PARAMSInv (NewBufferSize__SERIAL_RESIZE_PARAMS ?x825)) ?x825) :pattern ((NewBufferSize__SERIAL_RESIZE_PARAMSInv (NewBufferSize__SERIAL_RESIZE_PARAMS ?x825))) )) (forall ((?x826 Int)) (! (= (NewBufferSize__SERIAL_RESIZE_PARAMS (NewBufferSize__SERIAL_RESIZE_PARAMSInv ?x826)) ?x826) :pattern ((NewBufferSize__SERIAL_RESIZE_PARAMSInv ?x826)) )) (forall ((?x827 boogieU) (?S332 boogieU)) (! (=> (and (= (type ?x827) intType) (= (type ?S332) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NewBufferSize__SERIAL_RESIZE_PARAMS ?S332) ?x827)) boolTrue) (= (U_2_bool (MapType0Select ?S332 (int_2_U (NewBufferSize__SERIAL_RESIZE_PARAMSInv (U_2_int ?x827))))) boolTrue))) :pattern ((MapType0Select (x_S_NewBufferSize__SERIAL_RESIZE_PARAMS ?S332) ?x827)) )) (forall ((?x828 boogieU) (?S333 boogieU)) (! (=> (and (= (type ?x828) intType) (= (type ?S333) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv ?S333) ?x828)) boolTrue) (= (U_2_bool (MapType0Select ?S333 (int_2_U (NewBufferSize__SERIAL_RESIZE_PARAMS (U_2_int ?x828))))) boolTrue))) :pattern ((MapType0Select (x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv ?S333) ?x828)) )) (forall ((?x829 boogieU) (?S334 boogieU)) (! (=> (and (= (type ?x829) intType) (= (type ?S334) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S334 ?x829)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NewBufferSize__SERIAL_RESIZE_PARAMS ?S334) (int_2_U (NewBufferSize__SERIAL_RESIZE_PARAMS (U_2_int ?x829))))) boolTrue))) :pattern ((MapType0Select ?S334 ?x829) (x_S_NewBufferSize__SERIAL_RESIZE_PARAMS ?S334)) )) (forall ((?x830 boogieU) (?S335 boogieU)) (! (=> (and (= (type ?x830) intType) (= (type ?S335) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S335 ?x830)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv ?S335) (int_2_U (NewBufferSize__SERIAL_RESIZE_PARAMSInv (U_2_int ?x830))))) boolTrue))) :pattern ((MapType0Select ?S335 ?x830) (x_S_NewBufferSize__SERIAL_RESIZE_PARAMSInv ?S335)) )) (forall ((?x831 Int)) (! (= (NewBufferSize__SERIAL_RESIZE_PARAMS ?x831) (+ ?x831 12)) :pattern ((NewBufferSize__SERIAL_RESIZE_PARAMS ?x831)) )) (forall ((?x832 Int)) (! (= (NewBufferSize__SERIAL_RESIZE_PARAMSInv ?x832) (- ?x832 12)) :pattern ((NewBufferSize__SERIAL_RESIZE_PARAMSInv ?x832)) )) (forall ((?x833 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x833 12 1) (NewBufferSize__SERIAL_RESIZE_PARAMSInv ?x833)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x833 12 1)) )) (forall ((?x834 Int)) (! (= (MINUS_LEFT_PTR ?x834 1 12) (NewBufferSize__SERIAL_RESIZE_PARAMSInv ?x834)) :pattern ((MINUS_LEFT_PTR ?x834 1 12)) )) (forall ((?x835 Int)) (! (= (NewBuffer__SERIAL_RESIZE_PARAMSInv (NewBuffer__SERIAL_RESIZE_PARAMS ?x835)) ?x835) :pattern ((NewBuffer__SERIAL_RESIZE_PARAMSInv (NewBuffer__SERIAL_RESIZE_PARAMS ?x835))) )) (forall ((?x836 Int)) (! (= (NewBuffer__SERIAL_RESIZE_PARAMS (NewBuffer__SERIAL_RESIZE_PARAMSInv ?x836)) ?x836) :pattern ((NewBuffer__SERIAL_RESIZE_PARAMSInv ?x836)) )) (forall ((?x837 boogieU) (?S336 boogieU)) (! (=> (and (= (type ?x837) intType) (= (type ?S336) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NewBuffer__SERIAL_RESIZE_PARAMS ?S336) ?x837)) boolTrue) (= (U_2_bool (MapType0Select ?S336 (int_2_U (NewBuffer__SERIAL_RESIZE_PARAMSInv (U_2_int ?x837))))) boolTrue))) :pattern ((MapType0Select (x_S_NewBuffer__SERIAL_RESIZE_PARAMS ?S336) ?x837)) )) (forall ((?x838 boogieU) (?S337 boogieU)) (! (=> (and (= (type ?x838) intType) (= (type ?S337) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv ?S337) ?x838)) boolTrue) (= (U_2_bool (MapType0Select ?S337 (int_2_U (NewBuffer__SERIAL_RESIZE_PARAMS (U_2_int ?x838))))) boolTrue))) :pattern ((MapType0Select (x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv ?S337) ?x838)) )) (forall ((?x839 boogieU) (?S338 boogieU)) (! (=> (and (= (type ?x839) intType) (= (type ?S338) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S338 ?x839)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NewBuffer__SERIAL_RESIZE_PARAMS ?S338) (int_2_U (NewBuffer__SERIAL_RESIZE_PARAMS (U_2_int ?x839))))) boolTrue))) :pattern ((MapType0Select ?S338 ?x839) (x_S_NewBuffer__SERIAL_RESIZE_PARAMS ?S338)) )) (forall ((?x840 boogieU) (?S339 boogieU)) (! (=> (and (= (type ?x840) intType) (= (type ?S339) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S339 ?x840)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv ?S339) (int_2_U (NewBuffer__SERIAL_RESIZE_PARAMSInv (U_2_int ?x840))))) boolTrue))) :pattern ((MapType0Select ?S339 ?x840) (x_S_NewBuffer__SERIAL_RESIZE_PARAMSInv ?S339)) )) (forall ((?x841 Int)) (! (= (NewBuffer__SERIAL_RESIZE_PARAMS ?x841) (+ ?x841 8)) :pattern ((NewBuffer__SERIAL_RESIZE_PARAMS ?x841)) )) (forall ((?x842 Int)) (! (= (NewBuffer__SERIAL_RESIZE_PARAMSInv ?x842) (- ?x842 8)) :pattern ((NewBuffer__SERIAL_RESIZE_PARAMSInv ?x842)) )) (forall ((?x843 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x843 8 1) (NewBuffer__SERIAL_RESIZE_PARAMSInv ?x843)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x843 8 1)) )) (forall ((?x844 Int)) (! (= (MINUS_LEFT_PTR ?x844 1 8) (NewBuffer__SERIAL_RESIZE_PARAMSInv ?x844)) :pattern ((MINUS_LEFT_PTR ?x844 1 8)) )) (forall ((?x845 Int)) (! (= (NumberMoved__SERIAL_RESIZE_PARAMSInv (NumberMoved__SERIAL_RESIZE_PARAMS ?x845)) ?x845) :pattern ((NumberMoved__SERIAL_RESIZE_PARAMSInv (NumberMoved__SERIAL_RESIZE_PARAMS ?x845))) )) (forall ((?x846 Int)) (! (= (NumberMoved__SERIAL_RESIZE_PARAMS (NumberMoved__SERIAL_RESIZE_PARAMSInv ?x846)) ?x846) :pattern ((NumberMoved__SERIAL_RESIZE_PARAMSInv ?x846)) )) (forall ((?x847 boogieU) (?S340 boogieU)) (! (=> (and (= (type ?x847) intType) (= (type ?S340) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberMoved__SERIAL_RESIZE_PARAMS ?S340) ?x847)) boolTrue) (= (U_2_bool (MapType0Select ?S340 (int_2_U (NumberMoved__SERIAL_RESIZE_PARAMSInv (U_2_int ?x847))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberMoved__SERIAL_RESIZE_PARAMS ?S340) ?x847)) )) (forall ((?x848 boogieU) (?S341 boogieU)) (! (=> (and (= (type ?x848) intType) (= (type ?S341) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv ?S341) ?x848)) boolTrue) (= (U_2_bool (MapType0Select ?S341 (int_2_U (NumberMoved__SERIAL_RESIZE_PARAMS (U_2_int ?x848))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv ?S341) ?x848)) )) (forall ((?x849 boogieU) (?S342 boogieU)) (! (=> (and (= (type ?x849) intType) (= (type ?S342) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S342 ?x849)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberMoved__SERIAL_RESIZE_PARAMS ?S342) (int_2_U (NumberMoved__SERIAL_RESIZE_PARAMS (U_2_int ?x849))))) boolTrue))) :pattern ((MapType0Select ?S342 ?x849) (x_S_NumberMoved__SERIAL_RESIZE_PARAMS ?S342)) )) (forall ((?x850 boogieU) (?S343 boogieU)) (! (=> (and (= (type ?x850) intType) (= (type ?S343) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S343 ?x850)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv ?S343) (int_2_U (NumberMoved__SERIAL_RESIZE_PARAMSInv (U_2_int ?x850))))) boolTrue))) :pattern ((MapType0Select ?S343 ?x850) (x_S_NumberMoved__SERIAL_RESIZE_PARAMSInv ?S343)) )) (forall ((?x851 Int)) (! (= (NumberMoved__SERIAL_RESIZE_PARAMS ?x851) (+ ?x851 16)) :pattern ((NumberMoved__SERIAL_RESIZE_PARAMS ?x851)) )) (forall ((?x852 Int)) (! (= (NumberMoved__SERIAL_RESIZE_PARAMSInv ?x852) (- ?x852 16)) :pattern ((NumberMoved__SERIAL_RESIZE_PARAMSInv ?x852)) )) (forall ((?x853 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x853 16 1) (NumberMoved__SERIAL_RESIZE_PARAMSInv ?x853)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x853 16 1)) )) (forall ((?x854 Int)) (! (= (MINUS_LEFT_PTR ?x854 1 16) (NumberMoved__SERIAL_RESIZE_PARAMSInv ?x854)) :pattern ((MINUS_LEFT_PTR ?x854 1 16)) )) (forall ((?x855 Int)) (! (= (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv (NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?x855)) ?x855) :pattern ((NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv (NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?x855))) )) (forall ((?x856 Int)) (! (= (NumberNeededForRead__SERIAL_DEVICE_EXTENSION (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?x856)) ?x856) :pattern ((NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?x856)) )) (forall ((?x857 boogieU) (?S344 boogieU)) (! (=> (and (= (type ?x857) intType) (= (type ?S344) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?S344) ?x857)) boolTrue) (= (U_2_bool (MapType0Select ?S344 (int_2_U (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x857))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?S344) ?x857)) )) (forall ((?x858 boogieU) (?S345 boogieU)) (! (=> (and (= (type ?x858) intType) (= (type ?S345) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?S345) ?x858)) boolTrue) (= (U_2_bool (MapType0Select ?S345 (int_2_U (NumberNeededForRead__SERIAL_DEVICE_EXTENSION (U_2_int ?x858))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?S345) ?x858)) )) (forall ((?x859 boogieU) (?S346 boogieU)) (! (=> (and (= (type ?x859) intType) (= (type ?S346) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S346 ?x859)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?S346) (int_2_U (NumberNeededForRead__SERIAL_DEVICE_EXTENSION (U_2_int ?x859))))) boolTrue))) :pattern ((MapType0Select ?S346 ?x859) (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?S346)) )) (forall ((?x860 boogieU) (?S347 boogieU)) (! (=> (and (= (type ?x860) intType) (= (type ?S347) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S347 ?x860)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?S347) (int_2_U (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x860))))) boolTrue))) :pattern ((MapType0Select ?S347 ?x860) (x_S_NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?S347)) )) (forall ((?x861 Int)) (! (= (NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?x861) (+ ?x861 260)) :pattern ((NumberNeededForRead__SERIAL_DEVICE_EXTENSION ?x861)) )) (forall ((?x862 Int)) (! (= (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?x862) (- ?x862 260)) :pattern ((NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?x862)) )) (forall ((?x863 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x863 260 1) (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?x863)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x863 260 1)) )) (forall ((?x864 Int)) (! (= (MINUS_LEFT_PTR ?x864 1 260) (NumberNeededForRead__SERIAL_DEVICE_EXTENSIONInv ?x864)) :pattern ((MINUS_LEFT_PTR ?x864 1 260)) )) (forall ((?x865 Int)) (! (= (OldBuffer__SERIAL_RESIZE_PARAMSInv (OldBuffer__SERIAL_RESIZE_PARAMS ?x865)) ?x865) :pattern ((OldBuffer__SERIAL_RESIZE_PARAMSInv (OldBuffer__SERIAL_RESIZE_PARAMS ?x865))) )) (forall ((?x866 Int)) (! (= (OldBuffer__SERIAL_RESIZE_PARAMS (OldBuffer__SERIAL_RESIZE_PARAMSInv ?x866)) ?x866) :pattern ((OldBuffer__SERIAL_RESIZE_PARAMSInv ?x866)) )) (forall ((?x867 boogieU) (?S348 boogieU)) (! (=> (and (= (type ?x867) intType) (= (type ?S348) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_OldBuffer__SERIAL_RESIZE_PARAMS ?S348) ?x867)) boolTrue) (= (U_2_bool (MapType0Select ?S348 (int_2_U (OldBuffer__SERIAL_RESIZE_PARAMSInv (U_2_int ?x867))))) boolTrue))) :pattern ((MapType0Select (x_S_OldBuffer__SERIAL_RESIZE_PARAMS ?S348) ?x867)) )) (forall ((?x868 boogieU) (?S349 boogieU)) (! (=> (and (= (type ?x868) intType) (= (type ?S349) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv ?S349) ?x868)) boolTrue) (= (U_2_bool (MapType0Select ?S349 (int_2_U (OldBuffer__SERIAL_RESIZE_PARAMS (U_2_int ?x868))))) boolTrue))) :pattern ((MapType0Select (x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv ?S349) ?x868)) )) (forall ((?x869 boogieU) (?S350 boogieU)) (! (=> (and (= (type ?x869) intType) (= (type ?S350) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S350 ?x869)) boolTrue) (= (U_2_bool (MapType0Select (x_S_OldBuffer__SERIAL_RESIZE_PARAMS ?S350) (int_2_U (OldBuffer__SERIAL_RESIZE_PARAMS (U_2_int ?x869))))) boolTrue))) :pattern ((MapType0Select ?S350 ?x869) (x_S_OldBuffer__SERIAL_RESIZE_PARAMS ?S350)) )) (forall ((?x870 boogieU) (?S351 boogieU)) (! (=> (and (= (type ?x870) intType) (= (type ?S351) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S351 ?x870)) boolTrue) (= (U_2_bool (MapType0Select (x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv ?S351) (int_2_U (OldBuffer__SERIAL_RESIZE_PARAMSInv (U_2_int ?x870))))) boolTrue))) :pattern ((MapType0Select ?S351 ?x870) (x_S_OldBuffer__SERIAL_RESIZE_PARAMSInv ?S351)) )) (forall ((?x871 Int)) (! (= (OldBuffer__SERIAL_RESIZE_PARAMS ?x871) (+ ?x871 4)) :pattern ((OldBuffer__SERIAL_RESIZE_PARAMS ?x871)) )) (forall ((?x872 Int)) (! (= (OldBuffer__SERIAL_RESIZE_PARAMSInv ?x872) (- ?x872 4)) :pattern ((OldBuffer__SERIAL_RESIZE_PARAMSInv ?x872)) )) (forall ((?x873 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x873 4 1) (OldBuffer__SERIAL_RESIZE_PARAMSInv ?x873)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x873 4 1)) )) (forall ((?x874 Int)) (! (= (MINUS_LEFT_PTR ?x874 1 4) (OldBuffer__SERIAL_RESIZE_PARAMSInv ?x874)) :pattern ((MINUS_LEFT_PTR ?x874 1 4)) )) (forall ((?x875 Int)) (! (= (Others___unnamed_16_57edbc3aInv (Others___unnamed_16_57edbc3a ?x875)) ?x875) :pattern ((Others___unnamed_16_57edbc3aInv (Others___unnamed_16_57edbc3a ?x875))) )) (forall ((?x876 Int)) (! (= (Others___unnamed_16_57edbc3a (Others___unnamed_16_57edbc3aInv ?x876)) ?x876) :pattern ((Others___unnamed_16_57edbc3aInv ?x876)) )) (forall ((?x877 boogieU) (?S352 boogieU)) (! (=> (and (= (type ?x877) intType) (= (type ?S352) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Others___unnamed_16_57edbc3a ?S352) ?x877)) boolTrue) (= (U_2_bool (MapType0Select ?S352 (int_2_U (Others___unnamed_16_57edbc3aInv (U_2_int ?x877))))) boolTrue))) :pattern ((MapType0Select (x_S_Others___unnamed_16_57edbc3a ?S352) ?x877)) )) (forall ((?x878 boogieU) (?S353 boogieU)) (! (=> (and (= (type ?x878) intType) (= (type ?S353) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Others___unnamed_16_57edbc3aInv ?S353) ?x878)) boolTrue) (= (U_2_bool (MapType0Select ?S353 (int_2_U (Others___unnamed_16_57edbc3a (U_2_int ?x878))))) boolTrue))) :pattern ((MapType0Select (x_S_Others___unnamed_16_57edbc3aInv ?S353) ?x878)) )) (forall ((?x879 boogieU) (?S354 boogieU)) (! (=> (and (= (type ?x879) intType) (= (type ?S354) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S354 ?x879)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Others___unnamed_16_57edbc3a ?S354) (int_2_U (Others___unnamed_16_57edbc3a (U_2_int ?x879))))) boolTrue))) :pattern ((MapType0Select ?S354 ?x879) (x_S_Others___unnamed_16_57edbc3a ?S354)) )) (forall ((?x880 boogieU) (?S355 boogieU)) (! (=> (and (= (type ?x880) intType) (= (type ?S355) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S355 ?x880)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Others___unnamed_16_57edbc3aInv ?S355) (int_2_U (Others___unnamed_16_57edbc3aInv (U_2_int ?x880))))) boolTrue))) :pattern ((MapType0Select ?S355 ?x880) (x_S_Others___unnamed_16_57edbc3aInv ?S355)) )) (forall ((?x881 Int)) (! (= (Others___unnamed_16_57edbc3a ?x881) (+ ?x881 0)) :pattern ((Others___unnamed_16_57edbc3a ?x881)) )) (forall ((?x882 Int)) (! (= (Others___unnamed_16_57edbc3aInv ?x882) (- ?x882 0)) :pattern ((Others___unnamed_16_57edbc3aInv ?x882)) )) (forall ((?x883 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x883 0 1) (Others___unnamed_16_57edbc3aInv ?x883)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x883 0 1)) )) (forall ((?x884 Int)) (! (= (MINUS_LEFT_PTR ?x884 1 0) (Others___unnamed_16_57edbc3aInv ?x884)) :pattern ((MINUS_LEFT_PTR ?x884 1 0)) )) (forall ((?x885 Int)) (! (= (OutputBufferLength___unnamed_16_5bbbf1e7Inv (OutputBufferLength___unnamed_16_5bbbf1e7 ?x885)) ?x885) :pattern ((OutputBufferLength___unnamed_16_5bbbf1e7Inv (OutputBufferLength___unnamed_16_5bbbf1e7 ?x885))) )) (forall ((?x886 Int)) (! (= (OutputBufferLength___unnamed_16_5bbbf1e7 (OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x886)) ?x886) :pattern ((OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x886)) )) (forall ((?x887 boogieU) (?S356 boogieU)) (! (=> (and (= (type ?x887) intType) (= (type ?S356) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?S356) ?x887)) boolTrue) (= (U_2_bool (MapType0Select ?S356 (int_2_U (OutputBufferLength___unnamed_16_5bbbf1e7Inv (U_2_int ?x887))))) boolTrue))) :pattern ((MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?S356) ?x887)) )) (forall ((?x888 boogieU) (?S357 boogieU)) (! (=> (and (= (type ?x888) intType) (= (type ?S357) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?S357) ?x888)) boolTrue) (= (U_2_bool (MapType0Select ?S357 (int_2_U (OutputBufferLength___unnamed_16_5bbbf1e7 (U_2_int ?x888))))) boolTrue))) :pattern ((MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?S357) ?x888)) )) (forall ((?x889 boogieU) (?S358 boogieU)) (! (=> (and (= (type ?x889) intType) (= (type ?S358) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S358 ?x889)) boolTrue) (= (U_2_bool (MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?S358) (int_2_U (OutputBufferLength___unnamed_16_5bbbf1e7 (U_2_int ?x889))))) boolTrue))) :pattern ((MapType0Select ?S358 ?x889) (x_S_OutputBufferLength___unnamed_16_5bbbf1e7 ?S358)) )) (forall ((?x890 boogieU) (?S359 boogieU)) (! (=> (and (= (type ?x890) intType) (= (type ?S359) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S359 ?x890)) boolTrue) (= (U_2_bool (MapType0Select (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?S359) (int_2_U (OutputBufferLength___unnamed_16_5bbbf1e7Inv (U_2_int ?x890))))) boolTrue))) :pattern ((MapType0Select ?S359 ?x890) (x_S_OutputBufferLength___unnamed_16_5bbbf1e7Inv ?S359)) )) (forall ((?x891 Int)) (! (= (OutputBufferLength___unnamed_16_5bbbf1e7 ?x891) (+ ?x891 0)) :pattern ((OutputBufferLength___unnamed_16_5bbbf1e7 ?x891)) )) (forall ((?x892 Int)) (! (= (OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x892) (- ?x892 0)) :pattern ((OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x892)) )) (forall ((?x893 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x893 0 1) (OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x893)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x893 0 1)) )) (forall ((?x894 Int)) (! (= (MINUS_LEFT_PTR ?x894 1 0) (OutputBufferLength___unnamed_16_5bbbf1e7Inv ?x894)) :pattern ((MINUS_LEFT_PTR ?x894 1 0)) )) (forall ((?x895 Int)) (! (= (Overlay___unnamed_48_ffd8d308Inv (Overlay___unnamed_48_ffd8d308 ?x895)) ?x895) :pattern ((Overlay___unnamed_48_ffd8d308Inv (Overlay___unnamed_48_ffd8d308 ?x895))) )) (forall ((?x896 Int)) (! (= (Overlay___unnamed_48_ffd8d308 (Overlay___unnamed_48_ffd8d308Inv ?x896)) ?x896) :pattern ((Overlay___unnamed_48_ffd8d308Inv ?x896)) )) (forall ((?x897 boogieU) (?S360 boogieU)) (! (=> (and (= (type ?x897) intType) (= (type ?S360) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Overlay___unnamed_48_ffd8d308 ?S360) ?x897)) boolTrue) (= (U_2_bool (MapType0Select ?S360 (int_2_U (Overlay___unnamed_48_ffd8d308Inv (U_2_int ?x897))))) boolTrue))) :pattern ((MapType0Select (x_S_Overlay___unnamed_48_ffd8d308 ?S360) ?x897)) )) (forall ((?x898 boogieU) (?S361 boogieU)) (! (=> (and (= (type ?x898) intType) (= (type ?S361) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Overlay___unnamed_48_ffd8d308Inv ?S361) ?x898)) boolTrue) (= (U_2_bool (MapType0Select ?S361 (int_2_U (Overlay___unnamed_48_ffd8d308 (U_2_int ?x898))))) boolTrue))) :pattern ((MapType0Select (x_S_Overlay___unnamed_48_ffd8d308Inv ?S361) ?x898)) )) (forall ((?x899 boogieU) (?S362 boogieU)) (! (=> (and (= (type ?x899) intType) (= (type ?S362) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S362 ?x899)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Overlay___unnamed_48_ffd8d308 ?S362) (int_2_U (Overlay___unnamed_48_ffd8d308 (U_2_int ?x899))))) boolTrue))) :pattern ((MapType0Select ?S362 ?x899) (x_S_Overlay___unnamed_48_ffd8d308 ?S362)) )) (forall ((?x900 boogieU) (?S363 boogieU)) (! (=> (and (= (type ?x900) intType) (= (type ?S363) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S363 ?x900)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Overlay___unnamed_48_ffd8d308Inv ?S363) (int_2_U (Overlay___unnamed_48_ffd8d308Inv (U_2_int ?x900))))) boolTrue))) :pattern ((MapType0Select ?S363 ?x900) (x_S_Overlay___unnamed_48_ffd8d308Inv ?S363)) )) (forall ((?x901 Int)) (! (= (Overlay___unnamed_48_ffd8d308 ?x901) (+ ?x901 0)) :pattern ((Overlay___unnamed_48_ffd8d308 ?x901)) )) (forall ((?x902 Int)) (! (= (Overlay___unnamed_48_ffd8d308Inv ?x902) (- ?x902 0)) :pattern ((Overlay___unnamed_48_ffd8d308Inv ?x902)) )) (forall ((?x903 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x903 0 1) (Overlay___unnamed_48_ffd8d308Inv ?x903)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x903 0 1)) )) (forall ((?x904 Int)) (! (= (MINUS_LEFT_PTR ?x904 1 0) (Overlay___unnamed_48_ffd8d308Inv ?x904)) :pattern ((MINUS_LEFT_PTR ?x904 1 0)) )) (forall ((?x905 Int)) (! (= (PacketLength__SERIAL_COMMPROPInv (PacketLength__SERIAL_COMMPROP ?x905)) ?x905) :pattern ((PacketLength__SERIAL_COMMPROPInv (PacketLength__SERIAL_COMMPROP ?x905))) )) (forall ((?x906 Int)) (! (= (PacketLength__SERIAL_COMMPROP (PacketLength__SERIAL_COMMPROPInv ?x906)) ?x906) :pattern ((PacketLength__SERIAL_COMMPROPInv ?x906)) )) (forall ((?x907 boogieU) (?S364 boogieU)) (! (=> (and (= (type ?x907) intType) (= (type ?S364) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PacketLength__SERIAL_COMMPROP ?S364) ?x907)) boolTrue) (= (U_2_bool (MapType0Select ?S364 (int_2_U (PacketLength__SERIAL_COMMPROPInv (U_2_int ?x907))))) boolTrue))) :pattern ((MapType0Select (x_S_PacketLength__SERIAL_COMMPROP ?S364) ?x907)) )) (forall ((?x908 boogieU) (?S365 boogieU)) (! (=> (and (= (type ?x908) intType) (= (type ?S365) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PacketLength__SERIAL_COMMPROPInv ?S365) ?x908)) boolTrue) (= (U_2_bool (MapType0Select ?S365 (int_2_U (PacketLength__SERIAL_COMMPROP (U_2_int ?x908))))) boolTrue))) :pattern ((MapType0Select (x_S_PacketLength__SERIAL_COMMPROPInv ?S365) ?x908)) )) (forall ((?x909 boogieU) (?S366 boogieU)) (! (=> (and (= (type ?x909) intType) (= (type ?S366) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S366 ?x909)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PacketLength__SERIAL_COMMPROP ?S366) (int_2_U (PacketLength__SERIAL_COMMPROP (U_2_int ?x909))))) boolTrue))) :pattern ((MapType0Select ?S366 ?x909) (x_S_PacketLength__SERIAL_COMMPROP ?S366)) )) (forall ((?x910 boogieU) (?S367 boogieU)) (! (=> (and (= (type ?x910) intType) (= (type ?S367) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S367 ?x910)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PacketLength__SERIAL_COMMPROPInv ?S367) (int_2_U (PacketLength__SERIAL_COMMPROPInv (U_2_int ?x910))))) boolTrue))) :pattern ((MapType0Select ?S367 ?x910) (x_S_PacketLength__SERIAL_COMMPROPInv ?S367)) )) (forall ((?x911 Int)) (! (= (PacketLength__SERIAL_COMMPROP ?x911) (+ ?x911 0)) :pattern ((PacketLength__SERIAL_COMMPROP ?x911)) )) (forall ((?x912 Int)) (! (= (PacketLength__SERIAL_COMMPROPInv ?x912) (- ?x912 0)) :pattern ((PacketLength__SERIAL_COMMPROPInv ?x912)) )) (forall ((?x913 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x913 0 1) (PacketLength__SERIAL_COMMPROPInv ?x913)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x913 0 1)) )) (forall ((?x914 Int)) (! (= (MINUS_LEFT_PTR ?x914 1 0) (PacketLength__SERIAL_COMMPROPInv ?x914)) :pattern ((MINUS_LEFT_PTR ?x914 1 0)) )) (forall ((?x915 Int)) (! (= (PacketVersion__SERIAL_COMMPROPInv (PacketVersion__SERIAL_COMMPROP ?x915)) ?x915) :pattern ((PacketVersion__SERIAL_COMMPROPInv (PacketVersion__SERIAL_COMMPROP ?x915))) )) (forall ((?x916 Int)) (! (= (PacketVersion__SERIAL_COMMPROP (PacketVersion__SERIAL_COMMPROPInv ?x916)) ?x916) :pattern ((PacketVersion__SERIAL_COMMPROPInv ?x916)) )) (forall ((?x917 boogieU) (?S368 boogieU)) (! (=> (and (= (type ?x917) intType) (= (type ?S368) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PacketVersion__SERIAL_COMMPROP ?S368) ?x917)) boolTrue) (= (U_2_bool (MapType0Select ?S368 (int_2_U (PacketVersion__SERIAL_COMMPROPInv (U_2_int ?x917))))) boolTrue))) :pattern ((MapType0Select (x_S_PacketVersion__SERIAL_COMMPROP ?S368) ?x917)) )) (forall ((?x918 boogieU) (?S369 boogieU)) (! (=> (and (= (type ?x918) intType) (= (type ?S369) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PacketVersion__SERIAL_COMMPROPInv ?S369) ?x918)) boolTrue) (= (U_2_bool (MapType0Select ?S369 (int_2_U (PacketVersion__SERIAL_COMMPROP (U_2_int ?x918))))) boolTrue))) :pattern ((MapType0Select (x_S_PacketVersion__SERIAL_COMMPROPInv ?S369) ?x918)) )) (forall ((?x919 boogieU) (?S370 boogieU)) (! (=> (and (= (type ?x919) intType) (= (type ?S370) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S370 ?x919)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PacketVersion__SERIAL_COMMPROP ?S370) (int_2_U (PacketVersion__SERIAL_COMMPROP (U_2_int ?x919))))) boolTrue))) :pattern ((MapType0Select ?S370 ?x919) (x_S_PacketVersion__SERIAL_COMMPROP ?S370)) )) (forall ((?x920 boogieU) (?S371 boogieU)) (! (=> (and (= (type ?x920) intType) (= (type ?S371) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S371 ?x920)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PacketVersion__SERIAL_COMMPROPInv ?S371) (int_2_U (PacketVersion__SERIAL_COMMPROPInv (U_2_int ?x920))))) boolTrue))) :pattern ((MapType0Select ?S371 ?x920) (x_S_PacketVersion__SERIAL_COMMPROPInv ?S371)) )) (forall ((?x921 Int)) (! (= (PacketVersion__SERIAL_COMMPROP ?x921) (+ ?x921 2)) :pattern ((PacketVersion__SERIAL_COMMPROP ?x921)) )) (forall ((?x922 Int)) (! (= (PacketVersion__SERIAL_COMMPROPInv ?x922) (- ?x922 2)) :pattern ((PacketVersion__SERIAL_COMMPROPInv ?x922)) )) (forall ((?x923 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x923 2 1) (PacketVersion__SERIAL_COMMPROPInv ?x923)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x923 2 1)) )) (forall ((?x924 Int)) (! (= (MINUS_LEFT_PTR ?x924 1 2) (PacketVersion__SERIAL_COMMPROPInv ?x924)) :pattern ((MINUS_LEFT_PTR ?x924 1 2)) )) (forall ((?x925 Int)) (! (= (Parameters__IO_STACK_LOCATIONInv (Parameters__IO_STACK_LOCATION ?x925)) ?x925) :pattern ((Parameters__IO_STACK_LOCATIONInv (Parameters__IO_STACK_LOCATION ?x925))) )) (forall ((?x926 Int)) (! (= (Parameters__IO_STACK_LOCATION (Parameters__IO_STACK_LOCATIONInv ?x926)) ?x926) :pattern ((Parameters__IO_STACK_LOCATIONInv ?x926)) )) (forall ((?x927 boogieU) (?S372 boogieU)) (! (=> (and (= (type ?x927) intType) (= (type ?S372) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parameters__IO_STACK_LOCATION ?S372) ?x927)) boolTrue) (= (U_2_bool (MapType0Select ?S372 (int_2_U (Parameters__IO_STACK_LOCATIONInv (U_2_int ?x927))))) boolTrue))) :pattern ((MapType0Select (x_S_Parameters__IO_STACK_LOCATION ?S372) ?x927)) )) (forall ((?x928 boogieU) (?S373 boogieU)) (! (=> (and (= (type ?x928) intType) (= (type ?S373) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parameters__IO_STACK_LOCATIONInv ?S373) ?x928)) boolTrue) (= (U_2_bool (MapType0Select ?S373 (int_2_U (Parameters__IO_STACK_LOCATION (U_2_int ?x928))))) boolTrue))) :pattern ((MapType0Select (x_S_Parameters__IO_STACK_LOCATIONInv ?S373) ?x928)) )) (forall ((?x929 boogieU) (?S374 boogieU)) (! (=> (and (= (type ?x929) intType) (= (type ?S374) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S374 ?x929)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parameters__IO_STACK_LOCATION ?S374) (int_2_U (Parameters__IO_STACK_LOCATION (U_2_int ?x929))))) boolTrue))) :pattern ((MapType0Select ?S374 ?x929) (x_S_Parameters__IO_STACK_LOCATION ?S374)) )) (forall ((?x930 boogieU) (?S375 boogieU)) (! (=> (and (= (type ?x930) intType) (= (type ?S375) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S375 ?x930)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parameters__IO_STACK_LOCATIONInv ?S375) (int_2_U (Parameters__IO_STACK_LOCATIONInv (U_2_int ?x930))))) boolTrue))) :pattern ((MapType0Select ?S375 ?x930) (x_S_Parameters__IO_STACK_LOCATIONInv ?S375)) )) (forall ((?x931 Int)) (! (= (Parameters__IO_STACK_LOCATION ?x931) (+ ?x931 4)) :pattern ((Parameters__IO_STACK_LOCATION ?x931)) )) (forall ((?x932 Int)) (! (= (Parameters__IO_STACK_LOCATIONInv ?x932) (- ?x932 4)) :pattern ((Parameters__IO_STACK_LOCATIONInv ?x932)) )) (forall ((?x933 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x933 4 1) (Parameters__IO_STACK_LOCATIONInv ?x933)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x933 4 1)) )) (forall ((?x934 Int)) (! (= (MINUS_LEFT_PTR ?x934 1 4) (Parameters__IO_STACK_LOCATIONInv ?x934)) :pattern ((MINUS_LEFT_PTR ?x934 1 4)) )) (forall ((?x935 Int)) (! (= (Parity__SERIAL_LINE_CONTROLInv (Parity__SERIAL_LINE_CONTROL ?x935)) ?x935) :pattern ((Parity__SERIAL_LINE_CONTROLInv (Parity__SERIAL_LINE_CONTROL ?x935))) )) (forall ((?x936 Int)) (! (= (Parity__SERIAL_LINE_CONTROL (Parity__SERIAL_LINE_CONTROLInv ?x936)) ?x936) :pattern ((Parity__SERIAL_LINE_CONTROLInv ?x936)) )) (forall ((?x937 boogieU) (?S376 boogieU)) (! (=> (and (= (type ?x937) intType) (= (type ?S376) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_LINE_CONTROL ?S376) ?x937)) boolTrue) (= (U_2_bool (MapType0Select ?S376 (int_2_U (Parity__SERIAL_LINE_CONTROLInv (U_2_int ?x937))))) boolTrue))) :pattern ((MapType0Select (x_S_Parity__SERIAL_LINE_CONTROL ?S376) ?x937)) )) (forall ((?x938 boogieU) (?S377 boogieU)) (! (=> (and (= (type ?x938) intType) (= (type ?S377) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_LINE_CONTROLInv ?S377) ?x938)) boolTrue) (= (U_2_bool (MapType0Select ?S377 (int_2_U (Parity__SERIAL_LINE_CONTROL (U_2_int ?x938))))) boolTrue))) :pattern ((MapType0Select (x_S_Parity__SERIAL_LINE_CONTROLInv ?S377) ?x938)) )) (forall ((?x939 boogieU) (?S378 boogieU)) (! (=> (and (= (type ?x939) intType) (= (type ?S378) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S378 ?x939)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_LINE_CONTROL ?S378) (int_2_U (Parity__SERIAL_LINE_CONTROL (U_2_int ?x939))))) boolTrue))) :pattern ((MapType0Select ?S378 ?x939) (x_S_Parity__SERIAL_LINE_CONTROL ?S378)) )) (forall ((?x940 boogieU) (?S379 boogieU)) (! (=> (and (= (type ?x940) intType) (= (type ?S379) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S379 ?x940)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_LINE_CONTROLInv ?S379) (int_2_U (Parity__SERIAL_LINE_CONTROLInv (U_2_int ?x940))))) boolTrue))) :pattern ((MapType0Select ?S379 ?x940) (x_S_Parity__SERIAL_LINE_CONTROLInv ?S379)) )) (forall ((?x941 Int)) (! (= (Parity__SERIAL_LINE_CONTROL ?x941) (+ ?x941 1)) :pattern ((Parity__SERIAL_LINE_CONTROL ?x941)) )) (forall ((?x942 Int)) (! (= (Parity__SERIAL_LINE_CONTROLInv ?x942) (- ?x942 1)) :pattern ((Parity__SERIAL_LINE_CONTROLInv ?x942)) )) (forall ((?x943 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x943 1 1) (Parity__SERIAL_LINE_CONTROLInv ?x943)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x943 1 1)) )) (forall ((?x944 Int)) (! (= (MINUS_LEFT_PTR ?x944 1 1) (Parity__SERIAL_LINE_CONTROLInv ?x944)) :pattern ((MINUS_LEFT_PTR ?x944 1 1)) )) (forall ((?x945 Int)) (! (= (Parity__SERIAL_WMI_COMM_DATAInv (Parity__SERIAL_WMI_COMM_DATA ?x945)) ?x945) :pattern ((Parity__SERIAL_WMI_COMM_DATAInv (Parity__SERIAL_WMI_COMM_DATA ?x945))) )) (forall ((?x946 Int)) (! (= (Parity__SERIAL_WMI_COMM_DATA (Parity__SERIAL_WMI_COMM_DATAInv ?x946)) ?x946) :pattern ((Parity__SERIAL_WMI_COMM_DATAInv ?x946)) )) (forall ((?x947 boogieU) (?S380 boogieU)) (! (=> (and (= (type ?x947) intType) (= (type ?S380) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_WMI_COMM_DATA ?S380) ?x947)) boolTrue) (= (U_2_bool (MapType0Select ?S380 (int_2_U (Parity__SERIAL_WMI_COMM_DATAInv (U_2_int ?x947))))) boolTrue))) :pattern ((MapType0Select (x_S_Parity__SERIAL_WMI_COMM_DATA ?S380) ?x947)) )) (forall ((?x948 boogieU) (?S381 boogieU)) (! (=> (and (= (type ?x948) intType) (= (type ?S381) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_WMI_COMM_DATAInv ?S381) ?x948)) boolTrue) (= (U_2_bool (MapType0Select ?S381 (int_2_U (Parity__SERIAL_WMI_COMM_DATA (U_2_int ?x948))))) boolTrue))) :pattern ((MapType0Select (x_S_Parity__SERIAL_WMI_COMM_DATAInv ?S381) ?x948)) )) (forall ((?x949 boogieU) (?S382 boogieU)) (! (=> (and (= (type ?x949) intType) (= (type ?S382) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S382 ?x949)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_WMI_COMM_DATA ?S382) (int_2_U (Parity__SERIAL_WMI_COMM_DATA (U_2_int ?x949))))) boolTrue))) :pattern ((MapType0Select ?S382 ?x949) (x_S_Parity__SERIAL_WMI_COMM_DATA ?S382)) )) (forall ((?x950 boogieU) (?S383 boogieU)) (! (=> (and (= (type ?x950) intType) (= (type ?S383) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S383 ?x950)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Parity__SERIAL_WMI_COMM_DATAInv ?S383) (int_2_U (Parity__SERIAL_WMI_COMM_DATAInv (U_2_int ?x950))))) boolTrue))) :pattern ((MapType0Select ?S383 ?x950) (x_S_Parity__SERIAL_WMI_COMM_DATAInv ?S383)) )) (forall ((?x951 Int)) (! (= (Parity__SERIAL_WMI_COMM_DATA ?x951) (+ ?x951 8)) :pattern ((Parity__SERIAL_WMI_COMM_DATA ?x951)) )) (forall ((?x952 Int)) (! (= (Parity__SERIAL_WMI_COMM_DATAInv ?x952) (- ?x952 8)) :pattern ((Parity__SERIAL_WMI_COMM_DATAInv ?x952)) )) (forall ((?x953 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x953 8 1) (Parity__SERIAL_WMI_COMM_DATAInv ?x953)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x953 8 1)) )) (forall ((?x954 Int)) (! (= (MINUS_LEFT_PTR ?x954 1 8) (Parity__SERIAL_WMI_COMM_DATAInv ?x954)) :pattern ((MINUS_LEFT_PTR ?x954 1 8)) )) (forall ((?x955 Int)) (! (= (Pdo__SERIAL_DEVICE_EXTENSIONInv (Pdo__SERIAL_DEVICE_EXTENSION ?x955)) ?x955) :pattern ((Pdo__SERIAL_DEVICE_EXTENSIONInv (Pdo__SERIAL_DEVICE_EXTENSION ?x955))) )) (forall ((?x956 Int)) (! (= (Pdo__SERIAL_DEVICE_EXTENSION (Pdo__SERIAL_DEVICE_EXTENSIONInv ?x956)) ?x956) :pattern ((Pdo__SERIAL_DEVICE_EXTENSIONInv ?x956)) )) (forall ((?x957 boogieU) (?S384 boogieU)) (! (=> (and (= (type ?x957) intType) (= (type ?S384) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Pdo__SERIAL_DEVICE_EXTENSION ?S384) ?x957)) boolTrue) (= (U_2_bool (MapType0Select ?S384 (int_2_U (Pdo__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x957))))) boolTrue))) :pattern ((MapType0Select (x_S_Pdo__SERIAL_DEVICE_EXTENSION ?S384) ?x957)) )) (forall ((?x958 boogieU) (?S385 boogieU)) (! (=> (and (= (type ?x958) intType) (= (type ?S385) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv ?S385) ?x958)) boolTrue) (= (U_2_bool (MapType0Select ?S385 (int_2_U (Pdo__SERIAL_DEVICE_EXTENSION (U_2_int ?x958))))) boolTrue))) :pattern ((MapType0Select (x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv ?S385) ?x958)) )) (forall ((?x959 boogieU) (?S386 boogieU)) (! (=> (and (= (type ?x959) intType) (= (type ?S386) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S386 ?x959)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Pdo__SERIAL_DEVICE_EXTENSION ?S386) (int_2_U (Pdo__SERIAL_DEVICE_EXTENSION (U_2_int ?x959))))) boolTrue))) :pattern ((MapType0Select ?S386 ?x959) (x_S_Pdo__SERIAL_DEVICE_EXTENSION ?S386)) )) (forall ((?x960 boogieU) (?S387 boogieU)) (! (=> (and (= (type ?x960) intType) (= (type ?S387) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S387 ?x960)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv ?S387) (int_2_U (Pdo__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x960))))) boolTrue))) :pattern ((MapType0Select ?S387 ?x960) (x_S_Pdo__SERIAL_DEVICE_EXTENSIONInv ?S387)) )) (forall ((?x961 Int)) (! (= (Pdo__SERIAL_DEVICE_EXTENSION ?x961) (+ ?x961 1432)) :pattern ((Pdo__SERIAL_DEVICE_EXTENSION ?x961)) )) (forall ((?x962 Int)) (! (= (Pdo__SERIAL_DEVICE_EXTENSIONInv ?x962) (- ?x962 1432)) :pattern ((Pdo__SERIAL_DEVICE_EXTENSIONInv ?x962)) )) (forall ((?x963 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x963 1432 1) (Pdo__SERIAL_DEVICE_EXTENSIONInv ?x963)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x963 1432 1)) )) (forall ((?x964 Int)) (! (= (MINUS_LEFT_PTR ?x964 1 1432) (Pdo__SERIAL_DEVICE_EXTENSIONInv ?x964)) :pattern ((MINUS_LEFT_PTR ?x964 1 1432)) )) (forall ((?x965 Int)) (! (= (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv (PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?x965)) ?x965) :pattern ((PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv (PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?x965))) )) (forall ((?x966 Int)) (! (= (PendingDpcEvent__SERIAL_DEVICE_EXTENSION (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?x966)) ?x966) :pattern ((PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?x966)) )) (forall ((?x967 boogieU) (?S388 boogieU)) (! (=> (and (= (type ?x967) intType) (= (type ?S388) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?S388) ?x967)) boolTrue) (= (U_2_bool (MapType0Select ?S388 (int_2_U (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x967))))) boolTrue))) :pattern ((MapType0Select (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?S388) ?x967)) )) (forall ((?x968 boogieU) (?S389 boogieU)) (! (=> (and (= (type ?x968) intType) (= (type ?S389) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?S389) ?x968)) boolTrue) (= (U_2_bool (MapType0Select ?S389 (int_2_U (PendingDpcEvent__SERIAL_DEVICE_EXTENSION (U_2_int ?x968))))) boolTrue))) :pattern ((MapType0Select (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?S389) ?x968)) )) (forall ((?x969 boogieU) (?S390 boogieU)) (! (=> (and (= (type ?x969) intType) (= (type ?S390) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S390 ?x969)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?S390) (int_2_U (PendingDpcEvent__SERIAL_DEVICE_EXTENSION (U_2_int ?x969))))) boolTrue))) :pattern ((MapType0Select ?S390 ?x969) (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?S390)) )) (forall ((?x970 boogieU) (?S391 boogieU)) (! (=> (and (= (type ?x970) intType) (= (type ?S391) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S391 ?x970)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?S391) (int_2_U (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x970))))) boolTrue))) :pattern ((MapType0Select ?S391 ?x970) (x_S_PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?S391)) )) (forall ((?x971 Int)) (! (= (PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?x971) (+ ?x971 1620)) :pattern ((PendingDpcEvent__SERIAL_DEVICE_EXTENSION ?x971)) )) (forall ((?x972 Int)) (! (= (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?x972) (- ?x972 1620)) :pattern ((PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?x972)) )) (forall ((?x973 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x973 1620 1) (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?x973)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x973 1620 1)) )) (forall ((?x974 Int)) (! (= (MINUS_LEFT_PTR ?x974 1 1620) (PendingDpcEvent__SERIAL_DEVICE_EXTENSIONInv ?x974)) :pattern ((MINUS_LEFT_PTR ?x974 1 1620)) )) (forall ((?x975 Int)) (! (= (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv (PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?x975)) ?x975) :pattern ((PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv (PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?x975))) )) (forall ((?x976 Int)) (! (= (PendingIRPCnt__SERIAL_DEVICE_EXTENSION (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?x976)) ?x976) :pattern ((PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?x976)) )) (forall ((?x977 boogieU) (?S392 boogieU)) (! (=> (and (= (type ?x977) intType) (= (type ?S392) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?S392) ?x977)) boolTrue) (= (U_2_bool (MapType0Select ?S392 (int_2_U (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x977))))) boolTrue))) :pattern ((MapType0Select (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?S392) ?x977)) )) (forall ((?x978 boogieU) (?S393 boogieU)) (! (=> (and (= (type ?x978) intType) (= (type ?S393) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?S393) ?x978)) boolTrue) (= (U_2_bool (MapType0Select ?S393 (int_2_U (PendingIRPCnt__SERIAL_DEVICE_EXTENSION (U_2_int ?x978))))) boolTrue))) :pattern ((MapType0Select (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?S393) ?x978)) )) (forall ((?x979 boogieU) (?S394 boogieU)) (! (=> (and (= (type ?x979) intType) (= (type ?S394) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S394 ?x979)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?S394) (int_2_U (PendingIRPCnt__SERIAL_DEVICE_EXTENSION (U_2_int ?x979))))) boolTrue))) :pattern ((MapType0Select ?S394 ?x979) (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?S394)) )) (forall ((?x980 boogieU) (?S395 boogieU)) (! (=> (and (= (type ?x980) intType) (= (type ?S395) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S395 ?x980)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?S395) (int_2_U (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x980))))) boolTrue))) :pattern ((MapType0Select ?S395 ?x980) (x_S_PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?S395)) )) (forall ((?x981 Int)) (! (= (PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?x981) (+ ?x981 1248)) :pattern ((PendingIRPCnt__SERIAL_DEVICE_EXTENSION ?x981)) )) (forall ((?x982 Int)) (! (= (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?x982) (- ?x982 1248)) :pattern ((PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?x982)) )) (forall ((?x983 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x983 1248 1) (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?x983)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x983 1248 1)) )) (forall ((?x984 Int)) (! (= (MINUS_LEFT_PTR ?x984 1 1248) (PendingIRPCnt__SERIAL_DEVICE_EXTENSIONInv ?x984)) :pattern ((MINUS_LEFT_PTR ?x984 1 1248)) )) (forall ((?x985 Int)) (! (= (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv (PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?x985)) ?x985) :pattern ((PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv (PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?x985))) )) (forall ((?x986 Int)) (! (= (PendingIRPEvent__SERIAL_DEVICE_EXTENSION (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?x986)) ?x986) :pattern ((PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?x986)) )) (forall ((?x987 boogieU) (?S396 boogieU)) (! (=> (and (= (type ?x987) intType) (= (type ?S396) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?S396) ?x987)) boolTrue) (= (U_2_bool (MapType0Select ?S396 (int_2_U (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x987))))) boolTrue))) :pattern ((MapType0Select (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?S396) ?x987)) )) (forall ((?x988 boogieU) (?S397 boogieU)) (! (=> (and (= (type ?x988) intType) (= (type ?S397) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?S397) ?x988)) boolTrue) (= (U_2_bool (MapType0Select ?S397 (int_2_U (PendingIRPEvent__SERIAL_DEVICE_EXTENSION (U_2_int ?x988))))) boolTrue))) :pattern ((MapType0Select (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?S397) ?x988)) )) (forall ((?x989 boogieU) (?S398 boogieU)) (! (=> (and (= (type ?x989) intType) (= (type ?S398) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S398 ?x989)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?S398) (int_2_U (PendingIRPEvent__SERIAL_DEVICE_EXTENSION (U_2_int ?x989))))) boolTrue))) :pattern ((MapType0Select ?S398 ?x989) (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?S398)) )) (forall ((?x990 boogieU) (?S399 boogieU)) (! (=> (and (= (type ?x990) intType) (= (type ?S399) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S399 ?x990)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?S399) (int_2_U (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x990))))) boolTrue))) :pattern ((MapType0Select ?S399 ?x990) (x_S_PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?S399)) )) (forall ((?x991 Int)) (! (= (PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?x991) (+ ?x991 1256)) :pattern ((PendingIRPEvent__SERIAL_DEVICE_EXTENSION ?x991)) )) (forall ((?x992 Int)) (! (= (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?x992) (- ?x992 1256)) :pattern ((PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?x992)) )) (forall ((?x993 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x993 1256 1) (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?x993)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x993 1256 1)) )) (forall ((?x994 Int)) (! (= (MINUS_LEFT_PTR ?x994 1 1256) (PendingIRPEvent__SERIAL_DEVICE_EXTENSIONInv ?x994)) :pattern ((MINUS_LEFT_PTR ?x994 1 1256)) )) (forall ((?x995 Int)) (! (= (PowerState__SERIAL_DEVICE_EXTENSIONInv (PowerState__SERIAL_DEVICE_EXTENSION ?x995)) ?x995) :pattern ((PowerState__SERIAL_DEVICE_EXTENSIONInv (PowerState__SERIAL_DEVICE_EXTENSION ?x995))) )) (forall ((?x996 Int)) (! (= (PowerState__SERIAL_DEVICE_EXTENSION (PowerState__SERIAL_DEVICE_EXTENSIONInv ?x996)) ?x996) :pattern ((PowerState__SERIAL_DEVICE_EXTENSIONInv ?x996)) )) (forall ((?x997 boogieU) (?S400 boogieU)) (! (=> (and (= (type ?x997) intType) (= (type ?S400) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PowerState__SERIAL_DEVICE_EXTENSION ?S400) ?x997)) boolTrue) (= (U_2_bool (MapType0Select ?S400 (int_2_U (PowerState__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x997))))) boolTrue))) :pattern ((MapType0Select (x_S_PowerState__SERIAL_DEVICE_EXTENSION ?S400) ?x997)) )) (forall ((?x998 boogieU) (?S401 boogieU)) (! (=> (and (= (type ?x998) intType) (= (type ?S401) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv ?S401) ?x998)) boolTrue) (= (U_2_bool (MapType0Select ?S401 (int_2_U (PowerState__SERIAL_DEVICE_EXTENSION (U_2_int ?x998))))) boolTrue))) :pattern ((MapType0Select (x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv ?S401) ?x998)) )) (forall ((?x999 boogieU) (?S402 boogieU)) (! (=> (and (= (type ?x999) intType) (= (type ?S402) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S402 ?x999)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PowerState__SERIAL_DEVICE_EXTENSION ?S402) (int_2_U (PowerState__SERIAL_DEVICE_EXTENSION (U_2_int ?x999))))) boolTrue))) :pattern ((MapType0Select ?S402 ?x999) (x_S_PowerState__SERIAL_DEVICE_EXTENSION ?S402)) )) (forall ((?x1000 boogieU) (?S403 boogieU)) (! (=> (and (= (type ?x1000) intType) (= (type ?S403) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S403 ?x1000)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv ?S403) (int_2_U (PowerState__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1000))))) boolTrue))) :pattern ((MapType0Select ?S403 ?x1000) (x_S_PowerState__SERIAL_DEVICE_EXTENSIONInv ?S403)) )) (forall ((?x1001 Int)) (! (= (PowerState__SERIAL_DEVICE_EXTENSION ?x1001) (+ ?x1001 1212)) :pattern ((PowerState__SERIAL_DEVICE_EXTENSION ?x1001)) )) (forall ((?x1002 Int)) (! (= (PowerState__SERIAL_DEVICE_EXTENSIONInv ?x1002) (- ?x1002 1212)) :pattern ((PowerState__SERIAL_DEVICE_EXTENSIONInv ?x1002)) )) (forall ((?x1003 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1003 1212 1) (PowerState__SERIAL_DEVICE_EXTENSIONInv ?x1003)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1003 1212 1)) )) (forall ((?x1004 Int)) (! (= (MINUS_LEFT_PTR ?x1004 1 1212) (PowerState__SERIAL_DEVICE_EXTENSIONInv ?x1004)) :pattern ((MINUS_LEFT_PTR ?x1004 1 1212)) )) (forall ((?x1005 Int)) (! (= (ProvCapabilities__SERIAL_COMMPROPInv (ProvCapabilities__SERIAL_COMMPROP ?x1005)) ?x1005) :pattern ((ProvCapabilities__SERIAL_COMMPROPInv (ProvCapabilities__SERIAL_COMMPROP ?x1005))) )) (forall ((?x1006 Int)) (! (= (ProvCapabilities__SERIAL_COMMPROP (ProvCapabilities__SERIAL_COMMPROPInv ?x1006)) ?x1006) :pattern ((ProvCapabilities__SERIAL_COMMPROPInv ?x1006)) )) (forall ((?x1007 boogieU) (?S404 boogieU)) (! (=> (and (= (type ?x1007) intType) (= (type ?S404) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ProvCapabilities__SERIAL_COMMPROP ?S404) ?x1007)) boolTrue) (= (U_2_bool (MapType0Select ?S404 (int_2_U (ProvCapabilities__SERIAL_COMMPROPInv (U_2_int ?x1007))))) boolTrue))) :pattern ((MapType0Select (x_S_ProvCapabilities__SERIAL_COMMPROP ?S404) ?x1007)) )) (forall ((?x1008 boogieU) (?S405 boogieU)) (! (=> (and (= (type ?x1008) intType) (= (type ?S405) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ProvCapabilities__SERIAL_COMMPROPInv ?S405) ?x1008)) boolTrue) (= (U_2_bool (MapType0Select ?S405 (int_2_U (ProvCapabilities__SERIAL_COMMPROP (U_2_int ?x1008))))) boolTrue))) :pattern ((MapType0Select (x_S_ProvCapabilities__SERIAL_COMMPROPInv ?S405) ?x1008)) )) (forall ((?x1009 boogieU) (?S406 boogieU)) (! (=> (and (= (type ?x1009) intType) (= (type ?S406) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S406 ?x1009)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ProvCapabilities__SERIAL_COMMPROP ?S406) (int_2_U (ProvCapabilities__SERIAL_COMMPROP (U_2_int ?x1009))))) boolTrue))) :pattern ((MapType0Select ?S406 ?x1009) (x_S_ProvCapabilities__SERIAL_COMMPROP ?S406)) )) (forall ((?x1010 boogieU) (?S407 boogieU)) (! (=> (and (= (type ?x1010) intType) (= (type ?S407) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S407 ?x1010)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ProvCapabilities__SERIAL_COMMPROPInv ?S407) (int_2_U (ProvCapabilities__SERIAL_COMMPROPInv (U_2_int ?x1010))))) boolTrue))) :pattern ((MapType0Select ?S407 ?x1010) (x_S_ProvCapabilities__SERIAL_COMMPROPInv ?S407)) )) (forall ((?x1011 Int)) (! (= (ProvCapabilities__SERIAL_COMMPROP ?x1011) (+ ?x1011 28)) :pattern ((ProvCapabilities__SERIAL_COMMPROP ?x1011)) )) (forall ((?x1012 Int)) (! (= (ProvCapabilities__SERIAL_COMMPROPInv ?x1012) (- ?x1012 28)) :pattern ((ProvCapabilities__SERIAL_COMMPROPInv ?x1012)) )) (forall ((?x1013 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1013 28 1) (ProvCapabilities__SERIAL_COMMPROPInv ?x1013)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1013 28 1)) )) (forall ((?x1014 Int)) (! (= (MINUS_LEFT_PTR ?x1014 1 28) (ProvCapabilities__SERIAL_COMMPROPInv ?x1014)) :pattern ((MINUS_LEFT_PTR ?x1014 1 28)) )) (forall ((?x1015 Int)) (! (= (ProvSubType__SERIAL_COMMPROPInv (ProvSubType__SERIAL_COMMPROP ?x1015)) ?x1015) :pattern ((ProvSubType__SERIAL_COMMPROPInv (ProvSubType__SERIAL_COMMPROP ?x1015))) )) (forall ((?x1016 Int)) (! (= (ProvSubType__SERIAL_COMMPROP (ProvSubType__SERIAL_COMMPROPInv ?x1016)) ?x1016) :pattern ((ProvSubType__SERIAL_COMMPROPInv ?x1016)) )) (forall ((?x1017 boogieU) (?S408 boogieU)) (! (=> (and (= (type ?x1017) intType) (= (type ?S408) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ProvSubType__SERIAL_COMMPROP ?S408) ?x1017)) boolTrue) (= (U_2_bool (MapType0Select ?S408 (int_2_U (ProvSubType__SERIAL_COMMPROPInv (U_2_int ?x1017))))) boolTrue))) :pattern ((MapType0Select (x_S_ProvSubType__SERIAL_COMMPROP ?S408) ?x1017)) )) (forall ((?x1018 boogieU) (?S409 boogieU)) (! (=> (and (= (type ?x1018) intType) (= (type ?S409) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ProvSubType__SERIAL_COMMPROPInv ?S409) ?x1018)) boolTrue) (= (U_2_bool (MapType0Select ?S409 (int_2_U (ProvSubType__SERIAL_COMMPROP (U_2_int ?x1018))))) boolTrue))) :pattern ((MapType0Select (x_S_ProvSubType__SERIAL_COMMPROPInv ?S409) ?x1018)) )) (forall ((?x1019 boogieU) (?S410 boogieU)) (! (=> (and (= (type ?x1019) intType) (= (type ?S410) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S410 ?x1019)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ProvSubType__SERIAL_COMMPROP ?S410) (int_2_U (ProvSubType__SERIAL_COMMPROP (U_2_int ?x1019))))) boolTrue))) :pattern ((MapType0Select ?S410 ?x1019) (x_S_ProvSubType__SERIAL_COMMPROP ?S410)) )) (forall ((?x1020 boogieU) (?S411 boogieU)) (! (=> (and (= (type ?x1020) intType) (= (type ?S411) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S411 ?x1020)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ProvSubType__SERIAL_COMMPROPInv ?S411) (int_2_U (ProvSubType__SERIAL_COMMPROPInv (U_2_int ?x1020))))) boolTrue))) :pattern ((MapType0Select ?S411 ?x1020) (x_S_ProvSubType__SERIAL_COMMPROPInv ?S411)) )) (forall ((?x1021 Int)) (! (= (ProvSubType__SERIAL_COMMPROP ?x1021) (+ ?x1021 24)) :pattern ((ProvSubType__SERIAL_COMMPROP ?x1021)) )) (forall ((?x1022 Int)) (! (= (ProvSubType__SERIAL_COMMPROPInv ?x1022) (- ?x1022 24)) :pattern ((ProvSubType__SERIAL_COMMPROPInv ?x1022)) )) (forall ((?x1023 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1023 24 1) (ProvSubType__SERIAL_COMMPROPInv ?x1023)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1023 24 1)) )) (forall ((?x1024 Int)) (! (= (MINUS_LEFT_PTR ?x1024 1 24) (ProvSubType__SERIAL_COMMPROPInv ?x1024)) :pattern ((MINUS_LEFT_PTR ?x1024 1 24)) )) (forall ((?x1025 Int)) (! (= (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv (PurgeQueue__SERIAL_DEVICE_EXTENSION ?x1025)) ?x1025) :pattern ((PurgeQueue__SERIAL_DEVICE_EXTENSIONInv (PurgeQueue__SERIAL_DEVICE_EXTENSION ?x1025))) )) (forall ((?x1026 Int)) (! (= (PurgeQueue__SERIAL_DEVICE_EXTENSION (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?x1026)) ?x1026) :pattern ((PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?x1026)) )) (forall ((?x1027 boogieU) (?S412 boogieU)) (! (=> (and (= (type ?x1027) intType) (= (type ?S412) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION ?S412) ?x1027)) boolTrue) (= (U_2_bool (MapType0Select ?S412 (int_2_U (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1027))))) boolTrue))) :pattern ((MapType0Select (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION ?S412) ?x1027)) )) (forall ((?x1028 boogieU) (?S413 boogieU)) (! (=> (and (= (type ?x1028) intType) (= (type ?S413) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?S413) ?x1028)) boolTrue) (= (U_2_bool (MapType0Select ?S413 (int_2_U (PurgeQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1028))))) boolTrue))) :pattern ((MapType0Select (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?S413) ?x1028)) )) (forall ((?x1029 boogieU) (?S414 boogieU)) (! (=> (and (= (type ?x1029) intType) (= (type ?S414) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S414 ?x1029)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION ?S414) (int_2_U (PurgeQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1029))))) boolTrue))) :pattern ((MapType0Select ?S414 ?x1029) (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSION ?S414)) )) (forall ((?x1030 boogieU) (?S415 boogieU)) (! (=> (and (= (type ?x1030) intType) (= (type ?S415) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S415 ?x1030)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?S415) (int_2_U (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1030))))) boolTrue))) :pattern ((MapType0Select ?S415 ?x1030) (x_S_PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?S415)) )) (forall ((?x1031 Int)) (! (= (PurgeQueue__SERIAL_DEVICE_EXTENSION ?x1031) (+ ?x1031 180)) :pattern ((PurgeQueue__SERIAL_DEVICE_EXTENSION ?x1031)) )) (forall ((?x1032 Int)) (! (= (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?x1032) (- ?x1032 180)) :pattern ((PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?x1032)) )) (forall ((?x1033 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1033 180 1) (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?x1033)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1033 180 1)) )) (forall ((?x1034 Int)) (! (= (MINUS_LEFT_PTR ?x1034 1 180) (PurgeQueue__SERIAL_DEVICE_EXTENSIONInv ?x1034)) :pattern ((MINUS_LEFT_PTR ?x1034 1 180)) )) (forall ((?x1035 Int)) (! (= (QuadPart__LARGE_INTEGERInv (QuadPart__LARGE_INTEGER ?x1035)) ?x1035) :pattern ((QuadPart__LARGE_INTEGERInv (QuadPart__LARGE_INTEGER ?x1035))) )) (forall ((?x1036 Int)) (! (= (QuadPart__LARGE_INTEGER (QuadPart__LARGE_INTEGERInv ?x1036)) ?x1036) :pattern ((QuadPart__LARGE_INTEGERInv ?x1036)) )) (forall ((?x1037 boogieU) (?S416 boogieU)) (! (=> (and (= (type ?x1037) intType) (= (type ?S416) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_QuadPart__LARGE_INTEGER ?S416) ?x1037)) boolTrue) (= (U_2_bool (MapType0Select ?S416 (int_2_U (QuadPart__LARGE_INTEGERInv (U_2_int ?x1037))))) boolTrue))) :pattern ((MapType0Select (x_S_QuadPart__LARGE_INTEGER ?S416) ?x1037)) )) (forall ((?x1038 boogieU) (?S417 boogieU)) (! (=> (and (= (type ?x1038) intType) (= (type ?S417) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_QuadPart__LARGE_INTEGERInv ?S417) ?x1038)) boolTrue) (= (U_2_bool (MapType0Select ?S417 (int_2_U (QuadPart__LARGE_INTEGER (U_2_int ?x1038))))) boolTrue))) :pattern ((MapType0Select (x_S_QuadPart__LARGE_INTEGERInv ?S417) ?x1038)) )) (forall ((?x1039 boogieU) (?S418 boogieU)) (! (=> (and (= (type ?x1039) intType) (= (type ?S418) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S418 ?x1039)) boolTrue) (= (U_2_bool (MapType0Select (x_S_QuadPart__LARGE_INTEGER ?S418) (int_2_U (QuadPart__LARGE_INTEGER (U_2_int ?x1039))))) boolTrue))) :pattern ((MapType0Select ?S418 ?x1039) (x_S_QuadPart__LARGE_INTEGER ?S418)) )) (forall ((?x1040 boogieU) (?S419 boogieU)) (! (=> (and (= (type ?x1040) intType) (= (type ?S419) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S419 ?x1040)) boolTrue) (= (U_2_bool (MapType0Select (x_S_QuadPart__LARGE_INTEGERInv ?S419) (int_2_U (QuadPart__LARGE_INTEGERInv (U_2_int ?x1040))))) boolTrue))) :pattern ((MapType0Select ?S419 ?x1040) (x_S_QuadPart__LARGE_INTEGERInv ?S419)) )) (forall ((?x1041 Int)) (! (= (QuadPart__LARGE_INTEGER ?x1041) (+ ?x1041 0)) :pattern ((QuadPart__LARGE_INTEGER ?x1041)) )) (forall ((?x1042 Int)) (! (= (QuadPart__LARGE_INTEGERInv ?x1042) (- ?x1042 0)) :pattern ((QuadPart__LARGE_INTEGERInv ?x1042)) )) (forall ((?x1043 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1043 0 1) (QuadPart__LARGE_INTEGERInv ?x1043)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1043 0 1)) )) (forall ((?x1044 Int)) (! (= (MINUS_LEFT_PTR ?x1044 1 0) (QuadPart__LARGE_INTEGERInv ?x1044)) :pattern ((MINUS_LEFT_PTR ?x1044 1 0)) )) (forall ((?x1045 Int)) (! (= (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv (ReadByIsr__SERIAL_DEVICE_EXTENSION ?x1045)) ?x1045) :pattern ((ReadByIsr__SERIAL_DEVICE_EXTENSIONInv (ReadByIsr__SERIAL_DEVICE_EXTENSION ?x1045))) )) (forall ((?x1046 Int)) (! (= (ReadByIsr__SERIAL_DEVICE_EXTENSION (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?x1046)) ?x1046) :pattern ((ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?x1046)) )) (forall ((?x1047 boogieU) (?S420 boogieU)) (! (=> (and (= (type ?x1047) intType) (= (type ?S420) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION ?S420) ?x1047)) boolTrue) (= (U_2_bool (MapType0Select ?S420 (int_2_U (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1047))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION ?S420) ?x1047)) )) (forall ((?x1048 boogieU) (?S421 boogieU)) (! (=> (and (= (type ?x1048) intType) (= (type ?S421) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?S421) ?x1048)) boolTrue) (= (U_2_bool (MapType0Select ?S421 (int_2_U (ReadByIsr__SERIAL_DEVICE_EXTENSION (U_2_int ?x1048))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?S421) ?x1048)) )) (forall ((?x1049 boogieU) (?S422 boogieU)) (! (=> (and (= (type ?x1049) intType) (= (type ?S422) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S422 ?x1049)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION ?S422) (int_2_U (ReadByIsr__SERIAL_DEVICE_EXTENSION (U_2_int ?x1049))))) boolTrue))) :pattern ((MapType0Select ?S422 ?x1049) (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSION ?S422)) )) (forall ((?x1050 boogieU) (?S423 boogieU)) (! (=> (and (= (type ?x1050) intType) (= (type ?S423) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S423 ?x1050)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?S423) (int_2_U (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1050))))) boolTrue))) :pattern ((MapType0Select ?S423 ?x1050) (x_S_ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?S423)) )) (forall ((?x1051 Int)) (! (= (ReadByIsr__SERIAL_DEVICE_EXTENSION ?x1051) (+ ?x1051 296)) :pattern ((ReadByIsr__SERIAL_DEVICE_EXTENSION ?x1051)) )) (forall ((?x1052 Int)) (! (= (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?x1052) (- ?x1052 296)) :pattern ((ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?x1052)) )) (forall ((?x1053 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1053 296 1) (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?x1053)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1053 296 1)) )) (forall ((?x1054 Int)) (! (= (MINUS_LEFT_PTR ?x1054 1 296) (ReadByIsr__SERIAL_DEVICE_EXTENSIONInv ?x1054)) :pattern ((MINUS_LEFT_PTR ?x1054 1 296)) )) (forall ((?x1055 Int)) (! (= (ReadIntervalTimeout__SERIAL_TIMEOUTSInv (ReadIntervalTimeout__SERIAL_TIMEOUTS ?x1055)) ?x1055) :pattern ((ReadIntervalTimeout__SERIAL_TIMEOUTSInv (ReadIntervalTimeout__SERIAL_TIMEOUTS ?x1055))) )) (forall ((?x1056 Int)) (! (= (ReadIntervalTimeout__SERIAL_TIMEOUTS (ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?x1056)) ?x1056) :pattern ((ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?x1056)) )) (forall ((?x1057 boogieU) (?S424 boogieU)) (! (=> (and (= (type ?x1057) intType) (= (type ?S424) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS ?S424) ?x1057)) boolTrue) (= (U_2_bool (MapType0Select ?S424 (int_2_U (ReadIntervalTimeout__SERIAL_TIMEOUTSInv (U_2_int ?x1057))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS ?S424) ?x1057)) )) (forall ((?x1058 boogieU) (?S425 boogieU)) (! (=> (and (= (type ?x1058) intType) (= (type ?S425) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?S425) ?x1058)) boolTrue) (= (U_2_bool (MapType0Select ?S425 (int_2_U (ReadIntervalTimeout__SERIAL_TIMEOUTS (U_2_int ?x1058))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?S425) ?x1058)) )) (forall ((?x1059 boogieU) (?S426 boogieU)) (! (=> (and (= (type ?x1059) intType) (= (type ?S426) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S426 ?x1059)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS ?S426) (int_2_U (ReadIntervalTimeout__SERIAL_TIMEOUTS (U_2_int ?x1059))))) boolTrue))) :pattern ((MapType0Select ?S426 ?x1059) (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTS ?S426)) )) (forall ((?x1060 boogieU) (?S427 boogieU)) (! (=> (and (= (type ?x1060) intType) (= (type ?S427) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S427 ?x1060)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?S427) (int_2_U (ReadIntervalTimeout__SERIAL_TIMEOUTSInv (U_2_int ?x1060))))) boolTrue))) :pattern ((MapType0Select ?S427 ?x1060) (x_S_ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?S427)) )) (forall ((?x1061 Int)) (! (= (ReadIntervalTimeout__SERIAL_TIMEOUTS ?x1061) (+ ?x1061 0)) :pattern ((ReadIntervalTimeout__SERIAL_TIMEOUTS ?x1061)) )) (forall ((?x1062 Int)) (! (= (ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?x1062) (- ?x1062 0)) :pattern ((ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?x1062)) )) (forall ((?x1063 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1063 0 1) (ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?x1063)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1063 0 1)) )) (forall ((?x1064 Int)) (! (= (MINUS_LEFT_PTR ?x1064 1 0) (ReadIntervalTimeout__SERIAL_TIMEOUTSInv ?x1064)) :pattern ((MINUS_LEFT_PTR ?x1064 1 0)) )) (forall ((?x1065 Int)) (! (= (ReadQueue__SERIAL_DEVICE_EXTENSIONInv (ReadQueue__SERIAL_DEVICE_EXTENSION ?x1065)) ?x1065) :pattern ((ReadQueue__SERIAL_DEVICE_EXTENSIONInv (ReadQueue__SERIAL_DEVICE_EXTENSION ?x1065))) )) (forall ((?x1066 Int)) (! (= (ReadQueue__SERIAL_DEVICE_EXTENSION (ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?x1066)) ?x1066) :pattern ((ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?x1066)) )) (forall ((?x1067 boogieU) (?S428 boogieU)) (! (=> (and (= (type ?x1067) intType) (= (type ?S428) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadQueue__SERIAL_DEVICE_EXTENSION ?S428) ?x1067)) boolTrue) (= (U_2_bool (MapType0Select ?S428 (int_2_U (ReadQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1067))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadQueue__SERIAL_DEVICE_EXTENSION ?S428) ?x1067)) )) (forall ((?x1068 boogieU) (?S429 boogieU)) (! (=> (and (= (type ?x1068) intType) (= (type ?S429) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?S429) ?x1068)) boolTrue) (= (U_2_bool (MapType0Select ?S429 (int_2_U (ReadQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1068))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?S429) ?x1068)) )) (forall ((?x1069 boogieU) (?S430 boogieU)) (! (=> (and (= (type ?x1069) intType) (= (type ?S430) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S430 ?x1069)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadQueue__SERIAL_DEVICE_EXTENSION ?S430) (int_2_U (ReadQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1069))))) boolTrue))) :pattern ((MapType0Select ?S430 ?x1069) (x_S_ReadQueue__SERIAL_DEVICE_EXTENSION ?S430)) )) (forall ((?x1070 boogieU) (?S431 boogieU)) (! (=> (and (= (type ?x1070) intType) (= (type ?S431) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S431 ?x1070)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?S431) (int_2_U (ReadQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1070))))) boolTrue))) :pattern ((MapType0Select ?S431 ?x1070) (x_S_ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?S431)) )) (forall ((?x1071 Int)) (! (= (ReadQueue__SERIAL_DEVICE_EXTENSION ?x1071) (+ ?x1071 156)) :pattern ((ReadQueue__SERIAL_DEVICE_EXTENSION ?x1071)) )) (forall ((?x1072 Int)) (! (= (ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?x1072) (- ?x1072 156)) :pattern ((ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?x1072)) )) (forall ((?x1073 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1073 156 1) (ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?x1073)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1073 156 1)) )) (forall ((?x1074 Int)) (! (= (MINUS_LEFT_PTR ?x1074 1 156) (ReadQueue__SERIAL_DEVICE_EXTENSIONInv ?x1074)) :pattern ((MINUS_LEFT_PTR ?x1074 1 156)) )) (forall ((?x1075 Int)) (! (= (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?x1075)) ?x1075) :pattern ((ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?x1075))) )) (forall ((?x1076 Int)) (! (= (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1076)) ?x1076) :pattern ((ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1076)) )) (forall ((?x1077 boogieU) (?S432 boogieU)) (! (=> (and (= (type ?x1077) intType) (= (type ?S432) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?S432) ?x1077)) boolTrue) (= (U_2_bool (MapType0Select ?S432 (int_2_U (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1077))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?S432) ?x1077)) )) (forall ((?x1078 boogieU) (?S433 boogieU)) (! (=> (and (= (type ?x1078) intType) (= (type ?S433) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?S433) ?x1078)) boolTrue) (= (U_2_bool (MapType0Select ?S433 (int_2_U (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1078))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?S433) ?x1078)) )) (forall ((?x1079 boogieU) (?S434 boogieU)) (! (=> (and (= (type ?x1079) intType) (= (type ?S434) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S434 ?x1079)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?S434) (int_2_U (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1079))))) boolTrue))) :pattern ((MapType0Select ?S434 ?x1079) (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?S434)) )) (forall ((?x1080 boogieU) (?S435 boogieU)) (! (=> (and (= (type ?x1080) intType) (= (type ?S435) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S435 ?x1080)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?S435) (int_2_U (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1080))))) boolTrue))) :pattern ((MapType0Select ?S435 ?x1080) (x_S_ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?S435)) )) (forall ((?x1081 Int)) (! (= (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?x1081) (+ ?x1081 1008)) :pattern ((ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION ?x1081)) )) (forall ((?x1082 Int)) (! (= (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1082) (- ?x1082 1008)) :pattern ((ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1082)) )) (forall ((?x1083 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1083 1008 1) (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1083)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1083 1008 1)) )) (forall ((?x1084 Int)) (! (= (MINUS_LEFT_PTR ?x1084 1 1008) (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1084)) :pattern ((MINUS_LEFT_PTR ?x1084 1 1008)) )) (forall ((?x1085 Int)) (! (= (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1085)) ?x1085) :pattern ((ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1085))) )) (forall ((?x1086 Int)) (! (= (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1086)) ?x1086) :pattern ((ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1086)) )) (forall ((?x1087 boogieU) (?S436 boogieU)) (! (=> (and (= (type ?x1087) intType) (= (type ?S436) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S436) ?x1087)) boolTrue) (= (U_2_bool (MapType0Select ?S436 (int_2_U (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1087))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S436) ?x1087)) )) (forall ((?x1088 boogieU) (?S437 boogieU)) (! (=> (and (= (type ?x1088) intType) (= (type ?S437) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S437) ?x1088)) boolTrue) (= (U_2_bool (MapType0Select ?S437 (int_2_U (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1088))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S437) ?x1088)) )) (forall ((?x1089 boogieU) (?S438 boogieU)) (! (=> (and (= (type ?x1089) intType) (= (type ?S438) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S438 ?x1089)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S438) (int_2_U (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1089))))) boolTrue))) :pattern ((MapType0Select ?S438 ?x1089) (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S438)) )) (forall ((?x1090 boogieU) (?S439 boogieU)) (! (=> (and (= (type ?x1090) intType) (= (type ?S439) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S439 ?x1090)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S439) (int_2_U (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1090))))) boolTrue))) :pattern ((MapType0Select ?S439 ?x1090) (x_S_ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S439)) )) (forall ((?x1091 Int)) (! (= (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1091) (+ ?x1091 968)) :pattern ((ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1091)) )) (forall ((?x1092 Int)) (! (= (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1092) (- ?x1092 968)) :pattern ((ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1092)) )) (forall ((?x1093 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1093 968 1) (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1093)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1093 968 1)) )) (forall ((?x1094 Int)) (! (= (MINUS_LEFT_PTR ?x1094 1 968) (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1094)) :pattern ((MINUS_LEFT_PTR ?x1094 1 968)) )) (forall ((?x1095 Int)) (! (= (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv (ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1095)) ?x1095) :pattern ((ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv (ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1095))) )) (forall ((?x1096 Int)) (! (= (ReadTotalTimeoutConstant__SERIAL_TIMEOUTS (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1096)) ?x1096) :pattern ((ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1096)) )) (forall ((?x1097 boogieU) (?S440 boogieU)) (! (=> (and (= (type ?x1097) intType) (= (type ?S440) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?S440) ?x1097)) boolTrue) (= (U_2_bool (MapType0Select ?S440 (int_2_U (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv (U_2_int ?x1097))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?S440) ?x1097)) )) (forall ((?x1098 boogieU) (?S441 boogieU)) (! (=> (and (= (type ?x1098) intType) (= (type ?S441) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S441) ?x1098)) boolTrue) (= (U_2_bool (MapType0Select ?S441 (int_2_U (ReadTotalTimeoutConstant__SERIAL_TIMEOUTS (U_2_int ?x1098))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S441) ?x1098)) )) (forall ((?x1099 boogieU) (?S442 boogieU)) (! (=> (and (= (type ?x1099) intType) (= (type ?S442) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S442 ?x1099)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?S442) (int_2_U (ReadTotalTimeoutConstant__SERIAL_TIMEOUTS (U_2_int ?x1099))))) boolTrue))) :pattern ((MapType0Select ?S442 ?x1099) (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?S442)) )) (forall ((?x1100 boogieU) (?S443 boogieU)) (! (=> (and (= (type ?x1100) intType) (= (type ?S443) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S443 ?x1100)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S443) (int_2_U (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv (U_2_int ?x1100))))) boolTrue))) :pattern ((MapType0Select ?S443 ?x1100) (x_S_ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S443)) )) (forall ((?x1101 Int)) (! (= (ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1101) (+ ?x1101 8)) :pattern ((ReadTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1101)) )) (forall ((?x1102 Int)) (! (= (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1102) (- ?x1102 8)) :pattern ((ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1102)) )) (forall ((?x1103 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1103 8 1) (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1103)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1103 8 1)) )) (forall ((?x1104 Int)) (! (= (MINUS_LEFT_PTR ?x1104 1 8) (ReadTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1104)) :pattern ((MINUS_LEFT_PTR ?x1104 1 8)) )) (forall ((?x1105 Int)) (! (= (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1105)) ?x1105) :pattern ((ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1105))) )) (forall ((?x1106 Int)) (! (= (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1106)) ?x1106) :pattern ((ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1106)) )) (forall ((?x1107 boogieU) (?S444 boogieU)) (! (=> (and (= (type ?x1107) intType) (= (type ?S444) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S444) ?x1107)) boolTrue) (= (U_2_bool (MapType0Select ?S444 (int_2_U (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (U_2_int ?x1107))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S444) ?x1107)) )) (forall ((?x1108 boogieU) (?S445 boogieU)) (! (=> (and (= (type ?x1108) intType) (= (type ?S445) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S445) ?x1108)) boolTrue) (= (U_2_bool (MapType0Select ?S445 (int_2_U (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS (U_2_int ?x1108))))) boolTrue))) :pattern ((MapType0Select (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S445) ?x1108)) )) (forall ((?x1109 boogieU) (?S446 boogieU)) (! (=> (and (= (type ?x1109) intType) (= (type ?S446) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S446 ?x1109)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S446) (int_2_U (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS (U_2_int ?x1109))))) boolTrue))) :pattern ((MapType0Select ?S446 ?x1109) (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S446)) )) (forall ((?x1110 boogieU) (?S447 boogieU)) (! (=> (and (= (type ?x1110) intType) (= (type ?S447) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S447 ?x1110)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S447) (int_2_U (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (U_2_int ?x1110))))) boolTrue))) :pattern ((MapType0Select ?S447 ?x1110) (x_S_ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S447)) )) (forall ((?x1111 Int)) (! (= (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1111) (+ ?x1111 4)) :pattern ((ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1111)) )) (forall ((?x1112 Int)) (! (= (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1112) (- ?x1112 4)) :pattern ((ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1112)) )) (forall ((?x1113 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1113 4 1) (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1113)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1113 4 1)) )) (forall ((?x1114 Int)) (! (= (MINUS_LEFT_PTR ?x1114 1 4) (ReadTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1114)) :pattern ((MINUS_LEFT_PTR ?x1114 1 4)) )) (forall ((?x1115 Int)) (! (= (Read___unnamed_16_57edbc3aInv (Read___unnamed_16_57edbc3a ?x1115)) ?x1115) :pattern ((Read___unnamed_16_57edbc3aInv (Read___unnamed_16_57edbc3a ?x1115))) )) (forall ((?x1116 Int)) (! (= (Read___unnamed_16_57edbc3a (Read___unnamed_16_57edbc3aInv ?x1116)) ?x1116) :pattern ((Read___unnamed_16_57edbc3aInv ?x1116)) )) (forall ((?x1117 boogieU) (?S448 boogieU)) (! (=> (and (= (type ?x1117) intType) (= (type ?S448) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Read___unnamed_16_57edbc3a ?S448) ?x1117)) boolTrue) (= (U_2_bool (MapType0Select ?S448 (int_2_U (Read___unnamed_16_57edbc3aInv (U_2_int ?x1117))))) boolTrue))) :pattern ((MapType0Select (x_S_Read___unnamed_16_57edbc3a ?S448) ?x1117)) )) (forall ((?x1118 boogieU) (?S449 boogieU)) (! (=> (and (= (type ?x1118) intType) (= (type ?S449) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Read___unnamed_16_57edbc3aInv ?S449) ?x1118)) boolTrue) (= (U_2_bool (MapType0Select ?S449 (int_2_U (Read___unnamed_16_57edbc3a (U_2_int ?x1118))))) boolTrue))) :pattern ((MapType0Select (x_S_Read___unnamed_16_57edbc3aInv ?S449) ?x1118)) )) (forall ((?x1119 boogieU) (?S450 boogieU)) (! (=> (and (= (type ?x1119) intType) (= (type ?S450) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S450 ?x1119)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Read___unnamed_16_57edbc3a ?S450) (int_2_U (Read___unnamed_16_57edbc3a (U_2_int ?x1119))))) boolTrue))) :pattern ((MapType0Select ?S450 ?x1119) (x_S_Read___unnamed_16_57edbc3a ?S450)) )) (forall ((?x1120 boogieU) (?S451 boogieU)) (! (=> (and (= (type ?x1120) intType) (= (type ?S451) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S451 ?x1120)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Read___unnamed_16_57edbc3aInv ?S451) (int_2_U (Read___unnamed_16_57edbc3aInv (U_2_int ?x1120))))) boolTrue))) :pattern ((MapType0Select ?S451 ?x1120) (x_S_Read___unnamed_16_57edbc3aInv ?S451)) )) (forall ((?x1121 Int)) (! (= (Read___unnamed_16_57edbc3a ?x1121) (+ ?x1121 0)) :pattern ((Read___unnamed_16_57edbc3a ?x1121)) )) (forall ((?x1122 Int)) (! (= (Read___unnamed_16_57edbc3aInv ?x1122) (- ?x1122 0)) :pattern ((Read___unnamed_16_57edbc3aInv ?x1122)) )) (forall ((?x1123 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1123 0 1) (Read___unnamed_16_57edbc3aInv ?x1123)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1123 0 1)) )) (forall ((?x1124 Int)) (! (= (MINUS_LEFT_PTR ?x1124 1 0) (Read___unnamed_16_57edbc3aInv ?x1124)) :pattern ((MINUS_LEFT_PTR ?x1124 1 0)) )) (forall ((?x1125 Int)) (! (= (ServiceMask__SERIAL_COMMPROPInv (ServiceMask__SERIAL_COMMPROP ?x1125)) ?x1125) :pattern ((ServiceMask__SERIAL_COMMPROPInv (ServiceMask__SERIAL_COMMPROP ?x1125))) )) (forall ((?x1126 Int)) (! (= (ServiceMask__SERIAL_COMMPROP (ServiceMask__SERIAL_COMMPROPInv ?x1126)) ?x1126) :pattern ((ServiceMask__SERIAL_COMMPROPInv ?x1126)) )) (forall ((?x1127 boogieU) (?S452 boogieU)) (! (=> (and (= (type ?x1127) intType) (= (type ?S452) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ServiceMask__SERIAL_COMMPROP ?S452) ?x1127)) boolTrue) (= (U_2_bool (MapType0Select ?S452 (int_2_U (ServiceMask__SERIAL_COMMPROPInv (U_2_int ?x1127))))) boolTrue))) :pattern ((MapType0Select (x_S_ServiceMask__SERIAL_COMMPROP ?S452) ?x1127)) )) (forall ((?x1128 boogieU) (?S453 boogieU)) (! (=> (and (= (type ?x1128) intType) (= (type ?S453) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ServiceMask__SERIAL_COMMPROPInv ?S453) ?x1128)) boolTrue) (= (U_2_bool (MapType0Select ?S453 (int_2_U (ServiceMask__SERIAL_COMMPROP (U_2_int ?x1128))))) boolTrue))) :pattern ((MapType0Select (x_S_ServiceMask__SERIAL_COMMPROPInv ?S453) ?x1128)) )) (forall ((?x1129 boogieU) (?S454 boogieU)) (! (=> (and (= (type ?x1129) intType) (= (type ?S454) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S454 ?x1129)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ServiceMask__SERIAL_COMMPROP ?S454) (int_2_U (ServiceMask__SERIAL_COMMPROP (U_2_int ?x1129))))) boolTrue))) :pattern ((MapType0Select ?S454 ?x1129) (x_S_ServiceMask__SERIAL_COMMPROP ?S454)) )) (forall ((?x1130 boogieU) (?S455 boogieU)) (! (=> (and (= (type ?x1130) intType) (= (type ?S455) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S455 ?x1130)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ServiceMask__SERIAL_COMMPROPInv ?S455) (int_2_U (ServiceMask__SERIAL_COMMPROPInv (U_2_int ?x1130))))) boolTrue))) :pattern ((MapType0Select ?S455 ?x1130) (x_S_ServiceMask__SERIAL_COMMPROPInv ?S455)) )) (forall ((?x1131 Int)) (! (= (ServiceMask__SERIAL_COMMPROP ?x1131) (+ ?x1131 4)) :pattern ((ServiceMask__SERIAL_COMMPROP ?x1131)) )) (forall ((?x1132 Int)) (! (= (ServiceMask__SERIAL_COMMPROPInv ?x1132) (- ?x1132 4)) :pattern ((ServiceMask__SERIAL_COMMPROPInv ?x1132)) )) (forall ((?x1133 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1133 4 1) (ServiceMask__SERIAL_COMMPROPInv ?x1133)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1133 4 1)) )) (forall ((?x1134 Int)) (! (= (MINUS_LEFT_PTR ?x1134 1 4) (ServiceMask__SERIAL_COMMPROPInv ?x1134)) :pattern ((MINUS_LEFT_PTR ?x1134 1 4)) )) (forall ((?x1135 Int)) (! (= (SettableBaud__SERIAL_COMMPROPInv (SettableBaud__SERIAL_COMMPROP ?x1135)) ?x1135) :pattern ((SettableBaud__SERIAL_COMMPROPInv (SettableBaud__SERIAL_COMMPROP ?x1135))) )) (forall ((?x1136 Int)) (! (= (SettableBaud__SERIAL_COMMPROP (SettableBaud__SERIAL_COMMPROPInv ?x1136)) ?x1136) :pattern ((SettableBaud__SERIAL_COMMPROPInv ?x1136)) )) (forall ((?x1137 boogieU) (?S456 boogieU)) (! (=> (and (= (type ?x1137) intType) (= (type ?S456) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableBaud__SERIAL_COMMPROP ?S456) ?x1137)) boolTrue) (= (U_2_bool (MapType0Select ?S456 (int_2_U (SettableBaud__SERIAL_COMMPROPInv (U_2_int ?x1137))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableBaud__SERIAL_COMMPROP ?S456) ?x1137)) )) (forall ((?x1138 boogieU) (?S457 boogieU)) (! (=> (and (= (type ?x1138) intType) (= (type ?S457) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableBaud__SERIAL_COMMPROPInv ?S457) ?x1138)) boolTrue) (= (U_2_bool (MapType0Select ?S457 (int_2_U (SettableBaud__SERIAL_COMMPROP (U_2_int ?x1138))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableBaud__SERIAL_COMMPROPInv ?S457) ?x1138)) )) (forall ((?x1139 boogieU) (?S458 boogieU)) (! (=> (and (= (type ?x1139) intType) (= (type ?S458) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S458 ?x1139)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableBaud__SERIAL_COMMPROP ?S458) (int_2_U (SettableBaud__SERIAL_COMMPROP (U_2_int ?x1139))))) boolTrue))) :pattern ((MapType0Select ?S458 ?x1139) (x_S_SettableBaud__SERIAL_COMMPROP ?S458)) )) (forall ((?x1140 boogieU) (?S459 boogieU)) (! (=> (and (= (type ?x1140) intType) (= (type ?S459) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S459 ?x1140)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableBaud__SERIAL_COMMPROPInv ?S459) (int_2_U (SettableBaud__SERIAL_COMMPROPInv (U_2_int ?x1140))))) boolTrue))) :pattern ((MapType0Select ?S459 ?x1140) (x_S_SettableBaud__SERIAL_COMMPROPInv ?S459)) )) (forall ((?x1141 Int)) (! (= (SettableBaud__SERIAL_COMMPROP ?x1141) (+ ?x1141 36)) :pattern ((SettableBaud__SERIAL_COMMPROP ?x1141)) )) (forall ((?x1142 Int)) (! (= (SettableBaud__SERIAL_COMMPROPInv ?x1142) (- ?x1142 36)) :pattern ((SettableBaud__SERIAL_COMMPROPInv ?x1142)) )) (forall ((?x1143 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1143 36 1) (SettableBaud__SERIAL_COMMPROPInv ?x1143)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1143 36 1)) )) (forall ((?x1144 Int)) (! (= (MINUS_LEFT_PTR ?x1144 1 36) (SettableBaud__SERIAL_COMMPROPInv ?x1144)) :pattern ((MINUS_LEFT_PTR ?x1144 1 36)) )) (forall ((?x1145 Int)) (! (= (SettableData__SERIAL_COMMPROPInv (SettableData__SERIAL_COMMPROP ?x1145)) ?x1145) :pattern ((SettableData__SERIAL_COMMPROPInv (SettableData__SERIAL_COMMPROP ?x1145))) )) (forall ((?x1146 Int)) (! (= (SettableData__SERIAL_COMMPROP (SettableData__SERIAL_COMMPROPInv ?x1146)) ?x1146) :pattern ((SettableData__SERIAL_COMMPROPInv ?x1146)) )) (forall ((?x1147 boogieU) (?S460 boogieU)) (! (=> (and (= (type ?x1147) intType) (= (type ?S460) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableData__SERIAL_COMMPROP ?S460) ?x1147)) boolTrue) (= (U_2_bool (MapType0Select ?S460 (int_2_U (SettableData__SERIAL_COMMPROPInv (U_2_int ?x1147))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableData__SERIAL_COMMPROP ?S460) ?x1147)) )) (forall ((?x1148 boogieU) (?S461 boogieU)) (! (=> (and (= (type ?x1148) intType) (= (type ?S461) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableData__SERIAL_COMMPROPInv ?S461) ?x1148)) boolTrue) (= (U_2_bool (MapType0Select ?S461 (int_2_U (SettableData__SERIAL_COMMPROP (U_2_int ?x1148))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableData__SERIAL_COMMPROPInv ?S461) ?x1148)) )) (forall ((?x1149 boogieU) (?S462 boogieU)) (! (=> (and (= (type ?x1149) intType) (= (type ?S462) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S462 ?x1149)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableData__SERIAL_COMMPROP ?S462) (int_2_U (SettableData__SERIAL_COMMPROP (U_2_int ?x1149))))) boolTrue))) :pattern ((MapType0Select ?S462 ?x1149) (x_S_SettableData__SERIAL_COMMPROP ?S462)) )) (forall ((?x1150 boogieU) (?S463 boogieU)) (! (=> (and (= (type ?x1150) intType) (= (type ?S463) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S463 ?x1150)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableData__SERIAL_COMMPROPInv ?S463) (int_2_U (SettableData__SERIAL_COMMPROPInv (U_2_int ?x1150))))) boolTrue))) :pattern ((MapType0Select ?S463 ?x1150) (x_S_SettableData__SERIAL_COMMPROPInv ?S463)) )) (forall ((?x1151 Int)) (! (= (SettableData__SERIAL_COMMPROP ?x1151) (+ ?x1151 40)) :pattern ((SettableData__SERIAL_COMMPROP ?x1151)) )) (forall ((?x1152 Int)) (! (= (SettableData__SERIAL_COMMPROPInv ?x1152) (- ?x1152 40)) :pattern ((SettableData__SERIAL_COMMPROPInv ?x1152)) )) (forall ((?x1153 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1153 40 1) (SettableData__SERIAL_COMMPROPInv ?x1153)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1153 40 1)) )) (forall ((?x1154 Int)) (! (= (MINUS_LEFT_PTR ?x1154 1 40) (SettableData__SERIAL_COMMPROPInv ?x1154)) :pattern ((MINUS_LEFT_PTR ?x1154 1 40)) )) (forall ((?x1155 Int)) (! (= (SettableParams__SERIAL_COMMPROPInv (SettableParams__SERIAL_COMMPROP ?x1155)) ?x1155) :pattern ((SettableParams__SERIAL_COMMPROPInv (SettableParams__SERIAL_COMMPROP ?x1155))) )) (forall ((?x1156 Int)) (! (= (SettableParams__SERIAL_COMMPROP (SettableParams__SERIAL_COMMPROPInv ?x1156)) ?x1156) :pattern ((SettableParams__SERIAL_COMMPROPInv ?x1156)) )) (forall ((?x1157 boogieU) (?S464 boogieU)) (! (=> (and (= (type ?x1157) intType) (= (type ?S464) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableParams__SERIAL_COMMPROP ?S464) ?x1157)) boolTrue) (= (U_2_bool (MapType0Select ?S464 (int_2_U (SettableParams__SERIAL_COMMPROPInv (U_2_int ?x1157))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableParams__SERIAL_COMMPROP ?S464) ?x1157)) )) (forall ((?x1158 boogieU) (?S465 boogieU)) (! (=> (and (= (type ?x1158) intType) (= (type ?S465) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableParams__SERIAL_COMMPROPInv ?S465) ?x1158)) boolTrue) (= (U_2_bool (MapType0Select ?S465 (int_2_U (SettableParams__SERIAL_COMMPROP (U_2_int ?x1158))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableParams__SERIAL_COMMPROPInv ?S465) ?x1158)) )) (forall ((?x1159 boogieU) (?S466 boogieU)) (! (=> (and (= (type ?x1159) intType) (= (type ?S466) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S466 ?x1159)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableParams__SERIAL_COMMPROP ?S466) (int_2_U (SettableParams__SERIAL_COMMPROP (U_2_int ?x1159))))) boolTrue))) :pattern ((MapType0Select ?S466 ?x1159) (x_S_SettableParams__SERIAL_COMMPROP ?S466)) )) (forall ((?x1160 boogieU) (?S467 boogieU)) (! (=> (and (= (type ?x1160) intType) (= (type ?S467) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S467 ?x1160)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableParams__SERIAL_COMMPROPInv ?S467) (int_2_U (SettableParams__SERIAL_COMMPROPInv (U_2_int ?x1160))))) boolTrue))) :pattern ((MapType0Select ?S467 ?x1160) (x_S_SettableParams__SERIAL_COMMPROPInv ?S467)) )) (forall ((?x1161 Int)) (! (= (SettableParams__SERIAL_COMMPROP ?x1161) (+ ?x1161 32)) :pattern ((SettableParams__SERIAL_COMMPROP ?x1161)) )) (forall ((?x1162 Int)) (! (= (SettableParams__SERIAL_COMMPROPInv ?x1162) (- ?x1162 32)) :pattern ((SettableParams__SERIAL_COMMPROPInv ?x1162)) )) (forall ((?x1163 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1163 32 1) (SettableParams__SERIAL_COMMPROPInv ?x1163)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1163 32 1)) )) (forall ((?x1164 Int)) (! (= (MINUS_LEFT_PTR ?x1164 1 32) (SettableParams__SERIAL_COMMPROPInv ?x1164)) :pattern ((MINUS_LEFT_PTR ?x1164 1 32)) )) (forall ((?x1165 Int)) (! (= (SettableStopParity__SERIAL_COMMPROPInv (SettableStopParity__SERIAL_COMMPROP ?x1165)) ?x1165) :pattern ((SettableStopParity__SERIAL_COMMPROPInv (SettableStopParity__SERIAL_COMMPROP ?x1165))) )) (forall ((?x1166 Int)) (! (= (SettableStopParity__SERIAL_COMMPROP (SettableStopParity__SERIAL_COMMPROPInv ?x1166)) ?x1166) :pattern ((SettableStopParity__SERIAL_COMMPROPInv ?x1166)) )) (forall ((?x1167 boogieU) (?S468 boogieU)) (! (=> (and (= (type ?x1167) intType) (= (type ?S468) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableStopParity__SERIAL_COMMPROP ?S468) ?x1167)) boolTrue) (= (U_2_bool (MapType0Select ?S468 (int_2_U (SettableStopParity__SERIAL_COMMPROPInv (U_2_int ?x1167))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableStopParity__SERIAL_COMMPROP ?S468) ?x1167)) )) (forall ((?x1168 boogieU) (?S469 boogieU)) (! (=> (and (= (type ?x1168) intType) (= (type ?S469) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SettableStopParity__SERIAL_COMMPROPInv ?S469) ?x1168)) boolTrue) (= (U_2_bool (MapType0Select ?S469 (int_2_U (SettableStopParity__SERIAL_COMMPROP (U_2_int ?x1168))))) boolTrue))) :pattern ((MapType0Select (x_S_SettableStopParity__SERIAL_COMMPROPInv ?S469) ?x1168)) )) (forall ((?x1169 boogieU) (?S470 boogieU)) (! (=> (and (= (type ?x1169) intType) (= (type ?S470) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S470 ?x1169)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableStopParity__SERIAL_COMMPROP ?S470) (int_2_U (SettableStopParity__SERIAL_COMMPROP (U_2_int ?x1169))))) boolTrue))) :pattern ((MapType0Select ?S470 ?x1169) (x_S_SettableStopParity__SERIAL_COMMPROP ?S470)) )) (forall ((?x1170 boogieU) (?S471 boogieU)) (! (=> (and (= (type ?x1170) intType) (= (type ?S471) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S471 ?x1170)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SettableStopParity__SERIAL_COMMPROPInv ?S471) (int_2_U (SettableStopParity__SERIAL_COMMPROPInv (U_2_int ?x1170))))) boolTrue))) :pattern ((MapType0Select ?S471 ?x1170) (x_S_SettableStopParity__SERIAL_COMMPROPInv ?S471)) )) (forall ((?x1171 Int)) (! (= (SettableStopParity__SERIAL_COMMPROP ?x1171) (+ ?x1171 42)) :pattern ((SettableStopParity__SERIAL_COMMPROP ?x1171)) )) (forall ((?x1172 Int)) (! (= (SettableStopParity__SERIAL_COMMPROPInv ?x1172) (- ?x1172 42)) :pattern ((SettableStopParity__SERIAL_COMMPROPInv ?x1172)) )) (forall ((?x1173 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1173 42 1) (SettableStopParity__SERIAL_COMMPROPInv ?x1173)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1173 42 1)) )) (forall ((?x1174 Int)) (! (= (MINUS_LEFT_PTR ?x1174 1 42) (SettableStopParity__SERIAL_COMMPROPInv ?x1174)) :pattern ((MINUS_LEFT_PTR ?x1174 1 42)) )) (forall ((?x1175 Int)) (! (= (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?x1175)) ?x1175) :pattern ((ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?x1175))) )) (forall ((?x1176 Int)) (! (= (ShortIntervalAmount__SERIAL_DEVICE_EXTENSION (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x1176)) ?x1176) :pattern ((ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x1176)) )) (forall ((?x1177 boogieU) (?S472 boogieU)) (! (=> (and (= (type ?x1177) intType) (= (type ?S472) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?S472) ?x1177)) boolTrue) (= (U_2_bool (MapType0Select ?S472 (int_2_U (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1177))))) boolTrue))) :pattern ((MapType0Select (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?S472) ?x1177)) )) (forall ((?x1178 boogieU) (?S473 boogieU)) (! (=> (and (= (type ?x1178) intType) (= (type ?S473) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S473) ?x1178)) boolTrue) (= (U_2_bool (MapType0Select ?S473 (int_2_U (ShortIntervalAmount__SERIAL_DEVICE_EXTENSION (U_2_int ?x1178))))) boolTrue))) :pattern ((MapType0Select (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S473) ?x1178)) )) (forall ((?x1179 boogieU) (?S474 boogieU)) (! (=> (and (= (type ?x1179) intType) (= (type ?S474) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S474 ?x1179)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?S474) (int_2_U (ShortIntervalAmount__SERIAL_DEVICE_EXTENSION (U_2_int ?x1179))))) boolTrue))) :pattern ((MapType0Select ?S474 ?x1179) (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?S474)) )) (forall ((?x1180 boogieU) (?S475 boogieU)) (! (=> (and (= (type ?x1180) intType) (= (type ?S475) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S475 ?x1180)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S475) (int_2_U (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1180))))) boolTrue))) :pattern ((MapType0Select ?S475 ?x1180) (x_S_ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?S475)) )) (forall ((?x1181 Int)) (! (= (ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?x1181) (+ ?x1181 64)) :pattern ((ShortIntervalAmount__SERIAL_DEVICE_EXTENSION ?x1181)) )) (forall ((?x1182 Int)) (! (= (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x1182) (- ?x1182 64)) :pattern ((ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x1182)) )) (forall ((?x1183 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1183 64 1) (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x1183)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1183 64 1)) )) (forall ((?x1184 Int)) (! (= (MINUS_LEFT_PTR ?x1184 1 64) (ShortIntervalAmount__SERIAL_DEVICE_EXTENSIONInv ?x1184)) :pattern ((MINUS_LEFT_PTR ?x1184 1 64)) )) (forall ((?x1185 Int)) (! (= (SpecialChars__SERIAL_DEVICE_EXTENSIONInv (SpecialChars__SERIAL_DEVICE_EXTENSION ?x1185)) ?x1185) :pattern ((SpecialChars__SERIAL_DEVICE_EXTENSIONInv (SpecialChars__SERIAL_DEVICE_EXTENSION ?x1185))) )) (forall ((?x1186 Int)) (! (= (SpecialChars__SERIAL_DEVICE_EXTENSION (SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?x1186)) ?x1186) :pattern ((SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?x1186)) )) (forall ((?x1187 boogieU) (?S476 boogieU)) (! (=> (and (= (type ?x1187) intType) (= (type ?S476) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SpecialChars__SERIAL_DEVICE_EXTENSION ?S476) ?x1187)) boolTrue) (= (U_2_bool (MapType0Select ?S476 (int_2_U (SpecialChars__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1187))))) boolTrue))) :pattern ((MapType0Select (x_S_SpecialChars__SERIAL_DEVICE_EXTENSION ?S476) ?x1187)) )) (forall ((?x1188 boogieU) (?S477 boogieU)) (! (=> (and (= (type ?x1188) intType) (= (type ?S477) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?S477) ?x1188)) boolTrue) (= (U_2_bool (MapType0Select ?S477 (int_2_U (SpecialChars__SERIAL_DEVICE_EXTENSION (U_2_int ?x1188))))) boolTrue))) :pattern ((MapType0Select (x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?S477) ?x1188)) )) (forall ((?x1189 boogieU) (?S478 boogieU)) (! (=> (and (= (type ?x1189) intType) (= (type ?S478) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S478 ?x1189)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SpecialChars__SERIAL_DEVICE_EXTENSION ?S478) (int_2_U (SpecialChars__SERIAL_DEVICE_EXTENSION (U_2_int ?x1189))))) boolTrue))) :pattern ((MapType0Select ?S478 ?x1189) (x_S_SpecialChars__SERIAL_DEVICE_EXTENSION ?S478)) )) (forall ((?x1190 boogieU) (?S479 boogieU)) (! (=> (and (= (type ?x1190) intType) (= (type ?S479) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S479 ?x1190)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?S479) (int_2_U (SpecialChars__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1190))))) boolTrue))) :pattern ((MapType0Select ?S479 ?x1190) (x_S_SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?S479)) )) (forall ((?x1191 Int)) (! (= (SpecialChars__SERIAL_DEVICE_EXTENSION ?x1191) (+ ?x1191 356)) :pattern ((SpecialChars__SERIAL_DEVICE_EXTENSION ?x1191)) )) (forall ((?x1192 Int)) (! (= (SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?x1192) (- ?x1192 356)) :pattern ((SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?x1192)) )) (forall ((?x1193 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1193 356 1) (SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?x1193)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1193 356 1)) )) (forall ((?x1194 Int)) (! (= (MINUS_LEFT_PTR ?x1194 1 356) (SpecialChars__SERIAL_DEVICE_EXTENSIONInv ?x1194)) :pattern ((MINUS_LEFT_PTR ?x1194 1 356)) )) (forall ((?x1195 Int)) (! (= (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv (StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?x1195)) ?x1195) :pattern ((StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv (StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?x1195))) )) (forall ((?x1196 Int)) (! (= (StalledIrpQueue__SERIAL_DEVICE_EXTENSION (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?x1196)) ?x1196) :pattern ((StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?x1196)) )) (forall ((?x1197 boogieU) (?S480 boogieU)) (! (=> (and (= (type ?x1197) intType) (= (type ?S480) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?S480) ?x1197)) boolTrue) (= (U_2_bool (MapType0Select ?S480 (int_2_U (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1197))))) boolTrue))) :pattern ((MapType0Select (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?S480) ?x1197)) )) (forall ((?x1198 boogieU) (?S481 boogieU)) (! (=> (and (= (type ?x1198) intType) (= (type ?S481) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?S481) ?x1198)) boolTrue) (= (U_2_bool (MapType0Select ?S481 (int_2_U (StalledIrpQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1198))))) boolTrue))) :pattern ((MapType0Select (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?S481) ?x1198)) )) (forall ((?x1199 boogieU) (?S482 boogieU)) (! (=> (and (= (type ?x1199) intType) (= (type ?S482) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S482 ?x1199)) boolTrue) (= (U_2_bool (MapType0Select (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?S482) (int_2_U (StalledIrpQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1199))))) boolTrue))) :pattern ((MapType0Select ?S482 ?x1199) (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?S482)) )) (forall ((?x1200 boogieU) (?S483 boogieU)) (! (=> (and (= (type ?x1200) intType) (= (type ?S483) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S483 ?x1200)) boolTrue) (= (U_2_bool (MapType0Select (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?S483) (int_2_U (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1200))))) boolTrue))) :pattern ((MapType0Select ?S483 ?x1200) (x_S_StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?S483)) )) (forall ((?x1201 Int)) (! (= (StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?x1201) (+ ?x1201 1348)) :pattern ((StalledIrpQueue__SERIAL_DEVICE_EXTENSION ?x1201)) )) (forall ((?x1202 Int)) (! (= (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?x1202) (- ?x1202 1348)) :pattern ((StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?x1202)) )) (forall ((?x1203 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1203 1348 1) (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?x1203)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1203 1348 1)) )) (forall ((?x1204 Int)) (! (= (MINUS_LEFT_PTR ?x1204 1 1348) (StalledIrpQueue__SERIAL_DEVICE_EXTENSIONInv ?x1204)) :pattern ((MINUS_LEFT_PTR ?x1204 1 1348)) )) (forall ((?x1205 Int)) (! (= (Status___unnamed_4_ab1173deInv (Status___unnamed_4_ab1173de ?x1205)) ?x1205) :pattern ((Status___unnamed_4_ab1173deInv (Status___unnamed_4_ab1173de ?x1205))) )) (forall ((?x1206 Int)) (! (= (Status___unnamed_4_ab1173de (Status___unnamed_4_ab1173deInv ?x1206)) ?x1206) :pattern ((Status___unnamed_4_ab1173deInv ?x1206)) )) (forall ((?x1207 boogieU) (?S484 boogieU)) (! (=> (and (= (type ?x1207) intType) (= (type ?S484) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_ab1173de ?S484) ?x1207)) boolTrue) (= (U_2_bool (MapType0Select ?S484 (int_2_U (Status___unnamed_4_ab1173deInv (U_2_int ?x1207))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_ab1173de ?S484) ?x1207)) )) (forall ((?x1208 boogieU) (?S485 boogieU)) (! (=> (and (= (type ?x1208) intType) (= (type ?S485) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_ab1173deInv ?S485) ?x1208)) boolTrue) (= (U_2_bool (MapType0Select ?S485 (int_2_U (Status___unnamed_4_ab1173de (U_2_int ?x1208))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_ab1173deInv ?S485) ?x1208)) )) (forall ((?x1209 boogieU) (?S486 boogieU)) (! (=> (and (= (type ?x1209) intType) (= (type ?S486) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S486 ?x1209)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_ab1173de ?S486) (int_2_U (Status___unnamed_4_ab1173de (U_2_int ?x1209))))) boolTrue))) :pattern ((MapType0Select ?S486 ?x1209) (x_S_Status___unnamed_4_ab1173de ?S486)) )) (forall ((?x1210 boogieU) (?S487 boogieU)) (! (=> (and (= (type ?x1210) intType) (= (type ?S487) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S487 ?x1210)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_ab1173deInv ?S487) (int_2_U (Status___unnamed_4_ab1173deInv (U_2_int ?x1210))))) boolTrue))) :pattern ((MapType0Select ?S487 ?x1210) (x_S_Status___unnamed_4_ab1173deInv ?S487)) )) (forall ((?x1211 Int)) (! (= (Status___unnamed_4_ab1173de ?x1211) (+ ?x1211 0)) :pattern ((Status___unnamed_4_ab1173de ?x1211)) )) (forall ((?x1212 Int)) (! (= (Status___unnamed_4_ab1173deInv ?x1212) (- ?x1212 0)) :pattern ((Status___unnamed_4_ab1173deInv ?x1212)) )) (forall ((?x1213 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1213 0 1) (Status___unnamed_4_ab1173deInv ?x1213)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1213 0 1)) )) (forall ((?x1214 Int)) (! (= (MINUS_LEFT_PTR ?x1214 1 0) (Status___unnamed_4_ab1173deInv ?x1214)) :pattern ((MINUS_LEFT_PTR ?x1214 1 0)) )) (forall ((?x1215 Int)) (! (= (StopBits__SERIAL_LINE_CONTROLInv (StopBits__SERIAL_LINE_CONTROL ?x1215)) ?x1215) :pattern ((StopBits__SERIAL_LINE_CONTROLInv (StopBits__SERIAL_LINE_CONTROL ?x1215))) )) (forall ((?x1216 Int)) (! (= (StopBits__SERIAL_LINE_CONTROL (StopBits__SERIAL_LINE_CONTROLInv ?x1216)) ?x1216) :pattern ((StopBits__SERIAL_LINE_CONTROLInv ?x1216)) )) (forall ((?x1217 boogieU) (?S488 boogieU)) (! (=> (and (= (type ?x1217) intType) (= (type ?S488) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_LINE_CONTROL ?S488) ?x1217)) boolTrue) (= (U_2_bool (MapType0Select ?S488 (int_2_U (StopBits__SERIAL_LINE_CONTROLInv (U_2_int ?x1217))))) boolTrue))) :pattern ((MapType0Select (x_S_StopBits__SERIAL_LINE_CONTROL ?S488) ?x1217)) )) (forall ((?x1218 boogieU) (?S489 boogieU)) (! (=> (and (= (type ?x1218) intType) (= (type ?S489) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_LINE_CONTROLInv ?S489) ?x1218)) boolTrue) (= (U_2_bool (MapType0Select ?S489 (int_2_U (StopBits__SERIAL_LINE_CONTROL (U_2_int ?x1218))))) boolTrue))) :pattern ((MapType0Select (x_S_StopBits__SERIAL_LINE_CONTROLInv ?S489) ?x1218)) )) (forall ((?x1219 boogieU) (?S490 boogieU)) (! (=> (and (= (type ?x1219) intType) (= (type ?S490) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S490 ?x1219)) boolTrue) (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_LINE_CONTROL ?S490) (int_2_U (StopBits__SERIAL_LINE_CONTROL (U_2_int ?x1219))))) boolTrue))) :pattern ((MapType0Select ?S490 ?x1219) (x_S_StopBits__SERIAL_LINE_CONTROL ?S490)) )) (forall ((?x1220 boogieU) (?S491 boogieU)) (! (=> (and (= (type ?x1220) intType) (= (type ?S491) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S491 ?x1220)) boolTrue) (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_LINE_CONTROLInv ?S491) (int_2_U (StopBits__SERIAL_LINE_CONTROLInv (U_2_int ?x1220))))) boolTrue))) :pattern ((MapType0Select ?S491 ?x1220) (x_S_StopBits__SERIAL_LINE_CONTROLInv ?S491)) )) (forall ((?x1221 Int)) (! (= (StopBits__SERIAL_LINE_CONTROL ?x1221) (+ ?x1221 0)) :pattern ((StopBits__SERIAL_LINE_CONTROL ?x1221)) )) (forall ((?x1222 Int)) (! (= (StopBits__SERIAL_LINE_CONTROLInv ?x1222) (- ?x1222 0)) :pattern ((StopBits__SERIAL_LINE_CONTROLInv ?x1222)) )) (forall ((?x1223 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1223 0 1) (StopBits__SERIAL_LINE_CONTROLInv ?x1223)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1223 0 1)) )) (forall ((?x1224 Int)) (! (= (MINUS_LEFT_PTR ?x1224 1 0) (StopBits__SERIAL_LINE_CONTROLInv ?x1224)) :pattern ((MINUS_LEFT_PTR ?x1224 1 0)) )) (forall ((?x1225 Int)) (! (= (StopBits__SERIAL_WMI_COMM_DATAInv (StopBits__SERIAL_WMI_COMM_DATA ?x1225)) ?x1225) :pattern ((StopBits__SERIAL_WMI_COMM_DATAInv (StopBits__SERIAL_WMI_COMM_DATA ?x1225))) )) (forall ((?x1226 Int)) (! (= (StopBits__SERIAL_WMI_COMM_DATA (StopBits__SERIAL_WMI_COMM_DATAInv ?x1226)) ?x1226) :pattern ((StopBits__SERIAL_WMI_COMM_DATAInv ?x1226)) )) (forall ((?x1227 boogieU) (?S492 boogieU)) (! (=> (and (= (type ?x1227) intType) (= (type ?S492) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_WMI_COMM_DATA ?S492) ?x1227)) boolTrue) (= (U_2_bool (MapType0Select ?S492 (int_2_U (StopBits__SERIAL_WMI_COMM_DATAInv (U_2_int ?x1227))))) boolTrue))) :pattern ((MapType0Select (x_S_StopBits__SERIAL_WMI_COMM_DATA ?S492) ?x1227)) )) (forall ((?x1228 boogieU) (?S493 boogieU)) (! (=> (and (= (type ?x1228) intType) (= (type ?S493) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_WMI_COMM_DATAInv ?S493) ?x1228)) boolTrue) (= (U_2_bool (MapType0Select ?S493 (int_2_U (StopBits__SERIAL_WMI_COMM_DATA (U_2_int ?x1228))))) boolTrue))) :pattern ((MapType0Select (x_S_StopBits__SERIAL_WMI_COMM_DATAInv ?S493) ?x1228)) )) (forall ((?x1229 boogieU) (?S494 boogieU)) (! (=> (and (= (type ?x1229) intType) (= (type ?S494) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S494 ?x1229)) boolTrue) (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_WMI_COMM_DATA ?S494) (int_2_U (StopBits__SERIAL_WMI_COMM_DATA (U_2_int ?x1229))))) boolTrue))) :pattern ((MapType0Select ?S494 ?x1229) (x_S_StopBits__SERIAL_WMI_COMM_DATA ?S494)) )) (forall ((?x1230 boogieU) (?S495 boogieU)) (! (=> (and (= (type ?x1230) intType) (= (type ?S495) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S495 ?x1230)) boolTrue) (= (U_2_bool (MapType0Select (x_S_StopBits__SERIAL_WMI_COMM_DATAInv ?S495) (int_2_U (StopBits__SERIAL_WMI_COMM_DATAInv (U_2_int ?x1230))))) boolTrue))) :pattern ((MapType0Select ?S495 ?x1230) (x_S_StopBits__SERIAL_WMI_COMM_DATAInv ?S495)) )) (forall ((?x1231 Int)) (! (= (StopBits__SERIAL_WMI_COMM_DATA ?x1231) (+ ?x1231 16)) :pattern ((StopBits__SERIAL_WMI_COMM_DATA ?x1231)) )) (forall ((?x1232 Int)) (! (= (StopBits__SERIAL_WMI_COMM_DATAInv ?x1232) (- ?x1232 16)) :pattern ((StopBits__SERIAL_WMI_COMM_DATAInv ?x1232)) )) (forall ((?x1233 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1233 16 1) (StopBits__SERIAL_WMI_COMM_DATAInv ?x1233)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1233 16 1)) )) (forall ((?x1234 Int)) (! (= (MINUS_LEFT_PTR ?x1234 1 16) (StopBits__SERIAL_WMI_COMM_DATAInv ?x1234)) :pattern ((MINUS_LEFT_PTR ?x1234 1 16)) )) (forall ((?x1235 Int)) (! (= (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv (SupportedBauds__SERIAL_DEVICE_EXTENSION ?x1235)) ?x1235) :pattern ((SupportedBauds__SERIAL_DEVICE_EXTENSIONInv (SupportedBauds__SERIAL_DEVICE_EXTENSION ?x1235))) )) (forall ((?x1236 Int)) (! (= (SupportedBauds__SERIAL_DEVICE_EXTENSION (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?x1236)) ?x1236) :pattern ((SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?x1236)) )) (forall ((?x1237 boogieU) (?S496 boogieU)) (! (=> (and (= (type ?x1237) intType) (= (type ?S496) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION ?S496) ?x1237)) boolTrue) (= (U_2_bool (MapType0Select ?S496 (int_2_U (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1237))))) boolTrue))) :pattern ((MapType0Select (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION ?S496) ?x1237)) )) (forall ((?x1238 boogieU) (?S497 boogieU)) (! (=> (and (= (type ?x1238) intType) (= (type ?S497) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?S497) ?x1238)) boolTrue) (= (U_2_bool (MapType0Select ?S497 (int_2_U (SupportedBauds__SERIAL_DEVICE_EXTENSION (U_2_int ?x1238))))) boolTrue))) :pattern ((MapType0Select (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?S497) ?x1238)) )) (forall ((?x1239 boogieU) (?S498 boogieU)) (! (=> (and (= (type ?x1239) intType) (= (type ?S498) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S498 ?x1239)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION ?S498) (int_2_U (SupportedBauds__SERIAL_DEVICE_EXTENSION (U_2_int ?x1239))))) boolTrue))) :pattern ((MapType0Select ?S498 ?x1239) (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSION ?S498)) )) (forall ((?x1240 boogieU) (?S499 boogieU)) (! (=> (and (= (type ?x1240) intType) (= (type ?S499) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S499 ?x1240)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?S499) (int_2_U (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1240))))) boolTrue))) :pattern ((MapType0Select ?S499 ?x1240) (x_S_SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?S499)) )) (forall ((?x1241 Int)) (! (= (SupportedBauds__SERIAL_DEVICE_EXTENSION ?x1241) (+ ?x1241 312)) :pattern ((SupportedBauds__SERIAL_DEVICE_EXTENSION ?x1241)) )) (forall ((?x1242 Int)) (! (= (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?x1242) (- ?x1242 312)) :pattern ((SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?x1242)) )) (forall ((?x1243 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1243 312 1) (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?x1243)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1243 312 1)) )) (forall ((?x1244 Int)) (! (= (MINUS_LEFT_PTR ?x1244 1 312) (SupportedBauds__SERIAL_DEVICE_EXTENSIONInv ?x1244)) :pattern ((MINUS_LEFT_PTR ?x1244 1 312)) )) (forall ((?x1245 Int)) (! (= (SystemBuffer___unnamed_4_3dc37e35Inv (SystemBuffer___unnamed_4_3dc37e35 ?x1245)) ?x1245) :pattern ((SystemBuffer___unnamed_4_3dc37e35Inv (SystemBuffer___unnamed_4_3dc37e35 ?x1245))) )) (forall ((?x1246 Int)) (! (= (SystemBuffer___unnamed_4_3dc37e35 (SystemBuffer___unnamed_4_3dc37e35Inv ?x1246)) ?x1246) :pattern ((SystemBuffer___unnamed_4_3dc37e35Inv ?x1246)) )) (forall ((?x1247 boogieU) (?S500 boogieU)) (! (=> (and (= (type ?x1247) intType) (= (type ?S500) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35 ?S500) ?x1247)) boolTrue) (= (U_2_bool (MapType0Select ?S500 (int_2_U (SystemBuffer___unnamed_4_3dc37e35Inv (U_2_int ?x1247))))) boolTrue))) :pattern ((MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35 ?S500) ?x1247)) )) (forall ((?x1248 boogieU) (?S501 boogieU)) (! (=> (and (= (type ?x1248) intType) (= (type ?S501) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?S501) ?x1248)) boolTrue) (= (U_2_bool (MapType0Select ?S501 (int_2_U (SystemBuffer___unnamed_4_3dc37e35 (U_2_int ?x1248))))) boolTrue))) :pattern ((MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?S501) ?x1248)) )) (forall ((?x1249 boogieU) (?S502 boogieU)) (! (=> (and (= (type ?x1249) intType) (= (type ?S502) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S502 ?x1249)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35 ?S502) (int_2_U (SystemBuffer___unnamed_4_3dc37e35 (U_2_int ?x1249))))) boolTrue))) :pattern ((MapType0Select ?S502 ?x1249) (x_S_SystemBuffer___unnamed_4_3dc37e35 ?S502)) )) (forall ((?x1250 boogieU) (?S503 boogieU)) (! (=> (and (= (type ?x1250) intType) (= (type ?S503) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S503 ?x1250)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?S503) (int_2_U (SystemBuffer___unnamed_4_3dc37e35Inv (U_2_int ?x1250))))) boolTrue))) :pattern ((MapType0Select ?S503 ?x1250) (x_S_SystemBuffer___unnamed_4_3dc37e35Inv ?S503)) )) (forall ((?x1251 Int)) (! (= (SystemBuffer___unnamed_4_3dc37e35 ?x1251) (+ ?x1251 0)) :pattern ((SystemBuffer___unnamed_4_3dc37e35 ?x1251)) )) (forall ((?x1252 Int)) (! (= (SystemBuffer___unnamed_4_3dc37e35Inv ?x1252) (- ?x1252 0)) :pattern ((SystemBuffer___unnamed_4_3dc37e35Inv ?x1252)) )) (forall ((?x1253 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1253 0 1) (SystemBuffer___unnamed_4_3dc37e35Inv ?x1253)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1253 0 1)) )) (forall ((?x1254 Int)) (! (= (MINUS_LEFT_PTR ?x1254 1 0) (SystemBuffer___unnamed_4_3dc37e35Inv ?x1254)) :pattern ((MINUS_LEFT_PTR ?x1254 1 0)) )) (forall ((?x1255 Int)) (! (= (SystemState__POWER_STATEInv (SystemState__POWER_STATE ?x1255)) ?x1255) :pattern ((SystemState__POWER_STATEInv (SystemState__POWER_STATE ?x1255))) )) (forall ((?x1256 Int)) (! (= (SystemState__POWER_STATE (SystemState__POWER_STATEInv ?x1256)) ?x1256) :pattern ((SystemState__POWER_STATEInv ?x1256)) )) (forall ((?x1257 boogieU) (?S504 boogieU)) (! (=> (and (= (type ?x1257) intType) (= (type ?S504) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SystemState__POWER_STATE ?S504) ?x1257)) boolTrue) (= (U_2_bool (MapType0Select ?S504 (int_2_U (SystemState__POWER_STATEInv (U_2_int ?x1257))))) boolTrue))) :pattern ((MapType0Select (x_S_SystemState__POWER_STATE ?S504) ?x1257)) )) (forall ((?x1258 boogieU) (?S505 boogieU)) (! (=> (and (= (type ?x1258) intType) (= (type ?S505) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SystemState__POWER_STATEInv ?S505) ?x1258)) boolTrue) (= (U_2_bool (MapType0Select ?S505 (int_2_U (SystemState__POWER_STATE (U_2_int ?x1258))))) boolTrue))) :pattern ((MapType0Select (x_S_SystemState__POWER_STATEInv ?S505) ?x1258)) )) (forall ((?x1259 boogieU) (?S506 boogieU)) (! (=> (and (= (type ?x1259) intType) (= (type ?S506) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S506 ?x1259)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SystemState__POWER_STATE ?S506) (int_2_U (SystemState__POWER_STATE (U_2_int ?x1259))))) boolTrue))) :pattern ((MapType0Select ?S506 ?x1259) (x_S_SystemState__POWER_STATE ?S506)) )) (forall ((?x1260 boogieU) (?S507 boogieU)) (! (=> (and (= (type ?x1260) intType) (= (type ?S507) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S507 ?x1260)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SystemState__POWER_STATEInv ?S507) (int_2_U (SystemState__POWER_STATEInv (U_2_int ?x1260))))) boolTrue))) :pattern ((MapType0Select ?S507 ?x1260) (x_S_SystemState__POWER_STATEInv ?S507)) )) (forall ((?x1261 Int)) (! (= (SystemState__POWER_STATE ?x1261) (+ ?x1261 0)) :pattern ((SystemState__POWER_STATE ?x1261)) )) (forall ((?x1262 Int)) (! (= (SystemState__POWER_STATEInv ?x1262) (- ?x1262 0)) :pattern ((SystemState__POWER_STATEInv ?x1262)) )) (forall ((?x1263 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1263 0 1) (SystemState__POWER_STATEInv ?x1263)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1263 0 1)) )) (forall ((?x1264 Int)) (! (= (MINUS_LEFT_PTR ?x1264 1 0) (SystemState__POWER_STATEInv ?x1264)) :pattern ((MINUS_LEFT_PTR ?x1264 1 0)) )) (forall ((?x1265 Int)) (! (= (Tail__IRPInv (Tail__IRP ?x1265)) ?x1265) :pattern ((Tail__IRPInv (Tail__IRP ?x1265))) )) (forall ((?x1266 Int)) (! (= (Tail__IRP (Tail__IRPInv ?x1266)) ?x1266) :pattern ((Tail__IRPInv ?x1266)) )) (forall ((?x1267 boogieU) (?S508 boogieU)) (! (=> (and (= (type ?x1267) intType) (= (type ?S508) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Tail__IRP ?S508) ?x1267)) boolTrue) (= (U_2_bool (MapType0Select ?S508 (int_2_U (Tail__IRPInv (U_2_int ?x1267))))) boolTrue))) :pattern ((MapType0Select (x_S_Tail__IRP ?S508) ?x1267)) )) (forall ((?x1268 boogieU) (?S509 boogieU)) (! (=> (and (= (type ?x1268) intType) (= (type ?S509) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Tail__IRPInv ?S509) ?x1268)) boolTrue) (= (U_2_bool (MapType0Select ?S509 (int_2_U (Tail__IRP (U_2_int ?x1268))))) boolTrue))) :pattern ((MapType0Select (x_S_Tail__IRPInv ?S509) ?x1268)) )) (forall ((?x1269 boogieU) (?S510 boogieU)) (! (=> (and (= (type ?x1269) intType) (= (type ?S510) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S510 ?x1269)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Tail__IRP ?S510) (int_2_U (Tail__IRP (U_2_int ?x1269))))) boolTrue))) :pattern ((MapType0Select ?S510 ?x1269) (x_S_Tail__IRP ?S510)) )) (forall ((?x1270 boogieU) (?S511 boogieU)) (! (=> (and (= (type ?x1270) intType) (= (type ?S511) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S511 ?x1270)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Tail__IRPInv ?S511) (int_2_U (Tail__IRPInv (U_2_int ?x1270))))) boolTrue))) :pattern ((MapType0Select ?S511 ?x1270) (x_S_Tail__IRPInv ?S511)) )) (forall ((?x1271 Int)) (! (= (Tail__IRP ?x1271) (+ ?x1271 64)) :pattern ((Tail__IRP ?x1271)) )) (forall ((?x1272 Int)) (! (= (Tail__IRPInv ?x1272) (- ?x1272 64)) :pattern ((Tail__IRPInv ?x1272)) )) (forall ((?x1273 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1273 64 1) (Tail__IRPInv ?x1273)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1273 64 1)) )) (forall ((?x1274 Int)) (! (= (MINUS_LEFT_PTR ?x1274 1 64) (Tail__IRPInv ?x1274)) :pattern ((MINUS_LEFT_PTR ?x1274 1 64)) )) (forall ((?x1275 Int)) (! (= (Timeout__SERIAL_XOFF_COUNTERInv (Timeout__SERIAL_XOFF_COUNTER ?x1275)) ?x1275) :pattern ((Timeout__SERIAL_XOFF_COUNTERInv (Timeout__SERIAL_XOFF_COUNTER ?x1275))) )) (forall ((?x1276 Int)) (! (= (Timeout__SERIAL_XOFF_COUNTER (Timeout__SERIAL_XOFF_COUNTERInv ?x1276)) ?x1276) :pattern ((Timeout__SERIAL_XOFF_COUNTERInv ?x1276)) )) (forall ((?x1277 boogieU) (?S512 boogieU)) (! (=> (and (= (type ?x1277) intType) (= (type ?S512) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Timeout__SERIAL_XOFF_COUNTER ?S512) ?x1277)) boolTrue) (= (U_2_bool (MapType0Select ?S512 (int_2_U (Timeout__SERIAL_XOFF_COUNTERInv (U_2_int ?x1277))))) boolTrue))) :pattern ((MapType0Select (x_S_Timeout__SERIAL_XOFF_COUNTER ?S512) ?x1277)) )) (forall ((?x1278 boogieU) (?S513 boogieU)) (! (=> (and (= (type ?x1278) intType) (= (type ?S513) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Timeout__SERIAL_XOFF_COUNTERInv ?S513) ?x1278)) boolTrue) (= (U_2_bool (MapType0Select ?S513 (int_2_U (Timeout__SERIAL_XOFF_COUNTER (U_2_int ?x1278))))) boolTrue))) :pattern ((MapType0Select (x_S_Timeout__SERIAL_XOFF_COUNTERInv ?S513) ?x1278)) )) (forall ((?x1279 boogieU) (?S514 boogieU)) (! (=> (and (= (type ?x1279) intType) (= (type ?S514) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S514 ?x1279)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Timeout__SERIAL_XOFF_COUNTER ?S514) (int_2_U (Timeout__SERIAL_XOFF_COUNTER (U_2_int ?x1279))))) boolTrue))) :pattern ((MapType0Select ?S514 ?x1279) (x_S_Timeout__SERIAL_XOFF_COUNTER ?S514)) )) (forall ((?x1280 boogieU) (?S515 boogieU)) (! (=> (and (= (type ?x1280) intType) (= (type ?S515) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S515 ?x1280)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Timeout__SERIAL_XOFF_COUNTERInv ?S515) (int_2_U (Timeout__SERIAL_XOFF_COUNTERInv (U_2_int ?x1280))))) boolTrue))) :pattern ((MapType0Select ?S515 ?x1280) (x_S_Timeout__SERIAL_XOFF_COUNTERInv ?S515)) )) (forall ((?x1281 Int)) (! (= (Timeout__SERIAL_XOFF_COUNTER ?x1281) (+ ?x1281 0)) :pattern ((Timeout__SERIAL_XOFF_COUNTER ?x1281)) )) (forall ((?x1282 Int)) (! (= (Timeout__SERIAL_XOFF_COUNTERInv ?x1282) (- ?x1282 0)) :pattern ((Timeout__SERIAL_XOFF_COUNTERInv ?x1282)) )) (forall ((?x1283 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1283 0 1) (Timeout__SERIAL_XOFF_COUNTERInv ?x1283)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1283 0 1)) )) (forall ((?x1284 Int)) (! (= (MINUS_LEFT_PTR ?x1284 1 0) (Timeout__SERIAL_XOFF_COUNTERInv ?x1284)) :pattern ((MINUS_LEFT_PTR ?x1284 1 0)) )) (forall ((?x1285 Int)) (! (= (Timeouts__SERIAL_DEVICE_EXTENSIONInv (Timeouts__SERIAL_DEVICE_EXTENSION ?x1285)) ?x1285) :pattern ((Timeouts__SERIAL_DEVICE_EXTENSIONInv (Timeouts__SERIAL_DEVICE_EXTENSION ?x1285))) )) (forall ((?x1286 Int)) (! (= (Timeouts__SERIAL_DEVICE_EXTENSION (Timeouts__SERIAL_DEVICE_EXTENSIONInv ?x1286)) ?x1286) :pattern ((Timeouts__SERIAL_DEVICE_EXTENSIONInv ?x1286)) )) (forall ((?x1287 boogieU) (?S516 boogieU)) (! (=> (and (= (type ?x1287) intType) (= (type ?S516) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Timeouts__SERIAL_DEVICE_EXTENSION ?S516) ?x1287)) boolTrue) (= (U_2_bool (MapType0Select ?S516 (int_2_U (Timeouts__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1287))))) boolTrue))) :pattern ((MapType0Select (x_S_Timeouts__SERIAL_DEVICE_EXTENSION ?S516) ?x1287)) )) (forall ((?x1288 boogieU) (?S517 boogieU)) (! (=> (and (= (type ?x1288) intType) (= (type ?S517) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv ?S517) ?x1288)) boolTrue) (= (U_2_bool (MapType0Select ?S517 (int_2_U (Timeouts__SERIAL_DEVICE_EXTENSION (U_2_int ?x1288))))) boolTrue))) :pattern ((MapType0Select (x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv ?S517) ?x1288)) )) (forall ((?x1289 boogieU) (?S518 boogieU)) (! (=> (and (= (type ?x1289) intType) (= (type ?S518) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S518 ?x1289)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Timeouts__SERIAL_DEVICE_EXTENSION ?S518) (int_2_U (Timeouts__SERIAL_DEVICE_EXTENSION (U_2_int ?x1289))))) boolTrue))) :pattern ((MapType0Select ?S518 ?x1289) (x_S_Timeouts__SERIAL_DEVICE_EXTENSION ?S518)) )) (forall ((?x1290 boogieU) (?S519 boogieU)) (! (=> (and (= (type ?x1290) intType) (= (type ?S519) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S519 ?x1290)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv ?S519) (int_2_U (Timeouts__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1290))))) boolTrue))) :pattern ((MapType0Select ?S519 ?x1290) (x_S_Timeouts__SERIAL_DEVICE_EXTENSIONInv ?S519)) )) (forall ((?x1291 Int)) (! (= (Timeouts__SERIAL_DEVICE_EXTENSION ?x1291) (+ ?x1291 336)) :pattern ((Timeouts__SERIAL_DEVICE_EXTENSION ?x1291)) )) (forall ((?x1292 Int)) (! (= (Timeouts__SERIAL_DEVICE_EXTENSIONInv ?x1292) (- ?x1292 336)) :pattern ((Timeouts__SERIAL_DEVICE_EXTENSIONInv ?x1292)) )) (forall ((?x1293 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1293 336 1) (Timeouts__SERIAL_DEVICE_EXTENSIONInv ?x1293)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1293 336 1)) )) (forall ((?x1294 Int)) (! (= (MINUS_LEFT_PTR ?x1294 1 336) (Timeouts__SERIAL_DEVICE_EXTENSIONInv ?x1294)) :pattern ((MINUS_LEFT_PTR ?x1294 1 336)) )) (forall ((?x1295 Int)) (! (= (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv (TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?x1295)) ?x1295) :pattern ((TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv (TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?x1295))) )) (forall ((?x1296 Int)) (! (= (TotalCharsQueued__SERIAL_DEVICE_EXTENSION (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?x1296)) ?x1296) :pattern ((TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?x1296)) )) (forall ((?x1297 boogieU) (?S520 boogieU)) (! (=> (and (= (type ?x1297) intType) (= (type ?S520) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?S520) ?x1297)) boolTrue) (= (U_2_bool (MapType0Select ?S520 (int_2_U (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1297))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?S520) ?x1297)) )) (forall ((?x1298 boogieU) (?S521 boogieU)) (! (=> (and (= (type ?x1298) intType) (= (type ?S521) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?S521) ?x1298)) boolTrue) (= (U_2_bool (MapType0Select ?S521 (int_2_U (TotalCharsQueued__SERIAL_DEVICE_EXTENSION (U_2_int ?x1298))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?S521) ?x1298)) )) (forall ((?x1299 boogieU) (?S522 boogieU)) (! (=> (and (= (type ?x1299) intType) (= (type ?S522) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S522 ?x1299)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?S522) (int_2_U (TotalCharsQueued__SERIAL_DEVICE_EXTENSION (U_2_int ?x1299))))) boolTrue))) :pattern ((MapType0Select ?S522 ?x1299) (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?S522)) )) (forall ((?x1300 boogieU) (?S523 boogieU)) (! (=> (and (= (type ?x1300) intType) (= (type ?S523) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S523 ?x1300)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?S523) (int_2_U (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1300))))) boolTrue))) :pattern ((MapType0Select ?S523 ?x1300) (x_S_TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?S523)) )) (forall ((?x1301 Int)) (! (= (TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?x1301) (+ ?x1301 288)) :pattern ((TotalCharsQueued__SERIAL_DEVICE_EXTENSION ?x1301)) )) (forall ((?x1302 Int)) (! (= (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?x1302) (- ?x1302 288)) :pattern ((TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?x1302)) )) (forall ((?x1303 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1303 288 1) (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?x1303)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1303 288 1)) )) (forall ((?x1304 Int)) (! (= (MINUS_LEFT_PTR ?x1304 1 288) (TotalCharsQueued__SERIAL_DEVICE_EXTENSIONInv ?x1304)) :pattern ((MINUS_LEFT_PTR ?x1304 1 288)) )) (forall ((?x1305 Int)) (! (= (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1305)) ?x1305) :pattern ((TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1305))) )) (forall ((?x1306 Int)) (! (= (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1306)) ?x1306) :pattern ((TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1306)) )) (forall ((?x1307 boogieU) (?S524 boogieU)) (! (=> (and (= (type ?x1307) intType) (= (type ?S524) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S524) ?x1307)) boolTrue) (= (U_2_bool (MapType0Select ?S524 (int_2_U (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1307))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S524) ?x1307)) )) (forall ((?x1308 boogieU) (?S525 boogieU)) (! (=> (and (= (type ?x1308) intType) (= (type ?S525) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S525) ?x1308)) boolTrue) (= (U_2_bool (MapType0Select ?S525 (int_2_U (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1308))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S525) ?x1308)) )) (forall ((?x1309 boogieU) (?S526 boogieU)) (! (=> (and (= (type ?x1309) intType) (= (type ?S526) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S526 ?x1309)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S526) (int_2_U (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1309))))) boolTrue))) :pattern ((MapType0Select ?S526 ?x1309) (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S526)) )) (forall ((?x1310 boogieU) (?S527 boogieU)) (! (=> (and (= (type ?x1310) intType) (= (type ?S527) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S527 ?x1310)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S527) (int_2_U (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1310))))) boolTrue))) :pattern ((MapType0Select ?S527 ?x1310) (x_S_TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S527)) )) (forall ((?x1311 Int)) (! (= (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1311) (+ ?x1311 740)) :pattern ((TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1311)) )) (forall ((?x1312 Int)) (! (= (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1312) (- ?x1312 740)) :pattern ((TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1312)) )) (forall ((?x1313 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1313 740 1) (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1313)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1313 740 1)) )) (forall ((?x1314 Int)) (! (= (MINUS_LEFT_PTR ?x1314 1 740) (TotalImmediateTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1314)) :pattern ((MINUS_LEFT_PTR ?x1314 1 740)) )) (forall ((?x1315 Int)) (! (= (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1315)) ?x1315) :pattern ((TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1315))) )) (forall ((?x1316 Int)) (! (= (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1316)) ?x1316) :pattern ((TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1316)) )) (forall ((?x1317 boogieU) (?S528 boogieU)) (! (=> (and (= (type ?x1317) intType) (= (type ?S528) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S528) ?x1317)) boolTrue) (= (U_2_bool (MapType0Select ?S528 (int_2_U (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1317))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S528) ?x1317)) )) (forall ((?x1318 boogieU) (?S529 boogieU)) (! (=> (and (= (type ?x1318) intType) (= (type ?S529) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S529) ?x1318)) boolTrue) (= (U_2_bool (MapType0Select ?S529 (int_2_U (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1318))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S529) ?x1318)) )) (forall ((?x1319 boogieU) (?S530 boogieU)) (! (=> (and (= (type ?x1319) intType) (= (type ?S530) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S530 ?x1319)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S530) (int_2_U (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1319))))) boolTrue))) :pattern ((MapType0Select ?S530 ?x1319) (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S530)) )) (forall ((?x1320 boogieU) (?S531 boogieU)) (! (=> (and (= (type ?x1320) intType) (= (type ?S531) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S531 ?x1320)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S531) (int_2_U (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1320))))) boolTrue))) :pattern ((MapType0Select ?S531 ?x1320) (x_S_TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S531)) )) (forall ((?x1321 Int)) (! (= (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1321) (+ ?x1321 548)) :pattern ((TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1321)) )) (forall ((?x1322 Int)) (! (= (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1322) (- ?x1322 548)) :pattern ((TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1322)) )) (forall ((?x1323 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1323 548 1) (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1323)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1323 548 1)) )) (forall ((?x1324 Int)) (! (= (MINUS_LEFT_PTR ?x1324 1 548) (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1324)) :pattern ((MINUS_LEFT_PTR ?x1324 1 548)) )) (forall ((?x1325 Int)) (! (= (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1325)) ?x1325) :pattern ((TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1325))) )) (forall ((?x1326 Int)) (! (= (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1326)) ?x1326) :pattern ((TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1326)) )) (forall ((?x1327 boogieU) (?S532 boogieU)) (! (=> (and (= (type ?x1327) intType) (= (type ?S532) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S532) ?x1327)) boolTrue) (= (U_2_bool (MapType0Select ?S532 (int_2_U (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1327))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S532) ?x1327)) )) (forall ((?x1328 boogieU) (?S533 boogieU)) (! (=> (and (= (type ?x1328) intType) (= (type ?S533) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S533) ?x1328)) boolTrue) (= (U_2_bool (MapType0Select ?S533 (int_2_U (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1328))))) boolTrue))) :pattern ((MapType0Select (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S533) ?x1328)) )) (forall ((?x1329 boogieU) (?S534 boogieU)) (! (=> (and (= (type ?x1329) intType) (= (type ?S534) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S534 ?x1329)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S534) (int_2_U (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1329))))) boolTrue))) :pattern ((MapType0Select ?S534 ?x1329) (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S534)) )) (forall ((?x1330 boogieU) (?S535 boogieU)) (! (=> (and (= (type ?x1330) intType) (= (type ?S535) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S535 ?x1330)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S535) (int_2_U (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1330))))) boolTrue))) :pattern ((MapType0Select ?S535 ?x1330) (x_S_TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S535)) )) (forall ((?x1331 Int)) (! (= (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1331) (+ ?x1331 612)) :pattern ((TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1331)) )) (forall ((?x1332 Int)) (! (= (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1332) (- ?x1332 612)) :pattern ((TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1332)) )) (forall ((?x1333 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1333 612 1) (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1333)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1333 612 1)) )) (forall ((?x1334 Int)) (! (= (MINUS_LEFT_PTR ?x1334 1 612) (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1334)) :pattern ((MINUS_LEFT_PTR ?x1334 1 612)) )) (forall ((?x1335 Int)) (! (= (Type3InputBuffer___unnamed_16_5bbbf1e7Inv (Type3InputBuffer___unnamed_16_5bbbf1e7 ?x1335)) ?x1335) :pattern ((Type3InputBuffer___unnamed_16_5bbbf1e7Inv (Type3InputBuffer___unnamed_16_5bbbf1e7 ?x1335))) )) (forall ((?x1336 Int)) (! (= (Type3InputBuffer___unnamed_16_5bbbf1e7 (Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?x1336)) ?x1336) :pattern ((Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?x1336)) )) (forall ((?x1337 boogieU) (?S536 boogieU)) (! (=> (and (= (type ?x1337) intType) (= (type ?S536) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 ?S536) ?x1337)) boolTrue) (= (U_2_bool (MapType0Select ?S536 (int_2_U (Type3InputBuffer___unnamed_16_5bbbf1e7Inv (U_2_int ?x1337))))) boolTrue))) :pattern ((MapType0Select (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 ?S536) ?x1337)) )) (forall ((?x1338 boogieU) (?S537 boogieU)) (! (=> (and (= (type ?x1338) intType) (= (type ?S537) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?S537) ?x1338)) boolTrue) (= (U_2_bool (MapType0Select ?S537 (int_2_U (Type3InputBuffer___unnamed_16_5bbbf1e7 (U_2_int ?x1338))))) boolTrue))) :pattern ((MapType0Select (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?S537) ?x1338)) )) (forall ((?x1339 boogieU) (?S538 boogieU)) (! (=> (and (= (type ?x1339) intType) (= (type ?S538) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S538 ?x1339)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 ?S538) (int_2_U (Type3InputBuffer___unnamed_16_5bbbf1e7 (U_2_int ?x1339))))) boolTrue))) :pattern ((MapType0Select ?S538 ?x1339) (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7 ?S538)) )) (forall ((?x1340 boogieU) (?S539 boogieU)) (! (=> (and (= (type ?x1340) intType) (= (type ?S539) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S539 ?x1340)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?S539) (int_2_U (Type3InputBuffer___unnamed_16_5bbbf1e7Inv (U_2_int ?x1340))))) boolTrue))) :pattern ((MapType0Select ?S539 ?x1340) (x_S_Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?S539)) )) (forall ((?x1341 Int)) (! (= (Type3InputBuffer___unnamed_16_5bbbf1e7 ?x1341) (+ ?x1341 12)) :pattern ((Type3InputBuffer___unnamed_16_5bbbf1e7 ?x1341)) )) (forall ((?x1342 Int)) (! (= (Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?x1342) (- ?x1342 12)) :pattern ((Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?x1342)) )) (forall ((?x1343 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1343 12 1) (Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?x1343)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1343 12 1)) )) (forall ((?x1344 Int)) (! (= (MINUS_LEFT_PTR ?x1344 1 12) (Type3InputBuffer___unnamed_16_5bbbf1e7Inv ?x1344)) :pattern ((MINUS_LEFT_PTR ?x1344 1 12)) )) (forall ((?x1345 Int)) (! (= (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv (ValidDataMask__SERIAL_DEVICE_EXTENSION ?x1345)) ?x1345) :pattern ((ValidDataMask__SERIAL_DEVICE_EXTENSIONInv (ValidDataMask__SERIAL_DEVICE_EXTENSION ?x1345))) )) (forall ((?x1346 Int)) (! (= (ValidDataMask__SERIAL_DEVICE_EXTENSION (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?x1346)) ?x1346) :pattern ((ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?x1346)) )) (forall ((?x1347 boogieU) (?S540 boogieU)) (! (=> (and (= (type ?x1347) intType) (= (type ?S540) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION ?S540) ?x1347)) boolTrue) (= (U_2_bool (MapType0Select ?S540 (int_2_U (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1347))))) boolTrue))) :pattern ((MapType0Select (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION ?S540) ?x1347)) )) (forall ((?x1348 boogieU) (?S541 boogieU)) (! (=> (and (= (type ?x1348) intType) (= (type ?S541) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?S541) ?x1348)) boolTrue) (= (U_2_bool (MapType0Select ?S541 (int_2_U (ValidDataMask__SERIAL_DEVICE_EXTENSION (U_2_int ?x1348))))) boolTrue))) :pattern ((MapType0Select (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?S541) ?x1348)) )) (forall ((?x1349 boogieU) (?S542 boogieU)) (! (=> (and (= (type ?x1349) intType) (= (type ?S542) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S542 ?x1349)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION ?S542) (int_2_U (ValidDataMask__SERIAL_DEVICE_EXTENSION (U_2_int ?x1349))))) boolTrue))) :pattern ((MapType0Select ?S542 ?x1349) (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSION ?S542)) )) (forall ((?x1350 boogieU) (?S543 boogieU)) (! (=> (and (= (type ?x1350) intType) (= (type ?S543) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S543 ?x1350)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?S543) (int_2_U (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1350))))) boolTrue))) :pattern ((MapType0Select ?S543 ?x1350) (x_S_ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?S543)) )) (forall ((?x1351 Int)) (! (= (ValidDataMask__SERIAL_DEVICE_EXTENSION ?x1351) (+ ?x1351 465)) :pattern ((ValidDataMask__SERIAL_DEVICE_EXTENSION ?x1351)) )) (forall ((?x1352 Int)) (! (= (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?x1352) (- ?x1352 465)) :pattern ((ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?x1352)) )) (forall ((?x1353 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1353 465 1) (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?x1353)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1353 465 1)) )) (forall ((?x1354 Int)) (! (= (MINUS_LEFT_PTR ?x1354 1 465) (ValidDataMask__SERIAL_DEVICE_EXTENSIONInv ?x1354)) :pattern ((MINUS_LEFT_PTR ?x1354 1 465)) )) (forall ((?x1355 Int)) (! (= (WmiCommData__SERIAL_DEVICE_EXTENSIONInv (WmiCommData__SERIAL_DEVICE_EXTENSION ?x1355)) ?x1355) :pattern ((WmiCommData__SERIAL_DEVICE_EXTENSIONInv (WmiCommData__SERIAL_DEVICE_EXTENSION ?x1355))) )) (forall ((?x1356 Int)) (! (= (WmiCommData__SERIAL_DEVICE_EXTENSION (WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?x1356)) ?x1356) :pattern ((WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?x1356)) )) (forall ((?x1357 boogieU) (?S544 boogieU)) (! (=> (and (= (type ?x1357) intType) (= (type ?S544) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WmiCommData__SERIAL_DEVICE_EXTENSION ?S544) ?x1357)) boolTrue) (= (U_2_bool (MapType0Select ?S544 (int_2_U (WmiCommData__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1357))))) boolTrue))) :pattern ((MapType0Select (x_S_WmiCommData__SERIAL_DEVICE_EXTENSION ?S544) ?x1357)) )) (forall ((?x1358 boogieU) (?S545 boogieU)) (! (=> (and (= (type ?x1358) intType) (= (type ?S545) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?S545) ?x1358)) boolTrue) (= (U_2_bool (MapType0Select ?S545 (int_2_U (WmiCommData__SERIAL_DEVICE_EXTENSION (U_2_int ?x1358))))) boolTrue))) :pattern ((MapType0Select (x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?S545) ?x1358)) )) (forall ((?x1359 boogieU) (?S546 boogieU)) (! (=> (and (= (type ?x1359) intType) (= (type ?S546) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S546 ?x1359)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WmiCommData__SERIAL_DEVICE_EXTENSION ?S546) (int_2_U (WmiCommData__SERIAL_DEVICE_EXTENSION (U_2_int ?x1359))))) boolTrue))) :pattern ((MapType0Select ?S546 ?x1359) (x_S_WmiCommData__SERIAL_DEVICE_EXTENSION ?S546)) )) (forall ((?x1360 boogieU) (?S547 boogieU)) (! (=> (and (= (type ?x1360) intType) (= (type ?S547) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S547 ?x1360)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?S547) (int_2_U (WmiCommData__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1360))))) boolTrue))) :pattern ((MapType0Select ?S547 ?x1360) (x_S_WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?S547)) )) (forall ((?x1361 Int)) (! (= (WmiCommData__SERIAL_DEVICE_EXTENSION ?x1361) (+ ?x1361 1484)) :pattern ((WmiCommData__SERIAL_DEVICE_EXTENSION ?x1361)) )) (forall ((?x1362 Int)) (! (= (WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?x1362) (- ?x1362 1484)) :pattern ((WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?x1362)) )) (forall ((?x1363 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1363 1484 1) (WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?x1363)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1363 1484 1)) )) (forall ((?x1364 Int)) (! (= (MINUS_LEFT_PTR ?x1364 1 1484) (WmiCommData__SERIAL_DEVICE_EXTENSIONInv ?x1364)) :pattern ((MINUS_LEFT_PTR ?x1364 1 1484)) )) (forall ((?x1365 Int)) (! (= (WordLength__SERIAL_LINE_CONTROLInv (WordLength__SERIAL_LINE_CONTROL ?x1365)) ?x1365) :pattern ((WordLength__SERIAL_LINE_CONTROLInv (WordLength__SERIAL_LINE_CONTROL ?x1365))) )) (forall ((?x1366 Int)) (! (= (WordLength__SERIAL_LINE_CONTROL (WordLength__SERIAL_LINE_CONTROLInv ?x1366)) ?x1366) :pattern ((WordLength__SERIAL_LINE_CONTROLInv ?x1366)) )) (forall ((?x1367 boogieU) (?S548 boogieU)) (! (=> (and (= (type ?x1367) intType) (= (type ?S548) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WordLength__SERIAL_LINE_CONTROL ?S548) ?x1367)) boolTrue) (= (U_2_bool (MapType0Select ?S548 (int_2_U (WordLength__SERIAL_LINE_CONTROLInv (U_2_int ?x1367))))) boolTrue))) :pattern ((MapType0Select (x_S_WordLength__SERIAL_LINE_CONTROL ?S548) ?x1367)) )) (forall ((?x1368 boogieU) (?S549 boogieU)) (! (=> (and (= (type ?x1368) intType) (= (type ?S549) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WordLength__SERIAL_LINE_CONTROLInv ?S549) ?x1368)) boolTrue) (= (U_2_bool (MapType0Select ?S549 (int_2_U (WordLength__SERIAL_LINE_CONTROL (U_2_int ?x1368))))) boolTrue))) :pattern ((MapType0Select (x_S_WordLength__SERIAL_LINE_CONTROLInv ?S549) ?x1368)) )) (forall ((?x1369 boogieU) (?S550 boogieU)) (! (=> (and (= (type ?x1369) intType) (= (type ?S550) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S550 ?x1369)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WordLength__SERIAL_LINE_CONTROL ?S550) (int_2_U (WordLength__SERIAL_LINE_CONTROL (U_2_int ?x1369))))) boolTrue))) :pattern ((MapType0Select ?S550 ?x1369) (x_S_WordLength__SERIAL_LINE_CONTROL ?S550)) )) (forall ((?x1370 boogieU) (?S551 boogieU)) (! (=> (and (= (type ?x1370) intType) (= (type ?S551) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S551 ?x1370)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WordLength__SERIAL_LINE_CONTROLInv ?S551) (int_2_U (WordLength__SERIAL_LINE_CONTROLInv (U_2_int ?x1370))))) boolTrue))) :pattern ((MapType0Select ?S551 ?x1370) (x_S_WordLength__SERIAL_LINE_CONTROLInv ?S551)) )) (forall ((?x1371 Int)) (! (= (WordLength__SERIAL_LINE_CONTROL ?x1371) (+ ?x1371 2)) :pattern ((WordLength__SERIAL_LINE_CONTROL ?x1371)) )) (forall ((?x1372 Int)) (! (= (WordLength__SERIAL_LINE_CONTROLInv ?x1372) (- ?x1372 2)) :pattern ((WordLength__SERIAL_LINE_CONTROLInv ?x1372)) )) (forall ((?x1373 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1373 2 1) (WordLength__SERIAL_LINE_CONTROLInv ?x1373)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1373 2 1)) )) (forall ((?x1374 Int)) (! (= (MINUS_LEFT_PTR ?x1374 1 2) (WordLength__SERIAL_LINE_CONTROLInv ?x1374)) :pattern ((MINUS_LEFT_PTR ?x1374 1 2)) )) (forall ((?x1375 Int)) (! (= (WriteQueue__SERIAL_DEVICE_EXTENSIONInv (WriteQueue__SERIAL_DEVICE_EXTENSION ?x1375)) ?x1375) :pattern ((WriteQueue__SERIAL_DEVICE_EXTENSIONInv (WriteQueue__SERIAL_DEVICE_EXTENSION ?x1375))) )) (forall ((?x1376 Int)) (! (= (WriteQueue__SERIAL_DEVICE_EXTENSION (WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?x1376)) ?x1376) :pattern ((WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?x1376)) )) (forall ((?x1377 boogieU) (?S552 boogieU)) (! (=> (and (= (type ?x1377) intType) (= (type ?S552) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteQueue__SERIAL_DEVICE_EXTENSION ?S552) ?x1377)) boolTrue) (= (U_2_bool (MapType0Select ?S552 (int_2_U (WriteQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1377))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteQueue__SERIAL_DEVICE_EXTENSION ?S552) ?x1377)) )) (forall ((?x1378 boogieU) (?S553 boogieU)) (! (=> (and (= (type ?x1378) intType) (= (type ?S553) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?S553) ?x1378)) boolTrue) (= (U_2_bool (MapType0Select ?S553 (int_2_U (WriteQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1378))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?S553) ?x1378)) )) (forall ((?x1379 boogieU) (?S554 boogieU)) (! (=> (and (= (type ?x1379) intType) (= (type ?S554) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S554 ?x1379)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteQueue__SERIAL_DEVICE_EXTENSION ?S554) (int_2_U (WriteQueue__SERIAL_DEVICE_EXTENSION (U_2_int ?x1379))))) boolTrue))) :pattern ((MapType0Select ?S554 ?x1379) (x_S_WriteQueue__SERIAL_DEVICE_EXTENSION ?S554)) )) (forall ((?x1380 boogieU) (?S555 boogieU)) (! (=> (and (= (type ?x1380) intType) (= (type ?S555) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S555 ?x1380)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?S555) (int_2_U (WriteQueue__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1380))))) boolTrue))) :pattern ((MapType0Select ?S555 ?x1380) (x_S_WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?S555)) )) (forall ((?x1381 Int)) (! (= (WriteQueue__SERIAL_DEVICE_EXTENSION ?x1381) (+ ?x1381 164)) :pattern ((WriteQueue__SERIAL_DEVICE_EXTENSION ?x1381)) )) (forall ((?x1382 Int)) (! (= (WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?x1382) (- ?x1382 164)) :pattern ((WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?x1382)) )) (forall ((?x1383 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1383 164 1) (WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?x1383)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1383 164 1)) )) (forall ((?x1384 Int)) (! (= (MINUS_LEFT_PTR ?x1384 1 164) (WriteQueue__SERIAL_DEVICE_EXTENSIONInv ?x1384)) :pattern ((MINUS_LEFT_PTR ?x1384 1 164)) )) (forall ((?x1385 Int)) (! (= (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1385)) ?x1385) :pattern ((WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1385))) )) (forall ((?x1386 Int)) (! (= (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1386)) ?x1386) :pattern ((WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1386)) )) (forall ((?x1387 boogieU) (?S556 boogieU)) (! (=> (and (= (type ?x1387) intType) (= (type ?S556) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S556) ?x1387)) boolTrue) (= (U_2_bool (MapType0Select ?S556 (int_2_U (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1387))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S556) ?x1387)) )) (forall ((?x1388 boogieU) (?S557 boogieU)) (! (=> (and (= (type ?x1388) intType) (= (type ?S557) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S557) ?x1388)) boolTrue) (= (U_2_bool (MapType0Select ?S557 (int_2_U (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1388))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S557) ?x1388)) )) (forall ((?x1389 boogieU) (?S558 boogieU)) (! (=> (and (= (type ?x1389) intType) (= (type ?S558) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S558 ?x1389)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S558) (int_2_U (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1389))))) boolTrue))) :pattern ((MapType0Select ?S558 ?x1389) (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?S558)) )) (forall ((?x1390 boogieU) (?S559 boogieU)) (! (=> (and (= (type ?x1390) intType) (= (type ?S559) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S559 ?x1390)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S559) (int_2_U (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1390))))) boolTrue))) :pattern ((MapType0Select ?S559 ?x1390) (x_S_WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?S559)) )) (forall ((?x1391 Int)) (! (= (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1391) (+ ?x1391 1048)) :pattern ((WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION ?x1391)) )) (forall ((?x1392 Int)) (! (= (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1392) (- ?x1392 1048)) :pattern ((WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1392)) )) (forall ((?x1393 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1393 1048 1) (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1393)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1393 1048 1)) )) (forall ((?x1394 Int)) (! (= (MINUS_LEFT_PTR ?x1394 1 1048) (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSIONInv ?x1394)) :pattern ((MINUS_LEFT_PTR ?x1394 1 1048)) )) (forall ((?x1395 Int)) (! (= (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv (WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1395)) ?x1395) :pattern ((WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv (WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1395))) )) (forall ((?x1396 Int)) (! (= (WriteTotalTimeoutConstant__SERIAL_TIMEOUTS (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1396)) ?x1396) :pattern ((WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1396)) )) (forall ((?x1397 boogieU) (?S560 boogieU)) (! (=> (and (= (type ?x1397) intType) (= (type ?S560) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?S560) ?x1397)) boolTrue) (= (U_2_bool (MapType0Select ?S560 (int_2_U (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv (U_2_int ?x1397))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?S560) ?x1397)) )) (forall ((?x1398 boogieU) (?S561 boogieU)) (! (=> (and (= (type ?x1398) intType) (= (type ?S561) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S561) ?x1398)) boolTrue) (= (U_2_bool (MapType0Select ?S561 (int_2_U (WriteTotalTimeoutConstant__SERIAL_TIMEOUTS (U_2_int ?x1398))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S561) ?x1398)) )) (forall ((?x1399 boogieU) (?S562 boogieU)) (! (=> (and (= (type ?x1399) intType) (= (type ?S562) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S562 ?x1399)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?S562) (int_2_U (WriteTotalTimeoutConstant__SERIAL_TIMEOUTS (U_2_int ?x1399))))) boolTrue))) :pattern ((MapType0Select ?S562 ?x1399) (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?S562)) )) (forall ((?x1400 boogieU) (?S563 boogieU)) (! (=> (and (= (type ?x1400) intType) (= (type ?S563) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S563 ?x1400)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S563) (int_2_U (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv (U_2_int ?x1400))))) boolTrue))) :pattern ((MapType0Select ?S563 ?x1400) (x_S_WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?S563)) )) (forall ((?x1401 Int)) (! (= (WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1401) (+ ?x1401 16)) :pattern ((WriteTotalTimeoutConstant__SERIAL_TIMEOUTS ?x1401)) )) (forall ((?x1402 Int)) (! (= (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1402) (- ?x1402 16)) :pattern ((WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1402)) )) (forall ((?x1403 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1403 16 1) (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1403)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1403 16 1)) )) (forall ((?x1404 Int)) (! (= (MINUS_LEFT_PTR ?x1404 1 16) (WriteTotalTimeoutConstant__SERIAL_TIMEOUTSInv ?x1404)) :pattern ((MINUS_LEFT_PTR ?x1404 1 16)) )) (forall ((?x1405 Int)) (! (= (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1405)) ?x1405) :pattern ((WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1405))) )) (forall ((?x1406 Int)) (! (= (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1406)) ?x1406) :pattern ((WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1406)) )) (forall ((?x1407 boogieU) (?S564 boogieU)) (! (=> (and (= (type ?x1407) intType) (= (type ?S564) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S564) ?x1407)) boolTrue) (= (U_2_bool (MapType0Select ?S564 (int_2_U (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (U_2_int ?x1407))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S564) ?x1407)) )) (forall ((?x1408 boogieU) (?S565 boogieU)) (! (=> (and (= (type ?x1408) intType) (= (type ?S565) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S565) ?x1408)) boolTrue) (= (U_2_bool (MapType0Select ?S565 (int_2_U (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS (U_2_int ?x1408))))) boolTrue))) :pattern ((MapType0Select (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S565) ?x1408)) )) (forall ((?x1409 boogieU) (?S566 boogieU)) (! (=> (and (= (type ?x1409) intType) (= (type ?S566) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S566 ?x1409)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S566) (int_2_U (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS (U_2_int ?x1409))))) boolTrue))) :pattern ((MapType0Select ?S566 ?x1409) (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?S566)) )) (forall ((?x1410 boogieU) (?S567 boogieU)) (! (=> (and (= (type ?x1410) intType) (= (type ?S567) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S567 ?x1410)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S567) (int_2_U (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv (U_2_int ?x1410))))) boolTrue))) :pattern ((MapType0Select ?S567 ?x1410) (x_S_WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?S567)) )) (forall ((?x1411 Int)) (! (= (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1411) (+ ?x1411 12)) :pattern ((WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTS ?x1411)) )) (forall ((?x1412 Int)) (! (= (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1412) (- ?x1412 12)) :pattern ((WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1412)) )) (forall ((?x1413 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1413 12 1) (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1413)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1413 12 1)) )) (forall ((?x1414 Int)) (! (= (MINUS_LEFT_PTR ?x1414 1 12) (WriteTotalTimeoutMultiplier__SERIAL_TIMEOUTSInv ?x1414)) :pattern ((MINUS_LEFT_PTR ?x1414 1 12)) )) (forall ((?x1415 Int)) (! (= (Write___unnamed_16_57edbc3aInv (Write___unnamed_16_57edbc3a ?x1415)) ?x1415) :pattern ((Write___unnamed_16_57edbc3aInv (Write___unnamed_16_57edbc3a ?x1415))) )) (forall ((?x1416 Int)) (! (= (Write___unnamed_16_57edbc3a (Write___unnamed_16_57edbc3aInv ?x1416)) ?x1416) :pattern ((Write___unnamed_16_57edbc3aInv ?x1416)) )) (forall ((?x1417 boogieU) (?S568 boogieU)) (! (=> (and (= (type ?x1417) intType) (= (type ?S568) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Write___unnamed_16_57edbc3a ?S568) ?x1417)) boolTrue) (= (U_2_bool (MapType0Select ?S568 (int_2_U (Write___unnamed_16_57edbc3aInv (U_2_int ?x1417))))) boolTrue))) :pattern ((MapType0Select (x_S_Write___unnamed_16_57edbc3a ?S568) ?x1417)) )) (forall ((?x1418 boogieU) (?S569 boogieU)) (! (=> (and (= (type ?x1418) intType) (= (type ?S569) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Write___unnamed_16_57edbc3aInv ?S569) ?x1418)) boolTrue) (= (U_2_bool (MapType0Select ?S569 (int_2_U (Write___unnamed_16_57edbc3a (U_2_int ?x1418))))) boolTrue))) :pattern ((MapType0Select (x_S_Write___unnamed_16_57edbc3aInv ?S569) ?x1418)) )) (forall ((?x1419 boogieU) (?S570 boogieU)) (! (=> (and (= (type ?x1419) intType) (= (type ?S570) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S570 ?x1419)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Write___unnamed_16_57edbc3a ?S570) (int_2_U (Write___unnamed_16_57edbc3a (U_2_int ?x1419))))) boolTrue))) :pattern ((MapType0Select ?S570 ?x1419) (x_S_Write___unnamed_16_57edbc3a ?S570)) )) (forall ((?x1420 boogieU) (?S571 boogieU)) (! (=> (and (= (type ?x1420) intType) (= (type ?S571) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S571 ?x1420)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Write___unnamed_16_57edbc3aInv ?S571) (int_2_U (Write___unnamed_16_57edbc3aInv (U_2_int ?x1420))))) boolTrue))) :pattern ((MapType0Select ?S571 ?x1420) (x_S_Write___unnamed_16_57edbc3aInv ?S571)) )) (forall ((?x1421 Int)) (! (= (Write___unnamed_16_57edbc3a ?x1421) (+ ?x1421 0)) :pattern ((Write___unnamed_16_57edbc3a ?x1421)) )) (forall ((?x1422 Int)) (! (= (Write___unnamed_16_57edbc3aInv ?x1422) (- ?x1422 0)) :pattern ((Write___unnamed_16_57edbc3aInv ?x1422)) )) (forall ((?x1423 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1423 0 1) (Write___unnamed_16_57edbc3aInv ?x1423)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1423 0 1)) )) (forall ((?x1424 Int)) (! (= (MINUS_LEFT_PTR ?x1424 1 0) (Write___unnamed_16_57edbc3aInv ?x1424)) :pattern ((MINUS_LEFT_PTR ?x1424 1 0)) )) (forall ((?x1425 Int)) (! (= (XoffChar__SERIAL_CHARSInv (XoffChar__SERIAL_CHARS ?x1425)) ?x1425) :pattern ((XoffChar__SERIAL_CHARSInv (XoffChar__SERIAL_CHARS ?x1425))) )) (forall ((?x1426 Int)) (! (= (XoffChar__SERIAL_CHARS (XoffChar__SERIAL_CHARSInv ?x1426)) ?x1426) :pattern ((XoffChar__SERIAL_CHARSInv ?x1426)) )) (forall ((?x1427 boogieU) (?S572 boogieU)) (! (=> (and (= (type ?x1427) intType) (= (type ?S572) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffChar__SERIAL_CHARS ?S572) ?x1427)) boolTrue) (= (U_2_bool (MapType0Select ?S572 (int_2_U (XoffChar__SERIAL_CHARSInv (U_2_int ?x1427))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffChar__SERIAL_CHARS ?S572) ?x1427)) )) (forall ((?x1428 boogieU) (?S573 boogieU)) (! (=> (and (= (type ?x1428) intType) (= (type ?S573) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffChar__SERIAL_CHARSInv ?S573) ?x1428)) boolTrue) (= (U_2_bool (MapType0Select ?S573 (int_2_U (XoffChar__SERIAL_CHARS (U_2_int ?x1428))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffChar__SERIAL_CHARSInv ?S573) ?x1428)) )) (forall ((?x1429 boogieU) (?S574 boogieU)) (! (=> (and (= (type ?x1429) intType) (= (type ?S574) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S574 ?x1429)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffChar__SERIAL_CHARS ?S574) (int_2_U (XoffChar__SERIAL_CHARS (U_2_int ?x1429))))) boolTrue))) :pattern ((MapType0Select ?S574 ?x1429) (x_S_XoffChar__SERIAL_CHARS ?S574)) )) (forall ((?x1430 boogieU) (?S575 boogieU)) (! (=> (and (= (type ?x1430) intType) (= (type ?S575) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S575 ?x1430)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffChar__SERIAL_CHARSInv ?S575) (int_2_U (XoffChar__SERIAL_CHARSInv (U_2_int ?x1430))))) boolTrue))) :pattern ((MapType0Select ?S575 ?x1430) (x_S_XoffChar__SERIAL_CHARSInv ?S575)) )) (forall ((?x1431 Int)) (! (= (XoffChar__SERIAL_CHARS ?x1431) (+ ?x1431 5)) :pattern ((XoffChar__SERIAL_CHARS ?x1431)) )) (forall ((?x1432 Int)) (! (= (XoffChar__SERIAL_CHARSInv ?x1432) (- ?x1432 5)) :pattern ((XoffChar__SERIAL_CHARSInv ?x1432)) )) (forall ((?x1433 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1433 5 1) (XoffChar__SERIAL_CHARSInv ?x1433)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1433 5 1)) )) (forall ((?x1434 Int)) (! (= (MINUS_LEFT_PTR ?x1434 1 5) (XoffChar__SERIAL_CHARSInv ?x1434)) :pattern ((MINUS_LEFT_PTR ?x1434 1 5)) )) (forall ((?x1435 Int)) (! (= (XoffCharacter__SERIAL_WMI_COMM_DATAInv (XoffCharacter__SERIAL_WMI_COMM_DATA ?x1435)) ?x1435) :pattern ((XoffCharacter__SERIAL_WMI_COMM_DATAInv (XoffCharacter__SERIAL_WMI_COMM_DATA ?x1435))) )) (forall ((?x1436 Int)) (! (= (XoffCharacter__SERIAL_WMI_COMM_DATA (XoffCharacter__SERIAL_WMI_COMM_DATAInv ?x1436)) ?x1436) :pattern ((XoffCharacter__SERIAL_WMI_COMM_DATAInv ?x1436)) )) (forall ((?x1437 boogieU) (?S576 boogieU)) (! (=> (and (= (type ?x1437) intType) (= (type ?S576) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffCharacter__SERIAL_WMI_COMM_DATA ?S576) ?x1437)) boolTrue) (= (U_2_bool (MapType0Select ?S576 (int_2_U (XoffCharacter__SERIAL_WMI_COMM_DATAInv (U_2_int ?x1437))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffCharacter__SERIAL_WMI_COMM_DATA ?S576) ?x1437)) )) (forall ((?x1438 boogieU) (?S577 boogieU)) (! (=> (and (= (type ?x1438) intType) (= (type ?S577) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv ?S577) ?x1438)) boolTrue) (= (U_2_bool (MapType0Select ?S577 (int_2_U (XoffCharacter__SERIAL_WMI_COMM_DATA (U_2_int ?x1438))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv ?S577) ?x1438)) )) (forall ((?x1439 boogieU) (?S578 boogieU)) (! (=> (and (= (type ?x1439) intType) (= (type ?S578) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S578 ?x1439)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffCharacter__SERIAL_WMI_COMM_DATA ?S578) (int_2_U (XoffCharacter__SERIAL_WMI_COMM_DATA (U_2_int ?x1439))))) boolTrue))) :pattern ((MapType0Select ?S578 ?x1439) (x_S_XoffCharacter__SERIAL_WMI_COMM_DATA ?S578)) )) (forall ((?x1440 boogieU) (?S579 boogieU)) (! (=> (and (= (type ?x1440) intType) (= (type ?S579) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S579 ?x1440)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv ?S579) (int_2_U (XoffCharacter__SERIAL_WMI_COMM_DATAInv (U_2_int ?x1440))))) boolTrue))) :pattern ((MapType0Select ?S579 ?x1440) (x_S_XoffCharacter__SERIAL_WMI_COMM_DATAInv ?S579)) )) (forall ((?x1441 Int)) (! (= (XoffCharacter__SERIAL_WMI_COMM_DATA ?x1441) (+ ?x1441 20)) :pattern ((XoffCharacter__SERIAL_WMI_COMM_DATA ?x1441)) )) (forall ((?x1442 Int)) (! (= (XoffCharacter__SERIAL_WMI_COMM_DATAInv ?x1442) (- ?x1442 20)) :pattern ((XoffCharacter__SERIAL_WMI_COMM_DATAInv ?x1442)) )) (forall ((?x1443 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1443 20 1) (XoffCharacter__SERIAL_WMI_COMM_DATAInv ?x1443)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1443 20 1)) )) (forall ((?x1444 Int)) (! (= (MINUS_LEFT_PTR ?x1444 1 20) (XoffCharacter__SERIAL_WMI_COMM_DATAInv ?x1444)) :pattern ((MINUS_LEFT_PTR ?x1444 1 20)) )) (forall ((?x1445 Int)) (! (= (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1445)) ?x1445) :pattern ((XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1445))) )) (forall ((?x1446 Int)) (! (= (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1446)) ?x1446) :pattern ((XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1446)) )) (forall ((?x1447 boogieU) (?S580 boogieU)) (! (=> (and (= (type ?x1447) intType) (= (type ?S580) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S580) ?x1447)) boolTrue) (= (U_2_bool (MapType0Select ?S580 (int_2_U (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1447))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S580) ?x1447)) )) (forall ((?x1448 boogieU) (?S581 boogieU)) (! (=> (and (= (type ?x1448) intType) (= (type ?S581) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S581) ?x1448)) boolTrue) (= (U_2_bool (MapType0Select ?S581 (int_2_U (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1448))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S581) ?x1448)) )) (forall ((?x1449 boogieU) (?S582 boogieU)) (! (=> (and (= (type ?x1449) intType) (= (type ?S582) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S582 ?x1449)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S582) (int_2_U (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION (U_2_int ?x1449))))) boolTrue))) :pattern ((MapType0Select ?S582 ?x1449) (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?S582)) )) (forall ((?x1450 boogieU) (?S583 boogieU)) (! (=> (and (= (type ?x1450) intType) (= (type ?S583) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S583 ?x1450)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S583) (int_2_U (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1450))))) boolTrue))) :pattern ((MapType0Select ?S583 ?x1450) (x_S_XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?S583)) )) (forall ((?x1451 Int)) (! (= (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1451) (+ ?x1451 772)) :pattern ((XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION ?x1451)) )) (forall ((?x1452 Int)) (! (= (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1452) (- ?x1452 772)) :pattern ((XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1452)) )) (forall ((?x1453 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1453 772 1) (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1453)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1453 772 1)) )) (forall ((?x1454 Int)) (! (= (MINUS_LEFT_PTR ?x1454 1 772) (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSIONInv ?x1454)) :pattern ((MINUS_LEFT_PTR ?x1454 1 772)) )) (forall ((?x1455 Int)) (! (= (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv (XoffCountTimer__SERIAL_DEVICE_EXTENSION ?x1455)) ?x1455) :pattern ((XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv (XoffCountTimer__SERIAL_DEVICE_EXTENSION ?x1455))) )) (forall ((?x1456 Int)) (! (= (XoffCountTimer__SERIAL_DEVICE_EXTENSION (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?x1456)) ?x1456) :pattern ((XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?x1456)) )) (forall ((?x1457 boogieU) (?S584 boogieU)) (! (=> (and (= (type ?x1457) intType) (= (type ?S584) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION ?S584) ?x1457)) boolTrue) (= (U_2_bool (MapType0Select ?S584 (int_2_U (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1457))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION ?S584) ?x1457)) )) (forall ((?x1458 boogieU) (?S585 boogieU)) (! (=> (and (= (type ?x1458) intType) (= (type ?S585) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?S585) ?x1458)) boolTrue) (= (U_2_bool (MapType0Select ?S585 (int_2_U (XoffCountTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1458))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?S585) ?x1458)) )) (forall ((?x1459 boogieU) (?S586 boogieU)) (! (=> (and (= (type ?x1459) intType) (= (type ?S586) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S586 ?x1459)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION ?S586) (int_2_U (XoffCountTimer__SERIAL_DEVICE_EXTENSION (U_2_int ?x1459))))) boolTrue))) :pattern ((MapType0Select ?S586 ?x1459) (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSION ?S586)) )) (forall ((?x1460 boogieU) (?S587 boogieU)) (! (=> (and (= (type ?x1460) intType) (= (type ?S587) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S587 ?x1460)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?S587) (int_2_U (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv (U_2_int ?x1460))))) boolTrue))) :pattern ((MapType0Select ?S587 ?x1460) (x_S_XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?S587)) )) (forall ((?x1461 Int)) (! (= (XoffCountTimer__SERIAL_DEVICE_EXTENSION ?x1461) (+ ?x1461 1128)) :pattern ((XoffCountTimer__SERIAL_DEVICE_EXTENSION ?x1461)) )) (forall ((?x1462 Int)) (! (= (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?x1462) (- ?x1462 1128)) :pattern ((XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?x1462)) )) (forall ((?x1463 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1463 1128 1) (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?x1463)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1463 1128 1)) )) (forall ((?x1464 Int)) (! (= (MINUS_LEFT_PTR ?x1464 1 1128) (XoffCountTimer__SERIAL_DEVICE_EXTENSIONInv ?x1464)) :pattern ((MINUS_LEFT_PTR ?x1464 1 1128)) )) (forall ((?x1465 Int)) (! (= (XoffLimit__SERIAL_HANDFLOWInv (XoffLimit__SERIAL_HANDFLOW ?x1465)) ?x1465) :pattern ((XoffLimit__SERIAL_HANDFLOWInv (XoffLimit__SERIAL_HANDFLOW ?x1465))) )) (forall ((?x1466 Int)) (! (= (XoffLimit__SERIAL_HANDFLOW (XoffLimit__SERIAL_HANDFLOWInv ?x1466)) ?x1466) :pattern ((XoffLimit__SERIAL_HANDFLOWInv ?x1466)) )) (forall ((?x1467 boogieU) (?S588 boogieU)) (! (=> (and (= (type ?x1467) intType) (= (type ?S588) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffLimit__SERIAL_HANDFLOW ?S588) ?x1467)) boolTrue) (= (U_2_bool (MapType0Select ?S588 (int_2_U (XoffLimit__SERIAL_HANDFLOWInv (U_2_int ?x1467))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffLimit__SERIAL_HANDFLOW ?S588) ?x1467)) )) (forall ((?x1468 boogieU) (?S589 boogieU)) (! (=> (and (= (type ?x1468) intType) (= (type ?S589) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XoffLimit__SERIAL_HANDFLOWInv ?S589) ?x1468)) boolTrue) (= (U_2_bool (MapType0Select ?S589 (int_2_U (XoffLimit__SERIAL_HANDFLOW (U_2_int ?x1468))))) boolTrue))) :pattern ((MapType0Select (x_S_XoffLimit__SERIAL_HANDFLOWInv ?S589) ?x1468)) )) (forall ((?x1469 boogieU) (?S590 boogieU)) (! (=> (and (= (type ?x1469) intType) (= (type ?S590) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S590 ?x1469)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffLimit__SERIAL_HANDFLOW ?S590) (int_2_U (XoffLimit__SERIAL_HANDFLOW (U_2_int ?x1469))))) boolTrue))) :pattern ((MapType0Select ?S590 ?x1469) (x_S_XoffLimit__SERIAL_HANDFLOW ?S590)) )) (forall ((?x1470 boogieU) (?S591 boogieU)) (! (=> (and (= (type ?x1470) intType) (= (type ?S591) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S591 ?x1470)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XoffLimit__SERIAL_HANDFLOWInv ?S591) (int_2_U (XoffLimit__SERIAL_HANDFLOWInv (U_2_int ?x1470))))) boolTrue))) :pattern ((MapType0Select ?S591 ?x1470) (x_S_XoffLimit__SERIAL_HANDFLOWInv ?S591)) )) (forall ((?x1471 Int)) (! (= (XoffLimit__SERIAL_HANDFLOW ?x1471) (+ ?x1471 12)) :pattern ((XoffLimit__SERIAL_HANDFLOW ?x1471)) )) (forall ((?x1472 Int)) (! (= (XoffLimit__SERIAL_HANDFLOWInv ?x1472) (- ?x1472 12)) :pattern ((XoffLimit__SERIAL_HANDFLOWInv ?x1472)) )) (forall ((?x1473 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1473 12 1) (XoffLimit__SERIAL_HANDFLOWInv ?x1473)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1473 12 1)) )) (forall ((?x1474 Int)) (! (= (MINUS_LEFT_PTR ?x1474 1 12) (XoffLimit__SERIAL_HANDFLOWInv ?x1474)) :pattern ((MINUS_LEFT_PTR ?x1474 1 12)) )) (forall ((?x1475 Int)) (! (= (XonChar__SERIAL_CHARSInv (XonChar__SERIAL_CHARS ?x1475)) ?x1475) :pattern ((XonChar__SERIAL_CHARSInv (XonChar__SERIAL_CHARS ?x1475))) )) (forall ((?x1476 Int)) (! (= (XonChar__SERIAL_CHARS (XonChar__SERIAL_CHARSInv ?x1476)) ?x1476) :pattern ((XonChar__SERIAL_CHARSInv ?x1476)) )) (forall ((?x1477 boogieU) (?S592 boogieU)) (! (=> (and (= (type ?x1477) intType) (= (type ?S592) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XonChar__SERIAL_CHARS ?S592) ?x1477)) boolTrue) (= (U_2_bool (MapType0Select ?S592 (int_2_U (XonChar__SERIAL_CHARSInv (U_2_int ?x1477))))) boolTrue))) :pattern ((MapType0Select (x_S_XonChar__SERIAL_CHARS ?S592) ?x1477)) )) (forall ((?x1478 boogieU) (?S593 boogieU)) (! (=> (and (= (type ?x1478) intType) (= (type ?S593) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XonChar__SERIAL_CHARSInv ?S593) ?x1478)) boolTrue) (= (U_2_bool (MapType0Select ?S593 (int_2_U (XonChar__SERIAL_CHARS (U_2_int ?x1478))))) boolTrue))) :pattern ((MapType0Select (x_S_XonChar__SERIAL_CHARSInv ?S593) ?x1478)) )) (forall ((?x1479 boogieU) (?S594 boogieU)) (! (=> (and (= (type ?x1479) intType) (= (type ?S594) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S594 ?x1479)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XonChar__SERIAL_CHARS ?S594) (int_2_U (XonChar__SERIAL_CHARS (U_2_int ?x1479))))) boolTrue))) :pattern ((MapType0Select ?S594 ?x1479) (x_S_XonChar__SERIAL_CHARS ?S594)) )) (forall ((?x1480 boogieU) (?S595 boogieU)) (! (=> (and (= (type ?x1480) intType) (= (type ?S595) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S595 ?x1480)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XonChar__SERIAL_CHARSInv ?S595) (int_2_U (XonChar__SERIAL_CHARSInv (U_2_int ?x1480))))) boolTrue))) :pattern ((MapType0Select ?S595 ?x1480) (x_S_XonChar__SERIAL_CHARSInv ?S595)) )) (forall ((?x1481 Int)) (! (= (XonChar__SERIAL_CHARS ?x1481) (+ ?x1481 4)) :pattern ((XonChar__SERIAL_CHARS ?x1481)) )) (forall ((?x1482 Int)) (! (= (XonChar__SERIAL_CHARSInv ?x1482) (- ?x1482 4)) :pattern ((XonChar__SERIAL_CHARSInv ?x1482)) )) (forall ((?x1483 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1483 4 1) (XonChar__SERIAL_CHARSInv ?x1483)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1483 4 1)) )) (forall ((?x1484 Int)) (! (= (MINUS_LEFT_PTR ?x1484 1 4) (XonChar__SERIAL_CHARSInv ?x1484)) :pattern ((MINUS_LEFT_PTR ?x1484 1 4)) )) (forall ((?x1485 Int)) (! (= (XonCharacter__SERIAL_WMI_COMM_DATAInv (XonCharacter__SERIAL_WMI_COMM_DATA ?x1485)) ?x1485) :pattern ((XonCharacter__SERIAL_WMI_COMM_DATAInv (XonCharacter__SERIAL_WMI_COMM_DATA ?x1485))) )) (forall ((?x1486 Int)) (! (= (XonCharacter__SERIAL_WMI_COMM_DATA (XonCharacter__SERIAL_WMI_COMM_DATAInv ?x1486)) ?x1486) :pattern ((XonCharacter__SERIAL_WMI_COMM_DATAInv ?x1486)) )) (forall ((?x1487 boogieU) (?S596 boogieU)) (! (=> (and (= (type ?x1487) intType) (= (type ?S596) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XonCharacter__SERIAL_WMI_COMM_DATA ?S596) ?x1487)) boolTrue) (= (U_2_bool (MapType0Select ?S596 (int_2_U (XonCharacter__SERIAL_WMI_COMM_DATAInv (U_2_int ?x1487))))) boolTrue))) :pattern ((MapType0Select (x_S_XonCharacter__SERIAL_WMI_COMM_DATA ?S596) ?x1487)) )) (forall ((?x1488 boogieU) (?S597 boogieU)) (! (=> (and (= (type ?x1488) intType) (= (type ?S597) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv ?S597) ?x1488)) boolTrue) (= (U_2_bool (MapType0Select ?S597 (int_2_U (XonCharacter__SERIAL_WMI_COMM_DATA (U_2_int ?x1488))))) boolTrue))) :pattern ((MapType0Select (x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv ?S597) ?x1488)) )) (forall ((?x1489 boogieU) (?S598 boogieU)) (! (=> (and (= (type ?x1489) intType) (= (type ?S598) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S598 ?x1489)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XonCharacter__SERIAL_WMI_COMM_DATA ?S598) (int_2_U (XonCharacter__SERIAL_WMI_COMM_DATA (U_2_int ?x1489))))) boolTrue))) :pattern ((MapType0Select ?S598 ?x1489) (x_S_XonCharacter__SERIAL_WMI_COMM_DATA ?S598)) )) (forall ((?x1490 boogieU) (?S599 boogieU)) (! (=> (and (= (type ?x1490) intType) (= (type ?S599) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S599 ?x1490)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv ?S599) (int_2_U (XonCharacter__SERIAL_WMI_COMM_DATAInv (U_2_int ?x1490))))) boolTrue))) :pattern ((MapType0Select ?S599 ?x1490) (x_S_XonCharacter__SERIAL_WMI_COMM_DATAInv ?S599)) )) (forall ((?x1491 Int)) (! (= (XonCharacter__SERIAL_WMI_COMM_DATA ?x1491) (+ ?x1491 28)) :pattern ((XonCharacter__SERIAL_WMI_COMM_DATA ?x1491)) )) (forall ((?x1492 Int)) (! (= (XonCharacter__SERIAL_WMI_COMM_DATAInv ?x1492) (- ?x1492 28)) :pattern ((XonCharacter__SERIAL_WMI_COMM_DATAInv ?x1492)) )) (forall ((?x1493 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1493 28 1) (XonCharacter__SERIAL_WMI_COMM_DATAInv ?x1493)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1493 28 1)) )) (forall ((?x1494 Int)) (! (= (MINUS_LEFT_PTR ?x1494 1 28) (XonCharacter__SERIAL_WMI_COMM_DATAInv ?x1494)) :pattern ((MINUS_LEFT_PTR ?x1494 1 28)) )) (forall ((?x1495 Int)) (! (= (XonLimit__SERIAL_HANDFLOWInv (XonLimit__SERIAL_HANDFLOW ?x1495)) ?x1495) :pattern ((XonLimit__SERIAL_HANDFLOWInv (XonLimit__SERIAL_HANDFLOW ?x1495))) )) (forall ((?x1496 Int)) (! (= (XonLimit__SERIAL_HANDFLOW (XonLimit__SERIAL_HANDFLOWInv ?x1496)) ?x1496) :pattern ((XonLimit__SERIAL_HANDFLOWInv ?x1496)) )) (forall ((?x1497 boogieU) (?S600 boogieU)) (! (=> (and (= (type ?x1497) intType) (= (type ?S600) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XonLimit__SERIAL_HANDFLOW ?S600) ?x1497)) boolTrue) (= (U_2_bool (MapType0Select ?S600 (int_2_U (XonLimit__SERIAL_HANDFLOWInv (U_2_int ?x1497))))) boolTrue))) :pattern ((MapType0Select (x_S_XonLimit__SERIAL_HANDFLOW ?S600) ?x1497)) )) (forall ((?x1498 boogieU) (?S601 boogieU)) (! (=> (and (= (type ?x1498) intType) (= (type ?S601) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_XonLimit__SERIAL_HANDFLOWInv ?S601) ?x1498)) boolTrue) (= (U_2_bool (MapType0Select ?S601 (int_2_U (XonLimit__SERIAL_HANDFLOW (U_2_int ?x1498))))) boolTrue))) :pattern ((MapType0Select (x_S_XonLimit__SERIAL_HANDFLOWInv ?S601) ?x1498)) )) (forall ((?x1499 boogieU) (?S602 boogieU)) (! (=> (and (= (type ?x1499) intType) (= (type ?S602) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S602 ?x1499)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XonLimit__SERIAL_HANDFLOW ?S602) (int_2_U (XonLimit__SERIAL_HANDFLOW (U_2_int ?x1499))))) boolTrue))) :pattern ((MapType0Select ?S602 ?x1499) (x_S_XonLimit__SERIAL_HANDFLOW ?S602)) )) (forall ((?x1500 boogieU) (?S603 boogieU)) (! (=> (and (= (type ?x1500) intType) (= (type ?S603) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S603 ?x1500)) boolTrue) (= (U_2_bool (MapType0Select (x_S_XonLimit__SERIAL_HANDFLOWInv ?S603) (int_2_U (XonLimit__SERIAL_HANDFLOWInv (U_2_int ?x1500))))) boolTrue))) :pattern ((MapType0Select ?S603 ?x1500) (x_S_XonLimit__SERIAL_HANDFLOWInv ?S603)) )) (forall ((?x1501 Int)) (! (= (XonLimit__SERIAL_HANDFLOW ?x1501) (+ ?x1501 8)) :pattern ((XonLimit__SERIAL_HANDFLOW ?x1501)) )) (forall ((?x1502 Int)) (! (= (XonLimit__SERIAL_HANDFLOWInv ?x1502) (- ?x1502 8)) :pattern ((XonLimit__SERIAL_HANDFLOWInv ?x1502)) )) (forall ((?x1503 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1503 8 1) (XonLimit__SERIAL_HANDFLOWInv ?x1503)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1503 8 1)) )) (forall ((?x1504 Int)) (! (= (MINUS_LEFT_PTR ?x1504 1 8) (XonLimit__SERIAL_HANDFLOWInv ?x1504)) :pattern ((MINUS_LEFT_PTR ?x1504 1 8)) )) (forall ((?x1505 Int)) (! (= (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv (x__unnamed_12_5cc47a19___unnamed_40_ebf2206a ?x1505)) ?x1505) :pattern ((x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv (x__unnamed_12_5cc47a19___unnamed_40_ebf2206a ?x1505))) )) (forall ((?x1506 Int)) (! (= (x__unnamed_12_5cc47a19___unnamed_40_ebf2206a (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?x1506)) ?x1506) :pattern ((x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?x1506)) )) (forall ((?x1507 boogieU) (?S604 boogieU)) (! (=> (and (= (type ?x1507) intType) (= (type ?S604) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a ?S604) ?x1507)) boolTrue) (= (U_2_bool (MapType0Select ?S604 (int_2_U (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv (U_2_int ?x1507))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a ?S604) ?x1507)) )) (forall ((?x1508 boogieU) (?S605 boogieU)) (! (=> (and (= (type ?x1508) intType) (= (type ?S605) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?S605) ?x1508)) boolTrue) (= (U_2_bool (MapType0Select ?S605 (int_2_U (x__unnamed_12_5cc47a19___unnamed_40_ebf2206a (U_2_int ?x1508))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?S605) ?x1508)) )) (forall ((?x1509 boogieU) (?S606 boogieU)) (! (=> (and (= (type ?x1509) intType) (= (type ?S606) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S606 ?x1509)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a ?S606) (int_2_U (x__unnamed_12_5cc47a19___unnamed_40_ebf2206a (U_2_int ?x1509))))) boolTrue))) :pattern ((MapType0Select ?S606 ?x1509) (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206a ?S606)) )) (forall ((?x1510 boogieU) (?S607 boogieU)) (! (=> (and (= (type ?x1510) intType) (= (type ?S607) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S607 ?x1510)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?S607) (int_2_U (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv (U_2_int ?x1510))))) boolTrue))) :pattern ((MapType0Select ?S607 ?x1510) (x_S___unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?S607)) )) (forall ((?x1511 Int)) (! (= (x__unnamed_12_5cc47a19___unnamed_40_ebf2206a ?x1511) (+ ?x1511 24)) :pattern ((x__unnamed_12_5cc47a19___unnamed_40_ebf2206a ?x1511)) )) (forall ((?x1512 Int)) (! (= (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?x1512) (- ?x1512 24)) :pattern ((x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?x1512)) )) (forall ((?x1513 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1513 24 1) (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?x1513)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1513 24 1)) )) (forall ((?x1514 Int)) (! (= (MINUS_LEFT_PTR ?x1514 1 24) (x__unnamed_12_5cc47a19___unnamed_40_ebf2206aInv ?x1514)) :pattern ((MINUS_LEFT_PTR ?x1514 1 24)) )) (forall ((?x1515 Int)) (! (= (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (x__unnamed_4_ab1173de__IO_STATUS_BLOCK ?x1515)) ?x1515) :pattern ((x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (x__unnamed_4_ab1173de__IO_STATUS_BLOCK ?x1515))) )) (forall ((?x1516 Int)) (! (= (x__unnamed_4_ab1173de__IO_STATUS_BLOCK (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x1516)) ?x1516) :pattern ((x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x1516)) )) (forall ((?x1517 boogieU) (?S608 boogieU)) (! (=> (and (= (type ?x1517) intType) (= (type ?S608) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?S608) ?x1517)) boolTrue) (= (U_2_bool (MapType0Select ?S608 (int_2_U (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (U_2_int ?x1517))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?S608) ?x1517)) )) (forall ((?x1518 boogieU) (?S609 boogieU)) (! (=> (and (= (type ?x1518) intType) (= (type ?S609) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?S609) ?x1518)) boolTrue) (= (U_2_bool (MapType0Select ?S609 (int_2_U (x__unnamed_4_ab1173de__IO_STATUS_BLOCK (U_2_int ?x1518))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?S609) ?x1518)) )) (forall ((?x1519 boogieU) (?S610 boogieU)) (! (=> (and (= (type ?x1519) intType) (= (type ?S610) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S610 ?x1519)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?S610) (int_2_U (x__unnamed_4_ab1173de__IO_STATUS_BLOCK (U_2_int ?x1519))))) boolTrue))) :pattern ((MapType0Select ?S610 ?x1519) (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCK ?S610)) )) (forall ((?x1520 boogieU) (?S611 boogieU)) (! (=> (and (= (type ?x1520) intType) (= (type ?S611) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S611 ?x1520)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?S611) (int_2_U (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv (U_2_int ?x1520))))) boolTrue))) :pattern ((MapType0Select ?S611 ?x1520) (x_S___unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?S611)) )) (forall ((?x1521 Int)) (! (= (x__unnamed_4_ab1173de__IO_STATUS_BLOCK ?x1521) (+ ?x1521 0)) :pattern ((x__unnamed_4_ab1173de__IO_STATUS_BLOCK ?x1521)) )) (forall ((?x1522 Int)) (! (= (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x1522) (- ?x1522 0)) :pattern ((x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x1522)) )) (forall ((?x1523 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1523 0 1) (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x1523)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1523 0 1)) )) (forall ((?x1524 Int)) (! (= (MINUS_LEFT_PTR ?x1524 1 0) (x__unnamed_4_ab1173de__IO_STATUS_BLOCKInv ?x1524)) :pattern ((MINUS_LEFT_PTR ?x1524 1 0)) )) (forall ((?x1525 Int)) (! (= (x__unnamed_8_544b88f4__LARGE_INTEGERInv (x__unnamed_8_544b88f4__LARGE_INTEGER ?x1525)) ?x1525) :pattern ((x__unnamed_8_544b88f4__LARGE_INTEGERInv (x__unnamed_8_544b88f4__LARGE_INTEGER ?x1525))) )) (forall ((?x1526 Int)) (! (= (x__unnamed_8_544b88f4__LARGE_INTEGER (x__unnamed_8_544b88f4__LARGE_INTEGERInv ?x1526)) ?x1526) :pattern ((x__unnamed_8_544b88f4__LARGE_INTEGERInv ?x1526)) )) (forall ((?x1527 boogieU) (?S612 boogieU)) (! (=> (and (= (type ?x1527) intType) (= (type ?S612) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_8_544b88f4__LARGE_INTEGER ?S612) ?x1527)) boolTrue) (= (U_2_bool (MapType0Select ?S612 (int_2_U (x__unnamed_8_544b88f4__LARGE_INTEGERInv (U_2_int ?x1527))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_8_544b88f4__LARGE_INTEGER ?S612) ?x1527)) )) (forall ((?x1528 boogieU) (?S613 boogieU)) (! (=> (and (= (type ?x1528) intType) (= (type ?S613) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_8_544b88f4__LARGE_INTEGERInv ?S613) ?x1528)) boolTrue) (= (U_2_bool (MapType0Select ?S613 (int_2_U (x__unnamed_8_544b88f4__LARGE_INTEGER (U_2_int ?x1528))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_8_544b88f4__LARGE_INTEGERInv ?S613) ?x1528)) )) (forall ((?x1529 boogieU) (?S614 boogieU)) (! (=> (and (= (type ?x1529) intType) (= (type ?S614) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S614 ?x1529)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_8_544b88f4__LARGE_INTEGER ?S614) (int_2_U (x__unnamed_8_544b88f4__LARGE_INTEGER (U_2_int ?x1529))))) boolTrue))) :pattern ((MapType0Select ?S614 ?x1529) (x_S___unnamed_8_544b88f4__LARGE_INTEGER ?S614)) )) (forall ((?x1530 boogieU) (?S615 boogieU)) (! (=> (and (= (type ?x1530) intType) (= (type ?S615) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S615 ?x1530)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_8_544b88f4__LARGE_INTEGERInv ?S615) (int_2_U (x__unnamed_8_544b88f4__LARGE_INTEGERInv (U_2_int ?x1530))))) boolTrue))) :pattern ((MapType0Select ?S615 ?x1530) (x_S___unnamed_8_544b88f4__LARGE_INTEGERInv ?S615)) )) (forall ((?x1531 Int)) (! (= (x__unnamed_8_544b88f4__LARGE_INTEGER ?x1531) (+ ?x1531 0)) :pattern ((x__unnamed_8_544b88f4__LARGE_INTEGER ?x1531)) )) (forall ((?x1532 Int)) (! (= (x__unnamed_8_544b88f4__LARGE_INTEGERInv ?x1532) (- ?x1532 0)) :pattern ((x__unnamed_8_544b88f4__LARGE_INTEGERInv ?x1532)) )) (forall ((?x1533 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1533 0 1) (x__unnamed_8_544b88f4__LARGE_INTEGERInv ?x1533)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1533 0 1)) )) (forall ((?x1534 Int)) (! (= (MINUS_LEFT_PTR ?x1534 1 0) (x__unnamed_8_544b88f4__LARGE_INTEGERInv ?x1534)) :pattern ((MINUS_LEFT_PTR ?x1534 1 0)) )) (forall ((?x1535 Int)) (! (= (u__LARGE_INTEGERInv (u__LARGE_INTEGER ?x1535)) ?x1535) :pattern ((u__LARGE_INTEGERInv (u__LARGE_INTEGER ?x1535))) )) (forall ((?x1536 Int)) (! (= (u__LARGE_INTEGER (u__LARGE_INTEGERInv ?x1536)) ?x1536) :pattern ((u__LARGE_INTEGERInv ?x1536)) )) (forall ((?x1537 boogieU) (?S616 boogieU)) (! (=> (and (= (type ?x1537) intType) (= (type ?S616) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_u__LARGE_INTEGER ?S616) ?x1537)) boolTrue) (= (U_2_bool (MapType0Select ?S616 (int_2_U (u__LARGE_INTEGERInv (U_2_int ?x1537))))) boolTrue))) :pattern ((MapType0Select (x_S_u__LARGE_INTEGER ?S616) ?x1537)) )) (forall ((?x1538 boogieU) (?S617 boogieU)) (! (=> (and (= (type ?x1538) intType) (= (type ?S617) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_u__LARGE_INTEGERInv ?S617) ?x1538)) boolTrue) (= (U_2_bool (MapType0Select ?S617 (int_2_U (u__LARGE_INTEGER (U_2_int ?x1538))))) boolTrue))) :pattern ((MapType0Select (x_S_u__LARGE_INTEGERInv ?S617) ?x1538)) )) (forall ((?x1539 boogieU) (?S618 boogieU)) (! (=> (and (= (type ?x1539) intType) (= (type ?S618) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S618 ?x1539)) boolTrue) (= (U_2_bool (MapType0Select (x_S_u__LARGE_INTEGER ?S618) (int_2_U (u__LARGE_INTEGER (U_2_int ?x1539))))) boolTrue))) :pattern ((MapType0Select ?S618 ?x1539) (x_S_u__LARGE_INTEGER ?S618)) )) (forall ((?x1540 boogieU) (?S619 boogieU)) (! (=> (and (= (type ?x1540) intType) (= (type ?S619) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S619 ?x1540)) boolTrue) (= (U_2_bool (MapType0Select (x_S_u__LARGE_INTEGERInv ?S619) (int_2_U (u__LARGE_INTEGERInv (U_2_int ?x1540))))) boolTrue))) :pattern ((MapType0Select ?S619 ?x1540) (x_S_u__LARGE_INTEGERInv ?S619)) )) (forall ((?x1541 Int)) (! (= (u__LARGE_INTEGER ?x1541) (+ ?x1541 0)) :pattern ((u__LARGE_INTEGER ?x1541)) )) (forall ((?x1542 Int)) (! (= (u__LARGE_INTEGERInv ?x1542) (- ?x1542 0)) :pattern ((u__LARGE_INTEGERInv ?x1542)) )) (forall ((?x1543 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x1543 0 1) (u__LARGE_INTEGERInv ?x1543)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x1543 0 1)) )) (forall ((?x1544 Int)) (! (= (MINUS_LEFT_PTR ?x1544 1 0) (u__LARGE_INTEGERInv ?x1544)) :pattern ((MINUS_LEFT_PTR ?x1544 1 0)) )) (forall ((?a0 Int) (?b Int) (?size Int)) (! (let ((?v_17 (- ?a0 ?b)) (?v_18 (MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size))) (and (<= (* ?size ?v_18) ?v_17) (< ?v_17 (* ?size (+ ?v_18 1))))) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size)) )) (forall ((?a1 Int) (?a_size Int) (?b4 Int)) (! (= (MINUS_LEFT_PTR ?a1 ?a_size ?b4) (- ?a1 (* ?a_size ?b4))) :pattern ((MINUS_LEFT_PTR ?a1 ?a_size ?b4)) )) (forall ((?a2 Int) (?a_size0 Int) (?b5 Int)) (! (= (PLUS ?a2 ?a_size0 ?b5) (+ ?a2 (* ?a_size0 ?b5))) :pattern ((PLUS ?a2 ?a_size0 ?b5)) )) (forall ((?a3 Int) (?b6 Int)) (! (= (MULT ?a3 ?b6) (* ?a3 ?b6)) :pattern ((MULT ?a3 ?b6)) )) (forall ((?a4 Int) (?b7 Int)) (! (let ((?v_19 (DIV ?a4 ?b7))) (=> (and (>= ?a4 0) (> ?b7 0)) (and (<= (* ?b7 ?v_19) ?a4) (< ?a4 (* ?b7 (+ ?v_19 1)))))) :pattern ((DIV ?a4 ?b7)) )) (forall ((?a5 Int) (?b8 Int)) (! (let ((?v_20 (DIV ?a5 ?b8))) (=> (and (>= ?a5 0) (< ?b8 0)) (and (<= (* ?b8 ?v_20) ?a5) (< ?a5 (* ?b8 (- ?v_20 1)))))) :pattern ((DIV ?a5 ?b8)) )) (forall ((?a6 Int) (?b9 Int)) (! (let ((?v_21 (DIV ?a6 ?b9))) (=> (and (< ?a6 0) (> ?b9 0)) (and (>= (* ?b9 ?v_21) ?a6) (> ?a6 (* ?b9 (- ?v_21 1)))))) :pattern ((DIV ?a6 ?b9)) )) (forall ((?a7 Int) (?b11 Int)) (! (let ((?v_22 (DIV ?a7 ?b11))) (=> (and (< ?a7 0) (< ?b11 0)) (and (>= (* ?b11 ?v_22) ?a7) (> ?a7 (* ?b11 (+ ?v_22 1)))))) :pattern ((DIV ?a7 ?b11)) )) (= (POW2 1) boolTrue) (= (POW2 2) boolTrue) (= (POW2 4) boolTrue) (= (POW2 8) boolTrue) (= (POW2 16) boolTrue) (= (POW2 32) boolTrue) (= (POW2 64) boolTrue) (= (POW2 128) boolTrue) (= (POW2 256) boolTrue) (= (POW2 512) boolTrue) (= (POW2 1024) boolTrue) (= (POW2 2048) boolTrue) (= (POW2 4096) boolTrue) (= (POW2 8192) boolTrue) (= (POW2 16384) boolTrue) (= (POW2 32768) boolTrue) (= (POW2 65536) boolTrue) (= (POW2 131072) boolTrue) (= (POW2 262144) boolTrue) (= (POW2 524288) boolTrue) (= (POW2 1048576) boolTrue) (= (POW2 2097152) boolTrue) (= (POW2 4194304) boolTrue) (= (POW2 8388608) boolTrue) (= (POW2 16777216) boolTrue) (= (POW2 33554432) boolTrue) (forall ((?a8 TermBool) (?b12 Int) (?c Int)) (! (=> (= ?a8 boolTrue) (= (choose ?a8 ?b12 ?c) ?b12)) :pattern ((choose ?a8 ?b12 ?c)) )) (forall ((?a9 TermBool) (?b13 Int) (?c4 Int)) (! (=> (not (= ?a9 boolTrue)) (= (choose ?a9 ?b13 ?c4) ?c4)) :pattern ((choose ?a9 ?b13 ?c4)) )) (forall ((?a10 Int) (?b14 Int)) (! (=> (= ?a10 ?b14) (= (BIT_BAND ?a10 ?b14) ?a10)) :pattern ((BIT_BAND ?a10 ?b14)) )) (forall ((?a11 Int) (?b15 Int)) (! (=> (and (= (POW2 ?a11) boolTrue) (= (POW2 ?b15) boolTrue) (not (= ?a11 ?b15))) (= (BIT_BAND ?a11 ?b15) 0)) :pattern ((BIT_BAND ?a11 ?b15)) )) (forall ((?a12 Int) (?b16 Int)) (! (=> (or (= ?a12 0) (= ?b16 0)) (= (BIT_BAND ?a12 ?b16) 0)) :pattern ((BIT_BAND ?a12 ?b16)) )) (forall ((?a13 TermBool)) (! (= (= ?a13 boolTrue) (not (= (LIFT ?a13) 0))) :pattern ((LIFT ?a13)) )) (forall ((?a14 Int)) (! (=> (= ?a14 0) (not (= (NOT ?a14) 0))) :pattern ((NOT ?a14)) )) (forall ((?a15 Int)) (! (=> (not (= ?a15 0)) (= (NOT ?a15) 0)) :pattern ((NOT ?a15)) )) (forall ((?a16 Int)) (! (=> (= ?a16 0) (not (= (NULL_CHECK ?a16) 0))) :pattern ((NULL_CHECK ?a16)) )) (forall ((?a17 Int)) (! (=> (not (= ?a17 0)) (= (NULL_CHECK ?a17) 0)) :pattern ((NULL_CHECK ?a17)) )) (not (= SerialCancelCurrentWrite 0)) (not (= SerialCancelCurrentXoff 0)) (not (= SerialCancelImmediate 0)) (not (= SerialCancelQueued 0)) (not (= SerialClearStats 0)) (not (= SerialClrDTR 0)) (not (= SerialClrRTS 0)) (not (= SerialFilterCancelQueued 0)) (not (= SerialGetCommStatus 0)) (not (= SerialGetMCRContents 0)) (not (= SerialGetModemUpdate 0)) (not (= SerialGetNextIrp 0)) (not (= SerialGetNextWrite 0)) (not (= SerialGetStats 0)) (not (= SerialGiveImmediateToIsr 0)) (not (= SerialGiveWriteToIsr 0)) (not (= SerialGiveXoffToIsr 0)) (not (= SerialGrabReadFromIsr 0)) (not (= SerialGrabWriteFromIsr 0)) (not (= SerialGrabXoffFromIsr 0)) (not (= SerialPretendXoff 0)) (not (= SerialPretendXon 0)) (not (= SerialProcessEmptyTransmit 0)) (not (= SerialSetBaud 0)) (not (= SerialSetChars 0)) (not (= SerialSetDTR 0)) (not (= SerialSetEscapeChar 0)) (not (= SerialSetFCRContents 0)) (not (= SerialSetHandFlow 0)) (not (= SerialSetLineControl 0)) (not (= SerialSetMCRContents 0)) (not (= SerialSetRTS 0)) (not (= SerialStartMask 0)) (not (= SerialStartPurge 0)) (not (= SerialStartRead 0)) (not (= SerialStartWrite 0)) (not (= SerialSystemPowerCompletion 0)) (not (= SerialTurnOffBreak 0)) (not (= SerialTurnOnBreak 0)) (not (= SerialUpdateAndSwitchToNew 0)) (not (= SerialUpdateAndSwitchToUser 0)) (not (= SerialUpdateInterruptBuffer 0)) (not (= SerialUpdateReadByIsr 0)) (not (= hdevobj 0)) (not (= hiostackloc 0)) (not (= hirp 0)) (not (= hlock 0)) (not (= notused_hiostackloc 0)) (not (= sdv_irql_current 0)) (not (= sdv_irql_previous 0)) (not (= sdv_irql_previous_2 0)) (not (= sdv_irql_previous_3 0))))
(assert (let ((?v_0 (MapType0Type intType intType)) (?v_1 (MapType0Type intType nameType))) (and (= (type Mem_0_T.CancelRoutine__IRP.125) ?v_0) (= (type Mem_s_1_T.CancelRoutine__IRP) ?v_0) (= (type Mem_0_T.Cancel__IRP.2) ?v_0) (= (type Mem_s_1_T.Cancel__IRP) ?v_0) (= (type Mem_0_T.DeviceExtension__DEVICE_OBJECT) ?v_0) (= (type Mem_s_1_T.DeviceExtension__DEVICE_OBJECT) ?v_0) (= (type Mem_0_T.P_IRP.92) ?v_0) (= (type Mem_s_1_T.P_IRP) ?v_0) (= (type alloc.119) ?v_1) (= (type alloc.96) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.125) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.98) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.98) ?v_0) (= (type Mem_0_T.P_IRP.69) ?v_0) (= (type Mem_1_T.P_IRP.92) ?v_0) (= (type Mem_1_T.P_IRP.69) ?v_0) (= (type alloc.118) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.124) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.124) ?v_0) (= (type Mem_0_T.P_IRP.91) ?v_0) (= (type Mem_1_T.P_IRP.91) ?v_0) (= (type alloc.117) ?v_1) (= (type alloc.99) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.101) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.101) ?v_0) (= (type alloc.116) ?v_1) (= (type Mem_1_T.P_IRP.90) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.123) ?v_0) (= (type Mem_0_T.P_IRP.90) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.123) ?v_0) (= (type alloc.115) ?v_1) (= (type Mem_1_T.P_IRP.89) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.122) ?v_0) (= (type Mem_0_T.P_IRP.89) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.122) ?v_0) (= (type alloc.114) ?v_1) (= (type Mem_T.MajorFunction__IO_STACK_LOCATION.0) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.121) ?v_0) (= (type alloc.113) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.121) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.120) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.120) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.118) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.119) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.118) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.119) ?v_0) (= (type alloc.112) ?v_1) (= (type Mem_1_T.P_IRP.87) ?v_0) (= (type Mem_0_T.P_IRP.88) ?v_0) (= (type Mem_0_T.P_IRP.87) ?v_0) (= (type Mem_1_T.P_IRP.88) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.115) ?v_0) (= (type Mem_0_T.P_IRP.86) ?v_0) (= (type Mem_1_T.P_IRP.86) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.115) ?v_0) (= (type Mem_1_T.P_IRP.82) ?v_0) (= (type Mem_0_T.P_IRP.83) ?v_0) (= (type Mem_0_T.P_IRP.82) ?v_0) (= (type Mem_1_T.P_IRP.85) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.117) ?v_0) (= (type Mem_0_T.P_IRP.85) ?v_0) (= (type Mem_1_T.P_IRP.84) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.117) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.116) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.116) ?v_0) (= (type Mem_0_T.P_IRP.84) ?v_0) (= (type Mem_1_T.P_IRP.83) ?v_0) (= (type alloc.111) ?v_1) (= (type alloc.106) ?v_1) (= (type alloc.108) ?v_1) (= (type Mem_1_T.P_IRP.78) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.107) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.107) ?v_0) (= (type Mem_0_T.P_IRP.78) ?v_0) (= (type Mem_1_T.Cancel__IRP.2) ?v_0) (= (type alloc.107) ?v_1) (= (type Mem_1_T.P_IRP.77) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.106) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.106) ?v_0) (= (type Mem_0_T.P_IRP.77) ?v_0) (= (type Mem_0_T.P_IRP.76) ?v_0) (= (type Mem_1_T.P_IRP.76) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.105) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.105) ?v_0) (= (type alloc.104) ?v_1) (= (type alloc.101) ?v_1) (= (type alloc.102) ?v_1) (= (type alloc.103) ?v_1) (= (type alloc.110) ?v_1) (= (type Mem_1_T.P_IRP.81) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.114) ?v_0) (= (type Mem_0_T.P_IRP.81) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.114) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.113) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.113) ?v_0) (= (type alloc.109) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.112) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.112) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.110) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.111) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.110) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.111) ?v_0) (= (type alloc.105) ?v_1) (= (type Mem_1_T.P_IRP.79) ?v_0) (= (type Mem_0_T.P_IRP.80) ?v_0) (= (type Mem_0_T.P_IRP.79) ?v_0) (= (type Mem_1_T.P_IRP.80) ?v_0) (= (type Mem_0_T.P_IRP.73) ?v_0) (= (type Mem_1_T.P_IRP.73) ?v_0) (= (type Mem_0_T.P_IRP.72) ?v_0) (= (type Mem_1_T.P_IRP.72) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.109) ?v_0) (= (type Mem_0_T.P_IRP.75) ?v_0) (= (type Mem_1_T.P_IRP.75) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.109) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.108) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.108) ?v_0) (= (type Mem_0_T.P_IRP.74) ?v_0) (= (type Mem_1_T.P_IRP.74) ?v_0) (= (type alloc.100) ?v_1) (= (type Mem_1_T.P_IRP.71) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.104) ?v_0) (= (type Mem_0_T.P_IRP.71) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.104) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.103) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.103) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.102) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.102) ?v_0) (= (type Mem_0_T.P_IRP.70) ?v_0) (= (type Mem_1_T.P_IRP.70) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.100) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.100) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.99) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.99) ?v_0) (= (type alloc.98) ?v_1) (= (type alloc.97) ?v_1) (= (type Mem_1_T.DeviceExtension__DEVICE_OBJECT) ?v_0) (= (type alloc.76) ?v_1) (= (type Mem_1_T.P_IRP.46) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.69) ?v_0) (= (type Mem_0_T.Cancel__IRP) ?v_0) (= (type Mem_0_T.P_IRP.46) ?v_0) (= (type Mem_1_T.Cancel__IRP) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.69) ?v_0) (= (type alloc.95) ?v_1) (= (type Mem_1_T.P_IRP.68) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.97) ?v_0) (= (type Mem_0_T.Cancel__IRP.1) ?v_0) (= (type Mem_0_T.P_IRP.68) ?v_0) (= (type Mem_1_T.Cancel__IRP.1) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.97) ?v_0) (= (type alloc.77) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.74) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.74) ?v_0) (= (type alloc.94) ?v_1) (= (type Mem_1_T.P_IRP.67) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.96) ?v_0) (= (type Mem_0_T.P_IRP.67) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.96) ?v_0) (= (type alloc.93) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.95) ?v_0) (= (type Mem_0_T.P_IRP.66) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.95) ?v_0) (= (type Mem_1_T.P_IRP.66) ?v_0) (= (type alloc.92) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.94) ?v_0) (= (type alloc.91) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.94) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.93) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.93) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.91) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.92) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.91) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.92) ?v_0) (= (type alloc.90) ?v_1) (= (type Mem_1_T.P_IRP.64) ?v_0) (= (type Mem_0_T.P_IRP.65) ?v_0) (= (type Mem_0_T.P_IRP.64) ?v_0) (= (type Mem_1_T.P_IRP.65) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.88) ?v_0) (= (type Mem_0_T.P_IRP.63) ?v_0) (= (type Mem_1_T.P_IRP.63) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.88) ?v_0) (= (type Mem_1_T.P_IRP.59) ?v_0) (= (type Mem_0_T.P_IRP.62) ?v_0) (= (type Mem_0_T.P_IRP.59) ?v_0) (= (type Mem_1_T.P_IRP.62) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.90) ?v_0) (= (type Mem_0_T.P_IRP.61) ?v_0) (= (type Mem_1_T.P_IRP.61) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.90) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.89) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.89) ?v_0) (= (type Mem_0_T.P_IRP.60) ?v_0) (= (type Mem_1_T.P_IRP.60) ?v_0) (= (type alloc.89) ?v_1) (= (type alloc.84) ?v_1) (= (type alloc.88) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.87) ?v_0) (= (type Mem_1_T.P_IRP.58) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.87) ?v_0) (= (type Mem_0_T.P_IRP.58) ?v_0) (= (type alloc.86) ?v_1) (= (type Mem_1_T.P_IRP.57) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.85) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.85) ?v_0) (= (type Mem_0_T.P_IRP.57) ?v_0) (= (type Mem_0_T.P_IRP.56) ?v_0) (= (type Mem_1_T.P_IRP.56) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.84) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.84) ?v_0) (= (type alloc.82) ?v_1) (= (type alloc.79) ?v_1) (= (type alloc.80) ?v_1) (= (type alloc.81) ?v_1) (= (type alloc.87) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.86) ?v_0) (= (type Mem_0_T.P_IRP.55) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.86) ?v_0) (= (type Mem_1_T.P_IRP.55) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.83) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.83) ?v_0) (= (type alloc.85) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.82) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.82) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.80) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.81) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.80) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.81) ?v_0) (= (type alloc.83) ?v_1) (= (type Mem_1_T.P_IRP.53) ?v_0) (= (type Mem_0_T.P_IRP.54) ?v_0) (= (type Mem_0_T.P_IRP.53) ?v_0) (= (type Mem_1_T.P_IRP.54) ?v_0) (= (type Mem_0_T.P_IRP.50) ?v_0) (= (type Mem_1_T.P_IRP.50) ?v_0) (= (type Mem_0_T.P_IRP.49) ?v_0) (= (type Mem_1_T.P_IRP.49) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.79) ?v_0) (= (type Mem_0_T.P_IRP.52) ?v_0) (= (type Mem_1_T.P_IRP.52) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.79) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.78) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.78) ?v_0) (= (type Mem_0_T.P_IRP.51) ?v_0) (= (type Mem_1_T.P_IRP.51) ?v_0) (= (type alloc.78) ?v_1) (= (type Mem_1_T.P_IRP.48) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.77) ?v_0) (= (type Mem_0_T.P_IRP.48) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.77) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.76) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.76) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.75) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.75) ?v_0) (= (type Mem_0_T.P_IRP.47) ?v_0) (= (type Mem_1_T.P_IRP.47) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.73) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.73) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.71) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.72) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.71) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.72) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.70) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.70) ?v_0) (= (type Mem_0_T.Cancel__IRP.0) ?v_0) (= (type Mem_1_T.Cancel__IRP.0) ?v_0) (= (type Mem_0_T.P_IRP) ?v_0) (= (type alloc.6) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.6) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.6) ?v_0) (= (type Mem_1_T.P_IRP) ?v_0) (= (type alloc.5) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.5) ?v_0) (= (type alloc.3) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.5) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.4) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.4) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.2) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.3) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.2) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.3) ?v_0) (= (type alloc.2) ?v_1) (= (type alloc.9) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.10) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.10) ?v_0) (= (type alloc.8) ?v_1) (= (type Mem_0_T.P_IRP.45) ?v_0) (= (type alloc.75) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.68) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.68) ?v_0) (= (type Mem_1_T.P_IRP.45) ?v_0) (= (type alloc.74) ?v_1) (= (type alloc.23) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.16) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.16) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.15) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.15) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.14) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.14) ?v_0) (= (type alloc.10) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.21) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.21) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.20) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.20) ?v_0) (= (type Mem_0_T.P_IRP.44) ?v_0) (= (type Mem_1_T.P_IRP.44) ?v_0) (= (type alloc.73) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.67) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.67) ?v_0) (= (type alloc.72) ?v_1) (= (type Mem_1_T.P_IRP.43) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.66) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.66) ?v_0) (= (type alloc.71) ?v_1) (= (type Mem_0_T.P_IRP.43) ?v_0) (= (type alloc.70) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.65) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.65) ?v_0) (= (type alloc.69) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.64) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.64) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.62) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.63) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.62) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.63) ?v_0) (= (type alloc.68) ?v_1) (= (type Mem_1_T.P_IRP.41) ?v_0) (= (type Mem_0_T.P_IRP.42) ?v_0) (= (type Mem_0_T.P_IRP.41) ?v_0) (= (type Mem_1_T.P_IRP.42) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.59) ?v_0) (= (type Mem_0_T.P_IRP.40) ?v_0) (= (type Mem_1_T.P_IRP.40) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.59) ?v_0) (= (type Mem_1_T.P_IRP.36) ?v_0) (= (type Mem_0_T.P_IRP.37) ?v_0) (= (type Mem_0_T.P_IRP.36) ?v_0) (= (type Mem_1_T.P_IRP.37) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.61) ?v_0) (= (type Mem_0_T.P_IRP.39) ?v_0) (= (type Mem_1_T.P_IRP.39) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.61) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.60) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.60) ?v_0) (= (type Mem_0_T.P_IRP.38) ?v_0) (= (type Mem_1_T.P_IRP.38) ?v_0) (= (type alloc.67) ?v_1) (= (type alloc.62) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.53) ?v_0) (= (type Mem_1_T.P_IRP.32) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.53) ?v_0) (= (type Mem_0_T.P_IRP.32) ?v_0) (= (type alloc.66) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.58) ?v_0) (= (type Mem_1_T.P_IRP.35) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.58) ?v_0) (= (type Mem_0_T.P_IRP.35) ?v_0) (= (type alloc.65) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.57) ?v_0) (= (type Mem_1_T.P_IRP.34) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.57) ?v_0) (= (type Mem_0_T.P_IRP.34) ?v_0) (= (type Mem_0_T.P_IRP.33) ?v_0) (= (type Mem_1_T.P_IRP.33) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.56) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.56) ?v_0) (= (type alloc.61) ?v_1) (= (type alloc.58) ?v_1) (= (type alloc.57) ?v_1) (= (type alloc.59) ?v_1) (= (type alloc.60) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.55) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.55) ?v_0) (= (type alloc.64) ?v_1) (= (type alloc.63) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.54) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.54) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.52) ?v_0) (= (type alloc.56) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.52) ?v_0) (= (type Mem_0_T.P_IRP.31) ?v_0) (= (type Mem_1_T.P_IRP.31) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.19) ?v_0) (= (type alloc.25) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.19) ?v_0) (= (type Mem_0_T.P_IRP.1) ?v_0) (= (type Mem_1_T.P_IRP.1) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.51) ?v_0) (= (type alloc.55) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.51) ?v_0) (= (type Mem_0_T.P_IRP.30) ?v_0) (= (type Mem_1_T.P_IRP.30) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.46) ?v_0) (= (type alloc.52) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.46) ?v_0) (= (type Mem_0_T.P_IRP.29) ?v_0) (= (type Mem_1_T.P_IRP.29) ?v_0) (= (type alloc.51) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.45) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.45) ?v_0) (= (type alloc.50) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.44) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.44) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.42) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.43) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.42) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.43) ?v_0) (= (type alloc.49) ?v_1) (= (type Mem_1_T.P_IRP.27) ?v_0) (= (type Mem_0_T.P_IRP.28) ?v_0) (= (type Mem_0_T.P_IRP.27) ?v_0) (= (type Mem_1_T.P_IRP.28) ?v_0) (= (type Mem_0_T.P_IRP.24) ?v_0) (= (type Mem_1_T.P_IRP.24) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.36) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.36) ?v_0) (= (type Mem_1_T.P_IRP.15) ?v_0) (= (type Mem_0_T.P_IRP.23) ?v_0) (= (type Mem_0_T.P_IRP.15) ?v_0) (= (type Mem_1_T.P_IRP.23) ?v_0) (= (type Mem_0_T.P_IRP.26) ?v_0) (= (type Mem_1_T.P_IRP.26) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.41) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.41) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.40) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.40) ?v_0) (= (type Mem_0_T.P_IRP.25) ?v_0) (= (type Mem_1_T.P_IRP.25) ?v_0) (= (type alloc.48) ?v_1) (= (type alloc.45) ?v_1) (= (type alloc.47) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.35) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.35) ?v_0) (= (type Mem_1_T.P_IRP.14) ?v_0) (= (type Mem_0_T.P_IRP.14) ?v_0) (= (type alloc.46) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.34) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.34) ?v_0) (= (type Mem_1_T.P_IRP.13) ?v_0) (= (type Mem_0_T.P_IRP.13) ?v_0) (= (type Mem_0_T.P_IRP.12) ?v_0) (= (type Mem_1_T.P_IRP.12) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.33) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.33) ?v_0) (= (type alloc.44) ?v_1) (= (type alloc.41) ?v_1) (= (type alloc.42) ?v_1) (= (type alloc.43) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.50) ?v_0) (= (type alloc.54) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.50) ?v_0) (= (type Mem_0_T.P_IRP.22) ?v_0) (= (type Mem_1_T.P_IRP.22) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.49) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.49) ?v_0) (= (type alloc.53) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.48) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.48) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.39) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.47) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.39) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.47) ?v_0) (= (type alloc.39) ?v_1) (= (type Mem_1_T.P_IRP.20) ?v_0) (= (type Mem_0_T.P_IRP.21) ?v_0) (= (type Mem_0_T.P_IRP.20) ?v_0) (= (type Mem_1_T.P_IRP.21) ?v_0) (= (type Mem_0_T.P_IRP.17) ?v_0) (= (type Mem_1_T.P_IRP.17) ?v_0) (= (type Mem_0_T.P_IRP.16) ?v_0) (= (type Mem_1_T.P_IRP.16) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.38) ?v_0) (= (type Mem_0_T.P_IRP.19) ?v_0) (= (type Mem_1_T.P_IRP.19) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.38) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.37) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.37) ?v_0) (= (type Mem_0_T.P_IRP.18) ?v_0) (= (type Mem_1_T.P_IRP.18) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.32) ?v_0) (= (type alloc.40) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.32) ?v_0) (= (type Mem_0_T.P_IRP.11) ?v_0) (= (type Mem_1_T.P_IRP.11) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.31) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.31) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.30) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.30) ?v_0) (= (type Mem_0_T.P_IRP.10) ?v_0) (= (type Mem_1_T.P_IRP.10) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.18) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.18) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.17) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.17) ?v_0) (= (type alloc.24) ?v_1) (= (type alloc.22) ?v_1) (= (type alloc.19) ?v_1) (= (type alloc.20) ?v_1) (= (type alloc.21) ?v_1) (= (type Mem_0_T.P_IRP.9) ?v_0) (= (type Mem_1_T.P_IRP.9) ?v_0) (= (type alloc.38) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.29) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.29) ?v_0) (= (type alloc.37) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.28) ?v_0) (= (type Mem_1_T.P_IRP.8) ?v_0) (= (type Mem_0_T.P_IRP.8) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.28) ?v_0) (= (type alloc.36) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.27) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.27) ?v_0) (= (type alloc.35) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.26) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.26) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.24) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.25) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.24) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.25) ?v_0) (= (type alloc.34) ?v_1) (= (type Mem_1_T.P_IRP.6) ?v_0) (= (type Mem_0_T.P_IRP.7) ?v_0) (= (type Mem_0_T.P_IRP.6) ?v_0) (= (type Mem_1_T.P_IRP.7) ?v_0) (= (type Mem_0_T.P_IRP.3) ?v_0) (= (type Mem_1_T.P_IRP.3) ?v_0) (= (type Mem_0_T.P_IRP.2) ?v_0) (= (type Mem_1_T.P_IRP.2) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.23) ?v_0) (= (type Mem_0_T.P_IRP.5) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.23) ?v_0) (= (type Mem_1_T.P_IRP.5) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.22) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.22) ?v_0) (= (type Mem_0_T.P_IRP.4) ?v_0) (= (type Mem_1_T.P_IRP.4) ?v_0) (= (type alloc.33) ?v_1) (= (type alloc.28) ?v_1) (= (type alloc.27) ?v_1) (= (type alloc.26) ?v_1) (= (type alloc.32) ?v_1) (= (type alloc.31) ?v_1) (= (type alloc.30) ?v_1) (= (type alloc.29) ?v_1) (= (type alloc.18) ?v_1) (= (type alloc.13) ?v_1) (= (type alloc.14) ?v_1) (= (type alloc.15) ?v_1) (= (type alloc.16) ?v_1) (= (type alloc.17) ?v_1) (= (type Mem_0_T.P_IRP.0) ?v_0) (= (type Mem_1_T.P_IRP.0) ?v_0) (= (type alloc.12) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP.13) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.13) ?v_0) (= (type alloc.11) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.12) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.12) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.11) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.11) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.9) ?v_0) (= (type alloc.7) ?v_1) (= (type Mem_1_T.CancelRoutine__IRP.9) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.8) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.8) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.7) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.7) ?v_0) (= (type alloc.4) ?v_1) (= (type Mem_0_T.CancelRoutine__IRP) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.1) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.1) ?v_0) (= (type Mem_0_T.CancelRoutine__IRP.0) ?v_0) (= (type Mem_1_T.CancelRoutine__IRP.0) ?v_0) (= (type alloc.1) ?v_1) (= (type alloc.0) ?v_1) (= (type alloc) ?v_1) (= (type Mem_T.MajorFunction__IO_STACK_LOCATION) ?v_0))))
(assert (let ((?v_3940 (int_2_U SerialCancelCurrentWrite)) (?v_299 (int_2_U SerialCancelCurrentXoff)) (?v_3561 (int_2_U SerialCancelQueued)) (?v_5743 (int_2_U SerialFilterCancelQueued)) (?v_5573 (int_2_U hirp)) (?v_600 (= SerialGetNextWrite 0))) (let ((?v_937 (not ?v_600)) (?v_3925 (= SerialGiveWriteToIsr 0)) (?v_288 (= SerialGiveXoffToIsr 0))) (let ((?v_1128 (not ?v_288)) (?v_1766 (= SerialGrabWriteFromIsr 0))) (let ((?v_922 (not ?v_1766)) (?v_4785 (= SerialGrabXoffFromIsr 0))) (let ((?v_3589 (not ?v_4785)) (?v_115 (= SerialProcessEmptyTransmit 0))) (let ((?v_989 (not ?v_115)) (?v_5234 (= SerialUpdateAndSwitchToNew 0)) (?v_5459 (= SerialUpdateAndSwitchToUser 0)) (?v_5350 (= SerialUpdateInterruptBuffer 0)) (?v_22 (not (not (= errorReached.90 0))))) (let ((?v_42 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.125 Mem_s_1_T.CancelRoutine__IRP) (=> (= Mem_0_T.Cancel__IRP.2 Mem_s_1_T.Cancel__IRP) (=> (= Mem_0_T.DeviceExtension__DEVICE_OBJECT Mem_s_1_T.DeviceExtension__DEVICE_OBJECT) (=> (= Mem_0_T.P_IRP.92 Mem_s_1_T.P_IRP) (=> (= irpCompleted_0.52 irpCompleted_s_1) (=> (= lockStatus_0.41 lockStatus_s_1) (=> (= cancelLockStatus_0.90 cancelLockStatus_s_1) (and ?v_22 (=> ?v_22 true))))))))))) (?v_8 (>= 1 0)) (?v_41 (int_2_U call73934formal.new.0))) (let ((?v_44 (=> true (and ?v_8 (=> ?v_8 (=> (> call73934formal.new.0 0) (=> (forall ((?x1545 Int)) (! (=> (and (<= call73934formal.new.0 ?x1545) (< ?x1545 (+ call73934formal.new.0 1))) (= (Base ?x1545) call73934formal.new.0)) :pattern ((Base ?x1545)) )) (=> (forall ((?x1546 boogieU)) (! (=> (= (type ?x1546) intType) (or (= (U_2_int ?x1546) call73934formal.new.0) (= (MapType0Select alloc.117 ?x1546) (MapType0Select alloc.118 ?x1546)))) :pattern ((MapType0Select alloc.118 ?x1546)) )) (=> (and (= (MapType0Select alloc.117 ?v_41) UNALLOCATED) (= (MapType0Select alloc.118 ?v_41) ALLOCATED)) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.6 inline.SerialTryToCompleteCurrent.1.myVar_0.5) (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2) (=> (= inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..2 inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..1) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_1.6 inline.SerialRundownIrpRefs.1.myNondetVar_1.5) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.8 inline.SerialGetNextWrite.2.tempBoogie0.7) (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..4) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.1) (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite.0 x.SerialCompleteWrite.arg.2.7..2) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.4) (=> (= inline.KeSynchronizeExecution.9.myNondetVar_0.8 inline.KeSynchronizeExecution.9.myNondetVar_0.7) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3) (=> (= x.devobjTmp.3.6629.17.sdv_main.0 hdevobj) (=> (= alloc.119 alloc.118) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..2) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrp.4.myNondetVar_0.3 inline.SerialGetNextIrp.4.myNondetVar_0.2) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.1) (=> (= inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 SerialGetNextWrite) (=> (= inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.1 inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.0) (=> (= inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..1) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2) (=> (= inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 SerialGetNextWrite) (=> (= Mem_1_T.CancelRoutine__IRP.125 Mem_1_T.CancelRoutine__IRP.124) (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.4) (=> (= inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent.0 x.SerialCompleteWrite.arg.2.7..2) (=> (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialTryToCompleteCurrent.1.myVar_0.5) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..2) (=> (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.5 inline.sdv_InterlockedDecrement.20.myNondetVar_0.4) (=> (= inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 0) (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.10 inline.KeSynchronizeExecution.10.myNondetVar_0.9) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialDpcEpilogue.6..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.24.myNondetVar_0.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.0) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.4) (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.1) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3) (=> (= inline.RemoveHeadList.5.myNondetVar_0.5 inline.RemoveHeadList.5.myNondetVar_0.4) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 0) (=> (= inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 0) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.1) (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3) (=> (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..2) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_2.6 inline.SerialRundownIrpRefs.1.myNondetVar_2.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialDpcEpilogue.6..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.24.myNondetVar_0.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..3) (=> (= inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.SerialGetNextWrite.2.havoc_stringTemp.2 inline.SerialGetNextWrite.2.havoc_stringTemp.1) (=> (= inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.SerialGetNextIrp.5.myNondetVar_0.3 inline.SerialGetNextIrp.5.myNondetVar_0.2) (=> (= inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialTryToCompleteCurrent.1.myVar_0.2) (=> (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.5 inline.sdv_InterlockedDecrement.22.myNondetVar_0.4) (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.22 inline.SerialGetNextWrite.2.myNondetVar_0.21) (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.RemoveHeadList.4.myNondetVar_0.5 inline.RemoveHeadList.4.myNondetVar_0.4) (=> (= inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent1.0 1) (=> (= cancelLockStatus_1.90 cancelLockStatus_1.89) (=> (= inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 0) (=> (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.4.havoc_stringTemp.2) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.6 inline.SerialRundownIrpRefs.1.tempBoogie0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= Mem_0_T.CancelRoutine__IRP.125 Mem_0_T.CancelRoutine__IRP.124) (=> (= cancelLockStatus_0.90 cancelLockStatus_0.89) (=> (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent1.0 x.SerialCompleteWrite.arg.2.7..2) (=> (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..1 inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..0) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_1.1 inline.SerialTryToCompleteCurrent.1.myNondetVar_1.0) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.3) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.8 inline.SerialTryToCompleteCurrent.1.myNondetVar_0.7) (=> (= irpCompleted_0.52 irpCompleted_0.51) (=> (= inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= irpCompleted_1.52 irpCompleted_1.51) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= k.105 k.104) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_2.1 inline.SerialTryToCompleteCurrent.1.myNondetVar_2.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.3) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.7 inline.SerialGetNextWrite.2.myNondetVar_1.6) (=> (= inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 0) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.0) (=> (= inline.SerialCompleteWrite.0.myNondetVar_0.1 inline.SerialCompleteWrite.0.myNondetVar_0.0) (=> (= inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite1.0 x.SerialCompleteWrite.arg.2.7..2) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.1) (=> (= x.tmpIrp.2.6628.7.sdv_main.3 x.tmpIrp.2.6628.7.sdv_main.2) (=> (= inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..0) (=> (= x.SerialCompleteWrite.arg.2.7..3 x.SerialCompleteWrite.arg.2.7..2) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.3) (=> (= inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..1) (=> (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..3) (=> (= inline.SerialCancelTimer.4.myNondetVar_0.3 inline.SerialCancelTimer.4.myNondetVar_0.2) (=> (= inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.2.myVar_0.16 inline.SerialGetNextWrite.2.myVar_0.15) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialCompleteWrite.0.havoc_stringTemp.0 call73934formal.new.0) (=> (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.1) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.SerialCancelTimer.5.myNondetVar_0.3 inline.SerialCancelTimer.5.myNondetVar_0.2) (=> (= Mem_0_T.P_IRP.92 Mem_0_T.P_IRP.91) (=> (= inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 0) (=> (= inline.SerialRundownIrpRefs.1.myVar_0.15 inline.SerialRundownIrpRefs.1.myVar_0.14) (=> (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..2) (=> (= inline.sdv_InterlockedDecrement.24.myNondetVar_0.2 inline.sdv_InterlockedDecrement.24.myNondetVar_0.1) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent.0 1) (=> (= inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..0) (=> (= inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.0) (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.6 inline.SerialGetNextIrpLocked.5.myVar_0.5) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5) (=> (= inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..1) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_InterlockedDecrement.24..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.24.myNondetVar_0.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialTryToCompleteCurrent.1.myVar_0.2) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1) (=> (= inline.SerialCompleteWrite.0..Extension.5.741.29.SerialCompleteWrite.0 x.SerialCompleteWrite.arg.2.7..2) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..2) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_0.12 inline.SerialRundownIrpRefs.1.myNondetVar_0.11) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.3) (=> (= inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 0) (=> (= inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.1) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..3) (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.4) (=> (= inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..0) (=> (= Mem_1_T.P_IRP.92 Mem_1_T.P_IRP.91) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.761.20.3..1 inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.761.20.3..0) (=> (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..1) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.3) (=> (= inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= x.Extension.4.6630.27.sdv_main.3 x.Extension.4.6630.27.sdv_main.2) (=> (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..0) (=> (= inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.IsListEmpty.6.myNondetVar_0.3 inline.IsListEmpty.6.myNondetVar_0.2) (=> (= inline.SerialTryToCompleteCurrent.1..newIrp.14.428.13.SerialTryToCompleteCurrent.0 call68644formal.new.0) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.1) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.1) (=> (= inline.sdv_InterlockedDecrement.23.myNondetVar_0.3 inline.sdv_InterlockedDecrement.23.myNondetVar_0.2) (=> (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.5.havoc_stringTemp.2) (=> (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.4 inline.sdv_InterlockedDecrement.18.myNondetVar_0.3) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= errorReached.90 errorReached.89) (=> (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..1 inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..0) (=> (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.4 inline.sdv_InterlockedDecrement.19.myNondetVar_0.3) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.3) (=> (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialSetTimer.5.myNondetVar_0.9 inline.SerialSetTimer.5.myNondetVar_0.8) (=> (= inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1..0) (=> (= inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.747.20.1..1 inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.747.20.1..0) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3) (=> (= inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialTryToCompleteCurrent.1.myVar_0.5) (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 0) (=> (= inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialTryToCompleteCurrent.1.._refType.12.396.0.SerialTryToCompleteCurrent.0 1) (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.6 inline.SerialGetNextIrpLocked.4.myVar_0.5) (=> (= inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.7 inline.sdv_InterlockedDecrement.21.myNondetVar_0.6) (=> (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialCompleteWrite.0..OldIrql.6.742.10.SerialCompleteWrite.0 call68515formal.new.0) (=> (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.3) (=> (= inline.IsListEmpty.5.myNondetVar_0.3 inline.IsListEmpty.5.myNondetVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.6 inline.SerialGetNextWrite.2.myNondetVar_2.5) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..3) (=> (= inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.11 inline.KeSynchronizeExecution.11.myNondetVar_0.10) (=> (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.6 inline.sdv_InterlockedIncrement.6.myNondetVar_0.5) ?v_42))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_43 (= inline.sdv_InterlockedDecrement.24.myNondetVar_0.1 0))) (let ((?v_79 (and (=> true (=> (not ?v_43) (=> true (=> (= inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2.) ?v_44)))) (=> true (=> ?v_43 (=> true (=> (= inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..0 call73924formal.ret.0) (=> true (=> true (=> true ?v_44)))))))))) (let ((?v_772 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_79)))))))))))))))))) (?v_604 (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1.)) (?v_605 (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_606 (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1.)) (?v_607 (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_608 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_609 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_610 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_611 (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_612 (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1.)) (?v_613 (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_614 (= inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1.)) (?v_615 (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_616 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_617 (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_618 (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_619 (= inline.SerialGetNextIrp.4.myNondetVar_0.2 inline.SerialGetNextIrp.4.myNondetVar_0)) (?v_620 (= inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_621 (= inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite)) (?v_622 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_623 (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_624 (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_625 (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_626 (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp)) (?v_627 (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1.)) (?v_628 (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution)) (?v_629 (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution)) (?v_630 (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite)) (?v_631 (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_632 (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13.)) (?v_633 (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_634 (= inline.KeSynchronizeExecution.10.myNondetVar_0.9 inline.KeSynchronizeExecution.10.myNondetVar_0)) (?v_635 (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_636 (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_637 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1)) (?v_638 (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2.)) (?v_639 (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_640 (= inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite)) (?v_641 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_642 (= inline.RemoveHeadList.5.myNondetVar_0.4 inline.RemoveHeadList.5.myNondetVar_0)) (?v_643 (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList)) (?v_644 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_645 (= inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp)) (?v_646 (= inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1.)) (?v_647 (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite)) (?v_648 (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_649 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_650 (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1.)) (?v_651 (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_652 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_653 (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_654 (= inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite)) (?v_655 (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_656 (= inline.SerialGetNextWrite.2.havoc_stringTemp.1 inline.SerialGetNextWrite.2.havoc_stringTemp)) (?v_657 (= inline.SerialGetNextIrp.5.myNondetVar_0.2 inline.SerialGetNextIrp.5.myNondetVar_0)) (?v_658 (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_659 (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.4 inline.sdv_InterlockedDecrement.22.myNondetVar_0)) (?v_660 (= inline.RemoveHeadList.4.myNondetVar_0.4 inline.RemoveHeadList.4.myNondetVar_0)) (?v_661 (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.4.havoc_stringTemp)) (?v_662 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1)) (?v_663 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_664 (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_665 (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_666 (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_667 (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_668 (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_669 (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite)) (?v_670 (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.7 inline.SerialTryToCompleteCurrent.1.myNondetVar_0.5)) (?v_671 (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_672 (= inline.SerialGetNextWrite.2.tempBoogie0.7 inline.SerialGetNextWrite.2.tempBoogie0)) (?v_673 (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_674 (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_675 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer)) (?v_676 (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_677 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty)) (?v_678 (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_679 (= inline.SerialGetNextWrite.2.myNondetVar_1.6 inline.SerialGetNextWrite.2.myNondetVar_1)) (?v_680 (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_681 (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_682 (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1)) (?v_683 (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_684 (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_685 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer)) (?v_686 (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_687 (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3.)) (?v_688 (= inline.SerialGetNextWrite.2.myVar_0.15 inline.SerialGetNextWrite.2.myVar_0)) (?v_689 (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_690 (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_691 (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2.)) (?v_692 (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_693 (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_694 (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_695 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_696 (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_697 (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2.)) (?v_698 (= inline.SerialGetNextIrpLocked.5.myVar_0.5 inline.SerialGetNextIrpLocked.5.myVar_0)) (?v_699 (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_700 (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite)) (?v_701 (= inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1.)) (?v_702 (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_703 (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2.)) (?v_704 (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_705 (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4.)) (?v_706 (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_707 (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_708 (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1.)) (?v_709 (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_710 (= inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp)) (?v_711 (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_712 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1)) (?v_713 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1)) (?v_714 (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1.)) (?v_715 (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_716 (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_717 (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_718 (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_719 (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_720 (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList)) (?v_721 (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp)) (?v_722 (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_723 (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_724 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer)) (?v_725 (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.4 inline.sdv_InterlockedDecrement.20.myNondetVar_0)) (?v_726 (= inline.IsListEmpty.6.myNondetVar_0.2 inline.IsListEmpty.6.myNondetVar_0)) (?v_727 (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1.)) (?v_728 (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_729 (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite)) (?v_730 (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_731 (= inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite)) (?v_732 (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.5.havoc_stringTemp)) (?v_733 (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4.)) (?v_734 (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_735 (= inline.SerialSetTimer.5.myNondetVar_0.8 inline.SerialSetTimer.5.myNondetVar_0)) (?v_736 (= inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1.)) (?v_737 (= inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1.)) (?v_738 (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2.)) (?v_739 (= inline.SerialGetNextWrite.2.myNondetVar_0.21 inline.SerialGetNextWrite.2.myNondetVar_0)) (?v_740 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_741 (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_742 (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2.)) (?v_743 (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_744 (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_745 (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_746 (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_747 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_748 (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_749 (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_750 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty)) (?v_751 (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_752 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_753 (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_754 (= inline.SerialGetNextIrpLocked.4.myVar_0.5 inline.SerialGetNextIrpLocked.4.myVar_0)) (?v_755 (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_756 (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_757 (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_758 (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_759 (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_760 (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_761 (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.6 inline.sdv_InterlockedDecrement.21.myNondetVar_0)) (?v_762 (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_763 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1)) (?v_764 (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_765 (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_766 (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer)) (?v_767 (= inline.IsListEmpty.5.myNondetVar_0.2 inline.IsListEmpty.5.myNondetVar_0)) (?v_768 (= inline.SerialGetNextWrite.2.myNondetVar_2.5 inline.SerialGetNextWrite.2.myNondetVar_2)) (?v_769 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_770 (= inline.KeSynchronizeExecution.11.myNondetVar_0.10 inline.KeSynchronizeExecution.11.myNondetVar_0)) (?v_771 (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.5 inline.sdv_InterlockedIncrement.6.myNondetVar_0))) (let ((?v_774 (=> true (=> ?v_604 (=> ?v_605 (=> ?v_606 (=> ?v_607 (=> ?v_608 (=> ?v_609 (=> ?v_610 (=> ?v_611 (=> ?v_612 (=> ?v_613 (=> ?v_614 (=> ?v_615 (=> ?v_616 (=> ?v_617 (=> ?v_618 (=> ?v_619 (=> ?v_620 (=> ?v_621 (=> (= errorReached.89 errorReached.74) (=> (= inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..0) (=> ?v_622 (=> ?v_623 (=> ?v_624 (=> ?v_625 (=> ?v_626 (=> ?v_627 (=> ?v_628 (=> ?v_629 (=> ?v_630 (=> ?v_631 (=> (= alloc.117 alloc.100) (=> ?v_632 (=> (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) (=> ?v_633 (=> ?v_634 (=> ?v_635 (=> ?v_636 (=> ?v_637 (=> ?v_638 (=> ?v_639 (=> ?v_640 (=> ?v_641 (=> ?v_642 (=> ?v_643 (=> (= inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.0 call73655formal.new.0) (=> ?v_644 (=> ?v_645 (=> ?v_646 (=> ?v_647 (=> ?v_648 (=> ?v_649 (=> ?v_650 (=> ?v_651 (=> ?v_652 (=> ?v_653 (=> ?v_654 (=> ?v_655 (=> (= inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.23.myNondetVar_0.1) (=> ?v_656 (=> (= inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.23.myNondetVar_0.1) (=> ?v_657 (=> ?v_658 (=> ?v_659 (=> (= inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..0) (=> ?v_660 (=> (= cancelLockStatus_1.89 cancelLockStatus_1.73) (=> ?v_661 (=> ?v_662 (=> (= Mem_1_T.P_IRP.91 Mem_1_T.P_IRP.71) (=> ?v_663 (=> ?v_664 (=> ?v_665 (=> ?v_666 (=> ?v_667 (=> (= Mem_1_T.CancelRoutine__IRP.124 Mem_1_T.CancelRoutine__IRP.104) (=> ?v_668 (=> ?v_669 (=> ?v_670 (=> ?v_671 (=> (= k.104 k.87) (=> ?v_672 (=> ?v_673 (=> ?v_674 (=> ?v_675 (=> ?v_676 (=> ?v_677 (=> ?v_678 (=> ?v_679 (=> ?v_680 (=> ?v_681 (=> ?v_682 (=> ?v_683 (=> ?v_684 (=> ?v_685 (=> ?v_686 (=> ?v_687 (=> ?v_688 (=> ?v_689 (=> ?v_690 (=> ?v_691 (=> ?v_692 (=> ?v_693 (=> (= Mem_0_T.P_IRP.91 Mem_0_T.P_IRP.71) (=> ?v_694 (=> ?v_695 (=> ?v_696 (=> ?v_697 (=> (= irpCompleted_1.51 irpCompleted_1.43) (=> ?v_698 (=> ?v_699 (=> ?v_700 (=> ?v_701 (=> ?v_702 (=> ?v_703 (=> ?v_704 (=> ?v_705 (=> ?v_706 (=> ?v_707 (=> ?v_708 (=> (= inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..1 inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..0) (=> ?v_709 (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) (=> ?v_710 (=> ?v_711 (=> ?v_712 (=> ?v_713 (=> ?v_714 (=> ?v_715 (=> ?v_716 (=> ?v_717 (=> ?v_718 (=> ?v_719 (=> (= Mem_0_T.CancelRoutine__IRP.124 Mem_0_T.CancelRoutine__IRP.104) (=> ?v_720 (=> ?v_721 (=> ?v_722 (=> ?v_723 (=> ?v_724 (=> (= inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.23.myNondetVar_0.1) (=> (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> (= inline.sdv_InterlockedDecrement.23.myNondetVar_0.2 inline.sdv_InterlockedDecrement.23.myNondetVar_0.1) (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> ?v_736 (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> (= irpCompleted_0.51 irpCompleted_0.43) (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> (= cancelLockStatus_0.89 cancelLockStatus_0.73) (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 ?v_772)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_773 (= inline.sdv_InterlockedDecrement.23.myNondetVar_0.1 0))) (let ((?v_787 (and (=> true (=> (not ?v_773) (=> true (=> (= inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2.) ?v_774)))) (=> true (=> ?v_773 (=> true (=> (= inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..0 call73858formal.ret.0) (=> true (=> true (=> true ?v_774))))))))) (?v_786 (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 hirp))) (let ((?v_776 (=> true (=> (= irpCompleted_1.43 irpCompleted_1.42) (=> (= irpCompleted_0.43 irpCompleted_0.42) (=> (= Mem_1_T.CancelRoutine__IRP.104 Mem_1_T.CancelRoutine__IRP.103) (=> (= k.87 k.86) (=> (= inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..0 call73688formal.ret.0) (=> (= Mem_0_T.CancelRoutine__IRP.104 Mem_0_T.CancelRoutine__IRP.103) (=> (= errorReached.74 errorReached.73) ?v_787))))))))) (?v_777 (= irpCompleted_1.42 irpCompleted_1.41))) (let ((?v_778 (=> (= irpCompleted_0.42 irpCompleted_0.41) (=> true ?v_776))) (?v_775 (= k.86 1))) (let ((?v_782 (not ?v_775)) (?v_603 (= k.86 0))) (let ((?v_779 (not ?v_603))) (let ((?v_781 (and (=> true (=> ?v_603 (=> true (=> ?v_777 (=> (= irpCompleted_0.42 1) ?v_776))))) (=> true (=> ?v_779 (and (=> true (=> ?v_775 (=> true (=> (= irpCompleted_1.42 1) ?v_778)))) (=> true (=> ?v_782 (=> true (=> ?v_777 ?v_778))))))))) (?v_783 (= Mem_1_T.CancelRoutine__IRP.103 Mem_1_T.CancelRoutine__IRP.101))) (let ((?v_784 (=> (= Mem_0_T.CancelRoutine__IRP.103 Mem_0_T.CancelRoutine__IRP.101) (=> true (=> true ?v_781)))) (?v_780 (int_2_U (CancelRoutine__IRP inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2))) (?v_35 (int_2_U 0))) (let ((?v_785 (and (=> true (=> ?v_603 (=> (= Mem_0_T.CancelRoutine__IRP.102 (MapType0Store Mem_0_T.CancelRoutine__IRP.101 ?v_780 ?v_35)) (=> true (=> ?v_783 (=> (= Mem_0_T.CancelRoutine__IRP.103 Mem_0_T.CancelRoutine__IRP.102) ?v_781)))))) (=> true (=> ?v_779 (and (=> true (=> ?v_775 (=> (= Mem_1_T.CancelRoutine__IRP.102 (MapType0Store Mem_1_T.CancelRoutine__IRP.101 ?v_780 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.103 Mem_1_T.CancelRoutine__IRP.102) ?v_784))))) (=> true (=> ?v_782 (=> true (=> ?v_783 ?v_784))))))))) (?v_132 (= irpCompleted_0.41 0)) (?v_133 (= irpCompleted_1.41 0))) (let ((?v_62 (not ?v_132)) (?v_63 (not ?v_133)) (?v_602 (int_2_U call73655formal.new.0))) (let ((?v_788 (=> true (and ?v_8 (=> ?v_8 (=> (> call73655formal.new.0 0) (=> (forall ((?x1547 Int)) (! (=> (and (<= call73655formal.new.0 ?x1547) (< ?x1547 (+ call73655formal.new.0 1))) (= (Base ?x1547) call73655formal.new.0)) :pattern ((Base ?x1547)) )) (=> (forall ((?x1548 boogieU)) (! (=> (= (type ?x1548) intType) (or (= (U_2_int ?x1548) call73655formal.new.0) (= (MapType0Select alloc.99 ?x1548) (MapType0Select alloc.100 ?x1548)))) :pattern ((MapType0Select alloc.100 ?x1548)) )) (=> (and (= (MapType0Select alloc.99 ?v_602) UNALLOCATED) (= (MapType0Select alloc.100 ?v_602) ALLOCATED)) (and (=> true (=> ?v_786 (=> true (=> (<= k.84 k.86) (=> (< k.86 2) (and (=> true (=> (=> ?v_603 ?v_62) (=> (=> ?v_775 ?v_63) (=> true (=> (= errorReached.73 1) ?v_785))))) (=> true (=> (=> ?v_603 ?v_132) (=> (=> ?v_775 ?v_133) (=> true (=> (= errorReached.73 errorReached.72) (=> true ?v_785)))))))))))) (=> true (=> (not ?v_786) (=> true (=> (= irpCompleted_1.43 irpCompleted_1.41) (=> (= irpCompleted_0.43 irpCompleted_0.41) (=> (= Mem_1_T.CancelRoutine__IRP.104 Mem_1_T.CancelRoutine__IRP.101) (=> (= k.87 k.84) (=> (= inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1.) (=> (= Mem_0_T.CancelRoutine__IRP.104 Mem_0_T.CancelRoutine__IRP.101) (=> (= errorReached.74 errorReached.72) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_787)))))))))))))))))))))))))))))))))))) (?v_790 (= cancelLockStatus_1.73 cancelLockStatus_1.72))) (let ((?v_791 (=> (= cancelLockStatus_0.73 cancelLockStatus_0.72) (=> true (=> true (=> true (=> true ?v_788)))))) (?v_789 (= k.84 1))) (let ((?v_795 (not ?v_789)) (?v_40 (= k.84 0))) (let ((?v_792 (not ?v_40))) (let ((?v_794 (and (=> true (=> ?v_40 (=> true (=> ?v_790 (=> (= cancelLockStatus_0.73 0) ?v_788))))) (=> true (=> ?v_792 (and (=> true (=> ?v_789 (=> true (=> (= cancelLockStatus_1.73 0) ?v_791)))) (=> true (=> ?v_795 (=> true (=> ?v_790 ?v_791))))))))) (?v_796 (= Mem_1_T.P_IRP.71 Mem_1_T.P_IRP.69))) (let ((?v_797 (=> (= Mem_0_T.P_IRP.71 Mem_0_T.P_IRP.69) (=> true (=> true (=> true (=> true (=> true (=> true ?v_794)))))))) (?v_32 (int_2_U inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0))) (let ((?v_793 (MapType0Store Mem_1_T.P_IRP.69 ?v_32 ?v_35)) (?v_601 (MapType0Store Mem_0_T.P_IRP.69 ?v_32 ?v_35))) (let ((?v_798 (and (=> true (=> ?v_40 (=> (= Mem_0_T.P_IRP.70 ?v_601) (=> true (=> ?v_796 (=> (= Mem_0_T.P_IRP.71 Mem_0_T.P_IRP.70) ?v_794)))))) (=> true (=> ?v_792 (and (=> true (=> ?v_789 (=> (= Mem_1_T.P_IRP.70 ?v_793) (=> true (=> (= Mem_1_T.P_IRP.71 Mem_1_T.P_IRP.70) ?v_797))))) (=> true (=> ?v_795 (=> true (=> ?v_796 ?v_797)))))))))) (let ((?v_799 (=> true (=> true ?v_798))) (?v_198 (U_2_int (MapType0Select Mem_1_T.P_IRP.69 ?v_32))) (?v_31 (U_2_int (MapType0Select Mem_0_T.P_IRP.69 ?v_32))) (?v_68 (= inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1.)) (?v_69 (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_70 (= inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.0 inline.SerialTryToCompleteCurrent.1.havoc_stringTemp)) (?v_71 (= inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_72 (= inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_73 (= inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2.)) (?v_74 (= inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..1 inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4.)) (?v_75 (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent)) (?v_76 (= inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_77 (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_78 (= inline.sdv_InterlockedDecrement.23.myNondetVar_0.2 inline.sdv_InterlockedDecrement.23.myNondetVar_0))) (let ((?v_84 (=> true (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.3) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..1) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrp.4.myNondetVar_0.2 inline.SerialGetNextIrp.4.myNondetVar_0.1) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0) (=> (= inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.0) (=> (= errorReached.89 errorReached.88) (=> ?v_68 (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.0) (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1) (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= alloc.117 alloc.116) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..1) (=> ?v_69 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.9 inline.KeSynchronizeExecution.10.myNondetVar_0.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.3) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.3) (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> (= inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.0) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.RemoveHeadList.5.myNondetVar_0.4 inline.RemoveHeadList.5.myNondetVar_0.3) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1) (=> ?v_70 (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.0) (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..1) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.0) (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> ?v_71 (=> (= inline.SerialGetNextWrite.2.havoc_stringTemp.1 inline.SerialGetNextWrite.2.havoc_stringTemp.0) (=> ?v_72 (=> (= inline.SerialGetNextIrp.5.myNondetVar_0.2 inline.SerialGetNextIrp.5.myNondetVar_0.1) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.4 inline.sdv_InterlockedDecrement.22.myNondetVar_0.3) (=> ?v_73 (=> (= inline.RemoveHeadList.4.myNondetVar_0.4 inline.RemoveHeadList.4.myNondetVar_0.3) (=> (= cancelLockStatus_1.89 cancelLockStatus_1.88) (=> (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.4.havoc_stringTemp.1) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0) (=> (= Mem_1_T.P_IRP.91 Mem_1_T.P_IRP.90) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= Mem_1_T.CancelRoutine__IRP.124 Mem_1_T.CancelRoutine__IRP.123) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.2) (=> ?v_670 (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= k.104 k.103) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.7 inline.SerialGetNextWrite.2.tempBoogie0.6) (=> (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.2) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.6 inline.SerialGetNextWrite.2.myNondetVar_1.5) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.2) (=> (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..2) (=> (= inline.SerialGetNextWrite.2.myVar_0.15 inline.SerialGetNextWrite.2.myVar_0.14) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= Mem_0_T.P_IRP.91 Mem_0_T.P_IRP.90) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.0) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..1) (=> (= irpCompleted_1.51 irpCompleted_1.50) (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.5 inline.SerialGetNextIrpLocked.5.myVar_0.4) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.4) (=> (= inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..0) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..2) (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..2) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..1) (=> ?v_74 (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> ?v_75 (=> (= inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.0) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.0) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.3) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..3 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..2) (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.3) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.0) (=> (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= Mem_0_T.CancelRoutine__IRP.124 Mem_0_T.CancelRoutine__IRP.123) (=> (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.2) (=> ?v_76 (=> ?v_77 (=> (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.4 inline.sdv_InterlockedDecrement.20.myNondetVar_0.3) (=> (= inline.IsListEmpty.6.myNondetVar_0.2 inline.IsListEmpty.6.myNondetVar_0.1) (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.0) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.0) (=> ?v_78 (=> (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.5.havoc_stringTemp.1) (=> (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialSetTimer.5.myNondetVar_0.8 inline.SerialSetTimer.5.myNondetVar_0.7) (=> ?v_736 (=> (= inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1..0 call70109formal.ret.0) (=> (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..1) (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.21 inline.SerialGetNextWrite.2.myNondetVar_0.20) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= irpCompleted_0.51 irpCompleted_0.50) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.5 inline.SerialGetNextIrpLocked.4.myVar_0.4) (=> (= cancelLockStatus_0.89 cancelLockStatus_0.88) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..1) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.6 inline.sdv_InterlockedDecrement.21.myNondetVar_0.5) (=> (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.2) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.2) (=> (= inline.IsListEmpty.5.myNondetVar_0.2 inline.IsListEmpty.5.myNondetVar_0.1) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.5 inline.SerialGetNextWrite.2.myNondetVar_2.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.10 inline.KeSynchronizeExecution.11.myNondetVar_0.9) (=> (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.5 inline.sdv_InterlockedIncrement.6.myNondetVar_0.4) ?v_772)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_80 (= k.103 0)) (?v_28 (int_2_U call68644formal.new.0))) (let ((?v_81 (= (U_2_int (MapType0Select Mem_0_T.P_IRP.90 ?v_28)) 0)) (?v_82 (= k.103 1)) (?v_83 (= (U_2_int (MapType0Select Mem_1_T.P_IRP.90 ?v_28)) 0)) (?v_0 (= 0 0))) (let ((?v_29 (not ?v_0))) (let ((?v_375 (and (=> true (=> (=> ?v_80 (not ?v_81)) (=> (=> ?v_82 (not ?v_83)) (=> true (=> ?v_29 ?v_84))))) (=> true (=> (=> ?v_80 ?v_81) (=> (=> ?v_82 ?v_83) ?v_84))))) (?v_438 (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1.)) (?v_439 (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_440 (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1.)) (?v_441 (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_442 (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_443 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_444 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_445 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_446 (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_447 (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1.)) (?v_448 (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_449 (= inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1.)) (?v_450 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_451 (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_452 (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_453 (= inline.SerialGetNextIrp.4.myNondetVar_0.1 inline.SerialGetNextIrp.4.myNondetVar_0)) (?v_454 (= inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_455 (= inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite)) (?v_456 (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_457 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_458 (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_459 (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_460 (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_461 (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp)) (?v_462 (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1.)) (?v_463 (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution)) (?v_464 (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution)) (?v_465 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer)) (?v_466 (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_467 (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13.)) (?v_468 (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_469 (= inline.KeSynchronizeExecution.10.myNondetVar_0.8 inline.KeSynchronizeExecution.10.myNondetVar_0)) (?v_470 (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_471 (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_472 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1)) (?v_473 (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2.)) (?v_474 (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_475 (= inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite)) (?v_476 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_477 (= inline.RemoveHeadList.5.myNondetVar_0.3 inline.RemoveHeadList.5.myNondetVar_0)) (?v_478 (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList)) (?v_479 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_480 (= inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp)) (?v_481 (= inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1.)) (?v_482 (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite)) (?v_483 (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_484 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_485 (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1.)) (?v_486 (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_487 (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_488 (= inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite)) (?v_489 (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_490 (= inline.SerialGetNextWrite.2.havoc_stringTemp.0 inline.SerialGetNextWrite.2.havoc_stringTemp)) (?v_491 (= inline.SerialGetNextIrp.5.myNondetVar_0.1 inline.SerialGetNextIrp.5.myNondetVar_0)) (?v_492 (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_493 (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.3 inline.sdv_InterlockedDecrement.22.myNondetVar_0)) (?v_494 (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp)) (?v_495 (= inline.RemoveHeadList.4.myNondetVar_0.3 inline.RemoveHeadList.4.myNondetVar_0)) (?v_496 (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.4.havoc_stringTemp)) (?v_497 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_498 (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_499 (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_500 (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_501 (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite)) (?v_502 (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_503 (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_504 (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite)) (?v_505 (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_506 (= inline.SerialGetNextWrite.2.tempBoogie0.6 inline.SerialGetNextWrite.2.tempBoogie0)) (?v_507 (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_508 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer)) (?v_509 (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_510 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty)) (?v_511 (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_512 (= inline.SerialGetNextWrite.2.myNondetVar_1.5 inline.SerialGetNextWrite.2.myNondetVar_1)) (?v_513 (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_514 (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_515 (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1)) (?v_516 (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_517 (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_518 (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_519 (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3.)) (?v_520 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_521 (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_522 (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2.)) (?v_523 (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.0 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_524 (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_525 (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_526 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_527 (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_528 (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2.)) (?v_529 (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4.)) (?v_530 (= inline.SerialGetNextIrpLocked.5.myVar_0.4 inline.SerialGetNextIrpLocked.5.myVar_0)) (?v_531 (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.4 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite)) (?v_532 (= inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1.)) (?v_533 (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_534 (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2.)) (?v_535 (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_536 (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4.)) (?v_537 (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_538 (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_539 (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1.)) (?v_540 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1)) (?v_541 (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_542 (= inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp)) (?v_543 (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_544 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1)) (?v_545 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1)) (?v_546 (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1.)) (?v_547 (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_548 (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_549 (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_550 (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_551 (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_552 (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList)) (?v_553 (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_554 (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_555 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer)) (?v_556 (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.3 inline.sdv_InterlockedDecrement.20.myNondetVar_0)) (?v_557 (= inline.IsListEmpty.6.myNondetVar_0.1 inline.IsListEmpty.6.myNondetVar_0)) (?v_558 (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1.)) (?v_559 (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_560 (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite)) (?v_561 (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_562 (= inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.0 inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite)) (?v_563 (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_564 (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.5.havoc_stringTemp)) (?v_565 (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_566 (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_567 (= inline.SerialSetTimer.5.myNondetVar_0.7 inline.SerialSetTimer.5.myNondetVar_0)) (?v_568 (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2.)) (?v_569 (= inline.SerialGetNextWrite.2.myNondetVar_0.20 inline.SerialGetNextWrite.2.myNondetVar_0)) (?v_570 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_571 (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_572 (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2.)) (?v_573 (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_574 (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_575 (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_576 (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_577 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_578 (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_579 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty)) (?v_580 (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_581 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_582 (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_583 (= inline.SerialGetNextIrpLocked.4.myVar_0.4 inline.SerialGetNextIrpLocked.4.myVar_0)) (?v_584 (= inline.SerialGetNextWrite.2.myVar_0.14 inline.SerialGetNextWrite.2.myVar_0)) (?v_585 (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_586 (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_587 (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_588 (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_589 (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_590 (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_591 (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.5 inline.sdv_InterlockedDecrement.21.myNondetVar_0)) (?v_592 (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_593 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1)) (?v_594 (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_595 (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine))) (let ((?v_596 (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer) (=> (= inline.IsListEmpty.5.myNondetVar_0.1 inline.IsListEmpty.5.myNondetVar_0) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.4 inline.SerialGetNextWrite.2.myNondetVar_2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.9 inline.KeSynchronizeExecution.11.myNondetVar_0) (=> (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.4 inline.sdv_InterlockedIncrement.6.myNondetVar_0) (=> true ?v_375))))))))) (?v_437 (= SerialGetNextWrite SerialGetNextIrp))) (let ((?v_1301 (not ?v_437)) (?v_392 (=> true (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0) (=> ?v_439 (=> ?v_440 (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_443 (=> ?v_444 (=> ?v_445 (=> ?v_446 (=> ?v_447 (=> ?v_448 (=> (= inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0) (=> ?v_450 (=> (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_453 (=> ?v_454 (=> ?v_455 (=> (= errorReached.88 errorReached.81) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_457 (=> ?v_458 (=> ?v_459 (=> ?v_460 (=> ?v_461 (=> ?v_462 (=> ?v_463 (=> ?v_464 (=> ?v_465 (=> ?v_466 (=> (= alloc.116 alloc.110) (=> ?v_467 (=> ?v_468 (=> ?v_469 (=> ?v_470 (=> ?v_471 (=> ?v_472 (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..1) (=> ?v_474 (=> ?v_475 (=> ?v_476 (=> (= inline.RemoveHeadList.5.myNondetVar_0.3 inline.RemoveHeadList.5.myNondetVar_0.2) (=> ?v_478 (=> ?v_479 (=> (= inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.0 call72692formal.new.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..0 call72723formal.ret.0) (=> ?v_482 (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> ?v_484 (=> (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..0) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_487 (=> ?v_488 (=> ?v_489 (=> ?v_490 (=> (= inline.SerialGetNextIrp.5.myNondetVar_0.1 inline.SerialGetNextIrp.5.myNondetVar_0.0) (=> ?v_492 (=> (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.3 inline.sdv_InterlockedDecrement.22.myNondetVar_0.2) (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.0 call68644formal.new.0) (=> ?v_495 (=> (= cancelLockStatus_1.88 cancelLockStatus_1.79) (=> ?v_496 (=> (= Mem_1_T.P_IRP.90 Mem_1_T.P_IRP.81) (=> ?v_497 (=> ?v_498 (=> ?v_499 (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_501 (=> ?v_502 (=> (= Mem_1_T.CancelRoutine__IRP.123 Mem_1_T.CancelRoutine__IRP.114) (=> ?v_503 (=> ?v_504 (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= k.103 k.94) (=> ?v_506 (=> ?v_507 (=> ?v_508 (=> ?v_509 (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_511 (=> ?v_512 (=> ?v_513 (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> ?v_515 (=> ?v_516 (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_518 (=> ?v_519 (=> ?v_520 (=> ?v_521 (=> ?v_522 (=> ?v_523 (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= Mem_0_T.P_IRP.90 Mem_0_T.P_IRP.81) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call68644formal.new.0) (=> ?v_526 (=> ?v_527 (=> ?v_528 (=> ?v_529 (=> (= irpCompleted_1.50 irpCompleted_1.46) (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.4 inline.SerialGetNextIrpLocked.5.myVar_0.3) (=> ?v_531 (=> ?v_532 (=> ?v_533 (=> ?v_534 (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.0 1) (=> (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..1) (=> ?v_537 (=> ?v_538 (=> ?v_539 (=> ?v_540 (=> ?v_541 (=> ?v_542 (=> ?v_543 (=> ?v_544 (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_546 (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> ?v_548 (=> (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 1) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= Mem_0_T.CancelRoutine__IRP.123 Mem_0_T.CancelRoutine__IRP.114) (=> (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.0) (=> ?v_553 (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.0 call68644formal.new.0) (=> ?v_555 (=> ?v_556 (=> (= inline.IsListEmpty.6.myNondetVar_0.1 inline.IsListEmpty.6.myNondetVar_0.0) (=> ?v_558 (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> ?v_560 (=> ?v_561 (=> ?v_562 (=> ?v_563 (=> (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.5.havoc_stringTemp.0) (=> ?v_565 (=> ?v_566 (=> ?v_567 (=> (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..0) (=> ?v_569 (=> ?v_570 (=> ?v_571 (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..1) (=> ?v_573 (=> (= irpCompleted_0.50 irpCompleted_0.46) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call68644formal.new.0) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 1) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_577 (=> ?v_578 (=> ?v_579 (=> ?v_580 (=> ?v_581 (=> ?v_582 (=> ?v_583 (=> (= cancelLockStatus_0.88 cancelLockStatus_0.79) (=> ?v_584 (=> ?v_585 (=> ?v_586 (=> ?v_587 (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 1) (=> ?v_589 (=> ?v_590 (=> ?v_591 (=> (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> ?v_593 (=> (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) ?v_596)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_394 (=> true (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= Mem_0_T.CancelRoutine__IRP.114 Mem_0_T.CancelRoutine__IRP.110) (=> (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.2 inline.sdv_InterlockedDecrement.22.myNondetVar_0) (=> (= irpCompleted_0.46 irpCompleted_0.41) (=> (= irpCompleted_1.46 irpCompleted_1.41) (=> (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.5.havoc_stringTemp) (=> (= Mem_1_T.CancelRoutine__IRP.114 Mem_1_T.CancelRoutine__IRP.110) (=> (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= alloc.110 alloc.105) (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= errorReached.81 errorReached.78) (=> (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1.) (=> true (=> true (=> true (=> true (=> true (=> true ?v_392))))))))))))))))))))))) (?v_393 (= 1 0)) (?v_391 (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2 0)) (?v_377 (=> true (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= Mem_0_T.CancelRoutine__IRP.114 Mem_0_T.CancelRoutine__IRP.113) (=> (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.2 inline.sdv_InterlockedDecrement.22.myNondetVar_0.1) (=> (= irpCompleted_0.46 irpCompleted_0.45) (=> (= irpCompleted_1.46 irpCompleted_1.45) (=> (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.0 call73034formal.new.0) (=> (= Mem_1_T.CancelRoutine__IRP.114 Mem_1_T.CancelRoutine__IRP.113) (=> (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..0) (=> (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.22.myNondetVar_0.1) (=> (= alloc.110 alloc.109) (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= errorReached.81 errorReached.80) (=> (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.22.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.22.myNondetVar_0.1) ?v_392))))))))))))))))) (?v_376 (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.1 0))) (let ((?v_390 (and (=> true (=> (not ?v_376) (=> true (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2.) ?v_377)))) (=> true (=> ?v_376 (=> true (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..0 call73235formal.ret.0) (=> true (=> true (=> true ?v_377))))))))) (?v_389 (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2 hirp))) (let ((?v_379 (=> true (=> (= irpCompleted_1.45 irpCompleted_1.44) (=> (= irpCompleted_0.45 irpCompleted_0.44) (=> (= Mem_1_T.CancelRoutine__IRP.113 Mem_1_T.CancelRoutine__IRP.112) (=> (= Mem_0_T.CancelRoutine__IRP.113 Mem_0_T.CancelRoutine__IRP.112) (=> (= errorReached.80 errorReached.79) ?v_390))))))) (?v_380 (= irpCompleted_1.44 irpCompleted_1.41))) (let ((?v_381 (=> (= irpCompleted_0.44 irpCompleted_0.41) (=> true ?v_379))) (?v_378 (= k.94 1))) (let ((?v_385 (not ?v_378)) (?v_373 (= k.94 0))) (let ((?v_382 (not ?v_373))) (let ((?v_384 (and (=> true (=> ?v_373 (=> true (=> ?v_380 (=> (= irpCompleted_0.44 1) ?v_379))))) (=> true (=> ?v_382 (and (=> true (=> ?v_378 (=> true (=> (= irpCompleted_1.44 1) ?v_381)))) (=> true (=> ?v_385 (=> true (=> ?v_380 ?v_381))))))))) (?v_386 (= Mem_1_T.CancelRoutine__IRP.112 Mem_1_T.CancelRoutine__IRP.110))) (let ((?v_387 (=> (= Mem_0_T.CancelRoutine__IRP.112 Mem_0_T.CancelRoutine__IRP.110) (=> true (=> true ?v_384)))) (?v_383 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2)))) (let ((?v_388 (and (=> true (=> ?v_373 (=> (= Mem_0_T.CancelRoutine__IRP.111 (MapType0Store Mem_0_T.CancelRoutine__IRP.110 ?v_383 ?v_35)) (=> true (=> ?v_386 (=> (= Mem_0_T.CancelRoutine__IRP.112 Mem_0_T.CancelRoutine__IRP.111) ?v_384)))))) (=> true (=> ?v_382 (and (=> true (=> ?v_378 (=> (= Mem_1_T.CancelRoutine__IRP.111 (MapType0Store Mem_1_T.CancelRoutine__IRP.110 ?v_383 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.112 Mem_1_T.CancelRoutine__IRP.111) ?v_387))))) (=> true (=> ?v_385 (=> true (=> ?v_386 ?v_387))))))))) (?v_374 (int_2_U call73034formal.new.0)) (?v_1238 (not ?v_393))) (let ((?v_395 (and (=> true (=> ?v_1238 (and (=> true (=> (not ?v_391) (=> true (and ?v_8 (=> ?v_8 (=> (> call73034formal.new.0 0) (=> (forall ((?x1549 Int)) (! (=> (and (<= call73034formal.new.0 ?x1549) (< ?x1549 (+ call73034formal.new.0 1))) (= (Base ?x1549) call73034formal.new.0)) :pattern ((Base ?x1549)) )) (=> (forall ((?x1550 boogieU)) (! (=> (= (type ?x1550) intType) (or (= (U_2_int ?x1550) call73034formal.new.0) (= (MapType0Select alloc.105 ?x1550) (MapType0Select alloc.109 ?x1550)))) :pattern ((MapType0Select alloc.109 ?x1550)) )) (=> (and (= (MapType0Select alloc.105 ?v_374) UNALLOCATED) (= (MapType0Select alloc.109 ?v_374) ALLOCATED)) (and (=> true (=> ?v_389 (and (=> true (=> (=> ?v_373 ?v_62) (=> (=> ?v_378 ?v_63) (=> true (=> (= errorReached.79 1) ?v_388))))) (=> true (=> (=> ?v_373 ?v_132) (=> (=> ?v_378 ?v_133) (=> true (=> (= errorReached.79 errorReached.78) (=> true ?v_388))))))))) (=> true (=> (not ?v_389) (=> true (=> (= irpCompleted_1.45 irpCompleted_1.41) (=> (= irpCompleted_0.45 irpCompleted_0.41) (=> (= Mem_1_T.CancelRoutine__IRP.113 Mem_1_T.CancelRoutine__IRP.110) (=> (= Mem_0_T.CancelRoutine__IRP.113 Mem_0_T.CancelRoutine__IRP.110) (=> (= errorReached.80 errorReached.78) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_390))))))))))))))))))))))))))))))))))) (=> true (=> ?v_391 ?v_394))))) (=> true (=> ?v_393 ?v_394)))) (?v_396 (= cancelLockStatus_1.79 cancelLockStatus_1.76))) (let ((?v_397 (=> (= cancelLockStatus_0.79 cancelLockStatus_0.76) (=> true (=> true (=> true (=> true (=> true ?v_395)))))))) (let ((?v_398 (and (=> true (=> ?v_373 (=> true (=> ?v_396 (=> (= cancelLockStatus_0.79 0) ?v_395))))) (=> true (=> ?v_382 (and (=> true (=> ?v_378 (=> true (=> (= cancelLockStatus_1.79 0) ?v_397)))) (=> true (=> ?v_385 (=> true (=> ?v_396 ?v_397))))))))) (?v_399 (= Mem_1_T.P_IRP.81 Mem_1_T.P_IRP.79))) (let ((?v_400 (=> (= Mem_0_T.P_IRP.81 Mem_0_T.P_IRP.79) (=> true (=> true (=> true (=> true (=> true (=> true ?v_398))))))))) (let ((?v_408 (and (=> true (=> ?v_373 (=> (= Mem_0_T.P_IRP.80 (MapType0Store Mem_0_T.P_IRP.79 ?v_28 (MapType0Select Mem_0_T.P_IRP.79 ?v_32))) (=> true (=> ?v_399 (=> (= Mem_0_T.P_IRP.81 Mem_0_T.P_IRP.80) ?v_398)))))) (=> true (=> ?v_382 (and (=> true (=> ?v_378 (=> (= Mem_1_T.P_IRP.80 (MapType0Store Mem_1_T.P_IRP.79 ?v_28 (MapType0Select Mem_1_T.P_IRP.79 ?v_32))) (=> true (=> (= Mem_1_T.P_IRP.81 Mem_1_T.P_IRP.80) ?v_400))))) (=> true (=> ?v_385 (=> true (=> ?v_399 ?v_400)))))))))) (let ((?v_410 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.110 Mem_1_T.CancelRoutine__IRP.109) (=> (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.5.myNondetVar_0.0) (=> (= Mem_0_T.P_IRP.79 Mem_0_T.P_IRP.75) (=> (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.5.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= errorReached.78 errorReached.77) (=> (= inline.RemoveHeadList.5.myNondetVar_0.2 inline.RemoveHeadList.5.myNondetVar_0.1) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.5.myVar_0.2) (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.3 inline.SerialGetNextIrpLocked.5.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.5.myVar_0.2) (=> (= Mem_1_T.P_IRP.79 Mem_1_T.P_IRP.75) (=> (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.5.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..0) (=> (= Mem_0_T.CancelRoutine__IRP.110 Mem_0_T.CancelRoutine__IRP.109) (=> (= k.94 k.93) (=> (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.5.myNondetVar_0.0) (=> true ?v_408))))))))))))))))))))) (?v_412 (= Mem_1_T.CancelRoutine__IRP.109 Mem_1_T.CancelRoutine__IRP.101))) (let ((?v_413 (=> (= Mem_0_T.CancelRoutine__IRP.109 Mem_0_T.CancelRoutine__IRP.101) (=> true (=> true (=> true (=> true (=> true (=> true ?v_410)))))))) (?v_411 (= k.93 1)) (?v_407 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.5.myVar_0.2))) (?v_409 (= k.93 0))) (let ((?v_418 (and (=> true (=> ?v_409 (=> (= Mem_0_T.CancelRoutine__IRP.108 (MapType0Store Mem_0_T.CancelRoutine__IRP.101 ?v_407 ?v_35)) (=> true (=> ?v_412 (=> (= Mem_0_T.CancelRoutine__IRP.109 Mem_0_T.CancelRoutine__IRP.108) ?v_410)))))) (=> true (=> (not ?v_409) (and (=> true (=> ?v_411 (=> (= Mem_1_T.CancelRoutine__IRP.108 (MapType0Store Mem_1_T.CancelRoutine__IRP.101 ?v_407 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.109 Mem_1_T.CancelRoutine__IRP.108) ?v_413))))) (=> true (=> (not ?v_411) (=> true (=> ?v_412 ?v_413)))))))))) (let ((?v_420 (=> (= errorReached.77 errorReached.72) (=> true ?v_418))) (?v_419 (= inline.SerialGetNextIrpLocked.5.myVar_0.2 hirp)) (?v_416 (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..0 call73493formal.ret.0)) (?v_417 (= k.93 k.92)) (?v_414 (= k.92 0)) (?v_415 (= k.92 1))) (let ((?v_422 (and (=> true (=> ?v_419 (=> true (=> (<= k.89 k.92) (=> (< k.92 2) (and (=> true (=> (=> ?v_414 ?v_62) (=> (=> ?v_415 ?v_63) (=> true (=> ?v_416 (=> ?v_417 (=> (= errorReached.77 1) ?v_418))))))) (=> true (=> (=> ?v_414 ?v_132) (=> (=> ?v_415 ?v_133) (=> true (=> ?v_416 (=> ?v_417 ?v_420)))))))))))) (=> true (=> (not ?v_419) (=> true (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2.) (=> (= k.93 k.89) ?v_420)))))))) (let ((?v_424 (=> true (=> true ?v_422))) (?v_401 (= k.89 1))) (let ((?v_423 (not ?v_401)) (?v_372 (= k.89 0))) (let ((?v_421 (not ?v_372))) (let ((?v_426 (and (=> true (=> ?v_372 (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.101 ?v_407))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_422))))) (=> true (=> ?v_421 (and (=> true (=> ?v_401 (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.101 ?v_407))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_424))))) (=> true (=> ?v_423 (=> true (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_424)))))))))) (let ((?v_427 (=> true (=> true (=> true (=> true (=> true ?v_426)))))) (?v_425 (U_2_int (MapType0Select Mem_1_T.P_IRP.75 ?v_32))) (?v_406 (U_2_int (MapType0Select Mem_0_T.P_IRP.75 ?v_32)))) (let ((?v_429 (=> true (=> (=> ?v_372 (not (= ?v_406 hirp))) (=> (=> ?v_401 (not (= ?v_425 hirp))) (and (=> true (=> ?v_372 (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.0 ?v_406) (=> true (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.2 inline.SerialGetNextIrpLocked.5.myVar_0.0) ?v_426))))) (=> true (=> ?v_421 (and (=> true (=> ?v_401 (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.1 ?v_425) (=> true (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.2 inline.SerialGetNextIrpLocked.5.myVar_0.1) ?v_427))))) (=> true (=> ?v_423 (=> true (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.2 inline.SerialGetNextIrpLocked.5.myVar_0) ?v_427)))))))))))) (?v_430 (= Mem_1_T.P_IRP.75 Mem_1_T.P_IRP.69))) (let ((?v_431 (=> (= Mem_0_T.P_IRP.75 Mem_0_T.P_IRP.69) (=> true ?v_429))) (?v_428 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.5.myNondetVar_0.0 1 88))) (?v_405 (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0 0)) (?v_402 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.110 Mem_1_T.CancelRoutine__IRP.101) (=> (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1.) (=> (= Mem_0_T.P_IRP.79 Mem_0_T.P_IRP.73) (=> (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2.) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= errorReached.78 errorReached.72) (=> (= inline.RemoveHeadList.5.myNondetVar_0.2 inline.RemoveHeadList.5.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.3 inline.SerialGetNextIrpLocked.5.myVar_0) (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= Mem_1_T.P_IRP.79 Mem_1_T.P_IRP.73) (=> (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2.) (=> (= Mem_0_T.CancelRoutine__IRP.110 Mem_0_T.CancelRoutine__IRP.101) (=> (= k.94 k.89) (=> (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked) ?v_408)))))))))))))))))))) (?v_403 (= Mem_1_T.P_IRP.73 Mem_1_T.P_IRP.69))) (let ((?v_404 (=> (= Mem_0_T.P_IRP.73 Mem_0_T.P_IRP.69) (=> true ?v_402)))) (let ((?v_432 (=> true (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.6.myNondetVar_0.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0))) (and (=> true (=> (not ?v_405) (and (=> true (=> ?v_372 (=> (= Mem_0_T.P_IRP.72 ?v_601) (=> true (=> ?v_403 (=> (= Mem_0_T.P_IRP.73 Mem_0_T.P_IRP.72) ?v_402)))))) (=> true (=> ?v_421 (and (=> true (=> ?v_401 (=> (= Mem_1_T.P_IRP.72 ?v_793) (=> true (=> (= Mem_1_T.P_IRP.73 Mem_1_T.P_IRP.72) ?v_404))))) (=> true (=> ?v_423 (=> true (=> ?v_403 ?v_404)))))))))) (=> true (=> ?v_405 (and (=> true (=> ?v_372 (=> (= Mem_0_T.P_IRP.74 (MapType0Store Mem_0_T.P_IRP.69 ?v_32 ?v_428)) (=> true (=> ?v_430 (=> (= Mem_0_T.P_IRP.75 Mem_0_T.P_IRP.74) ?v_429)))))) (=> true (=> ?v_421 (and (=> true (=> ?v_401 (=> (= Mem_1_T.P_IRP.74 (MapType0Store Mem_1_T.P_IRP.69 ?v_32 ?v_428)) (=> true (=> (= Mem_1_T.P_IRP.75 Mem_1_T.P_IRP.74) ?v_431))))) (=> true (=> ?v_423 (=> true (=> ?v_430 ?v_431))))))))))))))) (let ((?v_433 (=> true (=> true (=> true (=> true ?v_432)))))) (let ((?v_434 (and (=> true (=> ?v_372 (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.0 ?v_31) (=> true (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_432))))) (=> true (=> ?v_421 (and (=> true (=> ?v_401 (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.1 ?v_198) (=> true (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_433))))) (=> true (=> ?v_423 (=> true (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_433))))))))) (?v_435 (= cancelLockStatus_1.76 cancelLockStatus_1.75))) (let ((?v_436 (=> (= cancelLockStatus_0.76 cancelLockStatus_0.75) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_434))))))))))) (?v_57 (= cancelLockStatus_0.75 0)) (?v_371 (= cancelLockStatus_1.75 0)) (?v_370 (int_2_U call72692formal.new.0)) (?v_369 (= SerialGetNextWrite SerialGetNextWrite))) (let ((?v_1233 (not ?v_369)) (?v_67 (int_2_U call71610formal.new.0))) (let ((?v_109 (=> true (and ?v_8 (=> ?v_8 (=> (> call71610formal.new.0 0) (=> (forall ((?x1553 Int)) (! (=> (and (<= call71610formal.new.0 ?x1553) (< ?x1553 (+ call71610formal.new.0 1))) (= (Base ?x1553) call71610formal.new.0)) :pattern ((Base ?x1553)) )) (=> (forall ((?x1554 boogieU)) (! (=> (= (type ?x1554) intType) (or (= (U_2_int ?x1554) call71610formal.new.0) (= (MapType0Select alloc.114 ?x1554) (MapType0Select alloc.115 ?x1554)))) :pattern ((MapType0Select alloc.115 ?x1554)) )) (=> (and (= (MapType0Select alloc.114 ?v_67) UNALLOCATED) (= (MapType0Select alloc.115 ?v_67) ALLOCATED)) (=> true (=> ?v_438 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..2) (=> ?v_441 (=> ?v_442 (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.2) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_449 (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> ?v_451 (=> ?v_452 (=> (= inline.SerialGetNextIrp.4.myNondetVar_0.1 inline.SerialGetNextIrp.4.myNondetVar_0.0) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 1) (=> (= inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.0 call70194formal.new.0) (=> (= errorReached.88 errorReached.87) (=> ?v_456 (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.0 call68644formal.new.0) (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0) (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= alloc.116 alloc.115) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.8 inline.KeSynchronizeExecution.10.myNondetVar_0.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.2) (=> ?v_473 (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.0 call70197formal.new.0) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> ?v_477 (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> ?v_480 (=> ?v_481 (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.0 x.SerialCompleteWrite.arg.2.7..2) (=> ?v_483 (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> ?v_485 (=> ?v_486 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.0 call70191formal.new.0) (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialGetNextWrite.2.havoc_stringTemp.0 call71610formal.new.0) (=> ?v_491 (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> ?v_493 (=> ?v_494 (=> (= inline.RemoveHeadList.4.myNondetVar_0.3 inline.RemoveHeadList.4.myNondetVar_0.2) (=> (= cancelLockStatus_1.88 cancelLockStatus_1.87) (=> (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.4.havoc_stringTemp.0) (=> (= Mem_1_T.P_IRP.90 Mem_1_T.P_IRP.89) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_500 (=> (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= Mem_1_T.CancelRoutine__IRP.123 Mem_1_T.CancelRoutine__IRP.122) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.1) (=> ?v_505 (=> (= k.103 k.102) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.6 inline.SerialGetNextWrite.2.tempBoogie0.5) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.1) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_510 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.5 inline.SerialGetNextWrite.2.myNondetVar_1.4) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> ?v_514 (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.0 x.SerialCompleteWrite.arg.2.7..2) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.0 call68644formal.new.0) (=> ?v_517 (=> (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.2.myVar_0.2) (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_524 (=> (= Mem_0_T.P_IRP.90 Mem_0_T.P_IRP.89) (=> ?v_525 (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 1) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..0) (=> (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..1) (=> (= irpCompleted_1.50 irpCompleted_1.49) (=> ?v_530 (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.4 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.3) (=> (= inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..1) (=> ?v_535 (=> ?v_536 (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..0) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.0 call70616formal.new.0) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.2) (=> ?v_545 (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..1) (=> ?v_547 (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_549 (=> ?v_550 (=> ?v_551 (=> (= Mem_0_T.CancelRoutine__IRP.123 Mem_0_T.CancelRoutine__IRP.122) (=> ?v_552 (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> ?v_554 (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.1) (=> (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.3 inline.sdv_InterlockedDecrement.20.myNondetVar_0.2) (=> ?v_557 (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..1) (=> ?v_559 (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.0 call68644formal.new.0) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.0 call70200formal.new.0) (=> (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> ?v_564 (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call68644formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialSetTimer.5.myNondetVar_0.7 inline.SerialSetTimer.5.myNondetVar_0.6) (=> ?v_568 (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.20 inline.SerialGetNextWrite.2.myNondetVar_0.19) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> ?v_572 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.2.myVar_0.2) (=> (= irpCompleted_0.50 irpCompleted_0.49) (=> ?v_574 (=> ?v_575 (=> ?v_576 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.4 inline.SerialGetNextIrpLocked.4.myVar_0.3) (=> (= cancelLockStatus_0.88 cancelLockStatus_0.87) (=> (= inline.SerialGetNextWrite.2.myVar_0.14 inline.SerialGetNextWrite.2.myVar_0.13) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call68644formal.new.0) (=> (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> ?v_588 (=> (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.0 call68644formal.new.0) (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.5 inline.sdv_InterlockedDecrement.21.myNondetVar_0.4) (=> ?v_592 (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.1) (=> ?v_594 (=> ?v_595 (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.1) (=> (= inline.IsListEmpty.5.myNondetVar_0.1 inline.IsListEmpty.5.myNondetVar_0.0) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.4 inline.SerialGetNextWrite.2.myNondetVar_2.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.9 inline.KeSynchronizeExecution.11.myNondetVar_0.8) (=> (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.4 inline.sdv_InterlockedIncrement.6.myNondetVar_0.3) ?v_375))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_108 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1))) (let ((?v_111 (=> true (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialProcessEmptyTransmit) (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.19 inline.SerialGetNextWrite.2.myNondetVar_0.18) (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.) (=> (= cancelLockStatus_0.87 cancelLockStatus_0.86) (=> (= cancelLockStatus_1.87 cancelLockStatus_1.86) (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.SerialGetNextWrite.2.myVar_0.13 inline.SerialGetNextWrite.2.myVar_0.9) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.7 inline.KeSynchronizeExecution.10.myNondetVar_0.6) (=> ?v_108 (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialProcessEmptyTransmit) ?v_109)))))))))))))))) (?v_113 (= cancelLockStatus_1.86 cancelLockStatus_1.85))) (let ((?v_114 (=> (= cancelLockStatus_0.86 cancelLockStatus_0.85) (=> true (=> true (=> true (=> true ?v_111)))))) (?v_101 (= k.102 1))) (let ((?v_112 (not ?v_101)) (?v_65 (= k.102 0))) (let ((?v_110 (not ?v_65))) (let ((?v_116 (and (=> true (=> ?v_65 (=> true (=> ?v_113 (=> (= cancelLockStatus_0.86 0) ?v_111))))) (=> true (=> ?v_110 (and (=> true (=> ?v_101 (=> true (=> (= cancelLockStatus_1.86 0) ?v_114)))) (=> true (=> ?v_112 (=> true (=> ?v_113 ?v_114)))))))))) (let ((?v_117 (and (=> true (=> ?v_989 (=> true (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.10..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.6 inline.KeSynchronizeExecution.10.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.10..result.SynchronizeRoutine.4679.26.2.) ?v_116)))))) (=> true (=> ?v_115 (=> true (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.6 inline.KeSynchronizeExecution.10.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..0 0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_116)))))))))))))))) (?v_118 (= cancelLockStatus_1.85 cancelLockStatus_1.84))) (let ((?v_119 (=> (= cancelLockStatus_0.85 cancelLockStatus_0.84) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_117))))))))))) (?v_107 (= cancelLockStatus_0.84 0)) (?v_141 (= cancelLockStatus_1.84 0)) (?v_66 (U_2_int (MapType0Select Mem_0_T.P_IRP.89 ?v_28)))) (let ((?v_105 (= ?v_66 0)) (?v_102 (U_2_int (MapType0Select Mem_1_T.P_IRP.89 ?v_28)))) (let ((?v_106 (= ?v_102 0)) (?v_86 (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_87 (= inline.SerialGetNextWrite.2.myNondetVar_0.19 inline.SerialGetNextWrite.2.myNondetVar_0.16)) (?v_88 (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1.)) (?v_89 (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.2.myVar_0.12)) (?v_90 (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.2.myVar_0.12)) (?v_91 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_92 (= cancelLockStatus_0.87 cancelLockStatus_0.84)) (?v_93 (= cancelLockStatus_1.87 cancelLockStatus_1.84)) (?v_94 (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution)) (?v_95 (= inline.SerialGetNextWrite.2.myVar_0.13 inline.SerialGetNextWrite.2.myVar_0.12)) (?v_96 (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_97 (= inline.KeSynchronizeExecution.10.myNondetVar_0.7 inline.KeSynchronizeExecution.10.myNondetVar_0)) (?v_98 (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) ?v_109)) (?v_85 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 9))) (let ((?v_100 (and (=> true (=> ?v_85 (=> true (=> ?v_86 (=> ?v_87 (=> ?v_88 (=> ?v_89 (=> ?v_90 (=> ?v_91 (=> ?v_92 (=> ?v_93 (=> ?v_94 (=> ?v_95 (=> ?v_96 (=> ?v_97 (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.2 1) ?v_98)))))))))))))))) (=> true (=> (not ?v_85) (=> true (=> ?v_86 (=> ?v_87 (=> ?v_88 (=> ?v_89 (=> ?v_90 (=> ?v_91 (=> ?v_92 (=> ?v_93 (=> ?v_94 (=> ?v_95 (=> ?v_96 (=> ?v_97 (=> ?v_108 ?v_98)))))))))))))))))) (?v_99 (= inline.SerialGetNextWrite.2.myVar_0.12 hirp))) (let ((?v_103 (and (=> true (=> ?v_99 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_100)))) (=> true (=> (not ?v_99) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_100))))))))))) (let ((?v_104 (=> true (=> true (=> true (=> true ?v_103)))))) (let ((?v_138 (and (=> true (=> (=> ?v_65 (not ?v_105)) (=> (=> ?v_101 (not ?v_106)) (and (=> true (=> ?v_65 (=> (= inline.SerialGetNextWrite.2.myVar_0.10 ?v_66) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.12 inline.SerialGetNextWrite.2.myVar_0.10) ?v_103))))) (=> true (=> ?v_110 (and (=> true (=> ?v_101 (=> (= inline.SerialGetNextWrite.2.myVar_0.11 ?v_102) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.12 inline.SerialGetNextWrite.2.myVar_0.11) ?v_104))))) (=> true (=> ?v_112 (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.12 inline.SerialGetNextWrite.2.myVar_0.9) ?v_104))))))))))) (=> true (=> (=> ?v_65 ?v_105) (=> (=> ?v_101 ?v_106) (=> true (=> (=> ?v_65 ?v_107) (=> (=> ?v_101 ?v_141) (and (=> true (=> ?v_65 (=> true (=> ?v_118 (=> (= cancelLockStatus_0.85 1) ?v_117))))) (=> true (=> ?v_110 (and (=> true (=> ?v_101 (=> true (=> (= cancelLockStatus_1.85 1) ?v_119)))) (=> true (=> ?v_112 (=> true (=> ?v_118 ?v_119))))))))))))))))) (let ((?v_140 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.122 Mem_0_T.CancelRoutine__IRP.118) (=> (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.2 inline.sdv_InterlockedDecrement.20.myNondetVar_0) (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= irpCompleted_0.49 irpCompleted_0.41) (=> (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= errorReached.87 errorReached.84) (=> (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1.) (=> (= alloc.114 alloc.112) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.4.havoc_stringTemp) (=> (= irpCompleted_1.49 irpCompleted_1.41) (=> (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4.) (=> (= Mem_1_T.CancelRoutine__IRP.122 Mem_1_T.CancelRoutine__IRP.118) (=> (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= k.102 k.99) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_138)))))))))))))))))))))))))) (?v_139 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1 0)) (?v_137 (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2 0)) (?v_121 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.122 Mem_0_T.CancelRoutine__IRP.121) (=> (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.2 inline.sdv_InterlockedDecrement.20.myNondetVar_0.1) (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= irpCompleted_0.49 irpCompleted_0.48) (=> (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.20.myNondetVar_0.1) (=> (= errorReached.87 errorReached.86) (=> (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.20.myNondetVar_0.1) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..0) (=> (= alloc.114 alloc.113) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.0 call70956formal.new.0) (=> (= irpCompleted_1.49 irpCompleted_1.48) (=> (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..0) (=> (= Mem_1_T.CancelRoutine__IRP.122 Mem_1_T.CancelRoutine__IRP.121) (=> (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.20.myNondetVar_0.1) (=> (= k.102 k.101) ?v_138))))))))))))))))))) (?v_120 (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.1 0))) (let ((?v_136 (and (=> true (=> (not ?v_120) (=> true (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2.) ?v_121)))) (=> true (=> ?v_120 (=> true (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..0 call71159formal.ret.0) (=> true (=> true (=> true ?v_121))))))))) (?v_135 (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2 hirp))) (let ((?v_123 (=> true (=> (= irpCompleted_1.48 irpCompleted_1.47) (=> (= irpCompleted_0.48 irpCompleted_0.47) (=> (= Mem_1_T.CancelRoutine__IRP.121 Mem_1_T.CancelRoutine__IRP.120) (=> (= k.101 k.100) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..0 call70989formal.ret.0) (=> (= Mem_0_T.CancelRoutine__IRP.121 Mem_0_T.CancelRoutine__IRP.120) (=> (= errorReached.86 errorReached.85) ?v_136))))))))) (?v_124 (= irpCompleted_1.47 irpCompleted_1.41))) (let ((?v_125 (=> (= irpCompleted_0.47 irpCompleted_0.41) (=> true ?v_123))) (?v_122 (= k.100 1))) (let ((?v_129 (not ?v_122)) (?v_64 (= k.100 0))) (let ((?v_126 (not ?v_64))) (let ((?v_128 (and (=> true (=> ?v_64 (=> true (=> ?v_124 (=> (= irpCompleted_0.47 1) ?v_123))))) (=> true (=> ?v_126 (and (=> true (=> ?v_122 (=> true (=> (= irpCompleted_1.47 1) ?v_125)))) (=> true (=> ?v_129 (=> true (=> ?v_124 ?v_125))))))))) (?v_130 (= Mem_1_T.CancelRoutine__IRP.120 Mem_1_T.CancelRoutine__IRP.118))) (let ((?v_131 (=> (= Mem_0_T.CancelRoutine__IRP.120 Mem_0_T.CancelRoutine__IRP.118) (=> true (=> true ?v_128)))) (?v_127 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2)))) (let ((?v_134 (and (=> true (=> ?v_64 (=> (= Mem_0_T.CancelRoutine__IRP.119 (MapType0Store Mem_0_T.CancelRoutine__IRP.118 ?v_127 ?v_35)) (=> true (=> ?v_130 (=> (= Mem_0_T.CancelRoutine__IRP.120 Mem_0_T.CancelRoutine__IRP.119) ?v_128)))))) (=> true (=> ?v_126 (and (=> true (=> ?v_122 (=> (= Mem_1_T.CancelRoutine__IRP.119 (MapType0Store Mem_1_T.CancelRoutine__IRP.118 ?v_127 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.120 Mem_1_T.CancelRoutine__IRP.119) ?v_131))))) (=> true (=> ?v_129 (=> true (=> ?v_130 ?v_131))))))))) (?v_61 (int_2_U call70956formal.new.0))) (let ((?v_142 (and (=> true (=> (not ?v_139) (and (=> true (=> (not ?v_137) (=> true (and ?v_8 (=> ?v_8 (=> (> call70956formal.new.0 0) (=> (forall ((?x1555 Int)) (! (=> (and (<= call70956formal.new.0 ?x1555) (< ?x1555 (+ call70956formal.new.0 1))) (= (Base ?x1555) call70956formal.new.0)) :pattern ((Base ?x1555)) )) (=> (forall ((?x1556 boogieU)) (! (=> (= (type ?x1556) intType) (or (= (U_2_int ?x1556) call70956formal.new.0) (= (MapType0Select alloc.112 ?x1556) (MapType0Select alloc.113 ?x1556)))) :pattern ((MapType0Select alloc.113 ?x1556)) )) (=> (and (= (MapType0Select alloc.112 ?v_61) UNALLOCATED) (= (MapType0Select alloc.113 ?v_61) ALLOCATED)) (and (=> true (=> ?v_135 (=> true (=> (<= k.99 k.100) (=> (< k.100 2) (and (=> true (=> (=> ?v_64 ?v_62) (=> (=> ?v_122 ?v_63) (=> true (=> (= errorReached.85 1) ?v_134))))) (=> true (=> (=> ?v_64 ?v_132) (=> (=> ?v_122 ?v_133) (=> true (=> (= errorReached.85 errorReached.84) (=> true ?v_134)))))))))))) (=> true (=> (not ?v_135) (=> true (=> (= irpCompleted_1.48 irpCompleted_1.41) (=> (= irpCompleted_0.48 irpCompleted_0.41) (=> (= Mem_1_T.CancelRoutine__IRP.121 Mem_1_T.CancelRoutine__IRP.118) (=> (= k.101 k.99) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1.) (=> (= Mem_0_T.CancelRoutine__IRP.121 Mem_0_T.CancelRoutine__IRP.118) (=> (= errorReached.86 errorReached.84) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_136))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_137 ?v_140))))) (=> true (=> ?v_139 ?v_140)))) (?v_144 (= cancelLockStatus_1.84 cancelLockStatus_1.83))) (let ((?v_145 (=> (= cancelLockStatus_0.84 cancelLockStatus_0.83) (=> true (=> true (=> true (=> true (=> true ?v_142))))))) (?v_143 (= k.99 1))) (let ((?v_148 (not ?v_143)) (?v_60 (= k.99 0))) (let ((?v_146 (not ?v_60))) (let ((?v_147 (and (=> true (=> ?v_60 (=> true (=> ?v_144 (=> ?v_107 ?v_142))))) (=> true (=> ?v_146 (and (=> true (=> ?v_143 (=> true (=> ?v_141 ?v_145)))) (=> true (=> ?v_148 (=> true (=> ?v_144 ?v_145))))))))) (?v_149 (= Mem_1_T.P_IRP.89 Mem_1_T.P_IRP.87))) (let ((?v_150 (=> (= Mem_0_T.P_IRP.89 Mem_0_T.P_IRP.87) (=> true (=> true (=> true (=> true (=> true (=> true ?v_147))))))))) (let ((?v_159 (and (=> true (=> ?v_60 (=> (= Mem_0_T.P_IRP.88 (MapType0Store Mem_0_T.P_IRP.87 ?v_28 (MapType0Select Mem_0_T.P_IRP.87 ?v_32))) (=> true (=> ?v_149 (=> (= Mem_0_T.P_IRP.89 Mem_0_T.P_IRP.88) ?v_147)))))) (=> true (=> ?v_146 (and (=> true (=> ?v_143 (=> (= Mem_1_T.P_IRP.88 (MapType0Store Mem_1_T.P_IRP.87 ?v_28 (MapType0Select Mem_1_T.P_IRP.87 ?v_32))) (=> true (=> (= Mem_1_T.P_IRP.89 Mem_1_T.P_IRP.88) ?v_150))))) (=> true (=> ?v_148 (=> true (=> ?v_149 ?v_150)))))))))) (let ((?v_161 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.118 Mem_0_T.CancelRoutine__IRP.117) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.4.myVar_0.2) (=> (= Mem_0_T.P_IRP.87 Mem_0_T.P_IRP.85) (=> (= errorReached.84 errorReached.83) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.4.myVar_0.2) (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.3 inline.SerialGetNextIrpLocked.4.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.RemoveHeadList.4.myNondetVar_0.2 inline.RemoveHeadList.4.myNondetVar_0.1) (=> (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= Mem_1_T.P_IRP.87 Mem_1_T.P_IRP.84) (=> (= Mem_1_T.CancelRoutine__IRP.118 Mem_1_T.CancelRoutine__IRP.117) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> (= k.99 k.98) (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..0) (=> true ?v_159))))))))))))))))))))) (?v_163 (= Mem_1_T.CancelRoutine__IRP.117 Mem_1_T.CancelRoutine__IRP.115))) (let ((?v_164 (=> (= Mem_0_T.CancelRoutine__IRP.117 Mem_0_T.CancelRoutine__IRP.115) (=> true (=> true (=> true (=> true (=> true (=> true ?v_161)))))))) (?v_162 (= k.98 1)) (?v_158 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.4.myVar_0.2))) (?v_160 (= k.98 0))) (let ((?v_169 (and (=> true (=> ?v_160 (=> (= Mem_0_T.CancelRoutine__IRP.116 (MapType0Store Mem_0_T.CancelRoutine__IRP.115 ?v_158 ?v_35)) (=> true (=> ?v_163 (=> (= Mem_0_T.CancelRoutine__IRP.117 Mem_0_T.CancelRoutine__IRP.116) ?v_161)))))) (=> true (=> (not ?v_160) (and (=> true (=> ?v_162 (=> (= Mem_1_T.CancelRoutine__IRP.116 (MapType0Store Mem_1_T.CancelRoutine__IRP.115 ?v_158 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.117 Mem_1_T.CancelRoutine__IRP.116) ?v_164))))) (=> true (=> (not ?v_162) (=> true (=> ?v_163 ?v_164)))))))))) (let ((?v_171 (=> (= errorReached.83 errorReached.82) (=> true ?v_169))) (?v_170 (= inline.SerialGetNextIrpLocked.4.myVar_0.2 hirp)) (?v_167 (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..0 call71418formal.ret.0)) (?v_168 (= k.98 k.97)) (?v_165 (= k.97 0)) (?v_166 (= k.97 1))) (let ((?v_173 (and (=> true (=> ?v_170 (=> true (=> (<= k.96 k.97) (=> (< k.97 2) (and (=> true (=> (=> ?v_165 ?v_62) (=> (=> ?v_166 ?v_63) (=> true (=> ?v_167 (=> ?v_168 (=> (= errorReached.83 1) ?v_169))))))) (=> true (=> (=> ?v_165 ?v_132) (=> (=> ?v_166 ?v_133) (=> true (=> ?v_167 (=> ?v_168 ?v_171)))))))))))) (=> true (=> (not ?v_170) (=> true (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2.) (=> (= k.98 k.96) ?v_171)))))))) (let ((?v_174 (=> true (=> true ?v_173))) (?v_172 (= k.96 1))) (let ((?v_178 (not ?v_172)) (?v_156 (= k.96 0))) (let ((?v_175 (not ?v_156))) (let ((?v_177 (and (=> true (=> ?v_156 (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.115 ?v_158))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_173))))) (=> true (=> ?v_175 (and (=> true (=> ?v_172 (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.115 ?v_158))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_174))))) (=> true (=> ?v_178 (=> true (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_174)))))))))) (let ((?v_179 (=> true (=> true (=> true (=> true (=> true ?v_177)))))) (?v_176 (U_2_int (MapType0Select Mem_1_T.P_IRP.84 ?v_32))) (?v_157 (U_2_int (MapType0Select Mem_0_T.P_IRP.85 ?v_32)))) (let ((?v_181 (=> true (=> (=> ?v_156 (not (= ?v_157 hirp))) (=> (=> ?v_172 (not (= ?v_176 hirp))) (and (=> true (=> ?v_156 (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.0 ?v_157) (=> true (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.2 inline.SerialGetNextIrpLocked.4.myVar_0.0) ?v_177))))) (=> true (=> ?v_175 (and (=> true (=> ?v_172 (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.1 ?v_176) (=> true (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.2 inline.SerialGetNextIrpLocked.4.myVar_0.1) ?v_179))))) (=> true (=> ?v_178 (=> true (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.2 inline.SerialGetNextIrpLocked.4.myVar_0) ?v_179)))))))))))) (?v_182 (= Mem_1_T.P_IRP.84 Mem_1_T.P_IRP.82))) (let ((?v_183 (=> (= Mem_0_T.P_IRP.85 Mem_0_T.P_IRP.82) (=> true ?v_181))) (?v_180 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.4.myNondetVar_0.0 1 88))) (?v_155 (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0 0)) (?v_152 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.118 Mem_0_T.CancelRoutine__IRP.115) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= Mem_0_T.P_IRP.87 Mem_0_T.P_IRP.86) (=> (= errorReached.84 errorReached.82) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.3 inline.SerialGetNextIrpLocked.4.myVar_0) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2.) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1.) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.RemoveHeadList.4.myNondetVar_0.2 inline.RemoveHeadList.4.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= Mem_1_T.P_IRP.87 Mem_1_T.P_IRP.86) (=> (= Mem_1_T.CancelRoutine__IRP.118 Mem_1_T.CancelRoutine__IRP.115) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList) (=> (= k.99 k.95) (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2.) ?v_159)))))))))))))))))))) (?v_153 (= Mem_1_T.P_IRP.86 Mem_1_T.P_IRP.82))) (let ((?v_154 (=> (= Mem_0_T.P_IRP.86 Mem_0_T.P_IRP.82) (=> true ?v_152))) (?v_151 (= k.95 1))) (let ((?v_186 (not ?v_151)) (?v_59 (= k.95 0))) (let ((?v_184 (not ?v_59))) (let ((?v_185 (=> true (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.5.myNondetVar_0.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0))) (and (=> true (=> (not ?v_155) (and (=> true (=> ?v_59 (=> (= Mem_0_T.P_IRP.83 (MapType0Store Mem_0_T.P_IRP.82 ?v_32 ?v_35)) (=> true (=> ?v_153 (=> (= Mem_0_T.P_IRP.86 Mem_0_T.P_IRP.83) ?v_152)))))) (=> true (=> ?v_184 (and (=> true (=> ?v_151 (=> (= Mem_1_T.P_IRP.85 (MapType0Store Mem_1_T.P_IRP.82 ?v_32 ?v_35)) (=> true (=> (= Mem_1_T.P_IRP.86 Mem_1_T.P_IRP.85) ?v_154))))) (=> true (=> ?v_186 (=> true (=> ?v_153 ?v_154)))))))))) (=> true (=> ?v_155 (=> true (=> (<= k.95 k.96) (=> (< k.96 2) (and (=> true (=> ?v_156 (=> (= Mem_0_T.P_IRP.84 (MapType0Store Mem_0_T.P_IRP.82 ?v_32 ?v_180)) (=> true (=> ?v_182 (=> (= Mem_0_T.P_IRP.85 Mem_0_T.P_IRP.84) ?v_181)))))) (=> true (=> ?v_175 (and (=> true (=> ?v_172 (=> (= Mem_1_T.P_IRP.83 (MapType0Store Mem_1_T.P_IRP.82 ?v_32 ?v_180)) (=> true (=> (= Mem_1_T.P_IRP.84 Mem_1_T.P_IRP.83) ?v_183))))) (=> true (=> ?v_178 (=> true (=> ?v_182 ?v_183)))))))))))))))))) (let ((?v_187 (=> true (=> true (=> true (=> true ?v_185)))))) (let ((?v_188 (and (=> true (=> ?v_59 (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.0 (U_2_int (MapType0Select Mem_0_T.P_IRP.82 ?v_32))) (=> true (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_185))))) (=> true (=> ?v_184 (and (=> true (=> ?v_151 (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.1 (U_2_int (MapType0Select Mem_1_T.P_IRP.82 ?v_32))) (=> true (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_187))))) (=> true (=> ?v_186 (=> true (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_187))))))))) (?v_189 (= cancelLockStatus_1.83 cancelLockStatus_1.82))) (let ((?v_190 (=> (= cancelLockStatus_0.83 cancelLockStatus_0.82) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_188))))))))))) (?v_58 (int_2_U call70616formal.new.0))) (let ((?v_208 (=> true (and ?v_8 (=> ?v_8 (=> (> call70616formal.new.0 0) (=> (forall ((?x1557 Int)) (! (=> (and (<= call70616formal.new.0 ?x1557) (< ?x1557 (+ call70616formal.new.0 1))) (= (Base ?x1557) call70616formal.new.0)) :pattern ((Base ?x1557)) )) (=> (forall ((?x1558 boogieU)) (! (=> (= (type ?x1558) intType) (or (= (U_2_int ?x1558) call70616formal.new.0) (= (MapType0Select alloc.111 ?x1558) (MapType0Select alloc.112 ?x1558)))) :pattern ((MapType0Select alloc.112 ?x1558)) )) (=> (and (= (MapType0Select alloc.111 ?v_58) UNALLOCATED) (= (MapType0Select alloc.112 ?v_58) ALLOCATED)) (=> true (=> (=> ?v_59 (= cancelLockStatus_0.82 0)) (=> (=> ?v_151 (= cancelLockStatus_1.82 0)) (and (=> true (=> ?v_59 (=> true (=> ?v_189 (=> (= cancelLockStatus_0.83 1) ?v_188))))) (=> true (=> ?v_184 (and (=> true (=> ?v_151 (=> true (=> (= cancelLockStatus_1.83 1) ?v_190)))) (=> true (=> ?v_186 (=> true (=> ?v_189 ?v_190))))))))))))))))))) (?v_314 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_315 (= alloc.111 alloc.106)) (?v_316 (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution)) (?v_317 (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_318 (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3.)) (?v_319 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_320 (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite)) (?v_321 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer)) (?v_322 (= Mem_1_T.P_IRP.82 Mem_1_T.P_IRP.69)) (?v_323 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1)) (?v_324 (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer)) (?v_325 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_326 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_327 (= inline.KeSynchronizeExecution.11.myNondetVar_0.8 inline.KeSynchronizeExecution.11.myNondetVar_0)) (?v_328 (= k.95 k.88)) (?v_329 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer)) (?v_330 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1 1)) (?v_331 (= Mem_1_T.CancelRoutine__IRP.115 Mem_1_T.CancelRoutine__IRP.101)) (?v_332 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_333 (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_334 (= Mem_0_T.CancelRoutine__IRP.115 Mem_0_T.CancelRoutine__IRP.101)) (?v_335 (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.3 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite)) (?v_336 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_337 (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_338 (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_339 (= errorReached.82 errorReached.72)) (?v_340 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_341 (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1.)) (?v_342 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_343 (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite)) (?v_344 (= inline.SerialGetNextWrite.2.myVar_0.9 inline.SerialGetNextWrite.2.myVar_0.5)) (?v_345 (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.3 inline.sdv_InterlockedIncrement.6.myNondetVar_0)) (?v_346 (= inline.SerialGetNextWrite.2.myNondetVar_2.3 inline.SerialGetNextWrite.2.myNondetVar_2)) (?v_347 (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_348 (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_349 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1)) (?v_350 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_351 (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_352 (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.2.myVar_0.5)) (?v_353 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer)) (?v_354 (= Mem_0_T.P_IRP.82 Mem_0_T.P_IRP.69)) (?v_355 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1)) (?v_356 (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.4 inline.sdv_InterlockedDecrement.21.myNondetVar_0)) (?v_357 (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_358 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_359 (= inline.SerialSetTimer.5.myNondetVar_0.6 inline.SerialSetTimer.5.myNondetVar_0))) (let ((?v_360 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.2.myVar_0.5) (=> true (=> true ?v_208)))) (?v_313 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 14))) (let ((?v_210 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= alloc.111 alloc.108) (=> (= cancelLockStatus_0.82 cancelLockStatus_0.78) (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..0) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.0) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.0) (=> (= Mem_1_T.P_IRP.82 Mem_1_T.P_IRP.78) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.0) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.8 inline.KeSynchronizeExecution.11.myNondetVar_0.7) (=> (= k.95 k.91) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.0) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.1 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.0) (=> (= Mem_1_T.CancelRoutine__IRP.115 Mem_1_T.CancelRoutine__IRP.107) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> ?v_333 (=> (= Mem_0_T.CancelRoutine__IRP.115 Mem_0_T.CancelRoutine__IRP.107) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.5 inline.SerialGetNextWrite.2.tempBoogie0.3) (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.3 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> ?v_337 (=> ?v_338 (=> (= errorReached.82 errorReached.76) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.0) (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.4 inline.SerialGetNextWrite.2.myNondetVar_1.2) (=> ?v_344 (=> (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.3 inline.sdv_InterlockedIncrement.6.myNondetVar_0.2) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.3 inline.SerialGetNextWrite.2.myNondetVar_2.2) (=> (= cancelLockStatus_1.82 cancelLockStatus_1.78) (=> ?v_347 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.16 inline.SerialGetNextWrite.2.myNondetVar_0.13) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_351 (=> ?v_352 (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.0) (=> (= Mem_0_T.P_IRP.82 Mem_0_T.P_IRP.78) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.0) (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.4 inline.sdv_InterlockedDecrement.21.myNondetVar_0.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialSetTimer.5.myNondetVar_0.6 inline.SerialSetTimer.5.myNondetVar_0.5) ?v_360))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_212 (= cancelLockStatus_1.78 cancelLockStatus_1.77))) (let ((?v_213 (=> (= cancelLockStatus_0.78 cancelLockStatus_0.77) (=> true (=> true (=> true (=> true ?v_210)))))) (?v_211 (= k.91 1)) (?v_209 (= k.91 0))) (let ((?v_255 (and (=> true (=> ?v_209 (=> true (=> ?v_212 (=> (= cancelLockStatus_0.78 0) ?v_210))))) (=> true (=> (not ?v_209) (and (=> true (=> ?v_211 (=> true (=> (= cancelLockStatus_1.78 0) ?v_213)))) (=> true (=> (not ?v_211) (=> true (=> ?v_212 ?v_213)))))))))) (let ((?v_262 (=> true (=> true (=> true (=> true (=> true ?v_255)))))) (?v_215 (= alloc.108 alloc.106)) (?v_216 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_266 (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.0)) (?v_267 (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2)) (?v_219 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1)) (?v_220 (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite)) (?v_221 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer)) (?v_268 (= Mem_1_T.P_IRP.78 Mem_1_T.P_IRP.77)) (?v_269 (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.0 2)) (?v_224 (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1)) (?v_270 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGiveXoffToIsr)) (?v_226 (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_271 (= inline.KeSynchronizeExecution.11.myNondetVar_0.7 inline.KeSynchronizeExecution.11.myNondetVar_0.6)) (?v_228 (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3.)) (?v_229 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer)) (?v_272 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.0 0)) (?v_273 (= Mem_1_T.CancelRoutine__IRP.107 Mem_1_T.CancelRoutine__IRP.106)) (?v_232 (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_274 (= Mem_0_T.CancelRoutine__IRP.107 Mem_0_T.CancelRoutine__IRP.106)) (?v_275 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialCancelCurrentXoff)) (?v_276 (= k.91 k.90)) (?v_277 (= errorReached.76 errorReached.75)) (?v_278 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2)) (?v_279 (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..0)) (?v_280 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2)) (?v_241 (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer)) (?v_243 (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.2 inline.sdv_InterlockedIncrement.6.myNondetVar_0)) (?v_245 (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1)) (?v_281 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2)) (?v_282 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGiveXoffToIsr)) (?v_248 (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer)) (?v_283 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialCancelCurrentXoff)) (?v_284 (= Mem_0_T.P_IRP.78 Mem_0_T.P_IRP.77)) (?v_251 (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.3 inline.sdv_InterlockedDecrement.21.myNondetVar_0)) (?v_285 (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_286 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2)) (?v_254 (= inline.SerialSetTimer.5.myNondetVar_0.5 inline.SerialSetTimer.5.myNondetVar_0))) (let ((?v_287 (=> ?v_254 ?v_262)) (?v_263 (=> true (=> (forall ((?r Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.2.myNondetVar_1.1 ?r) 0)) (not (= (BIT_BAND 4 ?r) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.2.myNondetVar_2.1 4) ?r) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.2.myNondetVar_0.10 4) ?r)) )) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.2 (BIT_BOR inline.SerialGetNextWrite.2.myNondetVar_0.11 4)) (=> true (=> (= alloc.108 alloc.107) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2) (=> ?v_266 (=> ?v_267 (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.0 call70200formal.new.0) (=> (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.0 4) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.0) (=> ?v_268 (=> ?v_269 (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.0) (=> ?v_270 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2) (=> ?v_271 (=> (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..0 call72482formal.ret.0) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.0) (=> ?v_272 (=> ?v_273 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_274 (=> (= inline.SerialGetNextWrite.2.tempBoogie0.3 inline.SerialGetNextWrite.2.tempBoogie0.2) (=> ?v_275 (=> ?v_276 (=> ?v_277 (=> ?v_278 (=> ?v_279 (=> ?v_280 (=> (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.0 call72482formal.ret.0) (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.2 inline.SerialGetNextWrite.2.myNondetVar_1.1) (=> (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.2 inline.sdv_InterlockedIncrement.6.myNondetVar_0.1) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.2 inline.SerialGetNextWrite.2.myNondetVar_2.1) (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.12 inline.SerialGetNextWrite.2.myNondetVar_0.11) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.0) (=> ?v_281 (=> ?v_282 (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.0 call72432formal.new.0) (=> ?v_283 (=> ?v_284 (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.3 inline.sdv_InterlockedDecrement.21.myNondetVar_0.2) (=> ?v_285 (=> ?v_286 (=> (= inline.SerialSetTimer.5.myNondetVar_0.5 inline.SerialSetTimer.5.myNondetVar_0.4) ?v_262)))))))))))))))))))))))))))))))))))))))))))))) (?v_259 (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2 hirp))) (let ((?v_296 (not ?v_259))) (let ((?v_265 (and (=> true (=> ?v_259 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_263)))) (=> true (=> ?v_296 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_263)))))))))) (?v_264 (= call72482formal.ret.0 0)) (?v_53 (>= 8 0)) (?v_261 (int_2_U call72432formal.new.0))) (let ((?v_289 (and (=> true (=> (not (= inline.SerialGetNextWrite.2.myNondetVar_0.8 0)) (=> true (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.0 (XoffCountTimer__SERIAL_DEVICE_EXTENSION x.SerialCompleteWrite.arg.2.7..2)) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.0 (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION x.SerialCompleteWrite.arg.2.7..2)) (=> true (and ?v_53 (=> ?v_53 (=> (> call72432formal.new.0 0) (=> (forall ((?x1559 Int)) (! (=> (and (<= call72432formal.new.0 ?x1559) (< ?x1559 (+ call72432formal.new.0 8))) (= (Base ?x1559) call72432formal.new.0)) :pattern ((Base ?x1559)) )) (=> (forall ((?x1560 boogieU)) (! (=> (= (type ?x1560) intType) (or (= (U_2_int ?x1560) call72432formal.new.0) (= (MapType0Select alloc.106 ?x1560) (MapType0Select alloc.107 ?x1560)))) :pattern ((MapType0Select alloc.107 ?x1560)) )) (=> (and (= (MapType0Select alloc.106 ?v_261) UNALLOCATED) (= (MapType0Select alloc.107 ?v_261) ALLOCATED)) (=> (= (Base call70200formal.new.0) call70200formal.new.0) (and (=> true (=> (not ?v_264) (=> true (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.2 inline.sdv_InterlockedDecrement.21.myNondetVar_0.1) ?v_265)))) (=> true (=> ?v_264 (=> true (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.2 inline.sdv_InterlockedDecrement.21.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_265))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.7 0) (=> true (=> ?v_215 (=> ?v_216 (=> ?v_266 (=> ?v_267 (=> ?v_219 (=> ?v_220 (=> ?v_221 (=> ?v_268 (=> ?v_269 (=> ?v_224 (=> ?v_270 (=> ?v_226 (=> ?v_271 (=> ?v_228 (=> ?v_229 (=> ?v_272 (=> ?v_273 (=> ?v_232 (=> ?v_274 (=> (= inline.SerialGetNextWrite.2.tempBoogie0.3 inline.SerialGetNextWrite.2.tempBoogie0.1) (=> ?v_275 (=> ?v_276 (=> ?v_277 (=> ?v_278 (=> ?v_279 (=> ?v_280 (=> ?v_241 (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.2 inline.SerialGetNextWrite.2.myNondetVar_1.0) (=> ?v_243 (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.2 inline.SerialGetNextWrite.2.myNondetVar_2.0) (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.12 inline.SerialGetNextWrite.2.myNondetVar_0.7) (=> ?v_245 (=> ?v_281 (=> ?v_282 (=> ?v_248 (=> ?v_283 (=> ?v_284 (=> ?v_251 (=> ?v_285 (=> ?v_286 ?v_287)))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_292 (and (=> true (=> ?v_1128 (=> true (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.11..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.11..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.6 inline.KeSynchronizeExecution.11.myNondetVar_0.5) ?v_289)))))) (=> true (=> ?v_288 (=> true (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.6 inline.KeSynchronizeExecution.11.myNondetVar_0) (=> true (=> true (=> true (=> true ?v_289)))))))))))) (?v_294 (= Mem_1_T.P_IRP.77 Mem_1_T.P_IRP.69))) (let ((?v_295 (=> (= Mem_0_T.P_IRP.77 Mem_0_T.P_IRP.69) (=> true (=> true (=> true (=> true (=> true (=> true ?v_292)))))))) (?v_293 (= k.90 1))) (let ((?v_301 (not ?v_293)) (?v_290 (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION x.SerialCompleteWrite.arg.2.7..2))) (?v_291 (int_2_U inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2)) (?v_260 (= k.90 0))) (let ((?v_298 (not ?v_260))) (let ((?v_297 (=> true (=> (forall ((?r0 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.2.myNondetVar_1.0 ?r0) 0)) (not (= (BIT_BAND 2 ?r0) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.2.myNondetVar_2.0 2) ?r0) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.2.myNondetVar_0.4 2) ?r0)) )) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.1 (BIT_BOR inline.SerialGetNextWrite.2.myNondetVar_0.5 2)) (and (=> true (=> ?v_260 (=> (= Mem_0_T.P_IRP.76 (MapType0Store Mem_0_T.P_IRP.69 ?v_290 ?v_291)) (=> true (=> ?v_294 (=> (= Mem_0_T.P_IRP.77 Mem_0_T.P_IRP.76) ?v_292)))))) (=> true (=> ?v_298 (and (=> true (=> ?v_293 (=> (= Mem_1_T.P_IRP.76 (MapType0Store Mem_1_T.P_IRP.69 ?v_290 ?v_291)) (=> true (=> (= Mem_1_T.P_IRP.77 Mem_1_T.P_IRP.76) ?v_295))))) (=> true (=> ?v_301 (=> true (=> ?v_294 ?v_295))))))))))))) (let ((?v_300 (and (=> true (=> ?v_259 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_297)))) (=> true (=> ?v_296 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_297)))))))))) (?v_302 (= Mem_1_T.CancelRoutine__IRP.106 Mem_1_T.CancelRoutine__IRP.101))) (let ((?v_303 (=> (= Mem_0_T.CancelRoutine__IRP.106 Mem_0_T.CancelRoutine__IRP.101) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_300))))))))))))))) (?v_258 (int_2_U (CancelRoutine__IRP inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2)))) (let ((?v_304 (=> true (=> (<= k.88 k.90) (=> (< k.90 2) (and (=> true (=> ?v_260 (=> (= Mem_0_T.CancelRoutine__IRP.105 (MapType0Store Mem_0_T.CancelRoutine__IRP.101 ?v_258 ?v_299)) (=> true (=> ?v_302 (=> (= Mem_0_T.CancelRoutine__IRP.106 Mem_0_T.CancelRoutine__IRP.105) ?v_300)))))) (=> true (=> ?v_298 (and (=> true (=> ?v_293 (=> (= Mem_1_T.CancelRoutine__IRP.105 (MapType0Store Mem_1_T.CancelRoutine__IRP.101 ?v_258 ?v_299)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.106 Mem_1_T.CancelRoutine__IRP.105) ?v_303))))) (=> true (=> ?v_301 (=> true (=> ?v_302 ?v_303))))))))))))) (let ((?v_305 (=> true (=> (= errorReached.75 errorReached.72) ?v_304))) (?v_56 (= k.88 0)) (?v_191 (= k.88 1))) (let ((?v_306 (and (=> true (=> ?v_259 (and (=> true (=> (=> ?v_56 ?v_62) (=> (=> ?v_191 ?v_63) (=> true (=> (= errorReached.75 1) ?v_304))))) (=> true (=> (=> ?v_56 ?v_132) (=> (=> ?v_191 ?v_133) ?v_305)))))) (=> true (=> ?v_296 ?v_305))))) (let ((?v_307 (=> true (=> true ?v_306))) (?v_200 (not ?v_191)) (?v_197 (not ?v_56)) (?v_214 (int_2_U (Cancel__IRP inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2)))) (let ((?v_256 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP.2 ?v_214)) 0)) (?v_257 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP.2 ?v_214)) 0)) (?v_217 (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution)) (?v_218 (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_222 (= Mem_1_T.P_IRP.78 Mem_1_T.P_IRP.69)) (?v_223 (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite)) (?v_225 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_227 (= inline.KeSynchronizeExecution.11.myNondetVar_0.7 inline.KeSynchronizeExecution.11.myNondetVar_0)) (?v_230 (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.0 1)) (?v_231 (= Mem_1_T.CancelRoutine__IRP.107 Mem_1_T.CancelRoutine__IRP.101)) (?v_233 (= Mem_0_T.CancelRoutine__IRP.107 Mem_0_T.CancelRoutine__IRP.101)) (?v_234 (= inline.SerialGetNextWrite.2.tempBoogie0.3 inline.SerialGetNextWrite.2.tempBoogie0.0)) (?v_235 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_236 (= k.91 k.88)) (?v_237 (= errorReached.76 errorReached.72)) (?v_238 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_239 (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1.)) (?v_240 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_242 (= inline.SerialGetNextWrite.2.myNondetVar_1.2 inline.SerialGetNextWrite.2.myNondetVar_1)) (?v_244 (= inline.SerialGetNextWrite.2.myNondetVar_2.2 inline.SerialGetNextWrite.2.myNondetVar_2)) (?v_246 (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_247 (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_249 (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_250 (= Mem_0_T.P_IRP.78 Mem_0_T.P_IRP.69)) (?v_252 (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_253 (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine))) (let ((?v_308 (=> true (=> (= inline.SerialGetNextWrite.2.tempBoogie0.0 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.2.myNondetVar_0.1 1 1)) (and (=> true (=> (not (= inline.SerialGetNextWrite.2.myNondetVar_0.3 0)) (=> true (=> ?v_215 (=> ?v_216 (=> ?v_217 (=> ?v_218 (=> ?v_219 (=> ?v_220 (=> ?v_221 (=> ?v_222 (=> ?v_223 (=> ?v_224 (=> ?v_225 (=> ?v_226 (=> ?v_227 (=> ?v_228 (=> ?v_229 (=> ?v_230 (=> ?v_231 (=> ?v_232 (=> ?v_233 (=> ?v_234 (=> ?v_235 (=> ?v_236 (=> ?v_237 (=> ?v_238 (=> ?v_239 (=> ?v_240 (=> ?v_241 (=> ?v_242 (=> ?v_243 (=> ?v_244 (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.12 inline.SerialGetNextWrite.2.myNondetVar_0.3) (=> ?v_245 (=> ?v_246 (=> ?v_247 (=> ?v_248 (=> ?v_249 (=> ?v_250 (=> ?v_251 (=> ?v_252 (=> ?v_253 (=> ?v_254 ?v_255)))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.2 0) (and (=> true (=> (=> ?v_56 (not ?v_256)) (=> (=> ?v_191 (not ?v_257)) (=> true (=> ?v_215 (=> ?v_216 (=> ?v_217 (=> ?v_218 (=> ?v_219 (=> ?v_220 (=> ?v_221 (=> ?v_222 (=> ?v_223 (=> ?v_224 (=> ?v_225 (=> ?v_226 (=> ?v_227 (=> ?v_228 (=> ?v_229 (=> ?v_230 (=> ?v_231 (=> ?v_232 (=> ?v_233 (=> ?v_234 (=> ?v_235 (=> ?v_236 (=> ?v_237 (=> ?v_238 (=> ?v_239 (=> ?v_240 (=> ?v_241 (=> ?v_242 (=> ?v_243 (=> ?v_244 (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.12 inline.SerialGetNextWrite.2.myNondetVar_0.2) (=> ?v_245 (=> ?v_246 (=> ?v_247 (=> ?v_248 (=> ?v_249 (=> ?v_250 (=> ?v_251 (=> ?v_252 (=> ?v_253 ?v_287)))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (=> ?v_56 ?v_256) (=> (=> ?v_191 ?v_257) (and (=> true (=> ?v_56 (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.101 ?v_258))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_306))))) (=> true (=> ?v_197 (and (=> true (=> ?v_191 (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.101 ?v_258))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_307))))) (=> true (=> ?v_200 (=> true (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_307))))))))))))))))))) (let ((?v_309 (=> true (=> true ?v_308)))) (let ((?v_310 (and (=> true (=> ?v_56 (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.0 ?v_31) (=> true (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.0) ?v_308))))) (=> true (=> ?v_197 (and (=> true (=> ?v_191 (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.1 ?v_198) (=> true (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.1) ?v_309))))) (=> true (=> ?v_200 (=> true (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite) ?v_309))))))))) (?v_311 (= cancelLockStatus_1.77 cancelLockStatus_1.75))) (let ((?v_312 (=> (= cancelLockStatus_0.77 cancelLockStatus_0.75) (=> true (=> true (=> true (=> true (=> true ?v_310))))))) (?v_206 (=> ?v_56 ?v_57)) (?v_207 (=> ?v_191 ?v_371))) (let ((?v_362 (and (=> true (=> ?v_313 (=> true (=> ?v_206 (=> ?v_207 (and (=> true (=> ?v_56 (=> true (=> ?v_311 (=> (= cancelLockStatus_0.77 1) ?v_310))))) (=> true (=> ?v_197 (and (=> true (=> ?v_191 (=> true (=> (= cancelLockStatus_1.77 1) ?v_312)))) (=> true (=> ?v_200 (=> true (=> ?v_311 ?v_312))))))))))))) (=> true (=> (not ?v_313) (=> true (=> ?v_314 (=> ?v_315 (=> (= cancelLockStatus_0.82 cancelLockStatus_0.75) (=> ?v_316 (=> ?v_317 (=> ?v_318 (=> ?v_319 (=> ?v_320 (=> ?v_321 (=> ?v_322 (=> ?v_323 (=> ?v_324 (=> ?v_325 (=> ?v_326 (=> ?v_327 (=> ?v_328 (=> ?v_329 (=> ?v_330 (=> ?v_331 (=> ?v_332 (=> ?v_333 (=> ?v_334 (=> (= inline.SerialGetNextWrite.2.tempBoogie0.5 inline.SerialGetNextWrite.2.tempBoogie0) (=> ?v_335 (=> ?v_336 (=> ?v_337 (=> ?v_338 (=> ?v_339 (=> ?v_340 (=> ?v_341 (=> ?v_342 (=> ?v_343 (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.4 inline.SerialGetNextWrite.2.myNondetVar_1) (=> ?v_344 (=> ?v_345 (=> ?v_346 (=> (= cancelLockStatus_1.82 cancelLockStatus_1.75) (=> ?v_347 (=> ?v_348 (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.16 inline.SerialGetNextWrite.2.myNondetVar_0) (=> ?v_349 (=> ?v_350 (=> ?v_351 (=> ?v_352 (=> ?v_353 (=> ?v_354 (=> ?v_355 (=> ?v_356 (=> ?v_357 (=> ?v_358 (=> ?v_359 ?v_360)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_361 (= inline.SerialGetNextWrite.2.myVar_0.5 hirp))) (let ((?v_363 (and (=> true (=> ?v_361 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_362)))) (=> true (=> (not ?v_361) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_362))))))))))) (let ((?v_364 (=> true (=> true (=> true (=> true ?v_363))))) (?v_205 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 4)) (?v_192 (=> true (=> ?v_314 (=> ?v_315 (=> (= cancelLockStatus_0.82 cancelLockStatus_0.81) (=> ?v_316 (=> ?v_317 (=> ?v_318 (=> ?v_319 (=> ?v_320 (=> ?v_321 (=> ?v_322 (=> ?v_323 (=> ?v_324 (=> ?v_325 (=> ?v_326 (=> ?v_327 (=> ?v_328 (=> ?v_329 (=> ?v_330 (=> ?v_331 (=> ?v_332 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.2.myVar_0.8) (=> ?v_334 (=> (= inline.SerialGetNextWrite.2.tempBoogie0.5 inline.SerialGetNextWrite.2.tempBoogie0.4) (=> ?v_335 (=> ?v_336 (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> ?v_339 (=> ?v_340 (=> ?v_341 (=> ?v_342 (=> ?v_343 (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.4 inline.SerialGetNextWrite.2.myNondetVar_1.3) (=> (= inline.SerialGetNextWrite.2.myVar_0.9 inline.SerialGetNextWrite.2.myVar_0.8) (=> ?v_345 (=> ?v_346 (=> (= cancelLockStatus_1.82 cancelLockStatus_1.81) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_348 (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.16 inline.SerialGetNextWrite.2.myNondetVar_0.15) (=> ?v_349 (=> ?v_350 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.2.myVar_0.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> ?v_353 (=> ?v_354 (=> ?v_355 (=> ?v_356 (=> ?v_357 (=> ?v_358 (=> ?v_359 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) ?v_208)))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_193 (= cancelLockStatus_1.81 cancelLockStatus_1.80))) (let ((?v_194 (=> (= cancelLockStatus_0.81 cancelLockStatus_0.80) (=> true (=> true (=> true (=> true ?v_192))))))) (let ((?v_196 (=> true (=> (= inline.SerialGetNextWrite.2.tempBoogie0.4 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.2.myNondetVar_0.14 inline.SerialGetNextWrite.2.myNondetVar_1.3 1)) (and (=> true (=> ?v_56 (=> true (=> ?v_193 (=> (= cancelLockStatus_0.81 0) ?v_192))))) (=> true (=> ?v_197 (and (=> true (=> ?v_191 (=> true (=> (= cancelLockStatus_1.81 0) ?v_194)))) (=> true (=> ?v_200 (=> true (=> ?v_193 ?v_194))))))))))) (?v_195 (= inline.SerialGetNextWrite.2.myVar_0.8 hirp))) (let ((?v_199 (and (=> true (=> ?v_195 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_196)))) (=> true (=> (not ?v_195) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true ?v_196)))))))))) (let ((?v_201 (=> true (=> true (=> true (=> true ?v_199)))))) (let ((?v_202 (and (=> true (=> ?v_56 (=> (= inline.SerialGetNextWrite.2.myVar_0.6 ?v_31) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.8 inline.SerialGetNextWrite.2.myVar_0.6) ?v_199))))) (=> true (=> ?v_197 (and (=> true (=> ?v_191 (=> (= inline.SerialGetNextWrite.2.myVar_0.7 ?v_198) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.8 inline.SerialGetNextWrite.2.myVar_0.7) ?v_201))))) (=> true (=> ?v_200 (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.8 inline.SerialGetNextWrite.2.myVar_0.2) ?v_201))))))))) (?v_203 (= cancelLockStatus_1.80 cancelLockStatus_1.75))) (let ((?v_204 (=> (= cancelLockStatus_0.80 cancelLockStatus_0.75) (=> true (=> true (=> true (=> true (=> true ?v_202)))))))) (let ((?v_366 (and (=> true (=> ?v_205 (=> true (=> ?v_206 (=> ?v_207 (and (=> true (=> ?v_56 (=> true (=> ?v_203 (=> (= cancelLockStatus_0.80 1) ?v_202))))) (=> true (=> ?v_197 (and (=> true (=> ?v_191 (=> true (=> (= cancelLockStatus_1.80 1) ?v_204)))) (=> true (=> ?v_200 (=> true (=> ?v_203 ?v_204))))))))))))) (=> true (=> (not ?v_205) (and (=> true (=> ?v_56 (=> (= inline.SerialGetNextWrite.2.myVar_0.3 ?v_31) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.5 inline.SerialGetNextWrite.2.myVar_0.3) ?v_363))))) (=> true (=> ?v_197 (and (=> true (=> ?v_191 (=> (= inline.SerialGetNextWrite.2.myVar_0.4 ?v_198) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.5 inline.SerialGetNextWrite.2.myVar_0.4) ?v_364))))) (=> true (=> ?v_200 (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.5 inline.SerialGetNextWrite.2.myVar_0.2) ?v_364)))))))))))) (?v_365 (= inline.SerialGetNextWrite.2.myVar_0.2 hirp))) (let ((?v_367 (and (=> true (=> ?v_365 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_366)))) (=> true (=> (not ?v_365) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_366))))))))))) (let ((?v_368 (=> true (=> true (=> true (=> true ?v_367))))) (?v_55 (int_2_U call70234formal.new.0)) (?v_50 (int_2_U call70191formal.new.0)) (?v_51 (int_2_U call70194formal.new.0)) (?v_52 (int_2_U call70197formal.new.0)) (?v_54 (int_2_U call70200formal.new.0))) (let ((?v_597 (and (=> true (=> ?v_369 (=> true (and ?v_8 (=> ?v_8 (=> (> call70191formal.new.0 0) (=> (forall ((?x1563 Int)) (! (=> (and (<= call70191formal.new.0 ?x1563) (< ?x1563 (+ call70191formal.new.0 1))) (= (Base ?x1563) call70191formal.new.0)) :pattern ((Base ?x1563)) )) (=> (forall ((?x1564 boogieU)) (! (=> (= (type ?x1564) intType) (or (= (U_2_int ?x1564) call70191formal.new.0) (= (MapType0Select alloc.99 ?x1564) (MapType0Select alloc.101 ?x1564)))) :pattern ((MapType0Select alloc.101 ?x1564)) )) (=> (and (= (MapType0Select alloc.99 ?v_50) UNALLOCATED) (= (MapType0Select alloc.101 ?v_50) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call70194formal.new.0 0) (=> (forall ((?x1565 Int)) (! (=> (and (<= call70194formal.new.0 ?x1565) (< ?x1565 (+ call70194formal.new.0 1))) (= (Base ?x1565) call70194formal.new.0)) :pattern ((Base ?x1565)) )) (=> (forall ((?x1566 boogieU)) (! (=> (= (type ?x1566) intType) (or (= (U_2_int ?x1566) call70194formal.new.0) (= (MapType0Select alloc.101 ?x1566) (MapType0Select alloc.102 ?x1566)))) :pattern ((MapType0Select alloc.102 ?x1566)) )) (=> (and (= (MapType0Select alloc.101 ?v_51) UNALLOCATED) (= (MapType0Select alloc.102 ?v_51) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call70197formal.new.0 0) (=> (forall ((?x1567 Int)) (! (=> (and (<= call70197formal.new.0 ?x1567) (< ?x1567 (+ call70197formal.new.0 1))) (= (Base ?x1567) call70197formal.new.0)) :pattern ((Base ?x1567)) )) (=> (forall ((?x1568 boogieU)) (! (=> (= (type ?x1568) intType) (or (= (U_2_int ?x1568) call70197formal.new.0) (= (MapType0Select alloc.102 ?x1568) (MapType0Select alloc.103 ?x1568)))) :pattern ((MapType0Select alloc.103 ?x1568)) )) (=> (and (= (MapType0Select alloc.102 ?v_52) UNALLOCATED) (= (MapType0Select alloc.103 ?v_52) ALLOCATED)) (and ?v_53 (=> ?v_53 (=> (> call70200formal.new.0 0) (=> (forall ((?x1569 Int)) (! (=> (and (<= call70200formal.new.0 ?x1569) (< ?x1569 (+ call70200formal.new.0 8))) (= (Base ?x1569) call70200formal.new.0)) :pattern ((Base ?x1569)) )) (=> (forall ((?x1570 boogieU)) (! (=> (= (type ?x1570) intType) (or (= (U_2_int ?x1570) call70200formal.new.0) (= (MapType0Select alloc.103 ?x1570) (MapType0Select alloc.104 ?x1570)))) :pattern ((MapType0Select alloc.104 ?x1570)) )) (=> (and (= (MapType0Select alloc.103 ?v_54) UNALLOCATED) (= (MapType0Select alloc.104 ?v_54) ALLOCATED)) (=> true (and ?v_8 (=> ?v_8 (=> (> call70234formal.new.0 0) (=> (forall ((?x1561 Int)) (! (=> (and (<= call70234formal.new.0 ?x1561) (< ?x1561 (+ call70234formal.new.0 1))) (= (Base ?x1561) call70234formal.new.0)) :pattern ((Base ?x1561)) )) (=> (forall ((?x1562 boogieU)) (! (=> (= (type ?x1562) intType) (or (= (U_2_int ?x1562) call70234formal.new.0) (= (MapType0Select alloc.104 ?x1562) (MapType0Select alloc.106 ?x1562)))) :pattern ((MapType0Select alloc.106 ?x1562)) )) (=> (and (= (MapType0Select alloc.104 ?v_55) UNALLOCATED) (= (MapType0Select alloc.106 ?v_55) ALLOCATED)) (and (=> true (=> ?v_56 (=> (= inline.SerialGetNextWrite.2.myVar_0.0 ?v_31) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.2 inline.SerialGetNextWrite.2.myVar_0.0) ?v_367))))) (=> true (=> ?v_197 (and (=> true (=> ?v_191 (=> (= inline.SerialGetNextWrite.2.myVar_0.1 ?v_198) (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.2 inline.SerialGetNextWrite.2.myVar_0.1) ?v_368))))) (=> true (=> ?v_200 (=> true (=> (= inline.SerialGetNextWrite.2.myVar_0.2 inline.SerialGetNextWrite.2.myVar_0) ?v_368)))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1233 (and (=> true (=> ?v_437 (=> true (and ?v_8 (=> ?v_8 (=> (> call72692formal.new.0 0) (=> (forall ((?x1551 Int)) (! (=> (and (<= call72692formal.new.0 ?x1551) (< ?x1551 (+ call72692formal.new.0 1))) (= (Base ?x1551) call72692formal.new.0)) :pattern ((Base ?x1551)) )) (=> (forall ((?x1552 boogieU)) (! (=> (= (type ?x1552) intType) (or (= (U_2_int ?x1552) call72692formal.new.0) (= (MapType0Select alloc.99 ?x1552) (MapType0Select alloc.105 ?x1552)))) :pattern ((MapType0Select alloc.105 ?x1552)) )) (=> (and (= (MapType0Select alloc.99 ?v_370) UNALLOCATED) (= (MapType0Select alloc.105 ?v_370) ALLOCATED)) (=> true (=> (<= k.88 k.89) (=> (< k.89 2) (=> true (=> (=> ?v_372 ?v_57) (=> (=> ?v_401 ?v_371) (and (=> true (=> ?v_372 (=> true (=> ?v_435 (=> (= cancelLockStatus_0.76 1) ?v_434))))) (=> true (=> ?v_421 (and (=> true (=> ?v_401 (=> true (=> (= cancelLockStatus_1.76 1) ?v_436)))) (=> true (=> ?v_423 (=> true (=> ?v_435 ?v_436))))))))))))))))))))))) (=> true (=> ?v_1301 (=> true (and ?v_29 (=> ?v_29 (=> true (=> ?v_438 (=> ?v_439 (=> ?v_440 (=> ?v_441 (=> ?v_442 (=> ?v_443 (=> ?v_444 (=> ?v_445 (=> ?v_446 (=> ?v_447 (=> ?v_448 (=> ?v_449 (=> ?v_450 (=> ?v_451 (=> ?v_452 (=> ?v_453 (=> ?v_454 (=> ?v_455 (=> (= errorReached.88 errorReached.72) (=> ?v_456 (=> ?v_457 (=> ?v_458 (=> ?v_459 (=> ?v_460 (=> ?v_461 (=> ?v_462 (=> ?v_463 (=> ?v_464 (=> ?v_465 (=> ?v_466 (=> (= alloc.116 alloc.99) (=> ?v_467 (=> ?v_468 (=> ?v_469 (=> ?v_470 (=> ?v_471 (=> ?v_472 (=> ?v_473 (=> ?v_474 (=> ?v_475 (=> ?v_476 (=> ?v_477 (=> ?v_478 (=> ?v_479 (=> ?v_480 (=> ?v_481 (=> ?v_482 (=> ?v_483 (=> ?v_484 (=> ?v_485 (=> ?v_486 (=> ?v_487 (=> ?v_488 (=> ?v_489 (=> ?v_490 (=> ?v_491 (=> ?v_492 (=> ?v_493 (=> ?v_494 (=> ?v_495 (=> (= cancelLockStatus_1.88 cancelLockStatus_1.75) (=> ?v_496 (=> (= Mem_1_T.P_IRP.90 Mem_1_T.P_IRP.69) (=> ?v_497 (=> ?v_498 (=> ?v_499 (=> ?v_500 (=> ?v_501 (=> ?v_502 (=> (= Mem_1_T.CancelRoutine__IRP.123 Mem_1_T.CancelRoutine__IRP.101) (=> ?v_503 (=> ?v_504 (=> ?v_505 (=> (= k.103 k.88) (=> ?v_506 (=> ?v_507 (=> ?v_508 (=> ?v_509 (=> ?v_510 (=> ?v_511 (=> ?v_512 (=> ?v_513 (=> ?v_514 (=> ?v_515 (=> ?v_516 (=> ?v_517 (=> ?v_518 (=> ?v_519 (=> ?v_520 (=> ?v_521 (=> ?v_522 (=> ?v_523 (=> ?v_524 (=> (= Mem_0_T.P_IRP.90 Mem_0_T.P_IRP.69) (=> ?v_525 (=> ?v_526 (=> ?v_527 (=> ?v_528 (=> ?v_529 (=> (= irpCompleted_1.50 irpCompleted_1.41) (=> ?v_530 (=> ?v_531 (=> ?v_532 (=> ?v_533 (=> ?v_534 (=> ?v_535 (=> ?v_536 (=> ?v_537 (=> ?v_538 (=> ?v_539 (=> ?v_540 (=> ?v_541 (=> ?v_542 (=> ?v_543 (=> ?v_544 (=> ?v_545 (=> ?v_546 (=> ?v_547 (=> ?v_548 (=> ?v_549 (=> ?v_550 (=> ?v_551 (=> (= Mem_0_T.CancelRoutine__IRP.123 Mem_0_T.CancelRoutine__IRP.101) (=> ?v_552 (=> ?v_553 (=> ?v_554 (=> ?v_555 (=> ?v_556 (=> ?v_557 (=> ?v_558 (=> ?v_559 (=> ?v_560 (=> ?v_561 (=> ?v_562 (=> ?v_563 (=> ?v_564 (=> ?v_565 (=> ?v_566 (=> ?v_567 (=> ?v_568 (=> ?v_569 (=> ?v_570 (=> ?v_571 (=> ?v_572 (=> ?v_573 (=> (= irpCompleted_0.50 irpCompleted_0.41) (=> ?v_574 (=> ?v_575 (=> ?v_576 (=> ?v_577 (=> ?v_578 (=> ?v_579 (=> ?v_580 (=> ?v_581 (=> ?v_582 (=> ?v_583 (=> (= cancelLockStatus_0.88 cancelLockStatus_0.75) (=> ?v_584 (=> ?v_585 (=> ?v_586 (=> ?v_587 (=> ?v_588 (=> ?v_589 (=> ?v_590 (=> ?v_591 (=> ?v_592 (=> ?v_593 (=> ?v_594 (=> ?v_595 ?v_596)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_598 (= cancelLockStatus_1.75 cancelLockStatus_1.72))) (let ((?v_599 (=> (= cancelLockStatus_0.75 cancelLockStatus_0.72) (=> true (=> true (=> true (=> true (=> true ?v_597)))))))) (let ((?v_801 (and (=> true (=> ?v_937 (=> true (=> (<= k.84 k.88) (=> (< k.88 2) (and (=> true (=> ?v_56 (=> true (=> ?v_598 (=> ?v_57 ?v_597))))) (=> true (=> ?v_197 (and (=> true (=> ?v_191 (=> true (=> ?v_371 ?v_599)))) (=> true (=> ?v_200 (=> true (=> ?v_598 ?v_599))))))))))))) (=> true (=> ?v_600 (and (=> true (=> ?v_40 (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.0 ?v_31) (=> true (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.0) ?v_798))))) (=> true (=> ?v_792 (and (=> true (=> ?v_789 (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.1 ?v_198) (=> true (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.1) ?v_799))))) (=> true (=> ?v_795 (=> true (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent) ?v_799)))))))))))) (?v_920 (- 0 1073741536))) (let ((?v_800 (= 0 ?v_920)) (?v_46 (=> true (=> ?v_604 (=> ?v_605 (=> ?v_606 (=> ?v_607 (=> ?v_608 (=> ?v_609 (=> ?v_610 (=> ?v_611 (=> ?v_612 (=> ?v_613 (=> ?v_614 (=> ?v_615 (=> ?v_616 (=> ?v_617 (=> ?v_618 (=> ?v_619 (=> ?v_620 (=> ?v_621 (=> (= errorReached.89 errorReached.72) (=> ?v_68 (=> ?v_622 (=> ?v_623 (=> ?v_624 (=> ?v_625 (=> ?v_626 (=> ?v_627 (=> ?v_628 (=> ?v_629 (=> ?v_630 (=> ?v_631 (=> (= alloc.117 alloc.99) (=> ?v_632 (=> ?v_69 (=> ?v_633 (=> ?v_634 (=> ?v_635 (=> ?v_636 (=> ?v_637 (=> ?v_638 (=> ?v_639 (=> ?v_640 (=> ?v_641 (=> ?v_642 (=> ?v_643 (=> ?v_70 (=> ?v_644 (=> ?v_645 (=> ?v_646 (=> ?v_647 (=> ?v_648 (=> ?v_649 (=> ?v_650 (=> ?v_651 (=> ?v_652 (=> ?v_653 (=> ?v_654 (=> ?v_655 (=> ?v_71 (=> ?v_656 (=> ?v_72 (=> ?v_657 (=> ?v_658 (=> ?v_659 (=> ?v_73 (=> ?v_660 (=> (= cancelLockStatus_1.89 cancelLockStatus_1.74) (=> ?v_661 (=> ?v_662 (=> (= Mem_1_T.P_IRP.91 Mem_1_T.P_IRP.69) (=> ?v_663 (=> ?v_664 (=> ?v_665 (=> ?v_666 (=> ?v_667 (=> (= Mem_1_T.CancelRoutine__IRP.124 Mem_1_T.CancelRoutine__IRP.101) (=> ?v_668 (=> ?v_669 (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.7 inline.SerialTryToCompleteCurrent.1.myNondetVar_0.6) (=> ?v_671 (=> (= k.104 k.85) (=> ?v_672 (=> ?v_673 (=> ?v_674 (=> ?v_675 (=> ?v_676 (=> ?v_677 (=> ?v_678 (=> ?v_679 (=> ?v_680 (=> ?v_681 (=> ?v_682 (=> ?v_683 (=> ?v_684 (=> ?v_685 (=> ?v_686 (=> ?v_687 (=> ?v_688 (=> ?v_689 (=> ?v_690 (=> ?v_691 (=> ?v_692 (=> ?v_693 (=> (= Mem_0_T.P_IRP.91 Mem_0_T.P_IRP.69) (=> ?v_694 (=> ?v_695 (=> ?v_696 (=> ?v_697 (=> (= irpCompleted_1.51 irpCompleted_1.41) (=> ?v_698 (=> ?v_699 (=> ?v_700 (=> ?v_701 (=> ?v_702 (=> ?v_703 (=> ?v_704 (=> ?v_705 (=> ?v_706 (=> ?v_707 (=> ?v_708 (=> ?v_74 (=> ?v_709 (=> ?v_75 (=> ?v_710 (=> ?v_711 (=> ?v_712 (=> ?v_713 (=> ?v_714 (=> ?v_715 (=> ?v_716 (=> ?v_717 (=> ?v_718 (=> ?v_719 (=> (= Mem_0_T.CancelRoutine__IRP.124 Mem_0_T.CancelRoutine__IRP.101) (=> ?v_720 (=> ?v_721 (=> ?v_722 (=> ?v_723 (=> ?v_724 (=> ?v_76 (=> ?v_77 (=> ?v_725 (=> ?v_726 (=> ?v_727 (=> ?v_728 (=> ?v_729 (=> ?v_730 (=> ?v_731 (=> ?v_78 (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> ?v_735 (=> (= inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1..0 call70037formal.ret.0) (=> ?v_737 (=> ?v_738 (=> ?v_739 (=> ?v_740 (=> ?v_741 (=> ?v_742 (=> ?v_743 (=> (= irpCompleted_0.51 irpCompleted_0.41) (=> ?v_744 (=> ?v_745 (=> ?v_746 (=> ?v_747 (=> ?v_748 (=> ?v_749 (=> ?v_750 (=> ?v_751 (=> ?v_752 (=> ?v_753 (=> ?v_754 (=> (= cancelLockStatus_0.89 cancelLockStatus_0.74) (=> ?v_755 (=> ?v_756 (=> ?v_757 (=> ?v_758 (=> ?v_759 (=> ?v_760 (=> ?v_761 (=> ?v_762 (=> ?v_763 (=> ?v_764 (=> ?v_765 (=> ?v_766 (=> ?v_767 (=> ?v_768 (=> ?v_769 (=> ?v_770 (=> ?v_771 ?v_79)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_48 (= cancelLockStatus_1.74 cancelLockStatus_1.72))) (let ((?v_49 (=> (= cancelLockStatus_0.74 cancelLockStatus_0.72) (=> true (=> true (=> true (=> true ?v_46)))))) (?v_47 (= k.85 1)) (?v_45 (= k.85 0))) (let ((?v_803 (and (=> true (=> (not (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.6 0)) (=> true (=> (<= k.84 k.85) (=> (< k.85 2) (and (=> true (=> ?v_45 (=> true (=> ?v_48 (=> (= cancelLockStatus_0.74 0) ?v_46))))) (=> true (=> (not ?v_45) (and (=> true (=> ?v_47 (=> true (=> (= cancelLockStatus_1.74 0) ?v_49)))) (=> true (=> (not ?v_47) (=> true (=> ?v_48 ?v_49))))))))))))) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.5 0) (and (=> true (=> ?v_800 ?v_801)) (=> true (=> (not ?v_800) (=> true ?v_801)))))))) (?v_802 (= inline.SerialTryToCompleteCurrent.1.myVar_0.5 hirp))) (let ((?v_804 (and (=> true (=> ?v_802 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_803)))) (=> true (=> (not ?v_802) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_803))))))))))) (let ((?v_805 (=> true (=> true (=> true (=> true ?v_804)))))) (let ((?v_823 (and (=> true (=> ?v_40 (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.3 ?v_31) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.5 inline.SerialTryToCompleteCurrent.1.myVar_0.3) ?v_804))))) (=> true (=> ?v_792 (and (=> true (=> ?v_789 (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.4 ?v_198) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.5 inline.SerialTryToCompleteCurrent.1.myVar_0.4) ?v_805))))) (=> true (=> ?v_795 (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.5 inline.SerialTryToCompleteCurrent.1.myVar_0.2) ?v_805))))))))) (?v_828 (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_829 (= inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_830 (= inline.SerialRundownIrpRefs.1.myNondetVar_1.5 inline.SerialRundownIrpRefs.1.myNondetVar_1.3)) (?v_831 (= inline.SerialRundownIrpRefs.1.myVar_0.14 inline.SerialRundownIrpRefs.1.myVar_0.10)) (?v_832 (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_833 (= inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs)) (?v_834 (= inline.SerialRundownIrpRefs.1.myNondetVar_0.11 inline.SerialRundownIrpRefs.1.myNondetVar_0.7))) (let ((?v_835 (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_2.5 inline.SerialRundownIrpRefs.1.myNondetVar_2.3) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.5 inline.SerialRundownIrpRefs.1.tempBoogie0.3) (=> true (=> true (=> true (=> true ?v_823))))))) (?v_827 (= inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 0)) (?v_811 (= inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_812 (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0)) (?v_813 (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.3 inline.sdv_InterlockedDecrement.19.myNondetVar_0.2)) (?v_814 (= inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_815 (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..0 call69610formal.ret.0)) (?v_816 (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..1)) (?v_817 (= inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..0 call69610formal.ret.0)) (?v_818 (= inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..0 call69610formal.ret.0)) (?v_819 (= inline.SerialCancelTimer.5.myNondetVar_0.2 inline.SerialCancelTimer.5.myNondetVar_0.1)) (?v_820 (= inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_821 (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0)) (?v_822 (= inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.0 call69610formal.ret.0)) (?v_810 (= call69610formal.ret.0 0)) (?v_39 (BIT_BNOT 4))) (let ((?v_807 (=> true (=> (forall ((?r1 Int)) (! (=> (and (= (POW2 ?r1) boolTrue) (= (POW2 4) boolTrue) (not (= ?r1 4))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_1.4 ?r1) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_2.4 ?v_39) ?r1) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.8 ?v_39) ?r1)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.9 ?v_39) 4) 0) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.4 (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.10 ?v_39)) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.1.myVar_0.13) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_1.5 inline.SerialRundownIrpRefs.1.myNondetVar_1.4) (=> ?v_814 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.14 inline.SerialRundownIrpRefs.1.myVar_0.13) (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.1.myVar_0.13) (=> ?v_818 (=> (= inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.0 4) (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_0.11 inline.SerialRundownIrpRefs.1.myNondetVar_0.10) (=> ?v_822 (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_2.5 inline.SerialRundownIrpRefs.1.myNondetVar_2.4) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.5 inline.SerialRundownIrpRefs.1.tempBoogie0.4) ?v_823))))))))))))))))))))))))))) (?v_806 (= inline.SerialRundownIrpRefs.1.myVar_0.13 hirp))) (let ((?v_808 (and (=> true (=> ?v_806 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_807)))) (=> true (=> (not ?v_806) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_807))))))))))) (let ((?v_809 (=> true (=> true (=> true (=> true ?v_808))))) (?v_38 (not ?v_810))) (let ((?v_826 (and (=> true (=> ?v_38 (and (=> true (=> ?v_40 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.11 ?v_31) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.13 inline.SerialRundownIrpRefs.1.myVar_0.11) ?v_808))))) (=> true (=> ?v_792 (and (=> true (=> ?v_789 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.12 ?v_198) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.13 inline.SerialRundownIrpRefs.1.myVar_0.12) ?v_809))))) (=> true (=> ?v_795 (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.13 inline.SerialRundownIrpRefs.1.myVar_0.10) ?v_809)))))))))) (=> true (=> ?v_810 (=> true (=> ?v_828 (=> ?v_829 (=> ?v_811 (=> ?v_812 (=> ?v_813 (=> ?v_830 (=> ?v_814 (=> ?v_831 (=> ?v_815 (=> ?v_816 (=> ?v_817 (=> ?v_832 (=> ?v_818 (=> ?v_833 (=> ?v_819 (=> ?v_820 (=> ?v_821 (=> ?v_834 (=> ?v_822 ?v_835))))))))))))))))))))))))) (let ((?v_825 (=> true (=> (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.2 inline.sdv_InterlockedDecrement.19.myNondetVar_0.1) (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.19.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.19.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.19.myNondetVar_0.1) (=> (= inline.SerialCancelTimer.5.myNondetVar_0.1 inline.SerialCancelTimer.5.myNondetVar_0.0) ?v_826)))))))) (?v_824 (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.1 0))) (let ((?v_855 (and (=> true (=> (not ?v_827) (and (=> true (=> ?v_38 (and (=> true (=> (not ?v_824) (=> true (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2.) ?v_825)))) (=> true (=> ?v_824 (=> true (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..0 call69691formal.ret.0) (=> true (=> true (=> true ?v_825)))))))))) (=> true (=> ?v_810 (=> true (=> (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.2 inline.sdv_InterlockedDecrement.19.myNondetVar_0) (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.SerialCancelTimer.5.myNondetVar_0.1 inline.SerialCancelTimer.5.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true ?v_826))))))))))))))))) (=> true (=> ?v_827 (=> true (=> ?v_828 (=> ?v_829 (=> (= inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.3 inline.sdv_InterlockedDecrement.19.myNondetVar_0) (=> ?v_830 (=> (= inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1.) (=> ?v_831 (=> (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..0 inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5.) (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2.) (=> ?v_832 (=> (= inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..0 inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1.) (=> ?v_833 (=> (= inline.SerialCancelTimer.5.myNondetVar_0.2 inline.SerialCancelTimer.5.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1) (=> ?v_834 (=> (= inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer) ?v_835)))))))))))))))))))))))) (?v_859 (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_860 (= inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs)) (?v_861 (= inline.SerialRundownIrpRefs.1.myNondetVar_0.7 inline.SerialRundownIrpRefs.1.myNondetVar_0.3)) (?v_862 (= k.84 k.82)) (?v_863 (= inline.SerialRundownIrpRefs.1.myNondetVar_1.3 inline.SerialRundownIrpRefs.1.myNondetVar_1.1)) (?v_864 (= inline.SerialRundownIrpRefs.1.myVar_0.10 inline.SerialRundownIrpRefs.1.myVar_0.6)) (?v_865 (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_866 (= inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_867 (= inline.SerialRundownIrpRefs.1.myNondetVar_2.3 inline.SerialRundownIrpRefs.1.myNondetVar_2.1))) (let ((?v_868 (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.3 inline.SerialRundownIrpRefs.1.tempBoogie0.1) (=> true ?v_855))) (?v_843 (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..1)) (?v_844 (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.0 0)) (?v_845 (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.0 0)) (?v_846 (= inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_847 (= inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..0 call69328formal.ret.0)) (?v_848 (= inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..0 call69328formal.ret.0)) (?v_849 (= inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_850 (= inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_851 (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..0 call69328formal.ret.0)) (?v_852 (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.3 inline.sdv_InterlockedDecrement.18.myNondetVar_0.2)) (?v_853 (= inline.SerialCancelTimer.4.myNondetVar_0.2 inline.SerialCancelTimer.4.myNondetVar_0.1)) (?v_854 (= inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.0 call69328formal.ret.0)) (?v_842 (= call69328formal.ret.0 0)) (?v_37 (BIT_BNOT 8))) (let ((?v_837 (=> true (=> (forall ((?r2 Int)) (! (=> (and (= (POW2 ?r2) boolTrue) (= (POW2 8) boolTrue) (not (= ?r2 8))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_1.2 ?r2) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_2.2 ?v_37) ?r2) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.4 ?v_37) ?r2)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.5 ?v_37) 8) 0) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.2 (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.6 ?v_37)) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.1.myVar_0.9) (=> (= inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.0 8) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_0.7 inline.SerialRundownIrpRefs.1.myNondetVar_0.6) (=> ?v_843 (=> (= k.84 k.83) (=> ?v_844 (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_1.3 inline.SerialRundownIrpRefs.1.myNondetVar_1.2) (=> ?v_845 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.10 inline.SerialRundownIrpRefs.1.myVar_0.9) (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.1.myVar_0.9) (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_2.3 inline.SerialRundownIrpRefs.1.myNondetVar_2.2) (=> ?v_853 (=> ?v_854 (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.3 inline.SerialRundownIrpRefs.1.tempBoogie0.2) ?v_855)))))))))))))))))))))))))))) (?v_836 (= inline.SerialRundownIrpRefs.1.myVar_0.9 hirp))) (let ((?v_839 (and (=> true (=> ?v_836 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_837)))) (=> true (=> (not ?v_836) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_837))))))))))) (let ((?v_841 (=> true (=> true (=> true (=> true ?v_839))))) (?v_840 (= k.83 1)) (?v_838 (= k.83 0)) (?v_36 (not ?v_842))) (let ((?v_858 (and (=> true (=> ?v_36 (=> true (=> (<= k.82 k.83) (=> (< k.83 2) (and (=> true (=> ?v_838 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.8 ?v_31) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.9 inline.SerialRundownIrpRefs.1.myVar_0.8) ?v_839))))) (=> true (=> (not ?v_838) (and (=> true (=> ?v_840 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.7 ?v_198) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.9 inline.SerialRundownIrpRefs.1.myVar_0.7) ?v_841))))) (=> true (=> (not ?v_840) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.9 inline.SerialRundownIrpRefs.1.myVar_0.6) ?v_841))))))))))))) (=> true (=> ?v_842 (=> true (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> ?v_843 (=> ?v_862 (=> ?v_844 (=> ?v_863 (=> ?v_845 (=> ?v_864 (=> ?v_846 (=> ?v_847 (=> ?v_848 (=> ?v_865 (=> ?v_849 (=> ?v_850 (=> ?v_851 (=> ?v_852 (=> ?v_866 (=> ?v_867 (=> ?v_853 (=> ?v_854 ?v_868))))))))))))))))))))))))))) (let ((?v_857 (=> true (=> (= inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.18.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.18.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.2 inline.sdv_InterlockedDecrement.18.myNondetVar_0.1) (=> (= inline.SerialCancelTimer.4.myNondetVar_0.1 inline.SerialCancelTimer.4.myNondetVar_0.0) (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.18.myNondetVar_0.1) ?v_858)))))))) (?v_856 (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.1 0))) (let ((?v_896 (and (=> true (=> ?v_29 (and (=> true (=> ?v_36 (and (=> true (=> (not ?v_856) (=> true (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2.) ?v_857)))) (=> true (=> ?v_856 (=> true (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..0 call69409formal.ret.0) (=> true (=> true (=> true ?v_857)))))))))) (=> true (=> ?v_842 (=> true (=> (= inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.2 inline.sdv_InterlockedDecrement.18.myNondetVar_0) (=> (= inline.SerialCancelTimer.4.myNondetVar_0.1 inline.SerialCancelTimer.4.myNondetVar_0) (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> true (=> true (=> true (=> true (=> true ?v_858))))))))))))))))) (=> true (=> ?v_0 (=> true (=> ?v_859 (=> ?v_860 (=> ?v_861 (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2.) (=> ?v_862 (=> (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer) (=> ?v_863 (=> (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1) (=> ?v_864 (=> (= inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..0 inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1.) (=> (= inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2.) (=> ?v_865 (=> (= inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..0 inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3.) (=> (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.3 inline.sdv_InterlockedDecrement.18.myNondetVar_0) (=> ?v_866 (=> ?v_867 (=> (= inline.SerialCancelTimer.4.myNondetVar_0.2 inline.SerialCancelTimer.4.myNondetVar_0) (=> (= inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer) ?v_868)))))))))))))))))))))))))) (?v_30 (= k.78 0)) (?v_894 (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.98 (int_2_U (CancelRoutine__IRP ?v_31)))) 0)) (?v_885 (= k.78 1)) (?v_895 (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.98 (int_2_U (CancelRoutine__IRP ?v_198)))) 0))) (let ((?v_870 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.101 Mem_0_T.CancelRoutine__IRP.100) (=> (= k.82 k.81) (=> (= errorReached.72 errorReached.71) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.1.myVar_0.2) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_1.1 inline.SerialRundownIrpRefs.1.myNondetVar_1.0) (=> (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..0) (=> (= inline.SerialRundownIrpRefs.1.myVar_0.6 inline.SerialRundownIrpRefs.1.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialRundownIrpRefs.1.myVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.1.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= Mem_1_T.CancelRoutine__IRP.101 Mem_1_T.CancelRoutine__IRP.100) (=> (= inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.0 2) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_0.3 inline.SerialRundownIrpRefs.1.myNondetVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_2.1 inline.SerialRundownIrpRefs.1.myNondetVar_2.0) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialRundownIrpRefs.1.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.1 inline.SerialRundownIrpRefs.1.tempBoogie0.0) ?v_896))))))))))))))))))))) (?v_872 (= Mem_1_T.CancelRoutine__IRP.100 Mem_1_T.CancelRoutine__IRP.98))) (let ((?v_873 (=> (= Mem_0_T.CancelRoutine__IRP.100 Mem_0_T.CancelRoutine__IRP.98) (=> true (=> true (=> true (=> true (=> true (=> true ?v_870)))))))) (?v_871 (= k.81 1)) (?v_34 (int_2_U (CancelRoutine__IRP inline.SerialRundownIrpRefs.1.myVar_0.5))) (?v_869 (= k.81 0))) (let ((?v_878 (and (=> true (=> ?v_869 (=> (= Mem_0_T.CancelRoutine__IRP.99 (MapType0Store Mem_0_T.CancelRoutine__IRP.98 ?v_34 ?v_35)) (=> true (=> ?v_872 (=> (= Mem_0_T.CancelRoutine__IRP.100 Mem_0_T.CancelRoutine__IRP.99) ?v_870)))))) (=> true (=> (not ?v_869) (and (=> true (=> ?v_871 (=> (= Mem_1_T.CancelRoutine__IRP.99 (MapType0Store Mem_1_T.CancelRoutine__IRP.98 ?v_34 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.100 Mem_1_T.CancelRoutine__IRP.99) ?v_873))))) (=> true (=> (not ?v_871) (=> true (=> ?v_872 ?v_873)))))))))) (let ((?v_880 (=> (= errorReached.71 errorReached.70) (=> true ?v_878))) (?v_879 (= inline.SerialRundownIrpRefs.1.myVar_0.5 hirp)) (?v_876 (= k.81 k.80)) (?v_877 (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..0 call69253formal.ret.0)) (?v_874 (= k.80 0)) (?v_875 (= k.80 1))) (let ((?v_882 (and (=> true (=> ?v_879 (=> true (=> (<= k.79 k.80) (=> (< k.80 2) (and (=> true (=> (=> ?v_874 ?v_62) (=> (=> ?v_875 ?v_63) (=> true (=> ?v_876 (=> ?v_877 (=> (= errorReached.71 1) ?v_878))))))) (=> true (=> (=> ?v_874 ?v_132) (=> (=> ?v_875 ?v_133) (=> true (=> ?v_876 (=> ?v_877 ?v_880)))))))))))) (=> true (=> (not ?v_879) (=> true (=> (= k.81 k.79) (=> (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2.) ?v_880)))))))) (let ((?v_884 (=> true (=> true ?v_882))) (?v_883 (= k.79 1)) (?v_881 (= k.79 0))) (let ((?v_886 (=> true (=> (<= k.78 k.79) (=> (< k.79 2) (and (=> true (=> ?v_881 (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.98 ?v_34))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_882))))) (=> true (=> (not ?v_881) (and (=> true (=> ?v_883 (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.98 ?v_34))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_884))))) (=> true (=> (not ?v_883) (=> true (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_884))))))))))))) (let ((?v_887 (=> true (=> true (=> true (=> true ?v_886))))) (?v_892 (not ?v_885)) (?v_890 (not ?v_30)) (?v_33 (BIT_BNOT 2))) (let ((?v_889 (=> true (=> (forall ((?r3 Int)) (! (=> (and (= (POW2 ?r3) boolTrue) (= (POW2 2) boolTrue) (not (= ?r3 2))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_1.0 ?r3) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_2.0 ?v_33) ?r3) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.0 ?v_33) ?r3)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.1 ?v_33) 2) 0) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.0 (BIT_BAND inline.SerialRundownIrpRefs.1.myNondetVar_0.2 ?v_33)) (and (=> true (=> ?v_30 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.3 ?v_31) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.5 inline.SerialRundownIrpRefs.1.myVar_0.3) ?v_886))))) (=> true (=> ?v_890 (and (=> true (=> ?v_885 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.4 ?v_198) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.5 inline.SerialRundownIrpRefs.1.myVar_0.4) ?v_887))))) (=> true (=> ?v_892 (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.5 inline.SerialRundownIrpRefs.1.myVar_0.2) ?v_887))))))))))))) (?v_888 (= inline.SerialRundownIrpRefs.1.myVar_0.2 hirp))) (let ((?v_891 (and (=> true (=> ?v_888 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_889)))) (=> true (=> (not ?v_888) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_889))))))))))) (let ((?v_893 (=> true (=> true (=> true (=> true ?v_891)))))) (let ((?v_898 (and (=> true (=> (=> ?v_30 (not ?v_894)) (=> (=> ?v_885 (not ?v_895)) (and (=> true (=> ?v_30 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.0 ?v_31) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.2 inline.SerialRundownIrpRefs.1.myVar_0.0) ?v_891))))) (=> true (=> ?v_890 (and (=> true (=> ?v_885 (=> (= inline.SerialRundownIrpRefs.1.myVar_0.1 ?v_198) (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.2 inline.SerialRundownIrpRefs.1.myVar_0.1) ?v_893))))) (=> true (=> ?v_892 (=> true (=> (= inline.SerialRundownIrpRefs.1.myVar_0.2 inline.SerialRundownIrpRefs.1.myVar_0) ?v_893))))))))))) (=> true (=> (=> ?v_30 ?v_894) (=> (=> ?v_885 ?v_895) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.101 Mem_0_T.CancelRoutine__IRP.98) (=> (= k.82 k.78) (=> (= errorReached.72 errorReached.70) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_1.1 inline.SerialRundownIrpRefs.1.myNondetVar_1) (=> (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2.) (=> (= inline.SerialRundownIrpRefs.1.myVar_0.6 inline.SerialRundownIrpRefs.1.myVar_0) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= Mem_1_T.CancelRoutine__IRP.101 Mem_1_T.CancelRoutine__IRP.98) (=> (= inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_0.3 inline.SerialRundownIrpRefs.1.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_2.1 inline.SerialRundownIrpRefs.1.myNondetVar_2) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.1 inline.SerialRundownIrpRefs.1.tempBoogie0) (=> true ?v_896))))))))))))))))))))))))))) (let ((?v_897 (=> true (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 0) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.4 inline.SerialTryToCompleteCurrent.1.myNondetVar_0.3) (=> (= inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 0) (=> (= inline.KeSynchronizeExecution.9.myNondetVar_0.7 inline.KeSynchronizeExecution.9.myNondetVar_0.6) (=> (= inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.0) ?v_898))))))))) (let ((?v_900 (=> true (=> (forall ((?r4 Int)) (! (=> (and (= (POW2 ?r4) boolTrue) (= (POW2 1) boolTrue) (not (= ?r4 1))) (= (not (= (BIT_BAND inline.SerialTryToCompleteCurrent.1.myNondetVar_1.0 ?r4) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.1.myNondetVar_2.0 (BIT_BNOT 1)) ?r4) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.1.myNondetVar_0.0 (BIT_BNOT 1)) ?r4)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.1.myNondetVar_0.1 (BIT_BNOT 1)) 1) 0) (and (=> true (=> ?v_29 (and (=> true (=> ?v_29 (=> true (=> (= inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.9..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.9.myNondetVar_0.6 inline.KeSynchronizeExecution.9.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.9..result.SynchronizeRoutine.4679.26.2.) ?v_897)))))) (=> true (=> ?v_0 (=> true (=> (= inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.9.myNondetVar_0.6 inline.KeSynchronizeExecution.9.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true ?v_897)))))))))))) (=> true (=> ?v_0 (=> true (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.4 inline.SerialTryToCompleteCurrent.1.myNondetVar_0.2) (=> (= inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.9.myNondetVar_0.7 inline.KeSynchronizeExecution.9.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true (=> true ?v_898)))))))))))))))))) (?v_899 (= inline.SerialTryToCompleteCurrent.1.myVar_0.2 hirp))) (let ((?v_901 (and (=> true (=> ?v_899 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_900)))) (=> true (=> (not ?v_899) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_900))))))))))) (let ((?v_902 (=> true (=> true (=> true (=> true ?v_901))))) (?v_27 (>= 4 0))) (let ((?v_903 (=> true (=> (= inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0 (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION x.SerialCompleteWrite.arg.2.7..2)) (=> (= inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 (WriteQueue__SERIAL_DEVICE_EXTENSION x.SerialCompleteWrite.arg.2.7..2)) (=> (= inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION x.SerialCompleteWrite.arg.2.7..2)) (=> true (and ?v_27 (=> ?v_27 (=> (> call68644formal.new.0 0) (=> (forall ((?x1571 Int)) (! (=> (and (<= call68644formal.new.0 ?x1571) (< ?x1571 (+ call68644formal.new.0 4))) (= (Base ?x1571) call68644formal.new.0)) :pattern ((Base ?x1571)) )) (=> (forall ((?x1572 boogieU)) (! (=> (= (type ?x1572) intType) (or (= (U_2_int ?x1572) call68644formal.new.0) (= (MapType0Select alloc.98 ?x1572) (MapType0Select alloc.99 ?x1572)))) :pattern ((MapType0Select alloc.99 ?x1572)) )) (=> (and (= (MapType0Select alloc.98 ?v_28) UNALLOCATED) (= (MapType0Select alloc.99 ?v_28) ALLOCATED)) (=> true (=> (<= 0 k.78) (=> (< k.78 2) (and (=> true (=> ?v_30 (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.0 ?v_31) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.2 inline.SerialTryToCompleteCurrent.1.myVar_0.0) ?v_901))))) (=> true (=> ?v_890 (and (=> true (=> ?v_885 (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.1 ?v_198) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.2 inline.SerialTryToCompleteCurrent.1.myVar_0.1) ?v_902))))) (=> true (=> ?v_892 (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.2 inline.SerialTryToCompleteCurrent.1.myVar_0) ?v_902))))))))))))))))))))))) (?v_904 (= cancelLockStatus_1.72 cancelLockStatus_1.71))) (let ((?v_905 (=> (= cancelLockStatus_0.72 cancelLockStatus_0.71) (=> true (=> true (=> true (=> true (=> true ?v_903))))))) (?v_1 (= 0 1))) (let ((?v_908 (not ?v_1)) (?v_26 (int_2_U call68534formal.new.0)) (?v_25 (int_2_U call68515formal.new.0))) (let ((?v_907 (=> true (and ?v_8 (=> ?v_8 (=> (> call68515formal.new.0 0) (=> (forall ((?x1575 Int)) (! (=> (and (<= call68515formal.new.0 ?x1575) (< ?x1575 (+ call68515formal.new.0 1))) (= (Base ?x1575) call68515formal.new.0)) :pattern ((Base ?x1575)) )) (=> (forall ((?x1576 boogieU)) (! (=> (= (type ?x1576) intType) (or (= (U_2_int ?x1576) call68515formal.new.0) (= (MapType0Select alloc.96 ?x1576) (MapType0Select alloc.97 ?x1576)))) :pattern ((MapType0Select alloc.97 ?x1576)) )) (=> (and (= (MapType0Select alloc.96 ?v_25) UNALLOCATED) (= (MapType0Select alloc.97 ?v_25) ALLOCATED)) (=> true (and ?v_8 (=> ?v_8 (=> (> call68534formal.new.0 0) (=> (forall ((?x1573 Int)) (! (=> (and (<= call68534formal.new.0 ?x1573) (< ?x1573 (+ call68534formal.new.0 1))) (= (Base ?x1573) call68534formal.new.0)) :pattern ((Base ?x1573)) )) (=> (forall ((?x1574 boogieU)) (! (=> (= (type ?x1574) intType) (or (= (U_2_int ?x1574) call68534formal.new.0) (= (MapType0Select alloc.97 ?x1574) (MapType0Select alloc.98 ?x1574)))) :pattern ((MapType0Select alloc.98 ?x1574)) )) (=> (and (= (MapType0Select alloc.97 ?v_26) UNALLOCATED) (= (MapType0Select alloc.98 ?v_26) ALLOCATED)) (=> true (=> (=> ?v_0 (= cancelLockStatus_0.71 0)) (=> (=> ?v_1 (= cancelLockStatus_1.71 0)) (and (=> true (=> ?v_0 (=> true (=> ?v_904 (=> (= cancelLockStatus_0.72 1) ?v_903))))) (=> true (=> ?v_29 (and (=> true (=> ?v_1 (=> true (=> (= cancelLockStatus_1.72 1) ?v_905)))) (=> true (=> ?v_908 (=> true (=> ?v_904 ?v_905))))))))))))))))))))))))))) (let ((?v_909 (=> true (=> true (=> true ?v_907)))) (?v_906 (int_2_U (DeviceExtension__DEVICE_OBJECT hdevobj)))) (let ((?v_913 (U_2_int (MapType0Select Mem_1_T.DeviceExtension__DEVICE_OBJECT ?v_906))) (?v_24 (U_2_int (MapType0Select Mem_0_T.DeviceExtension__DEVICE_OBJECT ?v_906)))) (let ((?v_911 (=> true (=> (not (= x.tmpIrp.2.6628.7.sdv_main.2 0)) (and (=> true (=> ?v_0 (=> (= x.SerialCompleteWrite.arg.2.7..0 ?v_24) (=> true (=> (= x.SerialCompleteWrite.arg.2.7..2 x.SerialCompleteWrite.arg.2.7..0) ?v_907))))) (=> true (=> ?v_29 (and (=> true (=> ?v_1 (=> (= x.SerialCompleteWrite.arg.2.7..1 ?v_913) (=> true (=> (= x.SerialCompleteWrite.arg.2.7..2 x.SerialCompleteWrite.arg.2.7..1) ?v_909))))) (=> true (=> ?v_908 (=> true (=> (= x.SerialCompleteWrite.arg.2.7..2 x.SerialCompleteWrite.arg.2.7.) ?v_909)))))))))))) (let ((?v_912 (=> true ?v_911)) (?v_910 (int_2_U (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION x.Extension.4.6630.27.sdv_main.2)))) (let ((?v_914 (and (=> true (=> ?v_0 (=> (= x.tmpIrp.2.6628.7.sdv_main.1 (U_2_int (MapType0Select Mem_0_T.P_IRP.69 ?v_910))) (=> true (=> (= x.tmpIrp.2.6628.7.sdv_main.2 x.tmpIrp.2.6628.7.sdv_main.1) ?v_911))))) (=> true (=> ?v_29 (and (=> true (=> ?v_1 (=> (= x.tmpIrp.2.6628.7.sdv_main.0 (U_2_int (MapType0Select Mem_1_T.P_IRP.69 ?v_910))) (=> true (=> (= x.tmpIrp.2.6628.7.sdv_main.2 x.tmpIrp.2.6628.7.sdv_main.0) ?v_912))))) (=> true (=> ?v_908 (=> true (=> (= x.tmpIrp.2.6628.7.sdv_main.2 x.tmpIrp.2.6628.7.sdv_main) ?v_912)))))))))) (let ((?v_915 (=> true (=> true ?v_914))) (?v_23 (= call68336formal.ret.0 0))) (let ((?v_931 (and (=> true (=> (not ?v_23) (=> true (=> (= inline.SerialTryToCompleteCurrent.1.myVar_0.6 inline.SerialTryToCompleteCurrent.1.myVar_0) (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1.) (=> (= inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent) (=> (= inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4..2 inline.SerialTryToCompleteCurrent.1..result.SerialDbgPrintEx.501.12.4.) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_1.6 inline.SerialRundownIrpRefs.1.myNondetVar_1) (=> (= inline.SerialGetNextWrite.2.tempBoogie0.8 inline.SerialGetNextWrite.2.tempBoogie0) (=> (= inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.11..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite1) (=> (= inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.14..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1) (=> (= inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite.0 inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.2..CompleteCurrent.4.447.15.SerialGetNextWrite) (=> (= inline.KeSynchronizeExecution.9.myNondetVar_0.8 inline.KeSynchronizeExecution.9.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= x.devobjTmp.3.6629.17.sdv_main.0 x.devobjTmp.3.6629.17.sdv_main) (=> (= alloc.119 alloc.96) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.51..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1.) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp1) (=> (= inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.5..result.IsListEmpty.298.20.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.49..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked1) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp) (=> (= inline.SerialGetNextIrp.4.myNondetVar_0.3 inline.SerialGetNextIrp.4.myNondetVar_0) (=> (= inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..CompleteCurrent_Original.6.489.11.SerialGetNextWrite) (=> (= inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..OldIrql.7.507.18.SerialGetNextWrite) (=> (= inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1) (=> (= inline.SerialTryToCompleteCurrent.1.havoc_stringTemp.1 inline.SerialTryToCompleteCurrent.1.havoc_stringTemp) (=> (= inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.11..result.userContextSwitch.2077.4.1.) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.48..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp) (=> (= inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.18..result.SdvMakeChoice.4659.26.2.) (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1.) (=> (= inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..GetNextIrp.10.349.32.SerialTryToCompleteCurrent) (=> (= Mem_1_T.CancelRoutine__IRP.125 Mem_1_T.CancelRoutine__IRP.98) (=> (= inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.10..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.11..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent) (=> (= inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.2.._refType.11.583.0.SerialGetNextWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.53..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.4..oldIrp.7.275.9.SerialGetNextIrpLocked) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.703.20.13.) (=> (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.9..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_InterlockedDecrement.20.myNondetVar_0.5 inline.sdv_InterlockedDecrement.20.myNondetVar_0) (=> (= inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1) (=> (= inline.KeSynchronizeExecution.10.myNondetVar_0.10 inline.KeSynchronizeExecution.10.myNondetVar_0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialDpcEpilogue.6..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.6..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.1.._refType.5.566.0.SerialRundownIrpRefs) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.16..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs) (=> (= inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..OldIrql.8.522.18.SerialGetNextWrite) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.RemoveHeadList.5.myNondetVar_0.5 inline.RemoveHeadList.5.myNondetVar_0) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList) (=> (= inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent) (=> (= inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs) (=> (= inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.12..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1) (=> (= inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..NextIrp.3.227.14.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked1) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite) (=> (= inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.13..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.12..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.5..result.RemoveHeadList.6743.0.1.) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_2.6 inline.SerialRundownIrpRefs.1.myNondetVar_2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.52..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialDpcEpilogue.6..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.6..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.52..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..OldIrql.16.659.18.SerialGetNextWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.12..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.11..result.userContextSwitch.3310.4.2.) (=> (= inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.11..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.SerialGetNextWrite.2.havoc_stringTemp.2 inline.SerialGetNextWrite.2.havoc_stringTemp) (=> (= inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.11..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.SerialGetNextIrp.5.myNondetVar_0.3 inline.SerialGetNextIrp.5.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.18..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_InterlockedDecrement.22.myNondetVar_0.5 inline.sdv_InterlockedDecrement.22.myNondetVar_0) (=> (= inline.SerialGetNextWrite.2.myNondetVar_0.22 inline.SerialGetNextWrite.2.myNondetVar_0) (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked) (=> (= inline.RemoveHeadList.4.myNondetVar_0.5 inline.RemoveHeadList.4.myNondetVar_0) (=> (= inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent1) (=> (= cancelLockStatus_1.90 cancelLockStatus_1.71) (=> (= inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent) (=> (= inline.SerialGetNextIrpLocked.4.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.4.havoc_stringTemp) (=> (= inline.SerialRundownIrpRefs.1.tempBoogie0.6 inline.SerialRundownIrpRefs.1.tempBoogie0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.44..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= Mem_0_T.CancelRoutine__IRP.125 Mem_0_T.CancelRoutine__IRP.98) (=> (= cancelLockStatus_0.90 cancelLockStatus_0.71) (=> (= inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.4..result.RemoveHeadList.302.35.2.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.50..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.51..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..CurrentOpIrp.1.170.13.SerialGetNextIrp1) (=> (= inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.1..Extension.1.340.32.SerialTryToCompleteCurrent1) (=> (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5..1 inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.635.29.5.) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_1.1 inline.SerialTryToCompleteCurrent.1.myNondetVar_1) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp1) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.43..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1) (=> (= inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.2.._refType.14.631.0.SerialGetNextWrite) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_0.8 inline.SerialTryToCompleteCurrent.1.myNondetVar_0) (=> (= irpCompleted_0.52 irpCompleted_0.41) (=> (= inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.9..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.45..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= irpCompleted_1.52 irpCompleted_1.41) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= k.105 0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.50..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.4..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.SerialTryToCompleteCurrent.1.myNondetVar_2.1 inline.SerialTryToCompleteCurrent.1.myNondetVar_2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.53..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.5..Timer.1.1325.26.SerialSetTimer) (=> (= inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.SerialGetNextWrite.2.myNondetVar_1.7 inline.SerialGetNextWrite.2.myNondetVar_1) (=> (= inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.1..StatusToUse.4.343.16.SerialTryToCompleteCurrent1) (=> (= inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..QueueToProcess.2.171.19.SerialGetNextIrp1) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.1.._refType.9.637.0.SerialRundownIrpRefs) (=> (= inline.SerialCompleteWrite.0.myNondetVar_0.1 inline.SerialCompleteWrite.0.myNondetVar_0) (=> (= inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite1.0 inline.SerialCompleteWrite.0..DeferredContext.2.710.13.SerialCompleteWrite1) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite1) (=> (= x.tmpIrp.2.6628.7.sdv_main.3 x.tmpIrp.2.6628.7.sdv_main) (=> (= inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.5..result.KeCancelTimer.1404.28.2.) (=> (= x.SerialCompleteWrite.arg.2.7..3 x.SerialCompleteWrite.arg.2.7.) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked1) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer) (=> (= inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.20..result.userContextSwitch.1645.2.1.) (=> (= inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.20..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.5..result.KeSetTimer.1355.19.3.) (=> (= inline.SerialCancelTimer.4.myNondetVar_0.3 inline.SerialCancelTimer.4.myNondetVar_0) (=> (= inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent) (=> (= inline.SerialGetNextWrite.2.myVar_0.16 inline.SerialGetNextWrite.2.myVar_0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialCompleteWrite.0.havoc_stringTemp.0 inline.SerialCompleteWrite.0.havoc_stringTemp) (=> (= inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.10..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.15..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..QueueToProcess.2.445.19.SerialGetNextWrite1) (=> (= inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..QueueToProcess.2.226.19.SerialGetNextIrpLocked) (=> (= inline.SerialCancelTimer.5.myNondetVar_0.3 inline.SerialCancelTimer.5.myNondetVar_0) (=> (= Mem_0_T.P_IRP.92 Mem_0_T.P_IRP.69) (=> (= inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..IntervalTimer.7.346.15.SerialTryToCompleteCurrent) (=> (= inline.SerialRundownIrpRefs.1.myVar_0.15 inline.SerialRundownIrpRefs.1.myVar_0) (=> (= inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.5..result.RemoveHeadList.302.35.2.) (=> (= inline.sdv_InterlockedDecrement.24.myNondetVar_0.2 inline.sdv_InterlockedDecrement.24.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..RefType.11.350.12.SerialTryToCompleteCurrent) (=> (= inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.4..result.SerialCancelTimer.1382.0.1.) (=> (= inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.1.._refType.7.603.0.SerialRundownIrpRefs) (=> (= inline.SerialGetNextIrpLocked.5.myVar_0.6 inline.SerialGetNextIrpLocked.5.myVar_0) (=> (= inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.5..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.2..Irp.9.523.17.SerialGetNextWrite) (=> (= inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.4..result.IsListEmpty.298.20.1.) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_InterlockedDecrement.24..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.24..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.4..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1) (=> (= inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.10..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.5..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.43..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite1) (=> (= inline.SerialCompleteWrite.0..Extension.5.741.29.SerialCompleteWrite.0 inline.SerialCompleteWrite.0..Extension.5.741.29.SerialCompleteWrite) (=> (= inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.2..result.SerialDbgPrintEx.493.19.1.) (=> (= inline.SerialRundownIrpRefs.1.myNondetVar_0.12 inline.SerialRundownIrpRefs.1.myNondetVar_0) (=> (= inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..CurrentOpIrp.1.170.13.SerialGetNextIrp) (=> (= inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 inline.SerialTryToCompleteCurrent.1..oldIrp.15.490.17.SerialTryToCompleteCurrent) (=> (= inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.1..IntervalTimer.2.513.55.SerialRundownIrpRefs1) (=> (= inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.4..cancelled.3.1402.11.SerialCancelTimer) (=> (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer1) (=> (= inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..oldIrql.6.214.10.SerialGetNextIrp) (=> (= inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..CurrentOpIrp.1.444.13.SerialGetNextWrite) (=> (= inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.5..Dpc.3.1326.24.SerialSetTimer1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.46..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1..4 inline.sdv_IoCompleteRequest.9..result.userContextSwitch.2077.4.1.) (=> (= inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.5..oldIrp.7.275.9.SerialGetNextIrpLocked) (=> (= inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.5..result.SerialCancelTimer.1382.0.1.) (=> (= Mem_1_T.P_IRP.92 Mem_1_T.P_IRP.69) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.10..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.5..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1) (=> (= inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.10..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.5..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.4..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.5..Entry.3.6748.16.RemoveHeadList) (=> (= inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.4..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.761.20.3..1 inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.761.20.3.) (=> (= inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.10..result.userContextSwitch.3310.4.2.) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.47..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..NextIrp.3.172.14.SerialGetNextIrp1) (=> (= inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.5..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.23..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= x.Extension.4.6630.27.sdv_main.3 x.Extension.4.6630.27.sdv_main) (=> (= inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.11..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.2..Extension.5.448.29.SerialGetNextWrite1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.46..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.4..result.KeCancelTimer.1404.28.2.) (=> (= inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.1..TotalTimer.8.347.15.SerialTryToCompleteCurrent1) (=> (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.IsListEmpty.6.myNondetVar_0.3 inline.IsListEmpty.6.myNondetVar_0) (=> (= inline.SerialTryToCompleteCurrent.1..newIrp.14.428.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..newIrp.14.428.13.SerialTryToCompleteCurrent) (=> (= inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.10..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..NewIrp.3.446.13.SerialGetNextWrite) (=> (= inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.9..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.2..delta.13.616.34.SerialGetNextWrite) (=> (= inline.sdv_InterlockedDecrement.23.myNondetVar_0.3 inline.sdv_InterlockedDecrement.23.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.5.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.5.havoc_stringTemp) (=> (= inline.sdv_InterlockedDecrement.18.myNondetVar_0.4 inline.sdv_InterlockedDecrement.18.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.10..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= errorReached.90 errorReached.70) (=> (= inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3..1 inline.SerialRundownIrpRefs.1..result.SerialCancelTimer.601.29.3.) (=> (= inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.5..Timer.1.1382.29.SerialCancelTimer1) (=> (= inline.sdv_InterlockedDecrement.19.myNondetVar_0.4 inline.sdv_InterlockedDecrement.19.myNondetVar_0) (=> (= inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.5..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.4..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.49..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.44..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialSetTimer.5.myNondetVar_0.9 inline.SerialSetTimer.5.myNondetVar_0) (=> (= inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.25..result.userContextSwitch.3151.2.1.) (=> (= inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.17..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.26..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.747.20.1..1 inline.SerialCompleteWrite.0..result.SerialDbgPrintEx.747.20.1.) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp) (=> (= inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.11..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs) (=> (= inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1) (=> (= inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.4..NextIrp.3.227.14.SerialGetNextIrpLocked) (=> (= inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.1..TotalTimer.3.514.32.SerialRundownIrpRefs1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.48..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1..QueueToProcess.6.345.19.SerialTryToCompleteCurrent) (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp1) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.45..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.47..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.13..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.10..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.10..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.1..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1) (=> (= inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.5..cancelled.3.1402.11.SerialCancelTimer) (=> (= inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.2..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.) (=> (= inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.11..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialTryToCompleteCurrent.1.._refType.12.396.0.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.1.._refType.12.396.0.SerialTryToCompleteCurrent) (=> (= inline.SerialGetNextIrpLocked.4.myVar_0.6 inline.SerialGetNextIrpLocked.4.myVar_0) (=> (= inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.1..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1) (=> (= inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.4..QueueToProcess.2.171.19.SerialGetNextIrp) (=> (= inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.9..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..CompleteCurrent.4.173.15.SerialGetNextIrp1) (=> (= inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.4..QueueToProcess.2.226.19.SerialGetNextIrpLocked1) (=> (= inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.9..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..oldIrql.6.214.10.SerialGetNextIrp) (=> (= inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.9..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.4..NextIrp.3.172.14.SerialGetNextIrp1) (=> (= inline.sdv_InterlockedDecrement.21.myNondetVar_0.7 inline.sdv_InterlockedDecrement.21.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.5..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.13..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.5..CompleteCurrent.4.173.15.SerialGetNextIrp) (=> (= inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.22..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.13..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.11..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.SerialCompleteWrite.0..OldIrql.6.742.10.SerialCompleteWrite.0 inline.SerialCompleteWrite.0..OldIrql.6.742.10.SerialCompleteWrite) (=> (= inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.5..set.5.1350.11.SerialSetTimer) (=> (= inline.IsListEmpty.5.myNondetVar_0.3 inline.IsListEmpty.5.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.11..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextWrite.2.myNondetVar_2.6 inline.SerialGetNextWrite.2.myNondetVar_2) (=> (= inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.13..result.userContextSwitch.3310.4.2.) (=> (= inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.19..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.KeSynchronizeExecution.11.myNondetVar_0.11 inline.KeSynchronizeExecution.11.myNondetVar_0) (=> (= inline.sdv_InterlockedIncrement.6.myNondetVar_0.6 inline.sdv_InterlockedIncrement.6.myNondetVar_0) ?v_42))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_23 (and (=> true (=> ?v_0 (=> (= x.Extension.4.6630.27.sdv_main.1 ?v_24) (=> true (=> (= x.Extension.4.6630.27.sdv_main.2 x.Extension.4.6630.27.sdv_main.1) ?v_914))))) (=> true (=> ?v_29 (and (=> true (=> ?v_1 (=> (= x.Extension.4.6630.27.sdv_main.0 ?v_913) (=> true (=> (= x.Extension.4.6630.27.sdv_main.2 x.Extension.4.6630.27.sdv_main.0) ?v_915))))) (=> true (=> ?v_908 (=> true (=> (= x.Extension.4.6630.27.sdv_main.2 x.Extension.4.6630.27.sdv_main) ?v_915))))))))))))) (let ((?v_2063 (=> true (=> true (=> true (=> true (=> true ?v_931)))))) (?v_1784 (= inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent1)) (?v_1785 (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1786 (= inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite)) (?v_1787 (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1788 (= inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent)) (?v_1789 (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_1790 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1)) (?v_1791 (= inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent)) (?v_1792 (= inline.SerialGetNextWrite.3.myNondetVar_2.6 inline.SerialGetNextWrite.3.myNondetVar_2)) (?v_1793 (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1794 (= inline.RemoveHeadList.6.myNondetVar_0.5 inline.RemoveHeadList.6.myNondetVar_0)) (?v_1795 (= inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent1)) (?v_1796 (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1797 (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_1798 (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_1799 (= inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.3 inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite)) (?v_1800 (= inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_1801 (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1802 (= inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1)) (?v_1803 (= inline.SerialRundownIrpRefs.2.myVar_0.15 inline.SerialRundownIrpRefs.2.myVar_0)) (?v_1804 (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_1805 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1.)) (?v_1806 (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2.)) (?v_1807 (= inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1808 (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_1809 (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_1810 (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1.)) (?v_1811 (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_1812 (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1813 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1814 (= errorReached.70 errorReached.50)) (?v_1815 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty)) (?v_1816 (= inline.SerialCancelTimer.6.myNondetVar_0.3 inline.SerialCancelTimer.6.myNondetVar_0)) (?v_1817 (= inline.SerialTryToCompleteCurrent.2.myNondetVar_2.1 inline.SerialTryToCompleteCurrent.2.myNondetVar_2)) (?v_1818 (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp)) (?v_1819 (= inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer)) (?v_1820 (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_1821 (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1822 (= inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_1823 (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_1824 (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.7.havoc_stringTemp)) (?v_1825 (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_1826 (= inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_1827 (= inline.IsListEmpty.7.myNondetVar_0.3 inline.IsListEmpty.7.myNondetVar_0)) (?v_1828 (= inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_1829 (= inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_1830 (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution)) (?v_1831 (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_1832 (= inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1833 (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList)) (?v_1834 (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1.)) (?v_1835 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer)) (?v_1836 (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1837 (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1.)) (?v_1838 (= inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1)) (?v_1839 (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2.)) (?v_1840 (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1841 (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_1842 (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_1843 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1844 (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3.)) (?v_1845 (= inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs)) (?v_1846 (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.8 inline.SerialTryToCompleteCurrent.2.myNondetVar_0)) (?v_1847 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1848 (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2.)) (?v_1849 (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_1850 (= inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution)) (?v_1851 (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_1852 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1853 (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1854 (= inline.SerialGetNextIrpLocked.6.myVar_0.6 inline.SerialGetNextIrpLocked.6.myVar_0)) (?v_1855 (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_1856 (= inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1.)) (?v_1857 (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_1858 (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1859 (= alloc.96 alloc.76)) (?v_1860 (= inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1.)) (?v_1861 (= k.77 k.53)) (?v_1862 (= inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1)) (?v_1863 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_1864 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1865 (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_1866 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty)) (?v_1867 (= inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer)) (?v_1868 (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.4 inline.sdv_InterlockedDecrement.25.myNondetVar_0)) (?v_1869 (= inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs)) (?v_1870 (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4.)) (?v_1871 (= inline.KeSynchronizeExecution.12.myNondetVar_0.8 inline.KeSynchronizeExecution.12.myNondetVar_0)) (?v_1872 (= inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent)) (?v_1873 (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_1874 (= inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1875 (= inline.SerialGetNextIrp.7.myNondetVar_0.3 inline.SerialGetNextIrp.7.myNondetVar_0)) (?v_1876 (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1877 (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.4 inline.sdv_InterlockedDecrement.26.myNondetVar_0)) (?v_1878 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_1879 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_1880 (= inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent)) (?v_1881 (= inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs1)) (?v_1882 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1883 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1884 (= inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs)) (?v_1885 (= Mem_1_T.P_IRP.69 Mem_1_T.P_IRP.46)) (?v_1886 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_1887 (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1888 (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent)) (?v_1889 (= inline.SerialGetNextWrite.3.havoc_stringTemp.2 inline.SerialGetNextWrite.3.havoc_stringTemp)) (?v_1890 (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_1891 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1892 (= Mem_1_T.CancelRoutine__IRP.98 Mem_1_T.CancelRoutine__IRP.69)) (?v_1893 (= inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1.)) (?v_1894 (= inline.SerialGetNextWrite.3.myNondetVar_0.22 inline.SerialGetNextWrite.3.myNondetVar_0)) (?v_1895 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_1896 (= inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent)) (?v_1897 (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_1898 (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_1899 (= inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs)) (?v_1900 (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_1901 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1)) (?v_1902 (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1903 (= inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.1 inline.SerialTryToCompleteCurrent.2.havoc_stringTemp)) (?v_1904 (= inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs)) (?v_1905 (= inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1.)) (?v_1906 (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1907 (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1908 (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList)) (?v_1909 (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite)) (?v_1910 (= inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_1911 (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.6.havoc_stringTemp)) (?v_1912 (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.6 inline.sdv_InterlockedIncrement.7.myNondetVar_0)) (?v_1913 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_1914 (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1915 (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1916 (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_1917 (= inline.SerialRundownIrpRefs.2.myNondetVar_1.6 inline.SerialRundownIrpRefs.2.myNondetVar_1)) (?v_1918 (= inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs1)) (?v_1919 (= inline.SerialGetNextIrp.6.myNondetVar_0.3 inline.SerialGetNextIrp.6.myNondetVar_0)) (?v_1920 (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_1921 (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_1922 (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1.)) (?v_1923 (= inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1924 (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite)) (?v_1925 (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2.)) (?v_1926 (= inline.SerialGetNextWrite.3.myNondetVar_1.7 inline.SerialGetNextWrite.3.myNondetVar_1)) (?v_1927 (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_1928 (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_1929 (= inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1930 (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2.)) (?v_1931 (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_1932 (= inline.SerialCancelCurrentWrite.0.myNondetVar_0.1 inline.SerialCancelCurrentWrite.0.myNondetVar_0)) (?v_1933 (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_1934 (= Mem_0_T.Cancel__IRP.2 Mem_0_T.Cancel__IRP.1)) (?v_1935 (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_1936 (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite)) (?v_1937 (= Mem_0_T.P_IRP.69 Mem_0_T.P_IRP.46)) (?v_1938 (= inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1.)) (?v_1939 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_1940 (= inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2.)) (?v_1941 (= inline.SerialTryToCompleteCurrent.2.myVar_0.6 inline.SerialTryToCompleteCurrent.2.myVar_0)) (?v_1942 (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_1943 (= inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1)) (?v_1944 (= irpCompleted_1.41 irpCompleted_1.30)) (?v_1945 (= inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite)) (?v_1946 (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13.)) (?v_1947 (= inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1)) (?v_1948 (= inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2.)) (?v_1949 (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1950 (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_1951 (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1952 (= inline.IsListEmpty.8.myNondetVar_0.3 inline.IsListEmpty.8.myNondetVar_0)) (?v_1953 (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1954 (= inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp)) (?v_1955 (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_1956 (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1957 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1)) (?v_1958 (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite)) (?v_1959 (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1)) (?v_1960 (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..1 inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5.)) (?v_1961 (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2.)) (?v_1962 (= Mem_1_T.Cancel__IRP.2 Mem_1_T.Cancel__IRP.1)) (?v_1963 (= inline.SerialTryToCompleteCurrent.2.myNondetVar_1.1 inline.SerialTryToCompleteCurrent.2.myNondetVar_1)) (?v_1964 (= inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs)) (?v_1965 (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution)) (?v_1966 (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2.)) (?v_1967 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1968 (= inline.SerialGetNextIrpLocked.7.myVar_0.6 inline.SerialGetNextIrpLocked.7.myVar_0)) (?v_1969 (= inline.KeSynchronizeExecution.13.myNondetVar_0.10 inline.KeSynchronizeExecution.13.myNondetVar_0)) (?v_1970 (= inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_1971 (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_1972 (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_1973 (= inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_1974 (= Mem_0_T.CancelRoutine__IRP.98 Mem_0_T.CancelRoutine__IRP.69)) (?v_1975 (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_1976 (= inline.RemoveHeadList.7.myNondetVar_0.5 inline.RemoveHeadList.7.myNondetVar_0)) (?v_1977 (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_1978 (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.7 inline.sdv_InterlockedDecrement.28.myNondetVar_0)) (?v_1979 (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_1980 (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_1981 (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1982 (= inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent)) (?v_1983 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1984 (= inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2.)) (?v_1985 (= inline.SerialCancelTimer.7.myNondetVar_0.3 inline.SerialCancelTimer.7.myNondetVar_0)) (?v_1986 (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1.)) (?v_1987 (= inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1)) (?v_1988 (= inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1989 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1990 (= inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp)) (?v_1991 (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer)) (?v_1992 (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_1993 (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1994 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1995 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1)) (?v_1996 (= inline.SerialGetNextWrite.3.tempBoogie0.8 inline.SerialGetNextWrite.3.tempBoogie0)) (?v_1997 (= inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1.)) (?v_1998 (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer)) (?v_1999 (= inline.SerialTryToCompleteCurrent.2.._refType.12.396.0.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2.._refType.12.396.0.SerialTryToCompleteCurrent)) (?v_2000 (= inline.SerialSetTimer.6.myNondetVar_0.9 inline.SerialSetTimer.6.myNondetVar_0)) (?v_2001 (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite)) (?v_2002 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2003 (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_2004 (= inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1.)) (?v_2005 (= inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1)) (?v_2006 (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1)) (?v_2007 (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2008 (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2009 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_2010 (= inline.SerialTryToCompleteCurrent.2..newIrp.14.428.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..newIrp.14.428.13.SerialTryToCompleteCurrent)) (?v_2011 (= inline.SerialGetNextWrite.3.myVar_0.16 inline.SerialGetNextWrite.3.myVar_0)) (?v_2012 (= inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1.)) (?v_2013 (= inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite.0 inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite)) (?v_2014 (= inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2015 (= inline.KeSynchronizeExecution.14.myNondetVar_0.11 inline.KeSynchronizeExecution.14.myNondetVar_0)) (?v_2016 (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_2017 (= inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1)) (?v_2018 (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2019 (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_2020 (= inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent)) (?v_2021 (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_2022 (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4.)) (?v_2023 (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer)) (?v_2024 (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2025 (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1)) (?v_2026 (= irpCompleted_0.41 irpCompleted_0.30)) (?v_2027 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer)) (?v_2028 (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.5 inline.sdv_InterlockedDecrement.29.myNondetVar_0)) (?v_2029 (= inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2030 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2031 (= inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent)) (?v_2032 (= inline.sdv_InterlockedDecrement.30.myNondetVar_0.3 inline.sdv_InterlockedDecrement.30.myNondetVar_0)) (?v_2033 (= inline.SerialRundownIrpRefs.2.tempBoogie0.6 inline.SerialRundownIrpRefs.2.tempBoogie0)) (?v_2034 (= inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent)) (?v_2035 (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_2036 (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_2037 (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2038 (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_2039 (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2040 (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..1 inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3.)) (?v_2041 (= inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..2 inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4.)) (?v_2042 (= inline.SerialRundownIrpRefs.2.myNondetVar_2.6 inline.SerialRundownIrpRefs.2.myNondetVar_2)) (?v_2043 (= inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite)) (?v_2044 (= inline.SerialRundownIrpRefs.2.myNondetVar_0.12 inline.SerialRundownIrpRefs.2.myNondetVar_0)) (?v_2045 (= inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite1.0 inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite1)) (?v_2046 (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.5 inline.sdv_InterlockedDecrement.27.myNondetVar_0)) (?v_2047 (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2048 (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1.)) (?v_2049 (= inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_2050 (= inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2051 (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2052 (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp)) (?v_2053 (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2054 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer)) (?v_2055 (= inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite)) (?v_2056 (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2057 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2058 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1)) (?v_2059 (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1.)) (?v_2060 (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_2061 (= inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1.)) (?v_2062 (= inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_917 (= k.53 0)) (?v_919 (int_2_U (CancelRoutine__IRP hirp)))) (let ((?v_1782 (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.69 ?v_919)) SerialCancelCurrentWrite)) (?v_918 (= k.53 1)) (?v_1783 (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.69 ?v_919)) SerialCancelCurrentWrite)) (?v_964 (=> true (=> (= inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent1.0 2) (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.4) (=> (= cancelLockStatus_0.71 cancelLockStatus_0.70) (=> (= inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 0) (=> (= inline.SerialGetNextWrite.3.myNondetVar_2.6 inline.SerialGetNextWrite.3.myNondetVar_2.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.RemoveHeadList.6.myNondetVar_0.5 inline.RemoveHeadList.6.myNondetVar_0.4) (=> (= inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent1.0 inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2) (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.1) (=> (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.1) (=> (= inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.3 inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2) (=> (= inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialRundownIrpRefs.2.myVar_0.15 inline.SerialRundownIrpRefs.2.myVar_0.14) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2) (=> (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialTryToCompleteCurrent.2.myVar_0.5) (=> (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2) (=> (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3) (=> (= errorReached.70 errorReached.69) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.SerialCancelTimer.6.myNondetVar_0.3 inline.SerialCancelTimer.6.myNondetVar_0.2) (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_2.1 inline.SerialTryToCompleteCurrent.2.myNondetVar_2.0) (=> (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.7.havoc_stringTemp.2) (=> (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.IsListEmpty.7.myNondetVar_0.3 inline.IsListEmpty.7.myNondetVar_0.2) (=> (= inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialTryToCompleteCurrent.2.myVar_0.2) (=> (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.3) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..4) (=> (= inline.SerialTryToCompleteCurrent.2..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 0) (=> (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..3) (=> (= inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.8 inline.SerialTryToCompleteCurrent.2.myNondetVar_0.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..4 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..3) (=> (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1) (=> (= inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.6 inline.SerialGetNextIrpLocked.6.myVar_0.5) (=> (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..0) (=> (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= alloc.96 alloc.95) (=> (= inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..1) (=> (= k.77 k.76) (=> (= inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 SerialGrabWriteFromIsr) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3) (=> (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.1) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.4 inline.sdv_InterlockedDecrement.25.myNondetVar_0.3) (=> (= inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 0) (=> (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.KeSynchronizeExecution.12.myNondetVar_0.8 inline.KeSynchronizeExecution.12.myNondetVar_0.7) (=> (= inline.SerialTryToCompleteCurrent.2..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 SerialGrabWriteFromIsr) (=> (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextIrp.7.myNondetVar_0.3 inline.SerialGetNextIrp.7.myNondetVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.4 inline.sdv_InterlockedDecrement.26.myNondetVar_0.3) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1) (=> (= cancelLockStatus_1.71 cancelLockStatus_1.70) (=> (= inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialRundownIrpRefs.2..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.0) (=> (= Mem_1_T.P_IRP.69 Mem_1_T.P_IRP.68) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.3) (=> (= inline.SerialGetNextWrite.3.havoc_stringTemp.2 inline.SerialGetNextWrite.3.havoc_stringTemp.1) (=> (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= Mem_1_T.CancelRoutine__IRP.98 Mem_1_T.CancelRoutine__IRP.97) (=> (= inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.22 inline.SerialGetNextWrite.3.myNondetVar_0.21) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.4) (=> (= inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 SerialGetNextWrite) (=> (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.0) (=> (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.1 inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.0) (=> (= inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..2) (=> (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.1) (=> (= inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.6.havoc_stringTemp.2) (=> (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.6 inline.sdv_InterlockedIncrement.7.myNondetVar_0.5) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_1.6 inline.SerialRundownIrpRefs.2.myNondetVar_1.5) (=> (= inline.SerialRundownIrpRefs.2..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrp.6.myNondetVar_0.3 inline.SerialGetNextIrp.6.myNondetVar_0.2) (=> (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.54..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialTryToCompleteCurrent.2.myVar_0.2) (=> (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.3) (=> (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.7 inline.SerialGetNextWrite.3.myNondetVar_1.6) (=> (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..2) (=> (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.SerialCancelCurrentWrite.0.myNondetVar_0.1 inline.SerialCancelCurrentWrite.0.myNondetVar_0.0) (=> (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> ?v_1934 (=> (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5) (=> (= Mem_0_T.P_IRP.69 Mem_0_T.P_IRP.68) (=> (= inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..0) (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.6 inline.SerialTryToCompleteCurrent.2.myVar_0.5) (=> (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.SerialRundownIrpRefs.2..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= irpCompleted_1.41 irpCompleted_1.40) (=> (= inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..2) (=> (= inline.SerialTryToCompleteCurrent.2..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 SerialGetNextWrite) (=> (= inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..0) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.1) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.IsListEmpty.8.myNondetVar_0.3 inline.IsListEmpty.8.myNondetVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.3) (=> (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..1 inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..0) (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..3) (=> ?v_1962 (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_1.1 inline.SerialTryToCompleteCurrent.2.myNondetVar_1.0) (=> (= inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.0) (=> (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.4) (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.6 inline.SerialGetNextIrpLocked.7.myVar_0.5) (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.10 inline.KeSynchronizeExecution.13.myNondetVar_0.9) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.4) (=> (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= Mem_0_T.CancelRoutine__IRP.98 Mem_0_T.CancelRoutine__IRP.97) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.RemoveHeadList.7.myNondetVar_0.5 inline.RemoveHeadList.7.myNondetVar_0.4) (=> (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.7 inline.sdv_InterlockedDecrement.28.myNondetVar_0.6) (=> (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.SerialCancelTimer.7.myNondetVar_0.3 inline.SerialCancelTimer.7.myNondetVar_0.2) (=> (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..2) (=> (= inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.3) (=> (= inline.SerialGetNextWrite.3.tempBoogie0.8 inline.SerialGetNextWrite.3.tempBoogie0.7) (=> (= inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..1) (=> (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.SerialTryToCompleteCurrent.2.._refType.12.396.0.SerialTryToCompleteCurrent.0 2) (=> (= inline.SerialSetTimer.6.myNondetVar_0.9 inline.SerialSetTimer.6.myNondetVar_0.8) (=> (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.1) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..0) (=> (= inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.1) (=> (= inline.SerialTryToCompleteCurrent.2..newIrp.14.428.13.SerialTryToCompleteCurrent.0 call74225formal.new.0) (=> (= inline.SerialGetNextWrite.3.myVar_0.16 inline.SerialGetNextWrite.3.myVar_0.15) (=> (= inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite.0 hdevobj) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.58..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialTryToCompleteCurrent.2.myVar_0.5) (=> (= inline.KeSynchronizeExecution.14.myNondetVar_0.11 inline.KeSynchronizeExecution.14.myNondetVar_0.10) (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.4) (=> (= inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.3) (=> (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= irpCompleted_0.41 irpCompleted_0.40) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.3) (=> (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.5 inline.sdv_InterlockedDecrement.29.myNondetVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialTryToCompleteCurrent.2..Extension.1.340.32.SerialTryToCompleteCurrent.0 inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2) (=> (= inline.sdv_InterlockedDecrement.30.myNondetVar_0.3 inline.sdv_InterlockedDecrement.30.myNondetVar_0.2) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.6 inline.SerialRundownIrpRefs.2.tempBoogie0.5) (=> (= inline.SerialTryToCompleteCurrent.2..RefType.11.350.12.SerialTryToCompleteCurrent.0 2) (=> (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..1 inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..0) (=> (= inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..2 inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..1) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_2.6 inline.SerialRundownIrpRefs.2.myNondetVar_2.5) (=> (= inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.1) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_0.12 inline.SerialRundownIrpRefs.2.myNondetVar_0.11) (=> (= inline.SerialCancelCurrentWrite.0..DeviceObject.1.963.19.SerialCancelCurrentWrite1.0 hdevobj) (=> (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.5 inline.sdv_InterlockedDecrement.27.myNondetVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..2) (=> (= inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.3) (=> (= inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.4) (=> (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..2) (=> (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) ?v_2063)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1642 (=> true (=> true (=> true (=> true (=> true (=> true ?v_964))))))) (?v_1475 (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_1476 (= inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite)) (?v_1477 (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1478 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1479 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1)) (?v_1480 (= inline.SerialGetNextWrite.3.myNondetVar_2.5 inline.SerialGetNextWrite.3.myNondetVar_2)) (?v_1481 (= inline.RemoveHeadList.6.myNondetVar_0.4 inline.RemoveHeadList.6.myNondetVar_0)) (?v_1482 (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1483 (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_1484 (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_1485 (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_1486 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1.)) (?v_1487 (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1488 (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_1489 (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1.)) (?v_1490 (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_1491 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1492 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty)) (?v_1493 (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp)) (?v_1494 (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_1495 (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1496 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_1497 (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_1498 (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.7.havoc_stringTemp)) (?v_1499 (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_1500 (= inline.IsListEmpty.7.myNondetVar_0.2 inline.IsListEmpty.7.myNondetVar_0)) (?v_1501 (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution)) (?v_1502 (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_1503 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_1504 (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList)) (?v_1505 (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1.)) (?v_1506 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer)) (?v_1507 (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1.)) (?v_1508 (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_1509 (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1510 (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3.)) (?v_1511 (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.7 inline.SerialTryToCompleteCurrent.2.myNondetVar_0.6)) (?v_1512 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1513 (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2.)) (?v_1514 (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_1515 (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_1516 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1517 (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1518 (= inline.SerialGetNextIrpLocked.6.myVar_0.5 inline.SerialGetNextIrpLocked.6.myVar_0)) (?v_1519 (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_1520 (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1521 (= inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1.)) (?v_1522 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_1523 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1524 (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_1525 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty)) (?v_1526 (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1527 (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4.)) (?v_1528 (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_1529 (= inline.SerialGetNextIrp.7.myNondetVar_0.2 inline.SerialGetNextIrp.7.myNondetVar_0)) (?v_1530 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_1531 (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_1532 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1533 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1534 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_1535 (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution)) (?v_1536 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1537 (= inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1.)) (?v_1538 (= inline.SerialGetNextWrite.3.myNondetVar_0.21 inline.SerialGetNextWrite.3.myNondetVar_0)) (?v_1539 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_1540 (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_1541 (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.6.havoc_stringTemp)) (?v_1542 (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_1543 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1)) (?v_1544 (= inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1.)) (?v_1545 (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_1546 (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList)) (?v_1547 (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite)) (?v_1548 (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.5 inline.sdv_InterlockedIncrement.7.myNondetVar_0)) (?v_1549 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_1550 (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1551 (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_1552 (= inline.SerialGetNextIrpLocked.7.myVar_0.5 inline.SerialGetNextIrpLocked.7.myVar_0)) (?v_1553 (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_1554 (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_1555 (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_1556 (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1.)) (?v_1557 (= inline.SerialGetNextIrp.6.myNondetVar_0.2 inline.SerialGetNextIrp.6.myNondetVar_0)) (?v_1558 (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite)) (?v_1559 (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite)) (?v_1560 (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_1561 (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2.)) (?v_1562 (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4.)) (?v_1563 (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_1564 (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_1565 (= inline.SerialGetNextWrite.3.myNondetVar_1.6 inline.SerialGetNextWrite.3.myNondetVar_1)) (?v_1566 (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_1567 (= inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite)) (?v_1568 (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13.)) (?v_1569 (= inline.KeSynchronizeExecution.13.myNondetVar_0.9 inline.KeSynchronizeExecution.13.myNondetVar_0)) (?v_1570 (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1571 (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_1572 (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1573 (= inline.IsListEmpty.8.myNondetVar_0.2 inline.IsListEmpty.8.myNondetVar_0)) (?v_1574 (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1575 (= inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp)) (?v_1576 (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_1577 (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1578 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1)) (?v_1579 (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite)) (?v_1580 (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_1581 (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2.)) (?v_1582 (= inline.SerialGetNextWrite.3.havoc_stringTemp.1 inline.SerialGetNextWrite.3.havoc_stringTemp)) (?v_1583 (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2.)) (?v_1584 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1585 (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2.)) (?v_1586 (= inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_1587 (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_1588 (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_1589 (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_1590 (= inline.RemoveHeadList.7.myNondetVar_0.4 inline.RemoveHeadList.7.myNondetVar_0)) (?v_1591 (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_1592 (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_1593 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1594 (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1.)) (?v_1595 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1596 (= inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp)) (?v_1597 (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_1598 (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1599 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1)) (?v_1600 (= inline.SerialGetNextWrite.3.tempBoogie0.7 inline.SerialGetNextWrite.3.tempBoogie0)) (?v_1601 (= inline.SerialSetTimer.6.myNondetVar_0.8 inline.SerialSetTimer.6.myNondetVar_0)) (?v_1602 (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite)) (?v_1603 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1604 (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_1605 (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1)) (?v_1606 (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1607 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_1608 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1609 (= inline.SerialGetNextWrite.3.myVar_0.15 inline.SerialGetNextWrite.3.myVar_0)) (?v_1610 (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.6 inline.sdv_InterlockedDecrement.28.myNondetVar_0)) (?v_1611 (= inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1.)) (?v_1612 (= inline.KeSynchronizeExecution.14.myNondetVar_0.10 inline.KeSynchronizeExecution.14.myNondetVar_0)) (?v_1613 (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_1614 (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1615 (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_1616 (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_1617 (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer)) (?v_1618 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer)) (?v_1619 (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.4 inline.sdv_InterlockedDecrement.29.myNondetVar_0)) (?v_1620 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1621 (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1622 (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_1623 (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_1624 (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_1625 (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_1626 (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_1627 (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_1628 (= inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite)) (?v_1629 (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_1630 (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.4 inline.sdv_InterlockedDecrement.27.myNondetVar_0)) (?v_1631 (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1.)) (?v_1632 (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp)) (?v_1633 (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1634 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer)) (?v_1635 (= inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite)) (?v_1636 (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1637 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_1638 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1)) (?v_1639 (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1.)) (?v_1640 (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_1641 (= inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1.))) (let ((?v_1644 (=> true (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> (= cancelLockStatus_0.70 cancelLockStatus_0.55) (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> (= inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.30.myNondetVar_0.1) (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> (= errorReached.69 errorReached.54) (=> ?v_1492 (=> (= k.76 k.65) (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_1510 (=> ?v_1511 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) (=> ?v_1519 (=> ?v_1520 (=> (= alloc.95 alloc.78) (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> (= cancelLockStatus_1.70 cancelLockStatus_1.55) (=> ?v_1532 (=> ?v_1533 (=> (= Mem_1_T.P_IRP.68 Mem_1_T.P_IRP.48) (=> ?v_1534 (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) (=> ?v_1535 (=> ?v_1536 (=> (= Mem_1_T.CancelRoutine__IRP.97 Mem_1_T.CancelRoutine__IRP.77) (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> (= inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.0 call79234formal.new.0) (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_1562 (=> ?v_1563 (=> ?v_1564 (=> (= Mem_0_T.P_IRP.68 Mem_0_T.P_IRP.48) (=> ?v_1565 (=> ?v_1566 (=> (= irpCompleted_1.40 irpCompleted_1.32) (=> ?v_1567 (=> ?v_1568 (=> ?v_1569 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_1583 (=> ?v_1584 (=> ?v_1585 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> (= inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.30.myNondetVar_0.1) (=> (= Mem_0_T.CancelRoutine__IRP.97 Mem_0_T.CancelRoutine__IRP.77) (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> (= inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..0) (=> ?v_1594 (=> ?v_1595 (=> ?v_1596 (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> (= inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..0) (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_1610 (=> ?v_1611 (=> ?v_1612 (=> ?v_1613 (=> ?v_1614 (=> ?v_1615 (=> ?v_1616 (=> ?v_1617 (=> (= irpCompleted_0.40 irpCompleted_0.32) (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> (= inline.sdv_InterlockedDecrement.30.myNondetVar_0.2 inline.sdv_InterlockedDecrement.30.myNondetVar_0.1) (=> ?v_1621 (=> ?v_1622 (=> ?v_1623 (=> ?v_1624 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> (= inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..1 inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..0) (=> ?v_1628 (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> (= inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.30.myNondetVar_0.1) (=> ?v_1632 (=> ?v_1633 (=> ?v_1634 (=> ?v_1635 (=> ?v_1636 (=> ?v_1637 (=> ?v_1638 (=> ?v_1639 (=> ?v_1640 (=> ?v_1641 ?v_1642))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1643 (= inline.sdv_InterlockedDecrement.30.myNondetVar_0.1 0))) (let ((?v_1659 (and (=> true (=> (not ?v_1643) (=> true (=> (= inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2.) ?v_1644)))) (=> true (=> ?v_1643 (=> true (=> (= inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..0 call79438formal.ret.0) (=> true (=> true (=> true ?v_1644))))))))) (?v_1658 (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 hirp))) (let ((?v_1645 (=> true (=> (= irpCompleted_1.32 irpCompleted_1.31) (=> (= irpCompleted_0.32 irpCompleted_0.31) (=> (= inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..0 call79267formal.ret.0) (=> (= k.65 k.64) (=> (= Mem_0_T.CancelRoutine__IRP.77 Mem_0_T.CancelRoutine__IRP.76) (=> (= errorReached.54 errorReached.53) (=> (= Mem_1_T.CancelRoutine__IRP.77 Mem_1_T.CancelRoutine__IRP.76) ?v_1659))))))))) (?v_1647 (= irpCompleted_1.31 irpCompleted_1.30))) (let ((?v_1648 (=> (= irpCompleted_0.31 irpCompleted_0.30) (=> true ?v_1645))) (?v_1646 (= k.64 1))) (let ((?v_1652 (not ?v_1646)) (?v_1474 (= k.64 0))) (let ((?v_1649 (not ?v_1474))) (let ((?v_1651 (and (=> true (=> ?v_1474 (=> true (=> ?v_1647 (=> (= irpCompleted_0.31 1) ?v_1645))))) (=> true (=> ?v_1649 (and (=> true (=> ?v_1646 (=> true (=> (= irpCompleted_1.31 1) ?v_1648)))) (=> true (=> ?v_1652 (=> true (=> ?v_1647 ?v_1648))))))))) (?v_1653 (= Mem_1_T.CancelRoutine__IRP.76 Mem_1_T.CancelRoutine__IRP.74))) (let ((?v_1654 (=> (= Mem_0_T.CancelRoutine__IRP.76 Mem_0_T.CancelRoutine__IRP.74) (=> true (=> true ?v_1651)))) (?v_1650 (int_2_U (CancelRoutine__IRP inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2)))) (let ((?v_1657 (=> true (=> (<= k.63 k.64) (=> (< k.64 2) (and (=> true (=> ?v_1474 (=> (= Mem_0_T.CancelRoutine__IRP.75 (MapType0Store Mem_0_T.CancelRoutine__IRP.74 ?v_1650 ?v_35)) (=> true (=> ?v_1653 (=> (= Mem_0_T.CancelRoutine__IRP.76 Mem_0_T.CancelRoutine__IRP.75) ?v_1651)))))) (=> true (=> ?v_1649 (and (=> true (=> ?v_1646 (=> (= Mem_1_T.CancelRoutine__IRP.75 (MapType0Store Mem_1_T.CancelRoutine__IRP.74 ?v_1650 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.76 Mem_1_T.CancelRoutine__IRP.75) ?v_1654))))) (=> true (=> ?v_1652 (=> true (=> ?v_1653 ?v_1654)))))))))))) (?v_1655 (= k.63 0)) (?v_1013 (= irpCompleted_0.30 0)) (?v_1656 (= k.63 1)) (?v_1014 (= irpCompleted_1.30 0))) (let ((?v_948 (not ?v_1013)) (?v_950 (not ?v_1014)) (?v_1473 (int_2_U call79234formal.new.0))) (let ((?v_1660 (=> true (and ?v_8 (=> ?v_8 (=> (> call79234formal.new.0 0) (=> (forall ((?x1577 Int)) (! (=> (and (<= call79234formal.new.0 ?x1577) (< ?x1577 (+ call79234formal.new.0 1))) (= (Base ?x1577) call79234formal.new.0)) :pattern ((Base ?x1577)) )) (=> (forall ((?x1578 boogieU)) (! (=> (= (type ?x1578) intType) (or (= (U_2_int ?x1578) call79234formal.new.0) (= (MapType0Select alloc.77 ?x1578) (MapType0Select alloc.78 ?x1578)))) :pattern ((MapType0Select alloc.78 ?x1578)) )) (=> (and (= (MapType0Select alloc.77 ?v_1473) UNALLOCATED) (= (MapType0Select alloc.78 ?v_1473) ALLOCATED)) (and (=> true (=> ?v_1658 (=> true (=> (<= k.62 k.63) (=> (< k.63 2) (and (=> true (=> (=> ?v_1655 ?v_948) (=> (=> ?v_1656 ?v_950) (=> true (=> (= errorReached.53 1) ?v_1657))))) (=> true (=> (=> ?v_1655 ?v_1013) (=> (=> ?v_1656 ?v_1014) (=> true (=> (= errorReached.53 errorReached.52) ?v_1657))))))))))) (=> true (=> (not ?v_1658) (=> true (=> (= irpCompleted_1.32 irpCompleted_1.30) (=> (= irpCompleted_0.32 irpCompleted_0.30) (=> (= inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1.) (=> (= k.65 k.62) (=> (= Mem_0_T.CancelRoutine__IRP.77 Mem_0_T.CancelRoutine__IRP.74) (=> (= errorReached.54 errorReached.52) (=> (= Mem_1_T.CancelRoutine__IRP.77 Mem_1_T.CancelRoutine__IRP.74) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1659)))))))))))))))))))))))))))))))))))) (?v_1662 (= cancelLockStatus_1.55 cancelLockStatus_1.53))) (let ((?v_1663 (=> (= cancelLockStatus_0.55 cancelLockStatus_0.53) (=> true (=> true (=> true (=> true ?v_1660)))))) (?v_1661 (= k.62 1))) (let ((?v_1667 (not ?v_1661)) (?v_1472 (= k.62 0))) (let ((?v_1664 (not ?v_1472))) (let ((?v_1666 (and (=> true (=> ?v_1472 (=> true (=> ?v_1662 (=> (= cancelLockStatus_0.55 0) ?v_1660))))) (=> true (=> ?v_1664 (and (=> true (=> ?v_1661 (=> true (=> (= cancelLockStatus_1.55 0) ?v_1663)))) (=> true (=> ?v_1667 (=> true (=> ?v_1662 ?v_1663))))))))) (?v_1668 (= Mem_1_T.P_IRP.48 Mem_1_T.P_IRP.46))) (let ((?v_1669 (=> (= Mem_0_T.P_IRP.48 Mem_0_T.P_IRP.46) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1666)))))))) (?v_925 (int_2_U inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0))) (let ((?v_1665 (MapType0Store Mem_1_T.P_IRP.46 ?v_925 ?v_35)) (?v_1471 (MapType0Store Mem_0_T.P_IRP.46 ?v_925 ?v_35))) (let ((?v_1671 (=> true (=> (<= k.60 k.62) (=> (< k.62 2) (and (=> true (=> ?v_1472 (=> (= Mem_0_T.P_IRP.47 ?v_1471) (=> true (=> ?v_1668 (=> (= Mem_0_T.P_IRP.48 Mem_0_T.P_IRP.47) ?v_1666)))))) (=> true (=> ?v_1664 (and (=> true (=> ?v_1661 (=> (= Mem_1_T.P_IRP.47 ?v_1665) (=> true (=> (= Mem_1_T.P_IRP.48 Mem_1_T.P_IRP.47) ?v_1669))))) (=> true (=> ?v_1667 (=> true (=> ?v_1668 ?v_1669))))))))))))) (let ((?v_1673 (=> true ?v_1671)) (?v_933 (= k.60 1))) (let ((?v_1672 (not ?v_933)) (?v_1067 (U_2_int (MapType0Select Mem_1_T.P_IRP.46 ?v_925))) (?v_930 (= k.60 0))) (let ((?v_1670 (not ?v_930)) (?v_924 (U_2_int (MapType0Select Mem_0_T.P_IRP.46 ?v_925))) (?v_953 (= inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.14..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_954 (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_955 (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent)) (?v_956 (= inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.14..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_957 (= inline.SerialTryToCompleteCurrent.2.havoc_stringTemp.0 inline.SerialTryToCompleteCurrent.2.havoc_stringTemp)) (?v_958 (= inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.30..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_959 (= inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.23..result.SdvMakeChoice.4659.26.2.)) (?v_960 (= inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.14..result.userContextSwitch.2077.4.1.)) (?v_961 (= inline.sdv_InterlockedDecrement.30.myNondetVar_0.2 inline.sdv_InterlockedDecrement.30.myNondetVar_0)) (?v_962 (= inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4..1 inline.SerialTryToCompleteCurrent.2..result.SerialDbgPrintEx.501.12.4.)) (?v_963 (= inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.14..result.sdv_InterlockedDecrement.1227.36.1.))) (let ((?v_969 (=> true (=> (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.3) (=> (= cancelLockStatus_0.70 cancelLockStatus_0.69) (=> (= inline.SerialGetNextWrite.3.myNondetVar_2.5 inline.SerialGetNextWrite.3.myNondetVar_2.4) (=> (= inline.RemoveHeadList.6.myNondetVar_0.4 inline.RemoveHeadList.6.myNondetVar_0.3) (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> ?v_953 (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1) (=> (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= errorReached.69 errorReached.68) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0) (=> (= k.76 k.75) (=> (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.0) (=> (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.7.havoc_stringTemp.1) (=> (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= inline.IsListEmpty.7.myNondetVar_0.2 inline.IsListEmpty.7.myNondetVar_0.1) (=> (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0) (=> (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.2) (=> (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..2) (=> ?v_1511 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..3 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..2) (=> (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.5 inline.SerialGetNextIrpLocked.6.myVar_0.4) (=> ?v_954 (=> (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= alloc.95 alloc.94) (=> (= inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..0) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.0) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..2) (=> (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrp.7.myNondetVar_0.2 inline.SerialGetNextIrp.7.myNondetVar_0.1) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1) (=> (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= cancelLockStatus_1.70 cancelLockStatus_1.69) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= Mem_1_T.P_IRP.68 Mem_1_T.P_IRP.67) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> ?v_955 (=> (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= Mem_1_T.CancelRoutine__IRP.97 Mem_1_T.CancelRoutine__IRP.96) (=> (= inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.21 inline.SerialGetNextWrite.3.myNondetVar_0.20) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.3) (=> (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..1) (=> ?v_956 (=> (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.6.havoc_stringTemp.1) (=> (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0) (=> ?v_957 (=> (= inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..1) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.0) (=> (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.5 inline.sdv_InterlockedIncrement.7.myNondetVar_0.4) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.5 inline.SerialGetNextIrpLocked.7.myVar_0.4) (=> (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..1) (=> (= inline.SerialGetNextIrp.6.myNondetVar_0.2 inline.SerialGetNextIrp.6.myNondetVar_0.1) (=> (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.2) (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.4) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..1) (=> (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..2) (=> (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> (= Mem_0_T.P_IRP.68 Mem_0_T.P_IRP.67) (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.6 inline.SerialGetNextWrite.3.myNondetVar_1.5) (=> (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= irpCompleted_1.40 irpCompleted_1.39) (=> (= inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.0) (=> (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..1) (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.9 inline.KeSynchronizeExecution.13.myNondetVar_0.8) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.0) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.IsListEmpty.8.myNondetVar_0.2 inline.IsListEmpty.8.myNondetVar_0.1) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.0) (=> (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..1) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.2) (=> (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialGetNextWrite.3.havoc_stringTemp.1 inline.SerialGetNextWrite.3.havoc_stringTemp.0) (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..1) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.3) (=> (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> ?v_958 (=> (= Mem_0_T.CancelRoutine__IRP.97 Mem_0_T.CancelRoutine__IRP.96) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= inline.RemoveHeadList.7.myNondetVar_0.4 inline.RemoveHeadList.7.myNondetVar_0.3) (=> (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_959 (=> (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.2) (=> (= inline.SerialGetNextWrite.3.tempBoogie0.7 inline.SerialGetNextWrite.3.tempBoogie0.6) (=> ?v_960 (=> (= inline.SerialSetTimer.6.myNondetVar_0.8 inline.SerialSetTimer.6.myNondetVar_0.7) (=> (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.0) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextWrite.3.myVar_0.15 inline.SerialGetNextWrite.3.myVar_0.14) (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.6 inline.sdv_InterlockedDecrement.28.myNondetVar_0.5) (=> (= inline.sdv_IoReleaseCancelSpinLock.34..result.userContextSwitch.3151.2.1..0 call75688formal.ret.0) (=> (= inline.KeSynchronizeExecution.14.myNondetVar_0.10 inline.KeSynchronizeExecution.14.myNondetVar_0.9) (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.2) (=> (= irpCompleted_0.40 irpCompleted_0.39) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.2) (=> (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.4 inline.sdv_InterlockedDecrement.29.myNondetVar_0.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_961 (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..1) (=> ?v_962 (=> (= inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.4 inline.sdv_InterlockedDecrement.27.myNondetVar_0.3) (=> (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..1) (=> ?v_963 (=> (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.2) (=> (= inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.3) (=> (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..1) (=> (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..0) ?v_1642))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_965 (= k.75 0)) (?v_921 (int_2_U call74225formal.new.0))) (let ((?v_966 (= (U_2_int (MapType0Select Mem_0_T.P_IRP.67 ?v_921)) 0)) (?v_967 (= k.75 1)) (?v_968 (= (U_2_int (MapType0Select Mem_1_T.P_IRP.67 ?v_921)) 0))) (let ((?v_1240 (and (=> true (=> (=> ?v_965 (not ?v_966)) (=> (=> ?v_967 (not ?v_968)) (=> true (=> ?v_29 ?v_969))))) (=> true (=> (=> ?v_965 ?v_966) (=> (=> ?v_967 ?v_968) ?v_969)))))) (let ((?v_1467 (=> true ?v_1240)) (?v_1302 (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_1303 (= inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite)) (?v_1304 (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1305 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1306 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1)) (?v_1307 (= inline.SerialGetNextWrite.3.myNondetVar_2.4 inline.SerialGetNextWrite.3.myNondetVar_2)) (?v_1308 (= inline.RemoveHeadList.6.myNondetVar_0.3 inline.RemoveHeadList.6.myNondetVar_0)) (?v_1309 (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1310 (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_1311 (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.0 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_1312 (= inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp)) (?v_1313 (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_1314 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1.)) (?v_1315 (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1316 (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_1317 (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1.)) (?v_1318 (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_1319 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1320 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty)) (?v_1321 (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp)) (?v_1322 (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_1323 (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1324 (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_1325 (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.7.havoc_stringTemp)) (?v_1326 (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_1327 (= inline.IsListEmpty.7.myNondetVar_0.1 inline.IsListEmpty.7.myNondetVar_0)) (?v_1328 (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution)) (?v_1329 (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_1330 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_1331 (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList)) (?v_1332 (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1.)) (?v_1333 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer)) (?v_1334 (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1.)) (?v_1335 (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_1336 (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1337 (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3.)) (?v_1338 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1339 (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2.)) (?v_1340 (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_1341 (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_1342 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1343 (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1344 (= inline.SerialGetNextIrpLocked.6.myVar_0.4 inline.SerialGetNextIrpLocked.6.myVar_0)) (?v_1345 (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_1346 (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1347 (= inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1.)) (?v_1348 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_1349 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1350 (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_1351 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty)) (?v_1352 (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1353 (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4.)) (?v_1354 (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_1355 (= inline.SerialGetNextIrp.7.myNondetVar_0.1 inline.SerialGetNextIrp.7.myNondetVar_0)) (?v_1356 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_1357 (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_1358 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1359 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1360 (= inline.RemoveHeadList.7.myNondetVar_0.3 inline.RemoveHeadList.7.myNondetVar_0)) (?v_1361 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_1362 (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution)) (?v_1363 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1364 (= inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1.)) (?v_1365 (= inline.SerialGetNextWrite.3.myNondetVar_0.20 inline.SerialGetNextWrite.3.myNondetVar_0)) (?v_1366 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_1367 (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_1368 (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.6.havoc_stringTemp)) (?v_1369 (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_1370 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1)) (?v_1371 (= inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1.)) (?v_1372 (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_1373 (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList)) (?v_1374 (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite)) (?v_1375 (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.4 inline.sdv_InterlockedIncrement.7.myNondetVar_0)) (?v_1376 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_1377 (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1378 (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_1379 (= inline.SerialGetNextIrpLocked.7.myVar_0.4 inline.SerialGetNextIrpLocked.7.myVar_0)) (?v_1380 (= inline.SerialGetNextIrp.6.myNondetVar_0.1 inline.SerialGetNextIrp.6.myNondetVar_0)) (?v_1381 (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_1382 (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_1383 (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1.)) (?v_1384 (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.4 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite)) (?v_1385 (= inline.SerialGetNextWrite.3.myNondetVar_1.5 inline.SerialGetNextWrite.3.myNondetVar_1)) (?v_1386 (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_1387 (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_1388 (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2.)) (?v_1389 (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4.)) (?v_1390 (= inline.KeSynchronizeExecution.13.myNondetVar_0.8 inline.KeSynchronizeExecution.13.myNondetVar_0)) (?v_1391 (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_1392 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_1393 (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_1394 (= inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite)) (?v_1395 (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13.)) (?v_1396 (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1397 (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_1398 (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1399 (= inline.IsListEmpty.8.myNondetVar_0.1 inline.IsListEmpty.8.myNondetVar_0)) (?v_1400 (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1401 (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_1402 (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1403 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1)) (?v_1404 (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite)) (?v_1405 (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_1406 (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2.)) (?v_1407 (= inline.SerialGetNextWrite.3.havoc_stringTemp.0 inline.SerialGetNextWrite.3.havoc_stringTemp)) (?v_1408 (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2.)) (?v_1409 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1410 (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2.)) (?v_1411 (= inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_1412 (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_1413 (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_1414 (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_1415 (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_1416 (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_1417 (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_1418 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1419 (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1.)) (?v_1420 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1421 (= inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp)) (?v_1422 (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_1423 (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite)) (?v_1424 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1)) (?v_1425 (= inline.SerialGetNextWrite.3.tempBoogie0.6 inline.SerialGetNextWrite.3.tempBoogie0)) (?v_1426 (= inline.SerialSetTimer.6.myNondetVar_0.7 inline.SerialSetTimer.6.myNondetVar_0)) (?v_1427 (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite)) (?v_1428 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1429 (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_1430 (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1)) (?v_1431 (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1432 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_1433 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1434 (= inline.SerialGetNextWrite.3.myVar_0.14 inline.SerialGetNextWrite.3.myVar_0)) (?v_1435 (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.5 inline.sdv_InterlockedDecrement.28.myNondetVar_0)) (?v_1436 (= inline.KeSynchronizeExecution.14.myNondetVar_0.9 inline.KeSynchronizeExecution.14.myNondetVar_0)) (?v_1437 (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_1438 (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1439 (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_1440 (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_1441 (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer)) (?v_1442 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer)) (?v_1443 (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.3 inline.sdv_InterlockedDecrement.29.myNondetVar_0)) (?v_1444 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1445 (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1446 (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_1447 (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_1448 (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_1449 (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_1450 (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_1451 (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_1452 (= inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite)) (?v_1453 (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_1454 (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.3 inline.sdv_InterlockedDecrement.27.myNondetVar_0)) (?v_1455 (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1456 (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1.)) (?v_1457 (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp)) (?v_1458 (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1459 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer)) (?v_1460 (= inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite)) (?v_1461 (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1462 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_1463 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1)) (?v_1464 (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1.)) (?v_1465 (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_1466 (= inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1.))) (let ((?v_1257 (=> true (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= cancelLockStatus_0.69 cancelLockStatus_0.58) (=> ?v_1307 (=> ?v_1308 (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> ?v_1310 (=> ?v_1311 (=> (= inline.SerialGetNextIrp.7..oldIrql.6.214.10.SerialGetNextIrp.0 call78272formal.new.0) (=> ?v_1313 (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_1317 (=> (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 1) (=> ?v_1319 (=> (= errorReached.68 errorReached.60) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= k.75 k.69) (=> (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp.0 call74225formal.new.0) (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.7.havoc_stringTemp.0) (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..2 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..1) (=> ?v_1340 (=> (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 1) (=> ?v_1346 (=> (= alloc.94 alloc.87) (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..1) (=> ?v_1354 (=> (= inline.SerialGetNextIrp.7.myNondetVar_0.1 inline.SerialGetNextIrp.7.myNondetVar_0.0) (=> ?v_1356 (=> ?v_1357 (=> (= cancelLockStatus_1.69 cancelLockStatus_1.58) (=> ?v_1358 (=> ?v_1359 (=> (= inline.RemoveHeadList.7.myNondetVar_0.3 inline.RemoveHeadList.7.myNondetVar_0.2) (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> (= Mem_1_T.CancelRoutine__IRP.96 Mem_1_T.CancelRoutine__IRP.86) (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_1371 (=> ?v_1372 (=> (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.0) (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.4 inline.SerialGetNextIrpLocked.7.myVar_0.3) (=> ?v_1380 (=> (= inline.SerialGetNextIrp.7..CompleteCurrent.4.173.15.SerialGetNextIrp.0 1) (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call74225formal.new.0) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..0) (=> ?v_1389 (=> ?v_1390 (=> (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= Mem_0_T.P_IRP.67 Mem_0_T.P_IRP.55) (=> ?v_1392 (=> ?v_1393 (=> (= irpCompleted_1.39 irpCompleted_1.35) (=> ?v_1394 (=> ?v_1395 (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> ?v_1397 (=> ?v_1398 (=> (= inline.IsListEmpty.8.myNondetVar_0.1 inline.IsListEmpty.8.myNondetVar_0.0) (=> ?v_1400 (=> (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> ?v_1403 (=> ?v_1404 (=> (= inline.SerialGetNextIrp.7..NextIrp.3.172.14.SerialGetNextIrp1.0 call74225formal.new.0) (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..1) (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= Mem_0_T.CancelRoutine__IRP.96 Mem_0_T.CancelRoutine__IRP.86) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.SerialGetNextIrpLocked.7..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 1) (=> (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> ?v_1417 (=> ?v_1418 (=> (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..0) (=> ?v_1420 (=> ?v_1421 (=> (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> (= inline.SerialGetNextIrpLocked.7..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.7..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_1441 (=> (= irpCompleted_0.39 irpCompleted_0.35) (=> ?v_1442 (=> (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.3 inline.sdv_InterlockedDecrement.29.myNondetVar_0.2) (=> ?v_1444 (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> ?v_1446 (=> ?v_1447 (=> (= inline.SerialGetNextIrp.7..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_1449 (=> ?v_1450 (=> (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..0) (=> ?v_1452 (=> (= inline.SerialGetNextIrp.7..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= Mem_1_T.P_IRP.67 Mem_1_T.P_IRP.55) (=> ?v_1454 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> (= inline.SerialGetNextIrpLocked.7..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call74225formal.new.0) (=> (= inline.SerialGetNextIrpLocked.7..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0) ?v_1467))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1258 (=> true (=> (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.7.havoc_stringTemp) (=> (= Mem_0_T.CancelRoutine__IRP.86 Mem_0_T.CancelRoutine__IRP.80) (=> (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= irpCompleted_0.35 irpCompleted_0.30) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= irpCompleted_1.35 irpCompleted_1.30) (=> (= Mem_1_T.CancelRoutine__IRP.86 Mem_1_T.CancelRoutine__IRP.80) (=> (= errorReached.60 errorReached.56) (=> (= alloc.87 alloc.83) (=> (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.2 inline.sdv_InterlockedDecrement.29.myNondetVar_0) (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1.) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1257))))))))))))))))))))))) (?v_1256 (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2 0)) (?v_1242 (=> true (=> (= inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.7..result.SerialDbgPrintEx.331.12.4..0) (=> (= inline.SerialGetNextIrpLocked.7.havoc_stringTemp.0 call78612formal.new.0) (=> (= Mem_0_T.CancelRoutine__IRP.86 Mem_0_T.CancelRoutine__IRP.83) (=> (= inline.sdv_InterlockedDecrement.29..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.29.myNondetVar_0.1) (=> (= irpCompleted_0.35 irpCompleted_0.34) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= irpCompleted_1.35 irpCompleted_1.34) (=> (= Mem_1_T.CancelRoutine__IRP.86 Mem_1_T.CancelRoutine__IRP.83) (=> (= errorReached.60 errorReached.58) (=> (= alloc.87 alloc.85) (=> (= inline.SerialIRPEpilogue.13..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.29.myNondetVar_0.1) (=> (= inline.sdv_IoCompleteRequest.13..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.2 inline.sdv_InterlockedDecrement.29.myNondetVar_0.1) (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.SerialIRPEpilogue.13..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.29.myNondetVar_0.1) ?v_1257))))))))))))))))) (?v_1241 (= inline.sdv_InterlockedDecrement.29.myNondetVar_0.1 0))) (let ((?v_1255 (and (=> true (=> (not ?v_1241) (=> true (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2.) ?v_1242)))) (=> true (=> ?v_1241 (=> true (=> (= inline.KeSetEvent.22..result.SdvMakeChoice.4659.26.2..0 call78813formal.ret.0) (=> true (=> true (=> true ?v_1242))))))))) (?v_1254 (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2 hirp))) (let ((?v_1244 (=> true (=> (= irpCompleted_1.34 irpCompleted_1.33) (=> (= irpCompleted_0.34 irpCompleted_0.33) (=> (= Mem_1_T.CancelRoutine__IRP.83 Mem_1_T.CancelRoutine__IRP.82) (=> (= Mem_0_T.CancelRoutine__IRP.83 Mem_0_T.CancelRoutine__IRP.82) (=> (= errorReached.58 errorReached.57) ?v_1255))))))) (?v_1245 (= irpCompleted_1.33 irpCompleted_1.30))) (let ((?v_1246 (=> (= irpCompleted_0.33 irpCompleted_0.30) (=> true ?v_1244))) (?v_1243 (= k.69 1))) (let ((?v_1250 (not ?v_1243)) (?v_1237 (= k.69 0))) (let ((?v_1247 (not ?v_1237))) (let ((?v_1249 (and (=> true (=> ?v_1237 (=> true (=> ?v_1245 (=> (= irpCompleted_0.33 1) ?v_1244))))) (=> true (=> ?v_1247 (and (=> true (=> ?v_1243 (=> true (=> (= irpCompleted_1.33 1) ?v_1246)))) (=> true (=> ?v_1250 (=> true (=> ?v_1245 ?v_1246))))))))) (?v_1251 (= Mem_1_T.CancelRoutine__IRP.82 Mem_1_T.CancelRoutine__IRP.80))) (let ((?v_1252 (=> (= Mem_0_T.CancelRoutine__IRP.82 Mem_0_T.CancelRoutine__IRP.80) (=> true (=> true ?v_1249)))) (?v_1248 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2)))) (let ((?v_1253 (and (=> true (=> ?v_1237 (=> (= Mem_0_T.CancelRoutine__IRP.81 (MapType0Store Mem_0_T.CancelRoutine__IRP.80 ?v_1248 ?v_35)) (=> true (=> ?v_1251 (=> (= Mem_0_T.CancelRoutine__IRP.82 Mem_0_T.CancelRoutine__IRP.81) ?v_1249)))))) (=> true (=> ?v_1247 (and (=> true (=> ?v_1243 (=> (= Mem_1_T.CancelRoutine__IRP.81 (MapType0Store Mem_1_T.CancelRoutine__IRP.80 ?v_1248 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.82 Mem_1_T.CancelRoutine__IRP.81) ?v_1252))))) (=> true (=> ?v_1250 (=> true (=> ?v_1251 ?v_1252))))))))) (?v_1239 (int_2_U call78612formal.new.0))) (let ((?v_1259 (and (=> true (=> ?v_1238 (and (=> true (=> (not ?v_1256) (=> true (and ?v_8 (=> ?v_8 (=> (> call78612formal.new.0 0) (=> (forall ((?x1579 Int)) (! (=> (and (<= call78612formal.new.0 ?x1579) (< ?x1579 (+ call78612formal.new.0 1))) (= (Base ?x1579) call78612formal.new.0)) :pattern ((Base ?x1579)) )) (=> (forall ((?x1580 boogieU)) (! (=> (= (type ?x1580) intType) (or (= (U_2_int ?x1580) call78612formal.new.0) (= (MapType0Select alloc.83 ?x1580) (MapType0Select alloc.85 ?x1580)))) :pattern ((MapType0Select alloc.85 ?x1580)) )) (=> (and (= (MapType0Select alloc.83 ?v_1239) UNALLOCATED) (= (MapType0Select alloc.85 ?v_1239) ALLOCATED)) (and (=> true (=> ?v_1254 (and (=> true (=> (=> ?v_1237 ?v_948) (=> (=> ?v_1243 ?v_950) (=> true (=> (= errorReached.57 1) ?v_1253))))) (=> true (=> (=> ?v_1237 ?v_1013) (=> (=> ?v_1243 ?v_1014) (=> true (=> (= errorReached.57 errorReached.56) (=> true ?v_1253))))))))) (=> true (=> (not ?v_1254) (=> true (=> (= irpCompleted_1.34 irpCompleted_1.30) (=> (= irpCompleted_0.34 irpCompleted_0.30) (=> (= Mem_1_T.CancelRoutine__IRP.83 Mem_1_T.CancelRoutine__IRP.80) (=> (= Mem_0_T.CancelRoutine__IRP.83 Mem_0_T.CancelRoutine__IRP.80) (=> (= errorReached.58 errorReached.56) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1255))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1256 ?v_1258))))) (=> true (=> ?v_393 ?v_1258)))) (?v_1260 (= cancelLockStatus_1.58 cancelLockStatus_1.57))) (let ((?v_1261 (=> (= cancelLockStatus_0.58 cancelLockStatus_0.57) (=> true (=> true (=> true (=> true (=> true ?v_1259)))))))) (let ((?v_1262 (and (=> true (=> ?v_1237 (=> true (=> ?v_1260 (=> (= cancelLockStatus_0.58 0) ?v_1259))))) (=> true (=> ?v_1247 (and (=> true (=> ?v_1243 (=> true (=> (= cancelLockStatus_1.58 0) ?v_1261)))) (=> true (=> ?v_1250 (=> true (=> ?v_1260 ?v_1261))))))))) (?v_1263 (= Mem_1_T.P_IRP.55 Mem_1_T.P_IRP.53))) (let ((?v_1264 (=> (= Mem_0_T.P_IRP.55 Mem_0_T.P_IRP.53) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1262))))))))) (let ((?v_1272 (and (=> true (=> ?v_1237 (=> (= Mem_0_T.P_IRP.54 (MapType0Store Mem_0_T.P_IRP.53 ?v_921 (MapType0Select Mem_0_T.P_IRP.53 ?v_925))) (=> true (=> ?v_1263 (=> (= Mem_0_T.P_IRP.55 Mem_0_T.P_IRP.54) ?v_1262)))))) (=> true (=> ?v_1247 (and (=> true (=> ?v_1243 (=> (= Mem_1_T.P_IRP.54 (MapType0Store Mem_1_T.P_IRP.53 ?v_921 (MapType0Select Mem_1_T.P_IRP.53 ?v_925))) (=> true (=> (= Mem_1_T.P_IRP.55 Mem_1_T.P_IRP.54) ?v_1264))))) (=> true (=> ?v_1250 (=> true (=> ?v_1263 ?v_1264)))))))))) (let ((?v_1274 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.80 Mem_0_T.CancelRoutine__IRP.79) (=> (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.7.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.7.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= Mem_0_T.P_IRP.53 Mem_0_T.P_IRP.52) (=> (= errorReached.56 errorReached.55) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.7.myVar_0.2) (=> (= inline.RemoveHeadList.7.myNondetVar_0.2 inline.RemoveHeadList.7.myNondetVar_0.1) (=> (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..0) (=> (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.7.myNondetVar_0.0) (=> (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.7.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= Mem_1_T.P_IRP.53 Mem_1_T.P_IRP.52) (=> (= Mem_1_T.CancelRoutine__IRP.80 Mem_1_T.CancelRoutine__IRP.79) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.3 inline.SerialGetNextIrpLocked.7.myVar_0.2) (=> (= k.69 k.68) (=> (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.7.myNondetVar_0.0) (=> true ?v_1272))))))))))))))))))))) (?v_1276 (= Mem_1_T.CancelRoutine__IRP.79 Mem_1_T.CancelRoutine__IRP.74))) (let ((?v_1277 (=> (= Mem_0_T.CancelRoutine__IRP.79 Mem_0_T.CancelRoutine__IRP.74) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1274)))))))) (?v_1275 (= k.68 1)) (?v_1271 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.7.myVar_0.2))) (?v_1273 (= k.68 0))) (let ((?v_1282 (and (=> true (=> ?v_1273 (=> (= Mem_0_T.CancelRoutine__IRP.78 (MapType0Store Mem_0_T.CancelRoutine__IRP.74 ?v_1271 ?v_35)) (=> true (=> ?v_1276 (=> (= Mem_0_T.CancelRoutine__IRP.79 Mem_0_T.CancelRoutine__IRP.78) ?v_1274)))))) (=> true (=> (not ?v_1273) (and (=> true (=> ?v_1275 (=> (= Mem_1_T.CancelRoutine__IRP.78 (MapType0Store Mem_1_T.CancelRoutine__IRP.74 ?v_1271 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.79 Mem_1_T.CancelRoutine__IRP.78) ?v_1277))))) (=> true (=> (not ?v_1275) (=> true (=> ?v_1276 ?v_1277)))))))))) (let ((?v_1284 (=> (= errorReached.55 errorReached.52) (=> true ?v_1282))) (?v_1283 (= inline.SerialGetNextIrpLocked.7.myVar_0.2 hirp)) (?v_1280 (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..0 call79071formal.ret.0)) (?v_1281 (= k.68 k.67)) (?v_1278 (= k.67 0)) (?v_1279 (= k.67 1))) (let ((?v_1286 (and (=> true (=> ?v_1283 (=> true (=> (<= k.61 k.67) (=> (< k.67 2) (and (=> true (=> (=> ?v_1278 ?v_948) (=> (=> ?v_1279 ?v_950) (=> true (=> ?v_1280 (=> ?v_1281 (=> (= errorReached.55 1) ?v_1282))))))) (=> true (=> (=> ?v_1278 ?v_1013) (=> (=> ?v_1279 ?v_1014) (=> true (=> ?v_1280 (=> ?v_1281 ?v_1284)))))))))))) (=> true (=> (not ?v_1283) (=> true (=> (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2.) (=> (= k.68 k.61) ?v_1284)))))))) (let ((?v_1288 (=> true (=> true ?v_1286))) (?v_1265 (= k.61 1))) (let ((?v_1287 (not ?v_1265)) (?v_1235 (= k.61 0))) (let ((?v_1285 (not ?v_1235))) (let ((?v_1290 (and (=> true (=> ?v_1235 (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.74 ?v_1271))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_1286))))) (=> true (=> ?v_1285 (and (=> true (=> ?v_1265 (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.74 ?v_1271))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_1288))))) (=> true (=> ?v_1287 (=> true (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_1288)))))))))) (let ((?v_1291 (=> true (=> true (=> true (=> true (=> true ?v_1290)))))) (?v_1289 (U_2_int (MapType0Select Mem_1_T.P_IRP.52 ?v_925))) (?v_1270 (U_2_int (MapType0Select Mem_0_T.P_IRP.52 ?v_925)))) (let ((?v_1293 (=> true (=> (=> ?v_1235 (not (= ?v_1270 hirp))) (=> (=> ?v_1265 (not (= ?v_1289 hirp))) (and (=> true (=> ?v_1235 (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.0 ?v_1270) (=> true (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.2 inline.SerialGetNextIrpLocked.7.myVar_0.0) ?v_1290))))) (=> true (=> ?v_1285 (and (=> true (=> ?v_1265 (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.1 ?v_1289) (=> true (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.2 inline.SerialGetNextIrpLocked.7.myVar_0.1) ?v_1291))))) (=> true (=> ?v_1287 (=> true (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.2 inline.SerialGetNextIrpLocked.7.myVar_0) ?v_1291)))))))))))) (?v_1294 (= Mem_1_T.P_IRP.52 Mem_1_T.P_IRP.46))) (let ((?v_1295 (=> (= Mem_0_T.P_IRP.52 Mem_0_T.P_IRP.46) (=> true ?v_1293))) (?v_1292 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.7.myNondetVar_0.0 1 88))) (?v_1269 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0 0)) (?v_1266 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.80 Mem_0_T.CancelRoutine__IRP.74) (=> (= inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.7..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= Mem_0_T.P_IRP.53 Mem_0_T.P_IRP.50) (=> (= errorReached.56 errorReached.52) (=> (= inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.17..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.RemoveHeadList.7.myNondetVar_0.2 inline.RemoveHeadList.7.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.17..result.userContextSwitch.3310.4.2.) (=> (= inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.7..result.RemoveHeadList.6743.0.1.) (=> (= inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.7..result.RemoveHeadList.302.35.2.) (=> (= inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.17..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= Mem_1_T.P_IRP.53 Mem_1_T.P_IRP.50) (=> (= Mem_1_T.CancelRoutine__IRP.80 Mem_1_T.CancelRoutine__IRP.74) (=> (= inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.17..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextIrpLocked.7.myVar_0.3 inline.SerialGetNextIrpLocked.7.myVar_0) (=> (= k.69 k.61) (=> (= inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.7..Entry.3.6748.16.RemoveHeadList) ?v_1272)))))))))))))))))))) (?v_1267 (= Mem_1_T.P_IRP.50 Mem_1_T.P_IRP.46))) (let ((?v_1268 (=> (= Mem_0_T.P_IRP.50 Mem_0_T.P_IRP.46) (=> true ?v_1266)))) (let ((?v_1296 (=> true (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.8.myNondetVar_0.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0))) (and (=> true (=> (not ?v_1269) (and (=> true (=> ?v_1235 (=> (= Mem_0_T.P_IRP.49 ?v_1471) (=> true (=> ?v_1267 (=> (= Mem_0_T.P_IRP.50 Mem_0_T.P_IRP.49) ?v_1266)))))) (=> true (=> ?v_1285 (and (=> true (=> ?v_1265 (=> (= Mem_1_T.P_IRP.49 ?v_1665) (=> true (=> (= Mem_1_T.P_IRP.50 Mem_1_T.P_IRP.49) ?v_1268))))) (=> true (=> ?v_1287 (=> true (=> ?v_1267 ?v_1268)))))))))) (=> true (=> ?v_1269 (and (=> true (=> ?v_1235 (=> (= Mem_0_T.P_IRP.51 (MapType0Store Mem_0_T.P_IRP.46 ?v_925 ?v_1292)) (=> true (=> ?v_1294 (=> (= Mem_0_T.P_IRP.52 Mem_0_T.P_IRP.51) ?v_1293)))))) (=> true (=> ?v_1285 (and (=> true (=> ?v_1265 (=> (= Mem_1_T.P_IRP.51 (MapType0Store Mem_1_T.P_IRP.46 ?v_925 ?v_1292)) (=> true (=> (= Mem_1_T.P_IRP.52 Mem_1_T.P_IRP.51) ?v_1295))))) (=> true (=> ?v_1287 (=> true (=> ?v_1294 ?v_1295))))))))))))))) (let ((?v_1297 (=> true (=> true (=> true (=> true ?v_1296)))))) (let ((?v_1298 (and (=> true (=> ?v_1235 (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.0 ?v_924) (=> true (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_1296))))) (=> true (=> ?v_1285 (and (=> true (=> ?v_1265 (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.1 ?v_1067) (=> true (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_1297))))) (=> true (=> ?v_1287 (=> true (=> (= inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.7..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_1297))))))))) (?v_1299 (= cancelLockStatus_1.57 cancelLockStatus_1.56))) (let ((?v_1300 (=> (= cancelLockStatus_0.57 cancelLockStatus_0.56) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1298))))))))))) (?v_944 (= cancelLockStatus_0.56 0)) (?v_1236 (= cancelLockStatus_1.56 0)) (?v_1234 (int_2_U call78272formal.new.0)) (?v_952 (int_2_U call77187formal.new.0))) (let ((?v_991 (=> true (and ?v_8 (=> ?v_8 (=> (> call77187formal.new.0 0) (=> (forall ((?x1583 Int)) (! (=> (and (<= call77187formal.new.0 ?x1583) (< ?x1583 (+ call77187formal.new.0 1))) (= (Base ?x1583) call77187formal.new.0)) :pattern ((Base ?x1583)) )) (=> (forall ((?x1584 boogieU)) (! (=> (= (type ?x1584) intType) (or (= (U_2_int ?x1584) call77187formal.new.0) (= (MapType0Select alloc.92 ?x1584) (MapType0Select alloc.93 ?x1584)))) :pattern ((MapType0Select alloc.93 ?x1584)) )) (=> (and (= (MapType0Select alloc.92 ?v_952) UNALLOCATED) (= (MapType0Select alloc.93 ?v_952) ALLOCATED)) (=> true (=> (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.3..delta.13.616.34.SerialGetNextWrite.0 call75779formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.2) (=> (= cancelLockStatus_0.69 cancelLockStatus_0.68) (=> (= inline.SerialGetNextWrite.3.myNondetVar_2.4 inline.SerialGetNextWrite.3.myNondetVar_2.3) (=> (= inline.RemoveHeadList.6.myNondetVar_0.3 inline.RemoveHeadList.6.myNondetVar_0.2) (=> ?v_1309 (=> (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite1.0 call74225formal.new.0) (=> (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_1312 (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0) (=> ?v_1318 (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= errorReached.68 errorReached.67) (=> ?v_1320 (=> (= k.75 k.74) (=> ?v_1321 (=> (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.3.myVar_0.2) (=> (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> ?v_1325 (=> (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.IsListEmpty.7.myNondetVar_0.1 inline.IsListEmpty.7.myNondetVar_0.0) (=> (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.0) (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.1) (=> (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_1339 (=> (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> ?v_1341 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.4 inline.SerialGetNextIrpLocked.6.myVar_0.3) (=> ?v_1345 (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= alloc.94 alloc.93) (=> (= inline.SerialGetNextIrpLocked.6..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> ?v_1353 (=> (= inline.SerialGetNextIrp.6..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> ?v_1355 (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0) (=> (= inline.SerialGetNextIrp.6..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= cancelLockStatus_1.69 cancelLockStatus_1.68) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_1360 (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= Mem_1_T.CancelRoutine__IRP.96 Mem_1_T.CancelRoutine__IRP.95) (=> (= inline.sdv_IoAcquireCancelSpinLock.22..result.userContextSwitch.1645.2.1..0 call76227formal.ret.0) (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.20 inline.SerialGetNextWrite.3.myNondetVar_0.19) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.2) (=> (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.6.havoc_stringTemp.0) (=> (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp1.0 call74225formal.new.0) (=> ?v_1370 (=> (= inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..0) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> ?v_1373 (=> (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2) (=> (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.4 inline.sdv_InterlockedIncrement.7.myNondetVar_0.3) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialGetNextIrpLocked.6..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> ?v_1379 (=> (= inline.SerialGetNextIrp.6.myNondetVar_0.1 inline.SerialGetNextIrp.6.myNondetVar_0.0) (=> ?v_1381 (=> (= inline.SerialGetNextIrp.6..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.493.19.1..0) (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.4 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.3) (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.5 inline.SerialGetNextWrite.3.myNondetVar_1.4) (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..1) (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.8 inline.KeSynchronizeExecution.13.myNondetVar_0.7) (=> ?v_1391 (=> (= Mem_0_T.P_IRP.67 Mem_0_T.P_IRP.66) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= irpCompleted_1.39 irpCompleted_1.38) (=> (= inline.SerialGetNextWrite.3..OldIrql.8.522.18.SerialGetNextWrite.0 call75776formal.new.0) (=> (= inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.3..result.SerialDbgPrintEx.703.20.13..0) (=> ?v_1396 (=> (= inline.SerialGetNextWrite.3..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> ?v_1399 (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> ?v_1401 (=> ?v_1402 (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.1) (=> ?v_1405 (=> ?v_1406 (=> (= inline.SerialGetNextWrite.3.havoc_stringTemp.0 call77187formal.new.0) (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..0) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 1) (=> ?v_1412 (=> ?v_1413 (=> (= Mem_0_T.CancelRoutine__IRP.96 Mem_0_T.CancelRoutine__IRP.95) (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> (= inline.SerialGetNextIrpLocked.6..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_1419 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextIrp.6..oldIrql.6.214.10.SerialGetNextIrp.0 call76196formal.new.0) (=> ?v_1422 (=> (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.1) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.1) (=> (= inline.SerialGetNextWrite.3.tempBoogie0.6 inline.SerialGetNextWrite.3.tempBoogie0.5) (=> (= inline.SerialSetTimer.6.myNondetVar_0.7 inline.SerialSetTimer.6.myNondetVar_0.6) (=> (= inline.SerialGetNextWrite.3..NewIrp.3.446.13.SerialGetNextWrite.0 call74225formal.new.0) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextIrpLocked.6..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.3..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextWrite.3.myVar_0.14 inline.SerialGetNextWrite.3.myVar_0.13) (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.5 inline.sdv_InterlockedDecrement.28.myNondetVar_0.4) (=> (= inline.KeSynchronizeExecution.14.myNondetVar_0.9 inline.KeSynchronizeExecution.14.myNondetVar_0.8) (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.3.myVar_0.2) (=> ?v_1439 (=> ?v_1440 (=> (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.1) (=> (= irpCompleted_0.39 irpCompleted_0.38) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.1) (=> ?v_1443 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_1445 (=> (= inline.SerialGetNextWrite.3..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call74225formal.new.0) (=> ?v_1448 (=> (= inline.SerialGetNextIrpLocked.6..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call74225formal.new.0) (=> (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..0) (=> ?v_1451 (=> (= inline.SerialGetNextWrite.3..OldIrql.16.659.18.SerialGetNextWrite.0 call75770formal.new.0) (=> ?v_1453 (=> (= Mem_1_T.P_IRP.67 Mem_1_T.P_IRP.66) (=> (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.3 inline.sdv_InterlockedDecrement.27.myNondetVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..0) (=> (= inline.SerialGetNextIrp.6..NextIrp.3.172.14.SerialGetNextIrp.0 call74225formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.1) (=> (= inline.SerialGetNextWrite.3..OldIrql.7.507.18.SerialGetNextWrite.0 call75773formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.2) (=> (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..0) (=> ?v_1465 (=> ?v_1466 ?v_1240))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_990 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1))) (let ((?v_993 (=> true (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialProcessEmptyTransmit) (=> (= cancelLockStatus_1.68 cancelLockStatus_1.67) (=> (= cancelLockStatus_0.68 cancelLockStatus_0.67) (=> (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialProcessEmptyTransmit) (=> (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..0 call77206formal.ret.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> ?v_990 (=> (= inline.SerialGetNextWrite.3.myVar_0.13 inline.SerialGetNextWrite.3.myVar_0.9) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.7 inline.KeSynchronizeExecution.13.myNondetVar_0.6) (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..0) (=> (= k.74 k.73) (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.19 inline.SerialGetNextWrite.3.myNondetVar_0.18) ?v_991)))))))))))))))))) (?v_994 (= cancelLockStatus_1.67 cancelLockStatus_1.66))) (let ((?v_995 (=> (= cancelLockStatus_0.67 cancelLockStatus_0.66) (=> true (=> true (=> true (=> true ?v_993)))))) (?v_992 (= k.73 1))) (let ((?v_999 (not ?v_992)) (?v_988 (= k.73 0))) (let ((?v_997 (not ?v_988))) (let ((?v_996 (and (=> true (=> ?v_988 (=> true (=> ?v_994 (=> (= cancelLockStatus_0.67 0) ?v_993))))) (=> true (=> ?v_997 (and (=> true (=> ?v_992 (=> true (=> (= cancelLockStatus_1.67 0) ?v_995)))) (=> true (=> ?v_999 (=> true (=> ?v_994 ?v_995)))))))))) (let ((?v_998 (and (=> true (=> ?v_989 (=> true (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.13..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.6 inline.KeSynchronizeExecution.13.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.13..result.SynchronizeRoutine.4679.26.2.) ?v_996)))))) (=> true (=> ?v_115 (=> true (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.6 inline.KeSynchronizeExecution.13.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_996)))))))))))))))) (?v_1000 (= cancelLockStatus_1.66 cancelLockStatus_1.65))) (let ((?v_1001 (=> (= cancelLockStatus_0.66 cancelLockStatus_0.65) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_998))))))))))) (?v_987 (= cancelLockStatus_0.65 0)) (?v_1022 (= cancelLockStatus_1.65 0)) (?v_946 (= k.72 0)) (?v_951 (U_2_int (MapType0Select Mem_0_T.P_IRP.66 ?v_921)))) (let ((?v_985 (= ?v_951 0)) (?v_949 (= k.72 1)) (?v_982 (U_2_int (MapType0Select Mem_1_T.P_IRP.66 ?v_921)))) (let ((?v_986 (= ?v_982 0)) (?v_971 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_972 (= cancelLockStatus_1.68 cancelLockStatus_1.65)) (?v_973 (= cancelLockStatus_0.68 cancelLockStatus_0.65)) (?v_974 (= inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.13..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_975 (= inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.23..result.userContextSwitch.1645.2.1.)) (?v_976 (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.3.myVar_0.12)) (?v_977 (= inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.13..b.4.4670.12.KeSynchronizeExecution)) (?v_978 (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_979 (=> (= inline.SerialGetNextWrite.3.myVar_0.13 inline.SerialGetNextWrite.3.myVar_0.12) (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.3.myVar_0.12) (=> (= inline.KeSynchronizeExecution.13.myNondetVar_0.7 inline.KeSynchronizeExecution.13.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.13..result.KeSynchronizeExecution.4664.0.1.) (=> (= k.74 k.72) (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.19 inline.SerialGetNextWrite.3.myNondetVar_0.16) ?v_991)))))))) (?v_970 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 9))) (let ((?v_981 (and (=> true (=> ?v_970 (=> true (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.2 1) ?v_979)))))))))))) (=> true (=> (not ?v_970) (=> true (=> ?v_971 (=> ?v_972 (=> ?v_973 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_977 (=> ?v_978 (=> ?v_990 ?v_979)))))))))))))) (?v_980 (= inline.SerialGetNextWrite.3.myVar_0.12 hirp))) (let ((?v_983 (and (=> true (=> ?v_980 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_981)))) (=> true (=> (not ?v_980) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.62..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_981))))))))))) (let ((?v_984 (=> true (=> true (=> true (=> true ?v_983))))) (?v_1006 (not ?v_949)) (?v_1004 (not ?v_946))) (let ((?v_1019 (and (=> true (=> (=> ?v_946 (not ?v_985)) (=> (=> ?v_949 (not ?v_986)) (and (=> true (=> ?v_946 (=> (= inline.SerialGetNextWrite.3.myVar_0.10 ?v_951) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.12 inline.SerialGetNextWrite.3.myVar_0.10) ?v_983))))) (=> true (=> ?v_1004 (and (=> true (=> ?v_949 (=> (= inline.SerialGetNextWrite.3.myVar_0.11 ?v_982) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.12 inline.SerialGetNextWrite.3.myVar_0.11) ?v_984))))) (=> true (=> ?v_1006 (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.12 inline.SerialGetNextWrite.3.myVar_0.9) ?v_984))))))))))) (=> true (=> (=> ?v_946 ?v_985) (=> (=> ?v_949 ?v_986) (=> true (=> (<= k.72 k.73) (=> (< k.73 2) (=> true (=> (=> ?v_988 ?v_987) (=> (=> ?v_992 ?v_1022) (and (=> true (=> ?v_988 (=> true (=> ?v_1000 (=> (= cancelLockStatus_0.66 1) ?v_998))))) (=> true (=> ?v_997 (and (=> true (=> ?v_992 (=> true (=> (= cancelLockStatus_1.66 1) ?v_1001)))) (=> true (=> ?v_999 (=> true (=> ?v_1000 ?v_1001)))))))))))))))))))) (let ((?v_1021 (=> true (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.6.havoc_stringTemp) (=> (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.2 inline.sdv_InterlockedDecrement.27.myNondetVar_0) (=> (= Mem_0_T.CancelRoutine__IRP.95 Mem_0_T.CancelRoutine__IRP.91) (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= irpCompleted_0.38 irpCompleted_0.30) (=> (= alloc.92 alloc.90) (=> (= irpCompleted_1.38 irpCompleted_1.30) (=> (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4.) (=> (= Mem_1_T.CancelRoutine__IRP.95 Mem_1_T.CancelRoutine__IRP.91) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= errorReached.67 errorReached.64) (=> (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1019)))))))))))))))))))))))) (?v_1020 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1 0)) (?v_1018 (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2 0)) (?v_1003 (=> true (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.SerialGetNextIrpLocked.6.havoc_stringTemp.0 call76538formal.new.0) (=> (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.2 inline.sdv_InterlockedDecrement.27.myNondetVar_0.1) (=> (= Mem_0_T.CancelRoutine__IRP.95 Mem_0_T.CancelRoutine__IRP.94) (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.SerialIRPEpilogue.12..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.27.myNondetVar_0.1) (=> (= inline.SerialIRPEpilogue.12..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.27.myNondetVar_0.1) (=> (= irpCompleted_0.38 irpCompleted_0.37) (=> (= alloc.92 alloc.91) (=> (= irpCompleted_1.38 irpCompleted_1.37) (=> (= inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.6..result.SerialDbgPrintEx.331.12.4..0) (=> (= Mem_1_T.CancelRoutine__IRP.95 Mem_1_T.CancelRoutine__IRP.94) (=> (= inline.sdv_IoCompleteRequest.12..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= errorReached.67 errorReached.66) (=> (= inline.sdv_InterlockedDecrement.27..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.27.myNondetVar_0.1) ?v_1019))))))))))))))))) (?v_1002 (= inline.sdv_InterlockedDecrement.27.myNondetVar_0.1 0))) (let ((?v_1017 (and (=> true (=> (not ?v_1002) (=> true (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2.) ?v_1003)))) (=> true (=> ?v_1002 (=> true (=> (= inline.KeSetEvent.21..result.SdvMakeChoice.4659.26.2..0 call76739formal.ret.0) (=> true (=> true (=> true ?v_1003))))))))) (?v_1016 (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2 hirp))) (let ((?v_1005 (=> true (=> (= irpCompleted_1.37 irpCompleted_1.36) (=> (= irpCompleted_0.37 irpCompleted_0.36) (=> (= Mem_1_T.CancelRoutine__IRP.94 Mem_1_T.CancelRoutine__IRP.93) (=> (= Mem_0_T.CancelRoutine__IRP.94 Mem_0_T.CancelRoutine__IRP.93) (=> (= errorReached.66 errorReached.65) ?v_1017))))))) (?v_1007 (= irpCompleted_1.36 irpCompleted_1.30))) (let ((?v_1008 (=> (= irpCompleted_0.36 irpCompleted_0.30) (=> true ?v_1005)))) (let ((?v_1010 (and (=> true (=> ?v_946 (=> true (=> ?v_1007 (=> (= irpCompleted_0.36 1) ?v_1005))))) (=> true (=> ?v_1004 (and (=> true (=> ?v_949 (=> true (=> (= irpCompleted_1.36 1) ?v_1008)))) (=> true (=> ?v_1006 (=> true (=> ?v_1007 ?v_1008))))))))) (?v_1011 (= Mem_1_T.CancelRoutine__IRP.93 Mem_1_T.CancelRoutine__IRP.91))) (let ((?v_1012 (=> (= Mem_0_T.CancelRoutine__IRP.93 Mem_0_T.CancelRoutine__IRP.91) (=> true (=> true ?v_1010)))) (?v_1009 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2)))) (let ((?v_1015 (and (=> true (=> ?v_946 (=> (= Mem_0_T.CancelRoutine__IRP.92 (MapType0Store Mem_0_T.CancelRoutine__IRP.91 ?v_1009 ?v_35)) (=> true (=> ?v_1011 (=> (= Mem_0_T.CancelRoutine__IRP.93 Mem_0_T.CancelRoutine__IRP.92) ?v_1010)))))) (=> true (=> ?v_1004 (and (=> true (=> ?v_949 (=> (= Mem_1_T.CancelRoutine__IRP.92 (MapType0Store Mem_1_T.CancelRoutine__IRP.91 ?v_1009 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.93 Mem_1_T.CancelRoutine__IRP.92) ?v_1012))))) (=> true (=> ?v_1006 (=> true (=> ?v_1011 ?v_1012))))))))) (?v_1041 (=> ?v_946 ?v_1013)) (?v_1042 (=> ?v_949 ?v_1014)) (?v_1034 (=> ?v_946 ?v_948)) (?v_1035 (=> ?v_949 ?v_950)) (?v_947 (int_2_U call76538formal.new.0))) (let ((?v_1023 (and (=> true (=> (not ?v_1020) (and (=> true (=> (not ?v_1018) (=> true (and ?v_8 (=> ?v_8 (=> (> call76538formal.new.0 0) (=> (forall ((?x1585 Int)) (! (=> (and (<= call76538formal.new.0 ?x1585) (< ?x1585 (+ call76538formal.new.0 1))) (= (Base ?x1585) call76538formal.new.0)) :pattern ((Base ?x1585)) )) (=> (forall ((?x1586 boogieU)) (! (=> (= (type ?x1586) intType) (or (= (U_2_int ?x1586) call76538formal.new.0) (= (MapType0Select alloc.90 ?x1586) (MapType0Select alloc.91 ?x1586)))) :pattern ((MapType0Select alloc.91 ?x1586)) )) (=> (and (= (MapType0Select alloc.90 ?v_947) UNALLOCATED) (= (MapType0Select alloc.91 ?v_947) ALLOCATED)) (and (=> true (=> ?v_1016 (and (=> true (=> ?v_1034 (=> ?v_1035 (=> true (=> (= errorReached.65 1) ?v_1015))))) (=> true (=> ?v_1041 (=> ?v_1042 (=> true (=> (= errorReached.65 errorReached.64) (=> true ?v_1015))))))))) (=> true (=> (not ?v_1016) (=> true (=> (= irpCompleted_1.37 irpCompleted_1.30) (=> (= irpCompleted_0.37 irpCompleted_0.30) (=> (= Mem_1_T.CancelRoutine__IRP.94 Mem_1_T.CancelRoutine__IRP.91) (=> (= Mem_0_T.CancelRoutine__IRP.94 Mem_0_T.CancelRoutine__IRP.91) (=> (= errorReached.66 errorReached.64) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1017))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1018 ?v_1021))))) (=> true (=> ?v_1020 ?v_1021)))) (?v_1024 (= cancelLockStatus_1.65 cancelLockStatus_1.64))) (let ((?v_1025 (=> (= cancelLockStatus_0.65 cancelLockStatus_0.64) (=> true (=> true (=> true (=> true (=> true ?v_1023)))))))) (let ((?v_1026 (and (=> true (=> ?v_946 (=> true (=> ?v_1024 (=> ?v_987 ?v_1023))))) (=> true (=> ?v_1004 (and (=> true (=> ?v_949 (=> true (=> ?v_1022 ?v_1025)))) (=> true (=> ?v_1006 (=> true (=> ?v_1024 ?v_1025))))))))) (?v_1027 (= Mem_1_T.P_IRP.66 Mem_1_T.P_IRP.64))) (let ((?v_1028 (=> (= Mem_0_T.P_IRP.66 Mem_0_T.P_IRP.64) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1026))))))))) (let ((?v_1037 (and (=> true (=> ?v_946 (=> (= Mem_0_T.P_IRP.65 (MapType0Store Mem_0_T.P_IRP.64 ?v_921 (MapType0Select Mem_0_T.P_IRP.64 ?v_925))) (=> true (=> ?v_1027 (=> (= Mem_0_T.P_IRP.66 Mem_0_T.P_IRP.65) ?v_1026)))))) (=> true (=> ?v_1004 (and (=> true (=> ?v_949 (=> (= Mem_1_T.P_IRP.65 (MapType0Store Mem_1_T.P_IRP.64 ?v_921 (MapType0Select Mem_1_T.P_IRP.64 ?v_925))) (=> true (=> (= Mem_1_T.P_IRP.66 Mem_1_T.P_IRP.65) ?v_1028))))) (=> true (=> ?v_1006 (=> true (=> ?v_1027 ?v_1028)))))))))) (let ((?v_1038 (=> true (=> (= errorReached.64 errorReached.63) (=> (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.6.myNondetVar_0.0) (=> (= Mem_0_T.CancelRoutine__IRP.91 Mem_0_T.CancelRoutine__IRP.90) (=> (= Mem_0_T.P_IRP.64 Mem_0_T.P_IRP.61) (=> (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.6.myNondetVar_0.0) (=> (= inline.RemoveHeadList.6.myNondetVar_0.2 inline.RemoveHeadList.6.myNondetVar_0.1) (=> (= Mem_1_T.P_IRP.64 Mem_1_T.P_IRP.61) (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.3 inline.SerialGetNextIrpLocked.6.myVar_0.2) (=> (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.6.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= Mem_1_T.CancelRoutine__IRP.91 Mem_1_T.CancelRoutine__IRP.90) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.6.myVar_0.2) (=> (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.6.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.6.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> true ?v_1037))))))))))))))))))) (?v_1039 (= Mem_1_T.CancelRoutine__IRP.90 Mem_1_T.CancelRoutine__IRP.88))) (let ((?v_1040 (=> (= Mem_0_T.CancelRoutine__IRP.90 Mem_0_T.CancelRoutine__IRP.88) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1038)))))))) (?v_1036 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.6.myVar_0.2)))) (let ((?v_1043 (and (=> true (=> ?v_946 (=> (= Mem_0_T.CancelRoutine__IRP.89 (MapType0Store Mem_0_T.CancelRoutine__IRP.88 ?v_1036 ?v_35)) (=> true (=> ?v_1039 (=> (= Mem_0_T.CancelRoutine__IRP.90 Mem_0_T.CancelRoutine__IRP.89) ?v_1038)))))) (=> true (=> ?v_1004 (and (=> true (=> ?v_949 (=> (= Mem_1_T.CancelRoutine__IRP.89 (MapType0Store Mem_1_T.CancelRoutine__IRP.88 ?v_1036 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.90 Mem_1_T.CancelRoutine__IRP.89) ?v_1040))))) (=> true (=> ?v_1006 (=> true (=> ?v_1039 ?v_1040)))))))))) (let ((?v_1045 (=> true (=> (= errorReached.63 errorReached.62) (=> true ?v_1043)))) (?v_1044 (= inline.SerialGetNextIrpLocked.6.myVar_0.2 hirp))) (let ((?v_1046 (and (=> true (=> ?v_1044 (and (=> true (=> ?v_1034 (=> ?v_1035 (=> true (=> (= errorReached.63 1) ?v_1043))))) (=> true (=> ?v_1041 (=> ?v_1042 ?v_1045)))))) (=> true (=> (not ?v_1044) ?v_1045))))) (let ((?v_1047 (=> true (=> true ?v_1046)))) (let ((?v_1049 (and (=> true (=> ?v_946 (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.88 ?v_1036))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_1046))))) (=> true (=> ?v_1004 (and (=> true (=> ?v_949 (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.88 ?v_1036))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_1047))))) (=> true (=> ?v_1006 (=> true (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_1047)))))))))) (let ((?v_1050 (=> true (=> true (=> true (=> true (=> true ?v_1049)))))) (?v_1048 (U_2_int (MapType0Select Mem_1_T.P_IRP.61 ?v_925))) (?v_1033 (U_2_int (MapType0Select Mem_0_T.P_IRP.61 ?v_925)))) (let ((?v_1052 (=> true (=> (=> ?v_946 (not (= ?v_1033 hirp))) (=> (=> ?v_949 (not (= ?v_1048 hirp))) (and (=> true (=> ?v_946 (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.1 ?v_1033) (=> true (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.2 inline.SerialGetNextIrpLocked.6.myVar_0.1) ?v_1049))))) (=> true (=> ?v_1004 (and (=> true (=> ?v_949 (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.0 ?v_1048) (=> true (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.2 inline.SerialGetNextIrpLocked.6.myVar_0.0) ?v_1050))))) (=> true (=> ?v_1006 (=> true (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.2 inline.SerialGetNextIrpLocked.6.myVar_0) ?v_1050)))))))))))) (?v_1053 (= Mem_1_T.P_IRP.61 Mem_1_T.P_IRP.59))) (let ((?v_1054 (=> (= Mem_0_T.P_IRP.61 Mem_0_T.P_IRP.59) (=> true ?v_1052))) (?v_1051 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.6.myNondetVar_0.0 1 88))) (?v_1032 (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0 0)) (?v_1029 (=> true (=> (= errorReached.64 errorReached.62) (=> (= inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.6..result.RemoveHeadList.302.35.2.) (=> (= Mem_0_T.CancelRoutine__IRP.91 Mem_0_T.CancelRoutine__IRP.88) (=> (= Mem_0_T.P_IRP.64 Mem_0_T.P_IRP.63) (=> (= inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.6..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.RemoveHeadList.6.myNondetVar_0.2 inline.RemoveHeadList.6.myNondetVar_0) (=> (= Mem_1_T.P_IRP.64 Mem_1_T.P_IRP.63) (=> (= inline.SerialGetNextIrpLocked.6.myVar_0.3 inline.SerialGetNextIrpLocked.6.myVar_0) (=> (= inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.6..result.RemoveHeadList.6743.0.1.) (=> (= inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.15..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= Mem_1_T.CancelRoutine__IRP.91 Mem_1_T.CancelRoutine__IRP.88) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.6..Entry.3.6748.16.RemoveHeadList) (=> (= inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.15..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.15..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) ?v_1037)))))))))))))))))) (?v_1030 (= Mem_1_T.P_IRP.63 Mem_1_T.P_IRP.59))) (let ((?v_1031 (=> (= Mem_0_T.P_IRP.63 Mem_0_T.P_IRP.59) (=> true ?v_1029)))) (let ((?v_1055 (=> true (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.7.myNondetVar_0.0 inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0))) (and (=> true (=> (not ?v_1032) (and (=> true (=> ?v_946 (=> (= Mem_0_T.P_IRP.62 (MapType0Store Mem_0_T.P_IRP.59 ?v_925 ?v_35)) (=> true (=> ?v_1030 (=> (= Mem_0_T.P_IRP.63 Mem_0_T.P_IRP.62) ?v_1029)))))) (=> true (=> ?v_1004 (and (=> true (=> ?v_949 (=> (= Mem_1_T.P_IRP.62 (MapType0Store Mem_1_T.P_IRP.59 ?v_925 ?v_35)) (=> true (=> (= Mem_1_T.P_IRP.63 Mem_1_T.P_IRP.62) ?v_1031))))) (=> true (=> ?v_1006 (=> true (=> ?v_1030 ?v_1031)))))))))) (=> true (=> ?v_1032 (and (=> true (=> ?v_946 (=> (= Mem_0_T.P_IRP.60 (MapType0Store Mem_0_T.P_IRP.59 ?v_925 ?v_1051)) (=> true (=> ?v_1053 (=> (= Mem_0_T.P_IRP.61 Mem_0_T.P_IRP.60) ?v_1052)))))) (=> true (=> ?v_1004 (and (=> true (=> ?v_949 (=> (= Mem_1_T.P_IRP.60 (MapType0Store Mem_1_T.P_IRP.59 ?v_925 ?v_1051)) (=> true (=> (= Mem_1_T.P_IRP.61 Mem_1_T.P_IRP.60) ?v_1054))))) (=> true (=> ?v_1006 (=> true (=> ?v_1053 ?v_1054))))))))))))))) (let ((?v_1056 (=> true (=> true (=> true (=> true ?v_1055)))))) (let ((?v_1057 (and (=> true (=> ?v_946 (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.0 (U_2_int (MapType0Select Mem_0_T.P_IRP.59 ?v_925))) (=> true (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_1055))))) (=> true (=> ?v_1004 (and (=> true (=> ?v_949 (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.1 (U_2_int (MapType0Select Mem_1_T.P_IRP.59 ?v_925))) (=> true (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_1056))))) (=> true (=> ?v_1006 (=> true (=> (= inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.6..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_1056))))))))) (?v_1058 (= cancelLockStatus_1.64 cancelLockStatus_1.63))) (let ((?v_1059 (=> (= cancelLockStatus_0.64 cancelLockStatus_0.63) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1057))))))))))) (?v_945 (int_2_U call76196formal.new.0))) (let ((?v_1077 (=> true (and ?v_8 (=> ?v_8 (=> (> call76196formal.new.0 0) (=> (forall ((?x1587 Int)) (! (=> (and (<= call76196formal.new.0 ?x1587) (< ?x1587 (+ call76196formal.new.0 1))) (= (Base ?x1587) call76196formal.new.0)) :pattern ((Base ?x1587)) )) (=> (forall ((?x1588 boogieU)) (! (=> (= (type ?x1588) intType) (or (= (U_2_int ?x1588) call76196formal.new.0) (= (MapType0Select alloc.89 ?x1588) (MapType0Select alloc.90 ?x1588)))) :pattern ((MapType0Select alloc.90 ?x1588)) )) (=> (and (= (MapType0Select alloc.89 ?v_945) UNALLOCATED) (= (MapType0Select alloc.90 ?v_945) ALLOCATED)) (=> true (=> (<= k.71 k.72) (=> (< k.72 2) (=> true (=> (=> ?v_946 (= cancelLockStatus_0.63 0)) (=> (=> ?v_949 (= cancelLockStatus_1.63 0)) (and (=> true (=> ?v_946 (=> true (=> ?v_1058 (=> (= cancelLockStatus_0.64 1) ?v_1057))))) (=> true (=> ?v_1004 (and (=> true (=> ?v_949 (=> true (=> (= cancelLockStatus_1.64 1) ?v_1059)))) (=> true (=> ?v_1006 (=> true (=> ?v_1058 ?v_1059))))))))))))))))))))))) (let ((?v_1224 (=> true (=> true ?v_1077))) (?v_1176 (= inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1.)) (?v_1177 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1178 (= alloc.89 alloc.84)) (?v_1179 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1180 (= Mem_1_T.CancelRoutine__IRP.88 Mem_1_T.CancelRoutine__IRP.74)) (?v_1181 (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.3 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite)) (?v_1182 (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution)) (?v_1183 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1184 (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1.)) (?v_1185 (= Mem_1_T.P_IRP.59 Mem_1_T.P_IRP.46)) (?v_1186 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer)) (?v_1187 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1 1)) (?v_1188 (= inline.SerialGetNextWrite.3.myNondetVar_2.3 inline.SerialGetNextWrite.3.myNondetVar_2)) (?v_1189 (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1190 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1191 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_1192 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer)) (?v_1193 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.3.myVar_0.5)) (?v_1194 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1195 (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer)) (?v_1196 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1197 (= Mem_0_T.CancelRoutine__IRP.88 Mem_0_T.CancelRoutine__IRP.74)) (?v_1198 (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3.)) (?v_1199 (= inline.SerialGetNextWrite.3.myVar_0.9 inline.SerialGetNextWrite.3.myVar_0.5)) (?v_1200 (= k.71 k.66)) (?v_1201 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer)) (?v_1202 (= errorReached.62 errorReached.52)) (?v_1203 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1)) (?v_1204 (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.3.myVar_0.5)) (?v_1205 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1206 (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.4 inline.sdv_InterlockedDecrement.28.myNondetVar_0)) (?v_1207 (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_1208 (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1209 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1210 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1211 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_1212 (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite)) (?v_1213 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1)) (?v_1214 (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1215 (= inline.SerialSetTimer.6.myNondetVar_0.6 inline.SerialSetTimer.6.myNondetVar_0)) (?v_1216 (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1217 (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_1218 (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.3 inline.sdv_InterlockedIncrement.7.myNondetVar_0)) (?v_1219 (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite)) (?v_1220 (= Mem_0_T.P_IRP.59 Mem_0_T.P_IRP.46)) (?v_1221 (= inline.KeSynchronizeExecution.14.myNondetVar_0.8 inline.KeSynchronizeExecution.14.myNondetVar_0)) (?v_1222 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1)) (?v_1223 (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1175 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 14))) (let ((?v_1079 (=> true (=> (= inline.sdv_IoReleaseCancelSpinLock.38..result.userContextSwitch.3151.2.1..0 call77569formal.ret.0) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= alloc.89 alloc.88) (=> (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= cancelLockStatus_0.63 cancelLockStatus_0.62) (=> (= Mem_1_T.CancelRoutine__IRP.88 Mem_1_T.CancelRoutine__IRP.87) (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.3 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2) (=> (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..1) (=> (= Mem_1_T.P_IRP.59 Mem_1_T.P_IRP.58) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.0) (=> (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.1 inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.0) (=> (= inline.SerialGetNextWrite.3.myNondetVar_2.3 inline.SerialGetNextWrite.3.myNondetVar_2.2) (=> (= inline.SerialGetNextWrite.3.tempBoogie0.5 inline.SerialGetNextWrite.3.tempBoogie0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.0) (=> ?v_1193 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.16 inline.SerialGetNextWrite.3.myNondetVar_0.15) (=> (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.0) (=> ?v_1196 (=> (= Mem_0_T.CancelRoutine__IRP.88 Mem_0_T.CancelRoutine__IRP.87) (=> (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..0) (=> ?v_1199 (=> (= k.71 k.70) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.0) (=> (= errorReached.62 errorReached.61) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.1) (=> ?v_1204 (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.4 inline.sdv_InterlockedDecrement.28.myNondetVar_0.3) (=> ?v_1207 (=> ?v_1208 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.4 inline.SerialGetNextWrite.3.myNondetVar_1.3) (=> (= cancelLockStatus_1.63 cancelLockStatus_1.62) (=> (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.0) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.0) (=> ?v_1214 (=> (= inline.SerialSetTimer.6.myNondetVar_0.6 inline.SerialSetTimer.6.myNondetVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> ?v_1217 (=> (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.3 inline.sdv_InterlockedIncrement.7.myNondetVar_0.2) (=> (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.0) (=> (= Mem_0_T.P_IRP.59 Mem_0_T.P_IRP.58) (=> (= inline.KeSynchronizeExecution.14.myNondetVar_0.8 inline.KeSynchronizeExecution.14.myNondetVar_0.7) (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) ?v_1224))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1081 (= cancelLockStatus_1.62 cancelLockStatus_1.59))) (let ((?v_1082 (=> (= cancelLockStatus_0.62 cancelLockStatus_0.59) (=> true (=> true (=> true (=> true ?v_1079)))))) (?v_1080 (= k.70 1)) (?v_1078 (= k.70 0))) (let ((?v_1123 (=> true (=> (<= k.66 k.70) (=> (< k.70 2) (and (=> true (=> ?v_1078 (=> true (=> ?v_1081 (=> (= cancelLockStatus_0.62 0) ?v_1079))))) (=> true (=> (not ?v_1078) (and (=> true (=> ?v_1080 (=> true (=> (= cancelLockStatus_1.62 0) ?v_1082)))) (=> true (=> (not ?v_1080) (=> true (=> ?v_1081 ?v_1082))))))))))))) (let ((?v_1130 (=> true (=> true (=> true ?v_1123)))) (?v_1134 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialCancelCurrentXoff)) (?v_1085 (= alloc.88 alloc.84)) (?v_1135 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialCancelCurrentXoff)) (?v_1088 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer)) (?v_1089 (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.3 inline.sdv_InterlockedDecrement.28.myNondetVar_0)) (?v_1136 (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..0)) (?v_1137 (= Mem_1_T.P_IRP.58 Mem_1_T.P_IRP.57)) (?v_1092 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer)) (?v_1138 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.0 0)) (?v_1095 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1139 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGiveXoffToIsr)) (?v_1140 (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_1141 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2)) (?v_1099 (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1142 (= Mem_1_T.CancelRoutine__IRP.87 Mem_1_T.CancelRoutine__IRP.85)) (?v_1101 (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer)) (?v_1143 (= Mem_0_T.CancelRoutine__IRP.87 Mem_0_T.CancelRoutine__IRP.85)) (?v_1103 (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3.)) (?v_1104 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer)) (?v_1144 (= errorReached.61 errorReached.59)) (?v_1106 (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1)) (?v_1145 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2)) (?v_1146 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2)) (?v_1147 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2)) (?v_1148 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGiveXoffToIsr)) (?v_1112 (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite)) (?v_1113 (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1)) (?v_1149 (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.0)) (?v_1115 (= inline.SerialSetTimer.6.myNondetVar_0.5 inline.SerialSetTimer.6.myNondetVar_0)) (?v_1150 (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2)) (?v_1117 (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.2 inline.sdv_InterlockedIncrement.7.myNondetVar_0)) (?v_1151 (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.0 2)) (?v_1152 (= Mem_0_T.P_IRP.58 Mem_0_T.P_IRP.57)) (?v_1153 (= inline.KeSynchronizeExecution.14.myNondetVar_0.7 inline.KeSynchronizeExecution.14.myNondetVar_0.6)) (?v_1121 (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1)) (?v_1122 (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.))) (let ((?v_1154 (=> ?v_1121 (=> ?v_1122 ?v_1130))) (?v_1131 (=> true (=> (forall ((?r5 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.3.myNondetVar_1.2 ?r5) 0)) (not (= (BIT_BAND 4 ?r5) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.3.myNondetVar_2.1 4) ?r5) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.3.myNondetVar_0.12 4) ?r5)) )) (=> (= inline.SerialGetNextWrite.3.tempBoogie0.3 (BIT_BOR inline.SerialGetNextWrite.3.myNondetVar_0.13 4)) (=> true (=> ?v_1134 (=> (= alloc.88 alloc.86) (=> ?v_1135 (=> (= inline.SerialGetNextWrite.3.tempBoogie0.4 inline.SerialGetNextWrite.3.tempBoogie0.3) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer.0 call78012formal.new.0) (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.3 inline.sdv_InterlockedDecrement.28.myNondetVar_0.2) (=> ?v_1136 (=> ?v_1137 (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.0) (=> ?v_1138 (=> (= inline.SerialGetNextWrite.3.myNondetVar_2.2 inline.SerialGetNextWrite.3.myNondetVar_2.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2) (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2) (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.14 inline.SerialGetNextWrite.3.myNondetVar_0.13) (=> ?v_1142 (=> (= inline.SerialSetTimer.6..set.5.1350.11.SerialSetTimer.0 call78062formal.ret.0) (=> ?v_1143 (=> (= inline.SerialSetTimer.6..result.KeSetTimer.1355.19.3..0 call78062formal.ret.0) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.0) (=> ?v_1144 (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.0) (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.3 inline.SerialGetNextWrite.3.myNondetVar_1.2) (=> ?v_1148 (=> (= inline.SerialGetNextWrite.3.._refType.14.631.0.SerialGetNextWrite.0 4) (=> (= inline.SerialSetTimer.6..DueTime.2.1325.50.SerialSetTimer1.0 call75779formal.new.0) (=> ?v_1149 (=> (= inline.SerialSetTimer.6.myNondetVar_0.5 inline.SerialSetTimer.6.myNondetVar_0.4) (=> ?v_1150 (=> (= inline.sdv_InterlockedIncrement.7.myNondetVar_0.2 inline.sdv_InterlockedIncrement.7.myNondetVar_0.1) (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) ?v_1130))))))))))))))))))))))))))))))))))))))))))))) (?v_1127 (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2 hirp))) (let ((?v_1161 (not ?v_1127))) (let ((?v_1133 (and (=> true (=> ?v_1127 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1131)))) (=> true (=> ?v_1161 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.64..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1131)))))))))) (?v_1132 (= call78062formal.ret.0 0)) (?v_1129 (int_2_U call78012formal.new.0))) (let ((?v_1155 (and (=> true (=> (not (= inline.SerialGetNextWrite.3.myNondetVar_0.9 0)) (=> true (=> (= inline.SerialSetTimer.6..Timer.1.1325.26.SerialSetTimer1.0 (XoffCountTimer__SERIAL_DEVICE_EXTENSION inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2)) (=> (= inline.SerialSetTimer.6..Dpc.3.1326.24.SerialSetTimer1.0 (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2)) (=> true (and ?v_53 (=> ?v_53 (=> (> call78012formal.new.0 0) (=> (forall ((?x1589 Int)) (! (=> (and (<= call78012formal.new.0 ?x1589) (< ?x1589 (+ call78012formal.new.0 8))) (= (Base ?x1589) call78012formal.new.0)) :pattern ((Base ?x1589)) )) (=> (forall ((?x1590 boogieU)) (! (=> (= (type ?x1590) intType) (or (= (U_2_int ?x1590) call78012formal.new.0) (= (MapType0Select alloc.84 ?x1590) (MapType0Select alloc.86 ?x1590)))) :pattern ((MapType0Select alloc.86 ?x1590)) )) (=> (and (= (MapType0Select alloc.84 ?v_1129) UNALLOCATED) (= (MapType0Select alloc.86 ?v_1129) ALLOCATED)) (=> (= (Base call75779formal.new.0) call75779formal.new.0) (and (=> true (=> (not ?v_1132) (=> true (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.2 inline.sdv_InterlockedDecrement.28.myNondetVar_0.1) ?v_1133)))) (=> true (=> ?v_1132 (=> true (=> (= inline.sdv_InterlockedDecrement.28.myNondetVar_0.2 inline.sdv_InterlockedDecrement.28.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1133))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.11 0) (=> true (=> ?v_1134 (=> ?v_1085 (=> ?v_1135 (=> (= inline.SerialGetNextWrite.3.tempBoogie0.4 inline.SerialGetNextWrite.3.tempBoogie0.2) (=> ?v_1088 (=> ?v_1089 (=> ?v_1136 (=> ?v_1137 (=> ?v_1092 (=> ?v_1138 (=> (= inline.SerialGetNextWrite.3.myNondetVar_2.2 inline.SerialGetNextWrite.3.myNondetVar_2.0) (=> ?v_1095 (=> ?v_1139 (=> ?v_1140 (=> ?v_1141 (=> ?v_1099 (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.14 inline.SerialGetNextWrite.3.myNondetVar_0.11) (=> ?v_1142 (=> ?v_1101 (=> ?v_1143 (=> ?v_1103 (=> ?v_1104 (=> ?v_1144 (=> ?v_1106 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.3 inline.SerialGetNextWrite.3.myNondetVar_1.1) (=> ?v_1148 (=> ?v_1112 (=> ?v_1113 (=> ?v_1149 (=> ?v_1115 (=> ?v_1150 (=> ?v_1117 (=> ?v_1151 (=> ?v_1152 (=> ?v_1153 ?v_1154)))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1158 (and (=> true (=> ?v_1128 (=> true (=> (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.14..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.14.myNondetVar_0.6 inline.KeSynchronizeExecution.14.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.14..result.SynchronizeRoutine.4679.26.2.) ?v_1155)))))) (=> true (=> ?v_288 (=> true (=> (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.14.myNondetVar_0.6 inline.KeSynchronizeExecution.14.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..0 0) (=> true (=> true (=> true (=> true ?v_1155)))))))))))) (?v_1159 (= Mem_1_T.P_IRP.57 Mem_1_T.P_IRP.46))) (let ((?v_1160 (=> (= Mem_0_T.P_IRP.57 Mem_0_T.P_IRP.46) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1158)))))))) (?v_1060 (= k.66 1))) (let ((?v_1069 (not ?v_1060)) (?v_1156 (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2))) (?v_1157 (int_2_U inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2)) (?v_943 (= k.66 0))) (let ((?v_1066 (not ?v_943))) (let ((?v_1162 (=> true (=> (forall ((?r6 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.3.myNondetVar_1.1 ?r6) 0)) (not (= (BIT_BAND 2 ?r6) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.3.myNondetVar_2.0 2) ?r6) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.3.myNondetVar_0.6 2) ?r6)) )) (=> (= inline.SerialGetNextWrite.3.tempBoogie0.2 (BIT_BOR inline.SerialGetNextWrite.3.myNondetVar_0.7 2)) (and (=> true (=> ?v_943 (=> (= Mem_0_T.P_IRP.56 (MapType0Store Mem_0_T.P_IRP.46 ?v_1156 ?v_1157)) (=> true (=> ?v_1159 (=> (= Mem_0_T.P_IRP.57 Mem_0_T.P_IRP.56) ?v_1158)))))) (=> true (=> ?v_1066 (and (=> true (=> ?v_1060 (=> (= Mem_1_T.P_IRP.56 (MapType0Store Mem_1_T.P_IRP.46 ?v_1156 ?v_1157)) (=> true (=> (= Mem_1_T.P_IRP.57 Mem_1_T.P_IRP.56) ?v_1160))))) (=> true (=> ?v_1069 (=> true (=> ?v_1159 ?v_1160))))))))))))) (let ((?v_1163 (and (=> true (=> ?v_1127 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1162)))) (=> true (=> ?v_1161 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1162)))))))))) (?v_1164 (= Mem_1_T.CancelRoutine__IRP.85 Mem_1_T.CancelRoutine__IRP.74))) (let ((?v_1165 (=> (= Mem_0_T.CancelRoutine__IRP.85 Mem_0_T.CancelRoutine__IRP.74) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1163))))))))))))))) (?v_1126 (int_2_U (CancelRoutine__IRP inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2)))) (let ((?v_1166 (and (=> true (=> ?v_943 (=> (= Mem_0_T.CancelRoutine__IRP.84 (MapType0Store Mem_0_T.CancelRoutine__IRP.74 ?v_1126 ?v_299)) (=> true (=> ?v_1164 (=> (= Mem_0_T.CancelRoutine__IRP.85 Mem_0_T.CancelRoutine__IRP.84) ?v_1163)))))) (=> true (=> ?v_1066 (and (=> true (=> ?v_1060 (=> (= Mem_1_T.CancelRoutine__IRP.84 (MapType0Store Mem_1_T.CancelRoutine__IRP.74 ?v_1126 ?v_299)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.85 Mem_1_T.CancelRoutine__IRP.84) ?v_1165))))) (=> true (=> ?v_1069 (=> true (=> ?v_1164 ?v_1165)))))))))) (let ((?v_1167 (=> true (=> (= errorReached.59 errorReached.52) (=> true ?v_1166))))) (let ((?v_1168 (and (=> true (=> ?v_1127 (and (=> true (=> (=> ?v_943 ?v_948) (=> (=> ?v_1060 ?v_950) (=> true (=> (= errorReached.59 1) ?v_1166))))) (=> true (=> (=> ?v_943 ?v_1013) (=> (=> ?v_1060 ?v_1014) ?v_1167)))))) (=> true (=> ?v_1161 ?v_1167))))) (let ((?v_1169 (=> true (=> true ?v_1168))) (?v_1083 (int_2_U (Cancel__IRP inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2)))) (let ((?v_1124 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP.1 ?v_1083)) 0)) (?v_1125 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP.1 ?v_1083)) 0)) (?v_1084 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_1086 (= inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.16..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_1087 (= inline.SerialGetNextWrite.3.tempBoogie0.4 inline.SerialGetNextWrite.3.tempBoogie0.1)) (?v_1090 (= inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.14..result.KeSynchronizeExecution.4664.0.1.)) (?v_1091 (= Mem_1_T.P_IRP.58 Mem_1_T.P_IRP.46)) (?v_1093 (= inline.SerialGetNextWrite.3..CompleteCurrent.4.447.15.SerialGetNextWrite.0 1)) (?v_1094 (= inline.SerialGetNextWrite.3.myNondetVar_2.2 inline.SerialGetNextWrite.3.myNondetVar_2)) (?v_1096 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_1097 (= inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.63..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1098 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1100 (= Mem_1_T.CancelRoutine__IRP.87 Mem_1_T.CancelRoutine__IRP.74)) (?v_1102 (= Mem_0_T.CancelRoutine__IRP.87 Mem_0_T.CancelRoutine__IRP.74)) (?v_1105 (= errorReached.61 errorReached.52)) (?v_1107 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_1108 (= inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.63..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1109 (= inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.16..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_1110 (= inline.SerialGetNextWrite.3.myNondetVar_1.3 inline.SerialGetNextWrite.3.myNondetVar_1)) (?v_1111 (= inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.14..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_1114 (= inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.14..b.4.4670.12.KeSynchronizeExecution)) (?v_1116 (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_1118 (= inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.3.._refType.11.583.0.SerialGetNextWrite)) (?v_1119 (= Mem_0_T.P_IRP.58 Mem_0_T.P_IRP.46)) (?v_1120 (= inline.KeSynchronizeExecution.14.myNondetVar_0.7 inline.KeSynchronizeExecution.14.myNondetVar_0))) (let ((?v_1170 (=> true (=> (= inline.SerialGetNextWrite.3.tempBoogie0.1 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.3.myNondetVar_0.3 1 1)) (and (=> true (=> (not (= inline.SerialGetNextWrite.3.myNondetVar_0.5 0)) (=> true (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.14 inline.SerialGetNextWrite.3.myNondetVar_0.5) (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 (=> ?v_1121 (=> ?v_1122 ?v_1123))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.4 0) (and (=> true (=> (=> ?v_943 (not ?v_1124)) (=> (=> ?v_1060 (not ?v_1125)) (=> true (=> ?v_1084 (=> ?v_1085 (=> ?v_1086 (=> ?v_1087 (=> ?v_1088 (=> ?v_1089 (=> ?v_1090 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_1095 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_1099 (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.14 inline.SerialGetNextWrite.3.myNondetVar_0.4) (=> ?v_1100 (=> ?v_1101 (=> ?v_1102 (=> ?v_1103 (=> ?v_1104 (=> ?v_1105 (=> ?v_1106 (=> ?v_1107 (=> ?v_1108 (=> ?v_1109 (=> ?v_1110 (=> ?v_1111 (=> ?v_1112 (=> ?v_1113 (=> ?v_1114 (=> ?v_1115 (=> ?v_1116 (=> ?v_1117 (=> ?v_1118 (=> ?v_1119 (=> ?v_1120 ?v_1154)))))))))))))))))))))))))))))))))))))))))) (=> true (=> (=> ?v_943 ?v_1124) (=> (=> ?v_1060 ?v_1125) (and (=> true (=> ?v_943 (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.74 ?v_1126))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_1168))))) (=> true (=> ?v_1066 (and (=> true (=> ?v_1060 (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.74 ?v_1126))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_1169))))) (=> true (=> ?v_1069 (=> true (=> (= inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.16..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_1169))))))))))))))))))) (let ((?v_1171 (=> true (=> true ?v_1170)))) (let ((?v_1172 (and (=> true (=> ?v_943 (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.0 ?v_924) (=> true (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.0) ?v_1170))))) (=> true (=> ?v_1066 (and (=> true (=> ?v_1060 (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.1 ?v_1067) (=> true (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.1) ?v_1171))))) (=> true (=> ?v_1069 (=> true (=> (= inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.3..Irp.9.523.17.SerialGetNextWrite) ?v_1171))))))))) (?v_1173 (= cancelLockStatus_1.59 cancelLockStatus_1.56))) (let ((?v_1174 (=> (= cancelLockStatus_0.59 cancelLockStatus_0.56) (=> true (=> true (=> true (=> true (=> true ?v_1172))))))) (?v_1075 (=> ?v_943 ?v_944)) (?v_1076 (=> ?v_1060 ?v_1236))) (let ((?v_1226 (and (=> true (=> ?v_1175 (=> true (=> ?v_1075 (=> ?v_1076 (and (=> true (=> ?v_943 (=> true (=> ?v_1173 (=> (= cancelLockStatus_0.59 1) ?v_1172))))) (=> true (=> ?v_1066 (and (=> true (=> ?v_1060 (=> true (=> (= cancelLockStatus_1.59 1) ?v_1174)))) (=> true (=> ?v_1069 (=> true (=> ?v_1173 ?v_1174))))))))))))) (=> true (=> (not ?v_1175) (=> true (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> (= cancelLockStatus_0.63 cancelLockStatus_0.56) (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> (= inline.SerialGetNextWrite.3.tempBoogie0.5 inline.SerialGetNextWrite.3.tempBoogie0) (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> ?v_1193 (=> ?v_1194 (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.16 inline.SerialGetNextWrite.3.myNondetVar_0) (=> ?v_1195 (=> ?v_1196 (=> ?v_1197 (=> ?v_1198 (=> ?v_1199 (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> ?v_1204 (=> ?v_1205 (=> ?v_1206 (=> ?v_1207 (=> ?v_1208 (=> ?v_1209 (=> ?v_1210 (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.4 inline.SerialGetNextWrite.3.myNondetVar_1) (=> (= cancelLockStatus_1.63 cancelLockStatus_1.56) (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1214 (=> ?v_1215 (=> ?v_1216 (=> ?v_1217 (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 ?v_1224)))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1225 (= inline.SerialGetNextWrite.3.myVar_0.5 hirp))) (let ((?v_1227 (and (=> true (=> ?v_1225 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1226)))) (=> true (=> (not ?v_1225) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1226))))))))))) (let ((?v_1228 (=> true (=> true (=> true (=> true ?v_1227))))) (?v_1074 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 4)) (?v_1061 (=> true (=> ?v_1176 (=> ?v_1177 (=> ?v_1178 (=> ?v_1179 (=> (= cancelLockStatus_0.63 cancelLockStatus_0.61) (=> ?v_1180 (=> ?v_1181 (=> ?v_1182 (=> ?v_1183 (=> ?v_1184 (=> ?v_1185 (=> ?v_1186 (=> ?v_1187 (=> ?v_1188 (=> (= inline.SerialGetNextWrite.3.tempBoogie0.5 inline.SerialGetNextWrite.3.tempBoogie0.0) (=> ?v_1189 (=> ?v_1190 (=> ?v_1191 (=> ?v_1192 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> ?v_1194 (=> (= inline.SerialGetNextWrite.3.myNondetVar_0.16 inline.SerialGetNextWrite.3.myNondetVar_0.1) (=> ?v_1195 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.3.myVar_0.8) (=> ?v_1197 (=> ?v_1198 (=> (= inline.SerialGetNextWrite.3.myVar_0.9 inline.SerialGetNextWrite.3.myVar_0.8) (=> ?v_1200 (=> ?v_1201 (=> ?v_1202 (=> ?v_1203 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.60..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> ?v_1205 (=> ?v_1206 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.60..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.3.myVar_0.8) (=> ?v_1209 (=> ?v_1210 (=> (= inline.SerialGetNextWrite.3.myNondetVar_1.4 inline.SerialGetNextWrite.3.myNondetVar_1.0) (=> (= cancelLockStatus_1.63 cancelLockStatus_1.61) (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_1215 (=> ?v_1216 (=> (= inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.SerialGetNextWrite.3..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.) (=> ?v_1218 (=> ?v_1219 (=> ?v_1220 (=> ?v_1221 (=> ?v_1222 (=> ?v_1223 ?v_1077))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1062 (= cancelLockStatus_1.61 cancelLockStatus_1.60))) (let ((?v_1063 (=> (= cancelLockStatus_0.61 cancelLockStatus_0.60) (=> true (=> true (=> true (=> true ?v_1061))))))) (let ((?v_1065 (=> true (=> (= inline.SerialGetNextWrite.3.tempBoogie0.0 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.3.myNondetVar_0.0 inline.SerialGetNextWrite.3.myNondetVar_1.0 1)) (and (=> true (=> ?v_943 (=> true (=> ?v_1062 (=> (= cancelLockStatus_0.61 0) ?v_1061))))) (=> true (=> ?v_1066 (and (=> true (=> ?v_1060 (=> true (=> (= cancelLockStatus_1.61 0) ?v_1063)))) (=> true (=> ?v_1069 (=> true (=> ?v_1062 ?v_1063))))))))))) (?v_1064 (= inline.SerialGetNextWrite.3.myVar_0.8 hirp))) (let ((?v_1068 (and (=> true (=> ?v_1064 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1065)))) (=> true (=> (not ?v_1064) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.61..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true ?v_1065)))))))))) (let ((?v_1070 (=> true (=> true (=> true (=> true ?v_1068)))))) (let ((?v_1071 (and (=> true (=> ?v_943 (=> (= inline.SerialGetNextWrite.3.myVar_0.7 ?v_924) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.8 inline.SerialGetNextWrite.3.myVar_0.7) ?v_1068))))) (=> true (=> ?v_1066 (and (=> true (=> ?v_1060 (=> (= inline.SerialGetNextWrite.3.myVar_0.6 ?v_1067) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.8 inline.SerialGetNextWrite.3.myVar_0.6) ?v_1070))))) (=> true (=> ?v_1069 (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.8 inline.SerialGetNextWrite.3.myVar_0.2) ?v_1070))))))))) (?v_1072 (= cancelLockStatus_1.60 cancelLockStatus_1.56))) (let ((?v_1073 (=> (= cancelLockStatus_0.60 cancelLockStatus_0.56) (=> true (=> true (=> true (=> true (=> true ?v_1071)))))))) (let ((?v_1230 (and (=> true (=> ?v_1074 (=> true (=> ?v_1075 (=> ?v_1076 (and (=> true (=> ?v_943 (=> true (=> ?v_1072 (=> (= cancelLockStatus_0.60 1) ?v_1071))))) (=> true (=> ?v_1066 (and (=> true (=> ?v_1060 (=> true (=> (= cancelLockStatus_1.60 1) ?v_1073)))) (=> true (=> ?v_1069 (=> true (=> ?v_1072 ?v_1073))))))))))))) (=> true (=> (not ?v_1074) (and (=> true (=> ?v_943 (=> (= inline.SerialGetNextWrite.3.myVar_0.4 ?v_924) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.5 inline.SerialGetNextWrite.3.myVar_0.4) ?v_1227))))) (=> true (=> ?v_1066 (and (=> true (=> ?v_1060 (=> (= inline.SerialGetNextWrite.3.myVar_0.3 ?v_1067) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.5 inline.SerialGetNextWrite.3.myVar_0.3) ?v_1228))))) (=> true (=> ?v_1069 (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.5 inline.SerialGetNextWrite.3.myVar_0.2) ?v_1228)))))))))))) (?v_1229 (= inline.SerialGetNextWrite.3.myVar_0.2 hirp))) (let ((?v_1231 (and (=> true (=> ?v_1229 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1230)))) (=> true (=> (not ?v_1229) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.59..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1230))))))))))) (let ((?v_1232 (=> true (=> true (=> true (=> true ?v_1231))))) (?v_942 (int_2_U call75813formal.new.0)) (?v_938 (int_2_U call75770formal.new.0)) (?v_939 (int_2_U call75773formal.new.0)) (?v_940 (int_2_U call75776formal.new.0)) (?v_941 (int_2_U call75779formal.new.0))) (let ((?v_1468 (and (=> true (=> ?v_369 (=> true (and ?v_8 (=> ?v_8 (=> (> call75770formal.new.0 0) (=> (forall ((?x1593 Int)) (! (=> (and (<= call75770formal.new.0 ?x1593) (< ?x1593 (+ call75770formal.new.0 1))) (= (Base ?x1593) call75770formal.new.0)) :pattern ((Base ?x1593)) )) (=> (forall ((?x1594 boogieU)) (! (=> (= (type ?x1594) intType) (or (= (U_2_int ?x1594) call75770formal.new.0) (= (MapType0Select alloc.77 ?x1594) (MapType0Select alloc.79 ?x1594)))) :pattern ((MapType0Select alloc.79 ?x1594)) )) (=> (and (= (MapType0Select alloc.77 ?v_938) UNALLOCATED) (= (MapType0Select alloc.79 ?v_938) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call75773formal.new.0 0) (=> (forall ((?x1595 Int)) (! (=> (and (<= call75773formal.new.0 ?x1595) (< ?x1595 (+ call75773formal.new.0 1))) (= (Base ?x1595) call75773formal.new.0)) :pattern ((Base ?x1595)) )) (=> (forall ((?x1596 boogieU)) (! (=> (= (type ?x1596) intType) (or (= (U_2_int ?x1596) call75773formal.new.0) (= (MapType0Select alloc.79 ?x1596) (MapType0Select alloc.80 ?x1596)))) :pattern ((MapType0Select alloc.80 ?x1596)) )) (=> (and (= (MapType0Select alloc.79 ?v_939) UNALLOCATED) (= (MapType0Select alloc.80 ?v_939) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call75776formal.new.0 0) (=> (forall ((?x1597 Int)) (! (=> (and (<= call75776formal.new.0 ?x1597) (< ?x1597 (+ call75776formal.new.0 1))) (= (Base ?x1597) call75776formal.new.0)) :pattern ((Base ?x1597)) )) (=> (forall ((?x1598 boogieU)) (! (=> (= (type ?x1598) intType) (or (= (U_2_int ?x1598) call75776formal.new.0) (= (MapType0Select alloc.80 ?x1598) (MapType0Select alloc.81 ?x1598)))) :pattern ((MapType0Select alloc.81 ?x1598)) )) (=> (and (= (MapType0Select alloc.80 ?v_940) UNALLOCATED) (= (MapType0Select alloc.81 ?v_940) ALLOCATED)) (and ?v_53 (=> ?v_53 (=> (> call75779formal.new.0 0) (=> (forall ((?x1599 Int)) (! (=> (and (<= call75779formal.new.0 ?x1599) (< ?x1599 (+ call75779formal.new.0 8))) (= (Base ?x1599) call75779formal.new.0)) :pattern ((Base ?x1599)) )) (=> (forall ((?x1600 boogieU)) (! (=> (= (type ?x1600) intType) (or (= (U_2_int ?x1600) call75779formal.new.0) (= (MapType0Select alloc.81 ?x1600) (MapType0Select alloc.82 ?x1600)))) :pattern ((MapType0Select alloc.82 ?x1600)) )) (=> (and (= (MapType0Select alloc.81 ?v_941) UNALLOCATED) (= (MapType0Select alloc.82 ?v_941) ALLOCATED)) (=> true (and ?v_8 (=> ?v_8 (=> (> call75813formal.new.0 0) (=> (forall ((?x1591 Int)) (! (=> (and (<= call75813formal.new.0 ?x1591) (< ?x1591 (+ call75813formal.new.0 1))) (= (Base ?x1591) call75813formal.new.0)) :pattern ((Base ?x1591)) )) (=> (forall ((?x1592 boogieU)) (! (=> (= (type ?x1592) intType) (or (= (U_2_int ?x1592) call75813formal.new.0) (= (MapType0Select alloc.82 ?x1592) (MapType0Select alloc.84 ?x1592)))) :pattern ((MapType0Select alloc.84 ?x1592)) )) (=> (and (= (MapType0Select alloc.82 ?v_942) UNALLOCATED) (= (MapType0Select alloc.84 ?v_942) ALLOCATED)) (=> true (=> (<= k.61 k.66) (=> (< k.66 2) (and (=> true (=> ?v_943 (=> (= inline.SerialGetNextWrite.3.myVar_0.1 ?v_924) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.2 inline.SerialGetNextWrite.3.myVar_0.1) ?v_1231))))) (=> true (=> ?v_1066 (and (=> true (=> ?v_1060 (=> (= inline.SerialGetNextWrite.3.myVar_0.0 ?v_1067) (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.2 inline.SerialGetNextWrite.3.myVar_0.0) ?v_1232))))) (=> true (=> ?v_1069 (=> true (=> (= inline.SerialGetNextWrite.3.myVar_0.2 inline.SerialGetNextWrite.3.myVar_0) ?v_1232))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1233 (and (=> true (=> ?v_437 (=> true (and ?v_8 (=> ?v_8 (=> (> call78272formal.new.0 0) (=> (forall ((?x1581 Int)) (! (=> (and (<= call78272formal.new.0 ?x1581) (< ?x1581 (+ call78272formal.new.0 1))) (= (Base ?x1581) call78272formal.new.0)) :pattern ((Base ?x1581)) )) (=> (forall ((?x1582 boogieU)) (! (=> (= (type ?x1582) intType) (or (= (U_2_int ?x1582) call78272formal.new.0) (= (MapType0Select alloc.77 ?x1582) (MapType0Select alloc.83 ?x1582)))) :pattern ((MapType0Select alloc.83 ?x1582)) )) (=> (and (= (MapType0Select alloc.77 ?v_1234) UNALLOCATED) (= (MapType0Select alloc.83 ?v_1234) ALLOCATED)) (=> true (=> (=> ?v_1235 ?v_944) (=> (=> ?v_1265 ?v_1236) (and (=> true (=> ?v_1235 (=> true (=> ?v_1299 (=> (= cancelLockStatus_0.57 1) ?v_1298))))) (=> true (=> ?v_1285 (and (=> true (=> ?v_1265 (=> true (=> (= cancelLockStatus_1.57 1) ?v_1300)))) (=> true (=> ?v_1287 (=> true (=> ?v_1299 ?v_1300)))))))))))))))))))) (=> true (=> ?v_1301 (=> true (and ?v_29 (=> ?v_29 (=> true (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> ?v_1305 (=> ?v_1306 (=> (= cancelLockStatus_0.69 cancelLockStatus_0.56) (=> ?v_1307 (=> ?v_1308 (=> ?v_1309 (=> ?v_1310 (=> ?v_1311 (=> ?v_1312 (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> ?v_1317 (=> ?v_1318 (=> ?v_1319 (=> (= errorReached.68 errorReached.52) (=> ?v_1320 (=> (= k.75 k.61) (=> ?v_1321 (=> ?v_1322 (=> ?v_1323 (=> ?v_1324 (=> ?v_1325 (=> ?v_1326 (=> ?v_1327 (=> ?v_1328 (=> ?v_1329 (=> ?v_1330 (=> ?v_1331 (=> ?v_1332 (=> ?v_1333 (=> ?v_1334 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1338 (=> ?v_1339 (=> ?v_1340 (=> ?v_1341 (=> ?v_1342 (=> ?v_1343 (=> ?v_1344 (=> ?v_1345 (=> ?v_1346 (=> (= alloc.94 alloc.77) (=> ?v_1347 (=> ?v_1348 (=> ?v_1349 (=> ?v_1350 (=> ?v_1351 (=> ?v_1352 (=> ?v_1353 (=> ?v_1354 (=> ?v_1355 (=> ?v_1356 (=> ?v_1357 (=> (= cancelLockStatus_1.69 cancelLockStatus_1.56) (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> (= Mem_1_T.CancelRoutine__IRP.96 Mem_1_T.CancelRoutine__IRP.74) (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1387 (=> ?v_1388 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> (= Mem_0_T.P_IRP.67 Mem_0_T.P_IRP.46) (=> ?v_1392 (=> ?v_1393 (=> (= irpCompleted_1.39 irpCompleted_1.30) (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1404 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> (= Mem_0_T.CancelRoutine__IRP.96 Mem_0_T.CancelRoutine__IRP.74) (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1425 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> (= irpCompleted_0.39 irpCompleted_0.30) (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1453 (=> (= Mem_1_T.P_IRP.67 Mem_1_T.P_IRP.46) (=> ?v_1454 (=> ?v_1455 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1466 ?v_1467))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1469 (= cancelLockStatus_1.56 cancelLockStatus_1.53))) (let ((?v_1470 (=> (= cancelLockStatus_0.56 cancelLockStatus_0.53) (=> true (=> true (=> true (=> true (=> true ?v_1468)))))))) (let ((?v_1674 (and (=> true (=> ?v_937 (=> true (=> (<= k.60 k.61) (=> (< k.61 2) (and (=> true (=> ?v_1235 (=> true (=> ?v_1469 (=> ?v_944 ?v_1468))))) (=> true (=> ?v_1285 (and (=> true (=> ?v_1265 (=> true (=> ?v_1236 ?v_1470)))) (=> true (=> ?v_1287 (=> true (=> ?v_1469 ?v_1470))))))))))))) (=> true (=> ?v_600 (and (=> true (=> ?v_930 (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.1 ?v_924) (=> true (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.1) ?v_1671))))) (=> true (=> ?v_1670 (and (=> true (=> ?v_933 (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.0 ?v_1067) (=> true (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.0) ?v_1673))))) (=> true (=> ?v_1672 (=> true (=> (= inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.2..oldIrp.15.490.17.SerialTryToCompleteCurrent) ?v_1673)))))))))))) (?v_936 (= inline.SerialTryToCompleteCurrent.2..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 ?v_920)) (?v_932 (=> true (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> (= cancelLockStatus_0.70 cancelLockStatus_0.54) (=> ?v_1480 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_953 (=> ?v_1485 (=> ?v_1486 (=> ?v_1487 (=> ?v_1488 (=> ?v_1489 (=> ?v_1490 (=> ?v_1491 (=> (= errorReached.69 errorReached.52) (=> ?v_1492 (=> (= k.76 k.60) (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1508 (=> ?v_1509 (=> ?v_1510 (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.7 inline.SerialTryToCompleteCurrent.2.myNondetVar_0.5) (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_954 (=> ?v_1519 (=> ?v_1520 (=> (= alloc.95 alloc.77) (=> ?v_1521 (=> ?v_1522 (=> ?v_1523 (=> ?v_1524 (=> ?v_1525 (=> ?v_1526 (=> ?v_1527 (=> ?v_1528 (=> ?v_1529 (=> ?v_1530 (=> ?v_1531 (=> (= cancelLockStatus_1.70 cancelLockStatus_1.54) (=> ?v_1532 (=> ?v_1533 (=> (= Mem_1_T.P_IRP.68 Mem_1_T.P_IRP.46) (=> ?v_1534 (=> ?v_955 (=> ?v_1535 (=> ?v_1536 (=> (= Mem_1_T.CancelRoutine__IRP.97 Mem_1_T.CancelRoutine__IRP.74) (=> ?v_1537 (=> ?v_1538 (=> ?v_1539 (=> ?v_1540 (=> ?v_956 (=> ?v_1541 (=> ?v_1542 (=> ?v_1543 (=> ?v_957 (=> ?v_1544 (=> ?v_1545 (=> ?v_1546 (=> ?v_1547 (=> ?v_1548 (=> ?v_1549 (=> ?v_1550 (=> ?v_1551 (=> ?v_1552 (=> ?v_1553 (=> ?v_1554 (=> ?v_1555 (=> ?v_1556 (=> ?v_1557 (=> ?v_1558 (=> ?v_1559 (=> ?v_1560 (=> ?v_1561 (=> ?v_1562 (=> ?v_1563 (=> ?v_1564 (=> (= Mem_0_T.P_IRP.68 Mem_0_T.P_IRP.46) (=> ?v_1565 (=> ?v_1566 (=> (= irpCompleted_1.40 irpCompleted_1.30) (=> ?v_1567 (=> ?v_1568 (=> ?v_1569 (=> ?v_1570 (=> ?v_1571 (=> ?v_1572 (=> ?v_1573 (=> ?v_1574 (=> ?v_1575 (=> ?v_1576 (=> ?v_1577 (=> ?v_1578 (=> ?v_1579 (=> ?v_1580 (=> ?v_1581 (=> ?v_1582 (=> ?v_1583 (=> ?v_1584 (=> ?v_1585 (=> ?v_1586 (=> ?v_1587 (=> ?v_1588 (=> ?v_958 (=> (= Mem_0_T.CancelRoutine__IRP.97 Mem_0_T.CancelRoutine__IRP.74) (=> ?v_1589 (=> ?v_1590 (=> ?v_1591 (=> ?v_1592 (=> ?v_1593 (=> ?v_959 (=> ?v_1594 (=> ?v_1595 (=> ?v_1596 (=> ?v_1597 (=> ?v_1598 (=> ?v_1599 (=> ?v_1600 (=> ?v_960 (=> ?v_1601 (=> ?v_1602 (=> ?v_1603 (=> ?v_1604 (=> ?v_1605 (=> ?v_1606 (=> ?v_1607 (=> ?v_1608 (=> ?v_1609 (=> ?v_1610 (=> ?v_1611 (=> ?v_1612 (=> ?v_1613 (=> ?v_1614 (=> ?v_1615 (=> ?v_1616 (=> ?v_1617 (=> (= irpCompleted_0.40 irpCompleted_0.30) (=> ?v_1618 (=> ?v_1619 (=> ?v_1620 (=> ?v_961 (=> ?v_1621 (=> ?v_1622 (=> ?v_1623 (=> ?v_1624 (=> ?v_1625 (=> ?v_1626 (=> ?v_1627 (=> ?v_962 (=> ?v_1628 (=> ?v_1629 (=> ?v_1630 (=> ?v_1631 (=> ?v_963 (=> ?v_1632 (=> ?v_1633 (=> ?v_1634 (=> ?v_1635 (=> ?v_1636 (=> ?v_1637 (=> ?v_1638 (=> ?v_1639 (=> ?v_1640 (=> ?v_1641 ?v_964))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_934 (= cancelLockStatus_1.54 cancelLockStatus_1.53))) (let ((?v_935 (=> (= cancelLockStatus_0.54 cancelLockStatus_0.53) (=> true (=> true (=> true (=> true ?v_932))))))) (let ((?v_1676 (and (=> true (=> (not (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.5 0)) (and (=> true (=> ?v_930 (=> true (=> ?v_934 (=> (= cancelLockStatus_0.54 0) ?v_932))))) (=> true (=> ?v_1670 (and (=> true (=> ?v_933 (=> true (=> (= cancelLockStatus_1.54 0) ?v_935)))) (=> true (=> ?v_1672 (=> true (=> ?v_934 ?v_935)))))))))) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.6 0) (and (=> true (=> ?v_936 ?v_1674)) (=> true (=> (not ?v_936) (=> true ?v_1674)))))))) (?v_1675 (= inline.SerialTryToCompleteCurrent.2.myVar_0.5 hirp))) (let ((?v_1677 (and (=> true (=> ?v_1675 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1676)))) (=> true (=> (not ?v_1675) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.58..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1676))))))))))) (let ((?v_1678 (=> true (=> true (=> true (=> true ?v_1677)))))) (let ((?v_1698 (=> true (=> (<= k.59 k.60) (=> (< k.60 2) (and (=> true (=> ?v_930 (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.4 ?v_924) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.5 inline.SerialTryToCompleteCurrent.2.myVar_0.4) ?v_1677))))) (=> true (=> ?v_1670 (and (=> true (=> ?v_933 (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.3 ?v_1067) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.5 inline.SerialTryToCompleteCurrent.2.myVar_0.3) ?v_1678))))) (=> true (=> ?v_1672 (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.5 inline.SerialTryToCompleteCurrent.2.myVar_0.2) ?v_1678)))))))))))) (?v_1703 (= inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1704 (= inline.SerialRundownIrpRefs.2.myNondetVar_2.5 inline.SerialRundownIrpRefs.2.myNondetVar_2.3)) (?v_1705 (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_1706 (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1707 (= inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs)) (?v_1708 (= inline.SerialRundownIrpRefs.2.myVar_0.14 inline.SerialRundownIrpRefs.2.myVar_0.10)) (?v_1709 (= inline.SerialRundownIrpRefs.2.myNondetVar_1.5 inline.SerialRundownIrpRefs.2.myNondetVar_1.3))) (let ((?v_1710 (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_0.11 inline.SerialRundownIrpRefs.2.myNondetVar_0.7) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.5 inline.SerialRundownIrpRefs.2.tempBoogie0.3) (=> true (=> true (=> true ?v_1698)))))) (?v_1702 (= inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 0)) (?v_1686 (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..1)) (?v_1687 (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..0 call75190formal.ret.0)) (?v_1688 (= inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..0 call75190formal.ret.0)) (?v_1689 (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0)) (?v_1690 (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0)) (?v_1691 (= inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_1692 (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.3 inline.sdv_InterlockedDecrement.26.myNondetVar_0.2)) (?v_1693 (= inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.0 call75190formal.ret.0)) (?v_1694 (= inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_1695 (= inline.SerialCancelTimer.7.myNondetVar_0.2 inline.SerialCancelTimer.7.myNondetVar_0.1)) (?v_1696 (= inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_1697 (= inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..0 call75190formal.ret.0)) (?v_1685 (= call75190formal.ret.0 0))) (let ((?v_1680 (=> true (=> (forall ((?r7 Int)) (! (=> (and (= (POW2 ?r7) boolTrue) (= (POW2 4) boolTrue) (not (= ?r7 4))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_1.4 ?r7) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_2.4 ?v_39) ?r7) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.8 ?v_39) ?r7)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.9 ?v_39) 4) 0) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.4 (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.10 ?v_39)) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_1686 (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_2.5 inline.SerialRundownIrpRefs.2.myNondetVar_2.4) (=> ?v_1687 (=> ?v_1688 (=> ?v_1689 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.2.myVar_0.13) (=> ?v_1690 (=> ?v_1691 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.2.myVar_0.13) (=> ?v_1692 (=> (= inline.SerialRundownIrpRefs.2.._refType.9.637.0.SerialRundownIrpRefs.0 4) (=> ?v_1693 (=> ?v_1694 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.14 inline.SerialRundownIrpRefs.2.myVar_0.13) (=> ?v_1695 (=> ?v_1696 (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_1.5 inline.SerialRundownIrpRefs.2.myNondetVar_1.4) (=> ?v_1697 (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_0.11 inline.SerialRundownIrpRefs.2.myNondetVar_0.10) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.5 inline.SerialRundownIrpRefs.2.tempBoogie0.4) ?v_1698))))))))))))))))))))))))))) (?v_1679 (= inline.SerialRundownIrpRefs.2.myVar_0.13 hirp))) (let ((?v_1682 (and (=> true (=> ?v_1679 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1680)))) (=> true (=> (not ?v_1679) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.57..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1680))))))))))) (let ((?v_1684 (=> true (=> true (=> true (=> true ?v_1682))))) (?v_1683 (= k.59 1)) (?v_1681 (= k.59 0)) (?v_929 (not ?v_1685))) (let ((?v_1701 (and (=> true (=> ?v_929 (and (=> true (=> ?v_1681 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.11 ?v_924) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.13 inline.SerialRundownIrpRefs.2.myVar_0.11) ?v_1682))))) (=> true (=> (not ?v_1681) (and (=> true (=> ?v_1683 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.12 ?v_1067) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.13 inline.SerialRundownIrpRefs.2.myVar_0.12) ?v_1684))))) (=> true (=> (not ?v_1683) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.13 inline.SerialRundownIrpRefs.2.myVar_0.10) ?v_1684)))))))))) (=> true (=> ?v_1685 (=> true (=> ?v_1703 (=> ?v_1686 (=> ?v_1704 (=> ?v_1687 (=> ?v_1688 (=> ?v_1689 (=> ?v_1705 (=> ?v_1690 (=> ?v_1691 (=> ?v_1706 (=> ?v_1692 (=> ?v_1707 (=> ?v_1693 (=> ?v_1694 (=> ?v_1708 (=> ?v_1695 (=> ?v_1696 (=> ?v_1709 (=> ?v_1697 ?v_1710))))))))))))))))))))))))) (let ((?v_1700 (=> true (=> (= inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.26.myNondetVar_0.1) (=> (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.SerialCancelTimer.7.myNondetVar_0.1 inline.SerialCancelTimer.7.myNondetVar_0.0) (=> (= inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.26.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.2 inline.sdv_InterlockedDecrement.26.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.26.myNondetVar_0.1) ?v_1701)))))))) (?v_1699 (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.1 0))) (let ((?v_1730 (and (=> true (=> (not ?v_1702) (and (=> true (=> ?v_929 (and (=> true (=> (not ?v_1699) (=> true (=> (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2.) ?v_1700)))) (=> true (=> ?v_1699 (=> true (=> (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..0 call75271formal.ret.0) (=> true (=> true (=> true ?v_1700)))))))))) (=> true (=> ?v_1685 (=> true (=> (= inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialCancelTimer.7.myNondetVar_0.1 inline.SerialCancelTimer.7.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.2 inline.sdv_InterlockedDecrement.26.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1.) (=> true (=> true (=> true (=> true (=> true ?v_1701))))))))))))))))) (=> true (=> ?v_1702 (=> true (=> ?v_1703 (=> (= inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.20..result.SdvMakeChoice.4659.26.2.) (=> ?v_1704 (=> (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5..0 inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.635.29.5.) (=> (= inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1..0 inline.SerialCancelTimer.7..result.SerialCancelTimer.1382.0.1.) (=> (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer1) (=> ?v_1705 (=> (= inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.7..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.8..result.sdv_InterlockedDecrement.1437.36.1.) (=> ?v_1706 (=> (= inline.sdv_InterlockedDecrement.26.myNondetVar_0.3 inline.sdv_InterlockedDecrement.26.myNondetVar_0) (=> ?v_1707 (=> (= inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.7..cancelled.3.1402.11.SerialCancelTimer) (=> (= inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.26..result.sdv_InterlockedDecrement.6483.0.1.) (=> ?v_1708 (=> (= inline.SerialCancelTimer.7.myNondetVar_0.2 inline.SerialCancelTimer.7.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.8..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> ?v_1709 (=> (= inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.7..result.KeCancelTimer.1404.28.2.) ?v_1710)))))))))))))))))))))))) (?v_1734 (= inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_1735 (= inline.SerialRundownIrpRefs.2.myNondetVar_0.7 inline.SerialRundownIrpRefs.2.myNondetVar_0.3)) (?v_1736 (= inline.SerialRundownIrpRefs.2.myNondetVar_2.3 inline.SerialRundownIrpRefs.2.myNondetVar_2.1)) (?v_1737 (= inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs)) (?v_1738 (= inline.SerialRundownIrpRefs.2.myVar_0.10 inline.SerialRundownIrpRefs.2.myVar_0.6)) (?v_1739 (= inline.SerialRundownIrpRefs.2.myNondetVar_1.3 inline.SerialRundownIrpRefs.2.myNondetVar_1.1)) (?v_1740 (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_1741 (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1))) (let ((?v_1742 (=> (= k.59 k.57) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.3 inline.SerialRundownIrpRefs.2.tempBoogie0.1) (=> true ?v_1730)))) (?v_1718 (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.3 inline.sdv_InterlockedDecrement.25.myNondetVar_0.2)) (?v_1719 (= inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.0 call74908formal.ret.0)) (?v_1720 (= inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_1721 (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.0 0)) (?v_1722 (= inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_1723 (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..1)) (?v_1724 (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..0 call74908formal.ret.0)) (?v_1725 (= inline.SerialCancelTimer.6.myNondetVar_0.2 inline.SerialCancelTimer.6.myNondetVar_0.1)) (?v_1726 (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.0 0)) (?v_1727 (= inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_1728 (= inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..0 call74908formal.ret.0)) (?v_1729 (= inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..0 call74908formal.ret.0)) (?v_1717 (= call74908formal.ret.0 0))) (let ((?v_1712 (=> true (=> (forall ((?r8 Int)) (! (=> (and (= (POW2 ?r8) boolTrue) (= (POW2 8) boolTrue) (not (= ?r8 8))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_1.2 ?r8) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_2.2 ?v_37) ?r8) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.4 ?v_37) ?r8)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.5 ?v_37) 8) 0) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.2 (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.6 ?v_37)) (=> true (=> ?v_1718 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_0.7 inline.SerialRundownIrpRefs.2.myNondetVar_0.6) (=> ?v_1719 (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_2.3 inline.SerialRundownIrpRefs.2.myNondetVar_2.2) (=> ?v_1720 (=> ?v_1721 (=> ?v_1722 (=> (= inline.SerialRundownIrpRefs.2.._refType.7.603.0.SerialRundownIrpRefs.0 8) (=> ?v_1723 (=> ?v_1724 (=> ?v_1725 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.10 inline.SerialRundownIrpRefs.2.myVar_0.9) (=> ?v_1726 (=> ?v_1727 (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_1.3 inline.SerialRundownIrpRefs.2.myNondetVar_1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.2.myVar_0.9) (=> ?v_1728 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.2.myVar_0.9) (=> ?v_1729 (=> (= k.59 k.58) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.3 inline.SerialRundownIrpRefs.2.tempBoogie0.2) ?v_1730)))))))))))))))))))))))))))) (?v_1711 (= inline.SerialRundownIrpRefs.2.myVar_0.9 hirp))) (let ((?v_1714 (and (=> true (=> ?v_1711 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1712)))) (=> true (=> (not ?v_1711) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.56..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1712))))))))))) (let ((?v_1716 (=> true (=> true (=> true (=> true ?v_1714))))) (?v_1715 (= k.58 1)) (?v_1713 (= k.58 0)) (?v_928 (not ?v_1717))) (let ((?v_1733 (and (=> true (=> ?v_928 (=> true (=> (<= k.57 k.58) (=> (< k.58 2) (and (=> true (=> ?v_1713 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.7 ?v_924) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.9 inline.SerialRundownIrpRefs.2.myVar_0.7) ?v_1714))))) (=> true (=> (not ?v_1713) (and (=> true (=> ?v_1715 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.8 ?v_1067) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.9 inline.SerialRundownIrpRefs.2.myVar_0.8) ?v_1716))))) (=> true (=> (not ?v_1715) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.9 inline.SerialRundownIrpRefs.2.myVar_0.6) ?v_1716))))))))))))) (=> true (=> ?v_1717 (=> true (=> ?v_1718 (=> ?v_1734 (=> ?v_1735 (=> ?v_1719 (=> ?v_1736 (=> ?v_1720 (=> ?v_1721 (=> ?v_1722 (=> ?v_1737 (=> ?v_1723 (=> ?v_1724 (=> ?v_1725 (=> ?v_1738 (=> ?v_1726 (=> ?v_1727 (=> ?v_1739 (=> ?v_1740 (=> ?v_1728 (=> ?v_1741 (=> ?v_1729 ?v_1742)))))))))))))))))))))))))) (let ((?v_1732 (=> true (=> (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.25.myNondetVar_0.1) (=> (= inline.SerialCancelTimer.6.myNondetVar_0.1 inline.SerialCancelTimer.6.myNondetVar_0.0) (=> (= inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.25.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.2 inline.sdv_InterlockedDecrement.25.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.25.myNondetVar_0.1) ?v_1733)))))))) (?v_1731 (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.1 0))) (let ((?v_1765 (and (=> true (=> ?v_29 (and (=> true (=> ?v_928 (and (=> true (=> (not ?v_1731) (=> true (=> (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2.) ?v_1732)))) (=> true (=> ?v_1731 (=> true (=> (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..0 call74989formal.ret.0) (=> true (=> true (=> true ?v_1732)))))))))) (=> true (=> ?v_1717 (=> true (=> (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialCancelTimer.6.myNondetVar_0.1 inline.SerialCancelTimer.6.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.2 inline.sdv_InterlockedDecrement.25.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1.) (=> true (=> true (=> true (=> true (=> true ?v_1733))))))))))))))))) (=> true (=> ?v_0 (=> true (=> (= inline.sdv_InterlockedDecrement.25.myNondetVar_0.3 inline.sdv_InterlockedDecrement.25.myNondetVar_0) (=> ?v_1734 (=> ?v_1735 (=> (= inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.6..cancelled.3.1402.11.SerialCancelTimer) (=> ?v_1736 (=> (= inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.25..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer1) (=> (= inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.7..result.sdv_InterlockedDecrement.1437.36.1.) (=> ?v_1737 (=> (= inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.19..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3..0 inline.SerialRundownIrpRefs.2..result.SerialCancelTimer.601.29.3.) (=> (= inline.SerialCancelTimer.6.myNondetVar_0.2 inline.SerialCancelTimer.6.myNondetVar_0) (=> ?v_1738 (=> (= inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.6..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.7..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> ?v_1739 (=> ?v_1740 (=> (= inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1..0 inline.SerialCancelTimer.6..result.SerialCancelTimer.1382.0.1.) (=> ?v_1741 (=> (= inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.6..result.KeCancelTimer.1404.28.2.) ?v_1742))))))))))))))))))))))))) (?v_923 (= k.54 0)) (?v_1763 (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.71 (int_2_U (CancelRoutine__IRP ?v_924)))) 0)) (?v_1760 (= k.54 1)) (?v_1764 (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.71 (int_2_U (CancelRoutine__IRP ?v_1067)))) 0))) (let ((?v_1744 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.74 Mem_0_T.CancelRoutine__IRP.73) (=> (= inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.0 2) (=> (= k.57 k.56) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_2.1 inline.SerialRundownIrpRefs.2.myNondetVar_2.0) (=> (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= errorReached.52 errorReached.51) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.2.myVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialRundownIrpRefs.2.myVar_0.5) (=> (= inline.SerialRundownIrpRefs.2.myVar_0.6 inline.SerialRundownIrpRefs.2.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_1.1 inline.SerialRundownIrpRefs.2.myNondetVar_1.0) (=> (= Mem_1_T.CancelRoutine__IRP.74 Mem_1_T.CancelRoutine__IRP.73) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.2.myVar_0.2) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_0.3 inline.SerialRundownIrpRefs.2.myNondetVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialRundownIrpRefs.2.myVar_0.5) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.1 inline.SerialRundownIrpRefs.2.tempBoogie0.0) ?v_1765)))))))))))))))))))) (?v_1745 (= Mem_1_T.CancelRoutine__IRP.73 Mem_1_T.CancelRoutine__IRP.71))) (let ((?v_1746 (=> (= Mem_0_T.CancelRoutine__IRP.73 Mem_0_T.CancelRoutine__IRP.71) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1744)))))))) (?v_1743 (= k.56 1))) (let ((?v_1752 (not ?v_1743)) (?v_927 (int_2_U (CancelRoutine__IRP inline.SerialRundownIrpRefs.2.myVar_0.5))) (?v_926 (= k.56 0))) (let ((?v_1750 (not ?v_926))) (let ((?v_1747 (and (=> true (=> ?v_926 (=> (= Mem_0_T.CancelRoutine__IRP.72 (MapType0Store Mem_0_T.CancelRoutine__IRP.71 ?v_927 ?v_35)) (=> true (=> ?v_1745 (=> (= Mem_0_T.CancelRoutine__IRP.73 Mem_0_T.CancelRoutine__IRP.72) ?v_1744)))))) (=> true (=> ?v_1750 (and (=> true (=> ?v_1743 (=> (= Mem_1_T.CancelRoutine__IRP.72 (MapType0Store Mem_1_T.CancelRoutine__IRP.71 ?v_927 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.73 Mem_1_T.CancelRoutine__IRP.72) ?v_1746))))) (=> true (=> ?v_1752 (=> true (=> ?v_1745 ?v_1746)))))))))) (let ((?v_1749 (=> true (=> (= errorReached.51 errorReached.50) (=> true ?v_1747)))) (?v_1748 (= inline.SerialRundownIrpRefs.2.myVar_0.5 hirp))) (let ((?v_1751 (and (=> true (=> ?v_1748 (and (=> true (=> (=> ?v_926 ?v_948) (=> (=> ?v_1743 ?v_950) (=> true (=> (= errorReached.51 1) ?v_1747))))) (=> true (=> (=> ?v_926 ?v_1013) (=> (=> ?v_1743 ?v_1014) ?v_1749)))))) (=> true (=> (not ?v_1748) ?v_1749))))) (let ((?v_1753 (=> true (=> true ?v_1751)))) (let ((?v_1755 (=> true (=> (<= k.55 k.56) (=> (< k.56 2) (and (=> true (=> ?v_926 (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.71 ?v_927))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_1751))))) (=> true (=> ?v_1750 (and (=> true (=> ?v_1743 (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.71 ?v_927))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_1753))))) (=> true (=> ?v_1752 (=> true (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_1753))))))))))))) (let ((?v_1757 (=> true (=> true (=> true (=> true ?v_1755))))) (?v_1756 (= k.55 1)) (?v_1754 (= k.55 0))) (let ((?v_1759 (=> true (=> (forall ((?r9 Int)) (! (=> (and (= (POW2 ?r9) boolTrue) (= (POW2 2) boolTrue) (not (= ?r9 2))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_1.0 ?r9) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_2.0 ?v_33) ?r9) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.0 ?v_33) ?r9)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.1 ?v_33) 2) 0) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.0 (BIT_BAND inline.SerialRundownIrpRefs.2.myNondetVar_0.2 ?v_33)) (=> true (=> (<= k.54 k.55) (=> (< k.55 2) (and (=> true (=> ?v_1754 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.3 ?v_924) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.5 inline.SerialRundownIrpRefs.2.myVar_0.3) ?v_1755))))) (=> true (=> (not ?v_1754) (and (=> true (=> ?v_1756 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.4 ?v_1067) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.5 inline.SerialRundownIrpRefs.2.myVar_0.4) ?v_1757))))) (=> true (=> (not ?v_1756) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.5 inline.SerialRundownIrpRefs.2.myVar_0.2) ?v_1757)))))))))))))))) (?v_1758 (= inline.SerialRundownIrpRefs.2.myVar_0.2 hirp))) (let ((?v_1761 (and (=> true (=> ?v_1758 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1759)))) (=> true (=> (not ?v_1758) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1759))))))))))) (let ((?v_1762 (=> true (=> true (=> true (=> true ?v_1761))))) (?v_1773 (not ?v_1760)) (?v_1771 (not ?v_923))) (let ((?v_1768 (and (=> true (=> (=> ?v_923 (not ?v_1763)) (=> (=> ?v_1760 (not ?v_1764)) (and (=> true (=> ?v_923 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.0 ?v_924) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.2 inline.SerialRundownIrpRefs.2.myVar_0.0) ?v_1761))))) (=> true (=> ?v_1771 (and (=> true (=> ?v_1760 (=> (= inline.SerialRundownIrpRefs.2.myVar_0.1 ?v_1067) (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.2 inline.SerialRundownIrpRefs.2.myVar_0.1) ?v_1762))))) (=> true (=> ?v_1773 (=> true (=> (= inline.SerialRundownIrpRefs.2.myVar_0.2 inline.SerialRundownIrpRefs.2.myVar_0) ?v_1762))))))))))) (=> true (=> (=> ?v_923 ?v_1763) (=> (=> ?v_1760 ?v_1764) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.74 Mem_0_T.CancelRoutine__IRP.71) (=> (= inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.2.._refType.5.566.0.SerialRundownIrpRefs) (=> (= k.57 k.54) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_2.1 inline.SerialRundownIrpRefs.2.myNondetVar_2) (=> (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= errorReached.52 errorReached.50) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.55..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.SerialRundownIrpRefs.2.myVar_0.6 inline.SerialRundownIrpRefs.2.myVar_0) (=> (= inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.14..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_1.1 inline.SerialRundownIrpRefs.2.myNondetVar_1) (=> (= Mem_1_T.CancelRoutine__IRP.74 Mem_1_T.CancelRoutine__IRP.71) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.55..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialRundownIrpRefs.2.myNondetVar_0.3 inline.SerialRundownIrpRefs.2.myNondetVar_0) (=> (= inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.14..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.14..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.SerialRundownIrpRefs.2.tempBoogie0.1 inline.SerialRundownIrpRefs.2.tempBoogie0) (=> true ?v_1765)))))))))))))))))))))))))) (let ((?v_1767 (=> true (=> (= inline.KeSynchronizeExecution.12.myNondetVar_0.7 inline.KeSynchronizeExecution.12.myNondetVar_0.6) (=> (= inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGrabWriteFromIsr) (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.4 inline.SerialTryToCompleteCurrent.2.myNondetVar_0.3) (=> (= inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGrabWriteFromIsr) ?v_1768))))))))) (let ((?v_1770 (=> true (=> (forall ((?r10 Int)) (! (=> (and (= (POW2 ?r10) boolTrue) (= (POW2 2) boolTrue) (not (= ?r10 2))) (= (not (= (BIT_BAND inline.SerialTryToCompleteCurrent.2.myNondetVar_1.0 ?r10) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.2.myNondetVar_2.0 ?v_33) ?r10) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.2.myNondetVar_0.0 ?v_33) ?r10)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.2.myNondetVar_0.1 ?v_33) 2) 0) (and (=> true (=> ?v_922 (and (=> true (=> ?v_922 (=> true (=> (= inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.12..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.12.myNondetVar_0.6 inline.KeSynchronizeExecution.12.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.12..result.SynchronizeRoutine.4679.26.2.) ?v_1767)))))) (=> true (=> ?v_1766 (=> true (=> (= inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.12.myNondetVar_0.6 inline.KeSynchronizeExecution.12.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..0 0) (=> true (=> true (=> true ?v_1767)))))))))))) (=> true (=> ?v_1766 (=> true (=> (= inline.KeSynchronizeExecution.12.myNondetVar_0.7 inline.KeSynchronizeExecution.12.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.12..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialTryToCompleteCurrent.2.myNondetVar_0.4 inline.SerialTryToCompleteCurrent.2.myNondetVar_0.2) (=> (= inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.12..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.12..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> true (=> true (=> true (=> true ?v_1768)))))))))))))))))) (?v_1769 (= inline.SerialTryToCompleteCurrent.2.myVar_0.2 hirp))) (let ((?v_1772 (and (=> true (=> ?v_1769 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_1770)))) (=> true (=> (not ?v_1769) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.54..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_1770))))))))))) (let ((?v_1774 (=> true (=> true (=> true (=> true ?v_1772)))))) (let ((?v_1775 (=> true (=> ?v_936 (=> (= inline.SerialTryToCompleteCurrent.2..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0 (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2)) (=> (= inline.SerialTryToCompleteCurrent.2..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 (WriteQueue__SERIAL_DEVICE_EXTENSION inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2)) (=> (= inline.SerialTryToCompleteCurrent.2..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2)) (=> true (and ?v_27 (=> ?v_27 (=> (> call74225formal.new.0 0) (=> (forall ((?x1601 Int)) (! (=> (and (<= call74225formal.new.0 ?x1601) (< ?x1601 (+ call74225formal.new.0 4))) (= (Base ?x1601) call74225formal.new.0)) :pattern ((Base ?x1601)) )) (=> (forall ((?x1602 boogieU)) (! (=> (= (type ?x1602) intType) (or (= (U_2_int ?x1602) call74225formal.new.0) (= (MapType0Select alloc.76 ?x1602) (MapType0Select alloc.77 ?x1602)))) :pattern ((MapType0Select alloc.77 ?x1602)) )) (=> (and (= (MapType0Select alloc.76 ?v_921) UNALLOCATED) (= (MapType0Select alloc.77 ?v_921) ALLOCATED)) (=> true (=> (<= k.53 k.54) (=> (< k.54 2) (and (=> true (=> ?v_923 (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.0 ?v_924) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.2 inline.SerialTryToCompleteCurrent.2.myVar_0.0) ?v_1772))))) (=> true (=> ?v_1771 (and (=> true (=> ?v_1760 (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.1 ?v_1067) (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.2 inline.SerialTryToCompleteCurrent.2.myVar_0.1) ?v_1774))))) (=> true (=> ?v_1773 (=> true (=> (= inline.SerialTryToCompleteCurrent.2.myVar_0.2 inline.SerialTryToCompleteCurrent.2.myVar_0) ?v_1774))))))))))))))))))))))))) (let ((?v_1776 (=> true (=> true ?v_1775))) (?v_1779 (not ?v_918)) (?v_1777 (not ?v_917))) (let ((?v_1778 (and (=> true (=> ?v_917 (=> (= inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.0 ?v_24) (=> true (=> (= inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2 inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.0) ?v_1775))))) (=> true (=> ?v_1777 (and (=> true (=> ?v_918 (=> (= inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.1 ?v_913) (=> true (=> (= inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2 inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.1) ?v_1776))))) (=> true (=> ?v_1779 (=> true (=> (= inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite.2 inline.SerialCancelCurrentWrite.0..Extension.3.987.29.SerialCancelCurrentWrite) ?v_1776))))))))) (?v_1780 (= Mem_1_T.CancelRoutine__IRP.71 Mem_1_T.CancelRoutine__IRP.69))) (let ((?v_1781 (=> (= Mem_0_T.CancelRoutine__IRP.71 Mem_0_T.CancelRoutine__IRP.69) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1778))))))))) (let ((?v_2066 (and (=> true (=> (=> ?v_917 ?v_1782) (=> (=> ?v_918 ?v_1783) (and (=> true (=> ?v_917 (=> (= Mem_0_T.CancelRoutine__IRP.70 (MapType0Store Mem_0_T.CancelRoutine__IRP.69 ?v_919 ?v_35)) (=> true (=> ?v_1780 (=> (= Mem_0_T.CancelRoutine__IRP.71 Mem_0_T.CancelRoutine__IRP.70) ?v_1778)))))) (=> true (=> ?v_1777 (and (=> true (=> ?v_918 (=> (= Mem_1_T.CancelRoutine__IRP.70 (MapType0Store Mem_1_T.CancelRoutine__IRP.69 ?v_919 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.71 Mem_1_T.CancelRoutine__IRP.70) ?v_1781))))) (=> true (=> ?v_1779 (=> true (=> ?v_1780 ?v_1781))))))))))) (=> true (=> (=> ?v_917 (not ?v_1782)) (=> (=> ?v_918 (not ?v_1783)) (=> true (=> ?v_1784 (=> ?v_1785 (=> ?v_1786 (=> ?v_1787 (=> ?v_1788 (=> ?v_1789 (=> ?v_1790 (=> (= cancelLockStatus_0.71 cancelLockStatus_0.53) (=> ?v_1791 (=> ?v_1792 (=> ?v_1793 (=> ?v_1794 (=> ?v_1795 (=> ?v_1796 (=> ?v_1797 (=> ?v_1798 (=> ?v_1799 (=> ?v_1800 (=> ?v_1801 (=> ?v_1802 (=> ?v_1803 (=> ?v_1804 (=> ?v_1805 (=> ?v_1806 (=> ?v_1807 (=> ?v_1808 (=> ?v_1809 (=> ?v_1810 (=> ?v_1811 (=> ?v_1812 (=> ?v_1813 (=> ?v_1814 (=> ?v_1815 (=> ?v_1816 (=> ?v_1817 (=> ?v_1818 (=> ?v_1819 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_1824 (=> ?v_1825 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_1830 (=> ?v_1831 (=> ?v_1832 (=> ?v_1833 (=> ?v_1834 (=> ?v_1835 (=> ?v_1836 (=> ?v_1837 (=> ?v_1838 (=> ?v_1839 (=> ?v_1840 (=> ?v_1841 (=> ?v_1842 (=> ?v_1843 (=> ?v_1844 (=> ?v_1845 (=> ?v_1846 (=> ?v_1847 (=> ?v_1848 (=> ?v_1849 (=> ?v_1850 (=> ?v_1851 (=> ?v_1852 (=> ?v_1853 (=> ?v_1854 (=> ?v_1855 (=> ?v_1856 (=> ?v_1857 (=> ?v_1858 (=> ?v_1859 (=> ?v_1860 (=> ?v_1861 (=> ?v_1862 (=> ?v_1863 (=> ?v_1864 (=> ?v_1865 (=> ?v_1866 (=> ?v_1867 (=> ?v_1868 (=> ?v_1869 (=> ?v_1870 (=> ?v_1871 (=> ?v_1872 (=> ?v_1873 (=> ?v_1874 (=> ?v_1875 (=> ?v_1876 (=> ?v_1877 (=> ?v_1878 (=> ?v_1879 (=> (= cancelLockStatus_1.71 cancelLockStatus_1.53) (=> ?v_1880 (=> ?v_1881 (=> ?v_1882 (=> ?v_1883 (=> ?v_1884 (=> ?v_1885 (=> ?v_1886 (=> ?v_1887 (=> ?v_1888 (=> ?v_1889 (=> ?v_1890 (=> ?v_1891 (=> ?v_1892 (=> ?v_1893 (=> ?v_1894 (=> ?v_1895 (=> ?v_1896 (=> ?v_1897 (=> ?v_1898 (=> ?v_1899 (=> ?v_1900 (=> ?v_1901 (=> ?v_1902 (=> ?v_1903 (=> ?v_1904 (=> ?v_1905 (=> ?v_1906 (=> ?v_1907 (=> ?v_1908 (=> ?v_1909 (=> ?v_1910 (=> ?v_1911 (=> ?v_1912 (=> ?v_1913 (=> ?v_1914 (=> ?v_1915 (=> ?v_1916 (=> ?v_1917 (=> ?v_1918 (=> ?v_1919 (=> ?v_1920 (=> ?v_1921 (=> ?v_1922 (=> ?v_1923 (=> ?v_1924 (=> ?v_1925 (=> ?v_1926 (=> ?v_1927 (=> ?v_1928 (=> ?v_1929 (=> ?v_1930 (=> ?v_1931 (=> ?v_1932 (=> ?v_1933 (=> ?v_1934 (=> ?v_1935 (=> ?v_1936 (=> ?v_1937 (=> ?v_1938 (=> ?v_1939 (=> ?v_1940 (=> ?v_1941 (=> ?v_1942 (=> ?v_1943 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> ?v_1947 (=> ?v_1948 (=> ?v_1949 (=> ?v_1950 (=> ?v_1951 (=> ?v_1952 (=> ?v_1953 (=> ?v_1954 (=> ?v_1955 (=> ?v_1956 (=> ?v_1957 (=> ?v_1958 (=> ?v_1959 (=> ?v_1960 (=> ?v_1961 (=> ?v_1962 (=> ?v_1963 (=> ?v_1964 (=> ?v_1965 (=> ?v_1966 (=> ?v_1967 (=> ?v_1968 (=> ?v_1969 (=> ?v_1970 (=> ?v_1971 (=> ?v_1972 (=> ?v_1973 (=> ?v_1974 (=> ?v_1975 (=> ?v_1976 (=> ?v_1977 (=> ?v_1978 (=> ?v_1979 (=> ?v_1980 (=> ?v_1981 (=> ?v_1982 (=> ?v_1983 (=> ?v_1984 (=> ?v_1985 (=> ?v_1986 (=> ?v_1987 (=> ?v_1988 (=> ?v_1989 (=> ?v_1990 (=> ?v_1991 (=> ?v_1992 (=> ?v_1993 (=> ?v_1994 (=> ?v_1995 (=> ?v_1996 (=> ?v_1997 (=> ?v_1998 (=> ?v_1999 (=> ?v_2000 (=> ?v_2001 (=> ?v_2002 (=> ?v_2003 (=> ?v_2004 (=> ?v_2005 (=> ?v_2006 (=> ?v_2007 (=> ?v_2008 (=> ?v_2009 (=> ?v_2010 (=> ?v_2011 (=> ?v_2012 (=> ?v_2013 (=> ?v_2014 (=> ?v_2015 (=> ?v_2016 (=> ?v_2017 (=> ?v_2018 (=> ?v_2019 (=> ?v_2020 (=> ?v_2021 (=> ?v_2022 (=> ?v_2023 (=> ?v_2024 (=> ?v_2025 (=> ?v_2026 (=> ?v_2027 (=> ?v_2028 (=> ?v_2029 (=> ?v_2030 (=> ?v_2031 (=> ?v_2032 (=> ?v_2033 (=> ?v_2034 (=> ?v_2035 (=> ?v_2036 (=> ?v_2037 (=> ?v_2038 (=> ?v_2039 (=> ?v_2040 (=> ?v_2041 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_2046 (=> ?v_2047 (=> ?v_2048 (=> ?v_2049 (=> ?v_2050 (=> ?v_2051 (=> ?v_2052 (=> ?v_2053 (=> ?v_2054 (=> ?v_2055 (=> ?v_2056 (=> ?v_2057 (=> ?v_2058 (=> ?v_2059 (=> ?v_2060 (=> ?v_2061 (=> ?v_2062 ?v_2063))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2067 (= Mem_1_T.Cancel__IRP.1 Mem_1_T.Cancel__IRP))) (let ((?v_2068 (=> (= Mem_0_T.Cancel__IRP.1 Mem_0_T.Cancel__IRP) (=> true (=> true ?v_2066)))) (?v_2064 (int_2_U (Cancel__IRP hirp))) (?v_2065 (int_2_U 1))) (let ((?v_2069 (and (=> true (=> ?v_917 (=> (= Mem_0_T.Cancel__IRP.0 (MapType0Store Mem_0_T.Cancel__IRP ?v_2064 ?v_2065)) (=> true (=> ?v_2067 (=> (= Mem_0_T.Cancel__IRP.1 Mem_0_T.Cancel__IRP.0) ?v_2066)))))) (=> true (=> ?v_1777 (and (=> true (=> ?v_918 (=> (= Mem_1_T.Cancel__IRP.0 (MapType0Store Mem_1_T.Cancel__IRP ?v_2064 ?v_2065)) (=> true (=> (= Mem_1_T.Cancel__IRP.1 Mem_1_T.Cancel__IRP.0) ?v_2068))))) (=> true (=> ?v_1779 (=> true (=> ?v_2067 ?v_2068))))))))) (?v_2070 (= cancelLockStatus_1.53 cancelLockStatus_1.52))) (let ((?v_2071 (=> (= cancelLockStatus_0.53 cancelLockStatus_0.52) (=> true (=> true ?v_2069)))) (?v_7 (int_2_U (CancelRoutine__IRP x.tmpIrp.2.6628.7.sdv_main))) (?v_916 (= call68286formal.ret.0 0))) (let ((?v_2826 (=> true (=> (<= 0 k.53) (=> (< k.53 2) (and (=> true (=> (not ?v_916) (=> true (=> ?v_1784 (=> ?v_1785 (=> ?v_1786 (=> ?v_1787 (=> ?v_1788 (=> ?v_1789 (=> ?v_1790 (=> (= cancelLockStatus_0.71 cancelLockStatus_0.52) (=> ?v_1791 (=> ?v_1792 (=> ?v_1793 (=> ?v_1794 (=> ?v_1795 (=> ?v_1796 (=> ?v_1797 (=> ?v_1798 (=> ?v_1799 (=> ?v_1800 (=> ?v_1801 (=> ?v_1802 (=> ?v_1803 (=> ?v_1804 (=> ?v_1805 (=> ?v_1806 (=> ?v_1807 (=> ?v_1808 (=> ?v_1809 (=> ?v_1810 (=> ?v_1811 (=> ?v_1812 (=> ?v_1813 (=> ?v_1814 (=> ?v_1815 (=> ?v_1816 (=> ?v_1817 (=> ?v_1818 (=> ?v_1819 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_1824 (=> ?v_1825 (=> ?v_1826 (=> ?v_1827 (=> ?v_1828 (=> ?v_1829 (=> ?v_1830 (=> ?v_1831 (=> ?v_1832 (=> ?v_1833 (=> ?v_1834 (=> ?v_1835 (=> ?v_1836 (=> ?v_1837 (=> ?v_1838 (=> ?v_1839 (=> ?v_1840 (=> ?v_1841 (=> ?v_1842 (=> ?v_1843 (=> ?v_1844 (=> ?v_1845 (=> ?v_1846 (=> ?v_1847 (=> ?v_1848 (=> ?v_1849 (=> ?v_1850 (=> ?v_1851 (=> ?v_1852 (=> ?v_1853 (=> ?v_1854 (=> ?v_1855 (=> ?v_1856 (=> ?v_1857 (=> ?v_1858 (=> ?v_1859 (=> ?v_1860 (=> ?v_1861 (=> ?v_1862 (=> ?v_1863 (=> ?v_1864 (=> ?v_1865 (=> ?v_1866 (=> ?v_1867 (=> ?v_1868 (=> ?v_1869 (=> ?v_1870 (=> ?v_1871 (=> ?v_1872 (=> ?v_1873 (=> ?v_1874 (=> ?v_1875 (=> ?v_1876 (=> ?v_1877 (=> ?v_1878 (=> ?v_1879 (=> (= cancelLockStatus_1.71 cancelLockStatus_1.52) (=> ?v_1880 (=> ?v_1881 (=> ?v_1882 (=> ?v_1883 (=> ?v_1884 (=> ?v_1885 (=> ?v_1886 (=> ?v_1887 (=> ?v_1888 (=> ?v_1889 (=> ?v_1890 (=> ?v_1891 (=> ?v_1892 (=> ?v_1893 (=> ?v_1894 (=> ?v_1895 (=> ?v_1896 (=> ?v_1897 (=> ?v_1898 (=> ?v_1899 (=> ?v_1900 (=> ?v_1901 (=> ?v_1902 (=> ?v_1903 (=> ?v_1904 (=> ?v_1905 (=> ?v_1906 (=> ?v_1907 (=> ?v_1908 (=> ?v_1909 (=> ?v_1910 (=> ?v_1911 (=> ?v_1912 (=> ?v_1913 (=> ?v_1914 (=> ?v_1915 (=> ?v_1916 (=> ?v_1917 (=> ?v_1918 (=> ?v_1919 (=> ?v_1920 (=> ?v_1921 (=> ?v_1922 (=> ?v_1923 (=> ?v_1924 (=> ?v_1925 (=> ?v_1926 (=> ?v_1927 (=> ?v_1928 (=> ?v_1929 (=> ?v_1930 (=> ?v_1931 (=> ?v_1932 (=> ?v_1933 (=> (= Mem_0_T.Cancel__IRP.2 Mem_0_T.Cancel__IRP) (=> ?v_1935 (=> ?v_1936 (=> ?v_1937 (=> ?v_1938 (=> ?v_1939 (=> ?v_1940 (=> ?v_1941 (=> ?v_1942 (=> ?v_1943 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> ?v_1947 (=> ?v_1948 (=> ?v_1949 (=> ?v_1950 (=> ?v_1951 (=> ?v_1952 (=> ?v_1953 (=> ?v_1954 (=> ?v_1955 (=> ?v_1956 (=> ?v_1957 (=> ?v_1958 (=> ?v_1959 (=> ?v_1960 (=> ?v_1961 (=> (= Mem_1_T.Cancel__IRP.2 Mem_1_T.Cancel__IRP) (=> ?v_1963 (=> ?v_1964 (=> ?v_1965 (=> ?v_1966 (=> ?v_1967 (=> ?v_1968 (=> ?v_1969 (=> ?v_1970 (=> ?v_1971 (=> ?v_1972 (=> ?v_1973 (=> ?v_1974 (=> ?v_1975 (=> ?v_1976 (=> ?v_1977 (=> ?v_1978 (=> ?v_1979 (=> ?v_1980 (=> ?v_1981 (=> ?v_1982 (=> ?v_1983 (=> ?v_1984 (=> ?v_1985 (=> ?v_1986 (=> ?v_1987 (=> ?v_1988 (=> ?v_1989 (=> ?v_1990 (=> ?v_1991 (=> ?v_1992 (=> ?v_1993 (=> ?v_1994 (=> ?v_1995 (=> ?v_1996 (=> ?v_1997 (=> ?v_1998 (=> ?v_1999 (=> ?v_2000 (=> ?v_2001 (=> ?v_2002 (=> ?v_2003 (=> ?v_2004 (=> ?v_2005 (=> ?v_2006 (=> ?v_2007 (=> ?v_2008 (=> ?v_2009 (=> ?v_2010 (=> ?v_2011 (=> ?v_2012 (=> ?v_2013 (=> ?v_2014 (=> ?v_2015 (=> ?v_2016 (=> ?v_2017 (=> ?v_2018 (=> ?v_2019 (=> ?v_2020 (=> ?v_2021 (=> ?v_2022 (=> ?v_2023 (=> ?v_2024 (=> ?v_2025 (=> ?v_2026 (=> ?v_2027 (=> ?v_2028 (=> ?v_2029 (=> ?v_2030 (=> ?v_2031 (=> ?v_2032 (=> ?v_2033 (=> ?v_2034 (=> ?v_2035 (=> ?v_2036 (=> ?v_2037 (=> ?v_2038 (=> ?v_2039 (=> ?v_2040 (=> ?v_2041 (=> ?v_2042 (=> ?v_2043 (=> ?v_2044 (=> ?v_2045 (=> ?v_2046 (=> ?v_2047 (=> ?v_2048 (=> ?v_2049 (=> ?v_2050 (=> ?v_2051 (=> ?v_2052 (=> ?v_2053 (=> ?v_2054 (=> ?v_2055 (=> ?v_2056 (=> ?v_2057 (=> ?v_2058 (=> ?v_2059 (=> ?v_2060 (=> ?v_2061 (=> ?v_2062 ?v_931)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_916 (=> true (=> (=> ?v_917 (not (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.69 ?v_7)) 0))) (=> (=> ?v_918 (not (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.69 ?v_7)) 0))) (=> true (=> (=> ?v_917 (= cancelLockStatus_0.52 0)) (=> (=> ?v_918 (= cancelLockStatus_1.52 0)) (and (=> true (=> ?v_917 (=> true (=> ?v_2070 (=> (= cancelLockStatus_0.53 1) ?v_2069))))) (=> true (=> ?v_1777 (and (=> true (=> ?v_918 (=> true (=> (= cancelLockStatus_1.53 1) ?v_2071)))) (=> true (=> ?v_1779 (=> true (=> ?v_2070 ?v_2071)))))))))))))))))))))) (let ((?v_2869 (=> true (=> true (=> true (=> true (=> true (=> true ?v_2826))))))) (?v_2094 (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2095 (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2096 (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2097 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2098 (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.6 inline.sdv_InterlockedDecrement.10.myNondetVar_0)) (?v_2099 (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2100 (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent)) (?v_2101 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_2102 (= inline.KeSynchronizeExecution.3.myNondetVar_0.10 inline.KeSynchronizeExecution.3.myNondetVar_0)) (?v_2103 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.8 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_2104 (= inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.1 inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead)) (?v_2105 (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer)) (?v_2106 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2107 (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite)) (?v_2108 (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..2 inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14.)) (?v_2109 (= inline.IsListEmpty.4.myNondetVar_0.3 inline.IsListEmpty.4.myNondetVar_0)) (?v_2110 (= inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue1.0 inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue1)) (?v_2111 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.3 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1)) (?v_2112 (= inline.SerialSetTimer.1.myNondetVar_0.9 inline.SerialSetTimer.1.myNondetVar_0)) (?v_2113 (= inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent)) (?v_2114 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2115 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.6 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2834 (= inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..1 inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..0)) (?v_2116 (= inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite)) (?v_2117 (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1)) (?v_2118 (= inline.KeSynchronizeExecution.6.myNondetVar_0.11 inline.KeSynchronizeExecution.6.myNondetVar_0)) (?v_2119 (= inline.SerialCancelTimer.2.myNondetVar_0.5 inline.SerialCancelTimer.2.myNondetVar_0)) (?v_2120 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_2121 (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.6 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution)) (?v_2122 (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.5 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite)) (?v_2123 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_2124 (= inline.SerialStartRead.0.myVar_0.27 inline.SerialStartRead.0.myVar_0)) (?v_2125 (= inline.SerialStartOrQueue.0..oldIrql.6.692.10.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..oldIrql.6.692.10.SerialStartOrQueue)) (?v_2126 (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..4 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1.)) (?v_2127 (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2.)) (?v_2128 (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution)) (?v_2129 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.6 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite)) (?v_2130 (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..3 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1.)) (?v_2131 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1)) (?v_2132 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_2133 (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2134 (= inline.SerialWrite.0..result.SerialDbgPrintEx.146.23.16..1 inline.SerialWrite.0..result.SerialDbgPrintEx.146.23.16.)) (?v_2135 (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.3 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_2136 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1)) (?v_2137 (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_2138 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_2139 (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2140 (= inline.SerialStartOrQueue.0.tempBoogie0.3 inline.SerialStartOrQueue.0.tempBoogie0)) (?v_2141 (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2142 (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2143 (= inline.SerialGetNextWrite.1.myNondetVar_2.6 inline.SerialGetNextWrite.1.myNondetVar_2)) (?v_2144 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.5 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_2145 (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1.)) (?v_2146 (= inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..1 inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1.)) (?v_2147 (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite)) (?v_2148 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2835 (= inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError1.0 hdevobj)) (?v_2149 (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp)) (?v_2150 (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.6 inline.sdv_InterlockedDecrement.15.myNondetVar_0)) (?v_2151 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_2152 (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1)) (?v_2153 (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.3 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead)) (?v_2154 (= inline.SerialCancelTimer.0.myNondetVar_0.5 inline.SerialCancelTimer.0.myNondetVar_0)) (?v_2155 (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2156 (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite)) (?v_2157 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.25 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0)) (?v_2158 (= inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.2 inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite)) (?v_2159 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_2160 (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_2161 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_2162 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2163 (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2.)) (?v_2164 (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.5 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2165 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2836 (= inline.sdv_InterlockedDecrement.0.myNondetVar_0.3 inline.sdv_InterlockedDecrement.0.myNondetVar_0)) (?v_2167 (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1)) (?v_2168 (= inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2.)) (?v_2169 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.8 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1)) (?v_2170 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2171 (= inline.SerialSetTimer.2.myNondetVar_0.8 inline.SerialSetTimer.2.myNondetVar_0)) (?v_2172 (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution)) (?v_2173 (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2174 (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2175 (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_2176 (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2177 (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2178 (= inline.IsListEmpty.0.myNondetVar_0.1 inline.IsListEmpty.0.myNondetVar_0)) (?v_2179 (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2180 (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_2181 (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2182 (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.5 inline.sdv_InterlockedDecrement.7.myNondetVar_0)) (?v_2184 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..6 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_2185 (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..5 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.)) (?v_2186 (= inline.RemoveHeadList.0.myNondetVar_0.7 inline.RemoveHeadList.0.myNondetVar_0)) (?v_2187 (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2188 (= inline.KeSynchronizeExecution.4.myNondetVar_0.11 inline.KeSynchronizeExecution.4.myNondetVar_0)) (?v_2189 (= Mem_0_T.P_IRP.46 Mem_0_T.P_IRP)) (?v_2190 (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.5 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer)) (?v_2191 (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_2192 (= inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.1 inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1)) (?v_2193 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.)) (?v_2194 (= inline.RemoveHeadList.3.myNondetVar_0.5 inline.RemoveHeadList.3.myNondetVar_0)) (?v_2195 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.3 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1)) (?v_2196 (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1)) (?v_2197 (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2198 (= inline.SerialSetTimer.4.myNondetVar_0.8 inline.SerialSetTimer.4.myNondetVar_0)) (?v_2199 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_2201 (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2202 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_2203 (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent)) (?v_2204 (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1)) (?v_2205 (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer)) (?v_2206 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_2207 (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2208 (= inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.1 inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead)) (?v_2209 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_2210 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2211 (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_2212 (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2213 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..5 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13.)) (?v_2214 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2215 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.3 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer)) (?v_2216 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2217 (= inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_2218 (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2219 (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2220 (= inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.2 inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite)) (?v_2221 (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.5 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead)) (?v_2222 (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_2223 (= inline.SerialGetNextIrpLocked.3.myVar_0.6 inline.SerialGetNextIrpLocked.3.myVar_0)) (?v_2224 (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2225 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.6 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_2226 (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..4 inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1.)) (?v_2227 (= inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.703.36.2..0 inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.703.36.2.)) (?v_2228 (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.4 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead)) (?v_2229 (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..5 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2230 (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2231 (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.4 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer)) (?v_2232 (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer)) (?v_2233 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2234 (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2235 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2236 (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_2237 (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_2238 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_2239 (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_2240 (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_2241 (= inline.KeSynchronizeExecution.8.myNondetVar_0.10 inline.KeSynchronizeExecution.8.myNondetVar_0)) (?v_2242 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..3 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3.)) (?v_2243 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2244 (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_2245 (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3.)) (?v_2246 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2247 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_2248 (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.1 inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead)) (?v_2249 (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2.)) (?v_2250 (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2251 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..7 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2252 (= inline.SerialStartRead.0..result.SerialStartRead.184.0.1..2 inline.SerialStartRead.0..result.SerialStartRead.184.0.1.)) (?v_2253 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_2254 (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_2255 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_1.3 inline.SerialTryToCompleteCurrent.0.myNondetVar_1)) (?v_2256 (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2257 (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_2258 (= inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..2 inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11.)) (?v_2259 (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList)) (?v_2260 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp)) (?v_2261 (= inline.SerialStartOrQueue.0.havoc_stringTemp.1 inline.SerialStartOrQueue.0.havoc_stringTemp)) (?v_2262 (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.2 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1)) (?v_2263 (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1.)) (?v_2264 (= inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1.)) (?v_2265 (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2266 (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_2267 (= inline.SerialGetNextWrite.0.myVar_0.18 inline.SerialGetNextWrite.0.myVar_0)) (?v_2268 (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2269 (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.4 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead)) (?v_2270 (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2271 (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13.)) (?v_2272 (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..5 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2.)) (?v_2273 (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2274 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2275 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.7 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_2837 (= inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_2276 (= inline.IsListEmpty.2.myNondetVar_0.5 inline.IsListEmpty.2.myNondetVar_0)) (?v_2277 (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2278 (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite)) (?v_2279 (= inline.SerialGetNextIrp.2.myNondetVar_0.3 inline.SerialGetNextIrp.2.myNondetVar_0)) (?v_2280 (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.7 inline.sdv_InterlockedDecrement.9.myNondetVar_0)) (?v_2281 (= inline.SerialStartWrite.0.myVar_0.30 inline.SerialStartWrite.0.myVar_0)) (?v_2282 (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2283 (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.6 inline.sdv_InterlockedDecrement.14.myNondetVar_0)) (?v_2838 (= inline.SerialWrite.0..result.SerialDbgPrintEx.114.22.7..1 inline.SerialWrite.0..result.SerialDbgPrintEx.114.22.7.)) (?v_2284 (= inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..1 inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4.)) (?v_2285 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2287 (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite)) (?v_2288 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_2289 (= inline.SerialStartWrite.0.myNondetVar_2.7 inline.SerialStartWrite.0.myNondetVar_2)) (?v_2290 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.6 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2291 (= inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1.)) (?v_2292 (= inline.SerialStartRead.0.myNondetVar_0.85 inline.SerialStartRead.0.myNondetVar_0)) (?v_2293 (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2839 (= inline.SerialCompleteIfError.0..result.SerialCompleteIfError.892.0.1..0 inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.1)) (?v_2295 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_2296 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.6 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_2297 (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2298 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2299 (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2300 (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2301 (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.4 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead)) (?v_2302 (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1.)) (?v_2303 (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite)) (?v_2304 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_2305 (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.2.havoc_stringTemp)) (?v_2306 (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..4 inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1.)) (?v_2307 (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2308 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp)) (?v_2309 (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_2310 (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.7 inline.sdv_InterlockedDecrement.6.myNondetVar_0)) (?v_2311 (= inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1.)) (?v_2312 (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2313 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_2314 (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2315 (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.5 inline.SerialGetNextIrpLocked.0.havoc_stringTemp)) (?v_2316 (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer)) (?v_2317 (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer)) (?v_2318 (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2319 (= inline.SerialWrite.0..status.4.103.13.SerialWrite.0 inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2)) (?v_2320 (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2321 (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2322 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_2323 (= inline.SerialResizeBuffer.0.myNondetVar_0.17 inline.SerialResizeBuffer.0.myNondetVar_0)) (?v_2324 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..5 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1.)) (?v_2325 (= inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.1 inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite)) (?v_2326 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_2327 (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2328 (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_2329 (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_2330 (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.4 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead)) (?v_2331 (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..5 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2332 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty)) (?v_2333 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_2334 (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2335 (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2336 (= inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.1 inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead)) (?v_2337 (= inline.SerialGetNextWrite.1.myVar_0.16 inline.SerialGetNextWrite.1.myVar_0)) (?v_2338 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty)) (?v_2339 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.6 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2340 (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2.)) (?v_2341 (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2342 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.15 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0)) (?v_2343 (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.4 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer)) (?v_2344 (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1)) (?v_2345 (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.1 inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1)) (?v_2346 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite)) (?v_2347 (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_2840 (= inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError.0 hirp)) (?v_2348 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2349 (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2350 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_2351 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2352 (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..4 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1.)) (?v_2353 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.3 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer)) (?v_2354 (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution)) (?v_2355 (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2356 (= inline.IsListEmpty.1.myNondetVar_0.5 inline.IsListEmpty.1.myNondetVar_0)) (?v_2357 (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite)) (?v_2358 (= inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.1 inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead)) (?v_2359 (= inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue)) (?v_2360 (= inline.SerialRundownIrpRefs.0.myVar_0.17 inline.SerialRundownIrpRefs.0.myVar_0)) (?v_2361 (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2362 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2363 (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_2364 (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2365 (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2366 (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_2841 (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2367 (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.6 inline.sdv_InterlockedDecrement.13.myNondetVar_0)) (?v_2368 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2369 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer)) (?v_2842 (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.0)) (?v_2370 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer)) (?v_2371 (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2843 (= inline.SerialCompleteIfError.0.myNondetVar_0.8 inline.SerialCompleteIfError.0.myNondetVar_0.7)) (?v_2372 (= inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..1 inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8.)) (?v_2373 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..5 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_2374 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.7 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_2375 (= inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1.)) (?v_2376 (= cancelLockStatus_1.52 cancelLockStatus_1.3)) (?v_2377 (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.3 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead)) (?v_2378 (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3.)) (?v_2379 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.6 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2380 (= inline.sdv_InterlockedDecrement.16.myNondetVar_0.3 inline.sdv_InterlockedDecrement.16.myNondetVar_0)) (?v_2381 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_2382 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_2383 (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2384 (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2385 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer)) (?v_2386 (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1.)) (?v_2387 (= inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue)) (?v_2388 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_2389 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2390 (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_2391 (= inline.SerialWrite.0..result.SerialStartOrQueue.142.34.15..0 inline.SerialWrite.0..result.SerialStartOrQueue.142.34.15.)) (?v_2392 (= cancelLockStatus_0.52 cancelLockStatus_0.3)) (?v_2393 (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..6 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.)) (?v_2394 (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..4 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4.)) (?v_2844 (= inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..2 inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..1)) (?v_2395 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.6 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_2396 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..3 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5.)) (?v_2397 (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent)) (?v_2398 (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1)) (?v_2399 (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2400 (= inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2401 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.13 inline.SerialGetCharsFromIntBuffer.0.myVar_0)) (?v_2402 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.5 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2403 (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2.)) (?v_2404 (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.2 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1)) (?v_2405 (= inline.KeSynchronizeExecution.0.myNondetVar_0.10 inline.KeSynchronizeExecution.0.myNondetVar_0)) (?v_2407 (= inline.SerialGetNextIrpLocked.2.myVar_0.6 inline.SerialGetNextIrpLocked.2.myVar_0)) (?v_2408 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2409 (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1.)) (?v_2410 (= inline.SerialGetNextWrite.1.havoc_stringTemp.2 inline.SerialGetNextWrite.1.havoc_stringTemp)) (?v_2411 (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.5 inline.sdv_InterlockedIncrement.3.myNondetVar_0)) (?v_2412 (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2.)) (?v_2413 (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.4 inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite)) (?v_2414 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.10 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1)) (?v_2845 (= inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError.0 hdevobj)) (?v_2415 (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..5 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1.)) (?v_2416 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2417 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2846 (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2418 (= inline.SerialGetNextWrite.1.tempBoogie0.8 inline.SerialGetNextWrite.1.tempBoogie0)) (?v_2419 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_2420 (= inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..2 inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6.)) (?v_2421 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..7 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_2422 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2423 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_2.3 inline.SerialTryToCompleteCurrent.0.myNondetVar_2)) (?v_2424 (= inline.SerialSetTimer.3.myNondetVar_0.8 inline.SerialSetTimer.3.myNondetVar_0)) (?v_2425 (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.3 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer)) (?v_2426 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2427 (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4.)) (?v_2428 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2429 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2430 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer)) (?v_2431 (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1.)) (?v_2432 (= inline.SerialStartOrQueue.0.myNondetVar_1.2 inline.SerialStartOrQueue.0.myNondetVar_1)) (?v_2433 (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_2434 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2435 (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2436 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_2437 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_2438 (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..4 inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1.)) (?v_2439 (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer)) (?v_2440 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_2441 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_2442 (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2443 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_2444 (= inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp)) (?v_2445 (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer)) (?v_2446 (= inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.1 inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead)) (?v_2447 (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1.)) (?v_2448 (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.4 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead)) (?v_2449 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.6 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2450 (= inline.SerialStartOrQueue.0.myNondetVar_0.16 inline.SerialStartOrQueue.0.myNondetVar_0)) (?v_2451 (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2452 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.8 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite)) (?v_2453 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2454 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.5 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2455 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.4 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1)) (?v_2456 (= inline.SerialCancelTimer.3.myNondetVar_0.5 inline.SerialCancelTimer.3.myNondetVar_0)) (?v_2457 (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2458 (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.3 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer)) (?v_2459 (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_2460 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2461 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer)) (?v_2462 (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer)) (?v_2463 (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1)) (?v_2464 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.6 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_2465 (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2466 (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2467 (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_2847 (= inline.SerialWrite.0..result.SerialCompleteIfError.120.29.11..0 inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.1)) (?v_2848 (= inline.SerialCompleteIfError.0.havoc_stringTemp.1 inline.SerialCompleteIfError.0.havoc_stringTemp.0)) (?v_2468 (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..6 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1.)) (?v_2469 (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_2470 (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent)) (?v_2471 (= inline.SerialStartWrite.0..result.question.7..3 inline.SerialStartWrite.0..result.question.7.)) (?v_2472 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2473 (= inline.SerialTryToCompleteCurrent.0.myVar_0.8 inline.SerialTryToCompleteCurrent.0.myVar_0)) (?v_2474 (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution)) (?v_2475 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2476 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.6 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2477 (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.1 inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1)) (?v_2478 (= inline.SerialSetTimer.0.myNondetVar_0.11 inline.SerialSetTimer.0.myNondetVar_0)) (?v_2479 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.6 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2480 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..4 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_2849 (= inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2.)) (?v_2850 (= inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.0)) (?v_2481 (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2482 (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1)) (?v_2483 (= inline.IsListEmpty.3.myNondetVar_0.3 inline.IsListEmpty.3.myNondetVar_0)) (?v_2484 (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2485 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2486 (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2487 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_2488 (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2489 (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.5 inline.sdv_InterlockedDecrement.8.myNondetVar_0)) (?v_2490 (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2491 (= inline.SerialStartRead.0.tempBoogie0.6 inline.SerialStartRead.0.tempBoogie0)) (?v_2492 (= inline.SerialGetNextWrite.0.myNondetVar_1.9 inline.SerialGetNextWrite.0.myNondetVar_1)) (?v_2493 (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2494 (= lockStatus_1.41 lockStatus_1.14)) (?v_2495 (= inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.1 inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite)) (?v_2497 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2498 (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2499 (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2500 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.5 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2501 (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2502 (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2503 (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2504 (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2505 (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution)) (?v_2506 (= inline.SerialStartWrite.0.myNondetVar_0.37 inline.SerialStartWrite.0.myNondetVar_0)) (?v_2507 (= inline.SerialGetNextWrite.0.tempBoogie0.10 inline.SerialGetNextWrite.0.tempBoogie0)) (?v_2508 (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.3 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite)) (?v_2509 (= inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.1 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1)) (?v_2510 (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs)) (?v_2511 (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2512 (= inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2513 (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2514 (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2515 (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3.)) (?v_2851 (= inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2516 (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_2517 (= inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..3 inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18.)) (?v_2518 (= inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2519 (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2520 (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..3 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5.)) (?v_2521 (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2522 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_2523 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1)) (?v_2524 (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3.)) (?v_2525 (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_2526 (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2527 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_2528 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2529 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1)) (?v_2530 (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1.)) (?v_2531 (= inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2532 (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_2533 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.5 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2534 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer)) (?v_2535 (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.3 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1)) (?v_2536 (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp)) (?v_2537 (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2.)) (?v_2538 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_2539 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_2540 (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1.)) (?v_2541 (= inline.SerialStartRead.0.myNondetVar_1.17 inline.SerialStartRead.0.myNondetVar_1)) (?v_2542 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.6 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_2543 (= inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..1 inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9.)) (?v_2545 (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer)) (?v_2546 (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2547 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2548 (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer)) (?v_2549 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5614 (= inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp)) (?v_2551 (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.3 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead)) (?v_2852 (= inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1.)) (?v_2552 (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2553 (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.3 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_2554 (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_2555 (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.6 inline.sdv_InterlockedDecrement.2.myNondetVar_0)) (?v_2556 (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2853 (= inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.1 inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.0)) (?v_2557 (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2558 (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.9 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0)) (?v_2559 (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2560 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2561 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.6 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2562 (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.5 inline.SerialGetNextIrpLocked.1.havoc_stringTemp)) (?v_2563 (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..2 inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2.)) (?v_2564 (= inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite)) (?v_2565 (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1.)) (?v_2566 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1)) (?v_2567 (= lockStatus_0.41 lockStatus_0.14)) (?v_2568 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.5 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_2569 (= inline.KeSynchronizeExecution.1.myNondetVar_0.12 inline.KeSynchronizeExecution.1.myNondetVar_0)) (?v_2570 (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.5 inline.sdv_InterlockedDecrement.11.myNondetVar_0)) (?v_2571 (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_2572 (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_2573 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_2574 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1)) (?v_2575 (= inline.SerialGetNextIrp.1.myNondetVar_0.5 inline.SerialGetNextIrp.1.myNondetVar_0)) (?v_2576 (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution)) (?v_2577 (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer)) (?v_2578 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2579 (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..6 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.)) (?v_2580 (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer)) (?v_2581 (= inline.KeSynchronizeExecution.7.myNondetVar_0.10 inline.KeSynchronizeExecution.7.myNondetVar_0)) (?v_2582 (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1.)) (?v_2583 (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2584 (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_2585 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2586 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.4 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_2587 (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2588 (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2589 (= inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue1.0 inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue1)) (?v_2590 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2591 (= inline.RemoveHeadList.2.myNondetVar_0.5 inline.RemoveHeadList.2.myNondetVar_0)) (?v_2592 (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_2593 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.6 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_2595 (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_2596 (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_2597 (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1)) (?v_2598 (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..3 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1.)) (?v_2599 (= inline.SerialStartRead.0.havoc_stringTemp.2 inline.SerialStartRead.0.havoc_stringTemp)) (?v_2600 (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1)) (?v_2601 (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2602 (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2603 (= inline.SerialGetNextWrite.0.myNondetVar_0.24 inline.SerialGetNextWrite.0.myNondetVar_0)) (?v_2604 (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.5 inline.sdv_InterlockedIncrement.5.myNondetVar_0)) (?v_2605 (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2.)) (?v_2606 (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2854 (= inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError1.0 hirp)) (?v_2607 (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_2608 (= inline.SerialResizeBuffer.0.myVar_0.6 inline.SerialResizeBuffer.0.myVar_0)) (?v_2609 (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.1 inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite)) (?v_2610 (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2611 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent)) (?v_2612 (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1)) (?v_2613 (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2855 (= inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.2 inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.1)) (?v_2614 (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2615 (= inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2616 (= inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.2 inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite)) (?v_2617 (= inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2618 (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2856 (= inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5..2 inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5.)) (?v_2857 (= inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2619 (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1)) (?v_2620 (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2621 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1)) (?v_2622 (= inline.SerialGetNextIrpLocked.0.myVar_0.8 inline.SerialGetNextIrpLocked.0.myVar_0)) (?v_2623 (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.6 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer)) (?v_2624 (= inline.KeSynchronizeExecution.2.myNondetVar_0.13 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_2625 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2626 (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_2627 (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_2628 (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_2629 (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2630 (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs)) (?v_2631 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1)) (?v_2632 (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2633 (= inline.SerialStartWrite.0.havoc_stringTemp.1 inline.SerialStartWrite.0.havoc_stringTemp)) (?v_2634 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2635 (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_2636 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_2637 (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent)) (?v_2638 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2639 (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.7 inline.sdv_InterlockedDecrement.4.myNondetVar_0)) (?v_2640 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_2858 (= inline.SerialWrite.0..result.SerialDbgPrintEx.118.20.9..1 inline.SerialWrite.0..result.SerialDbgPrintEx.118.20.9..0)) (?v_2641 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_2642 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite)) (?v_2643 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty)) (?v_2644 (= inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2645 (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_2646 (= inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..2 inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2.)) (?v_2647 (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2.)) (?v_2648 (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2649 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1)) (?v_2650 (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2651 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_2652 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_2653 (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1)) (?v_2859 (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.0)) (?v_2654 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_2655 (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_2656 (= inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2657 (= inline.SerialGetNextIrp.0.myNondetVar_0.5 inline.SerialGetNextIrp.0.myNondetVar_0)) (?v_2860 (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0)) (?v_2658 (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2659 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.3 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1)) (?v_2660 (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2661 (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_2662 (= inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.1 inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite)) (?v_2663 (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.5 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList)) (?v_2664 (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.3 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs)) (?v_2665 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_2666 (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite)) (?v_2667 (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2668 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.10 inline.SerialTryToCompleteCurrent.0.myNondetVar_0)) (?v_2669 (= inline.RemoveHeadList.1.myNondetVar_0.7 inline.RemoveHeadList.1.myNondetVar_0)) (?v_2670 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_2671 (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs)) (?v_2672 (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.3 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs)) (?v_2673 (= inline.SerialGetNextWrite.1.myNondetVar_0.22 inline.SerialGetNextWrite.1.myNondetVar_0)) (?v_5615 (= k.52 k.2)) (?v_2674 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.7 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_2675 (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2.)) (?v_2676 (= inline.SerialResizeBuffer.0.myNondetVar_1.8 inline.SerialResizeBuffer.0.myNondetVar_1)) (?v_2677 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_2678 (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1.)) (?v_2679 (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.6 inline.sdv_InterlockedDecrement.12.myNondetVar_0)) (?v_2680 (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent)) (?v_2681 (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2.)) (?v_2682 (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2.)) (?v_2683 (= inline.SerialStartOrQueue.0..result.IsListEmpty.723.20.7..0 inline.SerialStartOrQueue.0..result.IsListEmpty.723.20.7.)) (?v_2684 (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer)) (?v_2685 (= inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue1.0 inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue1)) (?v_2686 (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer)) (?v_2687 (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2688 (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2689 (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2690 (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.3 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs)) (?v_2691 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_2692 (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_2693 (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer)) (?v_2694 (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2695 (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_2696 (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..3 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1.)) (?v_2697 (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_2698 (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.3 inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead)) (?v_2699 (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.4 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead)) (?v_2700 (= inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.2 inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite)) (?v_2701 (= inline.SerialStartWrite.0.tempBoogie0.7 inline.SerialStartWrite.0.tempBoogie0)) (?v_2702 (= inline.InsertTailList.1.myNondetVar_0.2 inline.InsertTailList.1.myNondetVar_0)) (?v_2703 (= inline.SerialStartRead.0.myNondetVar_2.6 inline.SerialStartRead.0.myNondetVar_2)) (?v_2704 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_2705 (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.5 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList)) (?v_2706 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2707 (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent)) (?v_2708 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2861 (= inline.SerialWrite.0..result.SerialDbgPrintEx.121.23.12..1 inline.SerialWrite.0..result.SerialDbgPrintEx.121.23.12.)) (?v_2709 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2710 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..7 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2711 (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1.)) (?v_2712 (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_2713 (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..6 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4.)) (?v_2714 (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_2862 (= inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2715 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty)) (?v_2716 (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.3.havoc_stringTemp)) (?v_2717 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.4 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_2718 (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_5616 (= inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp)) (?v_2720 (= inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2863 (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1)) (?v_2721 (= inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue)) (?v_2722 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_2723 (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer)) (?v_2724 (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..5 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2.)) (?v_2725 (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2726 (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2727 (= inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1.)) (?v_2728 (= inline.KeSynchronizeExecution.5.myNondetVar_0.9 inline.KeSynchronizeExecution.5.myNondetVar_0)) (?v_2729 (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer)) (?v_2730 (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..2 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1.)) (?v_2731 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_2732 (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4.)) (?v_2734 (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1.)) (?v_2735 (= inline.SerialCancelTimer.1.myNondetVar_0.5 inline.SerialCancelTimer.1.myNondetVar_0)) (?v_2736 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer)) (?v_2737 (= Mem_1_T.P_IRP.46 Mem_1_T.P_IRP)) (?v_2738 (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1)) (?v_2739 (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.4 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead)) (?v_2740 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..5 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_2741 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2742 (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_2743 (= inline.SerialGetNextIrp.3.myNondetVar_0.3 inline.SerialGetNextIrp.3.myNondetVar_0)) (?v_2744 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2745 (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution)) (?v_2746 (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.5 inline.sdv_InterlockedIncrement.4.myNondetVar_0)) (?v_2747 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty)) (?v_2748 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_5617 (= inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_2750 (= inline.SerialGetNextIrpLocked.1.myVar_0.8 inline.SerialGetNextIrpLocked.1.myVar_0)) (?v_2751 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_2752 (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp)) (?v_2753 (= inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2754 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_2755 (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.6 inline.sdv_InterlockedDecrement.3.myNondetVar_0)) (?v_2756 (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1)) (?v_2757 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2758 (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2759 (= inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..1 inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4.)) (?v_2760 (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.5 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2761 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.4 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1)) (?v_2762 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2763 (= inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue)) (?v_2764 (= inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite)) (?v_2765 (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_2766 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_2767 (= inline.SerialRundownIrpRefs.0.myNondetVar_2.8 inline.SerialRundownIrpRefs.0.myNondetVar_2)) (?v_2768 (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_2769 (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2.)) (?v_2864 (= inline.sdv_InterlockedDecrement.1.myNondetVar_0.3 inline.sdv_InterlockedDecrement.1.myNondetVar_0.2)) (?v_2770 (= inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2771 (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1.)) (?v_2772 (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1.)) (?v_2773 (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp)) (?v_2774 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.7 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_2775 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2776 (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..5 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2777 (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.2 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1)) (?v_2778 (= inline.SerialStartWrite.0.myNondetVar_1.11 inline.SerialStartWrite.0.myNondetVar_1)) (?v_2779 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2780 (= inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp)) (?v_2781 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.7 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2)) (?v_2782 (= inline.SerialGetNextWrite.0.havoc_stringTemp.4 inline.SerialGetNextWrite.0.havoc_stringTemp)) (?v_2783 (= inline.SerialGetNextWrite.1.myNondetVar_1.7 inline.SerialGetNextWrite.1.myNondetVar_1)) (?v_2784 (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2785 (= inline.SerialGetNextWrite.0.myNondetVar_2.8 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_2786 (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_2787 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.9 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_2788 (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_2789 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_2790 (= inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2791 (= inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent)) (?v_2792 (= inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.1 inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite)) (?v_2793 (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.6 inline.sdv_InterlockedIncrement.2.myNondetVar_0)) (?v_2794 (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2795 (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.6 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent)) (?v_2796 (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2797 (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2798 (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite)) (?v_2799 (= inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue)) (?v_2800 (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.3 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp)) (?v_2801 (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1)) (?v_2802 (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent)) (?v_2803 (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2804 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2805 (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..5 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2806 (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2865 (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.3 inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.2)) (?v_2807 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2808 (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_2809 (= inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1.)) (?v_2810 (= inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite)) (?v_2811 (= inline.SerialRundownIrpRefs.0.myNondetVar_0.14 inline.SerialRundownIrpRefs.0.myNondetVar_0)) (?v_2812 (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList)) (?v_2813 (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_2814 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2815 (= inline.SerialRundownIrpRefs.0.myNondetVar_1.8 inline.SerialRundownIrpRefs.0.myNondetVar_1)) (?v_2816 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1)) (?v_2817 (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2866 (= inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..0)) (?v_2818 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_2867 (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0)) (?v_2819 (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..6 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4.)) (?v_2820 (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2821 (= inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.1 inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead)) (?v_2822 (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2823 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_2824 (= inline.SerialRundownIrpRefs.0.tempBoogie0.8 inline.SerialRundownIrpRefs.0.tempBoogie0)) (?v_2868 (= inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..1)) (?v_2825 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked))) (let ((?v_5618 (=> ?v_2755 (=> ?v_2756 (=> ?v_2757 (=> ?v_2758 (=> ?v_2759 (=> ?v_2760 (=> ?v_2761 (=> ?v_2762 (=> ?v_2763 (=> ?v_2764 (=> ?v_2765 (=> ?v_2766 (=> ?v_2767 (=> ?v_2768 (=> ?v_2769 (=> ?v_2864 (=> ?v_2770 (=> ?v_2771 (=> ?v_2772 (=> ?v_2773 (=> ?v_2774 (=> ?v_2775 (=> ?v_2776 (=> ?v_2777 (=> ?v_2778 (=> ?v_2779 (=> ?v_2780 (=> ?v_2781 (=> ?v_2782 (=> ?v_2783 (=> ?v_2784 (=> ?v_2785 (=> ?v_2786 (=> ?v_2787 (=> ?v_2788 (=> ?v_2789 (=> ?v_2790 (=> ?v_2791 (=> ?v_2792 (=> ?v_2793 (=> ?v_2794 (=> ?v_2795 (=> ?v_2796 (=> ?v_2797 (=> ?v_2798 (=> ?v_2799 (=> ?v_2800 (=> ?v_2801 (=> ?v_2802 (=> ?v_2803 (=> ?v_2804 (=> ?v_2805 (=> ?v_2806 (=> ?v_2865 (=> ?v_2807 (=> ?v_2808 (=> ?v_2809 (=> ?v_2810 (=> ?v_2811 (=> ?v_2812 (=> ?v_2813 (=> ?v_2814 (=> ?v_2815 (=> ?v_2816 (=> ?v_2817 (=> ?v_2866 (=> ?v_2818 (=> ?v_2867 (=> ?v_2819 (=> ?v_2820 (=> ?v_2821 (=> ?v_2822 (=> ?v_2823 (=> ?v_2824 (=> ?v_2868 (=> ?v_2825 ?v_2869))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5613 (int_2_U call68259formal.new.0))) (let ((?v_5620 (=> true (and ?v_8 (=> ?v_8 (=> (> call68259formal.new.0 0) (=> (forall ((?x1603 Int)) (! (=> (and (<= call68259formal.new.0 ?x1603) (< ?x1603 (+ call68259formal.new.0 1))) (= (Base ?x1603) call68259formal.new.0)) :pattern ((Base ?x1603)) )) (=> (forall ((?x1604 boogieU)) (! (=> (= (type ?x1604) intType) (or (= (U_2_int ?x1604) call68259formal.new.0) (= (MapType0Select alloc.11 ?x1604) (MapType0Select alloc.12 ?x1604)))) :pattern ((MapType0Select alloc.12 ?x1604)) )) (=> (and (= (MapType0Select alloc.11 ?v_5613) UNALLOCATED) (= (MapType0Select alloc.12 ?v_5613) ALLOCATED)) (=> true (=> ?v_2094 (=> ?v_2095 (=> ?v_2096 (=> ?v_2097 (=> ?v_2098 (=> ?v_2099 (=> ?v_2100 (=> ?v_2101 (=> ?v_2102 (=> ?v_2103 (=> ?v_2104 (=> ?v_2105 (=> ?v_2106 (=> ?v_2107 (=> ?v_2108 (=> ?v_2109 (=> ?v_2110 (=> ?v_2111 (=> ?v_2112 (=> ?v_2113 (=> ?v_2114 (=> ?v_2115 (=> ?v_2834 (=> ?v_2116 (=> ?v_2117 (=> ?v_2118 (=> ?v_2119 (=> ?v_2120 (=> ?v_2121 (=> ?v_2122 (=> ?v_2123 (=> ?v_2124 (=> ?v_2125 (=> ?v_2126 (=> ?v_2127 (=> ?v_2128 (=> ?v_2129 (=> ?v_2130 (=> ?v_2131 (=> ?v_2132 (=> ?v_2133 (=> ?v_2134 (=> ?v_2135 (=> ?v_2136 (=> ?v_2137 (=> ?v_2138 (=> ?v_2139 (=> ?v_2140 (=> ?v_2141 (=> ?v_2142 (=> ?v_2143 (=> ?v_2144 (=> ?v_2145 (=> ?v_2146 (=> ?v_2147 (=> ?v_2148 (=> ?v_2835 (=> ?v_2149 (=> ?v_2150 (=> ?v_2151 (=> ?v_2152 (=> ?v_2153 (=> ?v_2154 (=> ?v_2155 (=> ?v_2156 (=> ?v_2157 (=> ?v_2158 (=> ?v_2159 (=> ?v_2160 (=> ?v_2161 (=> ?v_2162 (=> ?v_2163 (=> ?v_2164 (=> ?v_2165 (=> ?v_2836 (=> (= inline.SerialWrite.0.myNondetVar_0.2 inline.SerialWrite.0.myNondetVar_0.1) (=> ?v_2167 (=> ?v_2168 (=> ?v_2169 (=> ?v_2170 (=> ?v_2171 (=> ?v_2172 (=> ?v_2173 (=> ?v_2174 (=> ?v_2175 (=> ?v_2176 (=> ?v_2177 (=> ?v_2178 (=> ?v_2179 (=> ?v_2180 (=> ?v_2181 (=> ?v_2182 (=> (= inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest1.0 hirp) (=> ?v_2184 (=> ?v_2185 (=> ?v_2186 (=> ?v_2187 (=> ?v_2188 (=> ?v_2189 (=> ?v_2190 (=> ?v_2191 (=> ?v_2192 (=> ?v_2193 (=> ?v_2194 (=> ?v_2195 (=> ?v_2196 (=> ?v_2197 (=> ?v_2198 (=> ?v_2199 (=> (= inline.SerialWrite.0..result.SerialDbgPrintEx.154.8.18..1 inline.SerialWrite.0..result.SerialDbgPrintEx.154.8.18..0) (=> ?v_2201 (=> ?v_2202 (=> ?v_2203 (=> ?v_2204 (=> ?v_2205 (=> ?v_2206 (=> ?v_2207 (=> ?v_2208 (=> ?v_2209 (=> ?v_2210 (=> ?v_2211 (=> ?v_2212 (=> ?v_2213 (=> ?v_2214 (=> ?v_2215 (=> ?v_2216 (=> ?v_2217 (=> ?v_2218 (=> ?v_2219 (=> ?v_2220 (=> ?v_2221 (=> ?v_2222 (=> ?v_2223 (=> ?v_2224 (=> ?v_2225 (=> ?v_2226 (=> ?v_2227 (=> ?v_2228 (=> ?v_2229 (=> ?v_2230 (=> ?v_2231 (=> ?v_2232 (=> ?v_2233 (=> ?v_2234 (=> ?v_2235 (=> ?v_2236 (=> ?v_2237 (=> ?v_2238 (=> ?v_2239 (=> ?v_2240 (=> ?v_2241 (=> ?v_2242 (=> ?v_2243 (=> ?v_2244 (=> ?v_2245 (=> ?v_2246 (=> ?v_2247 (=> ?v_2248 (=> ?v_2249 (=> ?v_2250 (=> ?v_2251 (=> ?v_2252 (=> ?v_2253 (=> ?v_2254 (=> ?v_2255 (=> ?v_2256 (=> ?v_2257 (=> ?v_2258 (=> ?v_2259 (=> ?v_2260 (=> ?v_2261 (=> ?v_2262 (=> ?v_2263 (=> ?v_2264 (=> ?v_2265 (=> ?v_2266 (=> ?v_2267 (=> ?v_2268 (=> ?v_2269 (=> ?v_2270 (=> ?v_2271 (=> ?v_2272 (=> ?v_2273 (=> ?v_2274 (=> ?v_2275 (=> ?v_2837 (=> ?v_2276 (=> ?v_2277 (=> ?v_2278 (=> ?v_2279 (=> ?v_2280 (=> ?v_2281 (=> ?v_2282 (=> ?v_2283 (=> ?v_2838 (=> ?v_2284 (=> ?v_2285 (=> (= inline.SerialWrite.0..result.SerialDbgPrintEx.156.24.20..1 inline.SerialWrite.0..result.SerialDbgPrintEx.156.24.20..0) (=> ?v_2287 (=> ?v_2288 (=> ?v_2289 (=> ?v_2290 (=> ?v_2291 (=> ?v_2292 (=> ?v_2293 (=> ?v_2839 (=> (= inline.SerialIRPEpilogue.8..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.17.myNondetVar_0.1) (=> ?v_2295 (=> ?v_2296 (=> ?v_2297 (=> ?v_2298 (=> ?v_2299 (=> ?v_2300 (=> ?v_2301 (=> ?v_2302 (=> ?v_2303 (=> ?v_2304 (=> ?v_2305 (=> ?v_2306 (=> ?v_2307 (=> ?v_2308 (=> ?v_2309 (=> ?v_2310 (=> ?v_2311 (=> ?v_2312 (=> ?v_2313 (=> ?v_2314 (=> ?v_2315 (=> ?v_2316 (=> ?v_2317 (=> ?v_2318 (=> ?v_2319 (=> ?v_2320 (=> ?v_2321 (=> (= inline.SerialWrite.0.havoc_stringTemp.1 call68259formal.new.0) (=> ?v_2322 (=> ?v_2323 (=> ?v_2324 (=> ?v_2325 (=> ?v_2326 (=> ?v_2327 (=> ?v_2328 (=> ?v_2329 (=> ?v_2330 (=> ?v_2331 (=> ?v_2332 (=> ?v_2333 (=> ?v_2334 (=> ?v_2335 (=> ?v_2336 (=> ?v_2337 (=> ?v_2338 (=> ?v_2339 (=> ?v_2340 (=> ?v_2341 (=> ?v_2342 (=> ?v_2343 (=> ?v_2344 (=> ?v_2345 (=> ?v_2346 (=> ?v_2347 (=> ?v_2840 (=> ?v_2348 (=> ?v_2349 (=> ?v_2350 (=> ?v_2351 (=> ?v_2352 (=> ?v_2353 (=> ?v_2354 (=> ?v_2355 (=> ?v_2356 (=> ?v_2357 (=> ?v_2358 (=> ?v_2359 (=> ?v_2360 (=> ?v_2361 (=> ?v_2362 (=> ?v_2363 (=> ?v_2364 (=> ?v_2365 (=> ?v_2366 (=> ?v_2841 (=> ?v_2367 (=> ?v_2368 (=> ?v_2369 (=> ?v_2842 (=> ?v_2370 (=> ?v_2371 (=> ?v_2843 (=> ?v_2372 (=> ?v_2373 (=> ?v_2374 (=> ?v_2375 (=> ?v_2376 (=> ?v_2377 (=> ?v_2378 (=> ?v_2379 (=> ?v_2380 (=> ?v_2381 (=> ?v_2382 (=> ?v_2383 (=> ?v_2384 (=> ?v_2385 (=> ?v_2386 (=> ?v_2387 (=> ?v_2388 (=> ?v_2389 (=> ?v_2390 (=> ?v_2391 (=> ?v_2392 (=> ?v_2393 (=> ?v_2394 (=> ?v_2844 (=> ?v_2395 (=> ?v_2396 (=> ?v_2397 (=> ?v_2398 (=> ?v_2399 (=> ?v_2400 (=> ?v_2401 (=> ?v_2402 (=> ?v_2403 (=> ?v_2404 (=> ?v_2405 (=> (= inline.sdv_InterlockedDecrement.17.myNondetVar_0.2 inline.sdv_InterlockedDecrement.17.myNondetVar_0.1) (=> ?v_2407 (=> ?v_2408 (=> ?v_2409 (=> ?v_2410 (=> ?v_2411 (=> ?v_2412 (=> ?v_2413 (=> ?v_2414 (=> ?v_2845 (=> ?v_2415 (=> ?v_2416 (=> ?v_2417 (=> ?v_2846 (=> ?v_2418 (=> ?v_2419 (=> ?v_2420 (=> ?v_2421 (=> ?v_2422 (=> ?v_2423 (=> ?v_2424 (=> ?v_2425 (=> ?v_2426 (=> ?v_2427 (=> ?v_2428 (=> ?v_2429 (=> ?v_2430 (=> ?v_2431 (=> ?v_2432 (=> ?v_2433 (=> ?v_2434 (=> ?v_2435 (=> ?v_2436 (=> ?v_2437 (=> ?v_2438 (=> ?v_2439 (=> ?v_2440 (=> (= irpCompleted_1.30 irpCompleted_1.7) (=> ?v_2441 (=> ?v_2442 (=> ?v_2443 (=> ?v_2444 (=> (= alloc.76 alloc.12) (=> ?v_2445 (=> ?v_2446 (=> ?v_2447 (=> ?v_2448 (=> ?v_2449 (=> ?v_2450 (=> ?v_2451 (=> ?v_2452 (=> ?v_2453 (=> ?v_2454 (=> ?v_2455 (=> ?v_2456 (=> ?v_2457 (=> ?v_2458 (=> ?v_2459 (=> ?v_2460 (=> ?v_2461 (=> ?v_2462 (=> ?v_2463 (=> ?v_2464 (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 (=> ?v_2847 (=> ?v_2848 (=> ?v_2468 (=> ?v_2469 (=> ?v_2470 (=> ?v_2471 (=> ?v_2472 (=> ?v_2473 (=> ?v_2474 (=> ?v_2475 (=> ?v_2476 (=> ?v_2477 (=> ?v_2478 (=> ?v_2479 (=> ?v_2480 (=> ?v_2849 (=> ?v_2850 (=> ?v_2481 (=> ?v_2482 (=> ?v_2483 (=> ?v_2484 (=> ?v_2485 (=> ?v_2486 (=> ?v_2487 (=> ?v_2488 (=> ?v_2489 (=> ?v_2490 (=> ?v_2491 (=> ?v_2492 (=> ?v_2493 (=> ?v_2494 (=> ?v_2495 (=> (= inline.SerialIRPEpilogue.8..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.17.myNondetVar_0.1) (=> ?v_2497 (=> ?v_2498 (=> ?v_2499 (=> ?v_2500 (=> ?v_2501 (=> ?v_2502 (=> ?v_2503 (=> ?v_2504 (=> ?v_2505 (=> ?v_2506 (=> ?v_2507 (=> ?v_2508 (=> ?v_2509 (=> ?v_2510 (=> ?v_2511 (=> ?v_2512 (=> ?v_2513 (=> ?v_2514 (=> ?v_2515 (=> ?v_2851 (=> ?v_2516 (=> ?v_2517 (=> ?v_2518 (=> ?v_2519 (=> ?v_2520 (=> ?v_2521 (=> ?v_2522 (=> ?v_2523 (=> ?v_2524 (=> ?v_2525 (=> ?v_2526 (=> ?v_2527 (=> ?v_2528 (=> ?v_2529 (=> ?v_2530 (=> ?v_2531 (=> ?v_2532 (=> ?v_2533 (=> ?v_2534 (=> ?v_2535 (=> ?v_2536 (=> ?v_2537 (=> ?v_2538 (=> ?v_2539 (=> ?v_2540 (=> ?v_2541 (=> ?v_2542 (=> ?v_2543 (=> (= inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..0) (=> ?v_2545 (=> ?v_2546 (=> ?v_2547 (=> ?v_2548 (=> ?v_2549 (=> ?v_5614 (=> ?v_2551 (=> ?v_2852 (=> ?v_2552 (=> ?v_2553 (=> ?v_2554 (=> ?v_2555 (=> ?v_2556 (=> ?v_2853 (=> ?v_2557 (=> ?v_2558 (=> ?v_2559 (=> (= inline.SerialWrite.0..result.SerialWrite.74.0.1..1 0) (=> ?v_2560 (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> ?v_2564 (=> ?v_2565 (=> ?v_2566 (=> ?v_2567 (=> ?v_2568 (=> ?v_2569 (=> ?v_2570 (=> ?v_2571 (=> ?v_2572 (=> ?v_2573 (=> ?v_2574 (=> ?v_2575 (=> ?v_2576 (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> (= Mem_0_T.CancelRoutine__IRP.69 Mem_0_T.CancelRoutine__IRP.13) (=> ?v_2580 (=> ?v_2581 (=> ?v_2582 (=> ?v_2583 (=> ?v_2584 (=> ?v_2585 (=> ?v_2586 (=> ?v_2587 (=> ?v_2588 (=> ?v_2589 (=> ?v_2590 (=> ?v_2591 (=> ?v_2592 (=> ?v_2593 (=> (= inline.sdv_InterlockedDecrement.17..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.17.myNondetVar_0.1) (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2603 (=> ?v_2604 (=> ?v_2605 (=> ?v_2606 (=> ?v_2854 (=> ?v_2607 (=> ?v_2608 (=> ?v_2609 (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> ?v_2613 (=> ?v_2855 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> ?v_2856 (=> ?v_2857 (=> ?v_2619 (=> ?v_2620 (=> ?v_2621 (=> ?v_2622 (=> ?v_2623 (=> ?v_2624 (=> ?v_2625 (=> ?v_2626 (=> ?v_2627 (=> ?v_2628 (=> ?v_2629 (=> ?v_2630 (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> (= errorReached.50 errorReached.9) (=> ?v_2634 (=> ?v_2635 (=> ?v_2636 (=> ?v_2637 (=> ?v_2638 (=> ?v_2639 (=> ?v_2640 (=> ?v_2858 (=> ?v_2641 (=> ?v_2642 (=> ?v_2643 (=> ?v_2644 (=> ?v_2645 (=> ?v_2646 (=> ?v_2647 (=> ?v_2648 (=> ?v_2649 (=> ?v_2650 (=> ?v_2651 (=> ?v_2652 (=> ?v_2653 (=> ?v_2859 (=> ?v_2654 (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> ?v_2860 (=> ?v_2658 (=> ?v_2659 (=> ?v_2660 (=> ?v_2661 (=> ?v_2662 (=> ?v_2663 (=> (= Mem_1_T.CancelRoutine__IRP.69 Mem_1_T.CancelRoutine__IRP.13) (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_2667 (=> ?v_2668 (=> ?v_2669 (=> ?v_2670 (=> ?v_2671 (=> ?v_2672 (=> ?v_2673 (=> ?v_5615 (=> ?v_2674 (=> ?v_2675 (=> ?v_2676 (=> ?v_2677 (=> ?v_2678 (=> ?v_2679 (=> ?v_2680 (=> ?v_2681 (=> ?v_2682 (=> ?v_2683 (=> ?v_2684 (=> ?v_2685 (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_2689 (=> ?v_2690 (=> ?v_2691 (=> ?v_2692 (=> ?v_2693 (=> ?v_2694 (=> ?v_2695 (=> ?v_2696 (=> ?v_2697 (=> ?v_2698 (=> ?v_2699 (=> ?v_2700 (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> ?v_2704 (=> ?v_2705 (=> ?v_2706 (=> ?v_2707 (=> ?v_2708 (=> ?v_2861 (=> ?v_2709 (=> ?v_2710 (=> ?v_2711 (=> ?v_2712 (=> ?v_2713 (=> ?v_2714 (=> ?v_2862 (=> ?v_2715 (=> ?v_2716 (=> ?v_2717 (=> ?v_2718 (=> ?v_5616 (=> ?v_2720 (=> ?v_2863 (=> ?v_2721 (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> ?v_2727 (=> ?v_2728 (=> ?v_2729 (=> ?v_2730 (=> ?v_2731 (=> ?v_2732 (=> (= inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest.0 hirp) (=> ?v_2734 (=> ?v_2735 (=> ?v_2736 (=> ?v_2737 (=> ?v_2738 (=> ?v_2739 (=> ?v_2740 (=> ?v_2741 (=> ?v_2742 (=> ?v_2743 (=> ?v_2744 (=> ?v_2745 (=> ?v_2746 (=> ?v_2747 (=> ?v_2748 (=> ?v_5617 (=> ?v_2750 (=> ?v_2751 (=> ?v_2752 (=> ?v_2753 (=> ?v_2754 (=> (= irpCompleted_0.30 irpCompleted_0.7) ?v_5618))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5619 (= inline.sdv_InterlockedDecrement.17.myNondetVar_0.1 0))) (let ((?v_5629 (and (=> true (=> (not ?v_5619) (=> true (=> (= inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2.) ?v_5620)))) (=> true (=> ?v_5619 (=> true (=> (= inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..0 call68249formal.ret.0) (=> true (=> true (=> true ?v_5620))))))))) (?v_12 (= hirp hirp))) (let ((?v_2884 (not ?v_12)) (?v_5621 (=> true (=> (= irpCompleted_1.7 irpCompleted_1.6) (=> (= irpCompleted_0.7 irpCompleted_0.6) (=> (= Mem_1_T.CancelRoutine__IRP.13 Mem_1_T.CancelRoutine__IRP.12) (=> (= Mem_0_T.CancelRoutine__IRP.13 Mem_0_T.CancelRoutine__IRP.12) (=> (= errorReached.9 errorReached.8) ?v_5629))))))) (?v_5622 (= irpCompleted_1.6 irpCompleted_1.5))) (let ((?v_5623 (=> (= irpCompleted_0.6 irpCompleted_0.5) (=> true ?v_5621))) (?v_2829 (= k.2 1))) (let ((?v_3572 (not ?v_2829)) (?v_2088 (= k.2 0))) (let ((?v_3570 (not ?v_2088))) (let ((?v_5625 (and (=> true (=> ?v_2088 (=> true (=> ?v_5622 (=> (= irpCompleted_0.6 1) ?v_5621))))) (=> true (=> ?v_3570 (and (=> true (=> ?v_2829 (=> true (=> (= irpCompleted_1.6 1) ?v_5623)))) (=> true (=> ?v_3572 (=> true (=> ?v_5622 ?v_5623))))))))) (?v_5626 (= Mem_1_T.CancelRoutine__IRP.12 Mem_1_T.CancelRoutine__IRP.10))) (let ((?v_5627 (=> (= Mem_0_T.CancelRoutine__IRP.12 Mem_0_T.CancelRoutine__IRP.10) (=> true (=> true ?v_5625)))) (?v_5624 (MapType0Store Mem_1_T.CancelRoutine__IRP.10 ?v_919 ?v_35)) (?v_5612 (MapType0Store Mem_0_T.CancelRoutine__IRP.10 ?v_919 ?v_35))) (let ((?v_5628 (and (=> true (=> ?v_2088 (=> (= Mem_0_T.CancelRoutine__IRP.11 ?v_5612) (=> true (=> ?v_5626 (=> (= Mem_0_T.CancelRoutine__IRP.12 Mem_0_T.CancelRoutine__IRP.11) ?v_5625)))))) (=> true (=> ?v_3570 (and (=> true (=> ?v_2829 (=> (= Mem_1_T.CancelRoutine__IRP.11 ?v_5624) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.12 Mem_1_T.CancelRoutine__IRP.11) ?v_5627))))) (=> true (=> ?v_3572 (=> true (=> ?v_5626 ?v_5627))))))))) (?v_2881 (= irpCompleted_0.5 0))) (let ((?v_3566 (=> ?v_2088 ?v_2881)) (?v_2882 (= irpCompleted_1.5 0))) (let ((?v_3567 (=> ?v_2829 ?v_2882)) (?v_3592 (not ?v_2881))) (let ((?v_2893 (=> ?v_2088 ?v_3592)) (?v_3593 (not ?v_2882))) (let ((?v_2894 (=> ?v_2829 ?v_3593)) (?v_5611 (int_2_U call68048formal.new.0)) (?v_2183 (= inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2200 (= inline.SerialWrite.0..result.SerialDbgPrintEx.154.8.18..1 inline.SerialWrite.0..result.SerialDbgPrintEx.154.8.18.)) (?v_2286 (= inline.SerialWrite.0..result.SerialDbgPrintEx.156.24.20..1 inline.SerialWrite.0..result.SerialDbgPrintEx.156.24.20.)) (?v_2294 (= inline.SerialIRPEpilogue.8..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.8..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2406 (= inline.sdv_InterlockedDecrement.17.myNondetVar_0.2 inline.sdv_InterlockedDecrement.17.myNondetVar_0)) (?v_2496 (= inline.SerialIRPEpilogue.8..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.8..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_2544 (= inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.12..result.SdvMakeChoice.4659.26.2.)) (?v_2594 (= inline.sdv_InterlockedDecrement.17..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.17..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2733 (= inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.8..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_2833 (int_2_U call68036formal.new.0))) (let ((?v_3555 (=> true (and ?v_8 (=> ?v_8 (=> (> call68036formal.new.0 0) (=> (forall ((?x1607 Int)) (! (=> (and (<= call68036formal.new.0 ?x1607) (< ?x1607 (+ call68036formal.new.0 1))) (= (Base ?x1607) call68036formal.new.0)) :pattern ((Base ?x1607)) )) (=> (forall ((?x1608 boogieU)) (! (=> (= (type ?x1608) intType) (or (= (U_2_int ?x1608) call68036formal.new.0) (= (MapType0Select alloc.74 ?x1608) (MapType0Select alloc.75 ?x1608)))) :pattern ((MapType0Select alloc.75 ?x1608)) )) (=> (and (= (MapType0Select alloc.74 ?v_2833) UNALLOCATED) (= (MapType0Select alloc.75 ?v_2833) ALLOCATED)) (=> true (=> (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4) (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.6 inline.sdv_InterlockedDecrement.10.myNondetVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.1) (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3) (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.10 inline.KeSynchronizeExecution.3.myNondetVar_0.9) (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.8 inline.sdv_InterlockedIncrement.1.myNondetVar_0.7) (=> (= inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.1 inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.0) (=> (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.2) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.1) (=> (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..2 inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..1) (=> (= inline.IsListEmpty.4.myNondetVar_0.3 inline.IsListEmpty.4.myNondetVar_0.2) (=> (= inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue1.0 SerialStartWrite) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.3 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.2) (=> (= inline.SerialSetTimer.1.myNondetVar_0.9 inline.SerialSetTimer.1.myNondetVar_0.8) (=> (= inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.6 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5) (=> ?v_2834 (=> (= inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.1) (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.1) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.11 inline.KeSynchronizeExecution.6.myNondetVar_0.10) (=> (= inline.SerialCancelTimer.2.myNondetVar_0.5 inline.SerialCancelTimer.2.myNondetVar_0.4) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.1) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.6 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.5) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.5 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.4) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.3) (=> (= inline.SerialStartRead.0.myVar_0.27 inline.SerialStartRead.0.myVar_0.26) (=> (= inline.SerialStartOrQueue.0..oldIrql.6.692.10.SerialStartOrQueue.0 call52672formal.new.0) (=> (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..4 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..3) (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..4) (=> (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.6 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.5) (=> (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..3 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..2) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.3) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3) (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialWrite.0..result.SerialDbgPrintEx.146.23.16..1 inline.SerialWrite.0..result.SerialDbgPrintEx.146.23.16..0) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.3 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.2) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialStartOrQueue.0.tempBoogie0.3 inline.SerialStartOrQueue.0.tempBoogie0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.6 inline.SerialGetNextWrite.1.myNondetVar_2.5) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.5 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4) (=> (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..3 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..2) (=> (= inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..1 inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..0) (=> (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.3) (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> ?v_2835 (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.6 inline.sdv_InterlockedDecrement.15.myNondetVar_0.5) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.2) (=> (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.3 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.2) (=> (= inline.SerialCancelTimer.0.myNondetVar_0.5 inline.SerialCancelTimer.0.myNondetVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.25 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.24) (=> (= inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.2 inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.1) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.3) (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.4) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..4) (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.5 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.4) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3) (=> ?v_2836 (=> (= inline.SerialWrite.0.myNondetVar_0.2 inline.SerialWrite.0.myNondetVar_0.0) (=> (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1) (=> (= inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.8 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialSetTimer.2.myNondetVar_0.8 inline.SerialSetTimer.2.myNondetVar_0.7) (=> (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.IsListEmpty.0.myNondetVar_0.1 inline.IsListEmpty.0.myNondetVar_0.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.5 inline.sdv_InterlockedDecrement.7.myNondetVar_0.4) (=> ?v_2183 (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..6 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..5) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..5 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..4) (=> (= inline.RemoveHeadList.0.myNondetVar_0.7 inline.RemoveHeadList.0.myNondetVar_0.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.11 inline.KeSynchronizeExecution.4.myNondetVar_0.10) (=> (= Mem_0_T.P_IRP.46 Mem_0_T.P_IRP.45) (=> (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.5 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.4) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.1 inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.0) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4) (=> (= inline.RemoveHeadList.3.myNondetVar_0.5 inline.RemoveHeadList.3.myNondetVar_0.4) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.3 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.2) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialSetTimer.4.myNondetVar_0.8 inline.SerialSetTimer.4.myNondetVar_0.7) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.3) (=> ?v_2200 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.3) (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.1) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.3) (=> (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.2) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.4) (=> (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.1 inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.0) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.3) (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..5 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.3 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.2) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..3) (=> (= inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.2 inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.1) (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.5 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.4) (=> (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0) (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.6 inline.SerialGetNextIrpLocked.3.myVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.6 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.5) (=> (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..4 inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..3) (=> (= inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.703.36.2..0 inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.4 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.3) (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..5 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.4 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.3) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4) (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.3) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2) (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1) (=> (= inline.KeSynchronizeExecution.8.myNondetVar_0.10 inline.KeSynchronizeExecution.8.myNondetVar_0.9) (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..3 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..2) (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.4) (=> (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..2) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3) (=> (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.1 inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.0) (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..7 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6) (=> (= inline.SerialStartRead.0..result.SerialStartRead.184.0.1..2 inline.SerialStartRead.0..result.SerialStartRead.184.0.1..1) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_1.3 inline.SerialTryToCompleteCurrent.0.myNondetVar_1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2) (=> (= inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..2 inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..1) (=> (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.3) (=> (= inline.SerialStartOrQueue.0.havoc_stringTemp.1 inline.SerialStartOrQueue.0.havoc_stringTemp.0) (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.2 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.1) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..2) (=> (= inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..1) (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextWrite.0.myVar_0.18 inline.SerialGetNextWrite.0.myVar_0.17) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.4 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..2) (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..5 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.7 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.6) (=> ?v_2837 (=> (= inline.IsListEmpty.2.myNondetVar_0.5 inline.IsListEmpty.2.myNondetVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.3) (=> (= inline.SerialGetNextIrp.2.myNondetVar_0.3 inline.SerialGetNextIrp.2.myNondetVar_0.2) (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.7 inline.sdv_InterlockedDecrement.9.myNondetVar_0.6) (=> (= inline.SerialStartWrite.0.myVar_0.30 inline.SerialStartWrite.0.myVar_0.29) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.6 inline.sdv_InterlockedDecrement.14.myNondetVar_0.5) (=> ?v_2838 (=> (= inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..1 inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> ?v_2286 (=> (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.3) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.3) (=> (= inline.SerialStartWrite.0.myNondetVar_2.7 inline.SerialStartWrite.0.myNondetVar_2.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.6 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5) (=> (= inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..1) (=> (= inline.SerialStartRead.0.myNondetVar_0.85 inline.SerialStartRead.0.myNondetVar_0.84) (=> (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> ?v_2839 (=> ?v_2294 (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.3) (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.6 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4) (=> (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..3) (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) (=> (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.4 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.3) (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.3) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3) (=> (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.2.havoc_stringTemp.2) (=> (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..4 inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.3) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.1) (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.7 inline.sdv_InterlockedDecrement.6.myNondetVar_0.6) (=> (= inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..1) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.5 inline.SerialGetNextIrpLocked.0.havoc_stringTemp.4) (=> (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.2) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.2) (=> (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.SerialWrite.0..status.4.103.13.SerialWrite.0 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialWrite.0.havoc_stringTemp.1 call68036formal.new.0) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2) (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.17 inline.SerialResizeBuffer.0.myNondetVar_0.16) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..5 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..4) (=> (= inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.1 inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.0) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..3) (=> (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.4 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.3) (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..5 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..4) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.1 inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.0) (=> (= inline.SerialGetNextWrite.1.myVar_0.16 inline.SerialGetNextWrite.1.myVar_0.15) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.6 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5) (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.15 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.14) (=> (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.4 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.3) (=> (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.1) (=> (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.1 inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.0) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.3) (=> (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.3) (=> ?v_2840 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..4 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..3) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.3 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.2) (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.4) (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.IsListEmpty.1.myNondetVar_0.5 inline.IsListEmpty.1.myNondetVar_0.4) (=> (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.3) (=> (= inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.1 inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.0) (=> (= inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.0) (=> (= inline.SerialRundownIrpRefs.0.myVar_0.17 inline.SerialRundownIrpRefs.0.myVar_0.16) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..3) (=> ?v_2841 (=> (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.6 inline.sdv_InterlockedDecrement.13.myNondetVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.2) (=> ?v_2842 (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.3) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> ?v_2843 (=> (= inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..1 inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..0) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..5 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..4) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.7 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.6) (=> (= inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1..0) (=> (= cancelLockStatus_1.52 cancelLockStatus_1.51) (=> (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.3 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.2) (=> (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..2) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.6 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5) (=> (= inline.sdv_InterlockedDecrement.16.myNondetVar_0.3 inline.sdv_InterlockedDecrement.16.myNondetVar_0.2) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.3) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.2) (=> (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.SerialStartOrQueue.0..Starter.5.653.29.SerialStartOrQueue.0 SerialStartWrite) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1) (=> (= inline.SerialWrite.0..result.SerialStartOrQueue.142.34.15..0 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1) (=> (= cancelLockStatus_0.52 cancelLockStatus_0.51) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..6 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..5) (=> (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..4 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..3) (=> ?v_2844 (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.6 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.5) (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..3 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..2) (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.1) (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp) (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.13 inline.SerialGetCharsFromIntBuffer.0.myVar_0.12) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.5 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.4) (=> (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..2) (=> (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.2 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.1) (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.10 inline.KeSynchronizeExecution.0.myNondetVar_0.9) (=> ?v_2406 (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.6 inline.SerialGetNextIrpLocked.2.myVar_0.5) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..4) (=> (= inline.SerialGetNextWrite.1.havoc_stringTemp.2 inline.SerialGetNextWrite.1.havoc_stringTemp.1) (=> (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.5 inline.sdv_InterlockedIncrement.3.myNondetVar_0.4) (=> (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..2) (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.4 inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.3) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.10 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.9) (=> ?v_2845 (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..5 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4) (=> ?v_2846 (=> (= inline.SerialGetNextWrite.1.tempBoogie0.8 inline.SerialGetNextWrite.1.tempBoogie0.7) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2) (=> (= inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..2 inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..1) (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..7 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_2.3 inline.SerialTryToCompleteCurrent.0.myNondetVar_2.2) (=> (= inline.SerialSetTimer.3.myNondetVar_0.8 inline.SerialSetTimer.3.myNondetVar_0.7) (=> (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.3 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..2) (=> (= inline.SerialStartOrQueue.0.myNondetVar_1.2 inline.SerialStartOrQueue.0.myNondetVar_1.1) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..4 inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..3) (=> (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.2) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2) (=> (= irpCompleted_1.30 irpCompleted_1.29) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.3) (=> (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3) (=> (= inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= alloc.76 alloc.75) (=> (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.2) (=> (= inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.1 inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.0) (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..4) (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.4 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.6 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5) (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.16 inline.SerialStartOrQueue.0.myNondetVar_0.15) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.8 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.7) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.5 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.4) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.4 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.3) (=> (= inline.SerialCancelTimer.3.myNondetVar_0.5 inline.SerialCancelTimer.3.myNondetVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.3 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.2) (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.3) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.2) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.3) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.6 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.5) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> ?v_2847 (=> ?v_2848 (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..6 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..5) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.1) (=> (= inline.SerialStartWrite.0..result.question.7..3 inline.SerialStartWrite.0..result.question.7..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.8 inline.SerialTryToCompleteCurrent.0.myVar_0.7) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.6 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5) (=> (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.1 inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.0) (=> (= inline.SerialSetTimer.0.myNondetVar_0.11 inline.SerialSetTimer.0.myNondetVar_0.10) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.6 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..4 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..3) (=> ?v_2849 (=> ?v_2850 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.1) (=> (= inline.IsListEmpty.3.myNondetVar_0.3 inline.IsListEmpty.3.myNondetVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.5 inline.sdv_InterlockedDecrement.8.myNondetVar_0.4) (=> (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.SerialStartRead.0.tempBoogie0.6 inline.SerialStartRead.0.tempBoogie0.5) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.9 inline.SerialGetNextWrite.0.myNondetVar_1.8) (=> (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..3) (=> (= lockStatus_1.41 lockStatus_1.40) (=> (= inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.1 inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.0) (=> ?v_2496 (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.5 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.SerialStartWrite.0.myNondetVar_0.37 inline.SerialStartWrite.0.myNondetVar_0.36) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.10 inline.SerialGetNextWrite.0.tempBoogie0.9) (=> (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.3 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.2) (=> (= inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.1 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0) (=> (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.1) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..2) (=> ?v_2851 (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.1) (=> (= inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..3 inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..3 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..2) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0) (=> (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..3) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3) (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.2) (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.5 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.4) (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.3 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.2) (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.3 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.2) (=> (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.4 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.3) (=> (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..2) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3) (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2) (=> (= inline.SerialStartRead.0.myNondetVar_1.17 inline.SerialStartRead.0.myNondetVar_1.16) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.6 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.5) (=> (= inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..1 inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..0) (=> ?v_2544 (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4) (=> ?v_5614 (=> (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.3 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.2) (=> ?v_2852 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.3 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.2) (=> (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.3) (=> (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.6 inline.sdv_InterlockedDecrement.2.myNondetVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> ?v_2853 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.9 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialWrite.0..result.SerialWrite.74.0.1..1 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.6 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5) (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.5 inline.SerialGetNextIrpLocked.1.havoc_stringTemp.4) (=> (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..2 inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..1) (=> (= inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.1) (=> (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..2) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.3) (=> (= lockStatus_0.41 lockStatus_0.40) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.5 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.12 inline.KeSynchronizeExecution.1.myNondetVar_0.11) (=> (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.5 inline.sdv_InterlockedDecrement.11.myNondetVar_0.4) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..3) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.3) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.SerialGetNextIrp.1.myNondetVar_0.5 inline.SerialGetNextIrp.1.myNondetVar_0.4) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.4) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.2) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..6 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..5) (=> (= Mem_0_T.CancelRoutine__IRP.69 Mem_0_T.CancelRoutine__IRP.68) (=> (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.3) (=> (= inline.KeSynchronizeExecution.7.myNondetVar_0.10 inline.KeSynchronizeExecution.7.myNondetVar_0.9) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.4 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue1.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3) (=> (= inline.RemoveHeadList.2.myNondetVar_0.5 inline.RemoveHeadList.2.myNondetVar_0.4) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.6 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.5) (=> ?v_2594 (=> (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.3) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.1) (=> (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..3 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..2) (=> (= inline.SerialStartRead.0.havoc_stringTemp.2 inline.SerialStartRead.0.havoc_stringTemp.1) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.2) (=> (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.24 inline.SerialGetNextWrite.0.myNondetVar_0.23) (=> (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.5 inline.sdv_InterlockedIncrement.5.myNondetVar_0.4) (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..4) (=> (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..2) (=> ?v_2854 (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.SerialResizeBuffer.0.myVar_0.6 inline.SerialResizeBuffer.0.myVar_0.5) (=> (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.1 inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.1) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_2855 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.2 inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.1) (=> (= inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> ?v_2856 (=> ?v_2857 (=> (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.4) (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.8 inline.SerialGetNextIrpLocked.0.myVar_0.7) (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.6 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.5) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.13 inline.KeSynchronizeExecution.2.myNondetVar_0.12) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..4 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..3) (=> (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.3) (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.1) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialStartWrite.0.havoc_stringTemp.1 inline.SerialStartWrite.0.havoc_stringTemp.0) (=> (= errorReached.50 errorReached.49) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.3) (=> (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.1) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.3) (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.7 inline.sdv_InterlockedDecrement.4.myNondetVar_0.6) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.3) (=> ?v_2858 (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.3) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.6) (=> (= inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..2 inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..1) (=> (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.4) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3) (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.7 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.6) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.3) (=> ?v_2859 (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.SerialGetNextIrp.0.myNondetVar_0.5 inline.SerialGetNextIrp.0.myNondetVar_0.4) (=> ?v_2860 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.3 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.2) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.4 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.3) (=> (= inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.1 inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.0) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.5 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.4) (=> (= Mem_1_T.CancelRoutine__IRP.69 Mem_1_T.CancelRoutine__IRP.68) (=> (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.3 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.2) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.10 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.9) (=> (= inline.RemoveHeadList.1.myNondetVar_0.7 inline.RemoveHeadList.1.myNondetVar_0.6) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.4 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.3) (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.1) (=> (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.3 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.2) (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.22 inline.SerialGetNextWrite.1.myNondetVar_0.21) (=> (= k.52 k.51) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.7 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.6) (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.SerialResizeBuffer.0.myNondetVar_1.8 inline.SerialResizeBuffer.0.myNondetVar_1.7) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.3) (=> (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.6 inline.sdv_InterlockedDecrement.12.myNondetVar_0.5) (=> (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.1) (=> (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..2) (=> (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..3 inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..2) (=> (= inline.SerialStartOrQueue.0..result.IsListEmpty.723.20.7..0 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.2) (=> (= inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue1.0 hirp) (=> (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.2) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.3 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.2) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.4 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.3) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.2) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..3 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..2) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.3 inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.2) (=> (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.4 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.3) (=> (= inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.2 inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.1) (=> (= inline.SerialStartWrite.0.tempBoogie0.7 inline.SerialStartWrite.0.tempBoogie0.6) (=> (= inline.InsertTailList.1.myNondetVar_0.2 inline.InsertTailList.1.myNondetVar_0.1) (=> (= inline.SerialStartRead.0.myNondetVar_2.6 inline.SerialStartRead.0.myNondetVar_2.5) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2) (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.5 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> ?v_2861 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..7 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6) (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..6 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..5) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> ?v_2862 (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3) (=> (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.3.havoc_stringTemp.2) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.4 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3) (=> (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> ?v_5616 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.4..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp) (=> ?v_2863 (=> (= inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue.0 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.4 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.3) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.2) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..5 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..4) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) (=> (= inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..2) (=> (= inline.KeSynchronizeExecution.5.myNondetVar_0.9 inline.KeSynchronizeExecution.5.myNondetVar_0.8) (=> (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.3 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.2) (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..2 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.4 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3) (=> (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..3) (=> ?v_2733 (=> (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..2) (=> (= inline.SerialCancelTimer.1.myNondetVar_0.5 inline.SerialCancelTimer.1.myNondetVar_0.4) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.3) (=> (= Mem_1_T.P_IRP.46 Mem_1_T.P_IRP.45) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.3) (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.4 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.3) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..5 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..4) (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrp.3.myNondetVar_0.3 inline.SerialGetNextIrp.3.myNondetVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.5 inline.sdv_InterlockedIncrement.4.myNondetVar_0.4) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> ?v_5617 (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.8 inline.SerialGetNextIrpLocked.1.myVar_0.7) (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2) (=> (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.4 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3) (=> (= irpCompleted_0.30 irpCompleted_0.29) (=> (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.6 inline.sdv_InterlockedDecrement.3.myNondetVar_0.5) (=> (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.1) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..1 inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..0) (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.5 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.4) (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.4 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialStartOrQueue.0..Irp.2.650.12.SerialStartOrQueue.0 hirp) (=> (= inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.1) (=> (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.8 inline.SerialRundownIrpRefs.0.myNondetVar_2.7) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..4) (=> ?v_2864 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..2) (=> (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.7 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.6) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3) (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..5 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..4) (=> (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.2 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.1) (=> (= inline.SerialStartWrite.0.myNondetVar_1.11 inline.SerialStartWrite.0.myNondetVar_1.10) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.7 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.6) (=> (= inline.SerialGetNextWrite.0.havoc_stringTemp.4 inline.SerialGetNextWrite.0.havoc_stringTemp.3) (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.7 inline.SerialGetNextWrite.1.myNondetVar_1.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.8 inline.SerialGetNextWrite.0.myNondetVar_2.7) (=> (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1) (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.9 inline.sdv_InterlockedDecrement.5.myNondetVar_0.8) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.1) (=> (= inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.1 inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.0) (=> (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.6 inline.sdv_InterlockedIncrement.2.myNondetVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.6 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5) (=> (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.3) (=> (= inline.SerialStartOrQueue.0..Extension.1.649.32.SerialStartOrQueue.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.3 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.2) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.3) (=> (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.1) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..5 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..4) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> ?v_2865 (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.9 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..2) (=> (= inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.1) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.14 inline.SerialRundownIrpRefs.0.myNondetVar_0.13) (=> (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.8 inline.SerialRundownIrpRefs.0.myNondetVar_1.7) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.2) (=> (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> ?v_2866 (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4) (=> ?v_2867 (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..6 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.1 inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.3) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.8 inline.SerialRundownIrpRefs.0.tempBoogie0.7) (=> ?v_2868 (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3) ?v_2869)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3641 (=> true (=> true (=> true (=> true ?v_3555))))) (?v_2896 (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_2897 (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2898 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_2899 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2900 (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.5 inline.sdv_InterlockedDecrement.10.myNondetVar_0)) (?v_3623 (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2901 (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent)) (?v_2902 (= inline.KeSynchronizeExecution.3.myNondetVar_0.9 inline.KeSynchronizeExecution.3.myNondetVar_0)) (?v_2903 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_2904 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1)) (?v_2905 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..4 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_2906 (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite)) (?v_2907 (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.2 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite)) (?v_2908 (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_2909 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.2 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1)) (?v_2910 (= inline.SerialSetTimer.1.myNondetVar_0.8 inline.SerialSetTimer.1.myNondetVar_0)) (?v_2911 (= inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent)) (?v_2912 (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2913 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2914 (= inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite)) (?v_2915 (= inline.SerialGetNextWrite.0.havoc_stringTemp.3 inline.SerialGetNextWrite.0.havoc_stringTemp)) (?v_2916 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..2 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3.)) (?v_2917 (= inline.SerialCancelTimer.2.myNondetVar_0.4 inline.SerialCancelTimer.2.myNondetVar_0)) (?v_2918 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_2919 (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution)) (?v_2920 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_2921 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_2922 (= inline.SerialStartRead.0.myVar_0.26 inline.SerialStartRead.0.myVar_0)) (?v_2923 (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2924 (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..3 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1.)) (?v_2925 (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2.)) (?v_2926 (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution)) (?v_2927 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2928 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.5 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite)) (?v_2929 (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..2 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1.)) (?v_2930 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.24 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0)) (?v_2931 (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution)) (?v_2932 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.12 inline.SerialGetCharsFromIntBuffer.0.myVar_0)) (?v_2933 (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_2934 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1)) (?v_2935 (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_2936 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_2937 (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2938 (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2939 (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2940 (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2941 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1)) (?v_2942 (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_2943 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_2944 (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1.)) (?v_2945 (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_2946 (= inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..0 inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1.)) (?v_2947 (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite)) (?v_2948 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_2949 (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp)) (?v_2950 (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.5 inline.sdv_InterlockedDecrement.15.myNondetVar_0)) (?v_2951 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_2952 (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1)) (?v_2953 (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.2 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer)) (?v_2954 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.6 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_2955 (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite)) (?v_2956 (= inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.1 inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite)) (?v_2957 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_2958 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.14 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0)) (?v_2959 (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2.)) (?v_2960 (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.4 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_2961 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_2962 (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1)) (?v_3624 (= inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2.)) (?v_2963 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.7 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1)) (?v_2964 (= inline.IsListEmpty.3.myNondetVar_0.2 inline.IsListEmpty.3.myNondetVar_0)) (?v_2965 (= inline.SerialSetTimer.2.myNondetVar_0.7 inline.SerialSetTimer.2.myNondetVar_0)) (?v_2966 (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution)) (?v_2967 (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_2968 (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.3 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead)) (?v_2969 (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_2970 (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2971 (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2972 (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2973 (= inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp)) (?v_2974 (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_2975 (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.4 inline.sdv_InterlockedDecrement.7.myNondetVar_0)) (?v_2976 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..5 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_2977 (= inline.RemoveHeadList.0.myNondetVar_0.6 inline.RemoveHeadList.0.myNondetVar_0)) (?v_2978 (= inline.KeSynchronizeExecution.4.myNondetVar_0.10 inline.KeSynchronizeExecution.4.myNondetVar_0)) (?v_2980 (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_2981 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.)) (?v_2982 (= inline.RemoveHeadList.3.myNondetVar_0.4 inline.RemoveHeadList.3.myNondetVar_0)) (?v_2983 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.2 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1)) (?v_2984 (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1)) (?v_2985 (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2986 (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.2 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead)) (?v_2987 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_2988 (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2989 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_2990 (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_2991 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_2992 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_2993 (= inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.0 inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead)) (?v_2994 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty)) (?v_2995 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_2996 (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.3 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead)) (?v_2997 (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2998 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..4 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13.)) (?v_2999 (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.2 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead)) (?v_3000 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.2 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer)) (?v_3001 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3002 (= inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_3003 (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3004 (= inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.1 inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite)) (?v_3005 (= inline.SerialGetNextIrpLocked.3.myVar_0.5 inline.SerialGetNextIrpLocked.3.myVar_0)) (?v_3006 (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3007 (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_3008 (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1.)) (?v_3009 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_3010 (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer)) (?v_3011 (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3012 (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.3 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer)) (?v_3013 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1)) (?v_3014 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3015 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3016 (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_3017 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3018 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_3019 (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2.)) (?v_3020 (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_3021 (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp)) (?v_3022 (= inline.KeSynchronizeExecution.8.myNondetVar_0.9 inline.KeSynchronizeExecution.8.myNondetVar_0)) (?v_3023 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.9 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1)) (?v_3024 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3025 (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3026 (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3.)) (?v_3027 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3028 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_3029 (= inline.SerialGetNextIrp.0.myNondetVar_0.4 inline.SerialGetNextIrp.0.myNondetVar_0)) (?v_3030 (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.0 inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead)) (?v_3625 (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3031 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_3032 (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..4 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3033 (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3034 (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_3626 (= inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..1 inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11.)) (?v_3035 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_3036 (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList)) (?v_3037 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp)) (?v_3627 (= inline.SerialStartOrQueue.0.havoc_stringTemp.0 inline.SerialStartOrQueue.0.havoc_stringTemp)) (?v_3038 (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.1 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1)) (?v_3039 (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent)) (?v_3040 (= inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1.)) (?v_3628 (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3041 (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_3042 (= inline.SerialGetNextWrite.0.myVar_0.17 inline.SerialGetNextWrite.0.myVar_0)) (?v_3043 (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer)) (?v_3044 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.4 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3045 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3046 (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..4 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2.)) (?v_3047 (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2.)) (?v_3048 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3049 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.6 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_3050 (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.3 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead)) (?v_3051 (= inline.IsListEmpty.2.myNondetVar_0.4 inline.IsListEmpty.2.myNondetVar_0)) (?v_3052 (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3053 (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite)) (?v_3054 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_3055 (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.6 inline.sdv_InterlockedDecrement.9.myNondetVar_0)) (?v_3056 (= inline.SerialStartWrite.0.myVar_0.29 inline.SerialStartWrite.0.myVar_0)) (?v_3057 (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3058 (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3059 (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3060 (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite)) (?v_3061 (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_3062 (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.6 inline.sdv_InterlockedDecrement.6.myNondetVar_0)) (?v_3063 (= inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1.)) (?v_3064 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.8 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_3065 (= inline.SerialStartRead.0.myNondetVar_0.84 inline.SerialStartRead.0.myNondetVar_0)) (?v_3066 (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4.)) (?v_3067 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_3068 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.5 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_3069 (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1.)) (?v_3070 (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3071 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.7 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite)) (?v_3072 (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.3 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead)) (?v_3073 (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1.)) (?v_3074 (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite)) (?v_3075 (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.2.havoc_stringTemp)) (?v_3076 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.6 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_3077 (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3078 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp)) (?v_3079 (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_3080 (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1.)) (?v_3081 (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3082 (= inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1.)) (?v_3083 (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3084 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_3085 (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_3086 (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.4 inline.SerialGetNextIrpLocked.0.havoc_stringTemp)) (?v_3087 (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.4 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList)) (?v_3088 (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer)) (?v_3089 (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3090 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3091 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3092 (= inline.SerialResizeBuffer.0.myNondetVar_0.16 inline.SerialResizeBuffer.0.myNondetVar_0)) (?v_3093 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..4 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1.)) (?v_3094 (= inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.0 inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite)) (?v_3095 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_3096 (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3097 (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1.)) (?v_3098 (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..4 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3099 (= inline.SerialGetNextIrp.1.myNondetVar_0.4 inline.SerialGetNextIrp.1.myNondetVar_0)) (?v_3100 (= inline.SerialGetNextWrite.0.myNondetVar_1.8 inline.SerialGetNextWrite.0.myNondetVar_1)) (?v_3101 (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3102 (= inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.0 inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead)) (?v_3103 (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3104 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_1.2 inline.SerialTryToCompleteCurrent.0.myNondetVar_1)) (?v_3105 (= inline.SerialGetNextWrite.1.myVar_0.15 inline.SerialGetNextWrite.1.myVar_0)) (?v_3106 (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_3107 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3108 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3109 (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.4 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead)) (?v_3110 (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3111 (= inline.RemoveHeadList.1.myNondetVar_0.6 inline.RemoveHeadList.1.myNondetVar_0)) (?v_3112 (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.3 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer)) (?v_3113 (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1)) (?v_3114 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite)) (?v_3115 (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_3116 (= lockStatus_0.40 lockStatus_0.14)) (?v_3117 (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3118 (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer)) (?v_3119 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.2 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer)) (?v_3120 (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3121 (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.5 inline.sdv_InterlockedDecrement.12.myNondetVar_0)) (?v_3122 (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_3123 (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.4 inline.sdv_InterlockedIncrement.5.myNondetVar_0)) (?v_3124 (= inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.0 inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead)) (?v_3125 (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_3126 (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..1 inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2.)) (?v_3127 (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3128 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3129 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.7 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_3130 (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_3131 (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3132 (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3133 (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_3134 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_3135 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3136 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer)) (?v_3137 (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_3138 (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3139 (= inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..0 inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8.)) (?v_5055 (= inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1..0 call53098formal.ret.0)) (?v_3141 (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3.)) (?v_3142 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3629 (= inline.sdv_InterlockedDecrement.16.myNondetVar_0.2 inline.sdv_InterlockedDecrement.16.myNondetVar_0)) (?v_3143 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_3144 (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3145 (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3146 (= inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.0 inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead)) (?v_3147 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer)) (?v_3148 (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1.)) (?v_3149 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_3150 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3151 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..6 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_3152 (= inline.IsListEmpty.1.myNondetVar_0.4 inline.IsListEmpty.1.myNondetVar_0)) (?v_3153 (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3154 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3155 (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3156 (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.)) (?v_3157 (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..3 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4.)) (?v_3158 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.5 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_3159 (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3160 (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent)) (?v_3161 (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1)) (?v_3162 (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3163 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.4 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3164 (= inline.KeSynchronizeExecution.6.myNondetVar_0.10 inline.KeSynchronizeExecution.6.myNondetVar_0)) (?v_3165 (= inline.SerialGetNextWrite.0.myNondetVar_2.7 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_3166 (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent)) (?v_3167 (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13.)) (?v_3168 (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.5 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer)) (?v_3169 (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1.)) (?v_3170 (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2.)) (?v_3171 (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.4 inline.sdv_InterlockedIncrement.3.myNondetVar_0)) (?v_3172 (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2.)) (?v_3173 (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.3 inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite)) (?v_3174 (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..4 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1.)) (?v_3175 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3176 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3177 (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer)) (?v_3178 (= inline.SerialGetNextWrite.1.tempBoogie0.7 inline.SerialGetNextWrite.1.tempBoogie0)) (?v_3179 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_3180 (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_3181 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3183 (= inline.SerialSetTimer.3.myNondetVar_0.7 inline.SerialSetTimer.3.myNondetVar_0)) (?v_3184 (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.2 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer)) (?v_3185 (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4.)) (?v_3186 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer)) (?v_3187 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3188 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer)) (?v_3189 (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1.)) (?v_3190 (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_3191 (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_3192 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3193 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..2 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5.)) (?v_3194 (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3195 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_3196 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_3197 (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1.)) (?v_3198 (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer)) (?v_3199 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3200 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_3201 (= inline.SerialGetNextWrite.0.myNondetVar_0.23 inline.SerialGetNextWrite.0.myNondetVar_0)) (?v_3202 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_3203 (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer)) (?v_3204 (= inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.0 inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead)) (?v_3205 (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1.)) (?v_3206 (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.3 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead)) (?v_3207 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5056 (= inline.SerialStartOrQueue.0.myNondetVar_0.15 inline.SerialStartOrQueue.0.myNondetVar_0.9)) (?v_3208 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3209 (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3210 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3211 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.4 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3212 (= inline.SerialCancelTimer.3.myNondetVar_0.4 inline.SerialCancelTimer.3.myNondetVar_0)) (?v_3213 (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3214 (= inline.SerialStartWrite.0.myNondetVar_2.6 inline.SerialStartWrite.0.myNondetVar_2)) (?v_3215 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_3216 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer)) (?v_3217 (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer)) (?v_3218 (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1)) (?v_3219 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.5 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_3220 (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3630 (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3221 (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_3222 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3223 (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1.)) (?v_3224 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_3225 (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent)) (?v_3226 (= inline.SerialStartWrite.0..result.question.7..2 inline.SerialStartWrite.0..result.question.7.)) (?v_3227 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3228 (= inline.SerialTryToCompleteCurrent.0.myVar_0.7 inline.SerialTryToCompleteCurrent.0.myVar_0)) (?v_3229 (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution)) (?v_3230 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3231 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_3232 (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3233 (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1)) (?v_3234 (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.0 inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1)) (?v_3235 (= inline.SerialSetTimer.0.myNondetVar_0.10 inline.SerialSetTimer.0.myNondetVar_0)) (?v_3236 (= inline.KeSynchronizeExecution.7.myNondetVar_0.9 inline.KeSynchronizeExecution.7.myNondetVar_0)) (?v_3237 (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3238 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_3239 (= inline.SerialSetTimer.4.myNondetVar_0.7 inline.SerialSetTimer.4.myNondetVar_0)) (?v_3240 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_3241 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3242 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_3243 (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3244 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3245 (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3246 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_3247 (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.4 inline.sdv_InterlockedDecrement.8.myNondetVar_0)) (?v_3631 (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3248 (= inline.SerialStartRead.0.tempBoogie0.5 inline.SerialStartRead.0.tempBoogie0)) (?v_3249 (= inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..1 inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6.)) (?v_3250 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer)) (?v_3251 (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3252 (= lockStatus_1.40 lockStatus_1.14)) (?v_3253 (= inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.0 inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite)) (?v_3254 (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_3255 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3256 (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3257 (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_3258 (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_3259 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3260 (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..4 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2.)) (?v_3261 (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2.)) (?v_3262 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3263 (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3264 (= inline.SerialGetNextWrite.0.tempBoogie0.9 inline.SerialGetNextWrite.0.tempBoogie0)) (?v_3265 (= inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3266 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_3267 (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3268 (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_5565 (= irpCompleted_1.29 irpCompleted_1.5)) (?v_3269 (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3270 (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.2 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead)) (?v_3271 (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3.)) (?v_3272 (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_3273 (= inline.IsListEmpty.4.myNondetVar_0.2 inline.IsListEmpty.4.myNondetVar_0)) (?v_3274 (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..2 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5.)) (?v_3275 (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3276 (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3277 (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_3278 (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_3279 (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3.)) (?v_3280 (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_3632 (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3281 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3282 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3283 (= inline.SerialStartRead.0..result.SerialStartRead.184.0.1..1 inline.SerialStartRead.0..result.SerialStartRead.184.0.1.)) (?v_3284 (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1)) (?v_3285 (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_3286 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3287 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.4 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3288 (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1)) (?v_3289 (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1)) (?v_3290 (= inline.SerialGetNextIrp.2.myNondetVar_0.2 inline.SerialGetNextIrp.2.myNondetVar_0)) (?v_3291 (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp)) (?v_3292 (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2.)) (?v_3293 (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3294 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_3295 (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1.)) (?v_3296 (= inline.SerialStartRead.0.myNondetVar_1.16 inline.SerialStartRead.0.myNondetVar_1)) (?v_3297 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.5 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_3298 (= inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..0 inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9.)) (?v_3299 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1)) (?v_3300 (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer)) (?v_3301 (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3302 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3303 (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer)) (?v_3304 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3305 (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3306 (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3307 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3308 (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_3309 (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_3310 (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.5 inline.sdv_InterlockedDecrement.2.myNondetVar_0)) (?v_3311 (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3312 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_3313 (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3314 (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution)) (?v_3315 (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3316 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3317 (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.4 inline.SerialGetNextIrpLocked.1.havoc_stringTemp)) (?v_3318 (= inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..2 inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18.)) (?v_3319 (= inline.KeSynchronizeExecution.5.myNondetVar_0.8 inline.KeSynchronizeExecution.5.myNondetVar_0)) (?v_3320 (= inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite)) (?v_3321 (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1.)) (?v_3322 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1)) (?v_3323 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_3324 (= inline.KeSynchronizeExecution.1.myNondetVar_0.11 inline.KeSynchronizeExecution.1.myNondetVar_0)) (?v_3325 (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.4 inline.sdv_InterlockedDecrement.11.myNondetVar_0)) (?v_3326 (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_3327 (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_3328 (= inline.SerialCancelTimer.0.myNondetVar_0.4 inline.SerialCancelTimer.0.myNondetVar_0)) (?v_3329 (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution)) (?v_3330 (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer)) (?v_3331 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3332 (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.)) (?v_3333 (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs)) (?v_3334 (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1.)) (?v_3335 (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_3336 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3337 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_3338 (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_3339 (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3340 (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.5 inline.sdv_InterlockedDecrement.14.myNondetVar_0)) (?v_3341 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3342 (= inline.RemoveHeadList.2.myNondetVar_0.4 inline.RemoveHeadList.2.myNondetVar_0)) (?v_3343 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.5 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_3344 (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3345 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_3346 (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1)) (?v_3347 (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..2 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1.)) (?v_3348 (= inline.SerialStartRead.0.havoc_stringTemp.1 inline.SerialStartRead.0.havoc_stringTemp)) (?v_3349 (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1)) (?v_3350 (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_3351 (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3352 (= inline.KeSynchronizeExecution.2.myNondetVar_0.12 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_3633 (= inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_3353 (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2.)) (?v_3354 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_2.2 inline.SerialTryToCompleteCurrent.0.myNondetVar_2)) (?v_3355 (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3356 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent)) (?v_3357 (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_3358 (= inline.SerialResizeBuffer.0.myVar_0.5 inline.SerialResizeBuffer.0.myVar_0)) (?v_3359 (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.0 inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite)) (?v_3360 (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3361 (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.4 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer)) (?v_3362 (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1)) (?v_3363 (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3634 (= inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3364 (= inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.1 inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite)) (?v_3635 (= inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_3365 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3366 (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3367 (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..5 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4.)) (?v_3368 (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1)) (?v_3369 (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3370 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1)) (?v_3371 (= inline.SerialGetNextIrpLocked.0.myVar_0.7 inline.SerialGetNextIrpLocked.0.myVar_0)) (?v_3372 (= inline.SerialRundownIrpRefs.0.tempBoogie0.7 inline.SerialRundownIrpRefs.0.tempBoogie0)) (?v_3373 (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_3374 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3375 (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_3376 (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_3377 (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_3378 (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs)) (?v_3379 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1)) (?v_3380 (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3381 (= inline.SerialStartWrite.0.havoc_stringTemp.0 inline.SerialStartWrite.0.havoc_stringTemp)) (?v_5566 (= alloc.74 alloc.10)) (?v_3382 (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer)) (?v_3383 (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_3384 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_3385 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3386 (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent)) (?v_3387 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3388 (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.6 inline.sdv_InterlockedDecrement.4.myNondetVar_0)) (?v_3389 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_3390 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_3391 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite)) (?v_3392 (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..4 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.)) (?v_3393 (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..3 inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1.)) (?v_3394 (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3395 (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2.)) (?v_3396 (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3397 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1)) (?v_3398 (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3399 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3400 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty)) (?v_3401 (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1)) (?v_3402 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3403 (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_3404 (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2.)) (?v_3636 (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3405 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1)) (?v_3406 (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_3407 (= inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.0 inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite)) (?v_3408 (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.4 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList)) (?v_3409 (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs)) (?v_3410 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_3411 (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite)) (?v_3412 (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3413 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.9 inline.SerialTryToCompleteCurrent.0.myNondetVar_0)) (?v_3414 (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1)) (?v_3415 (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs)) (?v_3416 (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs)) (?v_3417 (= inline.SerialGetNextWrite.1.myNondetVar_0.21 inline.SerialGetNextWrite.1.myNondetVar_0)) (?v_3418 (= inline.SerialRundownIrpRefs.0.myVar_0.16 inline.SerialRundownIrpRefs.0.myVar_0)) (?v_3419 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.6 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_3420 (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2.)) (?v_3421 (= inline.SerialResizeBuffer.0.myNondetVar_1.7 inline.SerialResizeBuffer.0.myNondetVar_1)) (?v_3422 (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_3423 (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1.)) (?v_3424 (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2.)) (?v_3425 (= inline.SerialGetNextWrite.1.havoc_stringTemp.1 inline.SerialGetNextWrite.1.havoc_stringTemp)) (?v_3426 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3427 (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer)) (?v_3428 (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3429 (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs)) (?v_3430 (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3431 (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3432 (= inline.SerialStartWrite.0.myNondetVar_0.36 inline.SerialStartWrite.0.myNondetVar_0)) (?v_3433 (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..2 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1.)) (?v_3434 (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_3435 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3436 (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.2 inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead)) (?v_3437 (= inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..1 inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2.)) (?v_3438 (= inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.1 inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite)) (?v_3439 (= inline.SerialStartWrite.0.tempBoogie0.6 inline.SerialStartWrite.0.tempBoogie0)) (?v_3637 (= inline.InsertTailList.1.myNondetVar_0.1 inline.InsertTailList.1.myNondetVar_0)) (?v_3440 (= inline.SerialStartRead.0.myNondetVar_2.5 inline.SerialStartRead.0.myNondetVar_2)) (?v_3441 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_3442 (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1.)) (?v_3443 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.5 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_3444 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3445 (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent)) (?v_3446 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3447 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3448 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..3 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_3449 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3450 (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_3451 (= inline.SerialGetNextIrpLocked.2.myVar_0.5 inline.SerialGetNextIrpLocked.2.myVar_0)) (?v_3452 (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_3453 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_3454 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty)) (?v_3455 (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.3.havoc_stringTemp)) (?v_3456 (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3457 (= inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1.)) (?v_3458 (= inline.SerialGetNextWrite.1.myNondetVar_2.5 inline.SerialGetNextWrite.1.myNondetVar_2)) (?v_3459 (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer)) (?v_3460 (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_3461 (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_3462 (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_3463 (= inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1.)) (?v_3464 (= inline.KeSynchronizeExecution.0.myNondetVar_0.9 inline.KeSynchronizeExecution.0.myNondetVar_0)) (?v_3465 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_3466 (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3467 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_3468 (= inline.SerialCancelTimer.1.myNondetVar_0.4 inline.SerialCancelTimer.1.myNondetVar_0)) (?v_3469 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer)) (?v_3470 (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.3 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead)) (?v_3471 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..4 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_3472 (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3473 (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3474 (= inline.SerialGetNextIrp.3.myNondetVar_0.2 inline.SerialGetNextIrp.3.myNondetVar_0)) (?v_3475 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3476 (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution)) (?v_3477 (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.8 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0)) (?v_3478 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty)) (?v_3479 (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer)) (?v_3480 (= inline.SerialGetNextIrpLocked.1.myVar_0.7 inline.SerialGetNextIrpLocked.1.myVar_0)) (?v_3481 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_3482 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_3483 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_3638 (= inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3484 (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer)) (?v_5567 (= irpCompleted_0.29 irpCompleted_0.5)) (?v_3485 (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.5 inline.sdv_InterlockedDecrement.3.myNondetVar_0)) (?v_3486 (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1)) (?v_3487 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3488 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_3489 (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3490 (= inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..0 inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4.)) (?v_3491 (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.4 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_3492 (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.0 inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1)) (?v_3493 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3494 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_3495 (= inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite)) (?v_3496 (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_3497 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_3498 (= inline.SerialRundownIrpRefs.0.myNondetVar_2.7 inline.SerialRundownIrpRefs.0.myNondetVar_2)) (?v_3499 (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_3500 (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3501 (= inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3502 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3503 (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1.)) (?v_3504 (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp)) (?v_3505 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3506 (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.5 inline.sdv_InterlockedDecrement.13.myNondetVar_0)) (?v_3507 (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.1 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1)) (?v_3508 (= inline.SerialStartWrite.0.myNondetVar_1.10 inline.SerialStartWrite.0.myNondetVar_1)) (?v_3509 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3510 (= inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp)) (?v_3511 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.6 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2)) (?v_3512 (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer)) (?v_3513 (= inline.SerialGetNextWrite.1.myNondetVar_1.6 inline.SerialGetNextWrite.1.myNondetVar_1)) (?v_3514 (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3515 (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1)) (?v_3516 (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.3 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead)) (?v_3517 (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_3518 (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_3519 (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..3 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1.)) (?v_3520 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_3521 (= inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent)) (?v_3522 (= inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.0 inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite)) (?v_3523 (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.5 inline.sdv_InterlockedIncrement.2.myNondetVar_0)) (?v_3524 (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3525 (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3526 (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3639 (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3527 (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3528 (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite)) (?v_3529 (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.1 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1)) (?v_3530 (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.2 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp)) (?v_3531 (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent)) (?v_3532 (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3533 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3534 (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_3535 (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_3536 (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..1 inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14.)) (?v_3537 (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite)) (?v_3538 (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent)) (?v_3539 (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3540 (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3541 (= inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite)) (?v_3542 (= inline.SerialRundownIrpRefs.0.myNondetVar_0.13 inline.SerialRundownIrpRefs.0.myNondetVar_0)) (?v_3543 (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList)) (?v_3544 (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.4 inline.sdv_InterlockedIncrement.4.myNondetVar_0)) (?v_3545 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1)) (?v_3546 (= inline.SerialRundownIrpRefs.0.myNondetVar_1.7 inline.SerialRundownIrpRefs.0.myNondetVar_1)) (?v_3547 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1)) (?v_3640 (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3548 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3549 (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..5 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4.)) (?v_3550 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3551 (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.4 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite)) (?v_3552 (= inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.0 inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead)) (?v_3553 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_3554 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked))) (let ((?v_5057 (=> ?v_3553 (=> ?v_3554 ?v_3641)))) (let ((?v_5568 (=> ?v_3548 (=> ?v_3549 (=> ?v_3550 (=> ?v_3551 (=> ?v_3552 ?v_5057)))))) (?v_5564 (= SerialStartWrite SerialStartRead)) (?v_5424 (=> true (=> ?v_2896 (=> ?v_2897 (=> ?v_2898 (=> ?v_2899 (=> ?v_2900 (=> ?v_3623 (=> ?v_2901 (=> ?v_2902 (=> ?v_2903 (=> ?v_2904 (=> ?v_2905 (=> ?v_2906 (=> ?v_2907 (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.2 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.1) (=> ?v_2910 (=> ?v_2911 (=> ?v_2912 (=> ?v_2913 (=> ?v_2914 (=> ?v_2915 (=> ?v_2916 (=> (= inline.SerialCancelTimer.2.myNondetVar_0.4 inline.SerialCancelTimer.2.myNondetVar_0.3) (=> ?v_2918 (=> ?v_2919 (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2) (=> ?v_2921 (=> (= inline.SerialStartRead.0.myVar_0.26 inline.SerialStartRead.0.myVar_0.25) (=> ?v_2923 (=> ?v_2924 (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.2) (=> ?v_2927 (=> ?v_2928 (=> ?v_2929 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.24 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.23) (=> ?v_2931 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.12 inline.SerialGetCharsFromIntBuffer.0.myVar_0.11) (=> ?v_2933 (=> ?v_2934 (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> ?v_2936 (=> ?v_2937 (=> ?v_2938 (=> ?v_2939 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartRead.0.myVar_0.2) (=> ?v_2941 (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.4 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3) (=> (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..2 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..1) (=> ?v_2945 (=> ?v_2946 (=> ?v_2947 (=> ?v_2948 (=> ?v_2949 (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.5 inline.sdv_InterlockedDecrement.15.myNondetVar_0.4) (=> ?v_2951 (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.1) (=> (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.2 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.1) (=> ?v_2954 (=> ?v_2955 (=> ?v_2956 (=> ?v_2957 (=> (= k.51 k.20) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.14 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.13) (=> ?v_2959 (=> ?v_2960 (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> ?v_2962 (=> ?v_3624 (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.7 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.6) (=> ?v_2964 (=> ?v_2965 (=> ?v_2966 (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.3 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.2) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> ?v_2970 (=> ?v_2971 (=> ?v_2972 (=> (= inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.0) (=> ?v_2974 (=> ?v_2975 (=> ?v_2976 (=> ?v_2977 (=> ?v_2978 (=> (= Mem_0_T.P_IRP.45 Mem_0_T.P_IRP.9) (=> ?v_2980 (=> ?v_2981 (=> (= inline.RemoveHeadList.3.myNondetVar_0.4 inline.RemoveHeadList.3.myNondetVar_0.3) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.2 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.1) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.2 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.1) (=> ?v_2987 (=> ?v_2988 (=> ?v_2989 (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> ?v_2991 (=> ?v_2992 (=> (= inline.SerialStartRead.0..controlIrql.5.219.10.SerialStartRead.0 call62766formal.new.0) (=> ?v_2994 (=> ?v_2995 (=> (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.3 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.2) (=> ?v_2997 (=> ?v_2998 (=> (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.2 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.1) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.2 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.1) (=> ?v_3001 (=> ?v_3002 (=> ?v_3003 (=> ?v_3004 (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.5 inline.SerialGetNextIrpLocked.3.myVar_0.4) (=> ?v_3006 (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> ?v_3008 (=> ?v_3009 (=> ?v_3010 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.3 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.2) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> ?v_3015 (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> ?v_3017 (=> ?v_3018 (=> ?v_3019 (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0) (=> ?v_3021 (=> (= inline.KeSynchronizeExecution.8.myNondetVar_0.9 inline.KeSynchronizeExecution.8.myNondetVar_0.8) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.9 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.8) (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> ?v_3025 (=> (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..1) (=> ?v_3027 (=> ?v_3028 (=> ?v_3029 (=> (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> ?v_3625 (=> ?v_3031 (=> ?v_3032 (=> ?v_3033 (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1) (=> ?v_3626 (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1) (=> ?v_3036 (=> ?v_3037 (=> ?v_3627 (=> ?v_3038 (=> ?v_3039 (=> (= inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..0) (=> ?v_3628 (=> ?v_3041 (=> ?v_3042 (=> (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.1) (=> ?v_3044 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> ?v_3046 (=> ?v_3047 (=> ?v_3048 (=> ?v_3049 (=> (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.3 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.2) (=> ?v_3051 (=> ?v_3052 (=> ?v_3053 (=> ?v_3054 (=> ?v_3055 (=> ?v_3056 (=> ?v_3057 (=> ?v_3058 (=> ?v_3059 (=> ?v_3060 (=> (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> ?v_3062 (=> ?v_3063 (=> ?v_3064 (=> (= inline.SerialStartRead.0.myNondetVar_0.84 inline.SerialStartRead.0.myNondetVar_0.83) (=> (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..2) (=> ?v_3067 (=> ?v_3068 (=> ?v_3069 (=> ?v_3070 (=> ?v_3071 (=> (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.3 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.2) (=> ?v_3073 (=> ?v_3074 (=> ?v_3075 (=> ?v_3076 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_3078 (=> ?v_3079 (=> ?v_3080 (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..0) (=> ?v_3083 (=> ?v_3084 (=> ?v_3085 (=> ?v_3086 (=> ?v_3087 (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.1) (=> (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..1) (=> ?v_3090 (=> ?v_3091 (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.16 inline.SerialResizeBuffer.0.myNondetVar_0.15) (=> ?v_3093 (=> ?v_3094 (=> ?v_3095 (=> ?v_3096 (=> ?v_3097 (=> ?v_3098 (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> (= inline.SerialStartRead.0..oldIrql.4.218.10.SerialStartRead.0 call62772formal.new.0) (=> ?v_3103 (=> ?v_3104 (=> ?v_3105 (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> ?v_3107 (=> ?v_3108 (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.4 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.3) (=> ?v_3110 (=> ?v_3111 (=> (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.3 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.2) (=> ?v_3113 (=> ?v_3114 (=> ?v_3115 (=> (= lockStatus_0.40 lockStatus_0.35) (=> ?v_3117 (=> ?v_3118 (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.2 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.1) (=> ?v_3120 (=> (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.5 inline.sdv_InterlockedDecrement.12.myNondetVar_0.4) (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.4 inline.sdv_InterlockedIncrement.5.myNondetVar_0.3) (=> (= inline.SerialStartRead.0..timeoutsForIrp.14.232.20.SerialStartRead.0 call62775formal.new.0) (=> ?v_3125 (=> ?v_3126 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_3128 (=> ?v_3129 (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..2) (=> ?v_3134 (=> ?v_3135 (=> ?v_3136 (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> ?v_3138 (=> ?v_3139 (=> (= cancelLockStatus_0.51 cancelLockStatus_0.18) (=> ?v_5055 (=> (= cancelLockStatus_1.51 cancelLockStatus_1.18) (=> (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..1) (=> ?v_3142 (=> ?v_3629 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> (= inline.SerialStartRead.0..newIrp.3.217.9.SerialStartRead.0 call62769formal.new.0) (=> ?v_3147 (=> (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..2) (=> ?v_3149 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3154 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.10 inline.KeSynchronizeExecution.6.myNondetVar_0.9) (=> ?v_3165 (=> ?v_3166 (=> ?v_3167 (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.5 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.4) (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..3) (=> ?v_3170 (=> ?v_3171 (=> ?v_3172 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_3178 (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1) (=> ?v_3180 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= Mem_1_T.P_IRP.45 Mem_1_T.P_IRP.9) (=> (= inline.SerialSetTimer.3.myNondetVar_0.7 inline.SerialSetTimer.3.myNondetVar_0.6) (=> (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.2 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.1) (=> ?v_3185 (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.1) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.1) (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> ?v_3194 (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1) (=> ?v_3197 (=> ?v_3198 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> ?v_3200 (=> ?v_3201 (=> ?v_3202 (=> (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.1) (=> (= inline.SerialStartRead.0..updateChar.2.215.23.SerialStartRead.0 call62781formal.new.0) (=> ?v_3205 (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.3 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.2) (=> ?v_3207 (=> ?v_5056 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> ?v_3209 (=> ?v_3210 (=> ?v_3211 (=> (= inline.SerialCancelTimer.3.myNondetVar_0.4 inline.SerialCancelTimer.3.myNondetVar_0.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_3214 (=> ?v_3215 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_3630 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_3226 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_3228 (=> ?v_3229 (=> ?v_3230 (=> ?v_3231 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_3233 (=> (= inline.SerialStartRead.0..Extension.1.185.32.SerialStartRead1.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> ?v_3235 (=> (= inline.KeSynchronizeExecution.7.myNondetVar_0.9 inline.KeSynchronizeExecution.7.myNondetVar_0.8) (=> ?v_3237 (=> ?v_3238 (=> (= inline.SerialSetTimer.4.myNondetVar_0.7 inline.SerialSetTimer.4.myNondetVar_0.6) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.3 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2) (=> ?v_3241 (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2) (=> ?v_3243 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> ?v_3245 (=> ?v_3246 (=> ?v_3247 (=> ?v_3631 (=> (= inline.SerialStartRead.0.tempBoogie0.5 inline.SerialStartRead.0.tempBoogie0.4) (=> ?v_3249 (=> ?v_3250 (=> (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= lockStatus_1.40 lockStatus_1.35) (=> ?v_3253 (=> ?v_3254 (=> ?v_3255 (=> ?v_3256 (=> ?v_3257 (=> ?v_3258 (=> ?v_3259 (=> ?v_3260 (=> (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..1) (=> ?v_3262 (=> ?v_3263 (=> ?v_3264 (=> ?v_3265 (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1) (=> ?v_3267 (=> ?v_3268 (=> (= irpCompleted_1.29 irpCompleted_1.13) (=> ?v_3269 (=> (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.2 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.1) (=> ?v_3271 (=> ?v_3272 (=> (= inline.IsListEmpty.4.myNondetVar_0.2 inline.IsListEmpty.4.myNondetVar_0.1) (=> (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..2 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..1) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> ?v_3276 (=> ?v_3277 (=> ?v_3278 (=> ?v_3279 (=> ?v_3280 (=> ?v_3632 (=> ?v_3281 (=> ?v_3282 (=> (= inline.SerialStartRead.0..result.SerialStartRead.184.0.1..1 inline.SerialStartRead.0..result.SerialStartRead.184.0.1..0) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.2) (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.2) (=> ?v_3289 (=> ?v_3290 (=> ?v_3291 (=> ?v_3292 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> ?v_3294 (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1) (=> (= inline.SerialStartRead.0.myNondetVar_1.16 inline.SerialStartRead.0.myNondetVar_1.15) (=> ?v_3297 (=> (= inline.SerialStartOrQueue.0..result.SerialStartRead.740.32.9..0 inline.SerialStartRead.0..result.SerialStartRead.184.0.1..0) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0) (=> ?v_3300 (=> ?v_3301 (=> ?v_3302 (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.1) (=> ?v_3304 (=> (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..2) (=> ?v_3306 (=> ?v_3307 (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.2) (=> ?v_3310 (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2) (=> ?v_3313 (=> (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.2) (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> (= inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..2 inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..1) (=> ?v_3319 (=> ?v_3320 (=> (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..1) (=> ?v_3322 (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.4 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3) (=> ?v_3324 (=> (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.4 inline.sdv_InterlockedDecrement.11.myNondetVar_0.3) (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.1) (=> ?v_3331 (=> ?v_3332 (=> ?v_3333 (=> ?v_3334 (=> ?v_3335 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.3 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2) (=> ?v_3338 (=> ?v_3339 (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.5 inline.sdv_InterlockedDecrement.14.myNondetVar_0.4) (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..2 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..1) (=> (= inline.SerialStartRead.0.havoc_stringTemp.1 inline.SerialStartRead.0.havoc_stringTemp.0) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.1) (=> ?v_3350 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> ?v_3352 (=> ?v_3633 (=> ?v_3353 (=> ?v_3354 (=> (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..1) (=> ?v_3356 (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.SerialResizeBuffer.0.myVar_0.5 inline.SerialResizeBuffer.0.myVar_0.4) (=> ?v_3359 (=> ?v_3360 (=> (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.4 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.3) (=> ?v_3362 (=> ?v_3363 (=> ?v_3634 (=> ?v_3364 (=> ?v_3635 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3368 (=> ?v_3369 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..2) (=> (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.2) (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartRead.0.myVar_0.2) (=> ?v_3381 (=> (= errorReached.49 errorReached.20) (=> (= alloc.74 alloc.38) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.1) (=> ?v_3383 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_3389 (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2) (=> ?v_3391 (=> ?v_3392 (=> (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..3 inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..2) (=> ?v_3394 (=> (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..1) (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0) (=> ?v_3401 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_3403 (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..3) (=> ?v_3636 (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> (= Mem_1_T.CancelRoutine__IRP.68 Mem_1_T.CancelRoutine__IRP.29) (=> ?v_3409 (=> ?v_3410 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.2) (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> ?v_3419 (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialResizeBuffer.0.myNondetVar_1.7 inline.SerialResizeBuffer.0.myNondetVar_1.6) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> ?v_3423 (=> (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..1) (=> ?v_3425 (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.1) (=> ?v_3428 (=> ?v_3429 (=> ?v_3430 (=> (= Mem_0_T.CancelRoutine__IRP.68 Mem_0_T.CancelRoutine__IRP.29) (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> ?v_3435 (=> (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.2 inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.1) (=> (= inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..1 inline.SerialStartRead.0..result.SerialDbgPrintEx.240.20.2..0) (=> ?v_3438 (=> ?v_3439 (=> ?v_3637 (=> (= inline.SerialStartRead.0.myNondetVar_2.5 inline.SerialStartRead.0.myNondetVar_2.4) (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> ?v_3445 (=> ?v_3446 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_3448 (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.3.havoc_stringTemp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> ?v_3457 (=> ?v_3458 (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.1) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> ?v_3463 (=> ?v_3464 (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1 inline.SerialStartRead.0..result.SerialStartRead.184.0.1..0) (=> ?v_3465 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.3 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.2) (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> (= inline.SerialGetNextIrp.3.myNondetVar_0.2 inline.SerialGetNextIrp.3.myNondetVar_0.1) (=> ?v_3475 (=> ?v_3476 (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.8 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.7) (=> ?v_3478 (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.1) (=> ?v_3480 (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1) (=> ?v_3483 (=> ?v_3638 (=> ?v_3484 (=> (= irpCompleted_0.29 irpCompleted_0.13) (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> (= inline.SerialStartRead.0..result.sdv_IoGetCurrentIrpStackLocation.252.40.4..0 inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_3491 (=> ?v_3492 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> ?v_3494 (=> ?v_3495 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_3499 (=> ?v_3500 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_3502 (=> (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.0) (=> ?v_3505 (=> (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.5 inline.sdv_InterlockedDecrement.13.myNondetVar_0.4) (=> ?v_3507 (=> ?v_3508 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_3510 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.6 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.5) (=> (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.1) (=> ?v_3513 (=> ?v_3514 (=> ?v_3515 (=> (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.3 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.2) (=> ?v_3517 (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.3) (=> ?v_3519 (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2) (=> ?v_3521 (=> ?v_3522 (=> ?v_3523 (=> ?v_3524 (=> ?v_3525 (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> ?v_3639 (=> ?v_3527 (=> ?v_3528 (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> ?v_3534 (=> ?v_3535 (=> ?v_3536 (=> ?v_3537 (=> ?v_3538 (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_3541 (=> ?v_3542 (=> (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.4 inline.sdv_InterlockedIncrement.4.myNondetVar_0.3) (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.3 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.2) (=> ?v_3546 (=> ?v_3547 (=> ?v_3640 (=> ?v_3548 (=> ?v_3549 (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> ?v_3551 (=> (= inline.SerialStartRead.0..totalTime.13.230.18.SerialStartRead.0 call62778formal.new.0) ?v_5057))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_5425 (=> true (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.0) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.13 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0) (=> (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.0) (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2.) (=> (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..1 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1.) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 SerialUpdateAndSwitchToUser) (=> (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.3 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.1) (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.2 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0) (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= errorReached.20 errorReached.7) (=> (= k.20 k.18) (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1) (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.SerialStartRead.0.myVar_0.8) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 SerialUpdateAndSwitchToUser) (=> (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.1 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.0) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.2 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.0) (=> (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.1) (=> (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.3 inline.sdv_InterlockedDecrement.11.myNondetVar_0) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.0) (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..0) (=> (= inline.KeSynchronizeExecution.8.myNondetVar_0.8 inline.KeSynchronizeExecution.8.myNondetVar_0.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..0 call67093formal.ret.0) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= alloc.38 alloc.32) (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.SerialResizeBuffer.0.myNondetVar_1.6 inline.SerialResizeBuffer.0.myNondetVar_1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.3 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.0) (=> (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.4 inline.sdv_InterlockedDecrement.13.myNondetVar_0.2) (=> (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.1 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer) (=> (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialStartRead.0..result.SerialStartRead.184.0.1..0 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1.) (=> (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.11 inline.SerialGetCharsFromIntBuffer.0.myVar_0.9) (=> (= lockStatus_0.35 lockStatus_0.30) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= inline.RemoveHeadList.3.myNondetVar_0.3 inline.RemoveHeadList.3.myNondetVar_0) (=> (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..0) (=> (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.2 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.0) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.9 inline.KeSynchronizeExecution.6.myNondetVar_0) (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.7 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.5) (=> (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.2 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer) (=> (= irpCompleted_1.13 irpCompleted_1.5) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp) (=> (= cancelLockStatus_1.18 cancelLockStatus_1.14) (=> (= inline.KeSynchronizeExecution.7.myNondetVar_0.8 inline.KeSynchronizeExecution.7.myNondetVar_0) (=> (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.3 inline.sdv_InterlockedIncrement.5.myNondetVar_0.2) (=> (= lockStatus_1.35 lockStatus_1.30) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.0) (=> (= inline.SerialStartRead.0.havoc_stringTemp.0 call62813formal.new.0) (=> (= Mem_1_T.CancelRoutine__IRP.29 Mem_1_T.CancelRoutine__IRP.10) (=> (= inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..1 inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18.) (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.SerialSetTimer.3.myNondetVar_0.6 inline.SerialSetTimer.3.myNondetVar_0.5) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.3 inline.sdv_InterlockedIncrement.4.myNondetVar_0.2) (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.4 inline.SerialGetNextIrpLocked.3.myVar_0) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1) (=> (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.SerialStartRead.0.myVar_0.25 inline.SerialStartRead.0.myVar_0.23) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.1 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..0) (=> (= inline.SerialStartRead.0.myNondetVar_1.15 inline.SerialStartRead.0.myNondetVar_1.13) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialSetTimer.4.myNondetVar_0.6 inline.SerialSetTimer.4.myNondetVar_0.5) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.5 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.3) (=> (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.3.havoc_stringTemp) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1.) (=> (= Mem_1_T.P_IRP.9 Mem_1_T.P_IRP.1) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.2 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.0) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= inline.SerialStartRead.0.myNondetVar_2.4 inline.SerialStartRead.0.myNondetVar_2.3) (=> (= Mem_0_T.P_IRP.9 Mem_0_T.P_IRP.1) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrp.3.myNondetVar_0.1 inline.SerialGetNextIrp.3.myNondetVar_0) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= cancelLockStatus_0.18 cancelLockStatus_0.14) (=> (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.2 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.0) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.23 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.21) (=> (= inline.SerialStartRead.0.tempBoogie0.4 inline.SerialStartRead.0.tempBoogie0.3) (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.4 inline.sdv_InterlockedDecrement.14.myNondetVar_0.3) (=> (= inline.SerialCancelTimer.2.myNondetVar_0.3 inline.SerialCancelTimer.2.myNondetVar_0.1) (=> (= inline.IsListEmpty.4.myNondetVar_0.1 inline.IsListEmpty.4.myNondetVar_0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.8 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.1 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp) (=> (= Mem_0_T.CancelRoutine__IRP.29 Mem_0_T.CancelRoutine__IRP.10) (=> (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.4 inline.sdv_InterlockedDecrement.12.myNondetVar_0.2) (=> (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..1 call64623formal.ret.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.0) (=> (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..2 inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..0) (=> (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialStartRead.0.myNondetVar_0.83 inline.SerialStartRead.0.myNondetVar_0.79) (=> (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..1 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.1 0) (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1) (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.SerialResizeBuffer.0.myVar_0.4 inline.SerialResizeBuffer.0.myVar_0) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked) (=> (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.1 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1) (=> (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.1 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer) (=> (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.SerialStartRead.0.myVar_0.8) (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.15 inline.SerialResizeBuffer.0.myNondetVar_0) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.6 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.SerialStartRead.0.myVar_0.5) (=> (= irpCompleted_0.13 irpCompleted_0.5) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.2 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.1) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.2 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.0) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.1 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.4 inline.sdv_InterlockedDecrement.15.myNondetVar_0.3) (=> (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..1 call64516formal.ret.0) (=> (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.SerialStartRead.0.myVar_0.5) (=> (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.4 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer) (=> (= inline.SerialCancelTimer.3.myNondetVar_0.3 inline.SerialCancelTimer.3.myNondetVar_0.1) (=> (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.1 call64516formal.ret.0) (=> (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.2 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.0) (=> (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.1 call64623formal.ret.0) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.0) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.1 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.0) (=> (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.1 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.0) (=> true (=> true (=> true (=> true ?v_5424))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_5433 (and (=> true (=> ?v_29 (=> true (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.0 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead) ?v_5425)))) (=> true (=> ?v_0 (=> true (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.0 259) (=> true ?v_5425))))))) (?v_5432 (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5427 (=> true (=> (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..0 call67167formal.ret.0) (=> (= lockStatus_0.30 lockStatus_0.29) (=> (= k.18 k.17) (=> (= lockStatus_1.30 lockStatus_1.29) ?v_5433))))))) (let ((?v_5431 (=> true ?v_5427)) (?v_5429 (= lockStatus_0.29 lockStatus_0.25)) (?v_5430 (= lockStatus_1.29 lockStatus_1.25)) (?v_5428 (= k.17 1)) (?v_5426 (= k.17 0)) (?v_3598 (ControlLock__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2))) (let ((?v_5435 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.77 inline.SerialStartRead.0.myNondetVar_1.13) (=> true (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_3598) (and (=> true (=> ?v_5432 (=> true (=> (<= k.16 k.17) (=> (< k.17 2) (and (=> true (=> ?v_5426 (=> true (=> (= lockStatus_0.29 0) (=> ?v_5430 ?v_5427))))) (=> true (=> (not ?v_5426) (and (=> true (=> ?v_5428 (=> true (=> ?v_5429 (=> (= lockStatus_1.29 0) ?v_5431))))) (=> true (=> (not ?v_5428) (=> true (=> ?v_5429 (=> ?v_5430 ?v_5431)))))))))))))) (=> true (=> (not ?v_5432) (=> true (=> (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..0 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1.) (=> (= lockStatus_0.30 lockStatus_0.25) (=> (= k.18 k.16) (=> (= lockStatus_1.30 lockStatus_1.25) (=> true (=> true (=> true (=> true ?v_5433))))))))))))))))) (?v_5437 (= cancelLockStatus_1.14 cancelLockStatus_1.11))) (let ((?v_5438 (=> (= cancelLockStatus_0.14 cancelLockStatus_0.11) (=> true (=> true (=> true (=> true ?v_5435)))))) (?v_5436 (= k.16 1)) (?v_5434 (= k.16 0))) (let ((?v_5440 (=> true (=> (<= k.15 k.16) (=> (< k.16 2) (and (=> true (=> ?v_5434 (=> true (=> ?v_5437 (=> (= cancelLockStatus_0.14 0) ?v_5435))))) (=> true (=> (not ?v_5434) (and (=> true (=> ?v_5436 (=> true (=> (= cancelLockStatus_1.14 0) ?v_5438)))) (=> true (=> (not ?v_5436) (=> true (=> ?v_5437 ?v_5438))))))))))))) (let ((?v_5442 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5440)))))))))) (?v_5441 (= k.15 1)) (?v_5048 (CurrentReadIrp__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2))) (let ((?v_5250 (int_2_U ?v_5048))) (let ((?v_5354 (U_2_int (MapType0Select Mem_1_T.P_IRP.1 ?v_5250))) (?v_5439 (= k.15 0)) (?v_5047 (U_2_int (MapType0Select Mem_0_T.P_IRP.1 ?v_5250)))) (let ((?v_5450 (=> true (=> (<= k.14 k.15) (=> (< k.15 2) (and (=> true (=> ?v_5439 (=> (= inline.SerialStartRead.0.myVar_0.21 ?v_5047) (=> true (=> (= inline.SerialStartRead.0.myVar_0.23 inline.SerialStartRead.0.myVar_0.21) ?v_5440))))) (=> true (=> (not ?v_5439) (and (=> true (=> ?v_5441 (=> (= inline.SerialStartRead.0.myVar_0.22 ?v_5354) (=> true (=> (= inline.SerialStartRead.0.myVar_0.23 inline.SerialStartRead.0.myVar_0.22) ?v_5442))))) (=> true (=> (not ?v_5441) (=> true (=> (= inline.SerialStartRead.0.myVar_0.23 inline.SerialStartRead.0.myVar_0.20) ?v_5442)))))))))))) (?v_5449 (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.0 0))) (let ((?v_5444 (=> true (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.0 call66997formal.new.0) (=> (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..0 call67047formal.ret.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartRead.0.myVar_0.19) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartRead.0.myVar_0.19) (=> (= inline.SerialStartRead.0.myNondetVar_2.3 inline.SerialStartRead.0.myNondetVar_2.2) (=> (= inline.SerialSetTimer.4.myNondetVar_0.5 inline.SerialSetTimer.4.myNondetVar_0.4) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= alloc.32 alloc.31) (=> (= inline.SerialStartRead.0.myNondetVar_1.12 inline.SerialStartRead.0.myNondetVar_1.11) (=> (= inline.SerialStartRead.0.myNondetVar_0.75 inline.SerialStartRead.0.myNondetVar_0.74) (=> (= inline.SerialStartRead.0.tempBoogie0.3 inline.SerialStartRead.0.tempBoogie0.2) (=> (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.0 call67047formal.ret.0) (=> (= inline.SerialStartRead.0.myVar_0.20 inline.SerialStartRead.0.myVar_0.19) (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.3 inline.sdv_InterlockedDecrement.15.myNondetVar_0.2) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.2 inline.sdv_InterlockedIncrement.5.myNondetVar_0.1) (=> (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.0 8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialStartRead.0.myNondetVar_0.74) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.0) ?v_5450))))))))))))))))))))))) (?v_5443 (= call67047formal.ret.0 0)) (?v_5423 (int_2_U call66997formal.new.0)) (?v_5422 (ReadRequestIntervalTimer__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2))) (let ((?v_5446 (=> true (=> (forall ((?r11 Int)) (! (= (or (not (= (BIT_BAND inline.SerialStartRead.0.myNondetVar_1.11 ?r11) 0)) (not (= (BIT_BAND 8 ?r11) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialStartRead.0.myNondetVar_2.2 8) ?r11) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialStartRead.0.myNondetVar_0.72 8) ?r11)) )) (=> (= inline.SerialStartRead.0.tempBoogie0.2 (BIT_BOR inline.SerialStartRead.0.myNondetVar_0.73 8)) (=> true (=> (= call66973formal.a0.0 (LastReadTime__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (=> true (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.0 ?v_5422) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.0 (IntervalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (=> true (and ?v_53 (=> ?v_53 (=> (> call66997formal.new.0 0) (=> (forall ((?x1609 Int)) (! (=> (and (<= call66997formal.new.0 ?x1609) (< ?x1609 (+ call66997formal.new.0 8))) (= (Base ?x1609) call66997formal.new.0)) :pattern ((Base ?x1609)) )) (=> (forall ((?x1610 boogieU)) (! (=> (= (type ?x1610) intType) (or (= (U_2_int ?x1610) call66997formal.new.0) (= (MapType0Select alloc.30 ?x1610) (MapType0Select alloc.31 ?x1610)))) :pattern ((MapType0Select alloc.31 ?x1610)) )) (=> (and (= (MapType0Select alloc.30 ?v_5423) UNALLOCATED) (= (MapType0Select alloc.31 ?v_5423) ALLOCATED)) (=> (= (Base inline.SerialStartRead.0.myNondetVar_0.74) inline.SerialStartRead.0.myNondetVar_0.74) (and (=> true (=> (not ?v_5443) (=> true (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.2 inline.sdv_InterlockedDecrement.15.myNondetVar_0.1) ?v_5444)))) (=> true (=> ?v_5443 (=> true (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.2 inline.sdv_InterlockedDecrement.15.myNondetVar_0) (=> true (=> true (=> true (=> true ?v_5444)))))))))))))))))))))))))) (?v_5445 (= inline.SerialStartRead.0.myVar_0.19 hirp))) (let ((?v_5447 (and (=> true (=> ?v_5445 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5446)))) (=> true (=> (not ?v_5445) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5446))))))))))) (let ((?v_5448 (=> true (=> true (=> true (=> true ?v_5447))))) (?v_5344 (= k.14 1))) (let ((?v_5381 (not ?v_5344)) (?v_5342 (= k.14 0))) (let ((?v_5379 (not ?v_5342))) (let ((?v_5458 (and (=> true (=> (not ?v_5449) (and (=> true (=> ?v_5342 (=> (= inline.SerialStartRead.0.myVar_0.17 ?v_5047) (=> true (=> (= inline.SerialStartRead.0.myVar_0.19 inline.SerialStartRead.0.myVar_0.17) ?v_5447))))) (=> true (=> ?v_5379 (and (=> true (=> ?v_5344 (=> (= inline.SerialStartRead.0.myVar_0.18 ?v_5354) (=> true (=> (= inline.SerialStartRead.0.myVar_0.19 inline.SerialStartRead.0.myVar_0.18) ?v_5448))))) (=> true (=> ?v_5381 (=> true (=> (= inline.SerialStartRead.0.myVar_0.19 inline.SerialStartRead.0.myVar_0.16) ?v_5448)))))))))) (=> true (=> ?v_5449 (=> true (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialStartRead.0.myNondetVar_2.3 inline.SerialStartRead.0.myNondetVar_2.1) (=> (= inline.SerialSetTimer.4.myNondetVar_0.5 inline.SerialSetTimer.4.myNondetVar_0) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1) (=> (= alloc.32 alloc.30) (=> (= inline.SerialStartRead.0.myNondetVar_1.12 inline.SerialStartRead.0.myNondetVar_1.10) (=> (= inline.SerialStartRead.0.myNondetVar_0.75 inline.SerialStartRead.0.myNondetVar_0.71) (=> (= inline.SerialStartRead.0.tempBoogie0.3 inline.SerialStartRead.0.tempBoogie0.1) (=> (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer) (=> (= inline.SerialStartRead.0.myVar_0.20 inline.SerialStartRead.0.myVar_0.16) (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.3 inline.sdv_InterlockedDecrement.15.myNondetVar_0) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.2 inline.sdv_InterlockedIncrement.5.myNondetVar_0) (=> (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.0 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer) ?v_5450)))))))))))))))))))))))))) (?v_5457 (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.0 0))) (let ((?v_5452 (=> true (=> (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..0 call66751formal.ret.0) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.SerialStartRead.0.myNondetVar_2.1 inline.SerialStartRead.0.myNondetVar_2.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartRead.0.myVar_0.15) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartRead.0.myVar_0.15) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.0 call62778formal.new.0) (=> (= alloc.30 alloc.29) (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.3 inline.sdv_InterlockedDecrement.14.myNondetVar_0.2) (=> (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.0 call66751formal.ret.0) (=> (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.0 4) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= inline.SerialStartRead.0.tempBoogie0.1 inline.SerialStartRead.0.tempBoogie0.0) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.0 call66701formal.new.0) (=> (= inline.SerialStartRead.0.myVar_0.16 inline.SerialStartRead.0.myVar_0.15) (=> (= inline.SerialStartRead.0.myNondetVar_0.71 inline.SerialStartRead.0.myNondetVar_0.70) (=> (= inline.SerialStartRead.0.myNondetVar_1.10 inline.SerialStartRead.0.myNondetVar_1.9) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialSetTimer.3.myNondetVar_0.5 inline.SerialSetTimer.3.myNondetVar_0.4) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.2 inline.sdv_InterlockedIncrement.4.myNondetVar_0.1) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.0) ?v_5458))))))))))))))))))))))) (?v_5451 (= call66751formal.ret.0 0)) (?v_5421 (int_2_U call66701formal.new.0)) (?v_5420 (ReadRequestTotalTimer__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2))) (let ((?v_5454 (=> true (=> (forall ((?r12 Int)) (! (= (or (not (= (BIT_BAND inline.SerialStartRead.0.myNondetVar_1.9 ?r12) 0)) (not (= (BIT_BAND 4 ?r12) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialStartRead.0.myNondetVar_2.0 4) ?r12) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialStartRead.0.myNondetVar_0.69 4) ?r12)) )) (=> (= inline.SerialStartRead.0.tempBoogie0.0 (BIT_BOR inline.SerialStartRead.0.myNondetVar_0.70 4)) (=> true (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.0 ?v_5420) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.0 (TotalReadTimeoutDpc__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (=> true (and ?v_53 (=> ?v_53 (=> (> call66701formal.new.0 0) (=> (forall ((?x1611 Int)) (! (=> (and (<= call66701formal.new.0 ?x1611) (< ?x1611 (+ call66701formal.new.0 8))) (= (Base ?x1611) call66701formal.new.0)) :pattern ((Base ?x1611)) )) (=> (forall ((?x1612 boogieU)) (! (=> (= (type ?x1612) intType) (or (= (U_2_int ?x1612) call66701formal.new.0) (= (MapType0Select alloc.26 ?x1612) (MapType0Select alloc.29 ?x1612)))) :pattern ((MapType0Select alloc.29 ?x1612)) )) (=> (and (= (MapType0Select alloc.26 ?v_5421) UNALLOCATED) (= (MapType0Select alloc.29 ?v_5421) ALLOCATED)) (=> (= (Base call62778formal.new.0) call62778formal.new.0) (and (=> true (=> (not ?v_5451) (=> true (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.2 inline.sdv_InterlockedDecrement.14.myNondetVar_0.1) ?v_5452)))) (=> true (=> ?v_5451 (=> true (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.2 inline.sdv_InterlockedDecrement.14.myNondetVar_0) (=> true (=> true (=> true (=> true ?v_5452)))))))))))))))))))))))) (?v_5453 (= inline.SerialStartRead.0.myVar_0.15 hirp))) (let ((?v_5455 (and (=> true (=> ?v_5453 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5454)))) (=> true (=> (not ?v_5453) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5454))))))))))) (let ((?v_5456 (=> true (=> true (=> true (=> true ?v_5455))))) (?v_5419 (not ?v_5457)) (?v_5054 (int_2_U call64453formal.new.0)) (?v_5050 (= k.19 0)) (?v_5038 (int_2_U call62769formal.new.0)) (?v_5053 (= k.19 1))) (let ((?v_5073 (=> true (=> (=> ?v_5050 (not (not (= (U_2_int (MapType0Select Mem_0_T.P_IRP.8 ?v_5038)) 0)))) (=> (=> ?v_5053 (not (not (= (U_2_int (MapType0Select Mem_1_T.P_IRP.8 ?v_5038)) 0)))) (=> true (and ?v_8 (=> ?v_8 (=> (> call64453formal.new.0 0) (=> (forall ((?x1613 Int)) (! (=> (and (<= call64453formal.new.0 ?x1613) (< ?x1613 (+ call64453formal.new.0 1))) (= (Base ?x1613) call64453formal.new.0)) :pattern ((Base ?x1613)) )) (=> (forall ((?x1614 boogieU)) (! (=> (= (type ?x1614) intType) (or (= (U_2_int ?x1614) call64453formal.new.0) (= (MapType0Select alloc.36 ?x1614) (MapType0Select alloc.37 ?x1614)))) :pattern ((MapType0Select alloc.37 ?x1614)) )) (=> (and (= (MapType0Select alloc.36 ?v_5054) UNALLOCATED) (= (MapType0Select alloc.37 ?v_5054) ALLOCATED)) (=> true (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.3 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.39..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.13 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.12) (=> (= inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.4..set.5.1350.11.SerialSetTimer) (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..0) (=> (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..1 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..0) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.2 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.3 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.2) (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.2 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.1) (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1) (=> (= errorReached.20 errorReached.19) (=> (= k.20 k.19) (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 1) (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.2 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.1 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0) (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.2 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer) (=> (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..1) (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp.0 1) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.1) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.3 inline.sdv_InterlockedDecrement.11.myNondetVar_0.2) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.4..result.KeSetTimer.1355.19.3.) (=> (= inline.KeSynchronizeExecution.8.myNondetVar_0.8 inline.KeSynchronizeExecution.8.myNondetVar_0.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.22..result.userContextSwitch.3151.2.1.) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0) (=> (= alloc.38 alloc.37) (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.SerialResizeBuffer.0.myNondetVar_1.6 inline.SerialResizeBuffer.0.myNondetVar_1.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.3 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.2) (=> (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.4 inline.sdv_InterlockedDecrement.13.myNondetVar_0.3) (=> (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.1 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.0) (=> (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialStartRead.0..result.SerialStartRead.184.0.1..0 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextIrpLocked.3..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0) (=> (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.11 inline.SerialGetCharsFromIntBuffer.0.myVar_0.10) (=> (= lockStatus_0.35 lockStatus_0.34) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1) (=> (= inline.RemoveHeadList.3.myNondetVar_0.3 inline.RemoveHeadList.3.myNondetVar_0.2) (=> (= inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1..1 inline.sdv_KeReleaseSpinLock.12..result.userContextSwitch.4629.4.1.) (=> (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.2 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.1) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.9 inline.KeSynchronizeExecution.6.myNondetVar_0.8) (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.7 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.6) (=> (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.2 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.1) (=> (= irpCompleted_1.13 irpCompleted_1.12) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp.0 call62769formal.new.0) (=> (= cancelLockStatus_1.18 cancelLockStatus_1.17) (=> (= inline.KeSynchronizeExecution.7.myNondetVar_0.8 inline.KeSynchronizeExecution.7.myNondetVar_0.7) (=> (= inline.sdv_InterlockedIncrement.5.myNondetVar_0.3 inline.sdv_InterlockedIncrement.5.myNondetVar_0) (=> (= lockStatus_1.35 lockStatus_1.34) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.SerialStartRead.0.havoc_stringTemp.0 call64453formal.new.0) (=> (= Mem_1_T.CancelRoutine__IRP.29 Mem_1_T.CancelRoutine__IRP.28) (=> (= inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..1 inline.SerialStartRead.0..result.SerialDbgPrintEx.662.20.18..0) (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.SerialSetTimer.3.myNondetVar_0.6 inline.SerialSetTimer.3.myNondetVar_0) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.4..Dpc.3.1326.24.SerialSetTimer1) (=> (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.3 inline.sdv_InterlockedIncrement.4.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.4 inline.SerialGetNextIrpLocked.3.myVar_0.3) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.SerialStartRead.0.myVar_0.25 inline.SerialStartRead.0.myVar_0.24) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.1 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.0) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1) (=> (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.SerialStartRead.0.myNondetVar_1.15 inline.SerialStartRead.0.myNondetVar_1.14) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.SerialSetTimer.4.myNondetVar_0.6 inline.SerialSetTimer.4.myNondetVar_0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.5 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.4) (=> (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.3.havoc_stringTemp.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0) (=> (= Mem_1_T.P_IRP.9 Mem_1_T.P_IRP.8) (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1) (=> (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.2 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.1) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0) (=> (= inline.SerialStartRead.0.myNondetVar_2.4 inline.SerialStartRead.0.myNondetVar_2) (=> (= Mem_0_T.P_IRP.9 Mem_0_T.P_IRP.8) (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1) (=> (= inline.SerialGetNextIrpLocked.3..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 1) (=> (= inline.SerialGetNextIrp.3.myNondetVar_0.1 inline.SerialGetNextIrp.3.myNondetVar_0.0) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= cancelLockStatus_0.18 cancelLockStatus_0.17) (=> (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.2 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.1) (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.23 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.22) (=> (= inline.SerialStartRead.0.tempBoogie0.4 inline.SerialStartRead.0.tempBoogie0) (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.4 inline.sdv_InterlockedDecrement.14.myNondetVar_0) (=> (= inline.SerialCancelTimer.2.myNondetVar_0.3 inline.SerialCancelTimer.2.myNondetVar_0.2) (=> (= inline.IsListEmpty.4.myNondetVar_0.1 inline.IsListEmpty.4.myNondetVar_0.0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.8 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.7) (=> (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.1 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.0) (=> (= inline.SerialGetNextIrp.3..NextIrp.3.172.14.SerialGetNextIrp1.0 call62769formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.12..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= inline.SerialGetNextIrp.3..oldIrql.6.214.10.SerialGetNextIrp.0 call63581formal.new.0) (=> (= Mem_0_T.CancelRoutine__IRP.29 Mem_0_T.CancelRoutine__IRP.28) (=> (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.4 inline.sdv_InterlockedDecrement.12.myNondetVar_0.3) (=> (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer) (=> (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..2 inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..1) (=> (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialStartRead.0.myNondetVar_0.83 inline.SerialStartRead.0.myNondetVar_0.82) (=> (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..1 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.39..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.1 inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.0) (=> (= inline.SerialGetNextIrp.3..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 1) (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialResizeBuffer.0.myVar_0.4 inline.SerialResizeBuffer.0.myVar_0.3) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.1 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1) (=> (= inline.SerialGetNextIrpLocked.3..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.SerialGetNextIrpLocked.3..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.1 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.0) (=> (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.15 inline.SerialResizeBuffer.0.myNondetVar_0.14) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.6 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.5) (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= irpCompleted_0.13 irpCompleted_0.12) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call62769formal.new.0) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.2 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.1) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.3 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.2 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.1) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.1 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.0) (=> (= inline.sdv_InterlockedDecrement.15.myNondetVar_0.4 inline.sdv_InterlockedDecrement.15.myNondetVar_0) (=> (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..0) (=> (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0) (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.4 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.3) (=> (= inline.SerialCancelTimer.3.myNondetVar_0.3 inline.SerialCancelTimer.3.myNondetVar_0.2) (=> (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.2 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.1) (=> (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.1) (=> (= inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.4..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialGetNextIrpLocked.3..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call62769formal.new.0) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.1 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.0) (=> (= inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.4..Timer.1.1325.26.SerialSetTimer) (=> (= inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead.1 inline.SerialStartRead.0.._refType.20.595.0.SerialStartRead) ?v_5424))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_5074 (=> true (=> (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4.) (=> (= Mem_0_T.CancelRoutine__IRP.28 Mem_0_T.CancelRoutine__IRP.24) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.2 inline.sdv_InterlockedDecrement.11.myNondetVar_0) (=> (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= irpCompleted_0.12 irpCompleted_0.5) (=> (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.3.havoc_stringTemp) (=> (= Mem_1_T.CancelRoutine__IRP.28 Mem_1_T.CancelRoutine__IRP.24) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= errorReached.19 errorReached.16) (=> (= alloc.36 alloc.34) (=> (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2.) (=> (= irpCompleted_1.12 irpCompleted_1.5) (=> true (=> true (=> true (=> true (=> true (=> true ?v_5073))))))))))))))))))))))) (?v_5072 (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2 0)) (?v_5059 (=> true (=> (= inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.3..result.SerialDbgPrintEx.331.12.4..0) (=> (= Mem_0_T.CancelRoutine__IRP.28 Mem_0_T.CancelRoutine__IRP.27) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.2 inline.sdv_InterlockedDecrement.11.myNondetVar_0.1) (=> (= inline.SerialIRPEpilogue.6..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.11.myNondetVar_0.1) (=> (= irpCompleted_0.12 irpCompleted_0.11) (=> (= inline.sdv_InterlockedDecrement.11..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.11.myNondetVar_0.1) (=> (= inline.SerialGetNextIrpLocked.3.havoc_stringTemp.0 call63921formal.new.0) (=> (= Mem_1_T.CancelRoutine__IRP.28 Mem_1_T.CancelRoutine__IRP.27) (=> (= inline.sdv_IoCompleteRequest.6..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= errorReached.19 errorReached.18) (=> (= alloc.36 alloc.35) (=> (= inline.SerialIRPEpilogue.6..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.11.myNondetVar_0.1) (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..0) (=> (= irpCompleted_1.12 irpCompleted_1.11) ?v_5073))))))))))))))))) (?v_5058 (= inline.sdv_InterlockedDecrement.11.myNondetVar_0.1 0))) (let ((?v_5071 (and (=> true (=> (not ?v_5058) (=> true (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2.) ?v_5059)))) (=> true (=> ?v_5058 (=> true (=> (= inline.KeSetEvent.8..result.SdvMakeChoice.4659.26.2..0 call64122formal.ret.0) (=> true (=> true (=> true ?v_5059))))))))) (?v_5070 (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2 hirp))) (let ((?v_5060 (=> true (=> (= irpCompleted_1.11 irpCompleted_1.10) (=> (= irpCompleted_0.11 irpCompleted_0.10) (=> (= Mem_1_T.CancelRoutine__IRP.27 Mem_1_T.CancelRoutine__IRP.26) (=> (= Mem_0_T.CancelRoutine__IRP.27 Mem_0_T.CancelRoutine__IRP.26) (=> (= errorReached.18 errorReached.17) ?v_5071))))))) (?v_5061 (= irpCompleted_1.10 irpCompleted_1.5))) (let ((?v_5062 (=> (= irpCompleted_0.10 irpCompleted_0.5) (=> true ?v_5060))) (?v_5066 (not ?v_5053)) (?v_5063 (not ?v_5050))) (let ((?v_5065 (and (=> true (=> ?v_5050 (=> true (=> ?v_5061 (=> (= irpCompleted_0.10 1) ?v_5060))))) (=> true (=> ?v_5063 (and (=> true (=> ?v_5053 (=> true (=> (= irpCompleted_1.10 1) ?v_5062)))) (=> true (=> ?v_5066 (=> true (=> ?v_5061 ?v_5062))))))))) (?v_5067 (= Mem_1_T.CancelRoutine__IRP.26 Mem_1_T.CancelRoutine__IRP.24))) (let ((?v_5068 (=> (= Mem_0_T.CancelRoutine__IRP.26 Mem_0_T.CancelRoutine__IRP.24) (=> true (=> true ?v_5065)))) (?v_5064 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2)))) (let ((?v_5069 (and (=> true (=> ?v_5050 (=> (= Mem_0_T.CancelRoutine__IRP.25 (MapType0Store Mem_0_T.CancelRoutine__IRP.24 ?v_5064 ?v_35)) (=> true (=> ?v_5067 (=> (= Mem_0_T.CancelRoutine__IRP.26 Mem_0_T.CancelRoutine__IRP.25) ?v_5065)))))) (=> true (=> ?v_5063 (and (=> true (=> ?v_5053 (=> (= Mem_1_T.CancelRoutine__IRP.25 (MapType0Store Mem_1_T.CancelRoutine__IRP.24 ?v_5064 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.26 Mem_1_T.CancelRoutine__IRP.25) ?v_5068))))) (=> true (=> ?v_5066 (=> true (=> ?v_5067 ?v_5068))))))))) (?v_5093 (=> ?v_5050 ?v_2881)) (?v_5094 (=> ?v_5053 ?v_2882)) (?v_5086 (=> ?v_5050 ?v_3592)) (?v_5087 (=> ?v_5053 ?v_3593)) (?v_5052 (int_2_U call63921formal.new.0))) (let ((?v_5075 (and (=> true (=> ?v_1238 (and (=> true (=> (not ?v_5072) (=> true (and ?v_8 (=> ?v_8 (=> (> call63921formal.new.0 0) (=> (forall ((?x1615 Int)) (! (=> (and (<= call63921formal.new.0 ?x1615) (< ?x1615 (+ call63921formal.new.0 1))) (= (Base ?x1615) call63921formal.new.0)) :pattern ((Base ?x1615)) )) (=> (forall ((?x1616 boogieU)) (! (=> (= (type ?x1616) intType) (or (= (U_2_int ?x1616) call63921formal.new.0) (= (MapType0Select alloc.34 ?x1616) (MapType0Select alloc.35 ?x1616)))) :pattern ((MapType0Select alloc.35 ?x1616)) )) (=> (and (= (MapType0Select alloc.34 ?v_5052) UNALLOCATED) (= (MapType0Select alloc.35 ?v_5052) ALLOCATED)) (and (=> true (=> ?v_5070 (and (=> true (=> ?v_5086 (=> ?v_5087 (=> true (=> (= errorReached.17 1) ?v_5069))))) (=> true (=> ?v_5093 (=> ?v_5094 (=> true (=> (= errorReached.17 errorReached.16) (=> true ?v_5069))))))))) (=> true (=> (not ?v_5070) (=> true (=> (= irpCompleted_1.11 irpCompleted_1.5) (=> (= irpCompleted_0.11 irpCompleted_0.5) (=> (= Mem_1_T.CancelRoutine__IRP.27 Mem_1_T.CancelRoutine__IRP.24) (=> (= Mem_0_T.CancelRoutine__IRP.27 Mem_0_T.CancelRoutine__IRP.24) (=> (= errorReached.18 errorReached.16) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5071))))))))))))))))))))))))))))))))))) (=> true (=> ?v_5072 ?v_5074))))) (=> true (=> ?v_393 ?v_5074)))) (?v_5076 (= cancelLockStatus_1.17 cancelLockStatus_1.16))) (let ((?v_5077 (=> (= cancelLockStatus_0.17 cancelLockStatus_0.16) (=> true (=> true (=> true (=> true (=> true ?v_5075)))))))) (let ((?v_5078 (and (=> true (=> ?v_5050 (=> true (=> ?v_5076 (=> (= cancelLockStatus_0.17 0) ?v_5075))))) (=> true (=> ?v_5063 (and (=> true (=> ?v_5053 (=> true (=> (= cancelLockStatus_1.17 0) ?v_5077)))) (=> true (=> ?v_5066 (=> true (=> ?v_5076 ?v_5077))))))))) (?v_5079 (= Mem_1_T.P_IRP.8 Mem_1_T.P_IRP.6))) (let ((?v_5080 (=> (= Mem_0_T.P_IRP.8 Mem_0_T.P_IRP.6) (=> true (=> true (=> true (=> true (=> true (=> true ?v_5078)))))))) (?v_5051 (int_2_U inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0))) (let ((?v_5089 (and (=> true (=> ?v_5050 (=> (= Mem_0_T.P_IRP.7 (MapType0Store Mem_0_T.P_IRP.6 ?v_5038 (MapType0Select Mem_0_T.P_IRP.6 ?v_5051))) (=> true (=> ?v_5079 (=> (= Mem_0_T.P_IRP.8 Mem_0_T.P_IRP.7) ?v_5078)))))) (=> true (=> ?v_5063 (and (=> true (=> ?v_5053 (=> (= Mem_1_T.P_IRP.7 (MapType0Store Mem_1_T.P_IRP.6 ?v_5038 (MapType0Select Mem_1_T.P_IRP.6 ?v_5051))) (=> true (=> (= Mem_1_T.P_IRP.8 Mem_1_T.P_IRP.7) ?v_5080))))) (=> true (=> ?v_5066 (=> true (=> ?v_5079 ?v_5080)))))))))) (let ((?v_5090 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.24 Mem_1_T.CancelRoutine__IRP.23) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= Mem_0_T.P_IRP.6 Mem_0_T.P_IRP.5) (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.3.myVar_0.2) (=> (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.3.myNondetVar_0.0) (=> (= Mem_0_T.CancelRoutine__IRP.24 Mem_0_T.CancelRoutine__IRP.23) (=> (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.3.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.3.myVar_0.2) (=> (= errorReached.16 errorReached.15) (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.3 inline.SerialGetNextIrpLocked.3.myVar_0.2) (=> (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.3.myNondetVar_0.0) (=> (= inline.RemoveHeadList.3.myNondetVar_0.2 inline.RemoveHeadList.3.myNondetVar_0.1) (=> (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.3.myNondetVar_0.0) (=> (= Mem_1_T.P_IRP.6 Mem_1_T.P_IRP.5) (=> true ?v_5089))))))))))))))))))) (?v_5091 (= Mem_1_T.CancelRoutine__IRP.23 Mem_1_T.CancelRoutine__IRP.10))) (let ((?v_5092 (=> (= Mem_0_T.CancelRoutine__IRP.23 Mem_0_T.CancelRoutine__IRP.10) (=> true (=> true (=> true (=> true (=> true (=> true ?v_5090)))))))) (?v_5088 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.3.myVar_0.2)))) (let ((?v_5095 (and (=> true (=> ?v_5050 (=> (= Mem_0_T.CancelRoutine__IRP.22 (MapType0Store Mem_0_T.CancelRoutine__IRP.10 ?v_5088 ?v_35)) (=> true (=> ?v_5091 (=> (= Mem_0_T.CancelRoutine__IRP.23 Mem_0_T.CancelRoutine__IRP.22) ?v_5090)))))) (=> true (=> ?v_5063 (and (=> true (=> ?v_5053 (=> (= Mem_1_T.CancelRoutine__IRP.22 (MapType0Store Mem_1_T.CancelRoutine__IRP.10 ?v_5088 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.23 Mem_1_T.CancelRoutine__IRP.22) ?v_5092))))) (=> true (=> ?v_5066 (=> true (=> ?v_5091 ?v_5092)))))))))) (let ((?v_5097 (=> true (=> (= errorReached.15 errorReached.7) (=> true ?v_5095)))) (?v_5096 (= inline.SerialGetNextIrpLocked.3.myVar_0.2 hirp))) (let ((?v_5098 (and (=> true (=> ?v_5096 (and (=> true (=> ?v_5086 (=> ?v_5087 (=> true (=> (= errorReached.15 1) ?v_5095))))) (=> true (=> ?v_5093 (=> ?v_5094 ?v_5097)))))) (=> true (=> (not ?v_5096) ?v_5097))))) (let ((?v_5099 (=> true (=> true ?v_5098)))) (let ((?v_5101 (and (=> true (=> ?v_5050 (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.10 ?v_5088))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_5098))))) (=> true (=> ?v_5063 (and (=> true (=> ?v_5053 (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.10 ?v_5088))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_5099))))) (=> true (=> ?v_5066 (=> true (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_5099)))))))))) (let ((?v_5102 (=> true (=> true (=> true (=> true (=> true ?v_5101)))))) (?v_5100 (U_2_int (MapType0Select Mem_1_T.P_IRP.5 ?v_5051))) (?v_5085 (U_2_int (MapType0Select Mem_0_T.P_IRP.5 ?v_5051)))) (let ((?v_5104 (=> true (=> (=> ?v_5050 (not (= ?v_5085 hirp))) (=> (=> ?v_5053 (not (= ?v_5100 hirp))) (and (=> true (=> ?v_5050 (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.0 ?v_5085) (=> true (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.2 inline.SerialGetNextIrpLocked.3.myVar_0.0) ?v_5101))))) (=> true (=> ?v_5063 (and (=> true (=> ?v_5053 (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.1 ?v_5100) (=> true (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.2 inline.SerialGetNextIrpLocked.3.myVar_0.1) ?v_5102))))) (=> true (=> ?v_5066 (=> true (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.2 inline.SerialGetNextIrpLocked.3.myVar_0) ?v_5102)))))))))))) (?v_5105 (= Mem_1_T.P_IRP.5 Mem_1_T.P_IRP.1))) (let ((?v_5106 (=> (= Mem_0_T.P_IRP.5 Mem_0_T.P_IRP.1) (=> true ?v_5104))) (?v_5103 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.3.myNondetVar_0.0 1 88))) (?v_5084 (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0 0)) (?v_5081 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.24 Mem_1_T.CancelRoutine__IRP.10) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.8..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= Mem_0_T.P_IRP.6 Mem_0_T.P_IRP.3) (=> (= inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.8..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.3..result.RemoveHeadList.302.35.2.) (=> (= Mem_0_T.CancelRoutine__IRP.24 Mem_0_T.CancelRoutine__IRP.10) (=> (= inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.3..Entry.3.6748.16.RemoveHeadList) (=> (= inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.8..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= errorReached.16 errorReached.7) (=> (= inline.SerialGetNextIrpLocked.3.myVar_0.3 inline.SerialGetNextIrpLocked.3.myVar_0) (=> (= inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.3..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.RemoveHeadList.3.myNondetVar_0.2 inline.RemoveHeadList.3.myNondetVar_0) (=> (= inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.3..result.RemoveHeadList.6743.0.1.) (=> (= Mem_1_T.P_IRP.6 Mem_1_T.P_IRP.3) ?v_5089)))))))))))))))))) (?v_5082 (= Mem_1_T.P_IRP.3 Mem_1_T.P_IRP.1))) (let ((?v_5083 (=> (= Mem_0_T.P_IRP.3 Mem_0_T.P_IRP.1) (=> true ?v_5081)))) (let ((?v_5107 (=> true (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.4.myNondetVar_0.0 inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0))) (and (=> true (=> (not ?v_5084) (and (=> true (=> ?v_5050 (=> (= Mem_0_T.P_IRP.2 (MapType0Store Mem_0_T.P_IRP.1 ?v_5051 ?v_35)) (=> true (=> ?v_5082 (=> (= Mem_0_T.P_IRP.3 Mem_0_T.P_IRP.2) ?v_5081)))))) (=> true (=> ?v_5063 (and (=> true (=> ?v_5053 (=> (= Mem_1_T.P_IRP.2 (MapType0Store Mem_1_T.P_IRP.1 ?v_5051 ?v_35)) (=> true (=> (= Mem_1_T.P_IRP.3 Mem_1_T.P_IRP.2) ?v_5083))))) (=> true (=> ?v_5066 (=> true (=> ?v_5082 ?v_5083)))))))))) (=> true (=> ?v_5084 (and (=> true (=> ?v_5050 (=> (= Mem_0_T.P_IRP.4 (MapType0Store Mem_0_T.P_IRP.1 ?v_5051 ?v_5103)) (=> true (=> ?v_5105 (=> (= Mem_0_T.P_IRP.5 Mem_0_T.P_IRP.4) ?v_5104)))))) (=> true (=> ?v_5063 (and (=> true (=> ?v_5053 (=> (= Mem_1_T.P_IRP.4 (MapType0Store Mem_1_T.P_IRP.1 ?v_5051 ?v_5103)) (=> true (=> (= Mem_1_T.P_IRP.5 Mem_1_T.P_IRP.4) ?v_5106))))) (=> true (=> ?v_5066 (=> true (=> ?v_5105 ?v_5106))))))))))))))) (let ((?v_5108 (=> true (=> true (=> true (=> true ?v_5107)))))) (let ((?v_5109 (and (=> true (=> ?v_5050 (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.0 (U_2_int (MapType0Select Mem_0_T.P_IRP.1 ?v_5051))) (=> true (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_5107))))) (=> true (=> ?v_5063 (and (=> true (=> ?v_5053 (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.1 (U_2_int (MapType0Select Mem_1_T.P_IRP.1 ?v_5051))) (=> true (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_5108))))) (=> true (=> ?v_5066 (=> true (=> (= inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.3..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_5108))))))))) (?v_5110 (= cancelLockStatus_1.16 cancelLockStatus_1.15))) (let ((?v_5111 (=> (= cancelLockStatus_0.16 cancelLockStatus_0.15) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5109))))))))))) (?v_5049 (int_2_U call63581formal.new.0))) (let ((?v_5224 (=> true (=> (= inline.SerialGetNextIrp.3..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 ?v_5048) (=> (= inline.SerialGetNextIrp.3..QueueToProcess.2.171.19.SerialGetNextIrp1.0 (ReadQueue__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (=> true (and ?v_8 (=> ?v_8 (=> (> call63581formal.new.0 0) (=> (forall ((?x1617 Int)) (! (=> (and (<= call63581formal.new.0 ?x1617) (< ?x1617 (+ call63581formal.new.0 1))) (= (Base ?x1617) call63581formal.new.0)) :pattern ((Base ?x1617)) )) (=> (forall ((?x1618 boogieU)) (! (=> (= (type ?x1618) intType) (or (= (U_2_int ?x1618) call63581formal.new.0) (= (MapType0Select alloc.33 ?x1618) (MapType0Select alloc.34 ?x1618)))) :pattern ((MapType0Select alloc.34 ?x1618)) )) (=> (and (= (MapType0Select alloc.33 ?v_5049) UNALLOCATED) (= (MapType0Select alloc.34 ?v_5049) ALLOCATED)) (=> true (=> (=> ?v_5050 (= cancelLockStatus_0.15 0)) (=> (=> ?v_5053 (= cancelLockStatus_1.15 0)) (and (=> true (=> ?v_5050 (=> true (=> ?v_5110 (=> (= cancelLockStatus_0.16 1) ?v_5109))))) (=> true (=> ?v_5063 (and (=> true (=> ?v_5053 (=> true (=> (= cancelLockStatus_1.16 1) ?v_5111)))) (=> true (=> ?v_5066 (=> true (=> ?v_5110 ?v_5111))))))))))))))))))))))) (let ((?v_5259 (=> true ?v_5224)) (?v_5394 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialUpdateAndSwitchToUser)) (?v_5260 (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.0 1)) (?v_5261 (= alloc.33 alloc.26)) (?v_5262 (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.0 inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead)) (?v_5368 (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5263 (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.0 inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer)) (?v_5264 (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.1 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer)) (?v_5265 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0)) (?v_5266 (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.1 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0)) (?v_5395 (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..0)) (?v_5267 (= inline.KeSynchronizeExecution.6.myNondetVar_0.8 inline.KeSynchronizeExecution.6.myNondetVar_0)) (?v_5268 (= k.19 k.14)) (?v_5269 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.12 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0)) (?v_5270 (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1.)) (?v_5271 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5272 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0)) (?v_5396 (= inline.SerialStartRead.0.myNondetVar_1.14 inline.SerialStartRead.0.myNondetVar_1.8)) (?v_5274 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0)) (?v_5275 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartRead.0.myVar_0.5)) (?v_5397 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0)) (?v_5398 (= cancelLockStatus_0.15 cancelLockStatus_0.13)) (?v_5276 (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.3 inline.sdv_InterlockedDecrement.12.myNondetVar_0.2)) (?v_5277 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0)) (?v_5399 (= cancelLockStatus_1.15 cancelLockStatus_1.13)) (?v_5278 (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_5400 (= inline.SerialStartRead.0.myVar_0.24 inline.SerialStartRead.0.myVar_0.12)) (?v_5137 (= inline.KeSynchronizeExecution.7.myNondetVar_0.7 inline.KeSynchronizeExecution.7.myNondetVar_0)) (?v_5281 (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.1 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0)) (?v_5401 (= inline.SerialStartRead.0.myNondetVar_0.82 inline.SerialStartRead.0.myNondetVar_0.68)) (?v_5283 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.0)) (?v_5141 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5142 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5285 (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..0 inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5.)) (?v_5286 (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1)) (?v_5145 (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution)) (?v_5402 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_5288 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_5289 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5290 (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..1)) (?v_5291 (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..0 inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1.)) (?v_5292 (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..1 inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..0)) (?v_5293 (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_5294 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0)) (?v_5295 (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.1 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.0)) (?v_5155 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_5375 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartRead.0.myVar_0.8)) (?v_5297 (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.0 call64516formal.ret.0)) (?v_5298 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0)) (?v_5403 (= inline.KeSynchronizeExecution.8.myNondetVar_0.7 inline.KeSynchronizeExecution.8.myNondetVar_0.6)) (?v_5160 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_5300 (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution)) (?v_5301 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_5302 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.0)) (?v_5303 (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.1 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.0)) (?v_5304 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartRead.0.myVar_0.5)) (?v_5166 (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1.)) (?v_5306 (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_5307 (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5308 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.10 inline.SerialGetCharsFromIntBuffer.0.myVar_0.9)) (?v_5309 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_5310 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.22 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.21)) (?v_5311 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.5 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1)) (?v_5312 (= inline.SerialResizeBuffer.0.myNondetVar_1.5 inline.SerialResizeBuffer.0.myNondetVar_1)) (?v_5313 (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.1 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.0)) (?v_5404 (= lockStatus_1.34 lockStatus_1.28)) (?v_5315 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_5316 (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.1 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0)) (?v_5317 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (?v_5318 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (?v_5405 (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.0)) (?v_5319 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.0)) (?v_5320 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.0 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1)) (?v_5406 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0)) (?v_5321 (= inline.SerialCancelTimer.3.myNondetVar_0.2 inline.SerialCancelTimer.3.myNondetVar_0.1)) (?v_5322 (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..0 call64623formal.ret.0)) (?v_5323 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0)) (?v_5324 (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1)) (?v_5325 (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.1 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.0)) (?v_5326 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.4 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.3)) (?v_5190 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_5328 (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.1 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.0)) (?v_5407 (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1)) (?v_5329 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0)) (?v_5330 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0)) (?v_5331 (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.3 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer)) (?v_5332 (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..1)) (?v_5333 (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_5334 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.7 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6)) (?v_5335 (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5336 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.0 inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer)) (?v_5408 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_5202 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_5337 (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.0 inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer)) (?v_5338 (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_5339 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5340 (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.2 0)) (?v_5355 (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.0 call64623formal.ret.0)) (?v_5356 (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1)) (?v_5357 (= inline.SerialCancelTimer.2.myNondetVar_0.2 inline.SerialCancelTimer.2.myNondetVar_0.1)) (?v_5358 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.0)) (?v_5359 (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..0 call64516formal.ret.0)) (?v_5360 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_5361 (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.3 inline.sdv_InterlockedDecrement.13.myNondetVar_0.2)) (?v_5362 (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.6 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.5)) (?v_5363 (= inline.SerialResizeBuffer.0.myVar_0.3 inline.SerialResizeBuffer.0.myVar_0)) (?v_5364 (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_5365 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_5366 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0))) (let ((?v_5367 (=> (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.2 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.1) (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.14 inline.SerialResizeBuffer.0.myNondetVar_0) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1) ?v_5259))))) (let ((?v_5393 (=> ?v_5360 (=> ?v_5361 (=> ?v_5362 (=> ?v_5363 (=> ?v_5364 (=> ?v_5365 (=> ?v_5366 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartRead.0.myVar_0.8) ?v_5367)))))))))) (let ((?v_5409 (=> ?v_5355 (=> (= lockStatus_0.34 lockStatus_0.28) (=> ?v_5356 (=> ?v_5357 (=> ?v_5358 (=> ?v_5359 (=> (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialUpdateAndSwitchToUser) ?v_5393)))))))) (?v_5257 (= inline.SerialStartRead.0..setFirstStatus.15.234.12.SerialStartRead.0 0)) (?v_5258 (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.2 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead))) (let ((?v_5415 (and (=> true (=> ?v_29 (=> true (=> ?v_5394 (=> ?v_5257 (=> ?v_5261 (=> ?v_5262 (=> ?v_5368 (=> ?v_5263 (=> ?v_5264 (=> ?v_5265 (=> ?v_5266 (=> ?v_5395 (=> ?v_5267 (=> ?v_5268 (=> ?v_5269 (=> ?v_5270 (=> ?v_5271 (=> ?v_5272 (=> ?v_5396 (=> ?v_5274 (=> ?v_5275 (=> ?v_5397 (=> ?v_5398 (=> ?v_5276 (=> ?v_5277 (=> ?v_5399 (=> ?v_5278 (=> ?v_5400 (=> ?v_5137 (=> ?v_5281 (=> ?v_5401 (=> ?v_5283 (=> ?v_5141 (=> ?v_5142 (=> ?v_5285 (=> ?v_5286 (=> ?v_5145 (=> ?v_5402 (=> ?v_5288 (=> ?v_5289 (=> ?v_5290 (=> ?v_5291 (=> ?v_5292 (=> ?v_5293 (=> ?v_5294 (=> ?v_5295 (=> ?v_5155 (=> ?v_5375 (=> ?v_5297 (=> ?v_5298 (=> ?v_5403 (=> ?v_5160 (=> ?v_5300 (=> ?v_5301 (=> ?v_5302 (=> ?v_5303 (=> ?v_5304 (=> ?v_5166 (=> ?v_5306 (=> ?v_5307 (=> ?v_5308 (=> ?v_5309 (=> ?v_5310 (=> ?v_5311 (=> ?v_5312 (=> ?v_5313 (=> ?v_5404 (=> ?v_5315 (=> ?v_5316 (=> ?v_5317 (=> ?v_5318 (=> ?v_5405 (=> ?v_5319 (=> ?v_5320 (=> ?v_5406 (=> ?v_5321 (=> ?v_5322 (=> ?v_5323 (=> ?v_5324 (=> ?v_5325 (=> ?v_5326 (=> ?v_5190 (=> ?v_5328 (=> ?v_5407 (=> ?v_5329 (=> ?v_5330 (=> ?v_5331 (=> ?v_5332 (=> ?v_5333 (=> ?v_5334 (=> ?v_5335 (=> ?v_5336 (=> ?v_5408 (=> ?v_5202 (=> ?v_5337 (=> ?v_5338 (=> ?v_5339 (=> ?v_5258 ?v_5409))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_0 (=> true (=> ?v_5394 (=> ?v_5260 (=> ?v_5261 (=> ?v_5262 (=> ?v_5368 (=> ?v_5263 (=> ?v_5264 (=> ?v_5265 (=> ?v_5266 (=> ?v_5395 (=> ?v_5267 (=> ?v_5268 (=> ?v_5269 (=> ?v_5270 (=> ?v_5271 (=> ?v_5272 (=> ?v_5396 (=> ?v_5274 (=> ?v_5275 (=> ?v_5397 (=> ?v_5398 (=> ?v_5276 (=> ?v_5277 (=> ?v_5399 (=> ?v_5278 (=> ?v_5400 (=> ?v_5137 (=> ?v_5281 (=> ?v_5401 (=> ?v_5283 (=> ?v_5141 (=> ?v_5142 (=> ?v_5285 (=> ?v_5286 (=> ?v_5145 (=> ?v_5402 (=> ?v_5288 (=> ?v_5289 (=> ?v_5290 (=> ?v_5291 (=> ?v_5292 (=> ?v_5293 (=> ?v_5294 (=> ?v_5295 (=> ?v_5155 (=> ?v_5375 (=> ?v_5297 (=> ?v_5298 (=> ?v_5403 (=> ?v_5160 (=> ?v_5300 (=> ?v_5301 (=> ?v_5302 (=> ?v_5303 (=> ?v_5304 (=> ?v_5166 (=> ?v_5306 (=> ?v_5307 (=> ?v_5308 (=> ?v_5309 (=> ?v_5310 (=> ?v_5311 (=> ?v_5312 (=> ?v_5313 (=> ?v_5404 (=> ?v_5315 (=> ?v_5316 (=> ?v_5317 (=> ?v_5318 (=> ?v_5405 (=> ?v_5319 (=> ?v_5320 (=> ?v_5406 (=> ?v_5321 (=> ?v_5322 (=> ?v_5323 (=> ?v_5324 (=> ?v_5325 (=> ?v_5326 (=> ?v_5190 (=> ?v_5328 (=> ?v_5407 (=> ?v_5329 (=> ?v_5330 (=> ?v_5331 (=> ?v_5332 (=> ?v_5333 (=> ?v_5334 (=> ?v_5335 (=> ?v_5336 (=> ?v_5408 (=> ?v_5202 (=> ?v_5337 (=> ?v_5338 (=> ?v_5339 (=> ?v_5340 ?v_5409))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5414 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5410 (=> true (=> (= lockStatus_0.28 lockStatus_0.27) (=> (= lockStatus_1.28 lockStatus_1.27) ?v_5415))))) (let ((?v_5413 (=> true ?v_5410)) (?v_5411 (= lockStatus_0.27 lockStatus_0.25)) (?v_5412 (= lockStatus_1.27 lockStatus_1.25))) (let ((?v_5416 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.66 inline.SerialStartRead.0.myNondetVar_1.8) (=> true (=> (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_3598) (and (=> true (=> ?v_5414 (and (=> true (=> ?v_5342 (=> true (=> (= lockStatus_0.27 0) (=> ?v_5412 ?v_5410))))) (=> true (=> ?v_5379 (and (=> true (=> ?v_5344 (=> true (=> ?v_5411 (=> (= lockStatus_1.27 0) ?v_5413))))) (=> true (=> ?v_5381 (=> true (=> ?v_5411 (=> ?v_5412 ?v_5413))))))))))) (=> true (=> (not ?v_5414) (=> true (=> (= lockStatus_0.28 lockStatus_0.25) (=> (= lockStatus_1.28 lockStatus_1.25) (=> true (=> true (=> true (=> true (=> true ?v_5415)))))))))))))))) (?v_5417 (= cancelLockStatus_1.13 cancelLockStatus_1.11))) (let ((?v_5418 (=> (= cancelLockStatus_0.13 cancelLockStatus_0.11) (=> true (=> true (=> true (=> true ?v_5416))))))) (let ((?v_5460 (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.62 0)) (and (=> true (=> ?v_5342 (=> true (=> ?v_5417 (=> (= cancelLockStatus_0.13 0) ?v_5416))))) (=> true (=> ?v_5379 (and (=> true (=> ?v_5344 (=> true (=> (= cancelLockStatus_1.13 0) ?v_5418)))) (=> true (=> ?v_5381 (=> true (=> ?v_5417 ?v_5418)))))))))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.61 0) (and (=> true (=> ?v_5419 (and (=> true (=> ?v_5342 (=> (= inline.SerialStartRead.0.myVar_0.14 ?v_5047) (=> true (=> (= inline.SerialStartRead.0.myVar_0.15 inline.SerialStartRead.0.myVar_0.14) ?v_5455))))) (=> true (=> ?v_5379 (and (=> true (=> ?v_5344 (=> (= inline.SerialStartRead.0.myVar_0.13 ?v_5354) (=> true (=> (= inline.SerialStartRead.0.myVar_0.15 inline.SerialStartRead.0.myVar_0.13) ?v_5456))))) (=> true (=> ?v_5381 (=> true (=> (= inline.SerialStartRead.0.myVar_0.15 inline.SerialStartRead.0.myVar_0.12) ?v_5456)))))))))) (=> true (=> ?v_5457 (=> true (=> (= inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.3..result.KeSetTimer.1355.19.3.) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer) (=> (= inline.SerialStartRead.0.myNondetVar_2.1 inline.SerialStartRead.0.myNondetVar_2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.38..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer1) (=> (= alloc.30 alloc.26) (=> (= inline.sdv_InterlockedDecrement.14.myNondetVar_0.3 inline.sdv_InterlockedDecrement.14.myNondetVar_0) (=> (= inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.3..set.5.1350.11.SerialSetTimer) (=> (= inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead.0 inline.SerialStartRead.0.._refType.18.579.0.SerialStartRead) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer1) (=> (= inline.SerialStartRead.0.tempBoogie0.1 inline.SerialStartRead.0.tempBoogie0) (=> (= inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.3..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.SerialStartRead.0.myVar_0.16 inline.SerialStartRead.0.myVar_0.12) (=> (= inline.SerialStartRead.0.myNondetVar_0.71 inline.SerialStartRead.0.myNondetVar_0.61) (=> (= inline.SerialStartRead.0.myNondetVar_1.10 inline.SerialStartRead.0.myNondetVar_1.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.38..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialSetTimer.3.myNondetVar_0.5 inline.SerialSetTimer.3.myNondetVar_0) (=> (= inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.3..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.sdv_InterlockedIncrement.4.myNondetVar_0.2 inline.sdv_InterlockedIncrement.4.myNondetVar_0) (=> (= inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.3..Dpc.3.1326.24.SerialSetTimer) (=> true ?v_5458))))))))))))))))))))))))))))))) (let ((?v_5465 (and (=> true (=> (not ?v_5459) (=> true (=> (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.8..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.8.myNondetVar_0.6 inline.KeSynchronizeExecution.8.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.8..result.SynchronizeRoutine.4679.26.2.) ?v_5460)))))) (=> true (=> ?v_5459 (=> true (=> (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.8.myNondetVar_0.6 inline.KeSynchronizeExecution.8.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true (=> true ?v_5460)))))))))))) (?v_5392 (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.0 0))) (let ((?v_5462 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartRead.0.myVar_0.11) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartRead.0.myVar_0.11) (=> (= inline.SerialStartRead.0.myVar_0.12 inline.SerialStartRead.0.myVar_0.11) ?v_5465)))))) (?v_5461 (= inline.SerialStartRead.0.myVar_0.11 hirp))) (let ((?v_5463 (and (=> true (=> ?v_5461 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5462)))) (=> true (=> (not ?v_5461) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5462))))))))))) (let ((?v_5464 (=> true (=> true (=> true (=> true ?v_5463))))) (?v_5390 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP (int_2_U (Cancel__IRP ?v_5047)))) 0)) (?v_5391 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP (int_2_U (Cancel__IRP ?v_5354)))) 0)) (?v_5112 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_5120 (= inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.8..result.KeSynchronizeExecution.4664.0.1.)) (?v_5369 (= inline.SerialStartRead.0.myNondetVar_1.14 inline.SerialStartRead.0.myNondetVar_1.7)) (?v_5130 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5370 (= cancelLockStatus_0.15 cancelLockStatus_0.12)) (?v_5371 (= cancelLockStatus_1.15 cancelLockStatus_1.12)) (?v_5372 (= inline.SerialStartRead.0.myVar_0.24 inline.SerialStartRead.0.myVar_0.8)) (?v_5373 (= inline.SerialStartRead.0.myNondetVar_0.82 inline.SerialStartRead.0.myNondetVar_0.80)) (?v_5374 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_5146 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_5159 (= inline.KeSynchronizeExecution.8.myNondetVar_0.7 inline.KeSynchronizeExecution.8.myNondetVar_0)) (?v_5376 (= lockStatus_1.34 lockStatus_1.32)) (?v_5180 (= inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.8..b.4.4670.12.KeSynchronizeExecution)) (?v_5183 (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5192 (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5201 (= inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.11..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5377 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_5212 (= inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.8..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1))) (let ((?v_5378 (=> ?v_5355 (=> (= lockStatus_0.34 lockStatus_0.32) (=> ?v_5356 (=> ?v_5357 (=> ?v_5358 (=> ?v_5359 (=> ?v_5212 ?v_5393))))))))) (let ((?v_5386 (and (=> true (=> ?v_29 (=> true (=> ?v_5112 (=> ?v_5257 (=> ?v_5261 (=> ?v_5262 (=> ?v_5368 (=> ?v_5263 (=> ?v_5264 (=> ?v_5265 (=> ?v_5266 (=> ?v_5120 (=> ?v_5267 (=> ?v_5268 (=> ?v_5269 (=> ?v_5270 (=> ?v_5271 (=> ?v_5272 (=> ?v_5369 (=> ?v_5274 (=> ?v_5275 (=> ?v_5130 (=> ?v_5370 (=> ?v_5276 (=> ?v_5277 (=> ?v_5371 (=> ?v_5278 (=> ?v_5372 (=> ?v_5137 (=> ?v_5281 (=> ?v_5373 (=> ?v_5283 (=> ?v_5374 (=> ?v_5142 (=> ?v_5285 (=> ?v_5286 (=> ?v_5145 (=> ?v_5146 (=> ?v_5288 (=> ?v_5289 (=> ?v_5290 (=> ?v_5291 (=> ?v_5292 (=> ?v_5293 (=> ?v_5294 (=> ?v_5295 (=> ?v_5155 (=> ?v_5375 (=> ?v_5297 (=> ?v_5298 (=> ?v_5159 (=> ?v_5160 (=> ?v_5300 (=> ?v_5301 (=> ?v_5302 (=> ?v_5303 (=> ?v_5304 (=> ?v_5166 (=> ?v_5306 (=> ?v_5307 (=> ?v_5308 (=> ?v_5309 (=> ?v_5310 (=> ?v_5311 (=> ?v_5312 (=> ?v_5313 (=> ?v_5376 (=> ?v_5315 (=> ?v_5316 (=> ?v_5317 (=> ?v_5318 (=> ?v_5180 (=> ?v_5319 (=> ?v_5320 (=> ?v_5183 (=> ?v_5321 (=> ?v_5322 (=> ?v_5323 (=> ?v_5324 (=> ?v_5325 (=> ?v_5326 (=> ?v_5190 (=> ?v_5328 (=> ?v_5192 (=> ?v_5329 (=> ?v_5330 (=> ?v_5331 (=> ?v_5332 (=> ?v_5333 (=> ?v_5334 (=> ?v_5335 (=> ?v_5336 (=> ?v_5201 (=> ?v_5377 (=> ?v_5337 (=> ?v_5338 (=> ?v_5339 (=> ?v_5258 ?v_5378))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_0 (=> true (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.1 ?v_920) (=> true (=> ?v_5112 (=> ?v_5260 (=> ?v_5261 (=> ?v_5262 (=> ?v_5368 (=> ?v_5263 (=> ?v_5264 (=> ?v_5265 (=> ?v_5266 (=> ?v_5120 (=> ?v_5267 (=> ?v_5268 (=> ?v_5269 (=> ?v_5270 (=> ?v_5271 (=> ?v_5272 (=> ?v_5369 (=> ?v_5274 (=> ?v_5275 (=> ?v_5130 (=> ?v_5370 (=> ?v_5276 (=> ?v_5277 (=> ?v_5371 (=> ?v_5278 (=> ?v_5372 (=> ?v_5137 (=> ?v_5281 (=> ?v_5373 (=> ?v_5283 (=> ?v_5374 (=> ?v_5142 (=> ?v_5285 (=> ?v_5286 (=> ?v_5145 (=> ?v_5146 (=> ?v_5288 (=> ?v_5289 (=> ?v_5290 (=> ?v_5291 (=> ?v_5292 (=> ?v_5293 (=> ?v_5294 (=> ?v_5295 (=> ?v_5155 (=> ?v_5375 (=> ?v_5297 (=> ?v_5298 (=> ?v_5159 (=> ?v_5160 (=> ?v_5300 (=> ?v_5301 (=> ?v_5302 (=> ?v_5303 (=> ?v_5304 (=> ?v_5166 (=> ?v_5306 (=> ?v_5307 (=> ?v_5308 (=> ?v_5309 (=> ?v_5310 (=> ?v_5311 (=> ?v_5312 (=> ?v_5313 (=> ?v_5376 (=> ?v_5315 (=> ?v_5316 (=> ?v_5317 (=> ?v_5318 (=> ?v_5180 (=> ?v_5319 (=> ?v_5320 (=> ?v_5183 (=> ?v_5321 (=> ?v_5322 (=> ?v_5323 (=> ?v_5324 (=> ?v_5325 (=> ?v_5326 (=> ?v_5190 (=> ?v_5328 (=> ?v_5192 (=> ?v_5329 (=> ?v_5330 (=> ?v_5331 (=> ?v_5332 (=> ?v_5333 (=> ?v_5334 (=> ?v_5335 (=> ?v_5336 (=> ?v_5201 (=> ?v_5377 (=> ?v_5337 (=> ?v_5338 (=> ?v_5339 (=> (= inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.2 inline.SerialStartRead.0..firstStatus.16.235.13.SerialStartRead.1) ?v_5378))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5385 (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5380 (=> true (=> (= lockStatus_0.32 lockStatus_0.31) (=> (= lockStatus_1.32 lockStatus_1.31) ?v_5386))))) (let ((?v_5384 (=> true ?v_5380)) (?v_5382 (= lockStatus_0.31 lockStatus_0.25)) (?v_5383 (= lockStatus_1.31 lockStatus_1.25))) (let ((?v_5387 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.64 inline.SerialStartRead.0.myNondetVar_1.7) (=> true (=> (= inline.sdv_KeReleaseSpinLock.10..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_3598) (and (=> true (=> ?v_5385 (and (=> true (=> ?v_5342 (=> true (=> (= lockStatus_0.31 0) (=> ?v_5383 ?v_5380))))) (=> true (=> ?v_5379 (and (=> true (=> ?v_5344 (=> true (=> ?v_5382 (=> (= lockStatus_1.31 0) ?v_5384))))) (=> true (=> ?v_5381 (=> true (=> ?v_5382 (=> ?v_5383 ?v_5384))))))))))) (=> true (=> (not ?v_5385) (=> true (=> (= lockStatus_0.32 lockStatus_0.25) (=> (= lockStatus_1.32 lockStatus_1.25) (=> true (=> true (=> true (=> true (=> true (=> true ?v_5386))))))))))))))))) (?v_5388 (= cancelLockStatus_1.12 cancelLockStatus_1.11))) (let ((?v_5389 (=> (= cancelLockStatus_0.12 cancelLockStatus_0.11) (=> true (=> true (=> true (=> true ?v_5387))))))) (let ((?v_5466 (and (=> true (=> (=> ?v_5342 (not ?v_5390)) (=> (=> ?v_5344 (not ?v_5391)) (and (=> true (=> ?v_5342 (=> true (=> ?v_5388 (=> (= cancelLockStatus_0.12 0) ?v_5387))))) (=> true (=> ?v_5379 (and (=> true (=> ?v_5344 (=> true (=> (= cancelLockStatus_1.12 0) ?v_5389)))) (=> true (=> ?v_5381 (=> true (=> ?v_5388 ?v_5389))))))))))) (=> true (=> (=> ?v_5342 ?v_5390) (=> (=> ?v_5344 ?v_5391) (and (=> true (=> (not ?v_5392) (and (=> true (=> ?v_5342 (=> (= inline.SerialStartRead.0.myVar_0.9 ?v_5047) (=> true (=> (= inline.SerialStartRead.0.myVar_0.11 inline.SerialStartRead.0.myVar_0.9) ?v_5463))))) (=> true (=> ?v_5379 (and (=> true (=> ?v_5344 (=> (= inline.SerialStartRead.0.myVar_0.10 ?v_5354) (=> true (=> (= inline.SerialStartRead.0.myVar_0.11 inline.SerialStartRead.0.myVar_0.10) ?v_5464))))) (=> true (=> ?v_5381 (=> true (=> (= inline.SerialStartRead.0.myVar_0.11 inline.SerialStartRead.0.myVar_0.8) ?v_5464)))))))))) (=> true (=> ?v_5392 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.37..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.37..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialStartRead.0.myVar_0.12 inline.SerialStartRead.0.myVar_0.8) (=> true (=> true (=> true (=> true (=> true ?v_5465)))))))))))))))))) (?v_5467 (= cancelLockStatus_1.11 cancelLockStatus_1.5))) (let ((?v_5468 (=> (= cancelLockStatus_0.11 cancelLockStatus_0.5) (=> true (=> true (=> true (=> true (=> true ?v_5466))))))) (?v_3583 (= cancelLockStatus_0.5 0)) (?v_5353 (= cancelLockStatus_1.5 0))) (let ((?v_5470 (=> true (=> (=> ?v_5342 ?v_3583) (=> (=> ?v_5344 ?v_5353) (and (=> true (=> ?v_5342 (=> true (=> ?v_5467 (=> (= cancelLockStatus_0.11 1) ?v_5466))))) (=> true (=> ?v_5379 (and (=> true (=> ?v_5344 (=> true (=> (= cancelLockStatus_1.11 1) ?v_5468)))) (=> true (=> ?v_5381 (=> true (=> ?v_5467 ?v_5468)))))))))))) (?v_5469 (= inline.SerialStartRead.0.myVar_0.8 hirp))) (let ((?v_5471 (and (=> true (=> ?v_5469 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5470)))) (=> true (=> (not ?v_5469) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5470))))))))))))))) (let ((?v_5472 (=> true (=> true (=> true (=> true ?v_5471)))))) (let ((?v_5474 (and (=> true (=> ?v_5342 (=> (= inline.SerialStartRead.0.myVar_0.6 ?v_5047) (=> true (=> (= inline.SerialStartRead.0.myVar_0.8 inline.SerialStartRead.0.myVar_0.6) ?v_5471))))) (=> true (=> ?v_5379 (and (=> true (=> ?v_5344 (=> (= inline.SerialStartRead.0.myVar_0.7 ?v_5354) (=> true (=> (= inline.SerialStartRead.0.myVar_0.8 inline.SerialStartRead.0.myVar_0.7) ?v_5472))))) (=> true (=> ?v_5381 (=> true (=> (= inline.SerialStartRead.0.myVar_0.8 inline.SerialStartRead.0.myVar_0.5) ?v_5472))))))))) (?v_5473 (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.0 0)) (?v_5115 (= inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.36..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5273 (= inline.SerialStartRead.0.myNondetVar_1.14 inline.SerialStartRead.0.myNondetVar_1.6)) (?v_5131 (= cancelLockStatus_0.15 cancelLockStatus_0.5)) (?v_5134 (= cancelLockStatus_1.15 cancelLockStatus_1.5)) (?v_5279 (= inline.SerialStartRead.0.myVar_0.24 inline.SerialStartRead.0.myVar_0.5)) (?v_5280 (= inline.KeSynchronizeExecution.7.myNondetVar_0.7 inline.KeSynchronizeExecution.7.myNondetVar_0.6)) (?v_5282 (= inline.SerialStartRead.0.myNondetVar_0.82 inline.SerialStartRead.0.myNondetVar_0.81)) (?v_5284 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_5287 (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.0)) (?v_5296 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialUpdateInterruptBuffer)) (?v_5156 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5299 (= inline.KeSynchronizeExecution.7..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialUpdateInterruptBuffer)) (?v_5305 (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..0)) (?v_5314 (= lockStatus_1.34 lockStatus_1.33)) (?v_5327 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_5220 (= inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.36..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation))) (let ((?v_5341 (=> ?v_5355 (=> (= lockStatus_0.34 lockStatus_0.33) (=> ?v_5356 (=> ?v_5357 (=> ?v_5358 (=> ?v_5359 (=> ?v_5212 (=> ?v_5360 (=> ?v_5361 (=> ?v_5362 (=> ?v_5363 (=> ?v_5364 (=> ?v_5365 (=> ?v_5366 (=> ?v_5220 ?v_5367))))))))))))))))) (let ((?v_5349 (and (=> true (=> ?v_29 (=> true (=> ?v_5112 (=> ?v_5257 (=> ?v_5261 (=> ?v_5262 (=> ?v_5115 (=> ?v_5263 (=> ?v_5264 (=> ?v_5265 (=> ?v_5266 (=> ?v_5120 (=> ?v_5267 (=> ?v_5268 (=> ?v_5269 (=> ?v_5270 (=> ?v_5271 (=> ?v_5272 (=> ?v_5273 (=> ?v_5274 (=> ?v_5275 (=> ?v_5130 (=> ?v_5131 (=> ?v_5276 (=> ?v_5277 (=> ?v_5134 (=> ?v_5278 (=> ?v_5279 (=> ?v_5280 (=> ?v_5281 (=> ?v_5282 (=> ?v_5283 (=> ?v_5141 (=> ?v_5284 (=> ?v_5285 (=> ?v_5286 (=> ?v_5287 (=> ?v_5146 (=> ?v_5288 (=> ?v_5289 (=> ?v_5290 (=> ?v_5291 (=> ?v_5292 (=> ?v_5293 (=> ?v_5294 (=> ?v_5295 (=> ?v_5296 (=> ?v_5156 (=> ?v_5297 (=> ?v_5298 (=> ?v_5159 (=> ?v_5299 (=> ?v_5300 (=> ?v_5301 (=> ?v_5302 (=> ?v_5303 (=> ?v_5304 (=> ?v_5305 (=> ?v_5306 (=> ?v_5307 (=> ?v_5308 (=> ?v_5309 (=> ?v_5310 (=> ?v_5311 (=> ?v_5312 (=> ?v_5313 (=> ?v_5314 (=> ?v_5315 (=> ?v_5316 (=> ?v_5317 (=> ?v_5318 (=> ?v_5180 (=> ?v_5319 (=> ?v_5320 (=> ?v_5183 (=> ?v_5321 (=> ?v_5322 (=> ?v_5323 (=> ?v_5324 (=> ?v_5325 (=> ?v_5326 (=> ?v_5327 (=> ?v_5328 (=> ?v_5192 (=> ?v_5329 (=> ?v_5330 (=> ?v_5331 (=> ?v_5332 (=> ?v_5333 (=> ?v_5334 (=> ?v_5335 (=> ?v_5336 (=> ?v_5201 (=> ?v_5202 (=> ?v_5337 (=> ?v_5338 (=> ?v_5339 (=> ?v_5258 ?v_5341))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_0 (=> true (=> ?v_5112 (=> ?v_5260 (=> ?v_5261 (=> ?v_5262 (=> ?v_5115 (=> ?v_5263 (=> ?v_5264 (=> ?v_5265 (=> ?v_5266 (=> ?v_5120 (=> ?v_5267 (=> ?v_5268 (=> ?v_5269 (=> ?v_5270 (=> ?v_5271 (=> ?v_5272 (=> ?v_5273 (=> ?v_5274 (=> ?v_5275 (=> ?v_5130 (=> ?v_5131 (=> ?v_5276 (=> ?v_5277 (=> ?v_5134 (=> ?v_5278 (=> ?v_5279 (=> ?v_5280 (=> ?v_5281 (=> ?v_5282 (=> ?v_5283 (=> ?v_5141 (=> ?v_5284 (=> ?v_5285 (=> ?v_5286 (=> ?v_5287 (=> ?v_5146 (=> ?v_5288 (=> ?v_5289 (=> ?v_5290 (=> ?v_5291 (=> ?v_5292 (=> ?v_5293 (=> ?v_5294 (=> ?v_5295 (=> ?v_5296 (=> ?v_5156 (=> ?v_5297 (=> ?v_5298 (=> ?v_5159 (=> ?v_5299 (=> ?v_5300 (=> ?v_5301 (=> ?v_5302 (=> ?v_5303 (=> ?v_5304 (=> ?v_5305 (=> ?v_5306 (=> ?v_5307 (=> ?v_5308 (=> ?v_5309 (=> ?v_5310 (=> ?v_5311 (=> ?v_5312 (=> ?v_5313 (=> ?v_5314 (=> ?v_5315 (=> ?v_5316 (=> ?v_5317 (=> ?v_5318 (=> ?v_5180 (=> ?v_5319 (=> ?v_5320 (=> ?v_5183 (=> ?v_5321 (=> ?v_5322 (=> ?v_5323 (=> ?v_5324 (=> ?v_5325 (=> ?v_5326 (=> ?v_5327 (=> ?v_5328 (=> ?v_5192 (=> ?v_5329 (=> ?v_5330 (=> ?v_5331 (=> ?v_5332 (=> ?v_5333 (=> ?v_5334 (=> ?v_5335 (=> ?v_5336 (=> ?v_5201 (=> ?v_5202 (=> ?v_5337 (=> ?v_5338 (=> ?v_5339 (=> ?v_5340 ?v_5341))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5348 (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5343 (=> true (=> (= lockStatus_0.33 lockStatus_0.26) (=> (= lockStatus_1.33 lockStatus_1.26) ?v_5349))))) (let ((?v_5347 (=> true ?v_5343)) (?v_5345 (= lockStatus_0.26 lockStatus_0.25)) (?v_5346 (= lockStatus_1.26 lockStatus_1.25))) (let ((?v_5351 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.57 inline.SerialStartRead.0.myNondetVar_1.6) (=> true (=> (= inline.sdv_KeReleaseSpinLock.9..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_3598) (and (=> true (=> ?v_5348 (and (=> true (=> ?v_5342 (=> true (=> (= lockStatus_0.26 0) (=> ?v_5346 ?v_5343))))) (=> true (=> ?v_5379 (and (=> true (=> ?v_5344 (=> true (=> ?v_5345 (=> (= lockStatus_1.26 0) ?v_5347))))) (=> true (=> ?v_5381 (=> true (=> ?v_5345 (=> ?v_5346 ?v_5347))))))))))) (=> true (=> (not ?v_5348) (=> true (=> (= lockStatus_0.33 lockStatus_0.25) (=> (= lockStatus_1.33 lockStatus_1.25) (=> true (=> true (=> true (=> true (=> true ?v_5349))))))))))))))))) (let ((?v_5352 (and (=> true (=> (not ?v_5350) (=> true (=> (= inline.KeSynchronizeExecution.7.myNondetVar_0.6 inline.KeSynchronizeExecution.7.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.7..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.7..result.SynchronizeRoutine.4679.26.2.) ?v_5351)))))) (=> true (=> ?v_5350 (=> true (=> (= inline.KeSynchronizeExecution.7.myNondetVar_0.6 inline.KeSynchronizeExecution.7.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.7..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.7..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true ?v_5351)))))))))))) (let ((?v_5475 (=> true (=> true (=> true (=> true (=> true ?v_5352)))))) (?v_5256 (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.0 0))) (let ((?v_5492 (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.5 (PLUS inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.21 1 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0)) (and (=> true (=> (not ?v_5256) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.55 inline.SerialStartRead.0.myNondetVar_0.49) ?v_5352)))) (=> true (=> ?v_5256 (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.50 0)) (and (=> true (=> (not ?v_5473) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.51 0)) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.55 inline.SerialStartRead.0.myNondetVar_0.51) ?v_5475)))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.52 0) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.53 inline.SerialStartRead.0.myNondetVar_0.52) ?v_5474))))))) (=> true (=> ?v_5473 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.53 inline.SerialStartRead.0.myNondetVar_0.50) (=> true ?v_5474)))))))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.54 0) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.55 inline.SerialStartRead.0.myNondetVar_0.54) ?v_5475))))))))))) (?v_5505 (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5478 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5481 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5483 (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5506 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5507 (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5508 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5509 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5510 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1))) (let ((?v_5511 (=> (= k.14 k.11) ?v_5492)) (?v_5504 (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 0)) (?v_5479 (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.1 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.0))) (let ((?v_5494 (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.2 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.18 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.0 1) 1)) (=> true (=> ?v_5505 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetCharsFromIntBuffer.0.myVar_0.8) (=> ?v_5479 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.9 inline.SerialGetCharsFromIntBuffer.0.myVar_0.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetCharsFromIntBuffer.0.myVar_0.5) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.5) (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.4 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.2) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.3 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.20 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.18) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetCharsFromIntBuffer.0.myVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_5508 (=> ?v_5509 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetCharsFromIntBuffer.0.myVar_0.8) ?v_5511))))))))))))))))))) (?v_5493 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.8 hirp))) (let ((?v_5496 (and (=> true (=> ?v_5493 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5494)))) (=> true (=> (not ?v_5493) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5494)))))))))))))))))) (let ((?v_5497 (=> true (=> true (=> true (=> true ?v_5496))))) (?v_5495 (= k.11 1))) (let ((?v_5502 (not ?v_5495)) (?v_5255 (= k.11 0))) (let ((?v_5500 (not ?v_5255))) (let ((?v_5499 (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.1 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.14 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.0 1)) (and (=> true (=> ?v_5255 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.6 ?v_5047) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.8 inline.SerialGetCharsFromIntBuffer.0.myVar_0.6) ?v_5496))))) (=> true (=> ?v_5500 (and (=> true (=> ?v_5495 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.7 ?v_5354) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.8 inline.SerialGetCharsFromIntBuffer.0.myVar_0.7) ?v_5497))))) (=> true (=> ?v_5502 (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.8 inline.SerialGetCharsFromIntBuffer.0.myVar_0.5) ?v_5497))))))))))) (?v_5498 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.5 hirp))) (let ((?v_5501 (and (=> true (=> ?v_5498 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5499)))) (=> true (=> (not ?v_5498) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5499))))))))))))))))) (let ((?v_5503 (=> true (=> true (=> true (=> true ?v_5501))))) (?v_5491 (< inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.0)) (?v_5477 (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5480 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.9 inline.SerialGetCharsFromIntBuffer.0.myVar_0.3)) (?v_5482 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.3 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.0)) (?v_5484 (=> ?v_5506 (=> ?v_5507 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetCharsFromIntBuffer.0.myVar_0.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetCharsFromIntBuffer.0.myVar_0.3) (=> ?v_5510 (=> (= k.14 k.13) ?v_5492))))))) (?v_5476 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 1 1))) (let ((?v_5486 (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.0 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.8 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 1)) (and (=> true (=> (= (PLUS inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.9 1 ?v_5476) inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.2) (=> true (=> ?v_5477 (=> ?v_5478 (=> ?v_5479 (=> ?v_5480 (=> ?v_5481 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.2) (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.4 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.0) (=> ?v_5482 (=> ?v_5483 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.20 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.11) ?v_5484))))))))))))) (=> true (=> (not (= (PLUS inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.10 1 ?v_5476) inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.3)) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.3 (PLUS inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.19 1 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0)) (=> true (=> ?v_5477 (=> ?v_5478 (=> ?v_5479 (=> ?v_5480 (=> ?v_5481 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.3) (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.4 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.3) (=> ?v_5482 (=> ?v_5483 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.20 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.19) ?v_5484))))))))))))))))))) (?v_5485 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.3 hirp))) (let ((?v_5488 (and (=> true (=> ?v_5485 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5486)))) (=> true (=> (not ?v_5485) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5486))))))))))))))))) (let ((?v_5490 (=> true (=> true (=> true (=> true ?v_5488))))) (?v_5489 (= k.13 1)) (?v_5487 (= k.13 0))) (let ((?v_5512 (and (=> true (=> (not ?v_5504) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.0 (PLUS (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.5 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.0 1) 1 1)) (and (=> true (=> ?v_5491 (=> true (=> (<= k.11 k.13) (=> (< k.13 2) (and (=> true (=> ?v_5487 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.2 ?v_5047) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.3 inline.SerialGetCharsFromIntBuffer.0.myVar_0.2) ?v_5488))))) (=> true (=> (not ?v_5487) (and (=> true (=> ?v_5489 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.0 ?v_5354) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.3 inline.SerialGetCharsFromIntBuffer.0.myVar_0.0) ?v_5490))))) (=> true (=> (not ?v_5489) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.3 inline.SerialGetCharsFromIntBuffer.0.myVar_0) ?v_5490))))))))))))) (=> true (=> (not ?v_5491) (and (=> true (=> ?v_5255 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.4 ?v_5047) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.5 inline.SerialGetCharsFromIntBuffer.0.myVar_0.4) ?v_5501))))) (=> true (=> ?v_5500 (and (=> true (=> ?v_5495 (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.1 ?v_5354) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.5 inline.SerialGetCharsFromIntBuffer.0.myVar_0.1) ?v_5503))))) (=> true (=> ?v_5502 (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.5 inline.SerialGetCharsFromIntBuffer.0.myVar_0) ?v_5503))))))))))))))) (=> true (=> ?v_5504 (=> true (=> ?v_5505 (=> ?v_5478 (=> (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.1 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer) (=> (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.9 inline.SerialGetCharsFromIntBuffer.0.myVar_0) (=> ?v_5481 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.6 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1) (=> (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.4 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.3 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2) (=> ?v_5483 (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.20 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.4) (=> ?v_5506 (=> ?v_5507 (=> ?v_5508 (=> ?v_5509 (=> ?v_5510 ?v_5511))))))))))))))))))))) (let ((?v_5518 (and (=> true (=> (< inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.2 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.0) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.3) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.4 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.3) ?v_5512))))) (=> true (=> (not (< inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.1 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.0)) (=> true (=> (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.0 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.0) (=> (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.4 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.1) (=> true ?v_5512)))))))) (?v_5517 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 hlock))) (let ((?v_5513 (=> true (=> (= lockStatus_0.25 lockStatus_0.24) (=> (= lockStatus_1.25 lockStatus_1.24) ?v_5518))))) (let ((?v_5516 (=> true ?v_5513)) (?v_5514 (= lockStatus_0.24 lockStatus_0.20)) (?v_5515 (= lockStatus_1.24 lockStatus_1.20))) (let ((?v_5519 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.48 inline.SerialStartRead.0.myNondetVar_1.5) (=> true (=> (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 ?v_3598) (and (=> true (=> ?v_5517 (=> true (=> (=> ?v_5255 (= lockStatus_0.20 0)) (=> (=> ?v_5495 (= lockStatus_1.20 0)) (and (=> true (=> ?v_5255 (=> true (=> (= lockStatus_0.24 1) (=> ?v_5515 ?v_5513))))) (=> true (=> ?v_5500 (and (=> true (=> ?v_5495 (=> true (=> ?v_5514 (=> (= lockStatus_1.24 1) ?v_5516))))) (=> true (=> ?v_5502 (=> true (=> ?v_5514 (=> ?v_5515 ?v_5516)))))))))))))) (=> true (=> (not ?v_5517) (=> true (=> (= lockStatus_0.25 lockStatus_0.20) (=> (= lockStatus_1.25 lockStatus_1.20) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5518)))))))))))))))))))))) (let ((?v_5522 (and (=> true (=> ?v_5419 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.47 inline.SerialStartRead.0.myNondetVar_0.46) ?v_5519)))) (=> true (=> ?v_5457 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.47 inline.SerialStartRead.0.myNondetVar_0.45) ?v_5519))))))) (let ((?v_5523 (=> true ?v_5522)) (?v_5524 (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead))) (let ((?v_5528 (=> ?v_5473 (=> ?v_5392 (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead) (=> ?v_5457 ?v_5523)))))) (let ((?v_5525 (=> ?v_5256 ?v_5528)) (?v_5521 (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.0 1))) (let ((?v_5529 (=> ?v_5521 ?v_5523))) (let ((?v_5530 (=> true (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0 inline.SerialStartRead.0.myNondetVar_0.36) (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.37) (=> ?v_5256 (=> ?v_5473 (=> ?v_5392 (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0 inline.SerialStartRead.0.myNondetVar_0.37) ?v_5529)))))))) (?v_5520 (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.0 1))) (let ((?v_5526 (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.41 BOOGIE_LARGE_INT_4294967295)) (and (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.43 BOOGIE_LARGE_INT_4294967295) (=> true (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0 0) (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.44) (=> ?v_5256 (=> ?v_5520 (=> (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.0 1) (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0 inline.SerialStartRead.0.myNondetVar_0.44) ?v_5529))))))))) (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.42 BOOGIE_LARGE_INT_4294967295)) (=> true (=> ?v_5524 (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.42) ?v_5525)))))))) (=> true (=> (not (not (= inline.SerialStartRead.0.myNondetVar_0.40 BOOGIE_LARGE_INT_4294967295))) (=> true (=> ?v_5524 (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.40) ?v_5525)))))))) (let ((?v_5527 (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.26 BOOGIE_LARGE_INT_4294967295)) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.27 BOOGIE_LARGE_INT_4294967295)) (=> true (=> (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.0 inline.SerialStartRead.0.myNondetVar_0.28) (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.29) (=> ?v_5256 (=> ?v_5520 (=> ?v_5392 (=> (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.0 inline.SerialStartRead.0.myNondetVar_0.29) (=> ?v_5521 ?v_5522)))))))))) (=> true (=> (not (not (= inline.SerialStartRead.0.myNondetVar_0.38 BOOGIE_LARGE_INT_4294967295))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.39 inline.SerialStartRead.0.myNondetVar_0.38) ?v_5526))))))) (=> true (=> (not (not (= inline.SerialStartRead.0.myNondetVar_0.25 BOOGIE_LARGE_INT_4294967295))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.39 inline.SerialStartRead.0.myNondetVar_0.25) (=> true ?v_5526)))))))) (let ((?v_5532 (and (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.19 BOOGIE_LARGE_INT_4294967295) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.20 0)) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.24 inline.SerialStartRead.0.myNondetVar_0.20) ?v_5527)))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.21 0) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.23 0)) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.24 inline.SerialStartRead.0.myNondetVar_0.23) (=> true ?v_5527))))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.22 0) (=> true (=> ?v_5524 (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.22) (=> (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.0 1) ?v_5528)))))))))))) (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.30 BOOGIE_LARGE_INT_4294967295)) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.31 0)) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.35 inline.SerialStartRead.0.myNondetVar_0.31) ?v_5530)))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.32 0) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.33 0)) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.35 inline.SerialStartRead.0.myNondetVar_0.33) (=> true (=> true (=> true ?v_5530))))))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.34 0) (=> true (=> ?v_5524 (=> (= inline.SerialStartRead.0.myNondetVar_0.45 inline.SerialStartRead.0.myNondetVar_0.34) ?v_5525)))))))))))))) (let ((?v_5533 (=> true ?v_5532)) (?v_5534 (= inline.SerialStartRead.0.myNondetVar_1.4 inline.SerialStartRead.0.myNondetVar_1.1)) (?v_5531 (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.0 1))) (let ((?v_5540 (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.12 0)) (and (=> true (=> (not (= inline.SerialStartRead.0.myNondetVar_0.14 BOOGIE_LARGE_INT_4294967295)) (and (=> true (=> (<= inline.SerialStartRead.0.myNondetVar_0.16 inline.SerialStartRead.0.myNondetVar_1.2) (=> true (=> ?v_5531 (=> (= inline.SerialStartRead.0.myNondetVar_1.4 inline.SerialStartRead.0.myNondetVar_1.2) (=> (= inline.SerialStartRead.0.myNondetVar_0.18 inline.SerialStartRead.0.myNondetVar_0.16) ?v_5532)))))) (=> true (=> (not (<= inline.SerialStartRead.0.myNondetVar_0.17 inline.SerialStartRead.0.myNondetVar_1.3)) (=> true (=> ?v_5531 (=> (= inline.SerialStartRead.0.myNondetVar_1.4 inline.SerialStartRead.0.myNondetVar_1.3) (=> (= inline.SerialStartRead.0.myNondetVar_0.18 inline.SerialStartRead.0.myNondetVar_0.17) ?v_5533))))))))) (=> true (=> (not (not (= inline.SerialStartRead.0.myNondetVar_0.13 BOOGIE_LARGE_INT_4294967295))) (=> true (=> ?v_5449 (=> ?v_5534 (=> (= inline.SerialStartRead.0.myNondetVar_0.18 inline.SerialStartRead.0.myNondetVar_0.13) ?v_5533))))))))) (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.11 0) (=> true (=> ?v_5449 (=> ?v_5534 (=> (= inline.SerialStartRead.0.myNondetVar_0.18 inline.SerialStartRead.0.myNondetVar_0.11) ?v_5533)))))))) (?v_5539 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5535 (=> true (=> (= lockStatus_0.20 lockStatus_0.19) (=> (= lockStatus_1.20 lockStatus_1.19) ?v_5540))))) (let ((?v_5538 (=> true ?v_5535)) (?v_5536 (= lockStatus_0.19 lockStatus_0.18)) (?v_5537 (= lockStatus_1.19 lockStatus_1.18))) (let ((?v_5547 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.8 inline.SerialStartRead.0.myNondetVar_1.1) (=> true (=> (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_3598) (and (=> true (=> ?v_5539 (and (=> true (=> ?v_5255 (=> true (=> (= lockStatus_0.19 0) (=> ?v_5537 ?v_5535))))) (=> true (=> ?v_5500 (and (=> true (=> ?v_5495 (=> true (=> ?v_5536 (=> (= lockStatus_1.19 0) ?v_5538))))) (=> true (=> ?v_5502 (=> true (=> ?v_5536 (=> ?v_5537 ?v_5538))))))))))) (=> true (=> (not ?v_5539) (=> true (=> (= lockStatus_0.20 lockStatus_0.18) (=> (= lockStatus_1.20 lockStatus_1.18) (=> true (=> true (=> true (=> true ?v_5540))))))))))))))) (?v_5546 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 hlock))) (let ((?v_5542 (=> true (=> (= lockStatus_0.18 lockStatus_0.17) (=> (= k.11 k.10) (=> (= lockStatus_1.18 lockStatus_1.17) (=> (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..0 call64748formal.ret.0) ?v_5547))))))) (let ((?v_5545 (=> true ?v_5542)) (?v_5543 (= lockStatus_0.17 lockStatus_0.14)) (?v_5544 (= lockStatus_1.17 lockStatus_1.14)) (?v_5541 (= k.10 1)) (?v_5254 (= k.10 0)) (?v_5225 (= lockStatus_0.14 0)) (?v_5226 (= lockStatus_1.14 0))) (let ((?v_5551 (=> true (=> (= inline.SerialStartRead.0.myNondetVar_0.1 inline.SerialStartRead.0.myNondetVar_1.0) (=> true (=> (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 ?v_3598) (and (=> true (=> ?v_5546 (=> true (=> (<= k.7 k.10) (=> (< k.10 2) (=> true (=> (=> ?v_5254 ?v_5225) (=> (=> ?v_5541 ?v_5226) (and (=> true (=> ?v_5254 (=> true (=> (= lockStatus_0.17 1) (=> ?v_5544 ?v_5542))))) (=> true (=> (not ?v_5254) (and (=> true (=> ?v_5541 (=> true (=> ?v_5543 (=> (= lockStatus_1.17 1) ?v_5545))))) (=> true (=> (not ?v_5541) (=> true (=> ?v_5543 (=> ?v_5544 ?v_5545))))))))))))))))) (=> true (=> (not ?v_5546) (=> true (=> (= lockStatus_0.18 lockStatus_0.14) (=> (= k.11 k.7) (=> (= lockStatus_1.18 lockStatus_1.14) (=> (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..0 inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1.) (=> true (=> true (=> true (=> true ?v_5547))))))))))))))))) (?v_5550 (= call64623formal.ret.0 0))) (let ((?v_5549 (=> true (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.13.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.13.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.2 inline.sdv_InterlockedDecrement.13.myNondetVar_0.1) (=> (= inline.SerialCancelTimer.3.myNondetVar_0.1 inline.SerialCancelTimer.3.myNondetVar_0.0) (=> (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.13.myNondetVar_0.1) ?v_5551)))))))) (?v_5548 (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.1 0))) (let ((?v_5555 (=> true (=> (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.0 ?v_5422) (and (=> true (=> (not ?v_5550) (and (=> true (=> (not ?v_5548) (=> true (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2.) ?v_5549)))) (=> true (=> ?v_5548 (=> true (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..0 call64700formal.ret.0) (=> true (=> true (=> true ?v_5549)))))))))) (=> true (=> ?v_5550 (=> true (=> (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.2 inline.sdv_InterlockedDecrement.13.myNondetVar_0) (=> (= inline.SerialCancelTimer.3.myNondetVar_0.1 inline.SerialCancelTimer.3.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> true (=> true (=> true (=> true ?v_5551))))))))))))))))) (?v_5554 (= call64516formal.ret.0 0))) (let ((?v_5553 (=> true (=> (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.12.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.12.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.2 inline.sdv_InterlockedDecrement.12.myNondetVar_0.1) (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.12.myNondetVar_0.1) (=> (= inline.SerialCancelTimer.2.myNondetVar_0.1 inline.SerialCancelTimer.2.myNondetVar_0.0) ?v_5555)))))))) (?v_5552 (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.1 0))) (let ((?v_5557 (=> true (=> (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.0 ?v_5420) (and (=> true (=> (not ?v_5554) (and (=> true (=> (not ?v_5552) (=> true (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2.) ?v_5553)))) (=> true (=> ?v_5552 (=> true (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..0 call64593formal.ret.0) (=> true (=> true (=> true ?v_5553)))))))))) (=> true (=> ?v_5554 (=> true (=> (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.2 inline.sdv_InterlockedDecrement.12.myNondetVar_0) (=> (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialCancelTimer.2.myNondetVar_0.1 inline.SerialCancelTimer.2.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true ?v_5555)))))))))))))))))) (?v_5556 (= inline.SerialStartRead.0.myVar_0.5 hirp))) (let ((?v_5558 (and (=> true (=> ?v_5556 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5557)))) (=> true (=> (not ?v_5556) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5557))))))))))))))))) (let ((?v_5559 (=> true (=> true (=> true (=> true ?v_5558))))) (?v_3584 (= k.7 1))) (let ((?v_4500 (not ?v_3584)) (?v_3582 (= k.7 0))) (let ((?v_4498 (not ?v_3582)) (?v_5253 (not (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 3))) (?v_5113 (= alloc.33 alloc.28)) (?v_5114 (= inline.SerialStartRead.0..localStatus.17.255.21.SerialStartRead.0 0)) (?v_5116 (= inline.SerialResizeBuffer.0..controlIrql.6.1678.14.SerialResizeBuffer.0 call63004formal.new.0)) (?v_5117 (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.1 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.0)) (?v_5118 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5119 (= inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer.1 inline.SerialGetCharsFromIntBuffer.0..numberOfCharsToGet.2.1259.10.SerialGetCharsFromIntBuffer)) (?v_5121 (= inline.KeSynchronizeExecution.6.myNondetVar_0.8 inline.KeSynchronizeExecution.6.myNondetVar_0.7)) (?v_5122 (= k.19 k.7)) (?v_5123 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.12 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.11)) (?v_5124 (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..1)) (?v_5125 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.2 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1)) (?v_5126 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_5127 (= inline.SerialStartRead.0.myNondetVar_1.14 inline.SerialStartRead.0.myNondetVar_1)) (?v_5128 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_5129 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5132 (= inline.sdv_InterlockedDecrement.12.myNondetVar_0.3 inline.sdv_InterlockedDecrement.12.myNondetVar_0)) (?v_5133 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5135 (= inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.12..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_5136 (= inline.SerialStartRead.0.myVar_0.24 inline.SerialStartRead.0.myVar_0.2)) (?v_5138 (= inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead.1 inline.SerialStartRead.0..multiplierVal.11.227.10.SerialStartRead)) (?v_5139 (= inline.SerialStartRead.0.myNondetVar_0.82 inline.SerialStartRead.0.myNondetVar_0)) (?v_5140 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer)) (?v_5143 (= inline.SerialStartRead.0..result.SerialResizeBuffer.255.53.5..0 0)) (?v_5144 (= inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.33..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5147 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0)) (?v_5148 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialResizeBuffer.0.myVar_0.2)) (?v_5149 (= inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.10..result.SdvMakeChoice.4659.26.2.)) (?v_5150 (= inline.SerialResizeBuffer.0..result.SerialResizeBuffer.1621.0.1..0 0)) (?v_5151 (= inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1..1 inline.sdv_KeAcquireSpinLock.3..result.userContextSwitch.4339.4.1.)) (?v_5152 (= inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.13..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_5153 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5154 (= inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead.1 inline.SerialStartRead.0..useIntervalTimer.10.225.12.SerialStartRead)) (?v_5157 (= inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.2..cancelled.3.1402.11.SerialCancelTimer)) (?v_5158 (= inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.4..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1)) (?v_5161 (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.1)) (?v_5162 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_5163 (= inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.3..Timer.1.1382.29.SerialCancelTimer1)) (?v_5164 (= inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead.1 inline.SerialStartRead.0..returnWithWhatsPresent.6.221.12.SerialStartRead)) (?v_5165 (= inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.31..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5167 (= inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.3..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_5168 (= inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.31..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5169 (= inline.SerialGetCharsFromIntBuffer.0.myVar_0.10 inline.SerialGetCharsFromIntBuffer.0.myVar_0)) (?v_5170 (= inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.8..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5171 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0.22 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_0)) (?v_5172 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.5 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.4)) (?v_5173 (= inline.SerialResizeBuffer.0.myNondetVar_1.5 inline.SerialResizeBuffer.0.myNondetVar_1.4)) (?v_5174 (= inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead.1 inline.SerialStartRead.0..os2ssreturn.7.222.12.SerialStartRead)) (?v_5175 (= lockStatus_1.34 lockStatus_1.23)) (?v_5176 (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0)) (?v_5177 (= inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead.1 inline.SerialStartRead.0..constantVal.12.228.10.SerialStartRead)) (?v_5178 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer.0 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer)) (?v_5179 (= inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1.0 inline.SerialGetCharsFromIntBuffer.0..Extension.1.1225.29.SerialGetCharsFromIntBuffer1)) (?v_5181 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer)) (?v_5182 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer1.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (?v_5184 (= inline.SerialCancelTimer.3.myNondetVar_0.2 inline.SerialCancelTimer.3.myNondetVar_0)) (?v_5185 (= inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.3..result.KeCancelTimer.1404.28.2.)) (?v_5186 (= inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.35..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5187 (= inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.35..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5188 (= inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead.1 inline.SerialStartRead.0..crunchDownToOne.8.223.12.SerialStartRead)) (?v_5189 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2.4 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_2)) (?v_5191 (= inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead.1 inline.SerialStartRead.0..useTotalTimer.9.224.12.SerialStartRead)) (?v_5193 (= inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.34..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5194 (= inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.3..SpinLock.1.4334.19.sdv_KeAcquireSpinLock)) (?v_5195 (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.3 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.2)) (?v_5196 (= inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.9..result.SdvMakeChoice.4659.26.2.)) (?v_5197 (= inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.3..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_5198 (= inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1.7 inline.SerialGetCharsFromIntBuffer.0.myNondetVar_1)) (?v_5199 (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5200 (= inline.SerialResizeBuffer.0..Extension.1.1622.32.SerialResizeBuffer.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (?v_5203 (= inline.SerialResizeBuffer.0..rp.5.1677.29.SerialResizeBuffer.0 call63007formal.new.0)) (?v_5204 (= inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.2..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_5205 (= inline.sdv_IoGetCurrentIrpStackLocation.32..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialResizeBuffer.0.myVar_0.2)) (?v_5206 (= inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.3..cancelled.3.1402.11.SerialCancelTimer)) (?v_5207 (= lockStatus_0.34 lockStatus_0.23)) (?v_5208 (= inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.34..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5209 (= inline.SerialCancelTimer.2.myNondetVar_0.2 inline.SerialCancelTimer.2.myNondetVar_0)) (?v_5210 (= inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.2..Timer.1.1382.29.SerialCancelTimer1)) (?v_5211 (= inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.2..result.KeCancelTimer.1404.28.2.)) (?v_5213 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.1 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0)) (?v_5214 (= inline.sdv_InterlockedDecrement.13.myNondetVar_0.3 inline.sdv_InterlockedDecrement.13.myNondetVar_0)) (?v_5215 (= inline.SerialGetCharsFromIntBuffer.0.tempBoogie0.6 inline.SerialGetCharsFromIntBuffer.0.tempBoogie0)) (?v_5216 (= inline.SerialResizeBuffer.0.myVar_0.3 inline.SerialResizeBuffer.0.myVar_0.2)) (?v_5217 (= inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.2..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_5218 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.1 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0)) (?v_5219 (= inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.33..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5221 (= inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer.2 inline.SerialGetCharsFromIntBuffer.0..firstTryNumberToGet.3.1267.10.SerialGetCharsFromIntBuffer)) (?v_5222 (= inline.SerialResizeBuffer.0.myNondetVar_0.14 inline.SerialResizeBuffer.0.myNondetVar_0.13)) (?v_5223 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.2 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1))) (let ((?v_5227 (and (=> true (=> ?v_29 (=> true (=> ?v_5112 (=> ?v_5257 (=> ?v_5113 (=> ?v_5114 (=> ?v_5115 (=> ?v_5116 (=> ?v_5117 (=> ?v_5118 (=> ?v_5119 (=> ?v_5120 (=> ?v_5121 (=> ?v_5122 (=> ?v_5123 (=> ?v_5124 (=> ?v_5125 (=> ?v_5126 (=> ?v_5127 (=> ?v_5128 (=> ?v_5129 (=> ?v_5130 (=> ?v_5131 (=> ?v_5132 (=> ?v_5133 (=> ?v_5134 (=> ?v_5135 (=> ?v_5136 (=> ?v_5137 (=> ?v_5138 (=> ?v_5139 (=> ?v_5140 (=> ?v_5141 (=> ?v_5142 (=> ?v_5143 (=> ?v_5144 (=> ?v_5145 (=> ?v_5146 (=> ?v_5147 (=> ?v_5148 (=> ?v_5149 (=> ?v_5150 (=> ?v_5151 (=> ?v_5152 (=> ?v_5153 (=> ?v_5154 (=> ?v_5155 (=> ?v_5156 (=> ?v_5157 (=> ?v_5158 (=> ?v_5159 (=> ?v_5160 (=> ?v_5161 (=> ?v_5162 (=> ?v_5163 (=> ?v_5164 (=> ?v_5165 (=> ?v_5166 (=> ?v_5167 (=> ?v_5168 (=> ?v_5169 (=> ?v_5170 (=> ?v_5171 (=> ?v_5172 (=> ?v_5173 (=> ?v_5174 (=> ?v_5175 (=> ?v_5176 (=> ?v_5177 (=> ?v_5178 (=> ?v_5179 (=> ?v_5180 (=> ?v_5181 (=> ?v_5182 (=> ?v_5183 (=> ?v_5184 (=> ?v_5185 (=> ?v_5186 (=> ?v_5187 (=> ?v_5188 (=> ?v_5189 (=> ?v_5190 (=> ?v_5191 (=> ?v_5192 (=> ?v_5193 (=> ?v_5194 (=> ?v_5195 (=> ?v_5196 (=> ?v_5197 (=> ?v_5198 (=> ?v_5199 (=> ?v_5200 (=> ?v_5201 (=> ?v_5202 (=> ?v_5203 (=> ?v_5204 (=> ?v_5205 (=> ?v_5258 (=> ?v_5206 (=> ?v_5207 (=> ?v_5208 (=> ?v_5209 (=> ?v_5210 (=> ?v_5211 (=> ?v_5212 (=> ?v_5213 (=> ?v_5214 (=> ?v_5215 (=> ?v_5216 (=> ?v_5217 (=> ?v_5218 (=> ?v_5219 (=> ?v_5220 (=> ?v_5221 (=> ?v_5222 (=> ?v_5223 ?v_5224))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_0 (=> true (=> ?v_5112 (=> ?v_5260 (=> ?v_5113 (=> ?v_5114 (=> ?v_5115 (=> ?v_5116 (=> ?v_5117 (=> ?v_5118 (=> ?v_5119 (=> ?v_5120 (=> ?v_5121 (=> ?v_5122 (=> ?v_5123 (=> ?v_5124 (=> ?v_5125 (=> ?v_5126 (=> ?v_5127 (=> ?v_5128 (=> ?v_5129 (=> ?v_5130 (=> ?v_5131 (=> ?v_5132 (=> ?v_5133 (=> ?v_5134 (=> ?v_5135 (=> ?v_5136 (=> ?v_5137 (=> ?v_5138 (=> ?v_5139 (=> ?v_5140 (=> ?v_5141 (=> ?v_5142 (=> ?v_5143 (=> ?v_5144 (=> ?v_5145 (=> ?v_5146 (=> ?v_5147 (=> ?v_5148 (=> ?v_5149 (=> ?v_5150 (=> ?v_5151 (=> ?v_5152 (=> ?v_5153 (=> ?v_5154 (=> ?v_5155 (=> ?v_5156 (=> ?v_5157 (=> ?v_5158 (=> ?v_5159 (=> ?v_5160 (=> ?v_5161 (=> ?v_5162 (=> ?v_5163 (=> ?v_5164 (=> ?v_5165 (=> ?v_5166 (=> ?v_5167 (=> ?v_5168 (=> ?v_5169 (=> ?v_5170 (=> ?v_5171 (=> ?v_5172 (=> ?v_5173 (=> ?v_5174 (=> ?v_5175 (=> ?v_5176 (=> ?v_5177 (=> ?v_5178 (=> ?v_5179 (=> ?v_5180 (=> ?v_5181 (=> ?v_5182 (=> ?v_5183 (=> ?v_5184 (=> ?v_5185 (=> ?v_5186 (=> ?v_5187 (=> ?v_5188 (=> ?v_5189 (=> ?v_5190 (=> ?v_5191 (=> ?v_5192 (=> ?v_5193 (=> ?v_5194 (=> ?v_5195 (=> ?v_5196 (=> ?v_5197 (=> ?v_5198 (=> ?v_5199 (=> ?v_5200 (=> ?v_5201 (=> ?v_5202 (=> ?v_5203 (=> ?v_5204 (=> ?v_5205 (=> ?v_5340 (=> ?v_5206 (=> ?v_5207 (=> ?v_5208 (=> ?v_5209 (=> ?v_5210 (=> ?v_5211 (=> ?v_5212 (=> ?v_5213 (=> ?v_5214 (=> ?v_5215 (=> ?v_5216 (=> ?v_5217 (=> ?v_5218 (=> ?v_5219 (=> ?v_5220 (=> ?v_5221 (=> ?v_5222 (=> ?v_5223 ?v_5259)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_5233 (=> true (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.11 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.10) (=> (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.0 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.0) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.0) (=> (= lockStatus_1.23 lockStatus_1.22) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.4 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.3) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialUpdateAndSwitchToNew) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= lockStatus_0.23 lockStatus_0.22) (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.13 inline.SerialResizeBuffer.0.myNondetVar_0.12) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.7 inline.KeSynchronizeExecution.6.myNondetVar_0.6) (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.2 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.1) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialUpdateAndSwitchToNew) (=> (= inline.SerialResizeBuffer.0.myNondetVar_1.4 inline.SerialResizeBuffer.0.myNondetVar_1.3) (=> true (=> true (=> true (=> true (=> true (=> true ?v_5227))))))))))))))))))))))))) (?v_5232 (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5228 (=> true (=> (= lockStatus_0.22 lockStatus_0.21) (=> (= lockStatus_1.22 lockStatus_1.21) ?v_5233))))) (let ((?v_5231 (=> true ?v_5228)) (?v_5229 (= lockStatus_0.21 lockStatus_0.16)) (?v_5230 (= lockStatus_1.21 lockStatus_1.16))) (let ((?v_5235 (=> true (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.9 inline.SerialResizeBuffer.0.myNondetVar_1.3) (=> true (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_3598) (and (=> true (=> ?v_5232 (and (=> true (=> ?v_3582 (=> true (=> (= lockStatus_0.21 0) (=> ?v_5230 ?v_5228))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> true (=> ?v_5229 (=> (= lockStatus_1.21 0) ?v_5231))))) (=> true (=> ?v_4500 (=> true (=> ?v_5229 (=> ?v_5230 ?v_5231))))))))))) (=> true (=> (not ?v_5232) (=> true (=> (= lockStatus_0.22 lockStatus_0.16) (=> (= lockStatus_1.22 lockStatus_1.16) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5233))))))))))))))))))))) (let ((?v_5238 (and (=> true (=> (not ?v_5234) (=> true (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.6..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.6..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.6 inline.KeSynchronizeExecution.6.myNondetVar_0.5) ?v_5235)))))) (=> true (=> ?v_5234 (=> true (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.6 inline.KeSynchronizeExecution.6.myNondetVar_0) (=> true (=> true (=> true ?v_5235)))))))))))) (let ((?v_5240 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5238))))))))))) (?v_5241 (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.0 0)) (?v_5237 (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.1 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.0)) (?v_5239 (<= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.0 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.0)) (?v_5236 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.0 1 1))) (let ((?v_5247 (and (=> true (=> (not ?v_5241) (=> true (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.0 (PLUS (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.1 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.0 1) 1 1)) (and (=> true (=> ?v_5239 (and (=> true (=> (= (PLUS inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.6 1 ?v_5236) inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.2) (=> true (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.10 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.7) (=> ?v_5237 (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.3 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.2) ?v_5238)))))) (=> true (=> (not (= (PLUS inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.4 1 ?v_5236) inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.1)) (=> true (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.10 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.5) (=> ?v_5237 (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.3 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.1) ?v_5240))))))))) (=> true (=> (not ?v_5239) (=> true (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.10 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.9) (=> ?v_5237 (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.3 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.0) ?v_5240))))))))))) (=> true (=> ?v_5241 (=> true (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.10 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.0) (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.1 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.3 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1) ?v_5240)))))))) (?v_5246 (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 hlock))) (let ((?v_5242 (=> true (=> (= lockStatus_0.16 lockStatus_0.15) (=> (= lockStatus_1.16 lockStatus_1.15) ?v_5247))))) (let ((?v_5245 (=> true ?v_5242)) (?v_5243 (= lockStatus_0.15 lockStatus_0.14)) (?v_5244 (= lockStatus_1.15 lockStatus_1.14))) (let ((?v_5249 (and (=> true (=> (<= inline.SerialResizeBuffer.0.myNondetVar_0.2 inline.SerialResizeBuffer.0.myNondetVar_1.0) (=> true (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_0.11 inline.SerialMoveToNewIntBuffer.0.myNondetVar_0) (=> (= inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer.0 inline.SerialMoveToNewIntBuffer.0..numberOfCharsMoved.3.1781.10.SerialMoveToNewIntBuffer) (=> (= inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.6..b.4.4670.12.KeSynchronizeExecution) (=> (= lockStatus_1.23 lockStatus_1.14) (=> (= inline.SerialMoveToNewIntBuffer.0.myNondetVar_1.4 inline.SerialMoveToNewIntBuffer.0.myNondetVar_1) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1) (=> (= lockStatus_0.23 lockStatus_0.14) (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.13 inline.SerialResizeBuffer.0.myNondetVar_0.2) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock) (=> (= inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.6..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.7..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1) (=> (= inline.KeSynchronizeExecution.6.myNondetVar_0.7 inline.KeSynchronizeExecution.6.myNondetVar_0) (=> (= inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer.2 inline.SerialMoveToNewIntBuffer.0..firstTryNumberToGet.4.1792.14.SerialMoveToNewIntBuffer) (=> (= inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.6..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.SerialResizeBuffer.0.myNondetVar_1.4 inline.SerialResizeBuffer.0.myNondetVar_1.0) ?v_5227)))))))))))))))))))) (=> true (=> (not (<= inline.SerialResizeBuffer.0.myNondetVar_0.3 inline.SerialResizeBuffer.0.myNondetVar_1.1)) (=> true (=> (= inline.SerialResizeBuffer.0.myNondetVar_0.6 inline.SerialResizeBuffer.0.myNondetVar_1.2) (=> true (=> (= inline.sdv_KeAcquireSpinLock.2..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 ?v_3598) (and (=> true (=> ?v_5246 (=> true (=> (=> ?v_3582 ?v_5225) (=> (=> ?v_3584 ?v_5226) (and (=> true (=> ?v_3582 (=> true (=> (= lockStatus_0.15 1) (=> ?v_5244 ?v_5242))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> true (=> ?v_5243 (=> (= lockStatus_1.15 1) ?v_5245))))) (=> true (=> ?v_4500 (=> true (=> ?v_5243 (=> ?v_5244 ?v_5245)))))))))))))) (=> true (=> (not ?v_5246) (=> true (=> (= lockStatus_0.16 lockStatus_0.14) (=> (= lockStatus_1.16 lockStatus_1.14) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5247))))))))))))))))))))))) (?v_5248 (= inline.SerialResizeBuffer.0.myVar_0.2 hirp))) (let ((?v_5251 (and (=> true (=> ?v_5248 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5249)))) (=> true (=> (not ?v_5248) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.32..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5249))))))))))))))))) (let ((?v_5252 (=> true (=> true (=> true (=> true ?v_5251))))) (?v_5045 (int_2_U call63004formal.new.0)) (?v_3578 (>= 20 0)) (?v_5046 (int_2_U call63007formal.new.0))) (let ((?v_5561 (and (=> true (=> ?v_5253 (=> true (and ?v_8 (=> ?v_8 (=> (> call63004formal.new.0 0) (=> (forall ((?x1619 Int)) (! (=> (and (<= call63004formal.new.0 ?x1619) (< ?x1619 (+ call63004formal.new.0 1))) (= (Base ?x1619) call63004formal.new.0)) :pattern ((Base ?x1619)) )) (=> (forall ((?x1620 boogieU)) (! (=> (= (type ?x1620) intType) (or (= (U_2_int ?x1620) call63004formal.new.0) (= (MapType0Select alloc.26 ?x1620) (MapType0Select alloc.27 ?x1620)))) :pattern ((MapType0Select alloc.27 ?x1620)) )) (=> (and (= (MapType0Select alloc.26 ?v_5045) UNALLOCATED) (= (MapType0Select alloc.27 ?v_5045) ALLOCATED)) (and ?v_3578 (=> ?v_3578 (=> (> call63007formal.new.0 0) (=> (forall ((?x1621 Int)) (! (=> (and (<= call63007formal.new.0 ?x1621) (< ?x1621 (+ call63007formal.new.0 20))) (= (Base ?x1621) call63007formal.new.0)) :pattern ((Base ?x1621)) )) (=> (forall ((?x1622 boogieU)) (! (=> (= (type ?x1622) intType) (or (= (U_2_int ?x1622) call63007formal.new.0) (= (MapType0Select alloc.27 ?x1622) (MapType0Select alloc.28 ?x1622)))) :pattern ((MapType0Select alloc.28 ?x1622)) )) (=> (and (= (MapType0Select alloc.27 ?v_5046) UNALLOCATED) (= (MapType0Select alloc.28 ?v_5046) ALLOCATED)) (and (=> true (=> ?v_3582 (=> (= inline.SerialResizeBuffer.0.myVar_0.0 ?v_5047) (=> true (=> (= inline.SerialResizeBuffer.0.myVar_0.2 inline.SerialResizeBuffer.0.myVar_0.0) ?v_5251))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> (= inline.SerialResizeBuffer.0.myVar_0.1 ?v_5354) (=> true (=> (= inline.SerialResizeBuffer.0.myVar_0.2 inline.SerialResizeBuffer.0.myVar_0.1) ?v_5252))))) (=> true (=> ?v_4500 (=> true (=> (= inline.SerialResizeBuffer.0.myVar_0.2 inline.SerialResizeBuffer.0.myVar_0) ?v_5252))))))))))))))))))))))) (=> true (=> (not ?v_5253) (and (=> true (=> ?v_3582 (=> (= inline.SerialStartRead.0.myVar_0.3 ?v_5047) (=> true (=> (= inline.SerialStartRead.0.myVar_0.5 inline.SerialStartRead.0.myVar_0.3) ?v_5558))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> (= inline.SerialStartRead.0.myVar_0.4 ?v_5354) (=> true (=> (= inline.SerialStartRead.0.myVar_0.5 inline.SerialStartRead.0.myVar_0.4) ?v_5559))))) (=> true (=> ?v_4500 (=> true (=> (= inline.SerialStartRead.0.myVar_0.5 inline.SerialStartRead.0.myVar_0.2) ?v_5559)))))))))))) (?v_5560 (= inline.SerialStartRead.0.myVar_0.2 hirp))) (let ((?v_5562 (and (=> true (=> ?v_5560 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5561)))) (=> true (=> (not ?v_5560) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.30..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5561))))))))))) (let ((?v_5563 (=> true (=> true (=> true (=> true ?v_5562))))) (?v_5044 (int_2_U call62813formal.new.0)) (?v_5037 (int_2_U call62766formal.new.0)) (?v_5039 (int_2_U call62772formal.new.0)) (?v_5040 (int_2_U call62775formal.new.0)) (?v_5041 (int_2_U call62778formal.new.0)) (?v_5042 (>= 12 0)) (?v_5043 (int_2_U call62781formal.new.0)) (?v_5036 (= SerialStartWrite SerialStartWrite)) (?v_3622 (int_2_U call61978formal.new.0))) (let ((?v_3921 (=> true (and ?v_8 (=> ?v_8 (=> (> call61978formal.new.0 0) (=> (forall ((?x1637 Int)) (! (=> (and (<= call61978formal.new.0 ?x1637) (< ?x1637 (+ call61978formal.new.0 1))) (= (Base ?x1637) call61978formal.new.0)) :pattern ((Base ?x1637)) )) (=> (forall ((?x1638 boogieU)) (! (=> (= (type ?x1638) intType) (or (= (U_2_int ?x1638) call61978formal.new.0) (= (MapType0Select alloc.72 ?x1638) (MapType0Select alloc.73 ?x1638)))) :pattern ((MapType0Select alloc.73 ?x1638)) )) (=> (and (= (MapType0Select alloc.72 ?v_3622) UNALLOCATED) (= (MapType0Select alloc.73 ?v_3622) ALLOCATED)) (=> true (=> (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.5 inline.sdv_InterlockedDecrement.10.myNondetVar_0.4) (=> ?v_3623 (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0) (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.9 inline.KeSynchronizeExecution.3.myNondetVar_0.8) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.2) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..4 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.0) (=> (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.2 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.1) (=> ?v_2908 (=> ?v_2909 (=> (= inline.SerialSetTimer.1.myNondetVar_0.8 inline.SerialSetTimer.1.myNondetVar_0.7) (=> (= inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.0) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4) (=> (= inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.0) (=> (= inline.SerialGetNextWrite.0.havoc_stringTemp.3 inline.SerialGetNextWrite.0.havoc_stringTemp.2) (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..2 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..1) (=> ?v_2917 (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.0) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.4) (=> ?v_2920 (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.2) (=> ?v_2922 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..3 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..2) (=> ?v_2925 (=> ?v_2926 (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.8 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7) (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.5 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.4) (=> (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..2 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..1) (=> ?v_2930 (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.3) (=> ?v_2932 (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.1) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0) (=> ?v_2935 (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartWrite.0.myVar_0.13) (=> ?v_2940 (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.1) (=> ?v_2942 (=> ?v_2943 (=> ?v_2944 (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= inline.SerialStartWrite.0..result.SerialStartWrite.166.0.1..0 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3) (=> (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.2) (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.0) (=> ?v_2950 (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1) (=> ?v_2952 (=> ?v_2953 (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.6 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.5) (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.4) (=> (= inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.1 inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.0) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.2) (=> (= k.51 k.50) (=> ?v_2958 (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.4 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.3) (=> ?v_2961 (=> (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0) (=> ?v_3624 (=> ?v_2963 (=> (= inline.IsListEmpty.3.myNondetVar_0.2 inline.IsListEmpty.3.myNondetVar_0.1) (=> (= inline.SerialSetTimer.2.myNondetVar_0.7 inline.SerialSetTimer.2.myNondetVar_0.6) (=> (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.1) (=> ?v_2967 (=> ?v_2968 (=> ?v_2969 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> ?v_2973 (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.4 inline.sdv_InterlockedDecrement.7.myNondetVar_0.3) (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..5 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..4) (=> (= inline.RemoveHeadList.0.myNondetVar_0.6 inline.RemoveHeadList.0.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.10 inline.KeSynchronizeExecution.4.myNondetVar_0.9) (=> (= Mem_0_T.P_IRP.45 Mem_0_T.P_IRP.44) (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3) (=> ?v_2982 (=> ?v_2983 (=> ?v_2984 (=> ?v_2985 (=> ?v_2986 (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.2) (=> ?v_2990 (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.2) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.3) (=> ?v_2993 (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.2) (=> ?v_2996 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..4 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..3) (=> ?v_2999 (=> ?v_3000 (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.1 inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.0) (=> ?v_3005 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartWrite.0.myVar_0.13) (=> ?v_3007 (=> (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..3 inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..2) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.2) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.1) (=> ?v_3011 (=> ?v_3012 (=> ?v_3013 (=> ?v_3014 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> ?v_3016 (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.2) (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..2) (=> ?v_3020 (=> (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.2) (=> ?v_3022 (=> ?v_3023 (=> ?v_3024 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> ?v_3026 (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2) (=> (= inline.SerialGetNextIrp.0.myNondetVar_0.4 inline.SerialGetNextIrp.0.myNondetVar_0.3) (=> ?v_3030 (=> ?v_3625 (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1) (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..4 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..3) (=> (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..1) (=> ?v_3034 (=> ?v_3626 (=> ?v_3035 (=> (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.2) (=> ?v_3627 (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.1 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.0) (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.0) (=> ?v_3040 (=> ?v_3628 (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextWrite.0.myVar_0.17 inline.SerialGetNextWrite.0.myVar_0.16) (=> ?v_3043 (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.4 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.3) (=> ?v_3045 (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..4 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..3) (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.6 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.5) (=> ?v_3050 (=> (= inline.IsListEmpty.2.myNondetVar_0.4 inline.IsListEmpty.2.myNondetVar_0.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.2) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2) (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.6 inline.sdv_InterlockedDecrement.9.myNondetVar_0.5) (=> (= inline.SerialStartWrite.0.myVar_0.29 inline.SerialStartWrite.0.myVar_0.28) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.2) (=> ?v_3061 (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.6 inline.sdv_InterlockedDecrement.6.myNondetVar_0.5) (=> (= inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..0) (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.8 inline.sdv_InterlockedDecrement.5.myNondetVar_0.7) (=> ?v_3065 (=> ?v_3066 (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.2) (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.5 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.4) (=> (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..1) (=> (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.7 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.6) (=> ?v_3072 (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.2) (=> (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.2.havoc_stringTemp.1) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.6 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.5) (=> ?v_3077 (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.2) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.0) (=> (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..1) (=> ?v_3081 (=> ?v_3082 (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.4 inline.SerialGetNextIrpLocked.0.havoc_stringTemp.3) (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.4 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.3) (=> ?v_3088 (=> ?v_3089 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.5 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> ?v_3092 (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..4 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..3) (=> (= inline.SerialStartWrite.0..TotalTime.4.193.18.SerialStartWrite.0 call53173formal.new.0) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1) (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..4 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..3) (=> (= inline.SerialGetNextIrp.1.myNondetVar_0.4 inline.SerialGetNextIrp.1.myNondetVar_0.3) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.8 inline.SerialGetNextWrite.0.myNondetVar_1.7) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> ?v_3102 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_1.2 inline.SerialTryToCompleteCurrent.0.myNondetVar_1.1) (=> (= inline.SerialGetNextWrite.1.myVar_0.15 inline.SerialGetNextWrite.1.myVar_0.14) (=> ?v_3106 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4) (=> ?v_3109 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.RemoveHeadList.1.myNondetVar_0.6 inline.RemoveHeadList.1.myNondetVar_0.5) (=> ?v_3112 (=> (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.2) (=> (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.2) (=> (= lockStatus_0.40 lockStatus_0.39) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.2) (=> ?v_3119 (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.0) (=> (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..1 inline.SerialStartWrite.0..result.SerialDbgPrintEx.201.20.2..0) (=> ?v_3127 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.7 inline.sdv_InterlockedIncrement.1.myNondetVar_0.6) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> ?v_3133 (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.6 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.1) (=> ?v_3137 (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialStartOrQueue.0..result.SerialStartWrite.738.33.8..0 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3) (=> (= cancelLockStatus_0.51 cancelLockStatus_0.50) (=> ?v_5055 (=> (= cancelLockStatus_1.51 cancelLockStatus_1.50) (=> ?v_3141 (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.5 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4) (=> ?v_3629 (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.2) (=> (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..1) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> ?v_3146 (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.2 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.1) (=> ?v_3148 (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.2) (=> ?v_3150 (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..6 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..5) (=> (= inline.IsListEmpty.1.myNondetVar_0.4 inline.IsListEmpty.1.myNondetVar_0.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4) (=> ?v_3155 (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..4) (=> (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..3 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..2) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.5 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.4) (=> ?v_3159 (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0) (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.4 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.3) (=> ?v_3164 (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.7 inline.SerialGetNextWrite.0.myNondetVar_2.6) (=> (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.0) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..1) (=> ?v_3168 (=> ?v_3169 (=> (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..1) (=> (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.4 inline.sdv_InterlockedIncrement.3.myNondetVar_0.3) (=> (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..1) (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.3 inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.2) (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..4 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.1) (=> (= inline.SerialGetNextWrite.1.tempBoogie0.7 inline.SerialGetNextWrite.1.tempBoogie0.6) (=> ?v_3179 (=> (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..2) (=> ?v_3181 (=> (= Mem_1_T.P_IRP.45 Mem_1_T.P_IRP.44) (=> ?v_3183 (=> ?v_3184 (=> (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..2) (=> ?v_3186 (=> ?v_3187 (=> ?v_3188 (=> (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..1) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..2 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> ?v_3195 (=> ?v_3196 (=> (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..3 inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..2) (=> (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.1) (=> ?v_3199 (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.3 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.2) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.23 inline.SerialGetNextWrite.0.myNondetVar_0.22) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2) (=> ?v_3203 (=> ?v_3204 (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..3) (=> ?v_3206 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.5 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4) (=> ?v_5056 (=> ?v_3208 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.4 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.3) (=> ?v_3212 (=> ?v_3213 (=> (= inline.SerialStartWrite.0.myNondetVar_2.6 inline.SerialStartWrite.0.myNondetVar_2.5) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.2) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.1) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.2) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.5 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.4) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> ?v_3630 (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3) (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..4) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2) (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0) (=> (= inline.SerialStartWrite.0..result.question.7..2 inline.SerialStartWrite.0..result.question.7..1) (=> ?v_3227 (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.7 inline.SerialTryToCompleteCurrent.0.myVar_0.6) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.2) (=> ?v_3232 (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0) (=> ?v_3234 (=> (= inline.SerialSetTimer.0.myNondetVar_0.10 inline.SerialSetTimer.0.myNondetVar_0.9) (=> ?v_3236 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.3 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2) (=> ?v_3239 (=> ?v_3240 (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> ?v_3242 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_3244 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.2) (=> (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.4 inline.sdv_InterlockedDecrement.8.myNondetVar_0.3) (=> ?v_3631 (=> ?v_3248 (=> (= inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..1 inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..0) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.2) (=> ?v_3251 (=> (= lockStatus_1.40 lockStatus_1.39) (=> (= inline.SerialStartWrite.0..NewIrp.2.191.9.SerialStartWrite.0 call53164formal.new.0) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.3) (=> (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..4 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..3) (=> ?v_3261 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.9 inline.SerialGetNextWrite.0.tempBoogie0.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_3266 (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= irpCompleted_1.29 irpCompleted_1.28) (=> (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..1) (=> ?v_3270 (=> (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..1) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.0) (=> ?v_3273 (=> ?v_3274 (=> ?v_3275 (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..2) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> ?v_3632 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> ?v_3283 (=> ?v_3284 (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.4 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.3) (=> ?v_3288 (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1) (=> (= inline.SerialGetNextIrp.2.myNondetVar_0.2 inline.SerialGetNextIrp.2.myNondetVar_0.1) (=> (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.3 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.2) (=> (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..2 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..1) (=> ?v_3293 (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2) (=> ?v_3295 (=> ?v_3296 (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.5 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.4) (=> ?v_3298 (=> ?v_3299 (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3) (=> ?v_3303 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> ?v_3305 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> ?v_3308 (=> ?v_3309 (=> (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.5 inline.sdv_InterlockedDecrement.2.myNondetVar_0.4) (=> ?v_3311 (=> ?v_3312 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> ?v_3314 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4) (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.4 inline.SerialGetNextIrpLocked.1.havoc_stringTemp.3) (=> ?v_3318 (=> (= inline.KeSynchronizeExecution.5.myNondetVar_0.8 inline.KeSynchronizeExecution.5.myNondetVar_0.7) (=> (= inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.0) (=> ?v_3321 (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.2) (=> ?v_3323 (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.11 inline.KeSynchronizeExecution.1.myNondetVar_0.10) (=> ?v_3325 (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..3 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..2) (=> (= inline.SerialCancelTimer.0.myNondetVar_0.4 inline.SerialCancelTimer.0.myNondetVar_0.3) (=> ?v_3329 (=> ?v_3330 (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..5 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..4) (=> (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.0) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> ?v_3336 (=> ?v_3337 (=> (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.1 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_3340 (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.RemoveHeadList.2.myNondetVar_0.4 inline.RemoveHeadList.2.myNondetVar_0.3) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.5 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.2) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.0) (=> ?v_3347 (=> ?v_3348 (=> ?v_3349 (=> (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> ?v_3351 (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.12 inline.KeSynchronizeExecution.2.myNondetVar_0.11) (=> ?v_3633 (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_2.2 inline.SerialTryToCompleteCurrent.0.myNondetVar_2.1) (=> ?v_3355 (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0) (=> ?v_3357 (=> ?v_3358 (=> (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> ?v_3361 (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_3634 (=> (= inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.1 inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.0) (=> ?v_3635 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..5 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..4) (=> (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.3) (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.7 inline.SerialGetNextIrpLocked.0.myVar_0.6) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.7 inline.SerialRundownIrpRefs.0.tempBoogie0.6) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3) (=> ?v_3375 (=> ?v_3376 (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.3) (=> (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2) (=> ?v_3380 (=> (= inline.SerialStartWrite.0.havoc_stringTemp.0 call61978formal.new.0) (=> (= errorReached.49 errorReached.48) (=> (= alloc.74 alloc.73) (=> ?v_3382 (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.3 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.2) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.6 inline.sdv_InterlockedDecrement.4.myNondetVar_0.5) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.2) (=> ?v_3390 (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.2) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..4 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..3) (=> ?v_3393 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_3395 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.3) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.5 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4) (=> ?v_3400 (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.2) (=> ?v_3402 (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> ?v_3404 (=> ?v_3636 (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.2 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1) (=> (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.3 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.2) (=> (= inline.SerialStartWrite.0..Timeouts.6.195.20.SerialStartWrite.0 call53170formal.new.0) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.4 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.3) (=> (= Mem_1_T.CancelRoutine__IRP.68 Mem_1_T.CancelRoutine__IRP.67) (=> (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.1) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.9 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.8) (=> ?v_3414 (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.0) (=> (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.1) (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.21 inline.SerialGetNextWrite.1.myNondetVar_0.20) (=> (= inline.SerialRundownIrpRefs.0.myVar_0.16 inline.SerialRundownIrpRefs.0.myVar_0.15) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.6 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.5) (=> ?v_3420 (=> ?v_3421 (=> ?v_3422 (=> (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..1) (=> ?v_3424 (=> (= inline.SerialGetNextWrite.1.havoc_stringTemp.1 inline.SerialGetNextWrite.1.havoc_stringTemp.0) (=> ?v_3426 (=> ?v_3427 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.2 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= Mem_0_T.CancelRoutine__IRP.68 Mem_0_T.CancelRoutine__IRP.67) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialStartWrite.0.myNondetVar_0.36 inline.SerialStartWrite.0.myNondetVar_0.35) (=> (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..2 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..1) (=> ?v_3434 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5) (=> ?v_3436 (=> ?v_3437 (=> (= inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.1 inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.0) (=> (= inline.SerialStartWrite.0.tempBoogie0.6 inline.SerialStartWrite.0.tempBoogie0.5) (=> ?v_3637 (=> ?v_3440 (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..1) (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.5 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.4) (=> ?v_3444 (=> (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> ?v_3447 (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..3 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..6 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.5 inline.SerialGetNextIrpLocked.2.myVar_0.4) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2) (=> ?v_3455 (=> ?v_3456 (=> (= inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.5 inline.SerialGetNextWrite.1.myNondetVar_2.4) (=> ?v_3459 (=> ?v_3460 (=> ?v_3461 (=> ?v_3462 (=> (= inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..1) (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.9 inline.KeSynchronizeExecution.0.myNondetVar_0.8) (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2) (=> ?v_3466 (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2) (=> (= inline.SerialCancelTimer.1.myNondetVar_0.4 inline.SerialCancelTimer.1.myNondetVar_0.3) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.2) (=> ?v_3470 (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..4 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> ?v_3474 (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.2) (=> ?v_3477 (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2) (=> ?v_3479 (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.7 inline.SerialGetNextIrpLocked.1.myVar_0.6) (=> ?v_3481 (=> ?v_3482 (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.3 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2) (=> ?v_3638 (=> (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.2 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.1) (=> (= irpCompleted_0.29 irpCompleted_0.28) (=> (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.5 inline.sdv_InterlockedDecrement.3.myNondetVar_0.4) (=> (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.3) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2) (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..3) (=> ?v_3490 (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.4 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.3) (=> (= inline.SerialStartWrite.0..Extension.1.167.32.SerialStartWrite1.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> ?v_3493 (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.2) (=> (= inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.0) (=> (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock.0 inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.3 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.2) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.7 inline.SerialRundownIrpRefs.0.myNondetVar_2.6) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_3501 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_3503 (=> ?v_3504 (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> ?v_3506 (=> (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.1 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0) (=> (= inline.SerialStartWrite.0.myNondetVar_1.10 inline.SerialStartWrite.0.myNondetVar_1.9) (=> ?v_3509 (=> (= inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.0) (=> ?v_3511 (=> ?v_3512 (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.6 inline.SerialGetNextWrite.1.myNondetVar_1.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0) (=> ?v_3516 (=> (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> ?v_3518 (=> (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..3 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..2) (=> ?v_3520 (=> (= inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.0) (=> (= inline.SerialStartWrite.0..OldIrql.3.192.10.SerialStartWrite.0 call53167formal.new.0) (=> (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.5 inline.sdv_InterlockedIncrement.2.myNondetVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> ?v_3526 (=> ?v_3639 (=> (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.2) (=> (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.1 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0) (=> (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.2 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.1) (=> (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.1 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> ?v_3533 (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..4 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..3) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..1 inline.SerialStartWrite.0..result.SerialDbgPrintEx.437.20.14..0) (=> (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.2) (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.5 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.4) (=> ?v_3539 (=> ?v_3540 (=> (= inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.0) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.13 inline.SerialRundownIrpRefs.0.myNondetVar_0.12) (=> ?v_3543 (=> ?v_3544 (=> ?v_3545 (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.7 inline.SerialRundownIrpRefs.0.myNondetVar_1.6) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.2 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.1) (=> ?v_3640 (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3) (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..5 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..4) (=> ?v_3550 (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.4 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3) (=> ?v_3552 (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.2) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2) ?v_3641)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3922 (=> true (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1.) (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.0 2) (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialStartWrite.0.myVar_0.28 inline.SerialStartWrite.0.myVar_0.27) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialGetNextWrite.1.tempBoogie0.6 inline.SerialGetNextWrite.1.tempBoogie0) (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.2 inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.1) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGiveWriteToIsr) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1) (=> (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.1 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.0) (=> (= k.50 k.38) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.0) (=> (= inline.KeSynchronizeExecution.5.myNondetVar_0.7 inline.KeSynchronizeExecution.5.myNondetVar_0.6) (=> (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.0) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialSetTimer.1.myNondetVar_0.7 inline.SerialSetTimer.1.myNondetVar_0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= Mem_1_T.P_IRP.44 Mem_1_T.P_IRP.32) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.2) (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.4 inline.SerialGetNextIrpLocked.2.myVar_0) (=> (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.3 inline.sdv_InterlockedDecrement.8.myNondetVar_0) (=> (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= Mem_0_T.CancelRoutine__IRP.67 Mem_0_T.CancelRoutine__IRP.55) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite) (=> (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.4 inline.sdv_InterlockedIncrement.2.myNondetVar_0) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite) (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.9 inline.KeSynchronizeExecution.4.myNondetVar_0) (=> (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3.) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialStartWrite.0.myVar_0.20) (=> (= cancelLockStatus_0.50 cancelLockStatus_0.41) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.0) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialStartWrite.0.tempBoogie0.5 inline.SerialStartWrite.0.tempBoogie0.4) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1) (=> (= inline.SerialGetNextWrite.1.havoc_stringTemp.0 inline.SerialGetNextWrite.1.havoc_stringTemp) (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer) (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp) (=> (= Mem_1_T.CancelRoutine__IRP.67 Mem_1_T.CancelRoutine__IRP.55) (=> (= alloc.72 alloc.64) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGiveWriteToIsr) (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.20 inline.SerialGetNextWrite.1.myNondetVar_0) (=> (= errorReached.48 errorReached.39) (=> (= cancelLockStatus_1.50 cancelLockStatus_1.41) (=> (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.3 inline.sdv_InterlockedIncrement.3.myNondetVar_0.2) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1) (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13.) (=> (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite) (=> (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1.) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1) (=> (= inline.RemoveHeadList.2.myNondetVar_0.3 inline.RemoveHeadList.2.myNondetVar_0) (=> (= inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1.) (=> (= inline.SerialGetNextIrp.2.myNondetVar_0.1 inline.SerialGetNextIrp.2.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.5 inline.sdv_InterlockedDecrement.9.myNondetVar_0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartWrite.0.myVar_0.23) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1.) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite) (=> (= inline.SerialSetTimer.2.myNondetVar_0.6 inline.SerialSetTimer.2.myNondetVar_0.5) (=> (= inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp) (=> (= inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1.) (=> (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList) (=> (= irpCompleted_1.28 irpCompleted_1.24) (=> (= inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1.) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= Mem_0_T.P_IRP.44 Mem_0_T.P_IRP.32) (=> (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.2.havoc_stringTemp) (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.4 inline.sdv_InterlockedDecrement.10.myNondetVar_0.3) (=> (= inline.SerialStartWrite.0.myNondetVar_0.35 inline.SerialStartWrite.0.myNondetVar_0.34) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialStartWrite.0.myVar_0.20) (=> (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1) (=> (= inline.SerialGetNextWrite.1.myVar_0.14 inline.SerialGetNextWrite.1.myVar_0) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp) (=> (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.8 inline.KeSynchronizeExecution.3.myNondetVar_0) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.4 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartWrite.0.myVar_0.23) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1.) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2.) (=> (= inline.IsListEmpty.3.myNondetVar_0.1 inline.IsListEmpty.3.myNondetVar_0) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.0) (=> (= irpCompleted_0.28 irpCompleted_0.24) (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialCancelCurrentWrite) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite) (=> (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer) (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..0) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialStartWrite.0.myNondetVar_1.9 inline.SerialStartWrite.0.myNondetVar_1.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.SerialStartWrite.0.myNondetVar_2.5 inline.SerialStartWrite.0.myNondetVar_2.4) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.1) (=> (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.4 inline.SerialGetNextWrite.1.myNondetVar_2) (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.5 inline.SerialGetNextWrite.1.myNondetVar_1) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialCancelCurrentWrite) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) ?v_3921)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3923 (= cancelLockStatus_1.41 cancelLockStatus_1.37))) (let ((?v_3924 (=> (= cancelLockStatus_0.41 cancelLockStatus_0.37) (=> true (=> true (=> true (=> true ?v_3922)))))) (?v_3601 (= k.38 1))) (let ((?v_3747 (not ?v_3601)) (?v_3597 (= k.38 0))) (let ((?v_3745 (not ?v_3597))) (let ((?v_3926 (and (=> true (=> ?v_3597 (=> true (=> ?v_3923 (=> (= cancelLockStatus_0.41 0) ?v_3922))))) (=> true (=> ?v_3745 (and (=> true (=> ?v_3601 (=> true (=> (= cancelLockStatus_1.41 0) ?v_3924)))) (=> true (=> ?v_3747 (=> true (=> ?v_3923 ?v_3924)))))))))) (let ((?v_3935 (and (=> true (=> (not ?v_3925) (=> true (=> (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.5..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.5.myNondetVar_0.6 inline.KeSynchronizeExecution.5.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.5..result.SynchronizeRoutine.4679.26.2.) ?v_3926)))))) (=> true (=> ?v_3925 (=> true (=> (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.5.myNondetVar_0.6 inline.KeSynchronizeExecution.5.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..0 0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3926)))))))))))))))) (?v_3934 (= inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.0 0))) (let ((?v_3928 (=> true (=> (forall ((?r13 Int)) (! (= (or (not (= (BIT_BAND inline.SerialStartWrite.0.myNondetVar_1.7 ?r13) 0)) (not (= (BIT_BAND 4 ?r13) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialStartWrite.0.myNondetVar_2.3 4) ?r13) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialStartWrite.0.myNondetVar_0.30 4) ?r13)) )) (=> (= inline.SerialStartWrite.0.tempBoogie0.3 (BIT_BOR inline.SerialStartWrite.0.myNondetVar_0.31 4)) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_2.4 inline.SerialStartWrite.0.myNondetVar_2.3) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.0 call53173formal.new.0) (=> (= inline.SerialStartWrite.0.myVar_0.27 inline.SerialStartWrite.0.myVar_0.26) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.SerialStartWrite.0.myNondetVar_1.8 inline.SerialStartWrite.0.myNondetVar_1.7) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..0 call62518formal.ret.0) (=> (= alloc.64 alloc.63) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartWrite.0.myVar_0.26) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.0 call62468formal.new.0) (=> (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.0 call62518formal.ret.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialSetTimer.2.myNondetVar_0.5 inline.SerialSetTimer.2.myNondetVar_0.4) (=> (= inline.SerialStartWrite.0.myNondetVar_0.32 inline.SerialStartWrite.0.myNondetVar_0.31) (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.3 inline.sdv_InterlockedDecrement.10.myNondetVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartWrite.0.myVar_0.26) (=> (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.0 4) (=> (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.2 inline.sdv_InterlockedIncrement.3.myNondetVar_0.1) (=> (= inline.SerialStartWrite.0.tempBoogie0.4 inline.SerialStartWrite.0.tempBoogie0.3) ?v_3935)))))))))))))))))))))))))) (?v_3927 (= inline.SerialStartWrite.0.myVar_0.26 hirp))) (let ((?v_3930 (and (=> true (=> ?v_3927 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_3928)))) (=> true (=> (not ?v_3927) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_3928))))))))))) (let ((?v_3931 (=> true (=> true (=> true (=> true ?v_3930))))) (?v_3599 (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2))) (let ((?v_3602 (int_2_U ?v_3599))) (let ((?v_3929 (U_2_int (MapType0Select Mem_1_T.P_IRP.32 ?v_3602))) (?v_3600 (U_2_int (MapType0Select Mem_0_T.P_IRP.32 ?v_3602)))) (let ((?v_3933 (and (=> true (=> ?v_3597 (=> (= inline.SerialStartWrite.0.myVar_0.24 ?v_3600) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.26 inline.SerialStartWrite.0.myVar_0.24) ?v_3930))))) (=> true (=> ?v_3745 (and (=> true (=> ?v_3601 (=> (= inline.SerialStartWrite.0.myVar_0.25 ?v_3929) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.26 inline.SerialStartWrite.0.myVar_0.25) ?v_3931))))) (=> true (=> ?v_3747 (=> true (=> (= inline.SerialStartWrite.0.myVar_0.26 inline.SerialStartWrite.0.myVar_0.23) ?v_3931))))))))) (?v_3932 (= call62518formal.ret.0 0)) (?v_3920 (int_2_U call62468formal.new.0))) (let ((?v_3937 (=> true (=> (forall ((?r14 Int)) (! (= (or (not (= (BIT_BAND inline.SerialStartWrite.0.myNondetVar_1.6 ?r14) 0)) (not (= (BIT_BAND 2 ?r14) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialStartWrite.0.myNondetVar_2.2 2) ?r14) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialStartWrite.0.myNondetVar_0.28 2) ?r14)) )) (=> (= inline.SerialStartWrite.0.tempBoogie0.2 (BIT_BOR inline.SerialStartWrite.0.myNondetVar_0.29 2)) (and (=> true (=> (not ?v_3934) (=> true (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.0 (WriteRequestTotalTimer__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.0 (TotalWriteTimeoutDpc__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (=> true (and ?v_53 (=> ?v_53 (=> (> call62468formal.new.0 0) (=> (forall ((?x1639 Int)) (! (=> (and (<= call62468formal.new.0 ?x1639) (< ?x1639 (+ call62468formal.new.0 8))) (= (Base ?x1639) call62468formal.new.0)) :pattern ((Base ?x1639)) )) (=> (forall ((?x1640 boogieU)) (! (=> (= (type ?x1640) intType) (or (= (U_2_int ?x1640) call62468formal.new.0) (= (MapType0Select alloc.57 ?x1640) (MapType0Select alloc.63 ?x1640)))) :pattern ((MapType0Select alloc.63 ?x1640)) )) (=> (and (= (MapType0Select alloc.57 ?v_3920) UNALLOCATED) (= (MapType0Select alloc.63 ?v_3920) ALLOCATED)) (=> (= (Base call53173formal.new.0) call53173formal.new.0) (and (=> true (=> (not ?v_3932) (=> true (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.2 inline.sdv_InterlockedDecrement.10.myNondetVar_0.1) ?v_3933)))) (=> true (=> ?v_3932 (=> true (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.2 inline.sdv_InterlockedDecrement.10.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3933)))))))))))))))))))))))))) (=> true (=> ?v_3934 (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_2.4 inline.SerialStartWrite.0.myNondetVar_2.2) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.SerialStartWrite.0.myVar_0.27 inline.SerialStartWrite.0.myVar_0.23) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.SerialStartWrite.0.myNondetVar_1.8 inline.SerialStartWrite.0.myNondetVar_1.6) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1) (=> (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3.) (=> (= alloc.64 alloc.57) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialSetTimer.2.myNondetVar_0.5 inline.SerialSetTimer.2.myNondetVar_0) (=> (= inline.SerialStartWrite.0.myNondetVar_0.32 inline.SerialStartWrite.0.myNondetVar_0.29) (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.3 inline.sdv_InterlockedDecrement.10.myNondetVar_0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.0 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite) (=> (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.2 inline.sdv_InterlockedIncrement.3.myNondetVar_0) (=> (= inline.SerialStartWrite.0.tempBoogie0.4 inline.SerialStartWrite.0.tempBoogie0.2) (=> true (=> true (=> true (=> true (=> true ?v_3935)))))))))))))))))))))))))))))))))) (?v_3936 (= inline.SerialStartWrite.0.myVar_0.23 hirp))) (let ((?v_3938 (and (=> true (=> ?v_3936 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_3937)))) (=> true (=> (not ?v_3936) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_3937))))))))))) (let ((?v_3939 (=> true (=> true (=> true (=> true ?v_3938)))))) (let ((?v_3941 (and (=> true (=> ?v_3597 (=> (= inline.SerialStartWrite.0.myVar_0.21 ?v_3600) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.23 inline.SerialStartWrite.0.myVar_0.21) ?v_3938))))) (=> true (=> ?v_3745 (and (=> true (=> ?v_3601 (=> (= inline.SerialStartWrite.0.myVar_0.22 ?v_3929) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.23 inline.SerialStartWrite.0.myVar_0.22) ?v_3939))))) (=> true (=> ?v_3747 (=> true (=> (= inline.SerialStartWrite.0.myVar_0.23 inline.SerialStartWrite.0.myVar_0.20) ?v_3939))))))))) (?v_3942 (= Mem_1_T.CancelRoutine__IRP.55 Mem_1_T.CancelRoutine__IRP.53))) (let ((?v_3943 (=> (= Mem_0_T.CancelRoutine__IRP.55 Mem_0_T.CancelRoutine__IRP.53) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3941)))))))))))) (?v_3919 (int_2_U (CancelRoutine__IRP inline.SerialStartWrite.0.myVar_0.20)))) (let ((?v_3944 (and (=> true (=> ?v_3597 (=> (= Mem_0_T.CancelRoutine__IRP.54 (MapType0Store Mem_0_T.CancelRoutine__IRP.53 ?v_3919 ?v_3940)) (=> true (=> ?v_3942 (=> (= Mem_0_T.CancelRoutine__IRP.55 Mem_0_T.CancelRoutine__IRP.54) ?v_3941)))))) (=> true (=> ?v_3745 (and (=> true (=> ?v_3601 (=> (= Mem_1_T.CancelRoutine__IRP.54 (MapType0Store Mem_1_T.CancelRoutine__IRP.53 ?v_3919 ?v_3940)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.55 Mem_1_T.CancelRoutine__IRP.54) ?v_3943))))) (=> true (=> ?v_3747 (=> true (=> ?v_3942 ?v_3943)))))))))) (let ((?v_3946 (=> true (=> (= errorReached.39 errorReached.38) (=> true ?v_3944)))) (?v_3945 (= inline.SerialStartWrite.0.myVar_0.20 hirp)) (?v_3683 (= irpCompleted_0.24 0)) (?v_3685 (= irpCompleted_1.24 0))) (let ((?v_3710 (not ?v_3683)) (?v_3711 (not ?v_3685))) (let ((?v_3947 (and (=> true (=> ?v_3945 (and (=> true (=> (=> ?v_3597 ?v_3710) (=> (=> ?v_3601 ?v_3711) (=> true (=> (= errorReached.39 1) ?v_3944))))) (=> true (=> (=> ?v_3597 ?v_3683) (=> (=> ?v_3601 ?v_3685) ?v_3946)))))) (=> true (=> (not ?v_3945) ?v_3946))))) (let ((?v_3948 (=> true (=> true ?v_3947)))) (let ((?v_3949 (and (=> true (=> ?v_3597 (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.53 ?v_3919))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_3947))))) (=> true (=> ?v_3745 (and (=> true (=> ?v_3601 (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.53 ?v_3919))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_3948))))) (=> true (=> ?v_3747 (=> true (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_3948)))))))))) (let ((?v_3950 (=> true (=> true (=> true (=> true (=> true ?v_3949))))))) (let ((?v_3951 (and (=> true (=> ?v_3597 (=> (= inline.SerialStartWrite.0.myVar_0.19 ?v_3600) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.20 inline.SerialStartWrite.0.myVar_0.19) ?v_3949))))) (=> true (=> ?v_3745 (and (=> true (=> ?v_3601 (=> (= inline.SerialStartWrite.0.myVar_0.18 ?v_3929) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.20 inline.SerialStartWrite.0.myVar_0.18) ?v_3950))))) (=> true (=> ?v_3747 (=> true (=> (= inline.SerialStartWrite.0.myVar_0.20 inline.SerialStartWrite.0.myVar_0.17) ?v_3950)))))))))) (let ((?v_3952 (=> true (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.1 1) (=> (= inline.SerialStartWrite.0.myVar_0.17 inline.SerialStartWrite.0.myVar_0.16) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.2 259) (=> true ?v_3951))))))) (let ((?v_3953 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3952))))))))) (?v_3917 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP (int_2_U (Cancel__IRP ?v_3600)))) 0)) (?v_3918 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP (int_2_U (Cancel__IRP ?v_3929)))) 0)) (?v_3576 (int_2_U call53164formal.new.0))) (let ((?v_3618 (U_2_int (MapType0Select Mem_0_T.P_IRP.43 ?v_3576)))) (let ((?v_3655 (= ?v_3618 0))) (let ((?v_3620 (not ?v_3655)) (?v_3652 (U_2_int (MapType0Select Mem_1_T.P_IRP.43 ?v_3576)))) (let ((?v_3656 (= ?v_3652 0))) (let ((?v_3621 (not ?v_3656)) (?v_3619 (int_2_U call60939formal.new.0))) (let ((?v_3659 (=> true (and ?v_8 (=> ?v_8 (=> (> call60939formal.new.0 0) (=> (forall ((?x1641 Int)) (! (=> (and (<= call60939formal.new.0 ?x1641) (< ?x1641 (+ call60939formal.new.0 1))) (= (Base ?x1641) call60939formal.new.0)) :pattern ((Base ?x1641)) )) (=> (forall ((?x1642 boogieU)) (! (=> (= (type ?x1642) intType) (or (= (U_2_int ?x1642) call60939formal.new.0) (= (MapType0Select alloc.70 ?x1642) (MapType0Select alloc.71 ?x1642)))) :pattern ((MapType0Select alloc.71 ?x1642)) )) (=> (and (= (MapType0Select alloc.70 ?v_3619) UNALLOCATED) (= (MapType0Select alloc.71 ?v_3619) ALLOCATED)) (=> true (=> (=> (= k.49 0) (not ?v_3620)) (=> (=> (= k.49 1) (not ?v_3621)) (=> true (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0) (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite.0 inline.SerialStartWrite.0.._refType.12.385.0.SerialStartWrite) (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.2) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialStartWrite.0.myVar_0.28 inline.SerialStartWrite.0.myVar_0.13) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextWrite.1.tempBoogie0.6 inline.SerialGetNextWrite.1.tempBoogie0.5) (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.2 inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.0) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 1) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite.1 inline.SerialStartWrite.0.._refType.14.403.0.SerialStartWrite) (=> (= k.50 k.49) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.1.myVar_0.2) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.2) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.1.myVar_0.2) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer) (=> (= inline.KeSynchronizeExecution.5.myNondetVar_0.7 inline.KeSynchronizeExecution.5.myNondetVar_0) (=> (= inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.2..set.5.1350.11.SerialSetTimer) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialSetTimer.1.myNondetVar_0.7 inline.SerialSetTimer.1.myNondetVar_0.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= Mem_1_T.P_IRP.44 Mem_1_T.P_IRP.43) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.3 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.1) (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.4 inline.SerialGetNextIrpLocked.2.myVar_0.3) (=> (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.3 inline.sdv_InterlockedDecrement.8.myNondetVar_0.2) (=> (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.1..delta.13.616.34.SerialGetNextWrite.0 call59530formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= Mem_0_T.CancelRoutine__IRP.67 Mem_0_T.CancelRoutine__IRP.66) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp1.0 call53164formal.new.0) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.4 inline.sdv_InterlockedIncrement.2.myNondetVar_0.3) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 1) (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.9 inline.KeSynchronizeExecution.4.myNondetVar_0.8) (=> (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..1) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= cancelLockStatus_0.50 cancelLockStatus_0.49) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.2..DueTime.2.1325.50.SerialSetTimer1) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite1.0 call53164formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.29..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialStartWrite.0.tempBoogie0.5 inline.SerialStartWrite.0.tempBoogie0.1) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.1) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0) (=> (= inline.SerialGetNextIrpLocked.2..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextIrp.2..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.SerialGetNextWrite.1.havoc_stringTemp.0 call60939formal.new.0) (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.28..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.1) (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialGetNextIrp.2..NextIrp.3.172.14.SerialGetNextIrp.0 call53164formal.new.0) (=> (= Mem_1_T.CancelRoutine__IRP.67 Mem_1_T.CancelRoutine__IRP.66) (=> (= alloc.72 alloc.71) (=> (= inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.5..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.20 inline.SerialGetNextWrite.1.myNondetVar_0.19) (=> (= errorReached.48 errorReached.47) (=> (= cancelLockStatus_1.50 cancelLockStatus_1.49) (=> (= inline.sdv_InterlockedIncrement.3.myNondetVar_0.3 inline.sdv_InterlockedIncrement.3.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.2..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.7..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.703.20.13..0) (=> (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.SerialGetNextWrite.1..OldIrql.7.507.18.SerialGetNextWrite.0 call59524formal.new.0) (=> (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..0) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.1) (=> (= inline.SerialGetNextIrpLocked.2..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.RemoveHeadList.2.myNondetVar_0.3 inline.RemoveHeadList.2.myNondetVar_0.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..0) (=> (= inline.SerialGetNextIrp.2.myNondetVar_0.1 inline.SerialGetNextIrp.2.myNondetVar_0.0) (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.5 inline.sdv_InterlockedDecrement.9.myNondetVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.1..result.SerialDbgPrintEx.493.19.1..0) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call53164formal.new.0) (=> (= inline.SerialGetNextWrite.1..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.SerialSetTimer.2.myNondetVar_0.6 inline.SerialSetTimer.2.myNondetVar_0) (=> (= inline.SerialGetNextIrp.2..oldIrql.6.214.10.SerialGetNextIrp.0 call59948formal.new.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..0) (=> (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.0) (=> (= irpCompleted_1.28 irpCompleted_1.27) (=> (= inline.SerialGetNextIrpLocked.2..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= Mem_0_T.P_IRP.44 Mem_0_T.P_IRP.43) (=> (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.2.havoc_stringTemp.0) (=> (= inline.sdv_InterlockedDecrement.10.myNondetVar_0.4 inline.sdv_InterlockedDecrement.10.myNondetVar_0) (=> (= inline.SerialStartWrite.0.myNondetVar_0.35 inline.SerialStartWrite.0.myNondetVar_0.27) (=> (= inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.7..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextWrite.1.myVar_0.14 inline.SerialGetNextWrite.1.myVar_0.13) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..1) (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.8 inline.KeSynchronizeExecution.3.myNondetVar_0.7) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.SerialGetNextIrpLocked.2..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call53164formal.new.0) (=> (= inline.SerialGetNextIrp.2..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.4 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.28..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialGetNextWrite.1..NewIrp.3.446.13.SerialGetNextWrite.0 call53164formal.new.0) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..0) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..0) (=> (= inline.IsListEmpty.3.myNondetVar_0.1 inline.IsListEmpty.3.myNondetVar_0.0) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer) (=> (= irpCompleted_0.28 irpCompleted_0.27) (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.SerialGetNextWrite.1..OldIrql.16.659.18.SerialGetNextWrite.0 call59521formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.SerialGetNextWrite.1..OldIrql.8.522.18.SerialGetNextWrite.0 call59527formal.new.0) (=> (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.1) (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.2..result.KeSetTimer.1355.19.3.) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.SerialStartWrite.0.myNondetVar_1.9 inline.SerialStartWrite.0.myNondetVar_1.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.2..Dpc.3.1326.24.SerialSetTimer1) (=> (= inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.5..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.SerialStartWrite.0.myNondetVar_2.5 inline.SerialStartWrite.0.myNondetVar_2.1) (=> (= inline.SerialGetNextIrp.2..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.29..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.5..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.1) (=> (= inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.2..Timer.1.1325.26.SerialSetTimer1) (=> (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.4 inline.SerialGetNextWrite.1.myNondetVar_2.3) (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.5 inline.SerialGetNextWrite.1.myNondetVar_1.4) (=> (= inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.7..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) ?v_3921)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3658 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1))) (let ((?v_3661 (=> true (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.7 inline.KeSynchronizeExecution.3.myNondetVar_0.6) (=> (= inline.SerialGetNextWrite.1.myVar_0.13 inline.SerialGetNextWrite.1.myVar_0.9) (=> (= cancelLockStatus_1.49 cancelLockStatus_1.48) (=> (= cancelLockStatus_0.49 cancelLockStatus_0.48) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> ?v_3658 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.19 inline.SerialGetNextWrite.1.myNondetVar_0.18) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialProcessEmptyTransmit) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialProcessEmptyTransmit) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..0 call61083formal.ret.0) (=> (= k.49 k.48) ?v_3659)))))))))))))))))) (?v_3663 (= cancelLockStatus_1.48 cancelLockStatus_1.47))) (let ((?v_3664 (=> (= cancelLockStatus_0.48 cancelLockStatus_0.47) (=> true (=> true (=> true (=> true ?v_3661)))))) (?v_3662 (= k.48 1)) (?v_3660 (= k.48 0))) (let ((?v_3665 (=> true (=> (<= k.47 k.48) (=> (< k.48 2) (and (=> true (=> ?v_3660 (=> true (=> ?v_3663 (=> (= cancelLockStatus_0.48 0) ?v_3661))))) (=> true (=> (not ?v_3660) (and (=> true (=> ?v_3662 (=> true (=> (= cancelLockStatus_1.48 0) ?v_3664)))) (=> true (=> (not ?v_3662) (=> true (=> ?v_3663 ?v_3664))))))))))))) (let ((?v_3667 (and (=> true (=> ?v_989 (=> true (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.3..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.3..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.6 inline.KeSynchronizeExecution.3.myNondetVar_0.5) ?v_3665)))))) (=> true (=> ?v_115 (=> true (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.3.myNondetVar_0.6 inline.KeSynchronizeExecution.3.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3665)))))))))))))) (?v_3669 (= cancelLockStatus_1.47 cancelLockStatus_1.46))) (let ((?v_3670 (=> (= cancelLockStatus_0.47 cancelLockStatus_0.46) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3667))))))))))) (?v_3651 (= k.47 1))) (let ((?v_3668 (not ?v_3651)) (?v_3617 (= k.47 0))) (let ((?v_3666 (not ?v_3617)) (?v_3657 (= cancelLockStatus_0.46 0)) (?v_3693 (= cancelLockStatus_1.46 0)) (?v_3643 (= inline.KeSynchronizeExecution.3.myNondetVar_0.7 inline.KeSynchronizeExecution.3.myNondetVar_0)) (?v_3644 (= inline.SerialGetNextWrite.1.myVar_0.13 inline.SerialGetNextWrite.1.myVar_0.12)) (?v_3645 (= cancelLockStatus_1.49 cancelLockStatus_1.46)) (?v_3646 (= cancelLockStatus_0.49 cancelLockStatus_0.46)) (?v_3647 (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_3648 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.19 inline.SerialGetNextWrite.1.myNondetVar_0.16) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.1.myVar_0.12) (=> (= inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.3..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.1.myVar_0.12) (=> (= inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.3..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.3..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.16..result.userContextSwitch.3151.2.1.) (=> (= k.49 k.47) ?v_3659))))))))))) (?v_3642 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 9))) (let ((?v_3650 (and (=> true (=> ?v_3642 (=> true (=> ?v_3643 (=> ?v_3644 (=> ?v_3645 (=> ?v_3646 (=> ?v_3647 (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.2 1) ?v_3648))))))))) (=> true (=> (not ?v_3642) (=> true (=> ?v_3643 (=> ?v_3644 (=> ?v_3645 (=> ?v_3646 (=> ?v_3647 (=> ?v_3658 ?v_3648))))))))))) (?v_3649 (= inline.SerialGetNextWrite.1.myVar_0.12 hirp))) (let ((?v_3653 (and (=> true (=> ?v_3649 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_3650)))) (=> true (=> (not ?v_3649) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.25..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_3650))))))))))) (let ((?v_3654 (=> true (=> true (=> true (=> true ?v_3653)))))) (let ((?v_3690 (and (=> true (=> (=> ?v_3617 ?v_3620) (=> (=> ?v_3651 ?v_3621) (and (=> true (=> ?v_3617 (=> (= inline.SerialGetNextWrite.1.myVar_0.10 ?v_3618) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.12 inline.SerialGetNextWrite.1.myVar_0.10) ?v_3653))))) (=> true (=> ?v_3666 (and (=> true (=> ?v_3651 (=> (= inline.SerialGetNextWrite.1.myVar_0.11 ?v_3652) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.12 inline.SerialGetNextWrite.1.myVar_0.11) ?v_3654))))) (=> true (=> ?v_3668 (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.12 inline.SerialGetNextWrite.1.myVar_0.9) ?v_3654))))))))))) (=> true (=> (=> ?v_3617 ?v_3655) (=> (=> ?v_3651 ?v_3656) (=> true (=> (=> ?v_3617 ?v_3657) (=> (=> ?v_3651 ?v_3693) (and (=> true (=> ?v_3617 (=> true (=> ?v_3669 (=> (= cancelLockStatus_0.47 1) ?v_3667))))) (=> true (=> ?v_3666 (and (=> true (=> ?v_3651 (=> true (=> (= cancelLockStatus_1.47 1) ?v_3670)))) (=> true (=> ?v_3668 (=> true (=> ?v_3669 ?v_3670))))))))))))))))) (let ((?v_3692 (=> true (=> (= k.47 k.44) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= Mem_0_T.CancelRoutine__IRP.66 Mem_0_T.CancelRoutine__IRP.62) (=> (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.2.havoc_stringTemp) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= irpCompleted_0.27 irpCompleted_0.24) (=> (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= irpCompleted_1.27 irpCompleted_1.24) (=> (= Mem_1_T.CancelRoutine__IRP.66 Mem_1_T.CancelRoutine__IRP.62) (=> (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.2 inline.sdv_InterlockedDecrement.8.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4.) (=> (= alloc.70 alloc.68) (=> (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2.) (=> (= errorReached.47 errorReached.44) (=> (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3690))))))))))))))))))))))))) (?v_3691 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1 0)) (?v_3689 (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2 0)) (?v_3672 (=> true (=> (= k.47 k.46) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= Mem_0_T.CancelRoutine__IRP.66 Mem_0_T.CancelRoutine__IRP.65) (=> (= inline.SerialGetNextIrpLocked.2.havoc_stringTemp.0 call60289formal.new.0) (=> (= inline.sdv_IoCompleteRequest.5..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= irpCompleted_0.27 irpCompleted_0.26) (=> (= inline.sdv_InterlockedDecrement.8..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.8.myNondetVar_0.1) (=> (= irpCompleted_1.27 irpCompleted_1.26) (=> (= Mem_1_T.CancelRoutine__IRP.66 Mem_1_T.CancelRoutine__IRP.65) (=> (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.2 inline.sdv_InterlockedDecrement.8.myNondetVar_0.1) (=> (= inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.2..result.SerialDbgPrintEx.331.12.4..0) (=> (= alloc.70 alloc.69) (=> (= inline.SerialIRPEpilogue.5..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.8.myNondetVar_0.1) (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..0) (=> (= errorReached.47 errorReached.46) (=> (= inline.SerialIRPEpilogue.5..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.8.myNondetVar_0.1) ?v_3690)))))))))))))))))) (?v_3671 (= inline.sdv_InterlockedDecrement.8.myNondetVar_0.1 0))) (let ((?v_3688 (and (=> true (=> (not ?v_3671) (=> true (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2.) ?v_3672)))) (=> true (=> ?v_3671 (=> true (=> (= inline.KeSetEvent.7..result.SdvMakeChoice.4659.26.2..0 call60491formal.ret.0) (=> true (=> true (=> true ?v_3672))))))))) (?v_3687 (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2 hirp))) (let ((?v_3673 (=> true (=> (= irpCompleted_1.26 irpCompleted_1.25) (=> (= irpCompleted_0.26 irpCompleted_0.25) (=> (= Mem_1_T.CancelRoutine__IRP.65 Mem_1_T.CancelRoutine__IRP.64) (=> (= k.46 k.45) (=> (= Mem_0_T.CancelRoutine__IRP.65 Mem_0_T.CancelRoutine__IRP.64) (=> (= errorReached.46 errorReached.45) ?v_3688)))))))) (?v_3675 (= irpCompleted_1.25 irpCompleted_1.24))) (let ((?v_3676 (=> (= irpCompleted_0.25 irpCompleted_0.24) (=> true ?v_3673))) (?v_3674 (= k.45 1))) (let ((?v_3680 (not ?v_3674)) (?v_3616 (= k.45 0))) (let ((?v_3677 (not ?v_3616))) (let ((?v_3679 (and (=> true (=> ?v_3616 (=> true (=> ?v_3675 (=> (= irpCompleted_0.25 1) ?v_3673))))) (=> true (=> ?v_3677 (and (=> true (=> ?v_3674 (=> true (=> (= irpCompleted_1.25 1) ?v_3676)))) (=> true (=> ?v_3680 (=> true (=> ?v_3675 ?v_3676))))))))) (?v_3681 (= Mem_1_T.CancelRoutine__IRP.64 Mem_1_T.CancelRoutine__IRP.62))) (let ((?v_3682 (=> (= Mem_0_T.CancelRoutine__IRP.64 Mem_0_T.CancelRoutine__IRP.62) (=> true (=> true ?v_3679)))) (?v_3678 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2)))) (let ((?v_3686 (=> true (=> (<= k.44 k.45) (=> (< k.45 2) (and (=> true (=> ?v_3616 (=> (= Mem_0_T.CancelRoutine__IRP.63 (MapType0Store Mem_0_T.CancelRoutine__IRP.62 ?v_3678 ?v_35)) (=> true (=> ?v_3681 (=> (= Mem_0_T.CancelRoutine__IRP.64 Mem_0_T.CancelRoutine__IRP.63) ?v_3679)))))) (=> true (=> ?v_3677 (and (=> true (=> ?v_3674 (=> (= Mem_1_T.CancelRoutine__IRP.63 (MapType0Store Mem_1_T.CancelRoutine__IRP.62 ?v_3678 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.64 Mem_1_T.CancelRoutine__IRP.63) ?v_3682))))) (=> true (=> ?v_3680 (=> true (=> ?v_3681 ?v_3682)))))))))))) (?v_3614 (= k.44 0)) (?v_3684 (= k.44 1)) (?v_3615 (int_2_U call60289formal.new.0))) (let ((?v_3694 (and (=> true (=> (not ?v_3691) (and (=> true (=> (not ?v_3689) (=> true (and ?v_8 (=> ?v_8 (=> (> call60289formal.new.0 0) (=> (forall ((?x1643 Int)) (! (=> (and (<= call60289formal.new.0 ?x1643) (< ?x1643 (+ call60289formal.new.0 1))) (= (Base ?x1643) call60289formal.new.0)) :pattern ((Base ?x1643)) )) (=> (forall ((?x1644 boogieU)) (! (=> (= (type ?x1644) intType) (or (= (U_2_int ?x1644) call60289formal.new.0) (= (MapType0Select alloc.68 ?x1644) (MapType0Select alloc.69 ?x1644)))) :pattern ((MapType0Select alloc.69 ?x1644)) )) (=> (and (= (MapType0Select alloc.68 ?v_3615) UNALLOCATED) (= (MapType0Select alloc.69 ?v_3615) ALLOCATED)) (and (=> true (=> ?v_3687 (and (=> true (=> (=> ?v_3614 ?v_3710) (=> (=> ?v_3684 ?v_3711) (=> true (=> (= errorReached.45 1) ?v_3686))))) (=> true (=> (=> ?v_3614 ?v_3683) (=> (=> ?v_3684 ?v_3685) (=> true (=> (= errorReached.45 errorReached.44) ?v_3686)))))))) (=> true (=> (not ?v_3687) (=> true (=> (= irpCompleted_1.26 irpCompleted_1.24) (=> (= irpCompleted_0.26 irpCompleted_0.24) (=> (= Mem_1_T.CancelRoutine__IRP.65 Mem_1_T.CancelRoutine__IRP.62) (=> (= k.46 k.44) (=> (= Mem_0_T.CancelRoutine__IRP.65 Mem_0_T.CancelRoutine__IRP.62) (=> (= errorReached.46 errorReached.44) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3688)))))))))))))))))))))))))))))))))))) (=> true (=> ?v_3689 ?v_3692))))) (=> true (=> ?v_3691 ?v_3692)))) (?v_3695 (= cancelLockStatus_1.46 cancelLockStatus_1.45))) (let ((?v_3696 (=> (= cancelLockStatus_0.46 cancelLockStatus_0.45) (=> true (=> true (=> true (=> true (=> true ?v_3694))))))) (?v_3699 (not ?v_3684)) (?v_3697 (not ?v_3614))) (let ((?v_3698 (and (=> true (=> ?v_3614 (=> true (=> ?v_3695 (=> ?v_3657 ?v_3694))))) (=> true (=> ?v_3697 (and (=> true (=> ?v_3684 (=> true (=> ?v_3693 ?v_3696)))) (=> true (=> ?v_3699 (=> true (=> ?v_3695 ?v_3696))))))))) (?v_3700 (= Mem_1_T.P_IRP.43 Mem_1_T.P_IRP.41))) (let ((?v_3701 (=> (= Mem_0_T.P_IRP.43 Mem_0_T.P_IRP.41) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3698)))))))) (?v_3613 (int_2_U inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0))) (let ((?v_3713 (and (=> true (=> ?v_3614 (=> (= Mem_0_T.P_IRP.42 (MapType0Store Mem_0_T.P_IRP.41 ?v_3576 (MapType0Select Mem_0_T.P_IRP.41 ?v_3613))) (=> true (=> ?v_3700 (=> (= Mem_0_T.P_IRP.43 Mem_0_T.P_IRP.42) ?v_3698)))))) (=> true (=> ?v_3697 (and (=> true (=> ?v_3684 (=> (= Mem_1_T.P_IRP.42 (MapType0Store Mem_1_T.P_IRP.41 ?v_3576 (MapType0Select Mem_1_T.P_IRP.41 ?v_3613))) (=> true (=> (= Mem_1_T.P_IRP.43 Mem_1_T.P_IRP.42) ?v_3701))))) (=> true (=> ?v_3699 (=> true (=> ?v_3700 ?v_3701)))))))))) (let ((?v_3714 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.62 Mem_1_T.CancelRoutine__IRP.61) (=> (= k.44 k.42) (=> (= inline.RemoveHeadList.2.myNondetVar_0.2 inline.RemoveHeadList.2.myNondetVar_0.1) (=> (= Mem_0_T.P_IRP.41 Mem_0_T.P_IRP.39) (=> (= errorReached.44 errorReached.43) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.2.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= Mem_1_T.P_IRP.41 Mem_1_T.P_IRP.39) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.2.myVar_0.2) (=> (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.2.myNondetVar_0.0) (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.3 inline.SerialGetNextIrpLocked.2.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.2.myVar_0.2) (=> (= Mem_0_T.CancelRoutine__IRP.62 Mem_0_T.CancelRoutine__IRP.61) (=> (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.2.myNondetVar_0.0) (=> (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.2.myNondetVar_0.0) (=> true ?v_3713)))))))))))))))))))) (?v_3715 (= Mem_1_T.CancelRoutine__IRP.61 Mem_1_T.CancelRoutine__IRP.59))) (let ((?v_3716 (=> (= Mem_0_T.CancelRoutine__IRP.61 Mem_0_T.CancelRoutine__IRP.59) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3714)))))))) (?v_3708 (= k.42 1))) (let ((?v_3722 (not ?v_3708)) (?v_3712 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.2.myVar_0.2))) (?v_3612 (= k.42 0))) (let ((?v_3720 (not ?v_3612))) (let ((?v_3717 (and (=> true (=> ?v_3612 (=> (= Mem_0_T.CancelRoutine__IRP.60 (MapType0Store Mem_0_T.CancelRoutine__IRP.59 ?v_3712 ?v_35)) (=> true (=> ?v_3715 (=> (= Mem_0_T.CancelRoutine__IRP.61 Mem_0_T.CancelRoutine__IRP.60) ?v_3714)))))) (=> true (=> ?v_3720 (and (=> true (=> ?v_3708 (=> (= Mem_1_T.CancelRoutine__IRP.60 (MapType0Store Mem_1_T.CancelRoutine__IRP.59 ?v_3712 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.61 Mem_1_T.CancelRoutine__IRP.60) ?v_3716))))) (=> true (=> ?v_3722 (=> true (=> ?v_3715 ?v_3716)))))))))) (let ((?v_3719 (=> true (=> (= errorReached.43 errorReached.42) (=> true ?v_3717)))) (?v_3718 (= inline.SerialGetNextIrpLocked.2.myVar_0.2 hirp))) (let ((?v_3721 (and (=> true (=> ?v_3718 (and (=> true (=> (=> ?v_3612 ?v_3710) (=> (=> ?v_3708 ?v_3711) (=> true (=> (= errorReached.43 1) ?v_3717))))) (=> true (=> (=> ?v_3612 ?v_3683) (=> (=> ?v_3708 ?v_3685) ?v_3719)))))) (=> true (=> (not ?v_3718) ?v_3719))))) (let ((?v_3723 (=> true (=> true ?v_3721)))) (let ((?v_3725 (and (=> true (=> ?v_3612 (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.59 ?v_3712))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_3721))))) (=> true (=> ?v_3720 (and (=> true (=> ?v_3708 (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.59 ?v_3712))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_3723))))) (=> true (=> ?v_3722 (=> true (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_3723)))))))))) (let ((?v_3726 (=> true (=> true (=> true (=> true (=> true ?v_3725)))))) (?v_3724 (U_2_int (MapType0Select Mem_1_T.P_IRP.39 ?v_3613))) (?v_3709 (U_2_int (MapType0Select Mem_0_T.P_IRP.39 ?v_3613)))) (let ((?v_3728 (=> true (=> (=> ?v_3612 (not (= ?v_3709 hirp))) (=> (=> ?v_3708 (not (= ?v_3724 hirp))) (and (=> true (=> ?v_3612 (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.0 ?v_3709) (=> true (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.2 inline.SerialGetNextIrpLocked.2.myVar_0.0) ?v_3725))))) (=> true (=> ?v_3720 (and (=> true (=> ?v_3708 (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.1 ?v_3724) (=> true (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.2 inline.SerialGetNextIrpLocked.2.myVar_0.1) ?v_3726))))) (=> true (=> ?v_3722 (=> true (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.2 inline.SerialGetNextIrpLocked.2.myVar_0) ?v_3726)))))))))))) (?v_3729 (= Mem_1_T.P_IRP.39 Mem_1_T.P_IRP.36))) (let ((?v_3730 (=> (= Mem_0_T.P_IRP.39 Mem_0_T.P_IRP.36) (=> true ?v_3728))) (?v_3727 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.2.myNondetVar_0.0 1 88))) (?v_3707 (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0 0)) (?v_3703 (=> true (=> (= Mem_1_T.CancelRoutine__IRP.62 Mem_1_T.CancelRoutine__IRP.59) (=> (= k.44 k.43) (=> (= inline.RemoveHeadList.2.myNondetVar_0.2 inline.RemoveHeadList.2.myNondetVar_0) (=> (= Mem_0_T.P_IRP.41 Mem_0_T.P_IRP.40) (=> (= errorReached.44 errorReached.42) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.2..Entry.3.6748.16.RemoveHeadList) (=> (= inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.5..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.5..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= Mem_1_T.P_IRP.41 Mem_1_T.P_IRP.40) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.2..result.RemoveHeadList.6743.0.1.) (=> (= inline.SerialGetNextIrpLocked.2.myVar_0.3 inline.SerialGetNextIrpLocked.2.myVar_0) (=> (= inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.5..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= Mem_0_T.CancelRoutine__IRP.62 Mem_0_T.CancelRoutine__IRP.59) (=> (= inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.2..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.2..result.RemoveHeadList.302.35.2.) ?v_3713))))))))))))))))))) (?v_3705 (= Mem_1_T.P_IRP.40 Mem_1_T.P_IRP.36))) (let ((?v_3706 (=> (= Mem_0_T.P_IRP.40 Mem_0_T.P_IRP.36) (=> true ?v_3703))) (?v_3704 (= k.43 1)) (?v_3702 (= k.43 0))) (let ((?v_3731 (=> true (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.3.myNondetVar_0.0 inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0))) (and (=> true (=> (not ?v_3707) (=> true (=> (<= k.42 k.43) (=> (< k.43 2) (and (=> true (=> ?v_3702 (=> (= Mem_0_T.P_IRP.37 (MapType0Store Mem_0_T.P_IRP.36 ?v_3613 ?v_35)) (=> true (=> ?v_3705 (=> (= Mem_0_T.P_IRP.40 Mem_0_T.P_IRP.37) ?v_3703)))))) (=> true (=> (not ?v_3702) (and (=> true (=> ?v_3704 (=> (= Mem_1_T.P_IRP.37 (MapType0Store Mem_1_T.P_IRP.36 ?v_3613 ?v_35)) (=> true (=> (= Mem_1_T.P_IRP.40 Mem_1_T.P_IRP.37) ?v_3706))))) (=> true (=> (not ?v_3704) (=> true (=> ?v_3705 ?v_3706))))))))))))) (=> true (=> ?v_3707 (and (=> true (=> ?v_3612 (=> (= Mem_0_T.P_IRP.38 (MapType0Store Mem_0_T.P_IRP.36 ?v_3613 ?v_3727)) (=> true (=> ?v_3729 (=> (= Mem_0_T.P_IRP.39 Mem_0_T.P_IRP.38) ?v_3728)))))) (=> true (=> ?v_3720 (and (=> true (=> ?v_3708 (=> (= Mem_1_T.P_IRP.38 (MapType0Store Mem_1_T.P_IRP.36 ?v_3613 ?v_3727)) (=> true (=> (= Mem_1_T.P_IRP.39 Mem_1_T.P_IRP.38) ?v_3730))))) (=> true (=> ?v_3722 (=> true (=> ?v_3729 ?v_3730))))))))))))))) (let ((?v_3732 (=> true (=> true (=> true (=> true ?v_3731)))))) (let ((?v_3733 (and (=> true (=> ?v_3612 (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.1 (U_2_int (MapType0Select Mem_0_T.P_IRP.36 ?v_3613))) (=> true (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_3731))))) (=> true (=> ?v_3720 (and (=> true (=> ?v_3708 (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.0 (U_2_int (MapType0Select Mem_1_T.P_IRP.36 ?v_3613))) (=> true (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_3732))))) (=> true (=> ?v_3722 (=> true (=> (= inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.2..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_3732))))))))) (?v_3734 (= cancelLockStatus_1.45 cancelLockStatus_1.44))) (let ((?v_3735 (=> (= cancelLockStatus_0.45 cancelLockStatus_0.44) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3733))))))))))) (?v_3611 (int_2_U call59948formal.new.0))) (let ((?v_3753 (=> true (and ?v_8 (=> ?v_8 (=> (> call59948formal.new.0 0) (=> (forall ((?x1645 Int)) (! (=> (and (<= call59948formal.new.0 ?x1645) (< ?x1645 (+ call59948formal.new.0 1))) (= (Base ?x1645) call59948formal.new.0)) :pattern ((Base ?x1645)) )) (=> (forall ((?x1646 boogieU)) (! (=> (= (type ?x1646) intType) (or (= (U_2_int ?x1646) call59948formal.new.0) (= (MapType0Select alloc.67 ?x1646) (MapType0Select alloc.68 ?x1646)))) :pattern ((MapType0Select alloc.68 ?x1646)) )) (=> (and (= (MapType0Select alloc.67 ?v_3611) UNALLOCATED) (= (MapType0Select alloc.68 ?v_3611) ALLOCATED)) (=> true (=> (=> ?v_3612 (= cancelLockStatus_0.44 0)) (=> (=> ?v_3708 (= cancelLockStatus_1.44 0)) (and (=> true (=> ?v_3612 (=> true (=> ?v_3734 (=> (= cancelLockStatus_0.45 1) ?v_3733))))) (=> true (=> ?v_3720 (and (=> true (=> ?v_3708 (=> true (=> (= cancelLockStatus_1.45 1) ?v_3735)))) (=> true (=> ?v_3722 (=> true (=> ?v_3734 ?v_3735)))))))))))))))))))) (let ((?v_3904 (=> true (=> true ?v_3753))) (?v_3855 (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3856 (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution)) (?v_3857 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3858 (= alloc.67 alloc.62)) (?v_3859 (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.3 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite)) (?v_3860 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3861 (= Mem_1_T.CancelRoutine__IRP.59 Mem_1_T.CancelRoutine__IRP.53)) (?v_3862 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1 1)) (?v_3863 (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_3864 (= errorReached.42 errorReached.38)) (?v_3865 (= inline.SerialGetNextWrite.1.myVar_0.9 inline.SerialGetNextWrite.1.myVar_0.5)) (?v_3866 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3867 (= Mem_1_T.P_IRP.36 Mem_1_T.P_IRP.32)) (?v_3868 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3869 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1)) (?v_3870 (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite)) (?v_3871 (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1.)) (?v_3872 (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1.)) (?v_3873 (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3874 (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3875 (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite)) (?v_3876 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer)) (?v_3877 (= Mem_0_T.CancelRoutine__IRP.59 Mem_0_T.CancelRoutine__IRP.53)) (?v_3878 (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.1.myVar_0.5)) (?v_3879 (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3880 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer)) (?v_3881 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1)) (?v_3882 (= inline.KeSynchronizeExecution.4.myNondetVar_0.8 inline.KeSynchronizeExecution.4.myNondetVar_0)) (?v_3883 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3884 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer)) (?v_3885 (= inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1.)) (?v_3886 (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_3887 (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3.)) (?v_3888 (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3889 (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3890 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3891 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1)) (?v_3892 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3893 (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.4 inline.sdv_InterlockedDecrement.9.myNondetVar_0)) (?v_3894 (= inline.SerialGetNextWrite.1.myNondetVar_2.3 inline.SerialGetNextWrite.1.myNondetVar_2)) (?v_3895 (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1.)) (?v_3896 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3897 (= inline.SerialSetTimer.1.myNondetVar_0.6 inline.SerialSetTimer.1.myNondetVar_0)) (?v_3898 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3899 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3900 (= Mem_0_T.P_IRP.36 Mem_0_T.P_IRP.32)) (?v_3901 (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.1.myVar_0.5)) (?v_3902 (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer)) (?v_3903 (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.3 inline.sdv_InterlockedIncrement.2.myNondetVar_0)) (?v_3854 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 14))) (let ((?v_3755 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.16 inline.SerialGetNextWrite.1.myNondetVar_0.15) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= alloc.67 alloc.66) (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.3 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= Mem_1_T.CancelRoutine__IRP.59 Mem_1_T.CancelRoutine__IRP.58) (=> (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.1 inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.0) (=> ?v_3863 (=> (= errorReached.42 errorReached.41) (=> ?v_3865 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= Mem_1_T.P_IRP.36 Mem_1_T.P_IRP.35) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.0) (=> (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.0) (=> (= inline.sdv_IoReleaseCancelSpinLock.17..result.userContextSwitch.3151.2.1..0 call61323formal.ret.0) (=> (= k.42 k.41) (=> ?v_3872 (=> ?v_3873 (=> ?v_3874 (=> (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.0) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.0) (=> (= Mem_0_T.CancelRoutine__IRP.59 Mem_0_T.CancelRoutine__IRP.58) (=> ?v_3878 (=> ?v_3879 (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.0) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.8 inline.KeSynchronizeExecution.4.myNondetVar_0.7) (=> (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialGetNextWrite.1.tempBoogie0.5 inline.SerialGetNextWrite.1.tempBoogie0.4) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.12..result.userContextSwitch.1645.2.1..0 call61148formal.ret.0) (=> ?v_3886 (=> (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..0) (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.1) (=> (= cancelLockStatus_1.44 cancelLockStatus_1.43) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.4 inline.sdv_InterlockedDecrement.9.myNondetVar_0.3) (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.4 inline.SerialGetNextWrite.1.myNondetVar_1.3) (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.3 inline.SerialGetNextWrite.1.myNondetVar_2.2) (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialSetTimer.1.myNondetVar_0.6 inline.SerialSetTimer.1.myNondetVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= Mem_0_T.P_IRP.36 Mem_0_T.P_IRP.35) (=> ?v_3901 (=> (= cancelLockStatus_0.44 cancelLockStatus_0.43) (=> (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.0) (=> (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.3 inline.sdv_InterlockedIncrement.2.myNondetVar_0.2) ?v_3904))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3757 (= cancelLockStatus_1.43 cancelLockStatus_1.42))) (let ((?v_3758 (=> (= cancelLockStatus_0.43 cancelLockStatus_0.42) (=> true (=> true (=> true (=> true ?v_3755)))))) (?v_3756 (= k.41 1)) (?v_3754 (= k.41 0))) (let ((?v_3800 (=> true (=> (<= k.40 k.41) (=> (< k.41 2) (and (=> true (=> ?v_3754 (=> true (=> ?v_3757 (=> (= cancelLockStatus_0.43 0) ?v_3755))))) (=> true (=> (not ?v_3754) (and (=> true (=> ?v_3756 (=> true (=> (= cancelLockStatus_1.43 0) ?v_3758)))) (=> true (=> (not ?v_3756) (=> true (=> ?v_3757 ?v_3758))))))))))))) (let ((?v_3807 (=> true (=> true (=> true ?v_3800)))) (?v_3761 (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3811 (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.0)) (?v_3812 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialCancelCurrentXoff)) (?v_3764 (= alloc.66 alloc.62)) (?v_3813 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGiveXoffToIsr)) (?v_3814 (= Mem_1_T.CancelRoutine__IRP.58 Mem_1_T.CancelRoutine__IRP.57)) (?v_3815 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.0 0)) (?v_3816 (= Mem_1_T.P_IRP.35 Mem_1_T.P_IRP.34)) (?v_3817 (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..0)) (?v_3818 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2)) (?v_3771 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1)) (?v_3772 (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite)) (?v_3819 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2)) (?v_3774 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer)) (?v_3820 (= Mem_0_T.CancelRoutine__IRP.58 Mem_0_T.CancelRoutine__IRP.57)) (?v_3821 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialCancelCurrentXoff)) (?v_3777 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer)) (?v_3778 (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1)) (?v_3822 (= inline.KeSynchronizeExecution.4.myNondetVar_0.7 inline.KeSynchronizeExecution.4.myNondetVar_0.6)) (?v_3823 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2)) (?v_3782 (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer)) (?v_3824 (= errorReached.41 errorReached.40)) (?v_3825 (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.0 2)) (?v_3826 (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2)) (?v_3827 (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_3828 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGiveXoffToIsr)) (?v_3788 (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1)) (?v_3829 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2)) (?v_3790 (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.3 inline.sdv_InterlockedDecrement.9.myNondetVar_0)) (?v_3793 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3794 (= inline.SerialSetTimer.1.myNondetVar_0.5 inline.SerialSetTimer.1.myNondetVar_0)) (?v_3795 (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3.)) (?v_3796 (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3830 (= Mem_0_T.P_IRP.35 Mem_0_T.P_IRP.34)) (?v_3798 (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer)) (?v_3799 (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.2 inline.sdv_InterlockedIncrement.2.myNondetVar_0))) (let ((?v_3831 (=> ?v_3798 (=> ?v_3799 ?v_3807))) (?v_3808 (=> true (=> (forall ((?r15 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.1.myNondetVar_1.2 ?r15) 0)) (not (= (BIT_BAND 4 ?r15) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.1.myNondetVar_2.1 4) ?r15) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.1.myNondetVar_0.12 4) ?r15)) )) (=> (= inline.SerialGetNextWrite.1.tempBoogie0.3 (BIT_BOR inline.SerialGetNextWrite.1.myNondetVar_0.13 4)) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_3811 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.14 inline.SerialGetNextWrite.1.myNondetVar_0.13) (=> ?v_3812 (=> (= alloc.66 alloc.65) (=> ?v_3813 (=> ?v_3814 (=> ?v_3815 (=> ?v_3816 (=> ?v_3817 (=> ?v_3818 (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer1.0 call59530formal.new.0) (=> (= inline.SerialGetNextWrite.1.._refType.14.631.0.SerialGetNextWrite.0 4) (=> ?v_3819 (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.0) (=> ?v_3820 (=> ?v_3821 (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.0) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.0) (=> ?v_3822 (=> ?v_3823 (=> (= inline.SerialGetNextWrite.1.tempBoogie0.4 inline.SerialGetNextWrite.1.tempBoogie0.3) (=> (= inline.SerialSetTimer.1..DueTime.2.1325.50.SerialSetTimer.0 call61766formal.new.0) (=> ?v_3824 (=> ?v_3825 (=> ?v_3826 (=> ?v_3827 (=> ?v_3828 (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.0) (=> ?v_3829 (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.3 inline.sdv_InterlockedDecrement.9.myNondetVar_0.2) (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.3 inline.SerialGetNextWrite.1.myNondetVar_1.2) (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.2 inline.SerialGetNextWrite.1.myNondetVar_2.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2) (=> (= inline.SerialSetTimer.1.myNondetVar_0.5 inline.SerialSetTimer.1.myNondetVar_0.4) (=> (= inline.SerialSetTimer.1..result.KeSetTimer.1355.19.3..0 call61816formal.ret.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2) (=> ?v_3830 (=> (= inline.SerialSetTimer.1..set.5.1350.11.SerialSetTimer.0 call61816formal.ret.0) (=> (= inline.sdv_InterlockedIncrement.2.myNondetVar_0.2 inline.sdv_InterlockedIncrement.2.myNondetVar_0.1) ?v_3807))))))))))))))))))))))))))))))))))))))))))))) (?v_3804 (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2 hirp))) (let ((?v_3837 (not ?v_3804))) (let ((?v_3810 (and (=> true (=> ?v_3804 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_3808)))) (=> true (=> ?v_3837 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.27..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_3808)))))))))) (?v_3809 (= call61816formal.ret.0 0)) (?v_3806 (int_2_U call61766formal.new.0)) (?v_3805 (XoffCountTimer__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (?v_4163 (XoffCountTimeoutDpc__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2))) (let ((?v_3832 (and (=> true (=> (not (= inline.SerialGetNextWrite.1.myNondetVar_0.10 0)) (=> true (=> (= inline.SerialSetTimer.1..Timer.1.1325.26.SerialSetTimer1.0 ?v_3805) (=> (= inline.SerialSetTimer.1..Dpc.3.1326.24.SerialSetTimer1.0 ?v_4163) (=> true (and ?v_53 (=> ?v_53 (=> (> call61766formal.new.0 0) (=> (forall ((?x1647 Int)) (! (=> (and (<= call61766formal.new.0 ?x1647) (< ?x1647 (+ call61766formal.new.0 8))) (= (Base ?x1647) call61766formal.new.0)) :pattern ((Base ?x1647)) )) (=> (forall ((?x1648 boogieU)) (! (=> (= (type ?x1648) intType) (or (= (U_2_int ?x1648) call61766formal.new.0) (= (MapType0Select alloc.62 ?x1648) (MapType0Select alloc.65 ?x1648)))) :pattern ((MapType0Select alloc.65 ?x1648)) )) (=> (and (= (MapType0Select alloc.62 ?v_3806) UNALLOCATED) (= (MapType0Select alloc.65 ?v_3806) ALLOCATED)) (=> (= (Base call59530formal.new.0) call59530formal.new.0) (and (=> true (=> (not ?v_3809) (=> true (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.2 inline.sdv_InterlockedDecrement.9.myNondetVar_0.1) ?v_3810)))) (=> true (=> ?v_3809 (=> true (=> (= inline.sdv_InterlockedDecrement.9.myNondetVar_0.2 inline.sdv_InterlockedDecrement.9.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3810))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.9 0) (=> true (=> ?v_3761 (=> ?v_3811 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.14 inline.SerialGetNextWrite.1.myNondetVar_0.9) (=> ?v_3812 (=> ?v_3764 (=> ?v_3813 (=> ?v_3814 (=> ?v_3815 (=> ?v_3816 (=> ?v_3817 (=> ?v_3818 (=> ?v_3771 (=> ?v_3772 (=> ?v_3819 (=> ?v_3774 (=> ?v_3820 (=> ?v_3821 (=> ?v_3777 (=> ?v_3778 (=> ?v_3822 (=> ?v_3823 (=> (= inline.SerialGetNextWrite.1.tempBoogie0.4 inline.SerialGetNextWrite.1.tempBoogie0.2) (=> ?v_3782 (=> ?v_3824 (=> ?v_3825 (=> ?v_3826 (=> ?v_3827 (=> ?v_3828 (=> ?v_3788 (=> ?v_3829 (=> ?v_3790 (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.3 inline.SerialGetNextWrite.1.myNondetVar_1.1) (=> (= inline.SerialGetNextWrite.1.myNondetVar_2.2 inline.SerialGetNextWrite.1.myNondetVar_2.0) (=> ?v_3793 (=> ?v_3794 (=> ?v_3795 (=> ?v_3796 (=> ?v_3830 ?v_3831)))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3834 (and (=> true (=> ?v_1128 (=> true (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.6 inline.KeSynchronizeExecution.4.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.4..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.4..result.SynchronizeRoutine.4679.26.2.) ?v_3832)))))) (=> true (=> ?v_288 (=> true (=> (= inline.KeSynchronizeExecution.4.myNondetVar_0.6 inline.KeSynchronizeExecution.4.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true (=> true ?v_3832)))))))))))) (?v_3835 (= Mem_1_T.P_IRP.34 Mem_1_T.P_IRP.32))) (let ((?v_3836 (=> (= Mem_0_T.P_IRP.34 Mem_0_T.P_IRP.32) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3834)))))))) (?v_3759 (= k.40 1))) (let ((?v_3841 (not ?v_3759)) (?v_3587 (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2))) (let ((?v_3585 (int_2_U ?v_3587)) (?v_3833 (int_2_U inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2)) (?v_3752 (= k.40 0))) (let ((?v_3839 (not ?v_3752))) (let ((?v_3838 (=> true (=> (forall ((?r16 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.1.myNondetVar_1.1 ?r16) 0)) (not (= (BIT_BAND 2 ?r16) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.1.myNondetVar_2.0 2) ?r16) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.1.myNondetVar_0.6 2) ?r16)) )) (=> (= inline.SerialGetNextWrite.1.tempBoogie0.2 (BIT_BOR inline.SerialGetNextWrite.1.myNondetVar_0.7 2)) (and (=> true (=> ?v_3752 (=> (= Mem_0_T.P_IRP.33 (MapType0Store Mem_0_T.P_IRP.32 ?v_3585 ?v_3833)) (=> true (=> ?v_3835 (=> (= Mem_0_T.P_IRP.34 Mem_0_T.P_IRP.33) ?v_3834)))))) (=> true (=> ?v_3839 (and (=> true (=> ?v_3759 (=> (= Mem_1_T.P_IRP.33 (MapType0Store Mem_1_T.P_IRP.32 ?v_3585 ?v_3833)) (=> true (=> (= Mem_1_T.P_IRP.34 Mem_1_T.P_IRP.33) ?v_3836))))) (=> true (=> ?v_3841 (=> true (=> ?v_3835 ?v_3836))))))))))))) (let ((?v_3840 (and (=> true (=> ?v_3804 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_3838)))) (=> true (=> ?v_3837 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_3838)))))))))) (?v_3842 (= Mem_1_T.CancelRoutine__IRP.57 Mem_1_T.CancelRoutine__IRP.53))) (let ((?v_3843 (=> (= Mem_0_T.CancelRoutine__IRP.57 Mem_0_T.CancelRoutine__IRP.53) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3840))))))))))))))) (?v_3803 (int_2_U (CancelRoutine__IRP inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2)))) (let ((?v_3844 (and (=> true (=> ?v_3752 (=> (= Mem_0_T.CancelRoutine__IRP.56 (MapType0Store Mem_0_T.CancelRoutine__IRP.53 ?v_3803 ?v_299)) (=> true (=> ?v_3842 (=> (= Mem_0_T.CancelRoutine__IRP.57 Mem_0_T.CancelRoutine__IRP.56) ?v_3840)))))) (=> true (=> ?v_3839 (and (=> true (=> ?v_3759 (=> (= Mem_1_T.CancelRoutine__IRP.56 (MapType0Store Mem_1_T.CancelRoutine__IRP.53 ?v_3803 ?v_299)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.57 Mem_1_T.CancelRoutine__IRP.56) ?v_3843))))) (=> true (=> ?v_3841 (=> true (=> ?v_3842 ?v_3843)))))))))) (let ((?v_3845 (=> true (=> (= errorReached.40 errorReached.38) (=> true ?v_3844))))) (let ((?v_3846 (and (=> true (=> ?v_3804 (and (=> true (=> (=> ?v_3752 ?v_3710) (=> (=> ?v_3759 ?v_3711) (=> true (=> (= errorReached.40 1) ?v_3844))))) (=> true (=> (=> ?v_3752 ?v_3683) (=> (=> ?v_3759 ?v_3685) ?v_3845)))))) (=> true (=> ?v_3837 ?v_3845))))) (let ((?v_3847 (=> true (=> true ?v_3846))) (?v_3760 (int_2_U (Cancel__IRP inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2)))) (let ((?v_3801 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP ?v_3760)) 0)) (?v_3802 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP ?v_3760)) 0)) (?v_3762 (= inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.4..b.4.4670.12.KeSynchronizeExecution)) (?v_3763 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_3765 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_3766 (= Mem_1_T.CancelRoutine__IRP.58 Mem_1_T.CancelRoutine__IRP.53)) (?v_3767 (= inline.SerialGetNextWrite.1..CompleteCurrent.4.447.15.SerialGetNextWrite.0 1)) (?v_3768 (= Mem_1_T.P_IRP.35 Mem_1_T.P_IRP.32)) (?v_3769 (= inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.4..result.KeSynchronizeExecution.4664.0.1.)) (?v_3770 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_3773 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_3775 (= Mem_0_T.CancelRoutine__IRP.58 Mem_0_T.CancelRoutine__IRP.53)) (?v_3776 (= inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.6..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_3779 (= inline.KeSynchronizeExecution.4.myNondetVar_0.7 inline.KeSynchronizeExecution.4.myNondetVar_0)) (?v_3780 (= inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.6..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_3781 (= inline.SerialGetNextWrite.1.tempBoogie0.4 inline.SerialGetNextWrite.1.tempBoogie0.1)) (?v_3783 (= errorReached.41 errorReached.38)) (?v_3784 (= inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.1.._refType.11.583.0.SerialGetNextWrite)) (?v_3785 (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_3786 (= inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.26..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_3787 (= inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.4..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_3789 (= inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.26..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_3791 (= inline.SerialGetNextWrite.1.myNondetVar_1.3 inline.SerialGetNextWrite.1.myNondetVar_1)) (?v_3792 (= inline.SerialGetNextWrite.1.myNondetVar_2.2 inline.SerialGetNextWrite.1.myNondetVar_2)) (?v_3797 (= Mem_0_T.P_IRP.35 Mem_0_T.P_IRP.32))) (let ((?v_3849 (=> true (=> (= inline.SerialGetNextWrite.1.tempBoogie0.1 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.1.myNondetVar_0.3 1 1)) (and (=> true (=> (not (= inline.SerialGetNextWrite.1.myNondetVar_0.5 0)) (=> true (=> ?v_3761 (=> ?v_3762 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.14 inline.SerialGetNextWrite.1.myNondetVar_0.5) (=> ?v_3763 (=> ?v_3764 (=> ?v_3765 (=> ?v_3766 (=> ?v_3767 (=> ?v_3768 (=> ?v_3769 (=> ?v_3770 (=> ?v_3771 (=> ?v_3772 (=> ?v_3773 (=> ?v_3774 (=> ?v_3775 (=> ?v_3776 (=> ?v_3777 (=> ?v_3778 (=> ?v_3779 (=> ?v_3780 (=> ?v_3781 (=> ?v_3782 (=> ?v_3783 (=> ?v_3784 (=> ?v_3785 (=> ?v_3786 (=> ?v_3787 (=> ?v_3788 (=> ?v_3789 (=> ?v_3790 (=> ?v_3791 (=> ?v_3792 (=> ?v_3793 (=> ?v_3794 (=> ?v_3795 (=> ?v_3796 (=> ?v_3797 (=> ?v_3798 (=> ?v_3799 ?v_3800))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.4 0) (and (=> true (=> (=> ?v_3752 (not ?v_3801)) (=> (=> ?v_3759 (not ?v_3802)) (=> true (=> ?v_3761 (=> ?v_3762 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.14 inline.SerialGetNextWrite.1.myNondetVar_0.4) (=> ?v_3763 (=> ?v_3764 (=> ?v_3765 (=> ?v_3766 (=> ?v_3767 (=> ?v_3768 (=> ?v_3769 (=> ?v_3770 (=> ?v_3771 (=> ?v_3772 (=> ?v_3773 (=> ?v_3774 (=> ?v_3775 (=> ?v_3776 (=> ?v_3777 (=> ?v_3778 (=> ?v_3779 (=> ?v_3780 (=> ?v_3781 (=> ?v_3782 (=> ?v_3783 (=> ?v_3784 (=> ?v_3785 (=> ?v_3786 (=> ?v_3787 (=> ?v_3788 (=> ?v_3789 (=> ?v_3790 (=> ?v_3791 (=> ?v_3792 (=> ?v_3793 (=> ?v_3794 (=> ?v_3795 (=> ?v_3796 (=> ?v_3797 ?v_3831)))))))))))))))))))))))))))))))))))))))))) (=> true (=> (=> ?v_3752 ?v_3801) (=> (=> ?v_3759 ?v_3802) (and (=> true (=> ?v_3752 (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.53 ?v_3803))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_3846))))) (=> true (=> ?v_3839 (and (=> true (=> ?v_3759 (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.53 ?v_3803))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_3847))))) (=> true (=> ?v_3841 (=> true (=> (= inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.6..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_3847))))))))))))))))))) (let ((?v_3850 (=> true (=> true ?v_3849))) (?v_3848 (U_2_int (MapType0Select Mem_1_T.P_IRP.32 ?v_3613))) (?v_3610 (U_2_int (MapType0Select Mem_0_T.P_IRP.32 ?v_3613)))) (let ((?v_3851 (and (=> true (=> ?v_3752 (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.1 ?v_3610) (=> true (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.1) ?v_3849))))) (=> true (=> ?v_3839 (and (=> true (=> ?v_3759 (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.0 ?v_3848) (=> true (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.0) ?v_3850))))) (=> true (=> ?v_3841 (=> true (=> (= inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.1..Irp.9.523.17.SerialGetNextWrite) ?v_3850))))))))) (?v_3852 (= cancelLockStatus_1.42 cancelLockStatus_1.38))) (let ((?v_3853 (=> (= cancelLockStatus_0.42 cancelLockStatus_0.38) (=> true (=> true (=> true (=> true (=> true ?v_3851))))))) (?v_3609 (= cancelLockStatus_0.38 0)) (?v_3751 (= cancelLockStatus_1.38 0))) (let ((?v_3906 (and (=> true (=> ?v_3854 (=> true (=> (<= k.38 k.40) (=> (< k.40 2) (=> true (=> (=> ?v_3752 ?v_3609) (=> (=> ?v_3759 ?v_3751) (and (=> true (=> ?v_3752 (=> true (=> ?v_3852 (=> (= cancelLockStatus_0.42 1) ?v_3851))))) (=> true (=> ?v_3839 (and (=> true (=> ?v_3759 (=> true (=> (= cancelLockStatus_1.42 1) ?v_3853)))) (=> true (=> ?v_3841 (=> true (=> ?v_3852 ?v_3853)))))))))))))))) (=> true (=> (not ?v_3854) (=> true (=> ?v_3855 (=> ?v_3856 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.16 inline.SerialGetNextWrite.1.myNondetVar_0) (=> ?v_3857 (=> ?v_3858 (=> ?v_3859 (=> ?v_3860 (=> ?v_3861 (=> ?v_3862 (=> ?v_3863 (=> ?v_3864 (=> ?v_3865 (=> ?v_3866 (=> ?v_3867 (=> ?v_3868 (=> ?v_3869 (=> ?v_3870 (=> ?v_3871 (=> (= k.42 k.38) (=> ?v_3872 (=> ?v_3873 (=> ?v_3874 (=> ?v_3875 (=> ?v_3876 (=> ?v_3877 (=> ?v_3878 (=> ?v_3879 (=> ?v_3880 (=> ?v_3881 (=> ?v_3882 (=> ?v_3883 (=> (= inline.SerialGetNextWrite.1.tempBoogie0.5 inline.SerialGetNextWrite.1.tempBoogie0) (=> ?v_3884 (=> ?v_3885 (=> ?v_3886 (=> ?v_3887 (=> ?v_3888 (=> ?v_3889 (=> ?v_3890 (=> ?v_3891 (=> (= cancelLockStatus_1.44 cancelLockStatus_1.38) (=> ?v_3892 (=> ?v_3893 (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.4 inline.SerialGetNextWrite.1.myNondetVar_1) (=> ?v_3894 (=> ?v_3895 (=> ?v_3896 (=> ?v_3897 (=> ?v_3898 (=> ?v_3899 (=> ?v_3900 (=> ?v_3901 (=> (= cancelLockStatus_0.44 cancelLockStatus_0.38) (=> ?v_3902 (=> ?v_3903 ?v_3904)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3905 (= inline.SerialGetNextWrite.1.myVar_0.5 hirp))) (let ((?v_3907 (and (=> true (=> ?v_3905 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_3906)))) (=> true (=> (not ?v_3905) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_3906))))))))))) (let ((?v_3908 (=> true (=> true (=> true (=> true ?v_3907))))) (?v_3750 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 4)) (?v_3737 (=> true (=> ?v_3855 (=> ?v_3856 (=> (= inline.SerialGetNextWrite.1.myNondetVar_0.16 inline.SerialGetNextWrite.1.myNondetVar_0.1) (=> ?v_3857 (=> ?v_3858 (=> ?v_3859 (=> ?v_3860 (=> ?v_3861 (=> ?v_3862 (=> (= inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.SerialGetNextWrite.1..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.) (=> ?v_3864 (=> (= inline.SerialGetNextWrite.1.myVar_0.9 inline.SerialGetNextWrite.1.myVar_0.8) (=> ?v_3866 (=> ?v_3867 (=> ?v_3868 (=> ?v_3869 (=> ?v_3870 (=> ?v_3871 (=> (= k.42 k.39) (=> (= inline.sdv_IoReleaseCancelSpinLock.14..result.userContextSwitch.3151.2.1..0 call59894formal.ret.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.1.myVar_0.8) (=> ?v_3875 (=> ?v_3876 (=> ?v_3877 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.1.myVar_0.8) (=> ?v_3880 (=> ?v_3881 (=> ?v_3882 (=> ?v_3883 (=> (= inline.SerialGetNextWrite.1.tempBoogie0.5 inline.SerialGetNextWrite.1.tempBoogie0.0) (=> ?v_3884 (=> ?v_3885 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.23..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> ?v_3887 (=> ?v_3888 (=> ?v_3889 (=> ?v_3890 (=> ?v_3891 (=> (= cancelLockStatus_1.44 cancelLockStatus_1.40) (=> ?v_3892 (=> ?v_3893 (=> (= inline.SerialGetNextWrite.1.myNondetVar_1.4 inline.SerialGetNextWrite.1.myNondetVar_1.0) (=> ?v_3894 (=> ?v_3895 (=> ?v_3896 (=> ?v_3897 (=> ?v_3898 (=> ?v_3899 (=> ?v_3900 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.23..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= cancelLockStatus_0.44 cancelLockStatus_0.40) (=> ?v_3902 (=> ?v_3903 ?v_3753))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3739 (= cancelLockStatus_1.40 cancelLockStatus_1.39))) (let ((?v_3740 (=> (= cancelLockStatus_0.40 cancelLockStatus_0.39) (=> true (=> true (=> true (=> true ?v_3737)))))) (?v_3738 (= k.39 1)) (?v_3736 (= k.39 0))) (let ((?v_3742 (=> true (=> (= inline.SerialGetNextWrite.1.tempBoogie0.0 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.1.myNondetVar_0.0 inline.SerialGetNextWrite.1.myNondetVar_1.0 1)) (=> true (=> (<= k.38 k.39) (=> (< k.39 2) (and (=> true (=> ?v_3736 (=> true (=> ?v_3739 (=> (= cancelLockStatus_0.40 0) ?v_3737))))) (=> true (=> (not ?v_3736) (and (=> true (=> ?v_3738 (=> true (=> (= cancelLockStatus_1.40 0) ?v_3740)))) (=> true (=> (not ?v_3738) (=> true (=> ?v_3739 ?v_3740)))))))))))))) (?v_3741 (= inline.SerialGetNextWrite.1.myVar_0.8 hirp))) (let ((?v_3743 (and (=> true (=> ?v_3741 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_3742)))) (=> true (=> (not ?v_3741) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.24..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true ?v_3742)))))))))) (let ((?v_3744 (=> true (=> true (=> true (=> true ?v_3743)))))) (let ((?v_3746 (and (=> true (=> ?v_3597 (=> (= inline.SerialGetNextWrite.1.myVar_0.6 ?v_3610) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.8 inline.SerialGetNextWrite.1.myVar_0.6) ?v_3743))))) (=> true (=> ?v_3745 (and (=> true (=> ?v_3601 (=> (= inline.SerialGetNextWrite.1.myVar_0.7 ?v_3848) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.8 inline.SerialGetNextWrite.1.myVar_0.7) ?v_3744))))) (=> true (=> ?v_3747 (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.8 inline.SerialGetNextWrite.1.myVar_0.2) ?v_3744))))))))) (?v_3748 (= cancelLockStatus_1.39 cancelLockStatus_1.38))) (let ((?v_3749 (=> (= cancelLockStatus_0.39 cancelLockStatus_0.38) (=> true (=> true (=> true (=> true (=> true ?v_3746)))))))) (let ((?v_3910 (and (=> true (=> ?v_3750 (=> true (=> (=> ?v_3597 ?v_3609) (=> (=> ?v_3601 ?v_3751) (and (=> true (=> ?v_3597 (=> true (=> ?v_3748 (=> (= cancelLockStatus_0.39 1) ?v_3746))))) (=> true (=> ?v_3745 (and (=> true (=> ?v_3601 (=> true (=> (= cancelLockStatus_1.39 1) ?v_3749)))) (=> true (=> ?v_3747 (=> true (=> ?v_3748 ?v_3749))))))))))))) (=> true (=> (not ?v_3750) (and (=> true (=> ?v_3597 (=> (= inline.SerialGetNextWrite.1.myVar_0.4 ?v_3610) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.5 inline.SerialGetNextWrite.1.myVar_0.4) ?v_3907))))) (=> true (=> ?v_3745 (and (=> true (=> ?v_3601 (=> (= inline.SerialGetNextWrite.1.myVar_0.3 ?v_3848) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.5 inline.SerialGetNextWrite.1.myVar_0.3) ?v_3908))))) (=> true (=> ?v_3747 (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.5 inline.SerialGetNextWrite.1.myVar_0.2) ?v_3908)))))))))))) (?v_3909 (= inline.SerialGetNextWrite.1.myVar_0.2 hirp))) (let ((?v_3911 (and (=> true (=> ?v_3909 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_3910)))) (=> true (=> (not ?v_3909) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.22..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_3910))))))))))) (let ((?v_3912 (=> true (=> true (=> true (=> true ?v_3911))))) (?v_3608 (int_2_U call59564formal.new.0)) (?v_3604 (int_2_U call59521formal.new.0)) (?v_3605 (int_2_U call59524formal.new.0)) (?v_3606 (int_2_U call59527formal.new.0)) (?v_3607 (int_2_U call59530formal.new.0)) (?v_3603 (WriteQueue__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2))) (let ((?v_3913 (=> true (=> (= inline.SerialGetNextWrite.1..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 ?v_3599) (=> (= inline.SerialGetNextWrite.1..QueueToProcess.2.445.19.SerialGetNextWrite1.0 ?v_3603) (=> true (and ?v_8 (=> ?v_8 (=> (> call59521formal.new.0 0) (=> (forall ((?x1651 Int)) (! (=> (and (<= call59521formal.new.0 ?x1651) (< ?x1651 (+ call59521formal.new.0 1))) (= (Base ?x1651) call59521formal.new.0)) :pattern ((Base ?x1651)) )) (=> (forall ((?x1652 boogieU)) (! (=> (= (type ?x1652) intType) (or (= (U_2_int ?x1652) call59521formal.new.0) (= (MapType0Select alloc.57 ?x1652) (MapType0Select alloc.58 ?x1652)))) :pattern ((MapType0Select alloc.58 ?x1652)) )) (=> (and (= (MapType0Select alloc.57 ?v_3604) UNALLOCATED) (= (MapType0Select alloc.58 ?v_3604) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call59524formal.new.0 0) (=> (forall ((?x1653 Int)) (! (=> (and (<= call59524formal.new.0 ?x1653) (< ?x1653 (+ call59524formal.new.0 1))) (= (Base ?x1653) call59524formal.new.0)) :pattern ((Base ?x1653)) )) (=> (forall ((?x1654 boogieU)) (! (=> (= (type ?x1654) intType) (or (= (U_2_int ?x1654) call59524formal.new.0) (= (MapType0Select alloc.58 ?x1654) (MapType0Select alloc.59 ?x1654)))) :pattern ((MapType0Select alloc.59 ?x1654)) )) (=> (and (= (MapType0Select alloc.58 ?v_3605) UNALLOCATED) (= (MapType0Select alloc.59 ?v_3605) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call59527formal.new.0 0) (=> (forall ((?x1655 Int)) (! (=> (and (<= call59527formal.new.0 ?x1655) (< ?x1655 (+ call59527formal.new.0 1))) (= (Base ?x1655) call59527formal.new.0)) :pattern ((Base ?x1655)) )) (=> (forall ((?x1656 boogieU)) (! (=> (= (type ?x1656) intType) (or (= (U_2_int ?x1656) call59527formal.new.0) (= (MapType0Select alloc.59 ?x1656) (MapType0Select alloc.60 ?x1656)))) :pattern ((MapType0Select alloc.60 ?x1656)) )) (=> (and (= (MapType0Select alloc.59 ?v_3606) UNALLOCATED) (= (MapType0Select alloc.60 ?v_3606) ALLOCATED)) (and ?v_53 (=> ?v_53 (=> (> call59530formal.new.0 0) (=> (forall ((?x1657 Int)) (! (=> (and (<= call59530formal.new.0 ?x1657) (< ?x1657 (+ call59530formal.new.0 8))) (= (Base ?x1657) call59530formal.new.0)) :pattern ((Base ?x1657)) )) (=> (forall ((?x1658 boogieU)) (! (=> (= (type ?x1658) intType) (or (= (U_2_int ?x1658) call59530formal.new.0) (= (MapType0Select alloc.60 ?x1658) (MapType0Select alloc.61 ?x1658)))) :pattern ((MapType0Select alloc.61 ?x1658)) )) (=> (and (= (MapType0Select alloc.60 ?v_3607) UNALLOCATED) (= (MapType0Select alloc.61 ?v_3607) ALLOCATED)) (=> true (and ?v_8 (=> ?v_8 (=> (> call59564formal.new.0 0) (=> (forall ((?x1649 Int)) (! (=> (and (<= call59564formal.new.0 ?x1649) (< ?x1649 (+ call59564formal.new.0 1))) (= (Base ?x1649) call59564formal.new.0)) :pattern ((Base ?x1649)) )) (=> (forall ((?x1650 boogieU)) (! (=> (= (type ?x1650) intType) (or (= (U_2_int ?x1650) call59564formal.new.0) (= (MapType0Select alloc.61 ?x1650) (MapType0Select alloc.62 ?x1650)))) :pattern ((MapType0Select alloc.62 ?x1650)) )) (=> (and (= (MapType0Select alloc.61 ?v_3608) UNALLOCATED) (= (MapType0Select alloc.62 ?v_3608) ALLOCATED)) (and (=> true (=> ?v_3597 (=> (= inline.SerialGetNextWrite.1.myVar_0.0 ?v_3610) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.2 inline.SerialGetNextWrite.1.myVar_0.0) ?v_3911))))) (=> true (=> ?v_3745 (and (=> true (=> ?v_3601 (=> (= inline.SerialGetNextWrite.1.myVar_0.1 ?v_3848) (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.2 inline.SerialGetNextWrite.1.myVar_0.1) ?v_3912))))) (=> true (=> ?v_3747 (=> true (=> (= inline.SerialGetNextWrite.1.myVar_0.2 inline.SerialGetNextWrite.1.myVar_0) ?v_3912))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3914 (and (=> true (=> ?v_29 (=> true (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.0 0) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.1 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite) ?v_3913))))) (=> true (=> ?v_0 (=> true (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.0 ?v_920) (=> true (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.0 1) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.1 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.0) (=> true ?v_3913)))))))))) (?v_3915 (= cancelLockStatus_1.38 cancelLockStatus_1.37))) (let ((?v_3916 (=> (= cancelLockStatus_0.38 cancelLockStatus_0.37) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3914))))))))) (let ((?v_3954 (and (=> true (=> (=> ?v_3597 (not ?v_3917)) (=> (=> ?v_3601 (not ?v_3918)) (and (=> true (=> ?v_3597 (=> true (=> ?v_3915 (=> ?v_3609 ?v_3914))))) (=> true (=> ?v_3745 (and (=> true (=> ?v_3601 (=> true (=> ?v_3751 ?v_3916)))) (=> true (=> ?v_3747 (=> true (=> ?v_3915 ?v_3916))))))))))) (=> true (=> (=> ?v_3597 ?v_3917) (=> (=> ?v_3601 ?v_3918) (and (=> true (=> ?v_29 (=> true (=> (= inline.SerialStartWrite.0..SetFirstStatus.7.196.12.SerialStartWrite.1 0) (=> (= inline.SerialStartWrite.0.myVar_0.17 inline.SerialStartWrite.0.myVar_0.13) (=> (= inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite.2 inline.SerialStartWrite.0..FirstStatus.8.197.13.SerialStartWrite) ?v_3951)))))) (=> true (=> ?v_0 (and (=> true (=> ?v_3597 (=> (= inline.SerialStartWrite.0.myVar_0.14 ?v_3600) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.16 inline.SerialStartWrite.0.myVar_0.14) ?v_3952))))) (=> true (=> ?v_3745 (and (=> true (=> ?v_3601 (=> (= inline.SerialStartWrite.0.myVar_0.15 ?v_3929) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.16 inline.SerialStartWrite.0.myVar_0.15) ?v_3953))))) (=> true (=> ?v_3747 (=> true (=> (= inline.SerialStartWrite.0.myVar_0.16 inline.SerialStartWrite.0.myVar_0.13) ?v_3953)))))))))))))))) (?v_3955 (= cancelLockStatus_1.37 cancelLockStatus_1.36))) (let ((?v_3956 (=> (= cancelLockStatus_0.37 cancelLockStatus_0.36) (=> true (=> true (=> true (=> true (=> true ?v_3954)))))))) (let ((?v_3958 (=> true (=> (=> ?v_3597 (= cancelLockStatus_0.36 0)) (=> (=> ?v_3601 (= cancelLockStatus_1.36 0)) (and (=> true (=> ?v_3597 (=> true (=> ?v_3955 (=> (= cancelLockStatus_0.37 1) ?v_3954))))) (=> true (=> ?v_3745 (and (=> true (=> ?v_3601 (=> true (=> (= cancelLockStatus_1.37 1) ?v_3956)))) (=> true (=> ?v_3747 (=> true (=> ?v_3955 ?v_3956)))))))))))) (?v_3957 (= inline.SerialStartWrite.0.myVar_0.13 hirp))) (let ((?v_3959 (and (=> true (=> ?v_3957 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_3958)))) (=> true (=> (not ?v_3957) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.21..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3958))))))))))))))) (let ((?v_3960 (=> true (=> true (=> true (=> true ?v_3959)))))) (let ((?v_3968 (and (=> true (=> ?v_3597 (=> (= inline.SerialStartWrite.0.myVar_0.11 ?v_3600) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.13 inline.SerialStartWrite.0.myVar_0.11) ?v_3959))))) (=> true (=> ?v_3745 (and (=> true (=> ?v_3601 (=> (= inline.SerialStartWrite.0.myVar_0.12 ?v_3929) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.13 inline.SerialStartWrite.0.myVar_0.12) ?v_3960))))) (=> true (=> ?v_3747 (=> true (=> (= inline.SerialStartWrite.0.myVar_0.13 inline.SerialStartWrite.0.myVar_0.10) ?v_3960)))))))))) (let ((?v_3962 (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.26 inline.SerialStartWrite.0.myNondetVar_0.25) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartWrite.0.myVar_0.9) (=> (= inline.SerialStartWrite.0.myNondetVar_1.5 inline.SerialStartWrite.0.myNondetVar_1.4) (=> (= inline.SerialStartWrite.0..UseATimer.5.194.12.SerialStartWrite.0 1) (=> (= inline.SerialStartWrite.0.myVar_0.10 inline.SerialStartWrite.0.myVar_0.9) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartWrite.0.myVar_0.9) (=> (= inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.0 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..0 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialStartWrite.0..result.question.7..1 inline.SerialStartWrite.0..result.question.7..0) ?v_3968)))))))))))) (?v_3961 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 4))) (let ((?v_3964 (and (=> true (=> ?v_3961 (=> true (=> (= inline.SerialStartWrite.0..result.question.7..0 inline.SerialStartWrite.0.myNondetVar_0.23) (=> (= inline.SerialStartWrite.0.myNondetVar_0.24 inline.SerialStartWrite.0.myNondetVar_0.23) ?v_3962))))) (=> true (=> (not ?v_3961) (=> true (=> (= inline.SerialStartWrite.0..result.question.7..0 1) (=> (= inline.SerialStartWrite.0.myNondetVar_0.24 inline.SerialStartWrite.0.myNondetVar_0.22) (=> true ?v_3962)))))))) (?v_3963 (= inline.SerialStartWrite.0.myVar_0.9 hirp))) (let ((?v_3965 (and (=> true (=> ?v_3963 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_3964)))) (=> true (=> (not ?v_3963) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true ?v_3964))))))))))))) (let ((?v_3966 (=> true (=> true (=> true (=> true ?v_3965)))))) (let ((?v_3967 (and (=> true (=> ?v_3597 (=> (= inline.SerialStartWrite.0.myVar_0.7 ?v_3600) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.9 inline.SerialStartWrite.0.myVar_0.7) ?v_3965))))) (=> true (=> ?v_3745 (and (=> true (=> ?v_3601 (=> (= inline.SerialStartWrite.0.myVar_0.8 ?v_3929) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.9 inline.SerialStartWrite.0.myVar_0.8) ?v_3966))))) (=> true (=> ?v_3747 (=> true (=> (= inline.SerialStartWrite.0.myVar_0.9 inline.SerialStartWrite.0.myVar_0.6) ?v_3966)))))))))) (let ((?v_3974 (and (=> true (=> (not (= inline.SerialStartWrite.0.myNondetVar_0.21 0)) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.22 inline.SerialStartWrite.0.myNondetVar_0.21) ?v_3967)))) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.18 0) (and (=> true (=> (not (= inline.SerialStartWrite.0.myNondetVar_0.20 0)) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.22 inline.SerialStartWrite.0.myNondetVar_0.20) (=> true (=> true ?v_3967)))))) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.19 0) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.26 inline.SerialStartWrite.0.myNondetVar_0.19) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.20..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialStartWrite.0.myNondetVar_1.5 inline.SerialStartWrite.0.myNondetVar_1.3) (=> ?v_3934 (=> (= inline.SerialStartWrite.0.myVar_0.10 inline.SerialStartWrite.0.myVar_0.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.20..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite.0 inline.SerialStartWrite.0..IrpSp.11.303.31.SerialStartWrite) (=> (= inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6..0 inline.SerialStartWrite.0..result.sdv_IoGetCurrentIrpStackLocation.303.67.6.) (=> (= inline.SerialStartWrite.0..result.question.7..1 inline.SerialStartWrite.0..result.question.7.) (=> true ?v_3968))))))))))))))))))) (?v_3973 (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_3969 (=> true (=> (= lockStatus_0.39 lockStatus_0.38) (=> (= lockStatus_1.39 lockStatus_1.38) ?v_3974))))) (let ((?v_3972 (=> true ?v_3969)) (?v_3970 (= lockStatus_0.38 lockStatus_0.37)) (?v_3971 (= lockStatus_1.38 lockStatus_1.37))) (let ((?v_3980 (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.15 inline.SerialStartWrite.0.myNondetVar_1.3) (=> true (=> (= inline.sdv_KeReleaseSpinLock.6..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_3598) (and (=> true (=> ?v_3973 (and (=> true (=> ?v_3597 (=> true (=> (= lockStatus_0.38 0) (=> ?v_3971 ?v_3969))))) (=> true (=> ?v_3745 (and (=> true (=> ?v_3601 (=> true (=> ?v_3970 (=> (= lockStatus_1.38 0) ?v_3972))))) (=> true (=> ?v_3747 (=> true (=> ?v_3970 (=> ?v_3971 ?v_3972))))))))))) (=> true (=> (not ?v_3973) (=> true (=> (= lockStatus_0.39 lockStatus_0.37) (=> (= lockStatus_1.39 lockStatus_1.37) (=> true (=> true (=> true (=> true ?v_3974))))))))))))))) (?v_3979 (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 hlock))) (let ((?v_3975 (=> true (=> (= lockStatus_0.37 lockStatus_0.36) (=> (= lockStatus_1.37 lockStatus_1.36) ?v_3980))))) (let ((?v_3978 (=> true ?v_3975)) (?v_3976 (= lockStatus_0.36 lockStatus_0.14)) (?v_3977 (= lockStatus_1.36 lockStatus_1.14))) (let ((?v_4800 (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.8 inline.SerialStartWrite.0.myNondetVar_1.2) (=> true (=> (= inline.sdv_KeAcquireSpinLock.1..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 ?v_3598) (and (=> true (=> ?v_3979 (=> true (=> (=> ?v_3597 ?v_5225) (=> (=> ?v_3601 ?v_5226) (and (=> true (=> ?v_3597 (=> true (=> (= lockStatus_0.36 1) (=> ?v_3977 ?v_3975))))) (=> true (=> ?v_3745 (and (=> true (=> ?v_3601 (=> true (=> ?v_3976 (=> (= lockStatus_1.36 1) ?v_3978))))) (=> true (=> ?v_3747 (=> true (=> ?v_3976 (=> ?v_3977 ?v_3978)))))))))))))) (=> true (=> (not ?v_3979) (=> true (=> (= lockStatus_0.37 lockStatus_0.14) (=> (= lockStatus_1.37 lockStatus_1.14) (=> true (=> true (=> true (=> true ?v_3980))))))))))))))) (?v_4810 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite)) (?v_4811 (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4812 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_4813 (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList)) (?v_4814 (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs)) (?v_4815 (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.5 inline.sdv_InterlockedDecrement.4.myNondetVar_0)) (?v_4816 (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite)) (?v_4817 (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1)) (?v_4818 (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent)) (?v_4819 (= inline.IsListEmpty.2.myNondetVar_0.3 inline.IsListEmpty.2.myNondetVar_0)) (?v_4820 (= inline.SerialGetNextWrite.0.myNondetVar_0.22 inline.SerialGetNextWrite.0.myNondetVar_0)) (?v_4821 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4822 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.7 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_4823 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4824 (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_4825 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.)) (?v_4826 (= inline.RemoveHeadList.1.myNondetVar_0.5 inline.RemoveHeadList.1.myNondetVar_0)) (?v_4827 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_4828 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer)) (?v_4829 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_4830 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4831 (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4832 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_4833 (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1)) (?v_4834 (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1)) (?v_4835 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp)) (?v_4836 (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2.)) (?v_4837 (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp)) (?v_4838 (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4839 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4840 (= errorReached.38 errorReached.7)) (?v_4841 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4842 (= inline.SerialGetNextWrite.0.myNondetVar_2.6 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_4843 (= Mem_0_T.CancelRoutine__IRP.53 Mem_0_T.CancelRoutine__IRP.10)) (?v_4844 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent)) (?v_4845 (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs)) (?v_4846 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_4847 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4848 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_4849 (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4850 (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution)) (?v_4851 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_4852 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4853 (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList)) (?v_4854 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_4855 (= inline.SerialRundownIrpRefs.0.myVar_0.15 inline.SerialRundownIrpRefs.0.myVar_0)) (?v_4856 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_4857 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_1.1 inline.SerialTryToCompleteCurrent.0.myNondetVar_1)) (?v_4858 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_4859 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4860 (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1.)) (?v_4861 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_4862 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_2.1 inline.SerialTryToCompleteCurrent.0.myNondetVar_2)) (?v_4863 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4864 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4865 (= inline.RemoveHeadList.0.myNondetVar_0.5 inline.RemoveHeadList.0.myNondetVar_0)) (?v_4866 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_4867 (= inline.SerialGetNextWrite.0.myVar_0.16 inline.SerialGetNextWrite.0.myVar_0)) (?v_4868 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_4869 (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4870 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_4871 (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent)) (?v_4872 (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4873 (= inline.SerialRundownIrpRefs.0.myNondetVar_2.6 inline.SerialRundownIrpRefs.0.myNondetVar_2)) (?v_4874 (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1)) (?v_4875 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4876 (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_4877 (= inline.SerialGetNextIrp.1.myNondetVar_0.3 inline.SerialGetNextIrp.1.myNondetVar_0)) (?v_4878 (= inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent)) (?v_4879 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.6 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_4880 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4881 (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue)) (?v_4882 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_4883 (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_4884 (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4885 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_4886 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_4887 (= inline.SerialStartWrite.0.tempBoogie0.1 inline.SerialStartWrite.0.tempBoogie0)) (?v_4888 (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_4889 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4890 (= alloc.57 alloc.24)) (?v_4891 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_4892 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_4893 (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4894 (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2.)) (?v_4895 (= k.38 k.7)) (?v_4896 (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer)) (?v_4897 (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4898 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4899 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_4900 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4901 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_4902 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer)) (?v_4903 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4904 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_4905 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_4906 (= inline.SerialStartWrite.0.myNondetVar_1.1 inline.SerialStartWrite.0.myNondetVar_1)) (?v_4907 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.8 inline.SerialTryToCompleteCurrent.0.myNondetVar_0)) (?v_4908 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_4909 (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4910 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..1 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5.)) (?v_4911 (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1.)) (?v_4912 (= inline.SerialStartWrite.0.myNondetVar_2.1 inline.SerialStartWrite.0.myNondetVar_2)) (?v_4913 (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2.)) (?v_4914 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1)) (?v_4915 (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4916 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite)) (?v_4917 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4918 (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1)) (?v_4919 (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1)) (?v_4920 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty)) (?v_4921 (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.1 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp)) (?v_4922 (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent)) (?v_4923 (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent)) (?v_4924 (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs)) (?v_4925 (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4926 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_4927 (= inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.0 inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite)) (?v_4928 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_4929 (= inline.KeSynchronizeExecution.2.myNondetVar_0.11 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_4930 (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4931 (= Mem_1_T.CancelRoutine__IRP.53 Mem_1_T.CancelRoutine__IRP.10)) (?v_4932 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4933 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4934 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite)) (?v_4935 (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..2 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4.)) (?v_4936 (= irpCompleted_0.24 irpCompleted_0.5)) (?v_4937 (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer)) (?v_4938 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_4939 (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4940 (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1)) (?v_4941 (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite)) (?v_4942 (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2.)) (?v_4943 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4944 (= inline.KeSynchronizeExecution.0.myNondetVar_0.8 inline.KeSynchronizeExecution.0.myNondetVar_0)) (?v_4945 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4946 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4947 (= inline.KeSynchronizeExecution.1.myNondetVar_0.10 inline.KeSynchronizeExecution.1.myNondetVar_0)) (?v_4948 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty)) (?v_4949 (= inline.SerialGetNextIrp.0.myNondetVar_0.3 inline.SerialGetNextIrp.0.myNondetVar_0)) (?v_4950 (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1)) (?v_4951 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4952 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_4953 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_4954 (= inline.SerialCancelTimer.0.myNondetVar_0.3 inline.SerialCancelTimer.0.myNondetVar_0)) (?v_4955 (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1.)) (?v_4956 (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4957 (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4958 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_4959 (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4960 (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4961 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_4962 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1)) (?v_4963 (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_4964 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1.)) (?v_4965 (= inline.SerialGetNextWrite.0.tempBoogie0.8 inline.SerialGetNextWrite.0.tempBoogie0)) (?v_4966 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_4967 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_4968 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_4969 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_4970 (= Mem_0_T.P_IRP.32 Mem_0_T.P_IRP.1)) (?v_4971 (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1.)) (?v_4972 (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.5 inline.sdv_InterlockedDecrement.6.myNondetVar_0)) (?v_4973 (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1)) (?v_4974 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_4975 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_4976 (= inline.SerialGetNextWrite.0.havoc_stringTemp.2 inline.SerialGetNextWrite.0.havoc_stringTemp)) (?v_4977 (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4978 (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4.)) (?v_4979 (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4980 (= irpCompleted_1.24 irpCompleted_1.5)) (?v_4981 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_4982 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_4983 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4984 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp)) (?v_4985 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4986 (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4987 (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent)) (?v_4988 (= inline.SerialGetNextIrpLocked.1.myVar_0.6 inline.SerialGetNextIrpLocked.1.myVar_0)) (?v_4989 (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent)) (?v_4990 (= inline.SerialSetTimer.0.myNondetVar_0.9 inline.SerialSetTimer.0.myNondetVar_0)) (?v_4991 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_4992 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4993 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_4994 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_4995 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1)) (?v_4996 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4997 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4998 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_4999 (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_5000 (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.1.havoc_stringTemp)) (?v_5001 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_5002 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_5003 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_5004 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_5005 (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp)) (?v_5006 (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1.)) (?v_5007 (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent)) (?v_5008 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13.)) (?v_5009 (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5010 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_5011 (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.)) (?v_5012 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_5013 (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_5014 (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2.)) (?v_5015 (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_5016 (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2.)) (?v_5017 (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2.)) (?v_5018 (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs)) (?v_5019 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_5020 (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs)) (?v_5021 (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5022 (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_5023 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5024 (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.4 inline.sdv_InterlockedDecrement.2.myNondetVar_0)) (?v_5025 (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1.)) (?v_5026 (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_5027 (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.4 inline.sdv_InterlockedDecrement.3.myNondetVar_0)) (?v_5028 (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs))) (let ((?v_5029 (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1) (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1.) (=> (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.6 inline.SerialGetNextIrpLocked.0.myVar_0) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp) (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1) (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.7 inline.SerialGetNextWrite.0.myNondetVar_1) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1) (=> (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.3 inline.sdv_InterlockedDecrement.7.myNondetVar_0) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.6 inline.SerialRundownIrpRefs.0.myNondetVar_1) (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.6 inline.SerialTryToCompleteCurrent.0.myVar_0) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1.) (=> (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1) (=> (= inline.IsListEmpty.1.myNondetVar_0.3 inline.IsListEmpty.1.myNondetVar_0) (=> (= inline.SerialCancelTimer.1.myNondetVar_0.3 inline.SerialCancelTimer.1.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.12 inline.SerialRundownIrpRefs.0.myNondetVar_0) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.6 inline.SerialRundownIrpRefs.0.tempBoogie0) (=> (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite) (=> (= inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..1 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3.) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent) (=> (= Mem_1_T.P_IRP.32 Mem_1_T.P_IRP.1) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1.) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1.) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.0.havoc_stringTemp) (=> true ?v_4800)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_5030 (=> true (=> ?v_4810 (=> ?v_4811 (=> ?v_4812 (=> ?v_4813 (=> ?v_4814 (=> ?v_4815 (=> ?v_4816 (=> (= cancelLockStatus_0.36 cancelLockStatus_0.8) (=> ?v_4817 (=> ?v_4818 (=> ?v_4819 (=> ?v_4820 (=> ?v_4821 (=> ?v_4822 (=> ?v_4823 (=> ?v_4824 (=> ?v_4825 (=> ?v_4826 (=> ?v_4827 (=> ?v_4828 (=> ?v_4829 (=> ?v_4830 (=> ?v_4831 (=> ?v_4832 (=> ?v_4833 (=> ?v_4834 (=> ?v_4835 (=> ?v_4836 (=> ?v_4837 (=> ?v_4838 (=> ?v_4839 (=> ?v_4840 (=> ?v_4841 (=> ?v_4842 (=> ?v_4843 (=> ?v_4844 (=> ?v_4845 (=> ?v_4846 (=> ?v_4847 (=> ?v_4848 (=> ?v_4849 (=> ?v_4850 (=> ?v_4851 (=> ?v_4852 (=> ?v_4853 (=> ?v_4854 (=> ?v_4855 (=> ?v_4856 (=> ?v_4857 (=> ?v_4858 (=> ?v_4859 (=> ?v_4860 (=> ?v_4861 (=> ?v_4862 (=> ?v_4863 (=> ?v_4864 (=> ?v_4865 (=> ?v_4866 (=> ?v_4867 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> ?v_4868 (=> ?v_4869 (=> ?v_4870 (=> ?v_4871 (=> ?v_4872 (=> ?v_4873 (=> ?v_4874 (=> ?v_4875 (=> ?v_4876 (=> ?v_4877 (=> ?v_4878 (=> ?v_4879 (=> ?v_4880 (=> ?v_4881 (=> ?v_4882 (=> ?v_4883 (=> ?v_4884 (=> ?v_4885 (=> ?v_4886 (=> ?v_4887 (=> ?v_4888 (=> ?v_4889 (=> ?v_4890 (=> ?v_4891 (=> ?v_4892 (=> ?v_4893 (=> ?v_4894 (=> ?v_4895 (=> ?v_4896 (=> ?v_4897 (=> ?v_4898 (=> ?v_4899 (=> ?v_4900 (=> ?v_4901 (=> ?v_4902 (=> ?v_4903 (=> ?v_4904 (=> ?v_4905 (=> ?v_4906 (=> ?v_4907 (=> ?v_4908 (=> ?v_4909 (=> ?v_4910 (=> ?v_4911 (=> ?v_4912 (=> ?v_4913 (=> ?v_4914 (=> ?v_4915 (=> ?v_4916 (=> ?v_4917 (=> ?v_4918 (=> ?v_4919 (=> (= cancelLockStatus_1.36 cancelLockStatus_1.8) (=> ?v_4920 (=> ?v_4921 (=> ?v_4922 (=> ?v_4923 (=> ?v_4924 (=> ?v_4925 (=> ?v_4926 (=> ?v_4927 (=> ?v_4928 (=> ?v_4929 (=> ?v_4930 (=> ?v_4931 (=> ?v_4932 (=> ?v_4933 (=> ?v_4934 (=> ?v_4935 (=> ?v_4936 (=> ?v_4937 (=> ?v_4938 (=> ?v_4939 (=> ?v_4940 (=> ?v_4941 (=> ?v_4942 (=> ?v_4943 (=> ?v_4944 (=> ?v_4945 (=> ?v_4946 (=> ?v_4947 (=> ?v_4948 (=> ?v_4949 (=> ?v_4950 (=> ?v_4951 (=> ?v_4952 (=> ?v_4953 (=> ?v_4954 (=> ?v_4955 (=> ?v_4956 (=> ?v_4957 (=> (= inline.SerialStartWrite.0.myNondetVar_0.7 inline.SerialStartWrite.0.myNondetVar_0.0) (=> ?v_4958 (=> ?v_4959 (=> ?v_4960 (=> ?v_4961 (=> ?v_4962 (=> ?v_4963 (=> ?v_4964 (=> ?v_4965 (=> ?v_4966 (=> ?v_4967 (=> ?v_4968 (=> ?v_4969 (=> ?v_4970 (=> ?v_4971 (=> ?v_4972 (=> ?v_4973 (=> ?v_4974 (=> ?v_4975 (=> ?v_4976 (=> ?v_4977 (=> ?v_4978 (=> ?v_4979 (=> ?v_4980 (=> ?v_4981 (=> ?v_4982 (=> ?v_4983 (=> ?v_4984 (=> ?v_4985 (=> ?v_4986 (=> ?v_4987 (=> ?v_4988 (=> ?v_4989 (=> ?v_4990 (=> ?v_4991 (=> ?v_4992 (=> ?v_4993 (=> ?v_4994 (=> ?v_4995 (=> ?v_4996 (=> ?v_4997 (=> ?v_4998 (=> ?v_4999 (=> ?v_5000 (=> ?v_5001 (=> ?v_5002 (=> ?v_5003 (=> ?v_5004 (=> ?v_5005 (=> ?v_5006 (=> ?v_5007 (=> ?v_5008 (=> ?v_5009 (=> ?v_5010 (=> ?v_5011 (=> ?v_5012 (=> (= inline.SerialStartWrite.0.myVar_0.6 inline.SerialStartWrite.0.myVar_0) (=> ?v_5013 (=> ?v_5014 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> ?v_5015 (=> ?v_5016 (=> ?v_5017 (=> ?v_5018 (=> ?v_5019 (=> ?v_5020 (=> ?v_5021 (=> ?v_5022 (=> ?v_5023 (=> ?v_5024 (=> ?v_5025 (=> ?v_5026 (=> ?v_5027 (=> ?v_5028 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) ?v_5029)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5031 (= cancelLockStatus_1.8 cancelLockStatus_1.7))) (let ((?v_5032 (=> (= cancelLockStatus_0.8 cancelLockStatus_0.7) (=> true (=> true (=> true (=> true ?v_5030)))))) (?v_3586 (U_2_int (MapType0Select Mem_0_T.P_IRP.1 ?v_3585)))) (let ((?v_4808 (= ?v_3586 0)) (?v_4794 (U_2_int (MapType0Select Mem_1_T.P_IRP.1 ?v_3585)))) (let ((?v_4809 (= ?v_4794 0)) (?v_4797 (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartWrite.0.myVar_0.2)) (?v_4798 (= inline.sdv_IoGetCurrentIrpStackLocation.7..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartWrite.0.myVar_0.2)) (?v_4799 (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0))) (let ((?v_4801 (=> true (=> ?v_4810 (=> ?v_4811 (=> ?v_4812 (=> ?v_4813 (=> ?v_4814 (=> ?v_4815 (=> ?v_4816 (=> (= cancelLockStatus_0.36 cancelLockStatus_0.9) (=> ?v_4817 (=> ?v_4818 (=> ?v_4819 (=> ?v_4820 (=> ?v_4821 (=> ?v_4822 (=> ?v_4823 (=> ?v_4824 (=> ?v_4825 (=> ?v_4826 (=> ?v_4827 (=> ?v_4828 (=> ?v_4829 (=> ?v_4830 (=> ?v_4831 (=> ?v_4832 (=> ?v_4833 (=> ?v_4834 (=> ?v_4835 (=> ?v_4836 (=> ?v_4837 (=> ?v_4838 (=> ?v_4839 (=> ?v_4840 (=> ?v_4841 (=> ?v_4842 (=> ?v_4843 (=> ?v_4844 (=> ?v_4845 (=> ?v_4846 (=> ?v_4847 (=> ?v_4848 (=> ?v_4849 (=> ?v_4850 (=> ?v_4851 (=> ?v_4852 (=> ?v_4853 (=> ?v_4854 (=> ?v_4855 (=> ?v_4856 (=> ?v_4857 (=> ?v_4858 (=> ?v_4859 (=> ?v_4860 (=> ?v_4861 (=> ?v_4862 (=> ?v_4863 (=> ?v_4864 (=> ?v_4865 (=> ?v_4866 (=> ?v_4867 (=> ?v_4797 (=> ?v_4868 (=> ?v_4869 (=> ?v_4870 (=> ?v_4871 (=> ?v_4872 (=> ?v_4873 (=> ?v_4874 (=> ?v_4875 (=> ?v_4876 (=> ?v_4877 (=> ?v_4878 (=> ?v_4879 (=> ?v_4880 (=> ?v_4881 (=> ?v_4882 (=> ?v_4883 (=> ?v_4884 (=> ?v_4885 (=> ?v_4886 (=> ?v_4887 (=> ?v_4888 (=> ?v_4889 (=> ?v_4890 (=> ?v_4891 (=> ?v_4892 (=> ?v_4893 (=> ?v_4894 (=> ?v_4895 (=> ?v_4896 (=> ?v_4897 (=> ?v_4898 (=> ?v_4899 (=> ?v_4900 (=> ?v_4901 (=> ?v_4902 (=> ?v_4903 (=> ?v_4904 (=> ?v_4905 (=> ?v_4906 (=> ?v_4907 (=> ?v_4908 (=> ?v_4909 (=> ?v_4910 (=> ?v_4911 (=> ?v_4912 (=> ?v_4913 (=> ?v_4914 (=> ?v_4915 (=> ?v_4916 (=> ?v_4917 (=> ?v_4918 (=> ?v_4919 (=> (= cancelLockStatus_1.36 cancelLockStatus_1.9) (=> ?v_4920 (=> ?v_4921 (=> ?v_4922 (=> ?v_4923 (=> ?v_4924 (=> ?v_4925 (=> ?v_4926 (=> ?v_4927 (=> ?v_4928 (=> ?v_4929 (=> ?v_4930 (=> ?v_4931 (=> ?v_4932 (=> ?v_4933 (=> ?v_4934 (=> ?v_4935 (=> ?v_4936 (=> ?v_4937 (=> ?v_4938 (=> ?v_4939 (=> ?v_4940 (=> ?v_4941 (=> ?v_4942 (=> ?v_4943 (=> ?v_4944 (=> ?v_4945 (=> ?v_4946 (=> ?v_4947 (=> ?v_4948 (=> ?v_4949 (=> ?v_4950 (=> ?v_4951 (=> ?v_4952 (=> ?v_4953 (=> ?v_4954 (=> ?v_4955 (=> ?v_4956 (=> ?v_4957 (=> (= inline.SerialStartWrite.0.myNondetVar_0.7 inline.SerialStartWrite.0.myNondetVar_0.3) (=> ?v_4958 (=> ?v_4959 (=> ?v_4960 (=> ?v_4961 (=> ?v_4962 (=> ?v_4963 (=> ?v_4964 (=> ?v_4965 (=> ?v_4966 (=> ?v_4967 (=> ?v_4968 (=> ?v_4969 (=> ?v_4970 (=> ?v_4971 (=> ?v_4972 (=> ?v_4973 (=> ?v_4974 (=> ?v_4975 (=> ?v_4976 (=> ?v_4977 (=> ?v_4978 (=> ?v_4979 (=> ?v_4980 (=> ?v_4981 (=> ?v_4982 (=> ?v_4983 (=> ?v_4984 (=> ?v_4985 (=> ?v_4986 (=> ?v_4987 (=> ?v_4988 (=> ?v_4989 (=> ?v_4990 (=> ?v_4991 (=> ?v_4992 (=> ?v_4993 (=> ?v_4994 (=> ?v_4995 (=> ?v_4996 (=> ?v_4997 (=> ?v_4998 (=> ?v_4999 (=> ?v_5000 (=> ?v_5001 (=> ?v_5002 (=> ?v_5003 (=> ?v_5004 (=> ?v_5005 (=> ?v_5006 (=> ?v_5007 (=> ?v_5008 (=> ?v_5009 (=> ?v_5010 (=> ?v_5011 (=> ?v_5012 (=> (= inline.SerialStartWrite.0.myVar_0.6 inline.SerialStartWrite.0.myVar_0.2) (=> ?v_5013 (=> ?v_5014 (=> ?v_4798 (=> ?v_5015 (=> ?v_5016 (=> ?v_5017 (=> ?v_5018 (=> ?v_5019 (=> ?v_5020 (=> ?v_5021 (=> ?v_5022 (=> ?v_5023 (=> ?v_5024 (=> ?v_5025 (=> ?v_5026 (=> ?v_5027 (=> ?v_5028 (=> ?v_4799 ?v_5029)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4802 (= cancelLockStatus_1.9 cancelLockStatus_1.7))) (let ((?v_4803 (=> (= cancelLockStatus_0.9 cancelLockStatus_0.7) (=> true (=> true (=> true (=> true ?v_4801)))))) (?v_4008 (=> true (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.6 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.5 inline.sdv_InterlockedDecrement.4.myNondetVar_0.4) (=> (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.1) (=> (= cancelLockStatus_0.36 cancelLockStatus_0.35) (=> (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent1.0 0) (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.4 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.3) (=> (= inline.IsListEmpty.2.myNondetVar_0.3 inline.IsListEmpty.2.myNondetVar_0.2) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.22 inline.SerialGetNextWrite.0.myNondetVar_0.21) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.7 inline.sdv_InterlockedDecrement.5.myNondetVar_0.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2) (=> (= inline.RemoveHeadList.1.myNondetVar_0.5 inline.RemoveHeadList.1.myNondetVar_0.4) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.5 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.4) (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs1.0 0) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.3 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.2) (=> (= errorReached.38 errorReached.37) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.6 inline.SerialGetNextWrite.0.myNondetVar_2.5) (=> (= Mem_0_T.CancelRoutine__IRP.53 Mem_0_T.CancelRoutine__IRP.52) (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialRundownIrpRefs.0..IntervalTimer.2.513.55.SerialRundownIrpRefs.0 0) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..4 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialTryToCompleteCurrent.0.myVar_0.5) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.3 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.2) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.1) (=> (= inline.SerialRundownIrpRefs.0.myVar_0.15 inline.SerialRundownIrpRefs.0.myVar_0.14) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_1.1 inline.SerialTryToCompleteCurrent.0.myNondetVar_1.0) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.5 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.4) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..2) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.4 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.3) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_2.1 inline.SerialTryToCompleteCurrent.0.myNondetVar_2.0) (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.RemoveHeadList.0.myNondetVar_0.5 inline.RemoveHeadList.0.myNondetVar_0.4) (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.4 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.3) (=> (= inline.SerialGetNextWrite.0.myVar_0.16 inline.SerialGetNextWrite.0.myVar_0.15) (=> ?v_4797 (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..3 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.6 inline.SerialRundownIrpRefs.0.myNondetVar_2.5) (=> (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent1.0 1073741832) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.4) (=> (= inline.SerialGetNextIrp.1.myNondetVar_0.3 inline.SerialGetNextIrp.1.myNondetVar_0.2) (=> (= inline.SerialTryToCompleteCurrent.0..newIrp.14.428.13.SerialTryToCompleteCurrent.0 call53668formal.new.0) (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.6 inline.sdv_InterlockedIncrement.1.myNondetVar_0.5) (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.5 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.4) (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..3 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..2 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.5 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.4) (=> (= inline.SerialStartWrite.0.tempBoogie0.1 inline.SerialStartWrite.0.tempBoogie0.0) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= alloc.57 alloc.56) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..2) (=> (= k.38 k.37) (=> (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.4 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.3) (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.7 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.4 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.3) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.1 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.SerialStartWrite.0.myNondetVar_1.1 inline.SerialStartWrite.0.myNondetVar_1.0) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.8 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.7) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.1) (=> (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..1 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..0) (=> (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.SerialStartWrite.0.myNondetVar_2.1 inline.SerialStartWrite.0.myNondetVar_2.0) (=> (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..0) (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialTryToCompleteCurrent.0.myVar_0.2) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialRundownIrpRefs.0..TotalTimer.3.514.32.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent1.0 16) (=> (= cancelLockStatus_1.36 cancelLockStatus_1.35) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.1 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.0) (=> (= inline.SerialTryToCompleteCurrent.0..RefType.11.350.12.SerialTryToCompleteCurrent.0 16) (=> (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent.0 SerialGrabXoffFromIsr) (=> (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialTryToCompleteCurrent.0.myVar_0.5) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.1) (=> (= inline.SerialStartWrite.0.._refType.9.234.0.SerialStartWrite.0 16) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.1) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.11 inline.KeSynchronizeExecution.2.myNondetVar_0.10) (=> (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= Mem_1_T.CancelRoutine__IRP.53 Mem_1_T.CancelRoutine__IRP.52) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.4 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.1) (=> (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..2 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..1) (=> (= irpCompleted_0.24 irpCompleted_0.23) (=> (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.1 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.0) (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..5 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..4) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent1.0 0) (=> (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..3 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.8 inline.KeSynchronizeExecution.0.myNondetVar_0.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..5 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.10 inline.KeSynchronizeExecution.1.myNondetVar_0.9) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.SerialGetNextIrp.0.myNondetVar_0.3 inline.SerialGetNextIrp.0.myNondetVar_0.2) (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent1.0 0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.SerialCancelTimer.0.myNondetVar_0.3 inline.SerialCancelTimer.0.myNondetVar_0.2) (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialStartWrite.0.myVar_0.5) (=> (= inline.SerialStartWrite.0.myNondetVar_0.7 inline.SerialStartWrite.0.myNondetVar_0.6) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.1 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..3 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..2) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.8 inline.SerialGetNextWrite.0.tempBoogie0.7) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.1) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.4 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.3) (=> (= Mem_0_T.P_IRP.32 Mem_0_T.P_IRP.31) (=> (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..1) (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.5 inline.sdv_InterlockedDecrement.6.myNondetVar_0.4) (=> (= inline.SerialRundownIrpRefs.0..CurrentOpIrp.1.513.30.SerialRundownIrpRefs1.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1) (=> (= inline.SerialGetNextWrite.0.havoc_stringTemp.2 inline.SerialGetNextWrite.0.havoc_stringTemp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialStartWrite.0.myVar_0.5) (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= irpCompleted_1.24 irpCompleted_1.23) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.1) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..3 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.SerialTryToCompleteCurrent.0..GetNextIrp.10.349.32.SerialTryToCompleteCurrent.0 0) (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.6 inline.SerialGetNextIrpLocked.1.myVar_0.5) (=> (= inline.SerialTryToCompleteCurrent.0..StatusToUse.4.343.16.SerialTryToCompleteCurrent.0 1073741832) (=> (= inline.SerialSetTimer.0.myNondetVar_0.9 inline.SerialSetTimer.0.myNondetVar_0.8) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.1) (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.1 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.4 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3) (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.3) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.1.havoc_stringTemp.2) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.2 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.1) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.3 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.2) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.5 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.4) (=> (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.1) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.SerialTryToCompleteCurrent.0..QueueToProcess.6.345.19.SerialTryToCompleteCurrent.0 0) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..3 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..3 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..2) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialStartWrite.0.myVar_0.6 inline.SerialStartWrite.0.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..1 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..0) (=> ?v_4798 (=> (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.0) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3) (=> (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.3 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.4 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3) (=> (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.4 inline.sdv_InterlockedDecrement.2.myNondetVar_0.3) (=> (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..2 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..1) (=> (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.4 inline.sdv_InterlockedDecrement.3.myNondetVar_0.3) (=> (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.1 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.0) (=> ?v_4799 (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..3 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.1) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..0) (=> (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.2 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.1) (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.6 inline.SerialGetNextIrpLocked.0.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.2 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.1) (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent1.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..4 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialTryToCompleteCurrent.0.myVar_0.2) (=> (= inline.SerialTryToCompleteCurrent.0..Extension.1.340.32.SerialTryToCompleteCurrent.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.7 inline.SerialGetNextWrite.0.myNondetVar_1.6) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.3 inline.sdv_InterlockedDecrement.7.myNondetVar_0.2) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.2 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.6 inline.SerialRundownIrpRefs.0.myNondetVar_1.5) (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.6 inline.SerialTryToCompleteCurrent.0.myVar_0.5) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.2 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.1) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.2) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..2 inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..1) (=> (= inline.SerialTryToCompleteCurrent.0..SynchRoutine.2.341.29.SerialTryToCompleteCurrent1.0 SerialGrabXoffFromIsr) (=> (= inline.IsListEmpty.1.myNondetVar_0.3 inline.IsListEmpty.1.myNondetVar_0.2) (=> (= inline.SerialCancelTimer.1.myNondetVar_0.3 inline.SerialCancelTimer.1.myNondetVar_0.2) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.12 inline.SerialRundownIrpRefs.0.myNondetVar_0.11) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..4 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..3) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.6 inline.SerialRundownIrpRefs.0.tempBoogie0.5) (=> (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.1) (=> (= inline.SerialTryToCompleteCurrent.0.._refType.12.396.0.SerialTryToCompleteCurrent.0 16) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..1 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..0) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialTryToCompleteCurrent.0..IntervalTimer.7.346.15.SerialTryToCompleteCurrent.0 0) (=> (= Mem_1_T.P_IRP.32 Mem_1_T.P_IRP.31) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.2 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.2 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..2 inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..1) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..1 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..0) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.4 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3) (=> (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..2 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..1) (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.4 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.3) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.3 inline.SerialGetNextIrpLocked.0.havoc_stringTemp.2) ?v_4800)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4671 (=> true (=> true (=> true ?v_4008)))) (?v_4507 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite)) (?v_4508 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_4509 (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList)) (?v_4510 (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.4 inline.sdv_InterlockedDecrement.4.myNondetVar_0)) (?v_4511 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_4512 (= inline.SerialGetNextWrite.0.tempBoogie0.7 inline.SerialGetNextWrite.0.tempBoogie0)) (?v_4513 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4514 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.6 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_4515 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4516 (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_4517 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.)) (?v_4518 (= inline.RemoveHeadList.1.myNondetVar_0.4 inline.RemoveHeadList.1.myNondetVar_0)) (?v_4519 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_4520 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_4521 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_4522 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4523 (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4524 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp)) (?v_4525 (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1.)) (?v_4526 (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp)) (?v_4527 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4528 (= inline.SerialGetNextWrite.0.myNondetVar_2.5 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_4529 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4530 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4531 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_4532 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4533 (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList)) (?v_4534 (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4535 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4536 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_4537 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4538 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_4539 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4540 (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1.)) (?v_4541 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_4542 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4543 (= inline.RemoveHeadList.0.myNondetVar_0.4 inline.RemoveHeadList.0.myNondetVar_0)) (?v_4544 (= inline.SerialGetNextWrite.0.myVar_0.15 inline.SerialGetNextWrite.0.myVar_0)) (?v_4545 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_4546 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_4547 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4548 (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4549 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_4550 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4551 (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_4552 (= inline.SerialGetNextIrp.1.myNondetVar_0.2 inline.SerialGetNextIrp.1.myNondetVar_0)) (?v_4553 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_4554 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_4555 (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4556 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_4557 (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_4558 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4559 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_4560 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_4561 (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4562 (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2.)) (?v_4563 (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4564 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4565 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_4566 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4567 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_4568 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4569 (= inline.KeSynchronizeExecution.1.myNondetVar_0.9 inline.KeSynchronizeExecution.1.myNondetVar_0)) (?v_4570 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_4571 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite)) (?v_4572 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_4573 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_4574 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_4575 (= inline.KeSynchronizeExecution.2.myNondetVar_0.10 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_4576 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4577 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_4578 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite)) (?v_4579 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_4580 (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite)) (?v_4581 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty)) (?v_4582 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4583 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4584 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_4585 (= inline.SerialGetNextIrp.0.myNondetVar_0.2 inline.SerialGetNextIrp.0.myNondetVar_0)) (?v_4586 (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.4 inline.sdv_InterlockedDecrement.6.myNondetVar_0)) (?v_4587 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_4588 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_4589 (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1.)) (?v_4590 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_4591 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_4592 (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_4593 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1.)) (?v_4594 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_4595 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.5 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_4596 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_4597 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_4598 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_4599 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_4600 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty)) (?v_4601 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_4602 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_4603 (= inline.SerialGetNextWrite.0.havoc_stringTemp.1 inline.SerialGetNextWrite.0.havoc_stringTemp)) (?v_4604 (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4.)) (?v_4605 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_4606 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_4607 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4608 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp)) (?v_4609 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4610 (= inline.SerialGetNextIrpLocked.1.myVar_0.5 inline.SerialGetNextIrpLocked.1.myVar_0)) (?v_4611 (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution)) (?v_4612 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_4613 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4614 (= inline.SerialGetNextWrite.0.myNondetVar_1.6 inline.SerialGetNextWrite.0.myNondetVar_1)) (?v_4615 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_4616 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_4617 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4618 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_4619 (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.1.havoc_stringTemp)) (?v_4620 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4621 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_4622 (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite)) (?v_4623 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_4624 (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp)) (?v_4625 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13.)) (?v_4626 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4627 (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.)) (?v_4628 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4629 (= inline.SerialGetNextWrite.0.myNondetVar_0.21 inline.SerialGetNextWrite.0.myNondetVar_0)) (?v_4630 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4631 (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4632 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4633 (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1.)) (?v_4634 (= inline.SerialSetTimer.0.myNondetVar_0.8 inline.SerialSetTimer.0.myNondetVar_0)) (?v_4635 (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2.)) (?v_4636 (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite)) (?v_4637 (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.)) (?v_4638 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4639 (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4640 (= inline.SerialGetNextIrpLocked.0.myVar_0.5 inline.SerialGetNextIrpLocked.0.myVar_0)) (?v_4641 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4642 (= inline.IsListEmpty.2.myNondetVar_0.2 inline.IsListEmpty.2.myNondetVar_0)) (?v_4643 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_4644 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_4645 (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4.)) (?v_4646 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_4647 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4648 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_4649 (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_4650 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1)) (?v_4651 (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite)) (?v_4652 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_4653 (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_4654 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1)) (?v_4655 (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1.)) (?v_4656 (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.7 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.5)) (?v_4657 (= inline.IsListEmpty.1.myNondetVar_0.2 inline.IsListEmpty.1.myNondetVar_0)) (?v_4658 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_4659 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_4660 (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.)) (?v_4661 (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4662 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_4663 (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4664 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4665 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_4666 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4667 (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1.)) (?v_4668 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4669 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite)) (?v_4670 (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.0.havoc_stringTemp))) (let ((?v_4673 (=> true (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> (= cancelLockStatus_0.35 cancelLockStatus_0.22) (=> ?v_4512 (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> (= errorReached.37 errorReached.22) (=> ?v_4528 (=> (= Mem_0_T.CancelRoutine__IRP.52 Mem_0_T.CancelRoutine__IRP.32) (=> ?v_4529 (=> (= k.37 k.24) (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_4553 (=> (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..1 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..0) (=> (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2) (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> (= alloc.56 alloc.40) (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.7.myNondetVar_0.1) (=> ?v_4571 (=> (= cancelLockStatus_1.35 cancelLockStatus_1.22) (=> (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.0 call58671formal.new.0) (=> ?v_4572 (=> ?v_4573 (=> ?v_4574 (=> ?v_4575 (=> (= Mem_1_T.CancelRoutine__IRP.52 Mem_1_T.CancelRoutine__IRP.32) (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> ?v_4579 (=> ?v_4580 (=> ?v_4581 (=> ?v_4582 (=> ?v_4583 (=> ?v_4584 (=> ?v_4585 (=> ?v_4586 (=> ?v_4587 (=> ?v_4588 (=> ?v_4589 (=> ?v_4590 (=> ?v_4591 (=> ?v_4592 (=> ?v_4593 (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> ?v_4597 (=> ?v_4598 (=> (= Mem_0_T.P_IRP.31 Mem_0_T.P_IRP.11) (=> ?v_4599 (=> ?v_4600 (=> ?v_4601 (=> ?v_4602 (=> ?v_4603 (=> ?v_4604 (=> (= irpCompleted_1.23 irpCompleted_1.15) (=> ?v_4605 (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> ?v_4609 (=> (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.7.myNondetVar_0.1) (=> ?v_4610 (=> ?v_4611 (=> ?v_4612 (=> ?v_4613 (=> ?v_4614 (=> ?v_4615 (=> ?v_4616 (=> ?v_4617 (=> ?v_4618 (=> ?v_4619 (=> ?v_4620 (=> ?v_4621 (=> ?v_4622 (=> ?v_4623 (=> ?v_4624 (=> ?v_4625 (=> ?v_4626 (=> ?v_4627 (=> ?v_4628 (=> (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.7.myNondetVar_0.1) (=> ?v_4629 (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..0) (=> ?v_4630 (=> ?v_4631 (=> ?v_4632 (=> ?v_4633 (=> ?v_4634 (=> ?v_4635 (=> ?v_4636 (=> ?v_4637 (=> ?v_4638 (=> ?v_4639 (=> ?v_4640 (=> ?v_4641 (=> ?v_4642 (=> ?v_4643 (=> ?v_4644 (=> ?v_4645 (=> ?v_4646 (=> ?v_4647 (=> ?v_4648 (=> ?v_4649 (=> (= irpCompleted_0.23 irpCompleted_0.15) (=> ?v_4650 (=> ?v_4651 (=> ?v_4652 (=> ?v_4653 (=> ?v_4654 (=> ?v_4655 (=> ?v_4656 (=> ?v_4657 (=> ?v_4658 (=> ?v_4659 (=> ?v_4660 (=> ?v_4661 (=> (= Mem_1_T.P_IRP.31 Mem_1_T.P_IRP.11) (=> ?v_4662 (=> ?v_4663 (=> ?v_4664 (=> ?v_4665 (=> ?v_4666 (=> ?v_4667 (=> (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.2 inline.sdv_InterlockedDecrement.7.myNondetVar_0.1) (=> ?v_4668 (=> ?v_4669 (=> ?v_4670 ?v_4671))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4672 (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.1 0))) (let ((?v_4687 (and (=> true (=> (not ?v_4672) (=> true (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2.) ?v_4673)))) (=> true (=> ?v_4672 (=> true (=> (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..0 call58873formal.ret.0) (=> true (=> true (=> true ?v_4673))))))))) (?v_4686 (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 hirp))) (let ((?v_4674 (=> true (=> (= irpCompleted_1.15 irpCompleted_1.14) (=> (= irpCompleted_0.15 irpCompleted_0.14) (=> (= Mem_1_T.CancelRoutine__IRP.32 Mem_1_T.CancelRoutine__IRP.31) (=> (= k.24 k.23) (=> (= Mem_0_T.CancelRoutine__IRP.32 Mem_0_T.CancelRoutine__IRP.31) (=> (= errorReached.22 errorReached.21) ?v_4687)))))))) (?v_4676 (= irpCompleted_1.14 irpCompleted_1.5))) (let ((?v_4677 (=> (= irpCompleted_0.14 irpCompleted_0.5) (=> true ?v_4674))) (?v_4675 (= k.23 1))) (let ((?v_4681 (not ?v_4675)) (?v_4506 (= k.23 0))) (let ((?v_4678 (not ?v_4506))) (let ((?v_4680 (and (=> true (=> ?v_4506 (=> true (=> ?v_4676 (=> (= irpCompleted_0.14 1) ?v_4674))))) (=> true (=> ?v_4678 (and (=> true (=> ?v_4675 (=> true (=> (= irpCompleted_1.14 1) ?v_4677)))) (=> true (=> ?v_4681 (=> true (=> ?v_4676 ?v_4677))))))))) (?v_4682 (= Mem_1_T.CancelRoutine__IRP.31 Mem_1_T.CancelRoutine__IRP.19))) (let ((?v_4683 (=> (= Mem_0_T.CancelRoutine__IRP.31 Mem_0_T.CancelRoutine__IRP.19) (=> true (=> true ?v_4680)))) (?v_4679 (int_2_U (CancelRoutine__IRP inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2)))) (let ((?v_4685 (=> true (=> (<= k.21 k.23) (=> (< k.23 2) (and (=> true (=> ?v_4506 (=> (= Mem_0_T.CancelRoutine__IRP.30 (MapType0Store Mem_0_T.CancelRoutine__IRP.19 ?v_4679 ?v_35)) (=> true (=> ?v_4682 (=> (= Mem_0_T.CancelRoutine__IRP.31 Mem_0_T.CancelRoutine__IRP.30) ?v_4680)))))) (=> true (=> ?v_4678 (and (=> true (=> ?v_4675 (=> (= Mem_1_T.CancelRoutine__IRP.30 (MapType0Store Mem_1_T.CancelRoutine__IRP.19 ?v_4679 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.31 Mem_1_T.CancelRoutine__IRP.30) ?v_4683))))) (=> true (=> ?v_4681 (=> true (=> ?v_4682 ?v_4683)))))))))))) (?v_4503 (= k.21 0)) (?v_4684 (= k.21 1)) (?v_4505 (int_2_U call58671formal.new.0))) (let ((?v_4688 (=> true (and ?v_8 (=> ?v_8 (=> (> call58671formal.new.0 0) (=> (forall ((?x1659 Int)) (! (=> (and (<= call58671formal.new.0 ?x1659) (< ?x1659 (+ call58671formal.new.0 1))) (= (Base ?x1659) call58671formal.new.0)) :pattern ((Base ?x1659)) )) (=> (forall ((?x1660 boogieU)) (! (=> (= (type ?x1660) intType) (or (= (U_2_int ?x1660) call58671formal.new.0) (= (MapType0Select alloc.25 ?x1660) (MapType0Select alloc.40 ?x1660)))) :pattern ((MapType0Select alloc.40 ?x1660)) )) (=> (and (= (MapType0Select alloc.25 ?v_4505) UNALLOCATED) (= (MapType0Select alloc.40 ?v_4505) ALLOCATED)) (and (=> true (=> ?v_4686 (and (=> true (=> (=> ?v_4503 ?v_3592) (=> (=> ?v_4684 ?v_3593) (=> true (=> (= errorReached.21 1) ?v_4685))))) (=> true (=> (=> ?v_4503 ?v_2881) (=> (=> ?v_4684 ?v_2882) (=> true (=> (= errorReached.21 errorReached.13) ?v_4685)))))))) (=> true (=> (not ?v_4686) (=> true (=> (= irpCompleted_1.15 irpCompleted_1.5) (=> (= irpCompleted_0.15 irpCompleted_0.5) (=> (= Mem_1_T.CancelRoutine__IRP.32 Mem_1_T.CancelRoutine__IRP.19) (=> (= k.24 k.21) (=> (= Mem_0_T.CancelRoutine__IRP.32 Mem_0_T.CancelRoutine__IRP.19) (=> (= errorReached.22 errorReached.13) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4687))))))))))))))))))))))))))))))))))) (?v_4689 (= cancelLockStatus_1.22 cancelLockStatus_1.7))) (let ((?v_4690 (=> (= cancelLockStatus_0.22 cancelLockStatus_0.7) (=> true (=> true (=> true (=> true ?v_4688)))))) (?v_4694 (not ?v_4684)) (?v_4691 (not ?v_4503))) (let ((?v_4693 (and (=> true (=> ?v_4503 (=> true (=> ?v_4689 (=> (= cancelLockStatus_0.22 0) ?v_4688))))) (=> true (=> ?v_4691 (and (=> true (=> ?v_4684 (=> true (=> (= cancelLockStatus_1.22 0) ?v_4690)))) (=> true (=> ?v_4694 (=> true (=> ?v_4689 ?v_4690))))))))) (?v_4695 (= Mem_1_T.P_IRP.11 Mem_1_T.P_IRP.1))) (let ((?v_4696 (=> (= Mem_0_T.P_IRP.11 Mem_0_T.P_IRP.1) (=> true (=> true (=> true (=> true (=> true (=> true ?v_4693)))))))) (?v_3591 (int_2_U inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0))) (let ((?v_4692 (MapType0Store Mem_1_T.P_IRP.1 ?v_3591 ?v_35)) (?v_4504 (MapType0Store Mem_0_T.P_IRP.1 ?v_3591 ?v_35))) (let ((?v_4697 (and (=> true (=> ?v_4503 (=> (= Mem_0_T.P_IRP.10 ?v_4504) (=> true (=> ?v_4695 (=> (= Mem_0_T.P_IRP.11 Mem_0_T.P_IRP.10) ?v_4693)))))) (=> true (=> ?v_4691 (and (=> true (=> ?v_4684 (=> (= Mem_1_T.P_IRP.10 ?v_4692) (=> true (=> (= Mem_1_T.P_IRP.11 Mem_1_T.P_IRP.10) ?v_4696))))) (=> true (=> ?v_4694 (=> true (=> ?v_4695 ?v_4696)))))))))) (let ((?v_4698 (=> true (=> true ?v_4697))) (?v_4099 (U_2_int (MapType0Select Mem_1_T.P_IRP.1 ?v_3591))) (?v_3590 (U_2_int (MapType0Select Mem_0_T.P_IRP.1 ?v_3591))) (?v_3998 (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.3 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent)) (?v_3999 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4000 (= inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4..1 inline.SerialTryToCompleteCurrent.0..result.SerialDbgPrintEx.501.12.4.)) (?v_4001 (= inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.4..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4002 (= inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.4..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4003 (= inline.SerialTryToCompleteCurrent.0.havoc_stringTemp.0 inline.SerialTryToCompleteCurrent.0.havoc_stringTemp)) (?v_4004 (= inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.7..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4005 (= inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.4..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_4006 (= inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.6..result.SdvMakeChoice.4659.26.2.)) (?v_4007 (= inline.sdv_InterlockedDecrement.7.myNondetVar_0.2 inline.sdv_InterlockedDecrement.7.myNondetVar_0))) (let ((?v_4013 (=> true (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.5 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.4) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.4 inline.sdv_InterlockedDecrement.4.myNondetVar_0.3) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= cancelLockStatus_0.35 cancelLockStatus_0.34) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.7 inline.SerialGetNextWrite.0.tempBoogie0.6) (=> ?v_3998 (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.6 inline.sdv_InterlockedDecrement.5.myNondetVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..1) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1) (=> (= inline.RemoveHeadList.1.myNondetVar_0.4 inline.RemoveHeadList.1.myNondetVar_0.3) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.3) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..0) (=> (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.0) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.2 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.1) (=> (= errorReached.37 errorReached.36) (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.5 inline.SerialGetNextWrite.0.myNondetVar_2.4) (=> (= Mem_0_T.CancelRoutine__IRP.52 Mem_0_T.CancelRoutine__IRP.51) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= k.37 k.36) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..2 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..1) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.2 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.1) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.4 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.3) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..1) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.3 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.2) (=> ?v_3999 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.RemoveHeadList.0.myNondetVar_0.4 inline.RemoveHeadList.0.myNondetVar_0.3) (=> (= inline.SerialGetNextWrite.0.myVar_0.15 inline.SerialGetNextWrite.0.myVar_0.14) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..2 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..1 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.3) (=> (= inline.SerialGetNextIrp.1.myNondetVar_0.2 inline.SerialGetNextIrp.1.myNondetVar_0.1) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.0) (=> ?v_4000 (=> ?v_4001 (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.4 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.4 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.3) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= alloc.56 alloc.55) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..1) (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.6 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.3 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.9 inline.KeSynchronizeExecution.1.myNondetVar_0.8) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.0) (=> ?v_4002 (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.0) (=> (= cancelLockStatus_1.35 cancelLockStatus_1.34) (=> ?v_4003 (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.3 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.2) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.0) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.10 inline.KeSynchronizeExecution.2.myNondetVar_0.9) (=> (= Mem_1_T.CancelRoutine__IRP.52 Mem_1_T.CancelRoutine__IRP.51) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.3 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.0) (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..4 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..3) (=> (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.0) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..4 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.SerialGetNextIrp.0.myNondetVar_0.2 inline.SerialGetNextIrp.0.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.4 inline.sdv_InterlockedDecrement.6.myNondetVar_0.3) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..2 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..1) (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.3 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.2) (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.5 inline.sdv_InterlockedIncrement.1.myNondetVar_0.4) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.3 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.2) (=> (= Mem_0_T.P_IRP.31 Mem_0_T.P_IRP.30) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextWrite.0.havoc_stringTemp.1 inline.SerialGetNextWrite.0.havoc_stringTemp.0) (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..2) (=> (= irpCompleted_1.23 irpCompleted_1.22) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..2 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2) (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> ?v_4004 (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.5 inline.SerialGetNextIrpLocked.1.myVar_0.4) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.6 inline.SerialGetNextWrite.0.myNondetVar_1.5) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.3 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2) (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.2) (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.1.havoc_stringTemp.1) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.1 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.0) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.4 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.3) (=> (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.0) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..2 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..1) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..1) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.2) (=> ?v_4005 (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.21 inline.SerialGetNextWrite.0.myNondetVar_0.20) (=> ?v_4006 (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.2 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.3 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2) (=> (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..1 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..0) (=> (= inline.SerialSetTimer.0.myNondetVar_0.8 inline.SerialSetTimer.0.myNondetVar_0.7) (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..2 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..1) (=> (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.0) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.5 inline.SerialGetNextIrpLocked.0.myVar_0.4) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> (= inline.IsListEmpty.2.myNondetVar_0.2 inline.IsListEmpty.2.myNondetVar_0.1) (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.1 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.0) (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..3 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..2) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0) (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..2 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..1) (=> (= irpCompleted_0.23 irpCompleted_0.22) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.1 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.0) (=> (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.0) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.1 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0) (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.1) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..1 inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..0) (=> ?v_4656 (=> (= inline.IsListEmpty.1.myNondetVar_0.2 inline.IsListEmpty.1.myNondetVar_0.1) (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..3 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..2) (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..3 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..2) (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= Mem_1_T.P_IRP.31 Mem_1_T.P_IRP.30) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.1 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.1 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..1 inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..0) (=> ?v_4007 (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.3 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2) (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.3 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.2) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.2 inline.SerialGetNextIrpLocked.0.havoc_stringTemp.1) ?v_4671))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4009 (= k.36 0)) (?v_3588 (int_2_U call53668formal.new.0))) (let ((?v_4010 (= (U_2_int (MapType0Select Mem_0_T.P_IRP.30 ?v_3588)) 0)) (?v_4011 (= k.36 1)) (?v_4012 (= (U_2_int (MapType0Select Mem_1_T.P_IRP.30 ?v_3588)) 0))) (let ((?v_4275 (and (=> true (=> (=> ?v_4009 (not ?v_4010)) (=> (=> ?v_4011 (not ?v_4012)) (=> true (=> ?v_29 ?v_4013))))) (=> true (=> (=> ?v_4009 ?v_4010) (=> (=> ?v_4011 ?v_4012) ?v_4013))))) (?v_4337 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite)) (?v_4338 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_4339 (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList)) (?v_4340 (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.3 inline.sdv_InterlockedDecrement.4.myNondetVar_0)) (?v_4341 (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite)) (?v_4342 (= inline.SerialGetNextWrite.0.tempBoogie0.6 inline.SerialGetNextWrite.0.tempBoogie0)) (?v_4343 (= inline.IsListEmpty.2.myNondetVar_0.1 inline.IsListEmpty.2.myNondetVar_0)) (?v_4344 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4345 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.5 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_4346 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4347 (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_4348 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.)) (?v_4349 (= inline.RemoveHeadList.1.myNondetVar_0.3 inline.RemoveHeadList.1.myNondetVar_0)) (?v_4350 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite)) (?v_4351 (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_4352 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_4353 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4354 (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4355 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_4356 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp)) (?v_4357 (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp)) (?v_4358 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1)) (?v_4359 (= inline.SerialGetNextWrite.0.myNondetVar_2.4 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_4360 (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4361 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_4362 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4363 (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_4364 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4365 (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList)) (?v_4366 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite)) (?v_4367 (= inline.SerialGetNextIrpLocked.1.myVar_0.4 inline.SerialGetNextIrpLocked.1.myVar_0)) (?v_4368 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_4369 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_4370 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4371 (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1.)) (?v_4372 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_4373 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4374 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.0 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1)) (?v_4375 (= inline.RemoveHeadList.0.myNondetVar_0.3 inline.RemoveHeadList.0.myNondetVar_0)) (?v_4376 (= inline.SerialGetNextWrite.0.myVar_0.14 inline.SerialGetNextWrite.0.myVar_0)) (?v_4377 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.)) (?v_4378 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_4379 (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4380 (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4381 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3.)) (?v_4382 (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_4383 (= inline.SerialGetNextIrp.1.myNondetVar_0.1 inline.SerialGetNextIrp.1.myNondetVar_0)) (?v_4384 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked)) (?v_4385 (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4386 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_4387 (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_4388 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4389 (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_4390 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_4391 (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4392 (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2.)) (?v_4393 (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4394 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4395 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_4396 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4397 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_4398 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4399 (= inline.KeSynchronizeExecution.1.myNondetVar_0.8 inline.KeSynchronizeExecution.1.myNondetVar_0)) (?v_4400 (= inline.SerialSetTimer.0.myNondetVar_0.7 inline.SerialSetTimer.0.myNondetVar_0)) (?v_4401 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite)) (?v_4402 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_4403 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_4404 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1)) (?v_4405 (= inline.KeSynchronizeExecution.2.myNondetVar_0.9 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_4406 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4407 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_4408 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite)) (?v_4409 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_4410 (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite)) (?v_4411 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty)) (?v_4412 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4413 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4414 (= inline.SerialGetNextIrp.0.myNondetVar_0.1 inline.SerialGetNextIrp.0.myNondetVar_0)) (?v_4415 (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.3 inline.sdv_InterlockedDecrement.6.myNondetVar_0)) (?v_4416 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite)) (?v_4417 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_4418 (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1.)) (?v_4419 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked)) (?v_4420 (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_4421 (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite)) (?v_4422 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1.)) (?v_4423 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_4424 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.4 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_4425 (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.0 inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1)) (?v_4426 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1)) (?v_4427 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_4428 (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1.)) (?v_4429 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty)) (?v_4430 (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_4431 (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1)) (?v_4432 (= inline.SerialGetNextWrite.0.havoc_stringTemp.0 inline.SerialGetNextWrite.0.havoc_stringTemp)) (?v_4433 (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4.)) (?v_4434 (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.0 inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1)) (?v_4435 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.)) (?v_4436 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4437 (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.0 inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp)) (?v_4438 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4439 (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution)) (?v_4440 (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_4441 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_4442 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4443 (= inline.SerialGetNextWrite.0.myNondetVar_1.5 inline.SerialGetNextWrite.0.myNondetVar_1)) (?v_4444 (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.0 inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1)) (?v_4445 (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked)) (?v_4446 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4447 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_4448 (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.1.havoc_stringTemp)) (?v_4449 (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4450 (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1)) (?v_4451 (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite)) (?v_4452 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_4453 (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.0 inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp)) (?v_4454 (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13.)) (?v_4455 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4456 (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.)) (?v_4457 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4458 (= inline.SerialGetNextWrite.0.myNondetVar_0.20 inline.SerialGetNextWrite.0.myNondetVar_0)) (?v_4459 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4460 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4461 (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_4462 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4463 (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..0 inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1.)) (?v_4464 (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2.)) (?v_4465 (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1.)) (?v_4466 (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.0 inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite)) (?v_4467 (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.)) (?v_4468 (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4469 (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4470 (= inline.SerialGetNextIrpLocked.0.myVar_0.4 inline.SerialGetNextIrpLocked.0.myVar_0)) (?v_4471 (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4472 (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked)) (?v_4473 (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp)) (?v_4474 (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.0 inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp)) (?v_4475 (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4.)) (?v_4476 (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1)) (?v_4477 (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4478 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked)) (?v_4479 (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_4480 (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1)) (?v_4481 (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4482 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1)) (?v_4483 (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked)) (?v_4484 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1)) (?v_4485 (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..0 inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1.)) (?v_4486 (= inline.IsListEmpty.1.myNondetVar_0.1 inline.IsListEmpty.1.myNondetVar_0)) (?v_4487 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_4488 (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1)) (?v_4489 (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.)) (?v_4490 (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4491 (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp)) (?v_4492 (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4493 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4494 (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1)) (?v_4495 (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4496 (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1.))) (let ((?v_4497 (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.0.havoc_stringTemp) (=> true ?v_4275))))) (?v_4336 (= 0 SerialGetNextIrp))) (let ((?v_4292 (=> true (=> ?v_4337 (=> ?v_4338 (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.0) (=> ?v_4340 (=> ?v_4341 (=> (= cancelLockStatus_0.34 cancelLockStatus_0.28) (=> ?v_4342 (=> (= inline.IsListEmpty.2.myNondetVar_0.1 inline.IsListEmpty.2.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0) (=> (= inline.RemoveHeadList.1.myNondetVar_0.3 inline.RemoveHeadList.1.myNondetVar_0.2) (=> ?v_4350 (=> ?v_4351 (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp1.0 0) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> ?v_4358 (=> (= errorReached.36 errorReached.35) (=> ?v_4359 (=> (= Mem_0_T.CancelRoutine__IRP.51 Mem_0_T.CancelRoutine__IRP.50) (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> (= inline.SerialGetNextIrp.1..QueueToProcess.2.171.19.SerialGetNextIrp.0 0) (=> ?v_4364 (=> ?v_4365 (=> ?v_4366 (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.4 inline.SerialGetNextIrpLocked.1.myVar_0.3) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call53668formal.new.0) (=> ?v_4369 (=> ?v_4370 (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..0) (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp1.0 call53668formal.new.0) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> (= inline.SerialGetNextIrp.1.myNondetVar_0.1 inline.SerialGetNextIrp.1.myNondetVar_0.0) (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> ?v_4385 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> (= alloc.55 alloc.54) (=> (= inline.SerialGetNextIrpLocked.1..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call53668formal.new.0) (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> (= k.36 k.33) (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4400 (=> ?v_4401 (=> (= cancelLockStatus_1.34 cancelLockStatus_1.28) (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> (= Mem_1_T.CancelRoutine__IRP.51 Mem_1_T.CancelRoutine__IRP.50) (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4409 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4414 (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.3 inline.sdv_InterlockedDecrement.6.myNondetVar_0.2) (=> ?v_4416 (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 1) (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4424 (=> ?v_4425 (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 1) (=> ?v_4427 (=> (= Mem_0_T.P_IRP.30 Mem_0_T.P_IRP.22) (=> (= inline.SerialGetNextIrpLocked.1..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0 0) (=> (= inline.SerialGetNextIrpLocked.1..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 1) (=> ?v_4431 (=> ?v_4432 (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..1) (=> (= irpCompleted_1.22 irpCompleted_1.21) (=> ?v_4434 (=> ?v_4435 (=> ?v_4436 (=> (= inline.SerialGetNextIrp.1..NextIrp.3.172.14.SerialGetNextIrp.0 call53668formal.new.0) (=> ?v_4438 (=> ?v_4439 (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> (= inline.SerialGetNextIrpLocked.1..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_4446 (=> ?v_4447 (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.1.havoc_stringTemp.0) (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> (= inline.SerialGetNextIrp.1..oldIrql.6.214.10.SerialGetNextIrp.0 call57706formal.new.0) (=> ?v_4454 (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> ?v_4462 (=> ?v_4463 (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..0) (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..0) (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> ?v_4470 (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> ?v_4472 (=> (= inline.SerialGetNextIrp.1..CompleteCurrent.4.173.15.SerialGetNextIrp.0 1) (=> ?v_4474 (=> ?v_4475 (=> ?v_4476 (=> ?v_4477 (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 0) (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..0) (=> (= irpCompleted_0.22 irpCompleted_0.21) (=> ?v_4480 (=> ?v_4481 (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0 0) (=> (= inline.sdv_IoAcquireCancelSpinLock.7..result.userContextSwitch.1645.2.1..0 call57737formal.ret.0) (=> ?v_4486 (=> ?v_4487 (=> (= inline.SerialGetNextIrpLocked.1..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 0) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..1) (=> ?v_4490 (=> (= Mem_1_T.P_IRP.30 Mem_1_T.P_IRP.22) (=> (= inline.SerialGetNextIrp.1..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> (= inline.sdv_IoReleaseCancelSpinLock.11..result.userContextSwitch.3151.2.1..0 call57992formal.ret.0) ?v_4497)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4293 (=> true (=> (= irpCompleted_0.21 irpCompleted_0.5) (=> (= Mem_1_T.CancelRoutine__IRP.50 Mem_1_T.CancelRoutine__IRP.39) (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= Mem_0_T.CancelRoutine__IRP.50 Mem_0_T.CancelRoutine__IRP.39) (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.1.havoc_stringTemp) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= errorReached.35 errorReached.27) (=> (= alloc.54 alloc.39) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.2 inline.sdv_InterlockedDecrement.6.myNondetVar_0) (=> (= irpCompleted_1.21 irpCompleted_1.5) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.) (=> true (=> true (=> true (=> true (=> true (=> true ?v_4292))))))))))))))))))))))) (?v_4291 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2 0)) (?v_4277 (=> true (=> (= irpCompleted_0.21 irpCompleted_0.20) (=> (= Mem_1_T.CancelRoutine__IRP.50 Mem_1_T.CancelRoutine__IRP.49) (=> (= inline.sdv_InterlockedDecrement.6..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.6.myNondetVar_0.1) (=> (= Mem_0_T.CancelRoutine__IRP.50 Mem_0_T.CancelRoutine__IRP.49) (=> (= inline.SerialIRPEpilogue.3..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.6.myNondetVar_0.1) (=> (= inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.1..result.SerialDbgPrintEx.331.12.4..0) (=> (= inline.SerialGetNextIrpLocked.1.havoc_stringTemp.0 call58050formal.new.0) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.SerialIRPEpilogue.3..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.6.myNondetVar_0.1) (=> (= errorReached.35 errorReached.34) (=> (= alloc.54 alloc.53) (=> (= inline.sdv_IoCompleteRequest.3..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.2 inline.sdv_InterlockedDecrement.6.myNondetVar_0.1) (=> (= irpCompleted_1.21 irpCompleted_1.20) (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..0) ?v_4292))))))))))))))))) (?v_4276 (= inline.sdv_InterlockedDecrement.6.myNondetVar_0.1 0))) (let ((?v_4290 (and (=> true (=> (not ?v_4276) (=> true (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2.) ?v_4277)))) (=> true (=> ?v_4276 (=> true (=> (= inline.KeSetEvent.5..result.SdvMakeChoice.4659.26.2..0 call58251formal.ret.0) (=> true (=> true (=> true ?v_4277))))))))) (?v_4289 (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2 hirp))) (let ((?v_4279 (=> true (=> (= irpCompleted_1.20 irpCompleted_1.19) (=> (= irpCompleted_0.20 irpCompleted_0.19) (=> (= Mem_1_T.CancelRoutine__IRP.49 Mem_1_T.CancelRoutine__IRP.48) (=> (= Mem_0_T.CancelRoutine__IRP.49 Mem_0_T.CancelRoutine__IRP.48) (=> (= errorReached.34 errorReached.33) ?v_4290))))))) (?v_4280 (= irpCompleted_1.19 irpCompleted_1.5))) (let ((?v_4281 (=> (= irpCompleted_0.19 irpCompleted_0.5) (=> true ?v_4279))) (?v_4278 (= k.33 1))) (let ((?v_4285 (not ?v_4278)) (?v_4274 (= k.33 0))) (let ((?v_4282 (not ?v_4274))) (let ((?v_4284 (and (=> true (=> ?v_4274 (=> true (=> ?v_4280 (=> (= irpCompleted_0.19 1) ?v_4279))))) (=> true (=> ?v_4282 (and (=> true (=> ?v_4278 (=> true (=> (= irpCompleted_1.19 1) ?v_4281)))) (=> true (=> ?v_4285 (=> true (=> ?v_4280 ?v_4281))))))))) (?v_4286 (= Mem_1_T.CancelRoutine__IRP.48 Mem_1_T.CancelRoutine__IRP.39))) (let ((?v_4287 (=> (= Mem_0_T.CancelRoutine__IRP.48 Mem_0_T.CancelRoutine__IRP.39) (=> true (=> true ?v_4284)))) (?v_4283 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2)))) (let ((?v_4288 (and (=> true (=> ?v_4274 (=> (= Mem_0_T.CancelRoutine__IRP.47 (MapType0Store Mem_0_T.CancelRoutine__IRP.39 ?v_4283 ?v_35)) (=> true (=> ?v_4286 (=> (= Mem_0_T.CancelRoutine__IRP.48 Mem_0_T.CancelRoutine__IRP.47) ?v_4284)))))) (=> true (=> ?v_4282 (and (=> true (=> ?v_4278 (=> (= Mem_1_T.CancelRoutine__IRP.47 (MapType0Store Mem_1_T.CancelRoutine__IRP.39 ?v_4283 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.48 Mem_1_T.CancelRoutine__IRP.47) ?v_4287))))) (=> true (=> ?v_4285 (=> true (=> ?v_4286 ?v_4287))))))))) (?v_4273 (int_2_U call58050formal.new.0))) (let ((?v_4294 (and (=> true (=> ?v_1238 (and (=> true (=> (not ?v_4291) (=> true (and ?v_8 (=> ?v_8 (=> (> call58050formal.new.0 0) (=> (forall ((?x1661 Int)) (! (=> (and (<= call58050formal.new.0 ?x1661) (< ?x1661 (+ call58050formal.new.0 1))) (= (Base ?x1661) call58050formal.new.0)) :pattern ((Base ?x1661)) )) (=> (forall ((?x1662 boogieU)) (! (=> (= (type ?x1662) intType) (or (= (U_2_int ?x1662) call58050formal.new.0) (= (MapType0Select alloc.39 ?x1662) (MapType0Select alloc.53 ?x1662)))) :pattern ((MapType0Select alloc.53 ?x1662)) )) (=> (and (= (MapType0Select alloc.39 ?v_4273) UNALLOCATED) (= (MapType0Select alloc.53 ?v_4273) ALLOCATED)) (and (=> true (=> ?v_4289 (and (=> true (=> (=> ?v_4274 ?v_3592) (=> (=> ?v_4278 ?v_3593) (=> true (=> (= errorReached.33 1) ?v_4288))))) (=> true (=> (=> ?v_4274 ?v_2881) (=> (=> ?v_4278 ?v_2882) (=> true (=> (= errorReached.33 errorReached.27) (=> true ?v_4288))))))))) (=> true (=> (not ?v_4289) (=> true (=> (= irpCompleted_1.20 irpCompleted_1.5) (=> (= irpCompleted_0.20 irpCompleted_0.5) (=> (= Mem_1_T.CancelRoutine__IRP.49 Mem_1_T.CancelRoutine__IRP.39) (=> (= Mem_0_T.CancelRoutine__IRP.49 Mem_0_T.CancelRoutine__IRP.39) (=> (= errorReached.34 errorReached.27) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4290))))))))))))))))))))))))))))))))))) (=> true (=> ?v_4291 ?v_4293))))) (=> true (=> ?v_393 ?v_4293)))) (?v_4295 (= cancelLockStatus_1.28 cancelLockStatus_1.21))) (let ((?v_4296 (=> (= cancelLockStatus_0.28 cancelLockStatus_0.21) (=> true (=> true (=> true (=> true (=> true ?v_4294)))))))) (let ((?v_4298 (=> true (=> (<= k.32 k.33) (=> (< k.33 2) (and (=> true (=> ?v_4274 (=> true (=> ?v_4295 (=> (= cancelLockStatus_0.28 0) ?v_4294))))) (=> true (=> ?v_4282 (and (=> true (=> ?v_4278 (=> true (=> (= cancelLockStatus_1.28 0) ?v_4296)))) (=> true (=> ?v_4285 (=> true (=> ?v_4295 ?v_4296)))))))))))) (?v_4300 (= Mem_1_T.P_IRP.22 Mem_1_T.P_IRP.20))) (let ((?v_4301 (=> (= Mem_0_T.P_IRP.22 Mem_0_T.P_IRP.20) (=> true (=> true (=> true (=> true ?v_4298)))))) (?v_4299 (= k.32 1)) (?v_4297 (= k.32 0))) (let ((?v_4310 (and (=> true (=> ?v_4297 (=> (= Mem_0_T.P_IRP.21 (MapType0Store Mem_0_T.P_IRP.20 ?v_3588 (MapType0Select Mem_0_T.P_IRP.20 ?v_3591))) (=> true (=> ?v_4300 (=> (= Mem_0_T.P_IRP.22 Mem_0_T.P_IRP.21) ?v_4298)))))) (=> true (=> (not ?v_4297) (and (=> true (=> ?v_4299 (=> (= Mem_1_T.P_IRP.21 (MapType0Store Mem_1_T.P_IRP.20 ?v_3588 (MapType0Select Mem_1_T.P_IRP.20 ?v_3591))) (=> true (=> (= Mem_1_T.P_IRP.22 Mem_1_T.P_IRP.21) ?v_4301))))) (=> true (=> (not ?v_4299) (=> true (=> ?v_4300 ?v_4301)))))))))) (let ((?v_4312 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.39 Mem_0_T.CancelRoutine__IRP.38) (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.3 inline.SerialGetNextIrpLocked.1.myVar_0.2) (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.1.myNondetVar_0.0) (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.1.myNondetVar_0.0) (=> (= Mem_0_T.P_IRP.20 Mem_0_T.P_IRP.19) (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.1.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.1.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.1.myVar_0.2) (=> (= errorReached.27 errorReached.26) (=> (= k.32 k.31) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.1.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= Mem_1_T.P_IRP.20 Mem_1_T.P_IRP.19) (=> (= Mem_1_T.CancelRoutine__IRP.39 Mem_1_T.CancelRoutine__IRP.38) (=> (= inline.RemoveHeadList.1.myNondetVar_0.2 inline.RemoveHeadList.1.myNondetVar_0.1) (=> true ?v_4310)))))))))))))))))))) (?v_4313 (= Mem_1_T.CancelRoutine__IRP.38 Mem_1_T.CancelRoutine__IRP.19))) (let ((?v_4314 (=> (= Mem_0_T.CancelRoutine__IRP.38 Mem_0_T.CancelRoutine__IRP.19) (=> true (=> true (=> true (=> true (=> true (=> true ?v_4312)))))))) (?v_4311 (= k.31 1))) (let ((?v_4320 (not ?v_4311)) (?v_4309 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.1.myVar_0.2))) (?v_4308 (= k.31 0))) (let ((?v_4318 (not ?v_4308))) (let ((?v_4315 (and (=> true (=> ?v_4308 (=> (= Mem_0_T.CancelRoutine__IRP.37 (MapType0Store Mem_0_T.CancelRoutine__IRP.19 ?v_4309 ?v_35)) (=> true (=> ?v_4313 (=> (= Mem_0_T.CancelRoutine__IRP.38 Mem_0_T.CancelRoutine__IRP.37) ?v_4312)))))) (=> true (=> ?v_4318 (and (=> true (=> ?v_4311 (=> (= Mem_1_T.CancelRoutine__IRP.37 (MapType0Store Mem_1_T.CancelRoutine__IRP.19 ?v_4309 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.38 Mem_1_T.CancelRoutine__IRP.37) ?v_4314))))) (=> true (=> ?v_4320 (=> true (=> ?v_4313 ?v_4314)))))))))) (let ((?v_4317 (=> true (=> (= errorReached.26 errorReached.13) (=> true ?v_4315)))) (?v_4316 (= inline.SerialGetNextIrpLocked.1.myVar_0.2 hirp))) (let ((?v_4319 (and (=> true (=> ?v_4316 (and (=> true (=> (=> ?v_4308 ?v_3592) (=> (=> ?v_4311 ?v_3593) (=> true (=> (= errorReached.26 1) ?v_4315))))) (=> true (=> (=> ?v_4308 ?v_2881) (=> (=> ?v_4311 ?v_2882) ?v_4317)))))) (=> true (=> (not ?v_4316) ?v_4317))))) (let ((?v_4321 (=> true (=> true ?v_4319)))) (let ((?v_4323 (and (=> true (=> ?v_4308 (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.19 ?v_4309))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_4319))))) (=> true (=> ?v_4318 (and (=> true (=> ?v_4311 (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.19 ?v_4309))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_4321))))) (=> true (=> ?v_4320 (=> true (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_4321)))))))))) (let ((?v_4324 (=> true (=> true (=> true (=> true (=> true ?v_4323)))))) (?v_4322 (U_2_int (MapType0Select Mem_1_T.P_IRP.19 ?v_3591))) (?v_4307 (U_2_int (MapType0Select Mem_0_T.P_IRP.19 ?v_3591))) (?v_4272 (= k.22 0)) (?v_4302 (= k.22 1))) (let ((?v_4327 (=> true (=> (=> ?v_4272 (not (= ?v_4307 hirp))) (=> (=> ?v_4302 (not (= ?v_4322 hirp))) (=> true (=> (<= k.22 k.31) (=> (< k.31 2) (and (=> true (=> ?v_4308 (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.0 ?v_4307) (=> true (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.2 inline.SerialGetNextIrpLocked.1.myVar_0.0) ?v_4323))))) (=> true (=> ?v_4318 (and (=> true (=> ?v_4311 (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.1 ?v_4322) (=> true (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.2 inline.SerialGetNextIrpLocked.1.myVar_0.1) ?v_4324))))) (=> true (=> ?v_4320 (=> true (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.2 inline.SerialGetNextIrpLocked.1.myVar_0) ?v_4324))))))))))))))) (?v_4329 (= Mem_1_T.P_IRP.19 Mem_1_T.P_IRP.1))) (let ((?v_4330 (=> (= Mem_0_T.P_IRP.19 Mem_0_T.P_IRP.1) (=> true ?v_4327))) (?v_4328 (not ?v_4302)) (?v_4326 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.1.myNondetVar_0.0 1 88))) (?v_4325 (not ?v_4272)) (?v_4306 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0 0)) (?v_4303 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.39 Mem_0_T.CancelRoutine__IRP.19) (=> (= inline.SerialGetNextIrpLocked.1.myVar_0.3 inline.SerialGetNextIrpLocked.1.myVar_0) (=> (= inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.1..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.1..result.RemoveHeadList.302.35.2.) (=> (= Mem_0_T.P_IRP.20 Mem_0_T.P_IRP.17) (=> (= inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.1..Entry.3.6748.16.RemoveHeadList) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.4..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= errorReached.27 errorReached.13) (=> (= k.32 k.22) (=> (= inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.4..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.1..result.RemoveHeadList.6743.0.1.) (=> (= inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.4..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= Mem_1_T.P_IRP.20 Mem_1_T.P_IRP.17) (=> (= Mem_1_T.CancelRoutine__IRP.39 Mem_1_T.CancelRoutine__IRP.19) (=> (= inline.RemoveHeadList.1.myNondetVar_0.2 inline.RemoveHeadList.1.myNondetVar_0) ?v_4310))))))))))))))))))) (?v_4304 (= Mem_1_T.P_IRP.17 Mem_1_T.P_IRP.1))) (let ((?v_4305 (=> (= Mem_0_T.P_IRP.17 Mem_0_T.P_IRP.1) (=> true ?v_4303)))) (let ((?v_4331 (=> true (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.2.myNondetVar_0.0 0))) (and (=> true (=> (not ?v_4306) (and (=> true (=> ?v_4272 (=> (= Mem_0_T.P_IRP.16 ?v_4504) (=> true (=> ?v_4304 (=> (= Mem_0_T.P_IRP.17 Mem_0_T.P_IRP.16) ?v_4303)))))) (=> true (=> ?v_4325 (and (=> true (=> ?v_4302 (=> (= Mem_1_T.P_IRP.16 ?v_4692) (=> true (=> (= Mem_1_T.P_IRP.17 Mem_1_T.P_IRP.16) ?v_4305))))) (=> true (=> ?v_4328 (=> true (=> ?v_4304 ?v_4305)))))))))) (=> true (=> ?v_4306 (and (=> true (=> ?v_4272 (=> (= Mem_0_T.P_IRP.18 (MapType0Store Mem_0_T.P_IRP.1 ?v_3591 ?v_4326)) (=> true (=> ?v_4329 (=> (= Mem_0_T.P_IRP.19 Mem_0_T.P_IRP.18) ?v_4327)))))) (=> true (=> ?v_4325 (and (=> true (=> ?v_4302 (=> (= Mem_1_T.P_IRP.18 (MapType0Store Mem_1_T.P_IRP.1 ?v_3591 ?v_4326)) (=> true (=> (= Mem_1_T.P_IRP.19 Mem_1_T.P_IRP.18) ?v_4330))))) (=> true (=> ?v_4328 (=> true (=> ?v_4329 ?v_4330))))))))))))))) (let ((?v_4332 (=> true (=> true (=> true (=> true ?v_4331)))))) (let ((?v_4333 (and (=> true (=> ?v_4272 (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.0 ?v_3590) (=> true (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_4331))))) (=> true (=> ?v_4325 (and (=> true (=> ?v_4302 (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.1 ?v_4099) (=> true (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_4332))))) (=> true (=> ?v_4328 (=> true (=> (= inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.1..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_4332))))))))) (?v_4334 (= cancelLockStatus_1.21 cancelLockStatus_1.20))) (let ((?v_4335 (=> (= cancelLockStatus_0.21 cancelLockStatus_0.20) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4333))))))))))) (?v_3990 (= cancelLockStatus_0.20 0)) (?v_4271 (= cancelLockStatus_1.20 0)) (?v_4270 (int_2_U call57706formal.new.0)) (?v_4269 (= 0 SerialGetNextWrite)) (?v_3997 (int_2_U call56622formal.new.0))) (let ((?v_4025 (=> true (and ?v_8 (=> ?v_8 (=> (> call56622formal.new.0 0) (=> (forall ((?x1665 Int)) (! (=> (and (<= call56622formal.new.0 ?x1665) (< ?x1665 (+ call56622formal.new.0 1))) (= (Base ?x1665) call56622formal.new.0)) :pattern ((Base ?x1665)) )) (=> (forall ((?x1666 boogieU)) (! (=> (= (type ?x1666) intType) (or (= (U_2_int ?x1666) call56622formal.new.0) (= (MapType0Select alloc.51 ?x1666) (MapType0Select alloc.52 ?x1666)))) :pattern ((MapType0Select alloc.52 ?x1666)) )) (=> (and (= (MapType0Select alloc.51 ?v_3997) UNALLOCATED) (= (MapType0Select alloc.52 ?v_3997) ALLOCATED)) (=> true (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.4 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.3) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked.0 0) (=> ?v_4339 (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.3 inline.sdv_InterlockedDecrement.4.myNondetVar_0.2) (=> (= inline.SerialGetNextWrite.0..OldIrql.7.507.18.SerialGetNextWrite.0 call55209formal.new.0) (=> (= cancelLockStatus_0.34 cancelLockStatus_0.33) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.6 inline.SerialGetNextWrite.0.tempBoogie0.5) (=> ?v_4343 (=> ?v_4344 (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.5 inline.sdv_InterlockedDecrement.5.myNondetVar_0.4) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..0) (=> ?v_4348 (=> ?v_4349 (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.2) (=> (= inline.SerialGetNextIrpLocked.0..QueueToProcess.2.226.19.SerialGetNextIrpLocked1.0 0) (=> ?v_4352 (=> ?v_4353 (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..0) (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked1.0 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp.0 call53668formal.new.0) (=> (= inline.SerialGetNextIrp.0..oldIrql.6.214.10.SerialGetNextIrp.0 call55632formal.new.0) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> (= errorReached.36 errorReached.32) (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.4 inline.SerialGetNextWrite.0.myNondetVar_2.3) (=> (= Mem_0_T.CancelRoutine__IRP.51 Mem_0_T.CancelRoutine__IRP.46) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0 0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.0.myVar_0.2) (=> ?v_4363 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.0) (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> ?v_4367 (=> ?v_4368 (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.3 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.2) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> ?v_4371 (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.2 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp1.0 0) (=> (= inline.RemoveHeadList.0.myNondetVar_0.3 inline.RemoveHeadList.0.myNondetVar_0.2) (=> (= inline.SerialGetNextWrite.0.myVar_0.14 inline.SerialGetNextWrite.0.myVar_0.13) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..1 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0) (=> ?v_4378 (=> ?v_4379 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.504.40.3..0 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.3 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> ?v_4383 (=> ?v_4384 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.3 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.2) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.1 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= alloc.55 alloc.52) (=> ?v_4389 (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..1 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..0) (=> (= k.36 k.35) (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.5 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.2 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.8 inline.KeSynchronizeExecution.1.myNondetVar_0.7) (=> (= inline.SerialSetTimer.0.myNondetVar_0.7 inline.SerialSetTimer.0.myNondetVar_0.6) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= cancelLockStatus_1.34 cancelLockStatus_1.33) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.2 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.1) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp.0 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite1.0 1) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.9 inline.KeSynchronizeExecution.2.myNondetVar_0.8) (=> (= Mem_1_T.CancelRoutine__IRP.51 Mem_1_T.CancelRoutine__IRP.46) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.2 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite.0 call53668formal.new.0) (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..3 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..2) (=> (= inline.SerialGetNextWrite.0..OldIrql.16.659.18.SerialGetNextWrite.0 call55206formal.new.0) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0 0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..3 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2) (=> (= inline.SerialGetNextIrp.0.myNondetVar_0.1 inline.SerialGetNextIrp.0.myNondetVar_0.0) (=> ?v_4415 (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite.0 0) (=> ?v_4417 (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..1) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked.0 call53668formal.new.0) (=> (= inline.SerialGetNextIrp.0..CurrentOpIrp.1.170.13.SerialGetNextIrp1.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent_Original.6.489.11.SerialGetNextWrite.0 1) (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..1 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.493.19.1..0) (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.2 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.1) (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.4 inline.sdv_InterlockedIncrement.1.myNondetVar_0.3) (=> (= inline.SerialGetNextIrp.0..NextIrp.3.172.14.SerialGetNextIrp1.0 call53668formal.new.0) (=> ?v_4426 (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.2 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.1) (=> (= Mem_0_T.P_IRP.30 Mem_0_T.P_IRP.29) (=> ?v_4428 (=> ?v_4429 (=> ?v_4430 (=> (= inline.SerialGetNextWrite.0..CurrentOpIrp.1.444.13.SerialGetNextWrite1.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.SerialGetNextWrite.0.havoc_stringTemp.0 call56622formal.new.0) (=> ?v_4433 (=> (= irpCompleted_1.22 irpCompleted_1.18) (=> (= inline.SerialGetNextWrite.0..NewIrp.3.446.13.SerialGetNextWrite1.0 call53668formal.new.0) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..1 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1) (=> ?v_4437 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.1) (=> ?v_4440 (=> ?v_4441 (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.5 inline.SerialGetNextWrite.0.myNondetVar_1.4) (=> (= inline.SerialGetNextWrite.0..QueueToProcess.2.445.19.SerialGetNextWrite1.0 0) (=> ?v_4445 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.2 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1) (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.1) (=> ?v_4448 (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialGetNextIrp.0..CompleteCurrent.4.173.15.SerialGetNextIrp1.0 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> (= inline.SerialGetNextWrite.0..OldIrql.8.522.18.SerialGetNextWrite.0 call55212formal.new.0) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.3 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.2) (=> ?v_4453 (=> (= inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..1 inline.SerialGetNextWrite.0..result.SerialDbgPrintEx.703.20.13..0) (=> ?v_4455 (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..0) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.1) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.20 inline.SerialGetNextWrite.0.myNondetVar_0.19) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1) (=> ?v_4461 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.2 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1) (=> (= inline.SerialGetNextIrpLocked.0..result.IsListEmpty.298.20.1..0 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0) (=> ?v_4464 (=> ?v_4465 (=> (= inline.SerialGetNextWrite.0..delta.13.616.34.SerialGetNextWrite.0 call55215formal.new.0) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> ?v_4469 (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.4 inline.SerialGetNextIrpLocked.0.myVar_0.3) (=> ?v_4471 (=> (= inline.SerialGetNextIrpLocked.0..CompleteCurrent.4.228.15.SerialGetNextIrpLocked.0 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1) (=> ?v_4473 (=> (= inline.SerialGetNextIrp.0..QueueToProcess.2.171.19.SerialGetNextIrp.0 0) (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..2 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..1) (=> (= inline.SerialGetNextIrpLocked.0..CurrentOpIrp.1.225.13.SerialGetNextIrpLocked1.0 inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.0.myVar_0.2) (=> ?v_4478 (=> ?v_4479 (=> (= irpCompleted_0.22 irpCompleted_0.18) (=> (= inline.SerialGetNextWrite.0..Extension.5.448.29.SerialGetNextWrite1.0 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> (= inline.IsListEmpty.1.myNondetVar_0.1 inline.IsListEmpty.1.myNondetVar_0.0) (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..2 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..1) (=> ?v_4488 (=> ?v_4489 (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= Mem_1_T.P_IRP.30 Mem_1_T.P_IRP.29) (=> ?v_4491 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1) (=> (= inline.SerialGetNextIrpLocked.0..NextIrp.3.227.14.SerialGetNextIrpLocked1.0 call53668formal.new.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> ?v_4496 (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.2 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1) (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.2 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.1) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.1 inline.SerialGetNextIrpLocked.0.havoc_stringTemp.0) ?v_4275))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4024 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1))) (let ((?v_4027 (=> true (=> ?v_4024 (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..0) (=> (= cancelLockStatus_0.33 cancelLockStatus_0.32) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialProcessEmptyTransmit) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.0) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.7 inline.KeSynchronizeExecution.1.myNondetVar_0.6) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12.) (=> (= cancelLockStatus_1.33 cancelLockStatus_1.32) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialProcessEmptyTransmit) (=> (= inline.SerialGetNextWrite.0.myVar_0.13 inline.SerialGetNextWrite.0.myVar_0.9) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.19 inline.SerialGetNextWrite.0.myNondetVar_0.18) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) ?v_4025)))))))))))))))) (?v_4029 (= cancelLockStatus_1.32 cancelLockStatus_1.31))) (let ((?v_4030 (=> (= cancelLockStatus_0.32 cancelLockStatus_0.31) (=> true (=> true (=> true (=> true ?v_4027)))))) (?v_3995 (= k.35 1))) (let ((?v_4028 (not ?v_3995)) (?v_3993 (= k.35 0))) (let ((?v_4026 (not ?v_3993))) (let ((?v_4031 (and (=> true (=> ?v_3993 (=> true (=> ?v_4029 (=> (= cancelLockStatus_0.32 0) ?v_4027))))) (=> true (=> ?v_4026 (and (=> true (=> ?v_3995 (=> true (=> (= cancelLockStatus_1.32 0) ?v_4030)))) (=> true (=> ?v_4028 (=> true (=> ?v_4029 ?v_4030)))))))))) (let ((?v_4032 (and (=> true (=> ?v_989 (=> true (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.6 inline.KeSynchronizeExecution.1.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.1..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.1..result.SynchronizeRoutine.4679.26.2.) ?v_4031)))))) (=> true (=> ?v_115 (=> true (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.6 inline.KeSynchronizeExecution.1.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4031)))))))))))))))) (?v_4033 (= cancelLockStatus_1.31 cancelLockStatus_1.30))) (let ((?v_4034 (=> (= cancelLockStatus_0.31 cancelLockStatus_0.30) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4032))))))))))) (?v_4023 (= cancelLockStatus_0.30 0)) (?v_4051 (= cancelLockStatus_1.30 0)) (?v_3996 (U_2_int (MapType0Select Mem_0_T.P_IRP.29 ?v_3588)))) (let ((?v_4021 (= ?v_3996 0)) (?v_4018 (U_2_int (MapType0Select Mem_1_T.P_IRP.29 ?v_3588)))) (let ((?v_4022 (= ?v_4018 0)) (?v_4015 (=> (= inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.1..result.KeSynchronizeExecution.4664.0.1.) (=> (= cancelLockStatus_0.33 cancelLockStatus_0.30) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.0.myVar_0.12) (=> (= inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.1..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.1.myNondetVar_0.7 inline.KeSynchronizeExecution.1.myNondetVar_0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.672.47.12..0 inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= cancelLockStatus_1.33 cancelLockStatus_1.30) (=> (= inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.1..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialGetNextWrite.0.myVar_0.13 inline.SerialGetNextWrite.0.myVar_0.12) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.19 inline.SerialGetNextWrite.0.myNondetVar_0.16) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.0.myVar_0.12) ?v_4025)))))))))))))) (?v_4014 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 9))) (let ((?v_4017 (and (=> true (=> ?v_4014 (=> true (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.2 1) ?v_4015)))) (=> true (=> (not ?v_4014) (=> true (=> ?v_4024 ?v_4015)))))) (?v_4016 (= inline.SerialGetNextWrite.0.myVar_0.12 hirp))) (let ((?v_4019 (and (=> true (=> ?v_4016 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4017)))) (=> true (=> (not ?v_4016) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.17..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4017))))))))))) (let ((?v_4020 (=> true (=> true (=> true (=> true ?v_4019)))))) (let ((?v_4048 (and (=> true (=> (=> ?v_3993 (not ?v_4021)) (=> (=> ?v_3995 (not ?v_4022)) (and (=> true (=> ?v_3993 (=> (= inline.SerialGetNextWrite.0.myVar_0.10 ?v_3996) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.12 inline.SerialGetNextWrite.0.myVar_0.10) ?v_4019))))) (=> true (=> ?v_4026 (and (=> true (=> ?v_3995 (=> (= inline.SerialGetNextWrite.0.myVar_0.11 ?v_4018) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.12 inline.SerialGetNextWrite.0.myVar_0.11) ?v_4020))))) (=> true (=> ?v_4028 (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.12 inline.SerialGetNextWrite.0.myVar_0.9) ?v_4020))))))))))) (=> true (=> (=> ?v_3993 ?v_4021) (=> (=> ?v_3995 ?v_4022) (=> true (=> (=> ?v_3993 ?v_4023) (=> (=> ?v_3995 ?v_4051) (and (=> true (=> ?v_3993 (=> true (=> ?v_4033 (=> (= cancelLockStatus_0.31 1) ?v_4032))))) (=> true (=> ?v_4026 (and (=> true (=> ?v_3995 (=> true (=> (= cancelLockStatus_1.31 1) ?v_4034)))) (=> true (=> ?v_4028 (=> true (=> ?v_4033 ?v_4034))))))))))))))))) (let ((?v_4050 (=> true (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= Mem_0_T.CancelRoutine__IRP.46 Mem_0_T.CancelRoutine__IRP.42) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= irpCompleted_0.18 irpCompleted_0.5) (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= irpCompleted_1.18 irpCompleted_1.5) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.0 inline.SerialGetNextIrpLocked.0.havoc_stringTemp) (=> (= Mem_1_T.CancelRoutine__IRP.46 Mem_1_T.CancelRoutine__IRP.42) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.) (=> (= errorReached.32 errorReached.29) (=> (= alloc.51 alloc.49) (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.2 inline.sdv_InterlockedDecrement.4.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4.) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4048)))))))))))))))))))))))) (?v_4049 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1 0)) (?v_4047 (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2 0)) (?v_4036 (=> true (=> (= inline.SerialIRPEpilogue.2..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.4.myNondetVar_0.1) (=> (= Mem_0_T.CancelRoutine__IRP.46 Mem_0_T.CancelRoutine__IRP.45) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2) (=> (= irpCompleted_0.18 irpCompleted_0.17) (=> (= inline.SerialIRPEpilogue.2..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.4.myNondetVar_0.1) (=> (= irpCompleted_1.18 irpCompleted_1.17) (=> (= inline.SerialGetNextIrpLocked.0.havoc_stringTemp.0 call55972formal.new.0) (=> (= Mem_1_T.CancelRoutine__IRP.46 Mem_1_T.CancelRoutine__IRP.45) (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..0) (=> (= errorReached.32 errorReached.31) (=> (= alloc.51 alloc.50) (=> (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.2 inline.sdv_InterlockedDecrement.4.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.4..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.4.myNondetVar_0.1) (=> (= inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..1 inline.SerialGetNextIrpLocked.0..result.SerialDbgPrintEx.331.12.4..0) (=> (= inline.sdv_IoCompleteRequest.2..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2) ?v_4048))))))))))))))))) (?v_4035 (= inline.sdv_InterlockedDecrement.4.myNondetVar_0.1 0))) (let ((?v_4046 (and (=> true (=> (not ?v_4035) (=> true (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2.) ?v_4036)))) (=> true (=> ?v_4035 (=> true (=> (= inline.KeSetEvent.4..result.SdvMakeChoice.4659.26.2..0 call56173formal.ret.0) (=> true (=> true (=> true ?v_4036))))))))) (?v_4045 (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2 hirp))) (let ((?v_4037 (=> true (=> (= irpCompleted_1.17 irpCompleted_1.16) (=> (= irpCompleted_0.17 irpCompleted_0.16) (=> (= Mem_1_T.CancelRoutine__IRP.45 Mem_1_T.CancelRoutine__IRP.44) (=> (= Mem_0_T.CancelRoutine__IRP.45 Mem_0_T.CancelRoutine__IRP.44) (=> (= errorReached.31 errorReached.30) ?v_4046))))))) (?v_4038 (= irpCompleted_1.16 irpCompleted_1.5))) (let ((?v_4039 (=> (= irpCompleted_0.16 irpCompleted_0.5) (=> true ?v_4037)))) (let ((?v_4041 (and (=> true (=> ?v_3993 (=> true (=> ?v_4038 (=> (= irpCompleted_0.16 1) ?v_4037))))) (=> true (=> ?v_4026 (and (=> true (=> ?v_3995 (=> true (=> (= irpCompleted_1.16 1) ?v_4039)))) (=> true (=> ?v_4028 (=> true (=> ?v_4038 ?v_4039))))))))) (?v_4042 (= Mem_1_T.CancelRoutine__IRP.44 Mem_1_T.CancelRoutine__IRP.42))) (let ((?v_4043 (=> (= Mem_0_T.CancelRoutine__IRP.44 Mem_0_T.CancelRoutine__IRP.42) (=> true (=> true ?v_4041)))) (?v_4040 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2)))) (let ((?v_4044 (and (=> true (=> ?v_3993 (=> (= Mem_0_T.CancelRoutine__IRP.43 (MapType0Store Mem_0_T.CancelRoutine__IRP.42 ?v_4040 ?v_35)) (=> true (=> ?v_4042 (=> (= Mem_0_T.CancelRoutine__IRP.44 Mem_0_T.CancelRoutine__IRP.43) ?v_4041)))))) (=> true (=> ?v_4026 (and (=> true (=> ?v_3995 (=> (= Mem_1_T.CancelRoutine__IRP.43 (MapType0Store Mem_1_T.CancelRoutine__IRP.42 ?v_4040 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.44 Mem_1_T.CancelRoutine__IRP.43) ?v_4043))))) (=> true (=> ?v_4028 (=> true (=> ?v_4042 ?v_4043))))))))) (?v_3994 (int_2_U call55972formal.new.0))) (let ((?v_4052 (and (=> true (=> (not ?v_4049) (and (=> true (=> (not ?v_4047) (=> true (and ?v_8 (=> ?v_8 (=> (> call55972formal.new.0 0) (=> (forall ((?x1667 Int)) (! (=> (and (<= call55972formal.new.0 ?x1667) (< ?x1667 (+ call55972formal.new.0 1))) (= (Base ?x1667) call55972formal.new.0)) :pattern ((Base ?x1667)) )) (=> (forall ((?x1668 boogieU)) (! (=> (= (type ?x1668) intType) (or (= (U_2_int ?x1668) call55972formal.new.0) (= (MapType0Select alloc.49 ?x1668) (MapType0Select alloc.50 ?x1668)))) :pattern ((MapType0Select alloc.50 ?x1668)) )) (=> (and (= (MapType0Select alloc.49 ?v_3994) UNALLOCATED) (= (MapType0Select alloc.50 ?v_3994) ALLOCATED)) (and (=> true (=> ?v_4045 (and (=> true (=> (=> ?v_3993 ?v_3592) (=> (=> ?v_3995 ?v_3593) (=> true (=> (= errorReached.30 1) ?v_4044))))) (=> true (=> (=> ?v_3993 ?v_2881) (=> (=> ?v_3995 ?v_2882) (=> true (=> (= errorReached.30 errorReached.29) (=> true ?v_4044))))))))) (=> true (=> (not ?v_4045) (=> true (=> (= irpCompleted_1.17 irpCompleted_1.5) (=> (= irpCompleted_0.17 irpCompleted_0.5) (=> (= Mem_1_T.CancelRoutine__IRP.45 Mem_1_T.CancelRoutine__IRP.42) (=> (= Mem_0_T.CancelRoutine__IRP.45 Mem_0_T.CancelRoutine__IRP.42) (=> (= errorReached.31 errorReached.29) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4046))))))))))))))))))))))))))))))))))) (=> true (=> ?v_4047 ?v_4050))))) (=> true (=> ?v_4049 ?v_4050)))) (?v_4053 (= cancelLockStatus_1.30 cancelLockStatus_1.29))) (let ((?v_4054 (=> (= cancelLockStatus_0.30 cancelLockStatus_0.29) (=> true (=> true (=> true (=> true (=> true ?v_4052)))))))) (let ((?v_4055 (and (=> true (=> ?v_3993 (=> true (=> ?v_4053 (=> ?v_4023 ?v_4052))))) (=> true (=> ?v_4026 (and (=> true (=> ?v_3995 (=> true (=> ?v_4051 ?v_4054)))) (=> true (=> ?v_4028 (=> true (=> ?v_4053 ?v_4054))))))))) (?v_4056 (= Mem_1_T.P_IRP.29 Mem_1_T.P_IRP.27))) (let ((?v_4057 (=> (= Mem_0_T.P_IRP.29 Mem_0_T.P_IRP.27) (=> true (=> true (=> true (=> true (=> true (=> true ?v_4055))))))))) (let ((?v_4066 (and (=> true (=> ?v_3993 (=> (= Mem_0_T.P_IRP.28 (MapType0Store Mem_0_T.P_IRP.27 ?v_3588 (MapType0Select Mem_0_T.P_IRP.27 ?v_3591))) (=> true (=> ?v_4056 (=> (= Mem_0_T.P_IRP.29 Mem_0_T.P_IRP.28) ?v_4055)))))) (=> true (=> ?v_4026 (and (=> true (=> ?v_3995 (=> (= Mem_1_T.P_IRP.28 (MapType0Store Mem_1_T.P_IRP.27 ?v_3588 (MapType0Select Mem_1_T.P_IRP.27 ?v_3591))) (=> true (=> (= Mem_1_T.P_IRP.29 Mem_1_T.P_IRP.28) ?v_4057))))) (=> true (=> ?v_4028 (=> true (=> ?v_4056 ?v_4057)))))))))) (let ((?v_4068 (=> true (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.0.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextIrpLocked.0.myVar_0.2) (=> (= errorReached.29 errorReached.28) (=> (= Mem_0_T.P_IRP.27 Mem_0_T.P_IRP.26) (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.3 inline.SerialGetNextIrpLocked.0.myVar_0.2) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.RemoveHeadList.0.myNondetVar_0.0) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..0 inline.RemoveHeadList.0.myNondetVar_0.0) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.0.myNondetVar_0.0) (=> (= inline.RemoveHeadList.0.myNondetVar_0.2 inline.RemoveHeadList.0.myNondetVar_0.1) (=> (= Mem_1_T.P_IRP.27 Mem_1_T.P_IRP.26) (=> (= Mem_1_T.CancelRoutine__IRP.42 Mem_1_T.CancelRoutine__IRP.41) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextIrpLocked.0.myVar_0.2) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= Mem_0_T.CancelRoutine__IRP.42 Mem_0_T.CancelRoutine__IRP.41) (=> (= k.35 k.34) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> true ?v_4066)))))))))))))))))))) (?v_4069 (= Mem_1_T.CancelRoutine__IRP.41 Mem_1_T.CancelRoutine__IRP.36))) (let ((?v_4070 (=> (= Mem_0_T.CancelRoutine__IRP.41 Mem_0_T.CancelRoutine__IRP.36) (=> true (=> true (=> true (=> true (=> true (=> true ?v_4068)))))))) (?v_4067 (= k.34 1))) (let ((?v_4076 (not ?v_4067)) (?v_4065 (int_2_U (CancelRoutine__IRP inline.SerialGetNextIrpLocked.0.myVar_0.2))) (?v_4064 (= k.34 0))) (let ((?v_4074 (not ?v_4064))) (let ((?v_4071 (and (=> true (=> ?v_4064 (=> (= Mem_0_T.CancelRoutine__IRP.40 (MapType0Store Mem_0_T.CancelRoutine__IRP.36 ?v_4065 ?v_35)) (=> true (=> ?v_4069 (=> (= Mem_0_T.CancelRoutine__IRP.41 Mem_0_T.CancelRoutine__IRP.40) ?v_4068)))))) (=> true (=> ?v_4074 (and (=> true (=> ?v_4067 (=> (= Mem_1_T.CancelRoutine__IRP.40 (MapType0Store Mem_1_T.CancelRoutine__IRP.36 ?v_4065 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.41 Mem_1_T.CancelRoutine__IRP.40) ?v_4070))))) (=> true (=> ?v_4076 (=> true (=> ?v_4069 ?v_4070)))))))))) (let ((?v_4073 (=> true (=> (= errorReached.28 errorReached.25) (=> true ?v_4071)))) (?v_4072 (= inline.SerialGetNextIrpLocked.0.myVar_0.2 hirp))) (let ((?v_4075 (and (=> true (=> ?v_4072 (and (=> true (=> (=> ?v_4064 ?v_3592) (=> (=> ?v_4067 ?v_3593) (=> true (=> (= errorReached.28 1) ?v_4071))))) (=> true (=> (=> ?v_4064 ?v_2881) (=> (=> ?v_4067 ?v_2882) ?v_4073)))))) (=> true (=> (not ?v_4072) ?v_4073))))) (let ((?v_4077 (=> true (=> true ?v_4075)))) (let ((?v_4079 (and (=> true (=> ?v_4064 (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.36 ?v_4065))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_4075))))) (=> true (=> ?v_4074 (and (=> true (=> ?v_4067 (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.36 ?v_4065))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_4077))))) (=> true (=> ?v_4076 (=> true (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_4077)))))))))) (let ((?v_4080 (=> true (=> true (=> true (=> true (=> true ?v_4079)))))) (?v_4078 (U_2_int (MapType0Select Mem_1_T.P_IRP.26 ?v_3591))) (?v_4063 (U_2_int (MapType0Select Mem_0_T.P_IRP.26 ?v_3591))) (?v_3992 (= k.30 0)) (?v_4058 (= k.30 1))) (let ((?v_4083 (=> true (=> (=> ?v_3992 (not (= ?v_4063 hirp))) (=> (=> ?v_4058 (not (= ?v_4078 hirp))) (=> true (=> (<= k.30 k.34) (=> (< k.34 2) (and (=> true (=> ?v_4064 (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.0 ?v_4063) (=> true (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.2 inline.SerialGetNextIrpLocked.0.myVar_0.0) ?v_4079))))) (=> true (=> ?v_4074 (and (=> true (=> ?v_4067 (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.1 ?v_4078) (=> true (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.2 inline.SerialGetNextIrpLocked.0.myVar_0.1) ?v_4080))))) (=> true (=> ?v_4076 (=> true (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.2 inline.SerialGetNextIrpLocked.0.myVar_0) ?v_4080))))))))))))))) (?v_4085 (= Mem_1_T.P_IRP.26 Mem_1_T.P_IRP.15))) (let ((?v_4086 (=> (= Mem_0_T.P_IRP.26 Mem_0_T.P_IRP.15) (=> true ?v_4083))) (?v_4084 (not ?v_4058)) (?v_4082 (int_2_U (MINUS_LEFT_PTR inline.RemoveHeadList.0.myNondetVar_0.0 1 88))) (?v_4081 (not ?v_3992)) (?v_4062 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0 0)) (?v_4059 (=> true (=> (= inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.2..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= errorReached.29 errorReached.25) (=> (= Mem_0_T.P_IRP.27 Mem_0_T.P_IRP.24) (=> (= inline.SerialGetNextIrpLocked.0.myVar_0.3 inline.SerialGetNextIrpLocked.0.myVar_0) (=> (= inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked.0 inline.SerialGetNextIrpLocked.0..headOfList.8.300.20.SerialGetNextIrpLocked) (=> (= inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2..0 inline.SerialGetNextIrpLocked.0..result.RemoveHeadList.302.35.2.) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList) (=> (= inline.RemoveHeadList.0.myNondetVar_0.2 inline.RemoveHeadList.0.myNondetVar_0) (=> (= Mem_1_T.P_IRP.27 Mem_1_T.P_IRP.24) (=> (= Mem_1_T.CancelRoutine__IRP.42 Mem_1_T.CancelRoutine__IRP.36) (=> (= inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.2..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= Mem_0_T.CancelRoutine__IRP.42 Mem_0_T.CancelRoutine__IRP.36) (=> (= k.35 k.30) (=> (= inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.2..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) ?v_4066))))))))))))))))))) (?v_4060 (= Mem_1_T.P_IRP.24 Mem_1_T.P_IRP.15))) (let ((?v_4061 (=> (= Mem_0_T.P_IRP.24 Mem_0_T.P_IRP.15) (=> true ?v_4059)))) (let ((?v_4087 (=> true (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.1.myNondetVar_0.0 0))) (and (=> true (=> (not ?v_4062) (and (=> true (=> ?v_3992 (=> (= Mem_0_T.P_IRP.23 (MapType0Store Mem_0_T.P_IRP.15 ?v_3591 ?v_35)) (=> true (=> ?v_4060 (=> (= Mem_0_T.P_IRP.24 Mem_0_T.P_IRP.23) ?v_4059)))))) (=> true (=> ?v_4081 (and (=> true (=> ?v_4058 (=> (= Mem_1_T.P_IRP.23 (MapType0Store Mem_1_T.P_IRP.15 ?v_3591 ?v_35)) (=> true (=> (= Mem_1_T.P_IRP.24 Mem_1_T.P_IRP.23) ?v_4061))))) (=> true (=> ?v_4084 (=> true (=> ?v_4060 ?v_4061)))))))))) (=> true (=> ?v_4062 (and (=> true (=> ?v_3992 (=> (= Mem_0_T.P_IRP.25 (MapType0Store Mem_0_T.P_IRP.15 ?v_3591 ?v_4082)) (=> true (=> ?v_4085 (=> (= Mem_0_T.P_IRP.26 Mem_0_T.P_IRP.25) ?v_4083)))))) (=> true (=> ?v_4081 (and (=> true (=> ?v_4058 (=> (= Mem_1_T.P_IRP.25 (MapType0Store Mem_1_T.P_IRP.15 ?v_3591 ?v_4082)) (=> true (=> (= Mem_1_T.P_IRP.26 Mem_1_T.P_IRP.25) ?v_4086))))) (=> true (=> ?v_4084 (=> true (=> ?v_4085 ?v_4086))))))))))))))) (let ((?v_4088 (=> true (=> true (=> true (=> true ?v_4087)))))) (let ((?v_4089 (and (=> true (=> ?v_3992 (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.1 (U_2_int (MapType0Select Mem_0_T.P_IRP.15 ?v_3591))) (=> true (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.1) ?v_4087))))) (=> true (=> ?v_4081 (and (=> true (=> ?v_4058 (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.0 (U_2_int (MapType0Select Mem_1_T.P_IRP.15 ?v_3591))) (=> true (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.0) ?v_4088))))) (=> true (=> ?v_4084 (=> true (=> (= inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked.2 inline.SerialGetNextIrpLocked.0..oldIrp.7.275.9.SerialGetNextIrpLocked) ?v_4088))))))))) (?v_4090 (= cancelLockStatus_1.29 cancelLockStatus_1.27))) (let ((?v_4091 (=> (= cancelLockStatus_0.29 cancelLockStatus_0.27) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4089))))))))))) (?v_3991 (int_2_U call55632formal.new.0))) (let ((?v_4109 (=> true (and ?v_8 (=> ?v_8 (=> (> call55632formal.new.0 0) (=> (forall ((?x1669 Int)) (! (=> (and (<= call55632formal.new.0 ?x1669) (< ?x1669 (+ call55632formal.new.0 1))) (= (Base ?x1669) call55632formal.new.0)) :pattern ((Base ?x1669)) )) (=> (forall ((?x1670 boogieU)) (! (=> (= (type ?x1670) intType) (or (= (U_2_int ?x1670) call55632formal.new.0) (= (MapType0Select alloc.48 ?x1670) (MapType0Select alloc.49 ?x1670)))) :pattern ((MapType0Select alloc.49 ?x1670)) )) (=> (and (= (MapType0Select alloc.48 ?v_3991) UNALLOCATED) (= (MapType0Select alloc.49 ?v_3991) ALLOCATED)) (=> true (=> (=> ?v_3992 (= cancelLockStatus_0.27 0)) (=> (=> ?v_4058 (= cancelLockStatus_1.27 0)) (and (=> true (=> ?v_3992 (=> true (=> ?v_4090 (=> (= cancelLockStatus_0.29 1) ?v_4089))))) (=> true (=> ?v_4081 (and (=> true (=> ?v_4058 (=> true (=> (= cancelLockStatus_1.29 1) ?v_4091)))) (=> true (=> ?v_4084 (=> true (=> ?v_4090 ?v_4091))))))))))))))))))) (?v_4214 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_4215 (= alloc.48 alloc.45)) (?v_4216 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_4217 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.4 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_4218 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_4219 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4220 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_4221 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_4222 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.3 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_4223 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4224 (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_4225 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4226 (= k.30 k.25)) (?v_4227 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4228 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4229 (= Mem_1_T.CancelRoutine__IRP.36 Mem_1_T.CancelRoutine__IRP.19)) (?v_4230 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_4231 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4232 (= inline.SerialGetNextWrite.0.myNondetVar_2.3 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_4233 (= Mem_0_T.CancelRoutine__IRP.36 Mem_0_T.CancelRoutine__IRP.19)) (?v_4234 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4235 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1 1)) (?v_4236 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_4237 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_4238 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4239 (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4240 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4241 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_4242 (= errorReached.25 errorReached.13)) (?v_4243 (= inline.SerialGetNextWrite.0.myVar_0.9 inline.SerialGetNextWrite.0.myVar_0.5)) (?v_4244 (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4245 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4246 (= inline.SerialSetTimer.0.myNondetVar_0.6 inline.SerialSetTimer.0.myNondetVar_0)) (?v_4247 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4248 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite)) (?v_4249 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_4250 (= Mem_1_T.P_IRP.15 Mem_1_T.P_IRP.1)) (?v_4251 (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.0.myVar_0.5)) (?v_4252 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_4253 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4254 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4255 (= inline.KeSynchronizeExecution.2.myNondetVar_0.8 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_4256 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite)) (?v_4257 (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_4258 (= Mem_0_T.P_IRP.15 Mem_0_T.P_IRP.1)) (?v_4259 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation))) (let ((?v_4260 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.0.myVar_0.5) (=> true (=> true ?v_4109)))) (?v_4213 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 14))) (let ((?v_4111 (=> true (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..2 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..1) (=> (= alloc.48 alloc.47) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.2 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.1) (=> (= cancelLockStatus_0.27 cancelLockStatus_0.26) (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.4 inline.sdv_InterlockedDecrement.5.myNondetVar_0.3) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.1 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.0) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.0) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.2 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.1) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.1 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.0) (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.3 inline.sdv_InterlockedIncrement.1.myNondetVar_0.2) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.16 inline.SerialGetNextWrite.0.myNondetVar_0.15) (=> (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0) (=> ?v_4224 (=> ?v_4225 (=> (= inline.SerialGetNextWrite.0.tempBoogie0.5 inline.SerialGetNextWrite.0.tempBoogie0.4) (=> (= k.30 k.29) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.1 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0) (=> (= Mem_1_T.CancelRoutine__IRP.36 Mem_1_T.CancelRoutine__IRP.35) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.1 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.0) (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.1 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0) (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.3 inline.SerialGetNextWrite.0.myNondetVar_2.2) (=> (= Mem_0_T.CancelRoutine__IRP.36 Mem_0_T.CancelRoutine__IRP.35) (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.4 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3) (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.1 inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.0) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.1 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.0) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.2 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.1) (=> (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0) (=> ?v_4239 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.0) (=> (= errorReached.25 errorReached.24) (=> ?v_4243 (=> ?v_4244 (=> (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.1 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0) (=> (= inline.SerialSetTimer.0.myNondetVar_0.6 inline.SerialSetTimer.0.myNondetVar_0.5) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.3 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2) (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.1 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.0) (=> (= Mem_1_T.P_IRP.15 Mem_1_T.P_IRP.14) (=> ?v_4251 (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..1 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..0) (=> (= cancelLockStatus_1.27 cancelLockStatus_1.26) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.4 inline.SerialGetNextWrite.0.myNondetVar_1.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.8 inline.KeSynchronizeExecution.2.myNondetVar_0.7) (=> (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.1 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.0) (=> ?v_4257 (=> (= Mem_0_T.P_IRP.15 Mem_0_T.P_IRP.14) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) ?v_4260))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4113 (= cancelLockStatus_1.26 cancelLockStatus_1.23))) (let ((?v_4114 (=> (= cancelLockStatus_0.26 cancelLockStatus_0.23) (=> true (=> true (=> true (=> true ?v_4111)))))) (?v_4112 (= k.29 1)) (?v_4110 (= k.29 0))) (let ((?v_4157 (and (=> true (=> ?v_4110 (=> true (=> ?v_4113 (=> (= cancelLockStatus_0.26 0) ?v_4111))))) (=> true (=> (not ?v_4110) (and (=> true (=> ?v_4112 (=> true (=> (= cancelLockStatus_1.26 0) ?v_4114)))) (=> true (=> (not ?v_4112) (=> true (=> ?v_4113 ?v_4114)))))))))) (let ((?v_4165 (=> true (=> true (=> true (=> true (=> true ?v_4157)))))) (?v_4169 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..0)) (?v_4118 (= alloc.47 alloc.45)) (?v_4119 (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.3 inline.sdv_InterlockedDecrement.5.myNondetVar_0)) (?v_4170 (= Mem_0_T.CancelRoutine__IRP.35 Mem_0_T.CancelRoutine__IRP.34)) (?v_4171 (= errorReached.24 errorReached.23)) (?v_4172 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2)) (?v_4173 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.0)) (?v_4125 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.0 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1)) (?v_4126 (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.2 inline.sdv_InterlockedIncrement.1.myNondetVar_0)) (?v_4174 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2)) (?v_4129 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer)) (?v_4175 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_4176 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGiveXoffToIsr)) (?v_4133 (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.0 inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer)) (?v_4177 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialCancelCurrentXoff)) (?v_4135 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4136 (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.0 inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer)) (?v_4178 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2)) (?v_4179 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialCancelCurrentXoff)) (?v_4139 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer)) (?v_4140 (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1)) (?v_4180 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGiveXoffToIsr)) (?v_4181 (= k.29 k.28)) (?v_4143 (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4144 (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite)) (?v_4145 (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1)) (?v_4182 (= Mem_1_T.CancelRoutine__IRP.35 Mem_1_T.CancelRoutine__IRP.34)) (?v_4183 (= inline.KeSynchronizeExecution.2.myNondetVar_0.7 inline.KeSynchronizeExecution.2.myNondetVar_0.6)) (?v_4148 (= inline.SerialSetTimer.0.myNondetVar_0.5 inline.SerialSetTimer.0.myNondetVar_0)) (?v_4184 (= Mem_1_T.P_IRP.14 Mem_1_T.P_IRP.13)) (?v_4150 (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..0 inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3.)) (?v_4185 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.0 2)) (?v_4186 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2)) (?v_4153 (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1))) (let ((?v_4187 (=> (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.0 0) (=> (= Mem_0_T.P_IRP.14 Mem_0_T.P_IRP.13) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2) ?v_4165))))) (let ((?v_4166 (=> true (=> (forall ((?r17 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.0.myNondetVar_1.2 ?r17) 0)) (not (= (BIT_BAND 4 ?r17) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.0.myNondetVar_2.1 4) ?r17) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.0.myNondetVar_0.12 4) ?r17)) )) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.3 (BIT_BOR inline.SerialGetNextWrite.0.myNondetVar_0.13 4)) (=> true (=> ?v_4169 (=> (= alloc.47 alloc.46) (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.3 inline.sdv_InterlockedDecrement.5.myNondetVar_0.2) (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.2 inline.SerialGetNextWrite.0.myNondetVar_2.1) (=> ?v_4173 (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer1.0 call55215formal.new.0) (=> (= inline.sdv_InterlockedIncrement.1.myNondetVar_0.2 inline.sdv_InterlockedIncrement.1.myNondetVar_0.1) (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.14 inline.SerialGetNextWrite.0.myNondetVar_0.13) (=> ?v_4174 (=> (= inline.SerialGetNextWrite.0.tempBoogie0.4 inline.SerialGetNextWrite.0.tempBoogie0.3) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer.0 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.0) (=> ?v_4175 (=> ?v_4176 (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.3 inline.SerialGetNextWrite.0.myNondetVar_1.2) (=> (= inline.SerialSetTimer.0..DueTime.2.1325.50.SerialSetTimer.0 call57446formal.new.0) (=> ?v_4177 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2) (=> (= inline.SerialSetTimer.0..set.5.1350.11.SerialSetTimer.0 call57496formal.ret.0) (=> ?v_4178 (=> ?v_4179 (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer.0 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.0) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.1 inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.0) (=> ?v_4180 (=> ?v_4181 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.SerialGetNextWrite.0.._refType.14.631.0.SerialGetNextWrite.0 4) (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.1 inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.0) (=> ?v_4182 (=> ?v_4183 (=> (= inline.SerialSetTimer.0.myNondetVar_0.5 inline.SerialSetTimer.0.myNondetVar_0.4) (=> ?v_4184 (=> (= inline.SerialSetTimer.0..result.KeSetTimer.1355.19.3..0 call57496formal.ret.0) (=> ?v_4185 (=> ?v_4186 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2) ?v_4187))))))))))))))))))))))))))))))))))))))))))) (?v_4162 (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2 hirp))) (let ((?v_4195 (not ?v_4162))) (let ((?v_4168 (and (=> true (=> ?v_4162 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4166)))) (=> true (=> ?v_4195 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.19..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4166)))))))))) (?v_4167 (= call57496formal.ret.0 0)) (?v_4164 (int_2_U call57446formal.new.0))) (let ((?v_4188 (and (=> true (=> (not (= inline.SerialGetNextWrite.0.myNondetVar_0.10 0)) (=> true (=> (= inline.SerialSetTimer.0..Timer.1.1325.26.SerialSetTimer1.0 ?v_3805) (=> (= inline.SerialSetTimer.0..Dpc.3.1326.24.SerialSetTimer1.0 ?v_4163) (=> true (and ?v_53 (=> ?v_53 (=> (> call57446formal.new.0 0) (=> (forall ((?x1671 Int)) (! (=> (and (<= call57446formal.new.0 ?x1671) (< ?x1671 (+ call57446formal.new.0 8))) (= (Base ?x1671) call57446formal.new.0)) :pattern ((Base ?x1671)) )) (=> (forall ((?x1672 boogieU)) (! (=> (= (type ?x1672) intType) (or (= (U_2_int ?x1672) call57446formal.new.0) (= (MapType0Select alloc.45 ?x1672) (MapType0Select alloc.46 ?x1672)))) :pattern ((MapType0Select alloc.46 ?x1672)) )) (=> (and (= (MapType0Select alloc.45 ?v_4164) UNALLOCATED) (= (MapType0Select alloc.46 ?v_4164) ALLOCATED)) (=> (= (Base call55215formal.new.0) call55215formal.new.0) (and (=> true (=> (not ?v_4167) (=> true (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.2 inline.sdv_InterlockedDecrement.5.myNondetVar_0.1) ?v_4168)))) (=> true (=> ?v_4167 (=> true (=> (= inline.sdv_InterlockedDecrement.5.myNondetVar_0.2 inline.sdv_InterlockedDecrement.5.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4168))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.9 0) (=> true (=> ?v_4169 (=> ?v_4118 (=> ?v_4119 (=> ?v_4170 (=> ?v_4171 (=> ?v_4172 (=> (= inline.SerialGetNextWrite.0.myNondetVar_2.2 inline.SerialGetNextWrite.0.myNondetVar_2.0) (=> ?v_4173 (=> ?v_4125 (=> ?v_4126 (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.14 inline.SerialGetNextWrite.0.myNondetVar_0.9) (=> ?v_4174 (=> (= inline.SerialGetNextWrite.0.tempBoogie0.4 inline.SerialGetNextWrite.0.tempBoogie0.2) (=> ?v_4129 (=> ?v_4175 (=> ?v_4176 (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.3 inline.SerialGetNextWrite.0.myNondetVar_1.1) (=> ?v_4133 (=> ?v_4177 (=> ?v_4135 (=> ?v_4136 (=> ?v_4178 (=> ?v_4179 (=> ?v_4139 (=> ?v_4140 (=> ?v_4180 (=> ?v_4181 (=> ?v_4143 (=> ?v_4144 (=> ?v_4145 (=> ?v_4182 (=> ?v_4183 (=> ?v_4148 (=> ?v_4184 (=> ?v_4150 (=> ?v_4185 (=> ?v_4186 (=> ?v_4153 ?v_4187)))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4191 (and (=> true (=> ?v_1128 (=> true (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.2..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.2..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.6 inline.KeSynchronizeExecution.2.myNondetVar_0.5) ?v_4188)))))) (=> true (=> ?v_288 (=> true (=> (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.2.myNondetVar_0.6 inline.KeSynchronizeExecution.2.myNondetVar_0) (=> true (=> true (=> true (=> true ?v_4188)))))))))))) (?v_4193 (= Mem_1_T.P_IRP.13 Mem_1_T.P_IRP.1))) (let ((?v_4194 (=> (= Mem_0_T.P_IRP.13 Mem_0_T.P_IRP.1) (=> true (=> true (=> true (=> true (=> true (=> true ?v_4191)))))))) (?v_4192 (= k.28 1)) (?v_4190 (int_2_U inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2)) (?v_4189 (= k.28 0))) (let ((?v_4196 (=> true (=> (forall ((?r18 Int)) (! (= (or (not (= (BIT_BAND inline.SerialGetNextWrite.0.myNondetVar_1.1 ?r18) 0)) (not (= (BIT_BAND 2 ?r18) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialGetNextWrite.0.myNondetVar_2.0 2) ?r18) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialGetNextWrite.0.myNondetVar_0.6 2) ?r18)) )) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.2 (BIT_BOR inline.SerialGetNextWrite.0.myNondetVar_0.7 2)) (=> true (=> (<= k.27 k.28) (=> (< k.28 2) (and (=> true (=> ?v_4189 (=> (= Mem_0_T.P_IRP.12 (MapType0Store Mem_0_T.P_IRP.1 ?v_3585 ?v_4190)) (=> true (=> ?v_4193 (=> (= Mem_0_T.P_IRP.13 Mem_0_T.P_IRP.12) ?v_4191)))))) (=> true (=> (not ?v_4189) (and (=> true (=> ?v_4192 (=> (= Mem_1_T.P_IRP.12 (MapType0Store Mem_1_T.P_IRP.1 ?v_3585 ?v_4190)) (=> true (=> (= Mem_1_T.P_IRP.13 Mem_1_T.P_IRP.12) ?v_4194))))) (=> true (=> (not ?v_4192) (=> true (=> ?v_4193 ?v_4194)))))))))))))))) (let ((?v_4198 (and (=> true (=> ?v_4162 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4196)))) (=> true (=> ?v_4195 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4196)))))))))) (?v_4200 (= Mem_1_T.CancelRoutine__IRP.34 Mem_1_T.CancelRoutine__IRP.19))) (let ((?v_4201 (=> (= Mem_0_T.CancelRoutine__IRP.34 Mem_0_T.CancelRoutine__IRP.19) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4198))))))))))))))) (?v_4199 (= k.27 1)) (?v_4161 (int_2_U (CancelRoutine__IRP inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2))) (?v_4197 (= k.27 0))) (let ((?v_4202 (=> true (=> (<= k.26 k.27) (=> (< k.27 2) (and (=> true (=> ?v_4197 (=> (= Mem_0_T.CancelRoutine__IRP.33 (MapType0Store Mem_0_T.CancelRoutine__IRP.19 ?v_4161 ?v_299)) (=> true (=> ?v_4200 (=> (= Mem_0_T.CancelRoutine__IRP.34 Mem_0_T.CancelRoutine__IRP.33) ?v_4198)))))) (=> true (=> (not ?v_4197) (and (=> true (=> ?v_4199 (=> (= Mem_1_T.CancelRoutine__IRP.33 (MapType0Store Mem_1_T.CancelRoutine__IRP.19 ?v_4161 ?v_299)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.34 Mem_1_T.CancelRoutine__IRP.33) ?v_4201))))) (=> true (=> (not ?v_4199) (=> true (=> ?v_4200 ?v_4201))))))))))))) (let ((?v_4203 (=> true (=> (= errorReached.23 errorReached.13) ?v_4202))) (?v_4115 (= k.26 0)) (?v_4159 (= k.26 1))) (let ((?v_4204 (and (=> true (=> ?v_4162 (and (=> true (=> (=> ?v_4115 ?v_3592) (=> (=> ?v_4159 ?v_3593) (=> true (=> (= errorReached.23 1) ?v_4202))))) (=> true (=> (=> ?v_4115 ?v_2881) (=> (=> ?v_4159 ?v_2882) ?v_4203)))))) (=> true (=> ?v_4195 ?v_4203))))) (let ((?v_4205 (=> true (=> true ?v_4204))) (?v_4208 (not ?v_4159)) (?v_4206 (not ?v_4115)) (?v_4116 (int_2_U (Cancel__IRP inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2)))) (let ((?v_4158 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP ?v_4116)) 0)) (?v_4160 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP ?v_4116)) 0)) (?v_4117 (= inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.2..result.KeSynchronizeExecution.4664.0.1.)) (?v_4120 (= Mem_0_T.CancelRoutine__IRP.35 Mem_0_T.CancelRoutine__IRP.19)) (?v_4121 (= errorReached.24 errorReached.13)) (?v_4122 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_4123 (= inline.SerialGetNextWrite.0.myNondetVar_2.2 inline.SerialGetNextWrite.0.myNondetVar_2)) (?v_4124 (= inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.2..b.4.4670.12.KeSynchronizeExecution)) (?v_4127 (= inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.3..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_4128 (= inline.SerialGetNextWrite.0.tempBoogie0.4 inline.SerialGetNextWrite.0.tempBoogie0.0)) (?v_4130 (= inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.18..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4131 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1)) (?v_4132 (= inline.SerialGetNextWrite.0.myNondetVar_1.3 inline.SerialGetNextWrite.0.myNondetVar_1)) (?v_4134 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_4137 (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_4138 (= inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.3..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_4141 (= inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.2..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution)) (?v_4142 (= k.29 k.26)) (?v_4146 (= Mem_1_T.CancelRoutine__IRP.35 Mem_1_T.CancelRoutine__IRP.19)) (?v_4147 (= inline.KeSynchronizeExecution.2.myNondetVar_0.7 inline.KeSynchronizeExecution.2.myNondetVar_0)) (?v_4149 (= Mem_1_T.P_IRP.14 Mem_1_T.P_IRP.1)) (?v_4151 (= inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite.0 inline.SerialGetNextWrite.0.._refType.11.583.0.SerialGetNextWrite)) (?v_4152 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4154 (= inline.SerialGetNextWrite.0..CompleteCurrent.4.447.15.SerialGetNextWrite.0 1)) (?v_4155 (= Mem_0_T.P_IRP.14 Mem_0_T.P_IRP.1)) (?v_4156 (= inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.18..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation))) (let ((?v_4207 (=> true (=> (= inline.SerialGetNextWrite.0.tempBoogie0.0 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.0.myNondetVar_0.1 1 1)) (and (=> true (=> (not (= inline.SerialGetNextWrite.0.myNondetVar_0.3 0)) (=> true (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.14 inline.SerialGetNextWrite.0.myNondetVar_0.3) (=> ?v_4127 (=> ?v_4128 (=> ?v_4129 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_4134 (=> ?v_4135 (=> ?v_4136 (=> ?v_4137 (=> ?v_4138 (=> ?v_4139 (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> ?v_4150 (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_4156 ?v_4157)))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.2 0) (and (=> true (=> (=> ?v_4115 (not ?v_4158)) (=> (=> ?v_4159 (not ?v_4160)) (=> true (=> ?v_4117 (=> ?v_4118 (=> ?v_4119 (=> ?v_4120 (=> ?v_4121 (=> ?v_4122 (=> ?v_4123 (=> ?v_4124 (=> ?v_4125 (=> ?v_4126 (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.14 inline.SerialGetNextWrite.0.myNondetVar_0.2) (=> ?v_4127 (=> ?v_4128 (=> ?v_4129 (=> ?v_4130 (=> ?v_4131 (=> ?v_4132 (=> ?v_4133 (=> ?v_4134 (=> ?v_4135 (=> ?v_4136 (=> ?v_4137 (=> ?v_4138 (=> ?v_4139 (=> ?v_4140 (=> ?v_4141 (=> ?v_4142 (=> ?v_4143 (=> ?v_4144 (=> ?v_4145 (=> ?v_4146 (=> ?v_4147 (=> ?v_4148 (=> ?v_4149 (=> ?v_4150 (=> ?v_4151 (=> ?v_4152 (=> ?v_4153 (=> ?v_4154 (=> ?v_4155 (=> ?v_4156 ?v_4165))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (=> ?v_4115 ?v_4158) (=> (=> ?v_4159 ?v_4160) (and (=> true (=> ?v_4115 (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.19 ?v_4161))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_4204))))) (=> true (=> ?v_4206 (and (=> true (=> ?v_4159 (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.19 ?v_4161))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_4205))))) (=> true (=> ?v_4208 (=> true (=> (= inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.3..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_4205))))))))))))))))))) (let ((?v_4209 (=> true (=> true ?v_4207)))) (let ((?v_4210 (=> true (=> (<= k.25 k.26) (=> (< k.26 2) (and (=> true (=> ?v_4115 (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.1 ?v_3590) (=> true (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.1) ?v_4207))))) (=> true (=> ?v_4206 (and (=> true (=> ?v_4159 (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.0 ?v_4099) (=> true (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.0) ?v_4209))))) (=> true (=> ?v_4208 (=> true (=> (= inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite.2 inline.SerialGetNextWrite.0..Irp.9.523.17.SerialGetNextWrite) ?v_4209)))))))))))) (?v_4211 (= cancelLockStatus_1.23 cancelLockStatus_1.20))) (let ((?v_4212 (=> (= cancelLockStatus_0.23 cancelLockStatus_0.20) (=> true (=> true (=> true (=> true ?v_4210)))))) (?v_4092 (= k.25 1))) (let ((?v_4101 (not ?v_4092)) (?v_3989 (= k.25 0))) (let ((?v_4098 (not ?v_3989)) (?v_4107 (=> ?v_3989 ?v_3990)) (?v_4108 (=> ?v_4092 ?v_4271))) (let ((?v_4262 (and (=> true (=> ?v_4213 (=> true (=> ?v_4107 (=> ?v_4108 (and (=> true (=> ?v_3989 (=> true (=> ?v_4211 (=> (= cancelLockStatus_0.23 1) ?v_4210))))) (=> true (=> ?v_4098 (and (=> true (=> ?v_4092 (=> true (=> (= cancelLockStatus_1.23 1) ?v_4212)))) (=> true (=> ?v_4101 (=> true (=> ?v_4211 ?v_4212))))))))))))) (=> true (=> (not ?v_4213) (=> true (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> (= cancelLockStatus_0.27 cancelLockStatus_0.20) (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.16 inline.SerialGetNextWrite.0.myNondetVar_0) (=> ?v_4223 (=> ?v_4224 (=> ?v_4225 (=> (= inline.SerialGetNextWrite.0.tempBoogie0.5 inline.SerialGetNextWrite.0.tempBoogie0) (=> ?v_4226 (=> ?v_4227 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> ?v_4239 (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> ?v_4243 (=> ?v_4244 (=> ?v_4245 (=> ?v_4246 (=> ?v_4247 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> ?v_4251 (=> ?v_4252 (=> (= cancelLockStatus_1.27 cancelLockStatus_1.20) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.4 inline.SerialGetNextWrite.0.myNondetVar_1) (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> ?v_4257 (=> ?v_4258 (=> ?v_4259 ?v_4260)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4261 (= inline.SerialGetNextWrite.0.myVar_0.5 hirp))) (let ((?v_4263 (and (=> true (=> ?v_4261 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4262)))) (=> true (=> (not ?v_4261) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4262))))))))))) (let ((?v_4264 (=> true (=> true (=> true (=> true ?v_4263))))) (?v_4106 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 4)) (?v_4093 (=> true (=> ?v_4214 (=> ?v_4215 (=> ?v_4216 (=> (= cancelLockStatus_0.27 cancelLockStatus_0.25) (=> ?v_4217 (=> ?v_4218 (=> ?v_4219 (=> ?v_4220 (=> ?v_4221 (=> ?v_4222 (=> (= inline.SerialGetNextWrite.0.myNondetVar_0.16 inline.SerialGetNextWrite.0.myNondetVar_0.5) (=> ?v_4223 (=> (= inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5..0 inline.SerialGetNextWrite.0..result.sdv_IoGetCurrentIrpStackLocation.519.47.5.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialGetNextWrite.0.myVar_0.8) (=> (= inline.SerialGetNextWrite.0.tempBoogie0.5 inline.SerialGetNextWrite.0.tempBoogie0.1) (=> ?v_4226 (=> ?v_4227 (=> ?v_4228 (=> ?v_4229 (=> ?v_4230 (=> ?v_4231 (=> ?v_4232 (=> ?v_4233 (=> ?v_4234 (=> ?v_4235 (=> ?v_4236 (=> ?v_4237 (=> ?v_4238 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_4240 (=> ?v_4241 (=> ?v_4242 (=> (= inline.SerialGetNextWrite.0.myVar_0.9 inline.SerialGetNextWrite.0.myVar_0.8) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialGetNextWrite.0.myVar_0.8) (=> ?v_4245 (=> ?v_4246 (=> ?v_4247 (=> ?v_4248 (=> ?v_4249 (=> ?v_4250 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> ?v_4252 (=> (= cancelLockStatus_1.27 cancelLockStatus_1.25) (=> (= inline.SerialGetNextWrite.0.myNondetVar_1.4 inline.SerialGetNextWrite.0.myNondetVar_1.0) (=> ?v_4253 (=> ?v_4254 (=> ?v_4255 (=> ?v_4256 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.15..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> ?v_4258 (=> ?v_4259 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.15..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) ?v_4109)))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4094 (= cancelLockStatus_1.25 cancelLockStatus_1.24))) (let ((?v_4095 (=> (= cancelLockStatus_0.25 cancelLockStatus_0.24) (=> true (=> true (=> true (=> true ?v_4093))))))) (let ((?v_4097 (=> true (=> (= inline.SerialGetNextWrite.0.tempBoogie0.1 (MINUS_BOTH_PTR_OR_BOTH_INT inline.SerialGetNextWrite.0.myNondetVar_0.4 inline.SerialGetNextWrite.0.myNondetVar_1.0 1)) (and (=> true (=> ?v_3989 (=> true (=> ?v_4094 (=> (= cancelLockStatus_0.25 0) ?v_4093))))) (=> true (=> ?v_4098 (and (=> true (=> ?v_4092 (=> true (=> (= cancelLockStatus_1.25 0) ?v_4095)))) (=> true (=> ?v_4101 (=> true (=> ?v_4094 ?v_4095))))))))))) (?v_4096 (= inline.SerialGetNextWrite.0.myVar_0.8 hirp))) (let ((?v_4100 (and (=> true (=> ?v_4096 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4097)))) (=> true (=> (not ?v_4096) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.16..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true ?v_4097)))))))))) (let ((?v_4102 (=> true (=> true (=> true (=> true ?v_4100)))))) (let ((?v_4103 (and (=> true (=> ?v_3989 (=> (= inline.SerialGetNextWrite.0.myVar_0.6 ?v_3590) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.8 inline.SerialGetNextWrite.0.myVar_0.6) ?v_4100))))) (=> true (=> ?v_4098 (and (=> true (=> ?v_4092 (=> (= inline.SerialGetNextWrite.0.myVar_0.7 ?v_4099) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.8 inline.SerialGetNextWrite.0.myVar_0.7) ?v_4102))))) (=> true (=> ?v_4101 (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.8 inline.SerialGetNextWrite.0.myVar_0.2) ?v_4102))))))))) (?v_4104 (= cancelLockStatus_1.24 cancelLockStatus_1.20))) (let ((?v_4105 (=> (= cancelLockStatus_0.24 cancelLockStatus_0.20) (=> true (=> true (=> true (=> true (=> true ?v_4103)))))))) (let ((?v_4266 (and (=> true (=> ?v_4106 (=> true (=> ?v_4107 (=> ?v_4108 (and (=> true (=> ?v_3989 (=> true (=> ?v_4104 (=> (= cancelLockStatus_0.24 1) ?v_4103))))) (=> true (=> ?v_4098 (and (=> true (=> ?v_4092 (=> true (=> (= cancelLockStatus_1.24 1) ?v_4105)))) (=> true (=> ?v_4101 (=> true (=> ?v_4104 ?v_4105))))))))))))) (=> true (=> (not ?v_4106) (and (=> true (=> ?v_3989 (=> (= inline.SerialGetNextWrite.0.myVar_0.3 ?v_3590) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.5 inline.SerialGetNextWrite.0.myVar_0.3) ?v_4263))))) (=> true (=> ?v_4098 (and (=> true (=> ?v_4092 (=> (= inline.SerialGetNextWrite.0.myVar_0.4 ?v_4099) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.5 inline.SerialGetNextWrite.0.myVar_0.4) ?v_4264))))) (=> true (=> ?v_4101 (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.5 inline.SerialGetNextWrite.0.myVar_0.2) ?v_4264)))))))))))) (?v_4265 (= inline.SerialGetNextWrite.0.myVar_0.2 hirp))) (let ((?v_4267 (and (=> true (=> ?v_4265 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4266)))) (=> true (=> (not ?v_4265) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.14..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4266))))))))))) (let ((?v_4268 (=> true (=> true (=> true (=> true ?v_4267))))) (?v_3988 (int_2_U call55249formal.new.0)) (?v_3984 (int_2_U call55206formal.new.0)) (?v_3985 (int_2_U call55209formal.new.0)) (?v_3986 (int_2_U call55212formal.new.0)) (?v_3987 (int_2_U call55215formal.new.0))) (let ((?v_4499 (and (=> true (=> ?v_4269 (=> true (and ?v_8 (=> ?v_8 (=> (> call55206formal.new.0 0) (=> (forall ((?x1675 Int)) (! (=> (and (<= call55206formal.new.0 ?x1675) (< ?x1675 (+ call55206formal.new.0 1))) (= (Base ?x1675) call55206formal.new.0)) :pattern ((Base ?x1675)) )) (=> (forall ((?x1676 boogieU)) (! (=> (= (type ?x1676) intType) (or (= (U_2_int ?x1676) call55206formal.new.0) (= (MapType0Select alloc.25 ?x1676) (MapType0Select alloc.41 ?x1676)))) :pattern ((MapType0Select alloc.41 ?x1676)) )) (=> (and (= (MapType0Select alloc.25 ?v_3984) UNALLOCATED) (= (MapType0Select alloc.41 ?v_3984) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call55209formal.new.0 0) (=> (forall ((?x1677 Int)) (! (=> (and (<= call55209formal.new.0 ?x1677) (< ?x1677 (+ call55209formal.new.0 1))) (= (Base ?x1677) call55209formal.new.0)) :pattern ((Base ?x1677)) )) (=> (forall ((?x1678 boogieU)) (! (=> (= (type ?x1678) intType) (or (= (U_2_int ?x1678) call55209formal.new.0) (= (MapType0Select alloc.41 ?x1678) (MapType0Select alloc.42 ?x1678)))) :pattern ((MapType0Select alloc.42 ?x1678)) )) (=> (and (= (MapType0Select alloc.41 ?v_3985) UNALLOCATED) (= (MapType0Select alloc.42 ?v_3985) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call55212formal.new.0 0) (=> (forall ((?x1679 Int)) (! (=> (and (<= call55212formal.new.0 ?x1679) (< ?x1679 (+ call55212formal.new.0 1))) (= (Base ?x1679) call55212formal.new.0)) :pattern ((Base ?x1679)) )) (=> (forall ((?x1680 boogieU)) (! (=> (= (type ?x1680) intType) (or (= (U_2_int ?x1680) call55212formal.new.0) (= (MapType0Select alloc.42 ?x1680) (MapType0Select alloc.43 ?x1680)))) :pattern ((MapType0Select alloc.43 ?x1680)) )) (=> (and (= (MapType0Select alloc.42 ?v_3986) UNALLOCATED) (= (MapType0Select alloc.43 ?v_3986) ALLOCATED)) (and ?v_53 (=> ?v_53 (=> (> call55215formal.new.0 0) (=> (forall ((?x1681 Int)) (! (=> (and (<= call55215formal.new.0 ?x1681) (< ?x1681 (+ call55215formal.new.0 8))) (= (Base ?x1681) call55215formal.new.0)) :pattern ((Base ?x1681)) )) (=> (forall ((?x1682 boogieU)) (! (=> (= (type ?x1682) intType) (or (= (U_2_int ?x1682) call55215formal.new.0) (= (MapType0Select alloc.43 ?x1682) (MapType0Select alloc.44 ?x1682)))) :pattern ((MapType0Select alloc.44 ?x1682)) )) (=> (and (= (MapType0Select alloc.43 ?v_3987) UNALLOCATED) (= (MapType0Select alloc.44 ?v_3987) ALLOCATED)) (=> true (and ?v_8 (=> ?v_8 (=> (> call55249formal.new.0 0) (=> (forall ((?x1673 Int)) (! (=> (and (<= call55249formal.new.0 ?x1673) (< ?x1673 (+ call55249formal.new.0 1))) (= (Base ?x1673) call55249formal.new.0)) :pattern ((Base ?x1673)) )) (=> (forall ((?x1674 boogieU)) (! (=> (= (type ?x1674) intType) (or (= (U_2_int ?x1674) call55249formal.new.0) (= (MapType0Select alloc.44 ?x1674) (MapType0Select alloc.45 ?x1674)))) :pattern ((MapType0Select alloc.45 ?x1674)) )) (=> (and (= (MapType0Select alloc.44 ?v_3988) UNALLOCATED) (= (MapType0Select alloc.45 ?v_3988) ALLOCATED)) (=> true (=> (<= k.7 k.25) (=> (< k.25 2) (and (=> true (=> ?v_3989 (=> (= inline.SerialGetNextWrite.0.myVar_0.0 ?v_3590) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.2 inline.SerialGetNextWrite.0.myVar_0.0) ?v_4267))))) (=> true (=> ?v_4098 (and (=> true (=> ?v_4092 (=> (= inline.SerialGetNextWrite.0.myVar_0.1 ?v_4099) (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.2 inline.SerialGetNextWrite.0.myVar_0.1) ?v_4268))))) (=> true (=> ?v_4101 (=> true (=> (= inline.SerialGetNextWrite.0.myVar_0.2 inline.SerialGetNextWrite.0.myVar_0) ?v_4268))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_4269) (and (=> true (=> ?v_4336 (=> true (and ?v_8 (=> ?v_8 (=> (> call57706formal.new.0 0) (=> (forall ((?x1663 Int)) (! (=> (and (<= call57706formal.new.0 ?x1663) (< ?x1663 (+ call57706formal.new.0 1))) (= (Base ?x1663) call57706formal.new.0)) :pattern ((Base ?x1663)) )) (=> (forall ((?x1664 boogieU)) (! (=> (= (type ?x1664) intType) (or (= (U_2_int ?x1664) call57706formal.new.0) (= (MapType0Select alloc.25 ?x1664) (MapType0Select alloc.39 ?x1664)))) :pattern ((MapType0Select alloc.39 ?x1664)) )) (=> (and (= (MapType0Select alloc.25 ?v_4270) UNALLOCATED) (= (MapType0Select alloc.39 ?v_4270) ALLOCATED)) (=> true (=> (<= k.7 k.22) (=> (< k.22 2) (=> true (=> (=> ?v_4272 ?v_3990) (=> (=> ?v_4302 ?v_4271) (and (=> true (=> ?v_4272 (=> true (=> ?v_4334 (=> (= cancelLockStatus_0.21 1) ?v_4333))))) (=> true (=> ?v_4325 (and (=> true (=> ?v_4302 (=> true (=> (= cancelLockStatus_1.21 1) ?v_4335)))) (=> true (=> ?v_4328 (=> true (=> ?v_4334 ?v_4335))))))))))))))))))))))) (=> true (=> (not ?v_4336) (=> true (and ?v_29 (=> ?v_29 (=> true (=> ?v_4337 (=> ?v_4338 (=> ?v_4339 (=> ?v_4340 (=> ?v_4341 (=> (= cancelLockStatus_0.34 cancelLockStatus_0.20) (=> ?v_4342 (=> ?v_4343 (=> ?v_4344 (=> ?v_4345 (=> ?v_4346 (=> ?v_4347 (=> ?v_4348 (=> ?v_4349 (=> ?v_4350 (=> ?v_4351 (=> ?v_4352 (=> ?v_4353 (=> ?v_4354 (=> ?v_4355 (=> ?v_4356 (=> ?v_4357 (=> ?v_4358 (=> (= errorReached.36 errorReached.13) (=> ?v_4359 (=> (= Mem_0_T.CancelRoutine__IRP.51 Mem_0_T.CancelRoutine__IRP.19) (=> ?v_4360 (=> ?v_4361 (=> ?v_4362 (=> ?v_4363 (=> ?v_4364 (=> ?v_4365 (=> ?v_4366 (=> ?v_4367 (=> ?v_4368 (=> ?v_4369 (=> ?v_4370 (=> ?v_4371 (=> ?v_4372 (=> ?v_4373 (=> ?v_4374 (=> ?v_4375 (=> ?v_4376 (=> ?v_4377 (=> ?v_4378 (=> ?v_4379 (=> ?v_4380 (=> ?v_4381 (=> ?v_4382 (=> ?v_4383 (=> ?v_4384 (=> ?v_4385 (=> ?v_4386 (=> ?v_4387 (=> ?v_4388 (=> (= alloc.55 alloc.25) (=> ?v_4389 (=> ?v_4390 (=> ?v_4391 (=> ?v_4392 (=> (= k.36 k.7) (=> ?v_4393 (=> ?v_4394 (=> ?v_4395 (=> ?v_4396 (=> ?v_4397 (=> ?v_4398 (=> ?v_4399 (=> ?v_4400 (=> ?v_4401 (=> (= cancelLockStatus_1.34 cancelLockStatus_1.20) (=> ?v_4402 (=> ?v_4403 (=> ?v_4404 (=> ?v_4405 (=> (= Mem_1_T.CancelRoutine__IRP.51 Mem_1_T.CancelRoutine__IRP.19) (=> ?v_4406 (=> ?v_4407 (=> ?v_4408 (=> ?v_4409 (=> ?v_4410 (=> ?v_4411 (=> ?v_4412 (=> ?v_4413 (=> ?v_4414 (=> ?v_4415 (=> ?v_4416 (=> ?v_4417 (=> ?v_4418 (=> ?v_4419 (=> ?v_4420 (=> ?v_4421 (=> ?v_4422 (=> ?v_4423 (=> ?v_4424 (=> ?v_4425 (=> ?v_4426 (=> ?v_4427 (=> (= Mem_0_T.P_IRP.30 Mem_0_T.P_IRP.1) (=> ?v_4428 (=> ?v_4429 (=> ?v_4430 (=> ?v_4431 (=> ?v_4432 (=> ?v_4433 (=> (= irpCompleted_1.22 irpCompleted_1.5) (=> ?v_4434 (=> ?v_4435 (=> ?v_4436 (=> ?v_4437 (=> ?v_4438 (=> ?v_4439 (=> ?v_4440 (=> ?v_4441 (=> ?v_4442 (=> ?v_4443 (=> ?v_4444 (=> ?v_4445 (=> ?v_4446 (=> ?v_4447 (=> ?v_4448 (=> ?v_4449 (=> ?v_4450 (=> ?v_4451 (=> ?v_4452 (=> ?v_4453 (=> ?v_4454 (=> ?v_4455 (=> ?v_4456 (=> ?v_4457 (=> ?v_4458 (=> ?v_4459 (=> ?v_4460 (=> ?v_4461 (=> ?v_4462 (=> ?v_4463 (=> ?v_4464 (=> ?v_4465 (=> ?v_4466 (=> ?v_4467 (=> ?v_4468 (=> ?v_4469 (=> ?v_4470 (=> ?v_4471 (=> ?v_4472 (=> ?v_4473 (=> ?v_4474 (=> ?v_4475 (=> ?v_4476 (=> ?v_4477 (=> ?v_4478 (=> ?v_4479 (=> (= irpCompleted_0.22 irpCompleted_0.5) (=> ?v_4480 (=> ?v_4481 (=> ?v_4482 (=> ?v_4483 (=> ?v_4484 (=> ?v_4485 (=> ?v_4486 (=> ?v_4487 (=> ?v_4488 (=> ?v_4489 (=> ?v_4490 (=> (= Mem_1_T.P_IRP.30 Mem_1_T.P_IRP.1) (=> ?v_4491 (=> ?v_4492 (=> ?v_4493 (=> ?v_4494 (=> ?v_4495 (=> ?v_4496 ?v_4497)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_4501 (= cancelLockStatus_1.20 cancelLockStatus_1.7))) (let ((?v_4502 (=> (= cancelLockStatus_0.20 cancelLockStatus_0.7) (=> true (=> true (=> true (=> true (=> true ?v_4499)))))))) (let ((?v_4700 (and (=> true (=> ?v_29 (and (=> true (=> ?v_3582 (=> true (=> ?v_4501 (=> ?v_3990 ?v_4499))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> true (=> ?v_4271 ?v_4502)))) (=> true (=> ?v_4500 (=> true (=> ?v_4501 ?v_4502)))))))))) (=> true (=> ?v_0 (=> true (=> (<= k.7 k.21) (=> (< k.21 2) (and (=> true (=> ?v_4503 (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.0 ?v_3590) (=> true (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.0) ?v_4697))))) (=> true (=> ?v_4691 (and (=> true (=> ?v_4684 (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.1 ?v_4099) (=> true (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.1) ?v_4698))))) (=> true (=> ?v_4694 (=> true (=> (= inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent.2 inline.SerialTryToCompleteCurrent.0..oldIrp.15.490.17.SerialTryToCompleteCurrent) ?v_4698))))))))))))))) (?v_4699 (= 1073741832 ?v_920)) (?v_3981 (=> true (=> ?v_4507 (=> ?v_4508 (=> ?v_4509 (=> ?v_4510 (=> ?v_4511 (=> (= cancelLockStatus_0.35 cancelLockStatus_0.19) (=> ?v_4512 (=> ?v_3998 (=> ?v_4513 (=> ?v_4514 (=> ?v_4515 (=> ?v_4516 (=> ?v_4517 (=> ?v_4518 (=> ?v_4519 (=> ?v_4520 (=> ?v_4521 (=> ?v_4522 (=> ?v_4523 (=> ?v_4524 (=> ?v_4525 (=> ?v_4526 (=> ?v_4527 (=> (= errorReached.37 errorReached.13) (=> ?v_4528 (=> (= Mem_0_T.CancelRoutine__IRP.52 Mem_0_T.CancelRoutine__IRP.19) (=> ?v_4529 (=> (= k.37 k.7) (=> ?v_4530 (=> ?v_4531 (=> ?v_4532 (=> ?v_4533 (=> ?v_4534 (=> ?v_4535 (=> ?v_4536 (=> ?v_4537 (=> ?v_4538 (=> ?v_4539 (=> ?v_4540 (=> ?v_4541 (=> ?v_3999 (=> ?v_4542 (=> ?v_4543 (=> ?v_4544 (=> ?v_4545 (=> ?v_4546 (=> ?v_4547 (=> ?v_4548 (=> ?v_4549 (=> ?v_4550 (=> ?v_4551 (=> ?v_4552 (=> ?v_4553 (=> ?v_4000 (=> ?v_4001 (=> ?v_4554 (=> ?v_4555 (=> ?v_4556 (=> ?v_4557 (=> ?v_4558 (=> (= alloc.56 alloc.25) (=> ?v_4559 (=> ?v_4560 (=> ?v_4561 (=> ?v_4562 (=> ?v_4563 (=> ?v_4564 (=> ?v_4565 (=> ?v_4566 (=> ?v_4567 (=> ?v_4568 (=> ?v_4569 (=> ?v_4570 (=> ?v_4002 (=> ?v_4571 (=> (= cancelLockStatus_1.35 cancelLockStatus_1.19) (=> ?v_4003 (=> ?v_4572 (=> ?v_4573 (=> ?v_4574 (=> ?v_4575 (=> (= Mem_1_T.CancelRoutine__IRP.52 Mem_1_T.CancelRoutine__IRP.19) (=> ?v_4576 (=> ?v_4577 (=> ?v_4578 (=> ?v_4579 (=> ?v_4580 (=> ?v_4581 (=> ?v_4582 (=> ?v_4583 (=> ?v_4584 (=> ?v_4585 (=> ?v_4586 (=> ?v_4587 (=> ?v_4588 (=> ?v_4589 (=> ?v_4590 (=> ?v_4591 (=> ?v_4592 (=> ?v_4593 (=> ?v_4594 (=> ?v_4595 (=> ?v_4596 (=> ?v_4597 (=> ?v_4598 (=> (= Mem_0_T.P_IRP.31 Mem_0_T.P_IRP.1) (=> ?v_4599 (=> ?v_4600 (=> ?v_4601 (=> ?v_4602 (=> ?v_4603 (=> ?v_4604 (=> (= irpCompleted_1.23 irpCompleted_1.5) (=> ?v_4605 (=> ?v_4606 (=> ?v_4607 (=> ?v_4608 (=> ?v_4609 (=> ?v_4004 (=> ?v_4610 (=> ?v_4611 (=> ?v_4612 (=> ?v_4613 (=> ?v_4614 (=> ?v_4615 (=> ?v_4616 (=> ?v_4617 (=> ?v_4618 (=> ?v_4619 (=> ?v_4620 (=> ?v_4621 (=> ?v_4622 (=> ?v_4623 (=> ?v_4624 (=> ?v_4625 (=> ?v_4626 (=> ?v_4627 (=> ?v_4628 (=> ?v_4005 (=> ?v_4629 (=> ?v_4006 (=> ?v_4630 (=> ?v_4631 (=> ?v_4632 (=> ?v_4633 (=> ?v_4634 (=> ?v_4635 (=> ?v_4636 (=> ?v_4637 (=> ?v_4638 (=> ?v_4639 (=> ?v_4640 (=> ?v_4641 (=> ?v_4642 (=> ?v_4643 (=> ?v_4644 (=> ?v_4645 (=> ?v_4646 (=> ?v_4647 (=> ?v_4648 (=> ?v_4649 (=> (= irpCompleted_0.23 irpCompleted_0.5) (=> ?v_4650 (=> ?v_4651 (=> ?v_4652 (=> ?v_4653 (=> ?v_4654 (=> ?v_4655 (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.7 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.6) (=> ?v_4657 (=> ?v_4658 (=> ?v_4659 (=> ?v_4660 (=> ?v_4661 (=> (= Mem_1_T.P_IRP.31 Mem_1_T.P_IRP.1) (=> ?v_4662 (=> ?v_4663 (=> ?v_4664 (=> ?v_4665 (=> ?v_4666 (=> ?v_4667 (=> ?v_4007 (=> ?v_4668 (=> ?v_4669 (=> ?v_4670 ?v_4008))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3982 (= cancelLockStatus_1.19 cancelLockStatus_1.7))) (let ((?v_3983 (=> (= cancelLockStatus_0.19 cancelLockStatus_0.7) (=> true (=> true (=> true (=> true ?v_3981))))))) (let ((?v_4702 (and (=> true (=> (not (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.6 0)) (and (=> true (=> ?v_3582 (=> true (=> ?v_3982 (=> (= cancelLockStatus_0.19 0) ?v_3981))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> true (=> (= cancelLockStatus_1.19 0) ?v_3983)))) (=> true (=> ?v_4500 (=> true (=> ?v_3982 ?v_3983)))))))))) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.5 0) (and (=> true (=> ?v_4699 ?v_4700)) (=> true (=> (not ?v_4699) (=> true ?v_4700)))))))) (?v_4701 (= inline.SerialTryToCompleteCurrent.0.myVar_0.5 hirp))) (let ((?v_4703 (and (=> true (=> ?v_4701 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4702)))) (=> true (=> (not ?v_4701) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.13..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4702))))))))))) (let ((?v_4704 (=> true (=> true (=> true (=> true ?v_4703)))))) (let ((?v_4722 (and (=> true (=> ?v_3582 (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.4 ?v_3590) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.5 inline.SerialTryToCompleteCurrent.0.myVar_0.4) ?v_4703))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.3 ?v_4099) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.5 inline.SerialTryToCompleteCurrent.0.myVar_0.3) ?v_4704))))) (=> true (=> ?v_4500 (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.5 inline.SerialTryToCompleteCurrent.0.myVar_0.2) ?v_4704)))))))))) (let ((?v_4736 (=> true (=> true (=> true (=> true ?v_4722))))) (?v_4727 (= inline.SerialRundownIrpRefs.0.myVar_0.14 inline.SerialRundownIrpRefs.0.myVar_0.10)) (?v_4728 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4729 (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4730 (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs)) (?v_4731 (= inline.SerialRundownIrpRefs.0.myNondetVar_1.5 inline.SerialRundownIrpRefs.0.myNondetVar_1.3)) (?v_4732 (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4733 (= inline.SerialRundownIrpRefs.0.myNondetVar_0.11 inline.SerialRundownIrpRefs.0.myNondetVar_0.7)) (?v_4734 (= inline.SerialRundownIrpRefs.0.tempBoogie0.5 inline.SerialRundownIrpRefs.0.tempBoogie0.3)) (?v_4735 (= inline.SerialRundownIrpRefs.0.myNondetVar_2.5 inline.SerialRundownIrpRefs.0.myNondetVar_2.3)) (?v_4726 (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 0)) (?v_4710 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0)) (?v_4711 (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_4712 (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..1)) (?v_4713 (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..0 call54629formal.ret.0)) (?v_4714 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..0 call54629formal.ret.0)) (?v_4715 (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_4716 (= inline.SerialCancelTimer.1.myNondetVar_0.2 inline.SerialCancelTimer.1.myNondetVar_0.1)) (?v_4717 (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.3 inline.sdv_InterlockedDecrement.3.myNondetVar_0.2)) (?v_4718 (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_4719 (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.0 call54629formal.ret.0)) (?v_4720 (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0)) (?v_4721 (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..0 call54629formal.ret.0)) (?v_4709 (= call54629formal.ret.0 0))) (let ((?v_4706 (=> true (=> (forall ((?r19 Int)) (! (=> (and (= (POW2 ?r19) boolTrue) (= (POW2 4) boolTrue) (not (= ?r19 4))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_1.4 ?r19) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_2.4 ?v_39) ?r19) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.8 ?v_39) ?r19)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.9 ?v_39) 4) 0) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.4 (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.10 ?v_39)) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.14 inline.SerialRundownIrpRefs.0.myVar_0.13) (=> ?v_4710 (=> ?v_4711 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.0.myVar_0.13) (=> ?v_4712 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_4713 (=> ?v_4714 (=> ?v_4715 (=> (= inline.SerialRundownIrpRefs.0.._refType.9.637.0.SerialRundownIrpRefs.0 4) (=> ?v_4716 (=> ?v_4717 (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.5 inline.SerialRundownIrpRefs.0.myNondetVar_1.4) (=> ?v_4718 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.0.myVar_0.13) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.11 inline.SerialRundownIrpRefs.0.myNondetVar_0.10) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.5 inline.SerialRundownIrpRefs.0.tempBoogie0.4) (=> ?v_4719 (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.5 inline.SerialRundownIrpRefs.0.myNondetVar_2.4) (=> ?v_4720 (=> ?v_4721 ?v_4722))))))))))))))))))))))))))) (?v_4705 (= inline.SerialRundownIrpRefs.0.myVar_0.13 hirp))) (let ((?v_4707 (and (=> true (=> ?v_4705 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4706)))) (=> true (=> (not ?v_4705) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.12..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4706))))))))))) (let ((?v_4708 (=> true (=> true (=> true (=> true ?v_4707))))) (?v_3596 (not ?v_4709))) (let ((?v_4725 (and (=> true (=> ?v_3596 (and (=> true (=> ?v_3582 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.11 ?v_3590) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.13 inline.SerialRundownIrpRefs.0.myVar_0.11) ?v_4707))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.12 ?v_4099) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.13 inline.SerialRundownIrpRefs.0.myVar_0.12) ?v_4708))))) (=> true (=> ?v_4500 (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.13 inline.SerialRundownIrpRefs.0.myVar_0.10) ?v_4708)))))))))) (=> true (=> ?v_4709 (=> true (=> ?v_4727 (=> ?v_4710 (=> ?v_4711 (=> ?v_4728 (=> ?v_4712 (=> ?v_4729 (=> ?v_4713 (=> ?v_4714 (=> ?v_4715 (=> ?v_4730 (=> ?v_4716 (=> ?v_4717 (=> ?v_4731 (=> ?v_4718 (=> ?v_4732 (=> ?v_4733 (=> ?v_4734 (=> ?v_4719 (=> ?v_4735 (=> ?v_4720 (=> ?v_4721 ?v_4736))))))))))))))))))))))))))) (let ((?v_4724 (=> true (=> (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.2 inline.sdv_InterlockedDecrement.3.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.3.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.3.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.3.myNondetVar_0.1) (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.SerialCancelTimer.1.myNondetVar_0.1 inline.SerialCancelTimer.1.myNondetVar_0.0) ?v_4725)))))))) (?v_4723 (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.1 0))) (let ((?v_4754 (and (=> true (=> (not ?v_4726) (and (=> true (=> ?v_3596 (and (=> true (=> (not ?v_4723) (=> true (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2.) ?v_4724)))) (=> true (=> ?v_4723 (=> true (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..0 call54710formal.ret.0) (=> true (=> true (=> true ?v_4724)))))))))) (=> true (=> ?v_4709 (=> true (=> (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.2 inline.sdv_InterlockedDecrement.3.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialCancelTimer.1.myNondetVar_0.1 inline.SerialCancelTimer.1.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true ?v_4725))))))))))))))))) (=> true (=> ?v_4726 (=> true (=> ?v_4727 (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer1) (=> (= inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.1..result.sdv_InterlockedDecrement.1437.36.1.) (=> ?v_4728 (=> (= inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.3..result.SdvMakeChoice.4659.26.2.) (=> ?v_4729 (=> (= inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.1..result.KeCancelTimer.1404.28.2.) (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5..0 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.635.29.5.) (=> (= inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.3..result.sdv_InterlockedDecrement.6483.0.1.) (=> ?v_4730 (=> (= inline.SerialCancelTimer.1.myNondetVar_0.2 inline.SerialCancelTimer.1.myNondetVar_0) (=> (= inline.sdv_InterlockedDecrement.3.myNondetVar_0.3 inline.sdv_InterlockedDecrement.3.myNondetVar_0) (=> ?v_4731 (=> (= inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.1..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> ?v_4732 (=> ?v_4733 (=> ?v_4734 (=> (= inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.1..cancelled.3.1402.11.SerialCancelTimer) (=> ?v_4735 (=> (= inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.1..Timer.1.1382.29.SerialCancelTimer) (=> (= inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1..0 inline.SerialCancelTimer.1..result.SerialCancelTimer.1382.0.1.) ?v_4736))))))))))))))))))))))))))) (let ((?v_4767 (=> true ?v_4754)) (?v_4758 (= inline.SerialRundownIrpRefs.0.myVar_0.10 inline.SerialRundownIrpRefs.0.myVar_0.6)) (?v_4759 (= inline.SerialRundownIrpRefs.0.myNondetVar_0.7 inline.SerialRundownIrpRefs.0.myNondetVar_0.3)) (?v_4760 (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs)) (?v_4761 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_4762 (= inline.SerialRundownIrpRefs.0.myNondetVar_1.3 inline.SerialRundownIrpRefs.0.myNondetVar_1.1)) (?v_4763 (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_4764 (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_4765 (= inline.SerialRundownIrpRefs.0.tempBoogie0.3 inline.SerialRundownIrpRefs.0.tempBoogie0.1)) (?v_4766 (= inline.SerialRundownIrpRefs.0.myNondetVar_2.3 inline.SerialRundownIrpRefs.0.myNondetVar_2.1)) (?v_4742 (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..0 call54348formal.ret.0)) (?v_4743 (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..1)) (?v_4744 (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.3 inline.sdv_InterlockedDecrement.2.myNondetVar_0.2)) (?v_4745 (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..0 call54348formal.ret.0)) (?v_4746 (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..0 call54348formal.ret.0)) (?v_4747 (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.0)) (?v_4748 (= inline.SerialCancelTimer.0.myNondetVar_0.2 inline.SerialCancelTimer.0.myNondetVar_0.1)) (?v_4749 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.0 0)) (?v_4750 (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.0 0)) (?v_4751 (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..0)) (?v_4752 (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..0)) (?v_4753 (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.0 call54348formal.ret.0)) (?v_4741 (= call54348formal.ret.0 0))) (let ((?v_4738 (=> true (=> (forall ((?r20 Int)) (! (=> (and (= (POW2 ?r20) boolTrue) (= (POW2 8) boolTrue) (not (= ?r20 8))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_1.2 ?r20) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_2.2 ?v_37) ?r20) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.4 ?v_37) ?r20)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.5 ?v_37) 8) 0) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.2 (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.6 ?v_37)) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.10 inline.SerialRundownIrpRefs.0.myVar_0.9) (=> ?v_4742 (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.7 inline.SerialRundownIrpRefs.0.myNondetVar_0.6) (=> ?v_4743 (=> (= inline.SerialRundownIrpRefs.0.._refType.7.603.0.SerialRundownIrpRefs.0 8) (=> ?v_4744 (=> ?v_4745 (=> ?v_4746 (=> ?v_4747 (=> ?v_4748 (=> ?v_4749 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.0.myVar_0.9) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.3 inline.SerialRundownIrpRefs.0.myNondetVar_1.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_4750 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.0.myVar_0.9) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.3 inline.SerialRundownIrpRefs.0.tempBoogie0.2) (=> ?v_4751 (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.3 inline.SerialRundownIrpRefs.0.myNondetVar_2.2) (=> ?v_4752 (=> ?v_4753 ?v_4754))))))))))))))))))))))))))) (?v_4737 (= inline.SerialRundownIrpRefs.0.myVar_0.9 hirp))) (let ((?v_4739 (and (=> true (=> ?v_4737 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4738)))) (=> true (=> (not ?v_4737) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.11..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4738))))))))))) (let ((?v_4740 (=> true (=> true (=> true (=> true ?v_4739))))) (?v_3595 (not ?v_4741))) (let ((?v_4757 (and (=> true (=> ?v_3595 (and (=> true (=> ?v_3582 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.7 ?v_3590) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.9 inline.SerialRundownIrpRefs.0.myVar_0.7) ?v_4739))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.8 ?v_4099) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.9 inline.SerialRundownIrpRefs.0.myVar_0.8) ?v_4740))))) (=> true (=> ?v_4500 (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.9 inline.SerialRundownIrpRefs.0.myVar_0.6) ?v_4740)))))))))) (=> true (=> ?v_4741 (=> true (=> ?v_4758 (=> ?v_4742 (=> ?v_4759 (=> ?v_4743 (=> ?v_4760 (=> ?v_4744 (=> ?v_4745 (=> ?v_4746 (=> ?v_4747 (=> ?v_4748 (=> ?v_4749 (=> ?v_4761 (=> ?v_4762 (=> ?v_4763 (=> ?v_4750 (=> ?v_4764 (=> ?v_4765 (=> ?v_4751 (=> ?v_4766 (=> ?v_4752 (=> ?v_4753 ?v_4767))))))))))))))))))))))))))) (let ((?v_4756 (=> true (=> (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.2 inline.sdv_InterlockedDecrement.2.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.sdv_InterlockedDecrement.2.myNondetVar_0.1) (=> (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..0 inline.sdv_InterlockedDecrement.2.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.2.myNondetVar_0.1) (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..0) (=> (= inline.SerialCancelTimer.0.myNondetVar_0.1 inline.SerialCancelTimer.0.myNondetVar_0.0) ?v_4757)))))))) (?v_4755 (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.1 0))) (let ((?v_4784 (and (=> true (=> ?v_29 (and (=> true (=> ?v_3595 (and (=> true (=> (not ?v_4755) (=> true (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2.) ?v_4756)))) (=> true (=> ?v_4755 (=> true (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..0 call54429formal.ret.0) (=> true (=> true (=> true ?v_4756)))))))))) (=> true (=> ?v_4741 (=> true (=> (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.2 inline.sdv_InterlockedDecrement.2.myNondetVar_0) (=> (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.0 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..0 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2.) (=> (= inline.SerialCancelTimer.0.myNondetVar_0.1 inline.SerialCancelTimer.0.myNondetVar_0) (=> true (=> true (=> true (=> true (=> true ?v_4757))))))))))))))))) (=> true (=> ?v_0 (=> true (=> ?v_4758 (=> (= inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3..0 inline.SerialRundownIrpRefs.0..result.SerialCancelTimer.601.29.3.) (=> ?v_4759 (=> (= inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.2..result.SdvMakeChoice.4659.26.2.) (=> ?v_4760 (=> (= inline.sdv_InterlockedDecrement.2.myNondetVar_0.3 inline.sdv_InterlockedDecrement.2.myNondetVar_0) (=> (= inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1..0 inline.SerialCancelTimer.0..result.SerialCancelTimer.1382.0.1.) (=> (= inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2..0 inline.SerialCancelTimer.0..result.KeCancelTimer.1404.28.2.) (=> (= inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue.1 inline.SerialDpcEpilogue.0..pendingCnt.3.1432.8.SerialDpcEpilogue) (=> (= inline.SerialCancelTimer.0.myNondetVar_0.2 inline.SerialCancelTimer.0.myNondetVar_0) (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer.0 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer) (=> ?v_4761 (=> ?v_4762 (=> ?v_4763 (=> (= inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1.0 inline.SerialCancelTimer.0..Timer.1.1382.29.SerialCancelTimer1) (=> ?v_4764 (=> ?v_4765 (=> (= inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.2..result.sdv_InterlockedDecrement.6483.0.1.) (=> ?v_4766 (=> (= inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1..1 inline.SerialDpcEpilogue.0..result.sdv_InterlockedDecrement.1437.36.1.) (=> (= inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer.0 inline.SerialCancelTimer.0..cancelled.3.1402.11.SerialCancelTimer) ?v_4767)))))))))))))))))))))))))) (?v_4782 (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.10 (int_2_U (CancelRoutine__IRP ?v_3590)))) 0)) (?v_4783 (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.10 (int_2_U (CancelRoutine__IRP ?v_4099)))) 0))) (let ((?v_4768 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.19 Mem_0_T.CancelRoutine__IRP.18) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.SerialRundownIrpRefs.0.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.SerialRundownIrpRefs.0.myVar_0.2) (=> (= errorReached.13 errorReached.12) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.SerialRundownIrpRefs.0.myVar_0.2) (=> (= inline.SerialRundownIrpRefs.0.myVar_0.6 inline.SerialRundownIrpRefs.0.myVar_0.5) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.1 inline.SerialRundownIrpRefs.0.myNondetVar_1.0) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.SerialRundownIrpRefs.0.myVar_0.5) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 0) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 0) (=> (= Mem_1_T.CancelRoutine__IRP.19 Mem_1_T.CancelRoutine__IRP.18) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.3 inline.SerialRundownIrpRefs.0.myNondetVar_0.2) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.1 inline.SerialRundownIrpRefs.0.tempBoogie0.0) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.1 inline.SerialRundownIrpRefs.0.myNondetVar_2.0) (=> (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.0 2) ?v_4784))))))))))))))))))) (?v_4769 (= Mem_1_T.CancelRoutine__IRP.18 Mem_1_T.CancelRoutine__IRP.10))) (let ((?v_4770 (=> (= Mem_0_T.CancelRoutine__IRP.18 Mem_0_T.CancelRoutine__IRP.10) (=> true (=> true (=> true (=> true (=> true (=> true ?v_4768)))))))) (?v_3594 (int_2_U (CancelRoutine__IRP inline.SerialRundownIrpRefs.0.myVar_0.5)))) (let ((?v_4771 (and (=> true (=> ?v_3582 (=> (= Mem_0_T.CancelRoutine__IRP.17 (MapType0Store Mem_0_T.CancelRoutine__IRP.10 ?v_3594 ?v_35)) (=> true (=> ?v_4769 (=> (= Mem_0_T.CancelRoutine__IRP.18 Mem_0_T.CancelRoutine__IRP.17) ?v_4768)))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> (= Mem_1_T.CancelRoutine__IRP.17 (MapType0Store Mem_1_T.CancelRoutine__IRP.10 ?v_3594 ?v_35)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.18 Mem_1_T.CancelRoutine__IRP.17) ?v_4770))))) (=> true (=> ?v_4500 (=> true (=> ?v_4769 ?v_4770)))))))))) (let ((?v_4773 (=> true (=> (= errorReached.12 errorReached.7) (=> true ?v_4771)))) (?v_4772 (= inline.SerialRundownIrpRefs.0.myVar_0.5 hirp))) (let ((?v_4774 (and (=> true (=> ?v_4772 (and (=> true (=> (=> ?v_3582 ?v_3592) (=> (=> ?v_3584 ?v_3593) (=> true (=> (= errorReached.12 1) ?v_4771))))) (=> true (=> (=> ?v_3582 ?v_2881) (=> (=> ?v_3584 ?v_2882) ?v_4773)))))) (=> true (=> (not ?v_4772) ?v_4773))))) (let ((?v_4775 (=> true (=> true ?v_4774)))) (let ((?v_4776 (and (=> true (=> ?v_3582 (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.10 ?v_3594))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_4774))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.10 ?v_3594))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_4775))))) (=> true (=> ?v_4500 (=> true (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_4775)))))))))) (let ((?v_4777 (=> true (=> true (=> true (=> true (=> true ?v_4776))))))) (let ((?v_4779 (=> true (=> (forall ((?r21 Int)) (! (=> (and (= (POW2 ?r21) boolTrue) (= (POW2 2) boolTrue) (not (= ?r21 2))) (= (not (= (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_1.0 ?r21) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_2.0 ?v_33) ?r21) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.0 ?v_33) ?r21)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.1 ?v_33) 2) 0) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.0 (BIT_BAND inline.SerialRundownIrpRefs.0.myNondetVar_0.2 ?v_33)) (and (=> true (=> ?v_3582 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.3 ?v_3590) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.5 inline.SerialRundownIrpRefs.0.myVar_0.3) ?v_4776))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.4 ?v_4099) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.5 inline.SerialRundownIrpRefs.0.myVar_0.4) ?v_4777))))) (=> true (=> ?v_4500 (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.5 inline.SerialRundownIrpRefs.0.myVar_0.2) ?v_4777))))))))))))) (?v_4778 (= inline.SerialRundownIrpRefs.0.myVar_0.2 hirp))) (let ((?v_4780 (and (=> true (=> ?v_4778 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4779)))) (=> true (=> (not ?v_4778) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4779))))))))))) (let ((?v_4781 (=> true (=> true (=> true (=> true ?v_4780)))))) (let ((?v_4787 (and (=> true (=> (=> ?v_3582 (not ?v_4782)) (=> (=> ?v_3584 (not ?v_4783)) (and (=> true (=> ?v_3582 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.0 ?v_3590) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.2 inline.SerialRundownIrpRefs.0.myVar_0.0) ?v_4780))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> (= inline.SerialRundownIrpRefs.0.myVar_0.1 ?v_4099) (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.2 inline.SerialRundownIrpRefs.0.myVar_0.1) ?v_4781))))) (=> true (=> ?v_4500 (=> true (=> (= inline.SerialRundownIrpRefs.0.myVar_0.2 inline.SerialRundownIrpRefs.0.myVar_0) ?v_4781))))))))))) (=> true (=> (=> ?v_3582 ?v_4782) (=> (=> ?v_3584 ?v_4783) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.19 Mem_0_T.CancelRoutine__IRP.10) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.1..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.10..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= errorReached.13 errorReached.7) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.10..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> (= inline.SerialRundownIrpRefs.0.myVar_0.6 inline.SerialRundownIrpRefs.0.myVar_0) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_1.1 inline.SerialRundownIrpRefs.0.myNondetVar_1) (=> (= inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.1..pirp.1.3304.12.sdv_IoSetCancelRoutine1) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine) (=> (= inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.1..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1) (=> (= Mem_1_T.CancelRoutine__IRP.19 Mem_1_T.CancelRoutine__IRP.10) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_0.3 inline.SerialRundownIrpRefs.0.myNondetVar_0) (=> (= inline.SerialRundownIrpRefs.0.tempBoogie0.1 inline.SerialRundownIrpRefs.0.tempBoogie0) (=> (= inline.SerialRundownIrpRefs.0.myNondetVar_2.1 inline.SerialRundownIrpRefs.0.myNondetVar_2) (=> (= inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs.0 inline.SerialRundownIrpRefs.0.._refType.5.566.0.SerialRundownIrpRefs) (=> true ?v_4784))))))))))))))))))))))))) (let ((?v_4786 (=> true (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 SerialGrabXoffFromIsr) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.4 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.3) (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.7 inline.KeSynchronizeExecution.0.myNondetVar_0.6) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..0) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 SerialGrabXoffFromIsr) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.0) ?v_4787))))))))) (let ((?v_4789 (=> true (=> (forall ((?r22 Int)) (! (=> (and (= (POW2 ?r22) boolTrue) (= (POW2 16) boolTrue) (not (= ?r22 16))) (= (not (= (BIT_BAND inline.SerialTryToCompleteCurrent.0.myNondetVar_1.0 ?r22) 0)) (not (= (BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.0.myNondetVar_2.0 (BIT_BNOT 16)) ?r22) 0)))) :pattern ((BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.0.myNondetVar_0.0 (BIT_BNOT 16)) ?r22)) )) (=> (= (BIT_BAND (BIT_BAND inline.SerialTryToCompleteCurrent.0.myNondetVar_0.1 (BIT_BNOT 16)) 16) 0) (and (=> true (=> ?v_3589 (and (=> true (=> ?v_3589 (=> true (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.6 inline.KeSynchronizeExecution.0.myNondetVar_0.5) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..0 inline.KeSynchronizeExecution.0..result.SynchronizeRoutine.4679.26.2.) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.0..result.SynchronizeRoutine.4679.26.2.) ?v_4786)))))) (=> true (=> ?v_4785 (=> true (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.6 inline.KeSynchronizeExecution.0.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..0 0) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true ?v_4786)))))))))))) (=> true (=> ?v_4785 (=> true (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1.0 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution1) (=> (= inline.SerialTryToCompleteCurrent.0.myNondetVar_0.4 inline.SerialTryToCompleteCurrent.0.myNondetVar_0.2) (=> (= inline.KeSynchronizeExecution.0.myNondetVar_0.7 inline.KeSynchronizeExecution.0.myNondetVar_0) (=> (= inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1..1 inline.KeSynchronizeExecution.0..result.KeSynchronizeExecution.4664.0.1.) (=> (= inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution.0 inline.KeSynchronizeExecution.0..SynchronizeRoutine.2.4666.29.KeSynchronizeExecution) (=> (= inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution.1 inline.KeSynchronizeExecution.0..b.4.4670.12.KeSynchronizeExecution) (=> true (=> true (=> true (=> true ?v_4787)))))))))))))))))) (?v_4788 (= inline.SerialTryToCompleteCurrent.0.myVar_0.2 hirp))) (let ((?v_4790 (and (=> true (=> ?v_4788 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4789)))) (=> true (=> (not ?v_4788) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.9..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4789))))))))))) (let ((?v_4791 (=> true (=> true (=> true (=> true ?v_4790)))))) (let ((?v_4793 (=> true (=> (forall ((?r23 Int)) (! (= (or (not (= (BIT_BAND inline.SerialStartWrite.0.myNondetVar_1.0 ?r23) 0)) (not (= (BIT_BAND 16 ?r23) 0))) (not (= (BIT_BAND (BIT_BOR inline.SerialStartWrite.0.myNondetVar_2.0 16) ?r23) 0))) :pattern ((BIT_BAND (BIT_BOR inline.SerialStartWrite.0.myNondetVar_0.4 16) ?r23)) )) (=> (= inline.SerialStartWrite.0.tempBoogie0.0 (BIT_BOR inline.SerialStartWrite.0.myNondetVar_0.5 16)) (=> true (=> (= inline.SerialTryToCompleteCurrent.0..CurrentOpIrp.5.344.13.SerialTryToCompleteCurrent1.0 ?v_3587) (=> (= inline.SerialTryToCompleteCurrent.0..TotalTimer.8.347.15.SerialTryToCompleteCurrent1.0 ?v_3805) (=> true (and ?v_27 (=> ?v_27 (=> (> call53668formal.new.0 0) (=> (forall ((?x1683 Int)) (! (=> (and (<= call53668formal.new.0 ?x1683) (< ?x1683 (+ call53668formal.new.0 4))) (= (Base ?x1683) call53668formal.new.0)) :pattern ((Base ?x1683)) )) (=> (forall ((?x1684 boogieU)) (! (=> (= (type ?x1684) intType) (or (= (U_2_int ?x1684) call53668formal.new.0) (= (MapType0Select alloc.24 ?x1684) (MapType0Select alloc.25 ?x1684)))) :pattern ((MapType0Select alloc.25 ?x1684)) )) (=> (and (= (MapType0Select alloc.24 ?v_3588) UNALLOCATED) (= (MapType0Select alloc.25 ?v_3588) ALLOCATED)) (and (=> true (=> ?v_3582 (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.1 ?v_3590) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.2 inline.SerialTryToCompleteCurrent.0.myVar_0.1) ?v_4790))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.0 ?v_4099) (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.2 inline.SerialTryToCompleteCurrent.0.myVar_0.0) ?v_4791))))) (=> true (=> ?v_4500 (=> true (=> (= inline.SerialTryToCompleteCurrent.0.myVar_0.2 inline.SerialTryToCompleteCurrent.0.myVar_0) ?v_4791)))))))))))))))))))))) (?v_4792 (= inline.SerialStartWrite.0.myVar_0.5 hirp))) (let ((?v_4795 (and (=> true (=> ?v_4792 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4793)))) (=> true (=> (not ?v_4792) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.8..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4793))))))))))) (let ((?v_4796 (=> true (=> true (=> true (=> true ?v_4795)))))) (let ((?v_4805 (and (=> true (=> (not (= inline.SerialStartWrite.0.myNondetVar_0.1 0)) (and (=> true (=> ?v_3582 (=> (= inline.SerialStartWrite.0.myVar_0.3 ?v_3586) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.5 inline.SerialStartWrite.0.myVar_0.3) ?v_4795))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> (= inline.SerialStartWrite.0.myVar_0.4 ?v_4794) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.5 inline.SerialStartWrite.0.myVar_0.4) ?v_4796))))) (=> true (=> ?v_4500 (=> true (=> (= inline.SerialStartWrite.0.myVar_0.5 inline.SerialStartWrite.0.myVar_0.2) ?v_4796)))))))))) (=> true (=> (= inline.SerialStartWrite.0.myNondetVar_0.2 0) (and (=> true (=> ?v_3582 (=> true (=> ?v_4802 (=> (= cancelLockStatus_0.9 0) ?v_4801))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> true (=> (= cancelLockStatus_1.9 0) ?v_4803)))) (=> true (=> ?v_4500 (=> true (=> ?v_4802 ?v_4803)))))))))))) (?v_4804 (= inline.SerialStartWrite.0.myVar_0.2 hirp))) (let ((?v_4806 (and (=> true (=> ?v_4804 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_4805)))) (=> true (=> (not ?v_4804) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.7..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_4805))))))))))) (let ((?v_4807 (=> true (=> true (=> true (=> true ?v_4806)))))) (let ((?v_5033 (and (=> true (=> (=> ?v_3582 (not ?v_4808)) (=> (=> ?v_3584 (not ?v_4809)) (and (=> true (=> ?v_3582 (=> (= inline.SerialStartWrite.0.myVar_0.0 ?v_3586) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.2 inline.SerialStartWrite.0.myVar_0.0) ?v_4806))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> (= inline.SerialStartWrite.0.myVar_0.1 ?v_4794) (=> true (=> (= inline.SerialStartWrite.0.myVar_0.2 inline.SerialStartWrite.0.myVar_0.1) ?v_4807))))) (=> true (=> ?v_4500 (=> true (=> (= inline.SerialStartWrite.0.myVar_0.2 inline.SerialStartWrite.0.myVar_0) ?v_4807))))))))))) (=> true (=> (=> ?v_3582 ?v_4808) (=> (=> ?v_3584 ?v_4809) (and (=> true (=> ?v_3582 (=> true (=> ?v_5031 (=> (= cancelLockStatus_0.8 0) ?v_5030))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> true (=> (= cancelLockStatus_1.8 0) ?v_5032)))) (=> true (=> ?v_4500 (=> true (=> ?v_5031 ?v_5032))))))))))))) (?v_5034 (= cancelLockStatus_1.7 cancelLockStatus_1.5))) (let ((?v_5035 (=> (= cancelLockStatus_0.7 cancelLockStatus_0.5) (=> true (=> true (=> true (=> true (=> true ?v_5033))))))) (?v_3581 (int_2_U call53197formal.new.0)) (?v_3577 (int_2_U call53167formal.new.0)) (?v_3579 (int_2_U call53170formal.new.0)) (?v_3580 (int_2_U call53173formal.new.0))) (let ((?v_5569 (and (=> true (=> ?v_5036 (=> true (and ?v_27 (=> ?v_27 (=> (> call53164formal.new.0 0) (=> (forall ((?x1687 Int)) (! (=> (and (<= call53164formal.new.0 ?x1687) (< ?x1687 (+ call53164formal.new.0 4))) (= (Base ?x1687) call53164formal.new.0)) :pattern ((Base ?x1687)) )) (=> (forall ((?x1688 boogieU)) (! (=> (= (type ?x1688) intType) (or (= (U_2_int ?x1688) call53164formal.new.0) (= (MapType0Select alloc.10 ?x1688) (MapType0Select alloc.19 ?x1688)))) :pattern ((MapType0Select alloc.19 ?x1688)) )) (=> (and (= (MapType0Select alloc.10 ?v_3576) UNALLOCATED) (= (MapType0Select alloc.19 ?v_3576) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call53167formal.new.0 0) (=> (forall ((?x1689 Int)) (! (=> (and (<= call53167formal.new.0 ?x1689) (< ?x1689 (+ call53167formal.new.0 1))) (= (Base ?x1689) call53167formal.new.0)) :pattern ((Base ?x1689)) )) (=> (forall ((?x1690 boogieU)) (! (=> (= (type ?x1690) intType) (or (= (U_2_int ?x1690) call53167formal.new.0) (= (MapType0Select alloc.19 ?x1690) (MapType0Select alloc.20 ?x1690)))) :pattern ((MapType0Select alloc.20 ?x1690)) )) (=> (and (= (MapType0Select alloc.19 ?v_3577) UNALLOCATED) (= (MapType0Select alloc.20 ?v_3577) ALLOCATED)) (and ?v_3578 (=> ?v_3578 (=> (> call53170formal.new.0 0) (=> (forall ((?x1691 Int)) (! (=> (and (<= call53170formal.new.0 ?x1691) (< ?x1691 (+ call53170formal.new.0 20))) (= (Base ?x1691) call53170formal.new.0)) :pattern ((Base ?x1691)) )) (=> (forall ((?x1692 boogieU)) (! (=> (= (type ?x1692) intType) (or (= (U_2_int ?x1692) call53170formal.new.0) (= (MapType0Select alloc.20 ?x1692) (MapType0Select alloc.21 ?x1692)))) :pattern ((MapType0Select alloc.21 ?x1692)) )) (=> (and (= (MapType0Select alloc.20 ?v_3579) UNALLOCATED) (= (MapType0Select alloc.21 ?v_3579) ALLOCATED)) (and ?v_53 (=> ?v_53 (=> (> call53173formal.new.0 0) (=> (forall ((?x1693 Int)) (! (=> (and (<= call53173formal.new.0 ?x1693) (< ?x1693 (+ call53173formal.new.0 8))) (= (Base ?x1693) call53173formal.new.0)) :pattern ((Base ?x1693)) )) (=> (forall ((?x1694 boogieU)) (! (=> (= (type ?x1694) intType) (or (= (U_2_int ?x1694) call53173formal.new.0) (= (MapType0Select alloc.21 ?x1694) (MapType0Select alloc.22 ?x1694)))) :pattern ((MapType0Select alloc.22 ?x1694)) )) (=> (and (= (MapType0Select alloc.21 ?v_3580) UNALLOCATED) (= (MapType0Select alloc.22 ?v_3580) ALLOCATED)) (=> true (and ?v_8 (=> ?v_8 (=> (> call53197formal.new.0 0) (=> (forall ((?x1685 Int)) (! (=> (and (<= call53197formal.new.0 ?x1685) (< ?x1685 (+ call53197formal.new.0 1))) (= (Base ?x1685) call53197formal.new.0)) :pattern ((Base ?x1685)) )) (=> (forall ((?x1686 boogieU)) (! (=> (= (type ?x1686) intType) (or (= (U_2_int ?x1686) call53197formal.new.0) (= (MapType0Select alloc.22 ?x1686) (MapType0Select alloc.24 ?x1686)))) :pattern ((MapType0Select alloc.24 ?x1686)) )) (=> (and (= (MapType0Select alloc.22 ?v_3581) UNALLOCATED) (= (MapType0Select alloc.24 ?v_3581) ALLOCATED)) (=> true (=> (=> ?v_3582 ?v_3583) (=> (=> ?v_3584 ?v_5353) (and (=> true (=> ?v_3582 (=> true (=> ?v_5034 (=> (= cancelLockStatus_0.7 1) ?v_5033))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> true (=> (= cancelLockStatus_1.7 1) ?v_5035)))) (=> true (=> ?v_4500 (=> true (=> ?v_5034 ?v_5035))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_5036) (and (=> true (=> ?v_5564 (=> true (and ?v_8 (=> ?v_8 (=> (> call62766formal.new.0 0) (=> (forall ((?x1625 Int)) (! (=> (and (<= call62766formal.new.0 ?x1625) (< ?x1625 (+ call62766formal.new.0 1))) (= (Base ?x1625) call62766formal.new.0)) :pattern ((Base ?x1625)) )) (=> (forall ((?x1626 boogieU)) (! (=> (= (type ?x1626) intType) (or (= (U_2_int ?x1626) call62766formal.new.0) (= (MapType0Select alloc.10 ?x1626) (MapType0Select alloc.13 ?x1626)))) :pattern ((MapType0Select alloc.13 ?x1626)) )) (=> (and (= (MapType0Select alloc.10 ?v_5037) UNALLOCATED) (= (MapType0Select alloc.13 ?v_5037) ALLOCATED)) (and ?v_27 (=> ?v_27 (=> (> call62769formal.new.0 0) (=> (forall ((?x1627 Int)) (! (=> (and (<= call62769formal.new.0 ?x1627) (< ?x1627 (+ call62769formal.new.0 4))) (= (Base ?x1627) call62769formal.new.0)) :pattern ((Base ?x1627)) )) (=> (forall ((?x1628 boogieU)) (! (=> (= (type ?x1628) intType) (or (= (U_2_int ?x1628) call62769formal.new.0) (= (MapType0Select alloc.13 ?x1628) (MapType0Select alloc.14 ?x1628)))) :pattern ((MapType0Select alloc.14 ?x1628)) )) (=> (and (= (MapType0Select alloc.13 ?v_5038) UNALLOCATED) (= (MapType0Select alloc.14 ?v_5038) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call62772formal.new.0 0) (=> (forall ((?x1629 Int)) (! (=> (and (<= call62772formal.new.0 ?x1629) (< ?x1629 (+ call62772formal.new.0 1))) (= (Base ?x1629) call62772formal.new.0)) :pattern ((Base ?x1629)) )) (=> (forall ((?x1630 boogieU)) (! (=> (= (type ?x1630) intType) (or (= (U_2_int ?x1630) call62772formal.new.0) (= (MapType0Select alloc.14 ?x1630) (MapType0Select alloc.15 ?x1630)))) :pattern ((MapType0Select alloc.15 ?x1630)) )) (=> (and (= (MapType0Select alloc.14 ?v_5039) UNALLOCATED) (= (MapType0Select alloc.15 ?v_5039) ALLOCATED)) (and ?v_3578 (=> ?v_3578 (=> (> call62775formal.new.0 0) (=> (forall ((?x1631 Int)) (! (=> (and (<= call62775formal.new.0 ?x1631) (< ?x1631 (+ call62775formal.new.0 20))) (= (Base ?x1631) call62775formal.new.0)) :pattern ((Base ?x1631)) )) (=> (forall ((?x1632 boogieU)) (! (=> (= (type ?x1632) intType) (or (= (U_2_int ?x1632) call62775formal.new.0) (= (MapType0Select alloc.15 ?x1632) (MapType0Select alloc.16 ?x1632)))) :pattern ((MapType0Select alloc.16 ?x1632)) )) (=> (and (= (MapType0Select alloc.15 ?v_5040) UNALLOCATED) (= (MapType0Select alloc.16 ?v_5040) ALLOCATED)) (and ?v_53 (=> ?v_53 (=> (> call62778formal.new.0 0) (=> (forall ((?x1633 Int)) (! (=> (and (<= call62778formal.new.0 ?x1633) (< ?x1633 (+ call62778formal.new.0 8))) (= (Base ?x1633) call62778formal.new.0)) :pattern ((Base ?x1633)) )) (=> (forall ((?x1634 boogieU)) (! (=> (= (type ?x1634) intType) (or (= (U_2_int ?x1634) call62778formal.new.0) (= (MapType0Select alloc.16 ?x1634) (MapType0Select alloc.17 ?x1634)))) :pattern ((MapType0Select alloc.17 ?x1634)) )) (=> (and (= (MapType0Select alloc.16 ?v_5041) UNALLOCATED) (= (MapType0Select alloc.17 ?v_5041) ALLOCATED)) (and ?v_5042 (=> ?v_5042 (=> (> call62781formal.new.0 0) (=> (forall ((?x1635 Int)) (! (=> (and (<= call62781formal.new.0 ?x1635) (< ?x1635 (+ call62781formal.new.0 12))) (= (Base ?x1635) call62781formal.new.0)) :pattern ((Base ?x1635)) )) (=> (forall ((?x1636 boogieU)) (! (=> (= (type ?x1636) intType) (or (= (U_2_int ?x1636) call62781formal.new.0) (= (MapType0Select alloc.17 ?x1636) (MapType0Select alloc.18 ?x1636)))) :pattern ((MapType0Select alloc.18 ?x1636)) )) (=> (and (= (MapType0Select alloc.17 ?v_5043) UNALLOCATED) (= (MapType0Select alloc.18 ?v_5043) ALLOCATED)) (=> true (and ?v_8 (=> ?v_8 (=> (> call62813formal.new.0 0) (=> (forall ((?x1623 Int)) (! (=> (and (<= call62813formal.new.0 ?x1623) (< ?x1623 (+ call62813formal.new.0 1))) (= (Base ?x1623) call62813formal.new.0)) :pattern ((Base ?x1623)) )) (=> (forall ((?x1624 boogieU)) (! (=> (= (type ?x1624) intType) (or (= (U_2_int ?x1624) call62813formal.new.0) (= (MapType0Select alloc.18 ?x1624) (MapType0Select alloc.26 ?x1624)))) :pattern ((MapType0Select alloc.26 ?x1624)) )) (=> (and (= (MapType0Select alloc.18 ?v_5044) UNALLOCATED) (= (MapType0Select alloc.26 ?v_5044) ALLOCATED)) (and (=> true (=> ?v_3582 (=> (= inline.SerialStartRead.0.myVar_0.0 ?v_5047) (=> true (=> (= inline.SerialStartRead.0.myVar_0.2 inline.SerialStartRead.0.myVar_0.0) ?v_5562))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> (= inline.SerialStartRead.0.myVar_0.1 ?v_5354) (=> true (=> (= inline.SerialStartRead.0.myVar_0.2 inline.SerialStartRead.0.myVar_0.1) ?v_5563))))) (=> true (=> ?v_4500 (=> true (=> (= inline.SerialStartRead.0.myVar_0.2 inline.SerialStartRead.0.myVar_0) ?v_5563)))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_5564) (=> true (and ?v_29 (=> ?v_29 (=> true (=> ?v_2896 (=> ?v_2897 (=> ?v_2898 (=> ?v_2899 (=> ?v_2900 (=> ?v_3623 (=> ?v_2901 (=> ?v_2902 (=> ?v_2903 (=> ?v_2904 (=> ?v_2905 (=> ?v_2906 (=> ?v_2907 (=> ?v_2908 (=> ?v_2909 (=> ?v_2910 (=> ?v_2911 (=> ?v_2912 (=> ?v_2913 (=> ?v_2914 (=> ?v_2915 (=> ?v_2916 (=> ?v_2917 (=> ?v_2918 (=> ?v_2919 (=> ?v_2920 (=> ?v_2921 (=> ?v_2922 (=> ?v_2923 (=> ?v_2924 (=> ?v_2925 (=> ?v_2926 (=> ?v_2927 (=> ?v_2928 (=> ?v_2929 (=> ?v_2930 (=> ?v_2931 (=> ?v_2932 (=> ?v_2933 (=> ?v_2934 (=> ?v_2935 (=> ?v_2936 (=> ?v_2937 (=> ?v_2938 (=> ?v_2939 (=> ?v_2940 (=> ?v_2941 (=> ?v_2942 (=> ?v_2943 (=> ?v_2944 (=> ?v_2945 (=> ?v_2946 (=> ?v_2947 (=> ?v_2948 (=> ?v_2949 (=> ?v_2950 (=> ?v_2951 (=> ?v_2952 (=> ?v_2953 (=> ?v_2954 (=> ?v_2955 (=> ?v_2956 (=> ?v_2957 (=> (= k.51 k.7) (=> ?v_2958 (=> ?v_2959 (=> ?v_2960 (=> ?v_2961 (=> ?v_2962 (=> ?v_3624 (=> ?v_2963 (=> ?v_2964 (=> ?v_2965 (=> ?v_2966 (=> ?v_2967 (=> ?v_2968 (=> ?v_2969 (=> ?v_2970 (=> ?v_2971 (=> ?v_2972 (=> ?v_2973 (=> ?v_2974 (=> ?v_2975 (=> ?v_2976 (=> ?v_2977 (=> ?v_2978 (=> (= Mem_0_T.P_IRP.45 Mem_0_T.P_IRP.1) (=> ?v_2980 (=> ?v_2981 (=> ?v_2982 (=> ?v_2983 (=> ?v_2984 (=> ?v_2985 (=> ?v_2986 (=> ?v_2987 (=> ?v_2988 (=> ?v_2989 (=> ?v_2990 (=> ?v_2991 (=> ?v_2992 (=> ?v_2993 (=> ?v_2994 (=> ?v_2995 (=> ?v_2996 (=> ?v_2997 (=> ?v_2998 (=> ?v_2999 (=> ?v_3000 (=> ?v_3001 (=> ?v_3002 (=> ?v_3003 (=> ?v_3004 (=> ?v_3005 (=> ?v_3006 (=> ?v_3007 (=> ?v_3008 (=> ?v_3009 (=> ?v_3010 (=> ?v_3011 (=> ?v_3012 (=> ?v_3013 (=> ?v_3014 (=> ?v_3015 (=> ?v_3016 (=> ?v_3017 (=> ?v_3018 (=> ?v_3019 (=> ?v_3020 (=> ?v_3021 (=> ?v_3022 (=> ?v_3023 (=> ?v_3024 (=> ?v_3025 (=> ?v_3026 (=> ?v_3027 (=> ?v_3028 (=> ?v_3029 (=> ?v_3030 (=> ?v_3625 (=> ?v_3031 (=> ?v_3032 (=> ?v_3033 (=> ?v_3034 (=> ?v_3626 (=> ?v_3035 (=> ?v_3036 (=> ?v_3037 (=> ?v_3627 (=> ?v_3038 (=> ?v_3039 (=> ?v_3040 (=> ?v_3628 (=> ?v_3041 (=> ?v_3042 (=> ?v_3043 (=> ?v_3044 (=> ?v_3045 (=> ?v_3046 (=> ?v_3047 (=> ?v_3048 (=> ?v_3049 (=> ?v_3050 (=> ?v_3051 (=> ?v_3052 (=> ?v_3053 (=> ?v_3054 (=> ?v_3055 (=> ?v_3056 (=> ?v_3057 (=> ?v_3058 (=> ?v_3059 (=> ?v_3060 (=> ?v_3061 (=> ?v_3062 (=> ?v_3063 (=> ?v_3064 (=> ?v_3065 (=> ?v_3066 (=> ?v_3067 (=> ?v_3068 (=> ?v_3069 (=> ?v_3070 (=> ?v_3071 (=> ?v_3072 (=> ?v_3073 (=> ?v_3074 (=> ?v_3075 (=> ?v_3076 (=> ?v_3077 (=> ?v_3078 (=> ?v_3079 (=> ?v_3080 (=> ?v_3081 (=> ?v_3082 (=> ?v_3083 (=> ?v_3084 (=> ?v_3085 (=> ?v_3086 (=> ?v_3087 (=> ?v_3088 (=> ?v_3089 (=> ?v_3090 (=> ?v_3091 (=> ?v_3092 (=> ?v_3093 (=> ?v_3094 (=> ?v_3095 (=> ?v_3096 (=> ?v_3097 (=> ?v_3098 (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3110 (=> ?v_3111 (=> ?v_3112 (=> ?v_3113 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_3134 (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> (= cancelLockStatus_0.51 cancelLockStatus_0.5) (=> ?v_5055 (=> (= cancelLockStatus_1.51 cancelLockStatus_1.5) (=> ?v_3141 (=> ?v_3142 (=> ?v_3629 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_3147 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> ?v_3164 (=> ?v_3165 (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_3172 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_3178 (=> ?v_3179 (=> ?v_3180 (=> ?v_3181 (=> (= Mem_1_T.P_IRP.45 Mem_1_T.P_IRP.1) (=> ?v_3183 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_3187 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> ?v_3200 (=> ?v_3201 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> ?v_5056 (=> ?v_3208 (=> ?v_3209 (=> ?v_3210 (=> ?v_3211 (=> ?v_3212 (=> ?v_3213 (=> ?v_3214 (=> ?v_3215 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_3630 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_3230 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 (=> ?v_3236 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_3240 (=> ?v_3241 (=> ?v_3242 (=> ?v_3243 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_3247 (=> ?v_3631 (=> ?v_3248 (=> ?v_3249 (=> ?v_3250 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_3254 (=> ?v_3255 (=> ?v_3256 (=> ?v_3257 (=> ?v_3258 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> ?v_3262 (=> ?v_3263 (=> ?v_3264 (=> ?v_3265 (=> ?v_3266 (=> ?v_3267 (=> ?v_3268 (=> ?v_5565 (=> ?v_3269 (=> ?v_3270 (=> ?v_3271 (=> ?v_3272 (=> ?v_3273 (=> ?v_3274 (=> ?v_3275 (=> ?v_3276 (=> ?v_3277 (=> ?v_3278 (=> ?v_3279 (=> ?v_3280 (=> ?v_3632 (=> ?v_3281 (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_3296 (=> ?v_3297 (=> ?v_3298 (=> ?v_3299 (=> ?v_3300 (=> ?v_3301 (=> ?v_3302 (=> ?v_3303 (=> ?v_3304 (=> ?v_3305 (=> ?v_3306 (=> ?v_3307 (=> ?v_3308 (=> ?v_3309 (=> ?v_3310 (=> ?v_3311 (=> ?v_3312 (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> ?v_3318 (=> ?v_3319 (=> ?v_3320 (=> ?v_3321 (=> ?v_3322 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3332 (=> ?v_3333 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_3347 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> ?v_3633 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> ?v_3634 (=> ?v_3364 (=> ?v_3635 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3368 (=> ?v_3369 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> (= errorReached.49 errorReached.7) (=> ?v_5566 (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3636 (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> (= Mem_1_T.CancelRoutine__IRP.68 Mem_1_T.CancelRoutine__IRP.10) (=> ?v_3409 (=> ?v_3410 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> ?v_3419 (=> ?v_3420 (=> ?v_3421 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> ?v_3430 (=> (= Mem_0_T.CancelRoutine__IRP.68 Mem_0_T.CancelRoutine__IRP.10) (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_3438 (=> ?v_3439 (=> ?v_3637 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> ?v_3445 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> ?v_3464 (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1.) (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> ?v_3474 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> ?v_3483 (=> ?v_3638 (=> ?v_3484 (=> ?v_5567 (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_3494 (=> ?v_3495 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> ?v_3518 (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_3523 (=> ?v_3524 (=> ?v_3525 (=> ?v_3526 (=> ?v_3639 (=> ?v_3527 (=> ?v_3528 (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> ?v_3535 (=> ?v_3536 (=> ?v_3537 (=> ?v_3538 (=> ?v_3539 (=> ?v_3540 (=> ?v_3541 (=> ?v_3542 (=> ?v_3543 (=> ?v_3544 (=> ?v_3545 (=> ?v_3546 (=> ?v_3547 (=> ?v_3640 ?v_5568)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5570 (= cancelLockStatus_1.5 cancelLockStatus_1.4))) (let ((?v_5571 (=> (= cancelLockStatus_0.5 cancelLockStatus_0.4) (=> true (=> true (=> true (=> true (=> true ?v_5569)))))))) (let ((?v_5574 (=> true (=> (<= k.6 k.7) (=> (< k.7 2) (and (=> true (=> ?v_3582 (=> true (=> ?v_5570 (=> ?v_3583 ?v_5569))))) (=> true (=> ?v_4498 (and (=> true (=> ?v_3584 (=> true (=> ?v_5353 ?v_5571)))) (=> true (=> ?v_4500 (=> true (=> ?v_5570 ?v_5571)))))))))))) (?v_5576 (= Mem_1_T.P_IRP.1 Mem_1_T.P_IRP))) (let ((?v_5577 (=> (= Mem_0_T.P_IRP.1 Mem_0_T.P_IRP) (=> true (=> true (=> true (=> true ?v_5574)))))) (?v_5575 (= k.6 1)) (?v_2830 (int_2_U inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.0)) (?v_5572 (= k.6 0))) (let ((?v_3574 (= (U_2_int (MapType0Select Mem_0_T.P_IRP ?v_2830)) 0)) (?v_3575 (= (U_2_int (MapType0Select Mem_1_T.P_IRP ?v_2830)) 0)) (?v_2979 (= Mem_0_T.P_IRP.45 Mem_0_T.P_IRP)) (?v_3140 (= inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1..0 inline.sdv_IoReleaseCancelSpinLock.2..result.userContextSwitch.3151.2.1.)) (?v_3182 (= Mem_1_T.P_IRP.45 Mem_1_T.P_IRP))) (let ((?v_3556 (=> true (=> ?v_2896 (=> ?v_2897 (=> ?v_2898 (=> ?v_2899 (=> ?v_2900 (=> ?v_3623 (=> ?v_2901 (=> ?v_2902 (=> ?v_2903 (=> ?v_2904 (=> ?v_2905 (=> ?v_2906 (=> ?v_2907 (=> ?v_2908 (=> ?v_2909 (=> ?v_2910 (=> ?v_2911 (=> ?v_2912 (=> ?v_2913 (=> ?v_2914 (=> ?v_2915 (=> ?v_2916 (=> ?v_2917 (=> ?v_2918 (=> ?v_2919 (=> ?v_2920 (=> ?v_2921 (=> ?v_2922 (=> ?v_2923 (=> ?v_2924 (=> ?v_2925 (=> ?v_2926 (=> ?v_2927 (=> ?v_2928 (=> ?v_2929 (=> ?v_2930 (=> ?v_2931 (=> ?v_2932 (=> ?v_2933 (=> ?v_2934 (=> ?v_2935 (=> ?v_2936 (=> ?v_2937 (=> ?v_2938 (=> ?v_2939 (=> ?v_2940 (=> ?v_2941 (=> ?v_2942 (=> ?v_2943 (=> ?v_2944 (=> ?v_2945 (=> ?v_2946 (=> ?v_2947 (=> ?v_2948 (=> ?v_2949 (=> ?v_2950 (=> ?v_2951 (=> ?v_2952 (=> ?v_2953 (=> ?v_2954 (=> ?v_2955 (=> ?v_2956 (=> ?v_2957 (=> (= k.51 k.12) (=> ?v_2958 (=> ?v_2959 (=> ?v_2960 (=> ?v_2961 (=> ?v_2962 (=> ?v_3624 (=> ?v_2963 (=> ?v_2964 (=> ?v_2965 (=> ?v_2966 (=> ?v_2967 (=> ?v_2968 (=> ?v_2969 (=> ?v_2970 (=> ?v_2971 (=> ?v_2972 (=> ?v_2973 (=> ?v_2974 (=> ?v_2975 (=> ?v_2976 (=> ?v_2977 (=> ?v_2978 (=> ?v_2979 (=> ?v_2980 (=> ?v_2981 (=> ?v_2982 (=> ?v_2983 (=> ?v_2984 (=> ?v_2985 (=> ?v_2986 (=> ?v_2987 (=> ?v_2988 (=> ?v_2989 (=> ?v_2990 (=> ?v_2991 (=> ?v_2992 (=> ?v_2993 (=> ?v_2994 (=> ?v_2995 (=> ?v_2996 (=> ?v_2997 (=> ?v_2998 (=> ?v_2999 (=> ?v_3000 (=> ?v_3001 (=> ?v_3002 (=> ?v_3003 (=> ?v_3004 (=> ?v_3005 (=> ?v_3006 (=> ?v_3007 (=> ?v_3008 (=> ?v_3009 (=> ?v_3010 (=> ?v_3011 (=> ?v_3012 (=> ?v_3013 (=> ?v_3014 (=> ?v_3015 (=> ?v_3016 (=> ?v_3017 (=> ?v_3018 (=> ?v_3019 (=> ?v_3020 (=> ?v_3021 (=> ?v_3022 (=> ?v_3023 (=> ?v_3024 (=> ?v_3025 (=> ?v_3026 (=> ?v_3027 (=> ?v_3028 (=> ?v_3029 (=> ?v_3030 (=> (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialCancelQueued) (=> ?v_3031 (=> ?v_3032 (=> ?v_3033 (=> ?v_3034 (=> ?v_3626 (=> ?v_3035 (=> ?v_3036 (=> ?v_3037 (=> ?v_3627 (=> ?v_3038 (=> ?v_3039 (=> ?v_3040 (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) (=> ?v_3041 (=> ?v_3042 (=> ?v_3043 (=> ?v_3044 (=> ?v_3045 (=> ?v_3046 (=> ?v_3047 (=> ?v_3048 (=> ?v_3049 (=> ?v_3050 (=> ?v_3051 (=> ?v_3052 (=> ?v_3053 (=> ?v_3054 (=> ?v_3055 (=> ?v_3056 (=> ?v_3057 (=> ?v_3058 (=> ?v_3059 (=> ?v_3060 (=> ?v_3061 (=> ?v_3062 (=> ?v_3063 (=> ?v_3064 (=> ?v_3065 (=> ?v_3066 (=> ?v_3067 (=> ?v_3068 (=> ?v_3069 (=> ?v_3070 (=> ?v_3071 (=> ?v_3072 (=> ?v_3073 (=> ?v_3074 (=> ?v_3075 (=> ?v_3076 (=> ?v_3077 (=> ?v_3078 (=> ?v_3079 (=> ?v_3080 (=> ?v_3081 (=> ?v_3082 (=> ?v_3083 (=> ?v_3084 (=> ?v_3085 (=> ?v_3086 (=> ?v_3087 (=> ?v_3088 (=> ?v_3089 (=> ?v_3090 (=> ?v_3091 (=> ?v_3092 (=> ?v_3093 (=> ?v_3094 (=> ?v_3095 (=> ?v_3096 (=> ?v_3097 (=> ?v_3098 (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3110 (=> ?v_3111 (=> ?v_3112 (=> ?v_3113 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_3134 (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> (= cancelLockStatus_0.51 cancelLockStatus_0.10) (=> ?v_3140 (=> (= cancelLockStatus_1.51 cancelLockStatus_1.10) (=> ?v_3141 (=> ?v_3142 (=> ?v_3629 (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_3147 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> ?v_3164 (=> ?v_3165 (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_3172 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_3178 (=> ?v_3179 (=> ?v_3180 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_3187 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> ?v_3200 (=> ?v_3201 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.15 inline.SerialStartOrQueue.0.myNondetVar_0.14) (=> ?v_3208 (=> ?v_3209 (=> ?v_3210 (=> ?v_3211 (=> ?v_3212 (=> ?v_3213 (=> ?v_3214 (=> ?v_3215 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> (= inline.sdv_IoSetCancelRoutine.9..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialCancelQueued) (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_3230 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 (=> ?v_3236 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_3240 (=> ?v_3241 (=> ?v_3242 (=> ?v_3243 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_3247 (=> ?v_3631 (=> ?v_3248 (=> ?v_3249 (=> ?v_3250 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_3254 (=> ?v_3255 (=> ?v_3256 (=> ?v_3257 (=> ?v_3258 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> ?v_3262 (=> ?v_3263 (=> ?v_3264 (=> ?v_3265 (=> ?v_3266 (=> ?v_3267 (=> ?v_3268 (=> ?v_5565 (=> ?v_3269 (=> ?v_3270 (=> ?v_3271 (=> ?v_3272 (=> ?v_3273 (=> ?v_3274 (=> ?v_3275 (=> ?v_3276 (=> ?v_3277 (=> ?v_3278 (=> ?v_3279 (=> ?v_3280 (=> ?v_3632 (=> ?v_3281 (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_3296 (=> ?v_3297 (=> ?v_3298 (=> ?v_3299 (=> ?v_3300 (=> ?v_3301 (=> ?v_3302 (=> ?v_3303 (=> ?v_3304 (=> ?v_3305 (=> ?v_3306 (=> ?v_3307 (=> ?v_3308 (=> ?v_3309 (=> ?v_3310 (=> ?v_3311 (=> ?v_3312 (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> ?v_3318 (=> ?v_3319 (=> ?v_3320 (=> ?v_3321 (=> ?v_3322 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3332 (=> ?v_3333 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_3347 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> ?v_3633 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> ?v_3634 (=> ?v_3364 (=> ?v_3635 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3368 (=> ?v_3369 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> (= errorReached.49 errorReached.14) (=> ?v_5566 (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3636 (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> (= Mem_1_T.CancelRoutine__IRP.68 Mem_1_T.CancelRoutine__IRP.21) (=> ?v_3409 (=> ?v_3410 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> ?v_3419 (=> ?v_3420 (=> ?v_3421 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> ?v_3430 (=> (= Mem_0_T.CancelRoutine__IRP.68 Mem_0_T.CancelRoutine__IRP.21) (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_3438 (=> ?v_3439 (=> (= inline.InsertTailList.1.myNondetVar_0.1 inline.InsertTailList.1.myNondetVar_0.0) (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> ?v_3445 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> ?v_3464 (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1 259) (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> ?v_3474 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> ?v_3483 (=> ?v_3638 (=> ?v_3484 (=> ?v_5567 (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_3494 (=> ?v_3495 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> ?v_3518 (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_3523 (=> ?v_3524 (=> ?v_3525 (=> ?v_3526 (=> (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 hirp) (=> ?v_3527 (=> ?v_3528 (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> ?v_3535 (=> ?v_3536 (=> ?v_3537 (=> ?v_3538 (=> ?v_3539 (=> ?v_3540 (=> ?v_3541 (=> ?v_3542 (=> ?v_3543 (=> ?v_3544 (=> ?v_3545 (=> ?v_3546 (=> ?v_3547 (=> (= inline.sdv_IoSetCancelRoutine.9..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 hirp) ?v_5568))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3558 (= cancelLockStatus_1.10 cancelLockStatus_1.4))) (let ((?v_3559 (=> (= cancelLockStatus_0.10 cancelLockStatus_0.4) (=> true (=> true (=> true (=> true (=> true ?v_3556))))))) (?v_3557 (= k.12 1))) (let ((?v_3563 (not ?v_3557)) (?v_2895 (= k.12 0))) (let ((?v_3560 (not ?v_2895))) (let ((?v_3562 (and (=> true (=> ?v_2895 (=> true (=> ?v_3558 (=> (= cancelLockStatus_0.10 0) ?v_3556))))) (=> true (=> ?v_3560 (and (=> true (=> ?v_3557 (=> true (=> (= cancelLockStatus_1.10 0) ?v_3559)))) (=> true (=> ?v_3563 (=> true (=> ?v_3558 ?v_3559))))))))) (?v_3564 (= Mem_1_T.CancelRoutine__IRP.21 Mem_1_T.CancelRoutine__IRP.10))) (let ((?v_3565 (=> (= Mem_0_T.CancelRoutine__IRP.21 Mem_0_T.CancelRoutine__IRP.10) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3562)))))))))))))) (let ((?v_3568 (=> true (=> (<= k.2 k.12) (=> (< k.12 2) (and (=> true (=> ?v_2895 (=> (= Mem_0_T.CancelRoutine__IRP.20 (MapType0Store Mem_0_T.CancelRoutine__IRP.10 ?v_919 ?v_3561)) (=> true (=> ?v_3564 (=> (= Mem_0_T.CancelRoutine__IRP.21 Mem_0_T.CancelRoutine__IRP.20) ?v_3562)))))) (=> true (=> ?v_3560 (and (=> true (=> ?v_3557 (=> (= Mem_1_T.CancelRoutine__IRP.20 (MapType0Store Mem_1_T.CancelRoutine__IRP.10 ?v_919 ?v_3561)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.21 Mem_1_T.CancelRoutine__IRP.20) ?v_3565))))) (=> true (=> ?v_3563 (=> true (=> ?v_3564 ?v_3565))))))))))))) (let ((?v_3569 (=> true (=> (= errorReached.14 errorReached.7) ?v_3568)))) (let ((?v_3571 (and (=> true (=> ?v_12 (and (=> true (=> ?v_2893 (=> ?v_2894 (=> true (=> (= errorReached.14 1) ?v_3568))))) (=> true (=> ?v_3566 (=> ?v_3567 ?v_3569)))))) (=> true (=> ?v_2884 ?v_3569))))) (let ((?v_3573 (=> true (=> true ?v_3571))) (?v_2891 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP ?v_2064)) 0)) (?v_2892 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP ?v_2064)) 0)) (?v_2871 (=> true (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..0 ?v_920) (=> true (=> ?v_2896 (=> ?v_2897 (=> ?v_2898 (=> ?v_2899 (=> ?v_2900 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp) (=> ?v_2901 (=> ?v_2902 (=> ?v_2903 (=> ?v_2904 (=> ?v_2905 (=> ?v_2906 (=> ?v_2907 (=> ?v_2908 (=> ?v_2909 (=> ?v_2910 (=> ?v_2911 (=> ?v_2912 (=> ?v_2913 (=> ?v_2914 (=> ?v_2915 (=> ?v_2916 (=> ?v_2917 (=> ?v_2918 (=> ?v_2919 (=> ?v_2920 (=> ?v_2921 (=> ?v_2922 (=> ?v_2923 (=> ?v_2924 (=> ?v_2925 (=> ?v_2926 (=> ?v_2927 (=> ?v_2928 (=> ?v_2929 (=> ?v_2930 (=> ?v_2931 (=> ?v_2932 (=> ?v_2933 (=> ?v_2934 (=> ?v_2935 (=> ?v_2936 (=> ?v_2937 (=> ?v_2938 (=> ?v_2939 (=> ?v_2940 (=> ?v_2941 (=> ?v_2942 (=> ?v_2943 (=> ?v_2944 (=> ?v_2945 (=> ?v_2946 (=> ?v_2947 (=> ?v_2948 (=> ?v_2949 (=> ?v_2950 (=> ?v_2951 (=> ?v_2952 (=> ?v_2953 (=> ?v_2954 (=> ?v_2955 (=> ?v_2956 (=> ?v_2957 (=> (= k.51 k.9) (=> ?v_2958 (=> ?v_2959 (=> ?v_2960 (=> ?v_2961 (=> ?v_2962 (=> (= inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..0) (=> ?v_2963 (=> ?v_2964 (=> ?v_2965 (=> ?v_2966 (=> ?v_2967 (=> ?v_2968 (=> ?v_2969 (=> ?v_2970 (=> ?v_2971 (=> ?v_2972 (=> ?v_2973 (=> ?v_2974 (=> ?v_2975 (=> ?v_2976 (=> ?v_2977 (=> ?v_2978 (=> ?v_2979 (=> ?v_2980 (=> ?v_2981 (=> ?v_2982 (=> ?v_2983 (=> ?v_2984 (=> ?v_2985 (=> ?v_2986 (=> ?v_2987 (=> ?v_2988 (=> ?v_2989 (=> ?v_2990 (=> ?v_2991 (=> ?v_2992 (=> ?v_2993 (=> ?v_2994 (=> ?v_2995 (=> ?v_2996 (=> ?v_2997 (=> ?v_2998 (=> ?v_2999 (=> ?v_3000 (=> ?v_3001 (=> ?v_3002 (=> ?v_3003 (=> ?v_3004 (=> ?v_3005 (=> ?v_3006 (=> ?v_3007 (=> ?v_3008 (=> ?v_3009 (=> ?v_3010 (=> ?v_3011 (=> ?v_3012 (=> ?v_3013 (=> ?v_3014 (=> ?v_3015 (=> ?v_3016 (=> ?v_3017 (=> ?v_3018 (=> ?v_3019 (=> ?v_3020 (=> ?v_3021 (=> ?v_3022 (=> ?v_3023 (=> ?v_3024 (=> ?v_3025 (=> ?v_3026 (=> ?v_3027 (=> ?v_3028 (=> ?v_3029 (=> ?v_3030 (=> ?v_3625 (=> ?v_3031 (=> ?v_3032 (=> ?v_3033 (=> ?v_3034 (=> (= inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..1 inline.SerialStartOrQueue.0..result.SerialDbgPrintEx.775.12.11..0) (=> ?v_3035 (=> ?v_3036 (=> ?v_3037 (=> (= inline.SerialStartOrQueue.0.havoc_stringTemp.0 call67432formal.new.0) (=> ?v_3038 (=> ?v_3039 (=> ?v_3040 (=> ?v_3628 (=> ?v_3041 (=> ?v_3042 (=> ?v_3043 (=> ?v_3044 (=> ?v_3045 (=> ?v_3046 (=> ?v_3047 (=> ?v_3048 (=> ?v_3049 (=> ?v_3050 (=> ?v_3051 (=> ?v_3052 (=> ?v_3053 (=> ?v_3054 (=> ?v_3055 (=> ?v_3056 (=> ?v_3057 (=> ?v_3058 (=> ?v_3059 (=> ?v_3060 (=> ?v_3061 (=> ?v_3062 (=> ?v_3063 (=> ?v_3064 (=> ?v_3065 (=> ?v_3066 (=> ?v_3067 (=> ?v_3068 (=> ?v_3069 (=> ?v_3070 (=> ?v_3071 (=> ?v_3072 (=> ?v_3073 (=> ?v_3074 (=> ?v_3075 (=> ?v_3076 (=> ?v_3077 (=> ?v_3078 (=> ?v_3079 (=> ?v_3080 (=> ?v_3081 (=> ?v_3082 (=> ?v_3083 (=> ?v_3084 (=> ?v_3085 (=> ?v_3086 (=> ?v_3087 (=> ?v_3088 (=> ?v_3089 (=> ?v_3090 (=> ?v_3091 (=> ?v_3092 (=> ?v_3093 (=> ?v_3094 (=> ?v_3095 (=> ?v_3096 (=> ?v_3097 (=> ?v_3098 (=> ?v_3099 (=> ?v_3100 (=> ?v_3101 (=> ?v_3102 (=> ?v_3103 (=> ?v_3104 (=> ?v_3105 (=> ?v_3106 (=> ?v_3107 (=> ?v_3108 (=> ?v_3109 (=> ?v_3110 (=> ?v_3111 (=> ?v_3112 (=> ?v_3113 (=> ?v_3114 (=> ?v_3115 (=> ?v_3116 (=> ?v_3117 (=> ?v_3118 (=> ?v_3119 (=> ?v_3120 (=> ?v_3121 (=> ?v_3122 (=> ?v_3123 (=> ?v_3124 (=> ?v_3125 (=> ?v_3126 (=> ?v_3127 (=> ?v_3128 (=> ?v_3129 (=> ?v_3130 (=> ?v_3131 (=> ?v_3132 (=> ?v_3133 (=> ?v_3134 (=> ?v_3135 (=> ?v_3136 (=> ?v_3137 (=> ?v_3138 (=> ?v_3139 (=> (= cancelLockStatus_0.51 cancelLockStatus_0.6) (=> ?v_3140 (=> (= cancelLockStatus_1.51 cancelLockStatus_1.6) (=> ?v_3141 (=> ?v_3142 (=> (= inline.sdv_InterlockedDecrement.16.myNondetVar_0.2 inline.sdv_InterlockedDecrement.16.myNondetVar_0.1) (=> ?v_3143 (=> ?v_3144 (=> ?v_3145 (=> ?v_3146 (=> ?v_3147 (=> ?v_3148 (=> ?v_3149 (=> ?v_3150 (=> ?v_3151 (=> ?v_3152 (=> ?v_3153 (=> ?v_3154 (=> ?v_3155 (=> ?v_3156 (=> ?v_3157 (=> ?v_3158 (=> ?v_3159 (=> ?v_3160 (=> ?v_3161 (=> ?v_3162 (=> ?v_3163 (=> ?v_3164 (=> ?v_3165 (=> ?v_3166 (=> ?v_3167 (=> ?v_3168 (=> ?v_3169 (=> ?v_3170 (=> ?v_3171 (=> ?v_3172 (=> ?v_3173 (=> ?v_3174 (=> ?v_3175 (=> ?v_3176 (=> ?v_3177 (=> ?v_3178 (=> ?v_3179 (=> ?v_3180 (=> ?v_3181 (=> ?v_3182 (=> ?v_3183 (=> ?v_3184 (=> ?v_3185 (=> ?v_3186 (=> ?v_3187 (=> ?v_3188 (=> ?v_3189 (=> ?v_3190 (=> ?v_3191 (=> ?v_3192 (=> ?v_3193 (=> ?v_3194 (=> ?v_3195 (=> ?v_3196 (=> ?v_3197 (=> ?v_3198 (=> ?v_3199 (=> ?v_3200 (=> ?v_3201 (=> ?v_3202 (=> ?v_3203 (=> ?v_3204 (=> ?v_3205 (=> ?v_3206 (=> ?v_3207 (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.15 inline.SerialStartOrQueue.0.myNondetVar_0.13) (=> ?v_3208 (=> ?v_3209 (=> ?v_3210 (=> ?v_3211 (=> ?v_3212 (=> ?v_3213 (=> ?v_3214 (=> ?v_3215 (=> ?v_3216 (=> ?v_3217 (=> ?v_3218 (=> ?v_3219 (=> ?v_3220 (=> ?v_3630 (=> ?v_3221 (=> ?v_3222 (=> ?v_3223 (=> ?v_3224 (=> ?v_3225 (=> ?v_3226 (=> ?v_3227 (=> ?v_3228 (=> ?v_3229 (=> ?v_3230 (=> ?v_3231 (=> ?v_3232 (=> ?v_3233 (=> ?v_3234 (=> ?v_3235 (=> ?v_3236 (=> ?v_3237 (=> ?v_3238 (=> ?v_3239 (=> ?v_3240 (=> ?v_3241 (=> ?v_3242 (=> ?v_3243 (=> ?v_3244 (=> ?v_3245 (=> ?v_3246 (=> ?v_3247 (=> (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest.0 hirp) (=> ?v_3248 (=> ?v_3249 (=> ?v_3250 (=> ?v_3251 (=> ?v_3252 (=> ?v_3253 (=> ?v_3254 (=> ?v_3255 (=> ?v_3256 (=> ?v_3257 (=> ?v_3258 (=> ?v_3259 (=> ?v_3260 (=> ?v_3261 (=> ?v_3262 (=> ?v_3263 (=> ?v_3264 (=> ?v_3265 (=> ?v_3266 (=> ?v_3267 (=> ?v_3268 (=> (= irpCompleted_1.29 irpCompleted_1.9) (=> ?v_3269 (=> ?v_3270 (=> ?v_3271 (=> ?v_3272 (=> ?v_3273 (=> ?v_3274 (=> ?v_3275 (=> ?v_3276 (=> ?v_3277 (=> ?v_3278 (=> ?v_3279 (=> ?v_3280 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp) (=> ?v_3281 (=> ?v_3282 (=> ?v_3283 (=> ?v_3284 (=> ?v_3285 (=> ?v_3286 (=> ?v_3287 (=> ?v_3288 (=> ?v_3289 (=> ?v_3290 (=> ?v_3291 (=> ?v_3292 (=> ?v_3293 (=> ?v_3294 (=> ?v_3295 (=> ?v_3296 (=> ?v_3297 (=> ?v_3298 (=> ?v_3299 (=> ?v_3300 (=> ?v_3301 (=> ?v_3302 (=> ?v_3303 (=> ?v_3304 (=> ?v_3305 (=> ?v_3306 (=> ?v_3307 (=> ?v_3308 (=> ?v_3309 (=> ?v_3310 (=> ?v_3311 (=> ?v_3312 (=> ?v_3313 (=> ?v_3314 (=> ?v_3315 (=> ?v_3316 (=> ?v_3317 (=> ?v_3318 (=> ?v_3319 (=> ?v_3320 (=> ?v_3321 (=> ?v_3322 (=> ?v_3323 (=> ?v_3324 (=> ?v_3325 (=> ?v_3326 (=> ?v_3327 (=> ?v_3328 (=> ?v_3329 (=> ?v_3330 (=> ?v_3331 (=> ?v_3332 (=> ?v_3333 (=> ?v_3334 (=> ?v_3335 (=> ?v_3336 (=> ?v_3337 (=> ?v_3338 (=> ?v_3339 (=> ?v_3340 (=> ?v_3341 (=> ?v_3342 (=> ?v_3343 (=> ?v_3344 (=> ?v_3345 (=> ?v_3346 (=> ?v_3347 (=> ?v_3348 (=> ?v_3349 (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> (= inline.SerialIRPEpilogue.7..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.16.myNondetVar_0.1) (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> (= inline.sdv_InterlockedDecrement.16..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.16.myNondetVar_0.1) (=> ?v_3364 (=> (= inline.SerialIRPEpilogue.7..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.16.myNondetVar_0.1) (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3368 (=> ?v_3369 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> (= errorReached.49 errorReached.11) (=> (= alloc.74 alloc.23) (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> (= inline.sdv_IoCompleteRequest.7..pirp.1.2072.12.sdv_IoCompleteRequest1.0 hirp) (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> (= Mem_1_T.CancelRoutine__IRP.68 Mem_1_T.CancelRoutine__IRP.16) (=> ?v_3409 (=> ?v_3410 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3418 (=> ?v_3419 (=> ?v_3420 (=> ?v_3421 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> ?v_3430 (=> (= Mem_0_T.CancelRoutine__IRP.68 Mem_0_T.CancelRoutine__IRP.16) (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_3438 (=> ?v_3439 (=> ?v_3637 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> ?v_3445 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> ?v_3464 (=> (= inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..1 inline.SerialStartOrQueue.0..result.SerialStartOrQueue.648.0.1..0) (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> ?v_3474 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> ?v_3483 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_3484 (=> (= irpCompleted_0.29 irpCompleted_0.9) (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_3494 (=> ?v_3495 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> ?v_3518 (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_3523 (=> ?v_3524 (=> ?v_3525 (=> ?v_3526 (=> ?v_3639 (=> ?v_3527 (=> ?v_3528 (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> ?v_3535 (=> ?v_3536 (=> ?v_3537 (=> ?v_3538 (=> ?v_3539 (=> ?v_3540 (=> ?v_3541 (=> ?v_3542 (=> ?v_3543 (=> ?v_3544 (=> ?v_3545 (=> ?v_3546 (=> ?v_3547 (=> ?v_3640 (=> ?v_3548 (=> ?v_3549 (=> ?v_3550 (=> ?v_3551 (=> ?v_3552 (=> ?v_3553 (=> ?v_3554 ?v_3555)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2870 (= inline.sdv_InterlockedDecrement.16.myNondetVar_0.1 0))) (let ((?v_2885 (and (=> true (=> (not ?v_2870) (=> true (=> (= inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2.) ?v_2871)))) (=> true (=> ?v_2870 (=> true (=> (= inline.KeSetEvent.11..result.SdvMakeChoice.4659.26.2..0 call67634formal.ret.0) (=> true (=> true (=> true ?v_2871)))))))))) (let ((?v_2872 (=> true (=> (= irpCompleted_1.9 irpCompleted_1.8) (=> (= irpCompleted_0.9 irpCompleted_0.8) (=> (= Mem_1_T.CancelRoutine__IRP.16 Mem_1_T.CancelRoutine__IRP.15) (=> (= k.9 k.8) (=> (= Mem_0_T.CancelRoutine__IRP.16 Mem_0_T.CancelRoutine__IRP.15) (=> (= errorReached.11 errorReached.10) ?v_2885)))))))) (?v_2874 (= irpCompleted_1.8 irpCompleted_1.5))) (let ((?v_2875 (=> (= irpCompleted_0.8 irpCompleted_0.5) (=> true ?v_2872))) (?v_2873 (= k.8 1))) (let ((?v_2878 (not ?v_2873)) (?v_2832 (= k.8 0))) (let ((?v_2876 (not ?v_2832))) (let ((?v_2877 (and (=> true (=> ?v_2832 (=> true (=> ?v_2874 (=> (= irpCompleted_0.8 1) ?v_2872))))) (=> true (=> ?v_2876 (and (=> true (=> ?v_2873 (=> true (=> (= irpCompleted_1.8 1) ?v_2875)))) (=> true (=> ?v_2878 (=> true (=> ?v_2874 ?v_2875))))))))) (?v_2879 (= Mem_1_T.CancelRoutine__IRP.15 Mem_1_T.CancelRoutine__IRP.10))) (let ((?v_2880 (=> (= Mem_0_T.CancelRoutine__IRP.15 Mem_0_T.CancelRoutine__IRP.10) (=> true (=> true ?v_2877))))) (let ((?v_2883 (=> true (=> (<= k.2 k.8) (=> (< k.8 2) (and (=> true (=> ?v_2832 (=> (= Mem_0_T.CancelRoutine__IRP.14 ?v_5612) (=> true (=> ?v_2879 (=> (= Mem_0_T.CancelRoutine__IRP.15 Mem_0_T.CancelRoutine__IRP.14) ?v_2877)))))) (=> true (=> ?v_2876 (and (=> true (=> ?v_2873 (=> (= Mem_1_T.CancelRoutine__IRP.14 ?v_5624) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.15 Mem_1_T.CancelRoutine__IRP.14) ?v_2880))))) (=> true (=> ?v_2878 (=> true (=> ?v_2879 ?v_2880)))))))))))) (?v_2831 (int_2_U call67432formal.new.0))) (let ((?v_2886 (=> true (and ?v_8 (=> ?v_8 (=> (> call67432formal.new.0 0) (=> (forall ((?x1695 Int)) (! (=> (and (<= call67432formal.new.0 ?x1695) (< ?x1695 (+ call67432formal.new.0 1))) (= (Base ?x1695) call67432formal.new.0)) :pattern ((Base ?x1695)) )) (=> (forall ((?x1696 boogieU)) (! (=> (= (type ?x1696) intType) (or (= (U_2_int ?x1696) call67432formal.new.0) (= (MapType0Select alloc.10 ?x1696) (MapType0Select alloc.23 ?x1696)))) :pattern ((MapType0Select alloc.23 ?x1696)) )) (=> (and (= (MapType0Select alloc.10 ?v_2831) UNALLOCATED) (= (MapType0Select alloc.23 ?v_2831) ALLOCATED)) (and (=> true (=> ?v_12 (and (=> true (=> ?v_2893 (=> ?v_2894 (=> true (=> (= errorReached.10 1) ?v_2883))))) (=> true (=> ?v_3566 (=> ?v_3567 (=> true (=> (= errorReached.10 errorReached.7) ?v_2883)))))))) (=> true (=> ?v_2884 (=> true (=> (= irpCompleted_1.9 irpCompleted_1.5) (=> (= irpCompleted_0.9 irpCompleted_0.5) (=> (= Mem_1_T.CancelRoutine__IRP.16 Mem_1_T.CancelRoutine__IRP.10) (=> (= k.9 k.2) (=> (= Mem_0_T.CancelRoutine__IRP.16 Mem_0_T.CancelRoutine__IRP.10) (=> (= errorReached.11 errorReached.7) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2885)))))))))))))))))))))))))))))))))))) (let ((?v_2887 (and (=> true (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.10 1769480) (=> true (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.13 inline.SerialStartOrQueue.0.myNondetVar_0.11) ?v_2886)))) (=> true (=> (not (= inline.SerialStartOrQueue.0.myNondetVar_0.12 1769480)) (=> true (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.13 inline.SerialStartOrQueue.0.myNondetVar_0.12) (=> true ?v_2886))))))) (?v_2888 (= cancelLockStatus_1.6 cancelLockStatus_1.4))) (let ((?v_2889 (=> (= cancelLockStatus_0.6 cancelLockStatus_0.4) (=> true (=> true (=> true (=> true (=> true ?v_2887)))))))) (let ((?v_2890 (and (=> true (=> ?v_2088 (=> true (=> ?v_2888 (=> (= cancelLockStatus_0.6 0) ?v_2887))))) (=> true (=> ?v_3570 (and (=> true (=> ?v_2829 (=> true (=> (= cancelLockStatus_1.6 0) ?v_2889)))) (=> true (=> ?v_3572 (=> true (=> ?v_2888 ?v_2889))))))))) (?v_5726 (not ?v_2891)) (?v_5727 (not ?v_2892))) (let ((?v_5579 (and (=> true (=> (=> ?v_2088 ?v_5726) (=> (=> ?v_2829 ?v_5727) (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_2890)))) (=> true (=> ?v_2884 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.40..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2890))))))))))))))))) (=> true (=> (=> ?v_2088 ?v_2891) (=> (=> ?v_2829 ?v_2892) (and (=> true (=> ?v_2088 (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP.10 ?v_919))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_3571))))) (=> true (=> ?v_3570 (and (=> true (=> ?v_2829 (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP.10 ?v_919))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_3573))))) (=> true (=> ?v_3572 (=> true (=> (= inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.9..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_3573))))))))))))) (?v_5578 (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_5582 (=> true (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.0.myNondetVar_0.0 inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0))) (and (=> true (=> (not ?v_5578) (and (=> true (=> (=> ?v_2088 (not ?v_3574)) (=> (=> ?v_2829 (not ?v_3575)) ?v_5579))) (=> true (=> (=> ?v_2088 ?v_3574) (=> (=> ?v_2829 ?v_3575) (=> true (=> (<= k.2 k.6) (=> (< k.6 2) (and (=> true (=> ?v_5572 (=> (= Mem_0_T.P_IRP.0 (MapType0Store Mem_0_T.P_IRP ?v_2830 ?v_5573)) (=> true (=> ?v_5576 (=> (= Mem_0_T.P_IRP.1 Mem_0_T.P_IRP.0) ?v_5574)))))) (=> true (=> (not ?v_5572) (and (=> true (=> ?v_5575 (=> (= Mem_1_T.P_IRP.0 (MapType0Store Mem_1_T.P_IRP ?v_2830 ?v_5573)) (=> true (=> (= Mem_1_T.P_IRP.1 Mem_1_T.P_IRP.0) ?v_5577))))) (=> true (=> (not ?v_5575) (=> true (=> ?v_5576 ?v_5577))))))))))))))))) (=> true (=> ?v_5578 (=> true ?v_5579)))))))) (let ((?v_5595 (=> true (=> true (=> true ?v_5582)))) (?v_5599 (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5584 (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5600 (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5601 (= inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5602 (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5587 (= inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5588 (= inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..0 inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5603 (= inline.SerialStartOrQueue.0.tempBoogie0.2 inline.SerialStartOrQueue.0.tempBoogie0)) (?v_5589 (= inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5590 (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp)) (?v_5591 (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5592 (= inline.SerialStartOrQueue.0.myNondetVar_1.1 inline.SerialStartOrQueue.0.myNondetVar_1)) (?v_5604 (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5594 (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp)) (?v_5605 (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5598 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 14)) (?v_5585 (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp)) (?v_5586 (= inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5593 (= inline.sdv_IoGetCurrentIrpStackLocation.41..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp))) (let ((?v_5583 (=> true (=> (= inline.SerialStartOrQueue.0.tempBoogie0.1 (PLUS inline.SerialStartOrQueue.0.myNondetVar_0.6 1 1)) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1) (=> ?v_5584 (=> ?v_5585 (=> ?v_5586 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0) (=> ?v_5587 (=> ?v_5588 (=> (= inline.SerialStartOrQueue.0.tempBoogie0.2 inline.SerialStartOrQueue.0.tempBoogie0.1) (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.7 inline.SerialStartOrQueue.0.myNondetVar_0.6) (=> ?v_5589 (=> ?v_5590 (=> ?v_5591 (=> ?v_5592 (=> ?v_5593 (=> ?v_5594 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0) ?v_5595))))))))))))))))))))) (let ((?v_5596 (and (=> true (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.3 1769584) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp) (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.5 inline.SerialStartOrQueue.0.myNondetVar_0.3) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp) ?v_5583))))))) (=> true (=> (not (= inline.SerialStartOrQueue.0.myNondetVar_0.4 1769584)) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> ?v_5584 (=> ?v_5585 (=> ?v_5586 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 hirp) (=> ?v_5587 (=> ?v_5588 (=> ?v_5603 (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.7 inline.SerialStartOrQueue.0.myNondetVar_0.4) (=> ?v_5589 (=> ?v_5590 (=> ?v_5591 (=> ?v_5592 (=> ?v_5593 (=> ?v_5594 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 hirp) ?v_5595)))))))))))))))))))))) (let ((?v_5597 (and (=> true (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.2 1769496) (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.5 inline.SerialStartOrQueue.0.myNondetVar_0.2) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.42..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) ?v_5583))))))) (=> true (=> (not (= inline.SerialStartOrQueue.0.myNondetVar_0.1 1769496)) (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5596)))) (=> true (=> ?v_2884 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.42..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5596)))))))))))))) (let ((?v_5606 (and (=> true (=> ?v_5598 (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5597)))) (=> true (=> ?v_2884 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.41..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5597))))))))))) (=> true (=> (not ?v_5598) (=> true (=> ?v_5599 (=> ?v_5584 (=> ?v_5600 (=> ?v_5601 (=> ?v_5602 (=> ?v_5587 (=> ?v_5588 (=> ?v_5603 (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.7 inline.SerialStartOrQueue.0.myNondetVar_0) (=> ?v_5589 (=> ?v_5590 (=> ?v_5591 (=> ?v_5592 (=> ?v_5604 (=> ?v_5594 (=> ?v_5605 ?v_5595))))))))))))))))))))) (?v_5581 (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 4)) (?v_5580 (=> true (=> (= inline.SerialStartOrQueue.0.tempBoogie0.0 (PLUS inline.SerialStartOrQueue.0.myNondetVar_0.0 1 inline.SerialStartOrQueue.0.myNondetVar_1.0)) (=> true (=> ?v_5599 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp) (=> ?v_5600 (=> ?v_5601 (=> ?v_5602 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> (= inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4..0 inline.SerialStartOrQueue.0..result.sdv_IoGetCurrentIrpStackLocation.710.44.4.) (=> (= inline.SerialStartOrQueue.0.tempBoogie0.2 inline.SerialStartOrQueue.0.tempBoogie0.0) (=> (= inline.SerialStartOrQueue.0.myNondetVar_0.7 inline.SerialStartOrQueue.0.myNondetVar_0.0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp) (=> (= inline.SerialStartOrQueue.0.myNondetVar_1.1 inline.SerialStartOrQueue.0.myNondetVar_1.0) (=> ?v_5604 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.5..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> ?v_5605 ?v_5582))))))))))))))))))))) (let ((?v_5607 (and (=> true (=> ?v_5581 (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5580)))) (=> true (=> ?v_2884 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.6..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true ?v_5580)))))))))) (=> true (=> (not ?v_5581) (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5606)))) (=> true (=> ?v_2884 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.5..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5606)))))))))))))) (let ((?v_5608 (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5607)))) (=> true (=> ?v_2884 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.4..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5607)))))))))) (?v_5609 (= cancelLockStatus_1.4 cancelLockStatus_1.3))) (let ((?v_5610 (=> (= cancelLockStatus_0.4 cancelLockStatus_0.3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5608)))))))))) (?v_2828 (int_2_U call52672formal.new.0))) (let ((?v_5630 (and (=> true (=> (not (= inline.SerialWrite.0.myNondetVar_0.0 0)) (=> true (=> (= inline.SerialStartOrQueue.0..QueueToExamine.3.651.19.SerialStartOrQueue1.0 ?v_3603) (=> (= inline.SerialStartOrQueue.0..CurrentOpIrp.4.652.13.SerialStartOrQueue1.0 ?v_3599) (=> true (and ?v_8 (=> ?v_8 (=> (> call52672formal.new.0 0) (=> (forall ((?x1697 Int)) (! (=> (and (<= call52672formal.new.0 ?x1697) (< ?x1697 (+ call52672formal.new.0 1))) (= (Base ?x1697) call52672formal.new.0)) :pattern ((Base ?x1697)) )) (=> (forall ((?x1698 boogieU)) (! (=> (= (type ?x1698) intType) (or (= (U_2_int ?x1698) call52672formal.new.0) (= (MapType0Select alloc.8 ?x1698) (MapType0Select alloc.10 ?x1698)))) :pattern ((MapType0Select alloc.10 ?x1698)) )) (=> (and (= (MapType0Select alloc.8 ?v_2828) UNALLOCATED) (= (MapType0Select alloc.10 ?v_2828) ALLOCATED)) (=> true (=> (=> ?v_2088 (= cancelLockStatus_0.3 0)) (=> (=> ?v_2829 (= cancelLockStatus_1.3 0)) (and (=> true (=> ?v_2088 (=> true (=> ?v_5609 (=> (= cancelLockStatus_0.4 1) ?v_5608))))) (=> true (=> ?v_3570 (and (=> true (=> ?v_2829 (=> true (=> (= cancelLockStatus_1.4 1) ?v_5610)))) (=> true (=> ?v_3572 (=> true (=> ?v_5609 ?v_5610))))))))))))))))))))))) (=> true (=> (= inline.SerialWrite.0.myNondetVar_0.1 0) (=> true (and ?v_8 (=> ?v_8 (=> (> call68048formal.new.0 0) (=> (forall ((?x1605 Int)) (! (=> (and (<= call68048formal.new.0 ?x1605) (< ?x1605 (+ call68048formal.new.0 1))) (= (Base ?x1605) call68048formal.new.0)) :pattern ((Base ?x1605)) )) (=> (forall ((?x1606 boogieU)) (! (=> (= (type ?x1606) intType) (or (= (U_2_int ?x1606) call68048formal.new.0) (= (MapType0Select alloc.8 ?x1606) (MapType0Select alloc.11 ?x1606)))) :pattern ((MapType0Select alloc.11 ?x1606)) )) (=> (and (= (MapType0Select alloc.8 ?v_5611) UNALLOCATED) (= (MapType0Select alloc.11 ?v_5611) ALLOCATED)) (and (=> true (=> ?v_12 (and (=> true (=> ?v_2893 (=> ?v_2894 (=> true (=> (= errorReached.8 1) ?v_5628))))) (=> true (=> ?v_3566 (=> ?v_3567 (=> true (=> (= errorReached.8 errorReached.7) (=> true ?v_5628))))))))) (=> true (=> ?v_2884 (=> true (=> (= irpCompleted_1.7 irpCompleted_1.5) (=> (= irpCompleted_0.7 irpCompleted_0.5) (=> (= Mem_1_T.CancelRoutine__IRP.13 Mem_1_T.CancelRoutine__IRP.10) (=> (= Mem_0_T.CancelRoutine__IRP.13 Mem_0_T.CancelRoutine__IRP.10) (=> (= errorReached.9 errorReached.7) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5629))))))))))))))))))))))))))))))))))))) (?v_2827 (= inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.1 0)) (?v_2166 (= inline.SerialWrite.0.myNondetVar_0.2 inline.SerialWrite.0.myNondetVar_0)) (?v_2550 (= inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_2719 (= inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.3..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_2749 (= inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_2093 (int_2_U call52577formal.new.0))) (let ((?v_5649 (and (=> true (=> (not ?v_2827) (=> true (and ?v_8 (=> ?v_8 (=> (> call52577formal.new.0 0) (=> (forall ((?x1699 Int)) (! (=> (and (<= call52577formal.new.0 ?x1699) (< ?x1699 (+ call52577formal.new.0 1))) (= (Base ?x1699) call52577formal.new.0)) :pattern ((Base ?x1699)) )) (=> (forall ((?x1700 boogieU)) (! (=> (= (type ?x1700) intType) (or (= (U_2_int ?x1700) call52577formal.new.0) (= (MapType0Select alloc.8 ?x1700) (MapType0Select alloc.9 ?x1700)))) :pattern ((MapType0Select alloc.9 ?x1700)) )) (=> (and (= (MapType0Select alloc.8 ?v_2093) UNALLOCATED) (= (MapType0Select alloc.9 ?v_2093) ALLOCATED)) (=> true (=> (= inline.SerialWrite.0..result.SerialWrite.74.0.1..0 ?v_920) (=> true (=> ?v_2094 (=> ?v_2095 (=> ?v_2096 (=> ?v_2097 (=> ?v_2098 (=> ?v_2099 (=> ?v_2100 (=> ?v_2101 (=> ?v_2102 (=> ?v_2103 (=> ?v_2104 (=> ?v_2105 (=> ?v_2106 (=> ?v_2107 (=> ?v_2108 (=> ?v_2109 (=> ?v_2110 (=> ?v_2111 (=> ?v_2112 (=> ?v_2113 (=> ?v_2114 (=> ?v_2115 (=> ?v_2834 (=> ?v_2116 (=> ?v_2117 (=> ?v_2118 (=> ?v_2119 (=> ?v_2120 (=> ?v_2121 (=> ?v_2122 (=> ?v_2123 (=> ?v_2124 (=> ?v_2125 (=> ?v_2126 (=> ?v_2127 (=> ?v_2128 (=> ?v_2129 (=> ?v_2130 (=> ?v_2131 (=> ?v_2132 (=> ?v_2133 (=> ?v_2134 (=> ?v_2135 (=> ?v_2136 (=> ?v_2137 (=> ?v_2138 (=> ?v_2139 (=> ?v_2140 (=> ?v_2141 (=> ?v_2142 (=> ?v_2143 (=> ?v_2144 (=> ?v_2145 (=> ?v_2146 (=> ?v_2147 (=> ?v_2148 (=> ?v_2835 (=> ?v_2149 (=> ?v_2150 (=> ?v_2151 (=> ?v_2152 (=> ?v_2153 (=> ?v_2154 (=> ?v_2155 (=> ?v_2156 (=> ?v_2157 (=> ?v_2158 (=> ?v_2159 (=> ?v_2160 (=> ?v_2161 (=> ?v_2162 (=> ?v_2163 (=> ?v_2164 (=> ?v_2165 (=> ?v_2836 (=> ?v_2166 (=> ?v_2167 (=> ?v_2168 (=> ?v_2169 (=> ?v_2170 (=> ?v_2171 (=> ?v_2172 (=> ?v_2173 (=> ?v_2174 (=> ?v_2175 (=> ?v_2176 (=> ?v_2177 (=> ?v_2178 (=> ?v_2179 (=> ?v_2180 (=> ?v_2181 (=> ?v_2182 (=> ?v_2183 (=> ?v_2184 (=> ?v_2185 (=> ?v_2186 (=> ?v_2187 (=> ?v_2188 (=> ?v_2189 (=> ?v_2190 (=> ?v_2191 (=> ?v_2192 (=> ?v_2193 (=> ?v_2194 (=> ?v_2195 (=> ?v_2196 (=> ?v_2197 (=> ?v_2198 (=> ?v_2199 (=> ?v_2200 (=> ?v_2201 (=> ?v_2202 (=> ?v_2203 (=> ?v_2204 (=> ?v_2205 (=> ?v_2206 (=> ?v_2207 (=> ?v_2208 (=> ?v_2209 (=> ?v_2210 (=> ?v_2211 (=> ?v_2212 (=> ?v_2213 (=> ?v_2214 (=> ?v_2215 (=> ?v_2216 (=> ?v_2217 (=> ?v_2218 (=> ?v_2219 (=> ?v_2220 (=> ?v_2221 (=> ?v_2222 (=> ?v_2223 (=> ?v_2224 (=> ?v_2225 (=> ?v_2226 (=> ?v_2227 (=> ?v_2228 (=> ?v_2229 (=> ?v_2230 (=> ?v_2231 (=> ?v_2232 (=> ?v_2233 (=> ?v_2234 (=> ?v_2235 (=> ?v_2236 (=> ?v_2237 (=> ?v_2238 (=> ?v_2239 (=> ?v_2240 (=> ?v_2241 (=> ?v_2242 (=> ?v_2243 (=> ?v_2244 (=> ?v_2245 (=> ?v_2246 (=> ?v_2247 (=> ?v_2248 (=> ?v_2249 (=> ?v_2250 (=> ?v_2251 (=> ?v_2252 (=> ?v_2253 (=> ?v_2254 (=> ?v_2255 (=> ?v_2256 (=> ?v_2257 (=> ?v_2258 (=> ?v_2259 (=> ?v_2260 (=> ?v_2261 (=> ?v_2262 (=> ?v_2263 (=> ?v_2264 (=> ?v_2265 (=> ?v_2266 (=> ?v_2267 (=> ?v_2268 (=> ?v_2269 (=> ?v_2270 (=> ?v_2271 (=> ?v_2272 (=> ?v_2273 (=> ?v_2274 (=> ?v_2275 (=> ?v_2837 (=> ?v_2276 (=> ?v_2277 (=> ?v_2278 (=> ?v_2279 (=> ?v_2280 (=> ?v_2281 (=> ?v_2282 (=> ?v_2283 (=> ?v_2838 (=> ?v_2284 (=> ?v_2285 (=> ?v_2286 (=> ?v_2287 (=> ?v_2288 (=> ?v_2289 (=> ?v_2290 (=> ?v_2291 (=> ?v_2292 (=> ?v_2293 (=> ?v_2839 (=> ?v_2294 (=> ?v_2295 (=> ?v_2296 (=> ?v_2297 (=> ?v_2298 (=> ?v_2299 (=> ?v_2300 (=> ?v_2301 (=> ?v_2302 (=> ?v_2303 (=> ?v_2304 (=> ?v_2305 (=> ?v_2306 (=> ?v_2307 (=> ?v_2308 (=> ?v_2309 (=> ?v_2310 (=> ?v_2311 (=> ?v_2312 (=> ?v_2313 (=> ?v_2314 (=> ?v_2315 (=> ?v_2316 (=> ?v_2317 (=> ?v_2318 (=> ?v_2319 (=> ?v_2320 (=> ?v_2321 (=> (= inline.SerialWrite.0.havoc_stringTemp.1 call52577formal.new.0) (=> ?v_2322 (=> ?v_2323 (=> ?v_2324 (=> ?v_2325 (=> ?v_2326 (=> ?v_2327 (=> ?v_2328 (=> ?v_2329 (=> ?v_2330 (=> ?v_2331 (=> ?v_2332 (=> ?v_2333 (=> ?v_2334 (=> ?v_2335 (=> ?v_2336 (=> ?v_2337 (=> ?v_2338 (=> ?v_2339 (=> ?v_2340 (=> ?v_2341 (=> ?v_2342 (=> ?v_2343 (=> ?v_2344 (=> ?v_2345 (=> ?v_2346 (=> ?v_2347 (=> ?v_2840 (=> ?v_2348 (=> ?v_2349 (=> ?v_2350 (=> ?v_2351 (=> ?v_2352 (=> ?v_2353 (=> ?v_2354 (=> ?v_2355 (=> ?v_2356 (=> ?v_2357 (=> ?v_2358 (=> ?v_2359 (=> ?v_2360 (=> ?v_2361 (=> ?v_2362 (=> ?v_2363 (=> ?v_2364 (=> ?v_2365 (=> ?v_2366 (=> ?v_2841 (=> ?v_2367 (=> ?v_2368 (=> ?v_2369 (=> ?v_2842 (=> ?v_2370 (=> ?v_2371 (=> ?v_2843 (=> ?v_2372 (=> ?v_2373 (=> ?v_2374 (=> ?v_2375 (=> ?v_2376 (=> ?v_2377 (=> ?v_2378 (=> ?v_2379 (=> ?v_2380 (=> ?v_2381 (=> ?v_2382 (=> ?v_2383 (=> ?v_2384 (=> ?v_2385 (=> ?v_2386 (=> ?v_2387 (=> ?v_2388 (=> ?v_2389 (=> ?v_2390 (=> ?v_2391 (=> ?v_2392 (=> ?v_2393 (=> ?v_2394 (=> ?v_2844 (=> ?v_2395 (=> ?v_2396 (=> ?v_2397 (=> ?v_2398 (=> ?v_2399 (=> ?v_2400 (=> ?v_2401 (=> ?v_2402 (=> ?v_2403 (=> ?v_2404 (=> ?v_2405 (=> ?v_2406 (=> ?v_2407 (=> ?v_2408 (=> ?v_2409 (=> ?v_2410 (=> ?v_2411 (=> ?v_2412 (=> ?v_2413 (=> ?v_2414 (=> ?v_2845 (=> ?v_2415 (=> ?v_2416 (=> ?v_2417 (=> ?v_2846 (=> ?v_2418 (=> ?v_2419 (=> ?v_2420 (=> ?v_2421 (=> ?v_2422 (=> ?v_2423 (=> ?v_2424 (=> ?v_2425 (=> ?v_2426 (=> ?v_2427 (=> ?v_2428 (=> ?v_2429 (=> ?v_2430 (=> ?v_2431 (=> ?v_2432 (=> ?v_2433 (=> ?v_2434 (=> ?v_2435 (=> ?v_2436 (=> ?v_2437 (=> ?v_2438 (=> ?v_2439 (=> ?v_2440 (=> (= irpCompleted_1.30 irpCompleted_1.5) (=> ?v_2441 (=> ?v_2442 (=> ?v_2443 (=> ?v_2444 (=> (= alloc.76 alloc.9) (=> ?v_2445 (=> ?v_2446 (=> ?v_2447 (=> ?v_2448 (=> ?v_2449 (=> ?v_2450 (=> ?v_2451 (=> ?v_2452 (=> ?v_2453 (=> ?v_2454 (=> ?v_2455 (=> ?v_2456 (=> ?v_2457 (=> ?v_2458 (=> ?v_2459 (=> ?v_2460 (=> ?v_2461 (=> ?v_2462 (=> ?v_2463 (=> ?v_2464 (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 (=> ?v_2847 (=> ?v_2848 (=> ?v_2468 (=> ?v_2469 (=> ?v_2470 (=> ?v_2471 (=> ?v_2472 (=> ?v_2473 (=> ?v_2474 (=> ?v_2475 (=> ?v_2476 (=> ?v_2477 (=> ?v_2478 (=> ?v_2479 (=> ?v_2480 (=> ?v_2849 (=> ?v_2850 (=> ?v_2481 (=> ?v_2482 (=> ?v_2483 (=> ?v_2484 (=> ?v_2485 (=> ?v_2486 (=> ?v_2487 (=> ?v_2488 (=> ?v_2489 (=> ?v_2490 (=> ?v_2491 (=> ?v_2492 (=> ?v_2493 (=> ?v_2494 (=> ?v_2495 (=> ?v_2496 (=> ?v_2497 (=> ?v_2498 (=> ?v_2499 (=> ?v_2500 (=> ?v_2501 (=> ?v_2502 (=> ?v_2503 (=> ?v_2504 (=> ?v_2505 (=> ?v_2506 (=> ?v_2507 (=> ?v_2508 (=> ?v_2509 (=> ?v_2510 (=> ?v_2511 (=> ?v_2512 (=> ?v_2513 (=> ?v_2514 (=> ?v_2515 (=> ?v_2851 (=> ?v_2516 (=> ?v_2517 (=> ?v_2518 (=> ?v_2519 (=> ?v_2520 (=> ?v_2521 (=> ?v_2522 (=> ?v_2523 (=> ?v_2524 (=> ?v_2525 (=> ?v_2526 (=> ?v_2527 (=> ?v_2528 (=> ?v_2529 (=> ?v_2530 (=> ?v_2531 (=> ?v_2532 (=> ?v_2533 (=> ?v_2534 (=> ?v_2535 (=> ?v_2536 (=> ?v_2537 (=> ?v_2538 (=> ?v_2539 (=> ?v_2540 (=> ?v_2541 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> ?v_2545 (=> ?v_2546 (=> ?v_2547 (=> ?v_2548 (=> ?v_2549 (=> ?v_2550 (=> ?v_2551 (=> ?v_2852 (=> ?v_2552 (=> ?v_2553 (=> ?v_2554 (=> ?v_2555 (=> ?v_2556 (=> ?v_2853 (=> ?v_2557 (=> ?v_2558 (=> ?v_2559 (=> (= inline.SerialWrite.0..result.SerialWrite.74.0.1..1 inline.SerialWrite.0..result.SerialWrite.74.0.1..0) (=> ?v_2560 (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> ?v_2564 (=> ?v_2565 (=> ?v_2566 (=> ?v_2567 (=> ?v_2568 (=> ?v_2569 (=> ?v_2570 (=> ?v_2571 (=> ?v_2572 (=> ?v_2573 (=> ?v_2574 (=> ?v_2575 (=> ?v_2576 (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> (= Mem_0_T.CancelRoutine__IRP.69 Mem_0_T.CancelRoutine__IRP.10) (=> ?v_2580 (=> ?v_2581 (=> ?v_2582 (=> ?v_2583 (=> ?v_2584 (=> ?v_2585 (=> ?v_2586 (=> ?v_2587 (=> ?v_2588 (=> ?v_2589 (=> ?v_2590 (=> ?v_2591 (=> ?v_2592 (=> ?v_2593 (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2603 (=> ?v_2604 (=> ?v_2605 (=> ?v_2606 (=> ?v_2854 (=> ?v_2607 (=> ?v_2608 (=> ?v_2609 (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> ?v_2613 (=> ?v_2855 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> ?v_2856 (=> ?v_2857 (=> ?v_2619 (=> ?v_2620 (=> ?v_2621 (=> ?v_2622 (=> ?v_2623 (=> ?v_2624 (=> ?v_2625 (=> ?v_2626 (=> ?v_2627 (=> ?v_2628 (=> ?v_2629 (=> ?v_2630 (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> (= errorReached.50 errorReached.7) (=> ?v_2634 (=> ?v_2635 (=> ?v_2636 (=> ?v_2637 (=> ?v_2638 (=> ?v_2639 (=> ?v_2640 (=> ?v_2858 (=> ?v_2641 (=> ?v_2642 (=> ?v_2643 (=> ?v_2644 (=> ?v_2645 (=> ?v_2646 (=> ?v_2647 (=> ?v_2648 (=> ?v_2649 (=> ?v_2650 (=> ?v_2651 (=> ?v_2652 (=> ?v_2653 (=> ?v_2859 (=> ?v_2654 (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> ?v_2860 (=> ?v_2658 (=> ?v_2659 (=> ?v_2660 (=> ?v_2661 (=> ?v_2662 (=> ?v_2663 (=> (= Mem_1_T.CancelRoutine__IRP.69 Mem_1_T.CancelRoutine__IRP.10) (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_2667 (=> ?v_2668 (=> ?v_2669 (=> ?v_2670 (=> ?v_2671 (=> ?v_2672 (=> ?v_2673 (=> ?v_5615 (=> ?v_2674 (=> ?v_2675 (=> ?v_2676 (=> ?v_2677 (=> ?v_2678 (=> ?v_2679 (=> ?v_2680 (=> ?v_2681 (=> ?v_2682 (=> ?v_2683 (=> ?v_2684 (=> ?v_2685 (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_2689 (=> ?v_2690 (=> ?v_2691 (=> ?v_2692 (=> ?v_2693 (=> ?v_2694 (=> ?v_2695 (=> ?v_2696 (=> ?v_2697 (=> ?v_2698 (=> ?v_2699 (=> ?v_2700 (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> ?v_2704 (=> ?v_2705 (=> ?v_2706 (=> ?v_2707 (=> ?v_2708 (=> (= inline.SerialWrite.0..result.SerialDbgPrintEx.121.23.12..1 inline.SerialWrite.0..result.SerialDbgPrintEx.121.23.12..0) (=> ?v_2709 (=> ?v_2710 (=> ?v_2711 (=> ?v_2712 (=> ?v_2713 (=> ?v_2714 (=> ?v_2862 (=> ?v_2715 (=> ?v_2716 (=> ?v_2717 (=> ?v_2718 (=> ?v_2719 (=> ?v_2720 (=> ?v_2863 (=> ?v_2721 (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> ?v_2727 (=> ?v_2728 (=> ?v_2729 (=> ?v_2730 (=> ?v_2731 (=> ?v_2732 (=> ?v_2733 (=> ?v_2734 (=> ?v_2735 (=> ?v_2736 (=> ?v_2737 (=> ?v_2738 (=> ?v_2739 (=> ?v_2740 (=> ?v_2741 (=> ?v_2742 (=> ?v_2743 (=> ?v_2744 (=> ?v_2745 (=> ?v_2746 (=> ?v_2747 (=> ?v_2748 (=> ?v_2749 (=> ?v_2750 (=> ?v_2751 (=> ?v_2752 (=> ?v_2753 (=> ?v_2754 (=> (= irpCompleted_0.30 irpCompleted_0.5) ?v_5618)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_2827 (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5630)))) (=> true (=> ?v_2884 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.3..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5630))))))))))))) (?v_5651 (= Mem_0_T.CancelRoutine__IRP.10 Mem_0_T.CancelRoutine__IRP.2)) (?v_5652 (= inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..1 inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3.)) (?v_5653 (= irpCompleted_0.5 irpCompleted_0)) (?v_5663 (= inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.0 inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError)) (?v_5654 (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest)) (?v_5655 (= inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1.)) (?v_5664 (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation)) (?v_5665 (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1)) (?v_5656 (= errorReached.7 errorReached.1)) (?v_5657 (= inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue)) (?v_5658 (= alloc.8 alloc.4)) (?v_5659 (= inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2.)) (?v_5666 (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.)) (?v_5667 (= inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..0 inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2.)) (?v_5660 (= irpCompleted_1.5 irpCompleted_1)) (?v_5661 (= inline.SerialCompleteIfError.0.havoc_stringTemp.0 inline.SerialCompleteIfError.0.havoc_stringTemp))) (let ((?v_5662 (=> (= inline.sdv_InterlockedDecrement.1.myNondetVar_0.2 inline.sdv_InterlockedDecrement.1.myNondetVar_0) (=> ?v_2827 (=> (= Mem_1_T.CancelRoutine__IRP.10 Mem_1_T.CancelRoutine__IRP.2) (=> (= inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> true (=> true (=> true (=> true (=> true ?v_5649))))))))))) (?v_5644 (= inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.0 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5645 (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.0 hirp)) (?v_5646 (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.0 hirp)) (?v_5647 (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..1 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (?v_5648 (= inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..0 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0))) (let ((?v_5632 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.10 Mem_0_T.CancelRoutine__IRP.9) (=> (= inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..1 inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..0) (=> (= irpCompleted_0.5 irpCompleted_0.4) (=> ?v_5644 (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.0 hirp) (=> (= inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.1.myNondetVar_0.1) (=> ?v_5645 (=> ?v_5646 (=> (= errorReached.7 errorReached.6) (=> (= inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.1.myNondetVar_0.1) (=> (= alloc.8 alloc.7) (=> (= inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..0) (=> ?v_5647 (=> ?v_5648 (=> (= irpCompleted_1.5 irpCompleted_1.4) (=> (= inline.SerialCompleteIfError.0.havoc_stringTemp.0 call52348formal.new.0) (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.7 inline.SerialCompleteIfError.0.myNondetVar_0.6) (=> (= inline.sdv_InterlockedDecrement.1.myNondetVar_0.2 inline.sdv_InterlockedDecrement.1.myNondetVar_0.1) (=> (= inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.1 inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.0) (=> (= Mem_1_T.CancelRoutine__IRP.10 Mem_1_T.CancelRoutine__IRP.9) (=> (= inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.1.myNondetVar_0.1) (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.0 hirp) ?v_5649)))))))))))))))))))))))) (?v_5631 (= inline.sdv_InterlockedDecrement.1.myNondetVar_0.1 0))) (let ((?v_5641 (and (=> true (=> (not ?v_5631) (=> true (=> (= inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2.) ?v_5632)))) (=> true (=> ?v_5631 (=> true (=> (= inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..0 call52549formal.ret.0) (=> true (=> true (=> true ?v_5632)))))))))) (let ((?v_5633 (=> true (=> (= irpCompleted_1.4 irpCompleted_1.3) (=> (= irpCompleted_0.4 irpCompleted_0.3) (=> (= Mem_1_T.CancelRoutine__IRP.9 Mem_1_T.CancelRoutine__IRP.8) (=> (= Mem_0_T.CancelRoutine__IRP.9 Mem_0_T.CancelRoutine__IRP.8) (=> (= errorReached.6 errorReached.5) ?v_5641))))))) (?v_5634 (= irpCompleted_1.3 irpCompleted_1))) (let ((?v_5635 (=> (= irpCompleted_0.3 irpCompleted_0) (=> true ?v_5633)))) (let ((?v_5637 (and (=> true (=> ?v_2088 (=> true (=> ?v_5634 (=> (= irpCompleted_0.3 1) ?v_5633))))) (=> true (=> ?v_3570 (and (=> true (=> ?v_2829 (=> true (=> (= irpCompleted_1.3 1) ?v_5635)))) (=> true (=> ?v_3572 (=> true (=> ?v_5634 ?v_5635))))))))) (?v_5638 (= Mem_1_T.CancelRoutine__IRP.8 Mem_1_T.CancelRoutine__IRP.2))) (let ((?v_5639 (=> (= Mem_0_T.CancelRoutine__IRP.8 Mem_0_T.CancelRoutine__IRP.2) (=> true (=> true ?v_5637)))) (?v_5636 (MapType0Store Mem_1_T.CancelRoutine__IRP.2 ?v_919 ?v_35)) (?v_2092 (MapType0Store Mem_0_T.CancelRoutine__IRP.2 ?v_919 ?v_35))) (let ((?v_5640 (and (=> true (=> ?v_2088 (=> (= Mem_0_T.CancelRoutine__IRP.7 ?v_2092) (=> true (=> ?v_5638 (=> (= Mem_0_T.CancelRoutine__IRP.8 Mem_0_T.CancelRoutine__IRP.7) ?v_5637)))))) (=> true (=> ?v_3570 (and (=> true (=> ?v_2829 (=> (= Mem_1_T.CancelRoutine__IRP.7 ?v_5636) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.8 Mem_1_T.CancelRoutine__IRP.7) ?v_5639))))) (=> true (=> ?v_3572 (=> true (=> ?v_5638 ?v_5639))))))))) (?v_18 (= irpCompleted_0 0)) (?v_19 (= irpCompleted_1 0))) (let ((?v_2090 (not ?v_18)) (?v_2091 (not ?v_19)) (?v_2089 (int_2_U call52348formal.new.0))) (let ((?v_5643 (=> true (=> (= inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.0 ?v_920) (=> true (and ?v_8 (=> ?v_8 (=> (> call52348formal.new.0 0) (=> (forall ((?x1701 Int)) (! (=> (and (<= call52348formal.new.0 ?x1701) (< ?x1701 (+ call52348formal.new.0 1))) (= (Base ?x1701) call52348formal.new.0)) :pattern ((Base ?x1701)) )) (=> (forall ((?x1702 boogieU)) (! (=> (= (type ?x1702) intType) (or (= (U_2_int ?x1702) call52348formal.new.0) (= (MapType0Select alloc.4 ?x1702) (MapType0Select alloc.7 ?x1702)))) :pattern ((MapType0Select alloc.7 ?x1702)) )) (=> (and (= (MapType0Select alloc.4 ?v_2089) UNALLOCATED) (= (MapType0Select alloc.7 ?v_2089) ALLOCATED)) (and (=> true (=> ?v_12 (and (=> true (=> (=> ?v_2088 ?v_2090) (=> (=> ?v_2829 ?v_2091) (=> true (=> (= errorReached.5 1) ?v_5640))))) (=> true (=> (=> ?v_2088 ?v_18) (=> (=> ?v_2829 ?v_19) (=> true (=> (= errorReached.5 errorReached.1) (=> true ?v_5640))))))))) (=> true (=> ?v_2884 (=> true (=> (= irpCompleted_1.4 irpCompleted_1) (=> (= irpCompleted_0.4 irpCompleted_0) (=> (= Mem_1_T.CancelRoutine__IRP.9 Mem_1_T.CancelRoutine__IRP.2) (=> (= Mem_0_T.CancelRoutine__IRP.9 Mem_0_T.CancelRoutine__IRP.2) (=> (= errorReached.6 errorReached.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5641)))))))))))))))))))))))))))))))))))) (?v_5642 (not (= (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))) 14)))) (let ((?v_5650 (and (=> true (=> ?v_5642 (=> true (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.6 inline.SerialCompleteIfError.0.myNondetVar_0.2) ?v_5643)))) (=> true (=> (not ?v_5642) (and (=> true (=> (not (= inline.SerialCompleteIfError.0.myNondetVar_0.5 1769580)) (=> true (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.6 inline.SerialCompleteIfError.0.myNondetVar_0.5) ?v_5643)))) (=> true (=> (not (not (= inline.SerialCompleteIfError.0.myNondetVar_0.4 1769580))) (=> true (=> ?v_5651 (=> ?v_5652 (=> ?v_5653 (=> ?v_5644 (=> ?v_5654 (=> ?v_5655 (=> ?v_5645 (=> ?v_5646 (=> ?v_5656 (=> ?v_5657 (=> ?v_5658 (=> ?v_5659 (=> ?v_5647 (=> ?v_5648 (=> ?v_5660 (=> ?v_5661 (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.7 inline.SerialCompleteIfError.0.myNondetVar_0.4) ?v_5662)))))))))))))))))))))))))) (let ((?v_5668 (and (=> true (=> (not (= (BIT_BAND inline.SerialCompleteIfError.0.myNondetVar_0.0 BOOGIE_LARGE_INT_2147483648) 0)) (and (=> true (=> (not (= inline.SerialCompleteIfError.0.myNondetVar_0.2 0)) (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5650)))) (=> true (=> ?v_2884 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true (=> true ?v_5650)))))))))))) (=> true (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.3 0) (=> true (=> ?v_5651 (=> ?v_5652 (=> ?v_5653 (=> ?v_5663 (=> ?v_5654 (=> ?v_5655 (=> ?v_5664 (=> ?v_5665 (=> ?v_5656 (=> ?v_5657 (=> ?v_5658 (=> ?v_5659 (=> ?v_5666 (=> ?v_5667 (=> ?v_5660 (=> ?v_5661 (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.7 inline.SerialCompleteIfError.0.myNondetVar_0.3) ?v_5662))))))))))))))))))))))) (=> true (=> (= (BIT_BAND inline.SerialCompleteIfError.0.myNondetVar_0.1 BOOGIE_LARGE_INT_2147483648) 0) (=> true (=> ?v_5651 (=> ?v_5652 (=> ?v_5653 (=> ?v_5663 (=> ?v_5654 (=> ?v_5655 (=> ?v_5664 (=> ?v_5665 (=> ?v_5656 (=> ?v_5657 (=> ?v_5658 (=> ?v_5659 (=> ?v_5666 (=> ?v_5667 (=> ?v_5660 (=> ?v_5661 (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.7 inline.SerialCompleteIfError.0.myNondetVar_0.1) ?v_5662))))))))))))))))))))))) (let ((?v_5669 (=> true (=> true (=> true (=> true ?v_5668))))) (?v_2087 (int_2_U call51901formal.new.0)) (?v_16 (= inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2 0)) (?v_21 (int_2_U call51917formal.new.0))) (let ((?v_2086 (=> true (and ?v_8 (=> ?v_8 (=> (> call51917formal.new.0 0) (=> (forall ((?x1705 Int)) (! (=> (and (<= call51917formal.new.0 ?x1705) (< ?x1705 (+ call51917formal.new.0 1))) (= (Base ?x1705) call51917formal.new.0)) :pattern ((Base ?x1705)) )) (=> (forall ((?x1706 boogieU)) (! (=> (= (type ?x1706) intType) (or (= (U_2_int ?x1706) call51917formal.new.0) (= (MapType0Select alloc.5 ?x1706) (MapType0Select alloc.6 ?x1706)))) :pattern ((MapType0Select alloc.6 ?x1706)) )) (=> (and (= (MapType0Select alloc.5 ?v_21) UNALLOCATED) (= (MapType0Select alloc.6 ?v_21) ALLOCATED)) (=> true (=> ?v_2094 (=> ?v_2095 (=> ?v_2096 (=> ?v_2097 (=> ?v_2098 (=> ?v_2099 (=> ?v_2100 (=> ?v_2101 (=> ?v_2102 (=> ?v_2103 (=> ?v_2104 (=> ?v_2105 (=> ?v_2106 (=> ?v_2107 (=> ?v_2108 (=> ?v_2109 (=> ?v_2110 (=> ?v_2111 (=> ?v_2112 (=> ?v_2113 (=> ?v_2114 (=> ?v_2115 (=> (= inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2..1 inline.SerialCompleteIfError.0..result.sdv_IoGetCurrentIrpStackLocation.928.63.2.) (=> ?v_2116 (=> ?v_2117 (=> ?v_2118 (=> ?v_2119 (=> ?v_2120 (=> ?v_2121 (=> ?v_2122 (=> ?v_2123 (=> ?v_2124 (=> ?v_2125 (=> ?v_2126 (=> ?v_2127 (=> ?v_2128 (=> ?v_2129 (=> ?v_2130 (=> ?v_2131 (=> ?v_2132 (=> ?v_2133 (=> ?v_2134 (=> ?v_2135 (=> ?v_2136 (=> ?v_2137 (=> ?v_2138 (=> ?v_2139 (=> ?v_2140 (=> ?v_2141 (=> ?v_2142 (=> ?v_2143 (=> ?v_2144 (=> ?v_2145 (=> ?v_2146 (=> ?v_2147 (=> ?v_2148 (=> (= inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError1.0 inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError1) (=> ?v_2149 (=> ?v_2150 (=> ?v_2151 (=> ?v_2152 (=> ?v_2153 (=> ?v_2154 (=> ?v_2155 (=> ?v_2156 (=> ?v_2157 (=> ?v_2158 (=> ?v_2159 (=> ?v_2160 (=> ?v_2161 (=> ?v_2162 (=> ?v_2163 (=> ?v_2164 (=> ?v_2165 (=> (= inline.sdv_InterlockedDecrement.0.myNondetVar_0.3 inline.sdv_InterlockedDecrement.0.myNondetVar_0.2) (=> ?v_2166 (=> ?v_2167 (=> ?v_2168 (=> ?v_2169 (=> ?v_2170 (=> ?v_2171 (=> ?v_2172 (=> ?v_2173 (=> ?v_2174 (=> ?v_2175 (=> ?v_2176 (=> ?v_2177 (=> ?v_2178 (=> ?v_2179 (=> ?v_2180 (=> ?v_2181 (=> ?v_2182 (=> ?v_2183 (=> ?v_2184 (=> ?v_2185 (=> ?v_2186 (=> ?v_2187 (=> ?v_2188 (=> ?v_2189 (=> ?v_2190 (=> ?v_2191 (=> ?v_2192 (=> ?v_2193 (=> ?v_2194 (=> ?v_2195 (=> ?v_2196 (=> ?v_2197 (=> ?v_2198 (=> ?v_2199 (=> ?v_2200 (=> ?v_2201 (=> ?v_2202 (=> ?v_2203 (=> ?v_2204 (=> ?v_2205 (=> ?v_2206 (=> ?v_2207 (=> ?v_2208 (=> ?v_2209 (=> ?v_2210 (=> ?v_2211 (=> ?v_2212 (=> ?v_2213 (=> ?v_2214 (=> ?v_2215 (=> ?v_2216 (=> ?v_2217 (=> ?v_2218 (=> ?v_2219 (=> ?v_2220 (=> ?v_2221 (=> ?v_2222 (=> ?v_2223 (=> ?v_2224 (=> ?v_2225 (=> ?v_2226 (=> ?v_2227 (=> ?v_2228 (=> ?v_2229 (=> ?v_2230 (=> ?v_2231 (=> ?v_2232 (=> ?v_2233 (=> ?v_2234 (=> ?v_2235 (=> ?v_2236 (=> ?v_2237 (=> ?v_2238 (=> ?v_2239 (=> ?v_2240 (=> ?v_2241 (=> ?v_2242 (=> ?v_2243 (=> ?v_2244 (=> ?v_2245 (=> ?v_2246 (=> ?v_2247 (=> ?v_2248 (=> ?v_2249 (=> ?v_2250 (=> ?v_2251 (=> ?v_2252 (=> ?v_2253 (=> ?v_2254 (=> ?v_2255 (=> ?v_2256 (=> ?v_2257 (=> ?v_2258 (=> ?v_2259 (=> ?v_2260 (=> ?v_2261 (=> ?v_2262 (=> ?v_2263 (=> ?v_2264 (=> ?v_2265 (=> ?v_2266 (=> ?v_2267 (=> ?v_2268 (=> ?v_2269 (=> ?v_2270 (=> ?v_2271 (=> ?v_2272 (=> ?v_2273 (=> ?v_2274 (=> ?v_2275 (=> (= inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.1..result.sdv_InterlockedDecrement.6483.0.1.) (=> ?v_2276 (=> ?v_2277 (=> ?v_2278 (=> ?v_2279 (=> ?v_2280 (=> ?v_2281 (=> ?v_2282 (=> ?v_2283 (=> (= inline.SerialWrite.0..result.SerialDbgPrintEx.114.22.7..1 inline.SerialWrite.0..result.SerialDbgPrintEx.114.22.7..0) (=> ?v_2284 (=> ?v_2285 (=> ?v_2286 (=> ?v_2287 (=> ?v_2288 (=> ?v_2289 (=> ?v_2290 (=> ?v_2291 (=> ?v_2292 (=> ?v_2293 (=> (= inline.SerialCompleteIfError.0..result.SerialCompleteIfError.892.0.1..0 inline.SerialCompleteIfError.0..result.SerialCompleteIfError.892.0.1.) (=> ?v_2294 (=> ?v_2295 (=> ?v_2296 (=> ?v_2297 (=> ?v_2298 (=> ?v_2299 (=> ?v_2300 (=> ?v_2301 (=> ?v_2302 (=> ?v_2303 (=> ?v_2304 (=> ?v_2305 (=> ?v_2306 (=> ?v_2307 (=> ?v_2308 (=> ?v_2309 (=> ?v_2310 (=> ?v_2311 (=> ?v_2312 (=> ?v_2313 (=> ?v_2314 (=> ?v_2315 (=> ?v_2316 (=> ?v_2317 (=> ?v_2318 (=> ?v_2319 (=> ?v_2320 (=> ?v_2321 (=> (= inline.SerialWrite.0.havoc_stringTemp.1 call51917formal.new.0) (=> ?v_2322 (=> ?v_2323 (=> ?v_2324 (=> ?v_2325 (=> ?v_2326 (=> ?v_2327 (=> ?v_2328 (=> ?v_2329 (=> ?v_2330 (=> ?v_2331 (=> ?v_2332 (=> ?v_2333 (=> ?v_2334 (=> ?v_2335 (=> ?v_2336 (=> ?v_2337 (=> ?v_2338 (=> ?v_2339 (=> ?v_2340 (=> ?v_2341 (=> ?v_2342 (=> ?v_2343 (=> ?v_2344 (=> ?v_2345 (=> ?v_2346 (=> ?v_2347 (=> (= inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError.0 inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError) (=> ?v_2348 (=> ?v_2349 (=> ?v_2350 (=> ?v_2351 (=> ?v_2352 (=> ?v_2353 (=> ?v_2354 (=> ?v_2355 (=> ?v_2356 (=> ?v_2357 (=> ?v_2358 (=> ?v_2359 (=> ?v_2360 (=> ?v_2361 (=> ?v_2362 (=> ?v_2363 (=> ?v_2364 (=> ?v_2365 (=> ?v_2366 (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.0) (=> ?v_2367 (=> ?v_2368 (=> ?v_2369 (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1.1 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest1) (=> ?v_2370 (=> ?v_2371 (=> (= inline.SerialCompleteIfError.0.myNondetVar_0.8 inline.SerialCompleteIfError.0.myNondetVar_0) (=> ?v_2372 (=> ?v_2373 (=> ?v_2374 (=> ?v_2375 (=> ?v_2376 (=> ?v_2377 (=> ?v_2378 (=> ?v_2379 (=> ?v_2380 (=> ?v_2381 (=> ?v_2382 (=> ?v_2383 (=> ?v_2384 (=> ?v_2385 (=> ?v_2386 (=> ?v_2387 (=> ?v_2388 (=> ?v_2389 (=> ?v_2390 (=> ?v_2391 (=> ?v_2392 (=> ?v_2393 (=> ?v_2394 (=> (= inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3..2 inline.SerialCompleteIfError.0..result.SerialDbgPrintEx.943.12.3.) (=> ?v_2395 (=> ?v_2396 (=> ?v_2397 (=> ?v_2398 (=> ?v_2399 (=> ?v_2400 (=> ?v_2401 (=> ?v_2402 (=> ?v_2403 (=> ?v_2404 (=> ?v_2405 (=> ?v_2406 (=> ?v_2407 (=> ?v_2408 (=> ?v_2409 (=> ?v_2410 (=> ?v_2411 (=> ?v_2412 (=> ?v_2413 (=> ?v_2414 (=> (= inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError.0 inline.SerialCompleteIfError.0..DeviceObject.1.893.19.SerialCompleteIfError) (=> ?v_2415 (=> ?v_2416 (=> ?v_2417 (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.0) (=> ?v_2418 (=> ?v_2419 (=> ?v_2420 (=> ?v_2421 (=> ?v_2422 (=> ?v_2423 (=> ?v_2424 (=> ?v_2425 (=> ?v_2426 (=> ?v_2427 (=> ?v_2428 (=> ?v_2429 (=> ?v_2430 (=> ?v_2431 (=> ?v_2432 (=> ?v_2433 (=> ?v_2434 (=> ?v_2435 (=> ?v_2436 (=> ?v_2437 (=> ?v_2438 (=> ?v_2439 (=> ?v_2440 (=> (= irpCompleted_1.30 irpCompleted_1.2) (=> ?v_2441 (=> ?v_2442 (=> ?v_2443 (=> ?v_2444 (=> (= alloc.76 alloc.6) (=> ?v_2445 (=> ?v_2446 (=> ?v_2447 (=> ?v_2448 (=> ?v_2449 (=> ?v_2450 (=> ?v_2451 (=> ?v_2452 (=> ?v_2453 (=> ?v_2454 (=> ?v_2455 (=> ?v_2456 (=> ?v_2457 (=> ?v_2458 (=> ?v_2459 (=> ?v_2460 (=> ?v_2461 (=> ?v_2462 (=> ?v_2463 (=> ?v_2464 (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 (=> (= inline.SerialWrite.0..result.SerialCompleteIfError.120.29.11..0 inline.SerialWrite.0..result.SerialCompleteIfError.120.29.11.) (=> (= inline.SerialCompleteIfError.0.havoc_stringTemp.1 inline.SerialCompleteIfError.0.havoc_stringTemp) (=> ?v_2468 (=> ?v_2469 (=> ?v_2470 (=> ?v_2471 (=> ?v_2472 (=> ?v_2473 (=> ?v_2474 (=> ?v_2475 (=> ?v_2476 (=> ?v_2477 (=> ?v_2478 (=> ?v_2479 (=> ?v_2480 (=> (= inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..1) (=> (= inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.1..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> ?v_2481 (=> ?v_2482 (=> ?v_2483 (=> ?v_2484 (=> ?v_2485 (=> ?v_2486 (=> ?v_2487 (=> ?v_2488 (=> ?v_2489 (=> ?v_2490 (=> ?v_2491 (=> ?v_2492 (=> ?v_2493 (=> ?v_2494 (=> ?v_2495 (=> ?v_2496 (=> ?v_2497 (=> ?v_2498 (=> ?v_2499 (=> ?v_2500 (=> ?v_2501 (=> ?v_2502 (=> ?v_2503 (=> ?v_2504 (=> ?v_2505 (=> ?v_2506 (=> ?v_2507 (=> ?v_2508 (=> ?v_2509 (=> ?v_2510 (=> ?v_2511 (=> ?v_2512 (=> ?v_2513 (=> ?v_2514 (=> ?v_2515 (=> (= inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.1 inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.0) (=> ?v_2516 (=> ?v_2517 (=> ?v_2518 (=> ?v_2519 (=> ?v_2520 (=> ?v_2521 (=> ?v_2522 (=> ?v_2523 (=> ?v_2524 (=> ?v_2525 (=> ?v_2526 (=> ?v_2527 (=> ?v_2528 (=> ?v_2529 (=> ?v_2530 (=> ?v_2531 (=> ?v_2532 (=> ?v_2533 (=> ?v_2534 (=> ?v_2535 (=> ?v_2536 (=> ?v_2537 (=> ?v_2538 (=> ?v_2539 (=> ?v_2540 (=> ?v_2541 (=> ?v_2542 (=> ?v_2543 (=> ?v_2544 (=> ?v_2545 (=> ?v_2546 (=> ?v_2547 (=> ?v_2548 (=> ?v_2549 (=> ?v_2550 (=> ?v_2551 (=> (= inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..2 inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..1) (=> ?v_2552 (=> ?v_2553 (=> ?v_2554 (=> ?v_2555 (=> ?v_2556 (=> (= inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError.1 inline.SerialCompleteIfError.0..irpSp.5.928.27.SerialCompleteIfError) (=> ?v_2557 (=> ?v_2558 (=> ?v_2559 (=> (= inline.SerialWrite.0..result.SerialWrite.74.0.1..1 inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2) (=> ?v_2560 (=> ?v_2561 (=> ?v_2562 (=> ?v_2563 (=> ?v_2564 (=> ?v_2565 (=> ?v_2566 (=> ?v_2567 (=> ?v_2568 (=> ?v_2569 (=> ?v_2570 (=> ?v_2571 (=> ?v_2572 (=> ?v_2573 (=> ?v_2574 (=> ?v_2575 (=> ?v_2576 (=> ?v_2577 (=> ?v_2578 (=> ?v_2579 (=> (= Mem_0_T.CancelRoutine__IRP.69 Mem_0_T.CancelRoutine__IRP.6) (=> ?v_2580 (=> ?v_2581 (=> ?v_2582 (=> ?v_2583 (=> ?v_2584 (=> ?v_2585 (=> ?v_2586 (=> ?v_2587 (=> ?v_2588 (=> ?v_2589 (=> ?v_2590 (=> ?v_2591 (=> ?v_2592 (=> ?v_2593 (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2603 (=> ?v_2604 (=> ?v_2605 (=> ?v_2606 (=> (= inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError1.0 inline.SerialCompleteIfError.0..Irp.2.894.9.SerialCompleteIfError1) (=> ?v_2607 (=> ?v_2608 (=> ?v_2609 (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> ?v_2613 (=> (= inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError.2 inline.SerialCompleteIfError.0..status.4.921.13.SerialCompleteIfError) (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> (= inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5..2 inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5..1) (=> (= inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..1 inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..0) (=> ?v_2619 (=> ?v_2620 (=> ?v_2621 (=> ?v_2622 (=> ?v_2623 (=> ?v_2624 (=> ?v_2625 (=> ?v_2626 (=> ?v_2627 (=> ?v_2628 (=> ?v_2629 (=> ?v_2630 (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> (= errorReached.50 errorReached.4) (=> ?v_2634 (=> ?v_2635 (=> ?v_2636 (=> ?v_2637 (=> ?v_2638 (=> ?v_2639 (=> ?v_2640 (=> (= inline.SerialWrite.0..result.SerialDbgPrintEx.118.20.9..1 inline.SerialWrite.0..result.SerialDbgPrintEx.118.20.9.) (=> ?v_2641 (=> ?v_2642 (=> ?v_2643 (=> ?v_2644 (=> ?v_2645 (=> ?v_2646 (=> ?v_2647 (=> ?v_2648 (=> ?v_2649 (=> ?v_2650 (=> ?v_2651 (=> ?v_2652 (=> ?v_2653 (=> (= inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest.1 inline.sdv_IoCompleteRequest.1..pirp.1.2072.12.sdv_IoCompleteRequest) (=> ?v_2654 (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1.1 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation1) (=> ?v_2658 (=> ?v_2659 (=> ?v_2660 (=> ?v_2661 (=> ?v_2662 (=> ?v_2663 (=> (= Mem_1_T.CancelRoutine__IRP.69 Mem_1_T.CancelRoutine__IRP.6) (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_2667 (=> ?v_2668 (=> ?v_2669 (=> ?v_2670 (=> ?v_2671 (=> ?v_2672 (=> ?v_2673 (=> (= k.52 k.5) (=> ?v_2674 (=> ?v_2675 (=> ?v_2676 (=> ?v_2677 (=> ?v_2678 (=> ?v_2679 (=> ?v_2680 (=> ?v_2681 (=> ?v_2682 (=> ?v_2683 (=> ?v_2684 (=> ?v_2685 (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_2689 (=> ?v_2690 (=> ?v_2691 (=> ?v_2692 (=> ?v_2693 (=> ?v_2694 (=> ?v_2695 (=> ?v_2696 (=> ?v_2697 (=> ?v_2698 (=> ?v_2699 (=> ?v_2700 (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> ?v_2704 (=> ?v_2705 (=> ?v_2706 (=> ?v_2707 (=> ?v_2708 (=> ?v_2861 (=> ?v_2709 (=> ?v_2710 (=> ?v_2711 (=> ?v_2712 (=> ?v_2713 (=> ?v_2714 (=> (= inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..0) (=> ?v_2715 (=> ?v_2716 (=> ?v_2717 (=> ?v_2718 (=> ?v_2719 (=> ?v_2720 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..2 inline.sdv_IoGetCurrentIrpStackLocation.2..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1.) (=> ?v_2721 (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> ?v_2727 (=> ?v_2728 (=> ?v_2729 (=> ?v_2730 (=> ?v_2731 (=> ?v_2732 (=> ?v_2733 (=> ?v_2734 (=> ?v_2735 (=> ?v_2736 (=> ?v_2737 (=> ?v_2738 (=> ?v_2739 (=> ?v_2740 (=> ?v_2741 (=> ?v_2742 (=> ?v_2743 (=> ?v_2744 (=> ?v_2745 (=> ?v_2746 (=> ?v_2747 (=> ?v_2748 (=> ?v_2749 (=> ?v_2750 (=> ?v_2751 (=> ?v_2752 (=> ?v_2753 (=> ?v_2754 (=> (= irpCompleted_0.30 irpCompleted_0.2) (=> ?v_2755 (=> ?v_2756 (=> ?v_2757 (=> ?v_2758 (=> ?v_2759 (=> ?v_2760 (=> ?v_2761 (=> ?v_2762 (=> ?v_2763 (=> ?v_2764 (=> ?v_2765 (=> ?v_2766 (=> ?v_2767 (=> ?v_2768 (=> ?v_2769 (=> (= inline.sdv_InterlockedDecrement.1.myNondetVar_0.3 inline.sdv_InterlockedDecrement.1.myNondetVar_0) (=> ?v_2770 (=> ?v_2771 (=> ?v_2772 (=> ?v_2773 (=> ?v_2774 (=> ?v_2775 (=> ?v_2776 (=> ?v_2777 (=> ?v_2778 (=> ?v_2779 (=> ?v_2780 (=> ?v_2781 (=> ?v_2782 (=> ?v_2783 (=> ?v_2784 (=> ?v_2785 (=> ?v_2786 (=> ?v_2787 (=> ?v_2788 (=> ?v_2789 (=> ?v_2790 (=> ?v_2791 (=> ?v_2792 (=> ?v_2793 (=> ?v_2794 (=> ?v_2795 (=> ?v_2796 (=> ?v_2797 (=> ?v_2798 (=> ?v_2799 (=> ?v_2800 (=> ?v_2801 (=> ?v_2802 (=> ?v_2803 (=> ?v_2804 (=> ?v_2805 (=> ?v_2806 (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.3 inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError) (=> ?v_2807 (=> ?v_2808 (=> ?v_2809 (=> ?v_2810 (=> ?v_2811 (=> ?v_2812 (=> ?v_2813 (=> ?v_2814 (=> ?v_2815 (=> ?v_2816 (=> ?v_2817 (=> (= inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1..1 inline.SerialIRPEpilogue.1..result.sdv_InterlockedDecrement.1227.36.1.) (=> ?v_2818 (=> (= inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation.1 inline.sdv_IoGetCurrentIrpStackLocation.2..pirp.1.2589.12.sdv_IoGetCurrentIrpStackLocation) (=> ?v_2819 (=> ?v_2820 (=> ?v_2821 (=> ?v_2822 (=> ?v_2823 (=> ?v_2824 (=> (= inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2..2 inline.KeSetEvent.1..result.SdvMakeChoice.4659.26.2.) (=> ?v_2825 ?v_2826))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_5736 (= inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2 259))) (let ((?v_2085 (not ?v_5736)) (?v_2073 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.6 Mem_0_T.CancelRoutine__IRP.5) (=> (= inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..0) (=> (= inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..0) (=> (= irpCompleted_0.2 irpCompleted_0.1) (=> (= errorReached.4 errorReached.3) (=> (= inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.sdv_InterlockedDecrement.0.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.0.myNondetVar_0.2 inline.sdv_InterlockedDecrement.0.myNondetVar_0.1) (=> (= alloc.5 alloc.3) (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.0 hirp) (=> (= irpCompleted_1.2 irpCompleted_1.1) (=> (= inline.SerialWrite.0.havoc_stringTemp.0 call51921formal.new.0) (=> (= inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5..1 inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5..0) (=> (= inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..0 inline.sdv_InterlockedDecrement.0.myNondetVar_0.1) (=> (= inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.0.myNondetVar_0.1) (=> (= Mem_1_T.CancelRoutine__IRP.6 Mem_1_T.CancelRoutine__IRP.5) (=> (= k.5 k.4) (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.0 hirp) ?v_2086))))))))))))))))))) (?v_2072 (= inline.sdv_InterlockedDecrement.0.myNondetVar_0.1 0))) (let ((?v_2084 (and (=> true (=> (not ?v_2072) (=> true (=> (= inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..0 inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2.) ?v_2073)))) (=> true (=> ?v_2072 (=> true (=> (= inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..0 call52124formal.ret.0) (=> true (=> true (=> true ?v_2073)))))))))) (let ((?v_2075 (=> true (=> (= irpCompleted_1.1 irpCompleted_1.0) (=> (= irpCompleted_0.1 irpCompleted_0.0) (=> (= Mem_1_T.CancelRoutine__IRP.5 Mem_1_T.CancelRoutine__IRP.4) (=> (= k.4 k.3) (=> (= Mem_0_T.CancelRoutine__IRP.5 Mem_0_T.CancelRoutine__IRP.4) (=> (= errorReached.3 errorReached.2) (=> (= inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..0 call51954formal.ret.0) ?v_2084))))))))) (?v_2076 (= irpCompleted_1.0 irpCompleted_1))) (let ((?v_2077 (=> (= irpCompleted_0.0 irpCompleted_0) (=> true ?v_2075))) (?v_2074 (= k.3 1))) (let ((?v_2080 (not ?v_2074)) (?v_20 (= k.3 0))) (let ((?v_2078 (not ?v_20))) (let ((?v_2079 (and (=> true (=> ?v_20 (=> true (=> ?v_2076 (=> (= irpCompleted_0.0 1) ?v_2075))))) (=> true (=> ?v_2078 (and (=> true (=> ?v_2074 (=> true (=> (= irpCompleted_1.0 1) ?v_2077)))) (=> true (=> ?v_2080 (=> true (=> ?v_2076 ?v_2077))))))))) (?v_2081 (= Mem_1_T.CancelRoutine__IRP.4 Mem_1_T.CancelRoutine__IRP.2))) (let ((?v_2082 (=> (= Mem_0_T.CancelRoutine__IRP.4 Mem_0_T.CancelRoutine__IRP.2) (=> true (=> true ?v_2079))))) (let ((?v_2083 (and (=> true (=> ?v_20 (=> (= Mem_0_T.CancelRoutine__IRP.3 ?v_2092) (=> true (=> ?v_2081 (=> (= Mem_0_T.CancelRoutine__IRP.4 Mem_0_T.CancelRoutine__IRP.3) ?v_2079)))))) (=> true (=> ?v_2078 (and (=> true (=> ?v_2074 (=> (= Mem_1_T.CancelRoutine__IRP.3 ?v_5636) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.4 Mem_1_T.CancelRoutine__IRP.3) ?v_2082))))) (=> true (=> ?v_2080 (=> true (=> ?v_2081 ?v_2082))))))))) (?v_17 (int_2_U call51921formal.new.0))) (let ((?v_5699 (and (=> true (=> (not ?v_16) (and (=> true (=> ?v_2085 (=> true (and ?v_8 (=> ?v_8 (=> (> call51921formal.new.0 0) (=> (forall ((?x1707 Int)) (! (=> (and (<= call51921formal.new.0 ?x1707) (< ?x1707 (+ call51921formal.new.0 1))) (= (Base ?x1707) call51921formal.new.0)) :pattern ((Base ?x1707)) )) (=> (forall ((?x1708 boogieU)) (! (=> (= (type ?x1708) intType) (or (= (U_2_int ?x1708) call51921formal.new.0) (= (MapType0Select alloc.2 ?x1708) (MapType0Select alloc.3 ?x1708)))) :pattern ((MapType0Select alloc.3 ?x1708)) )) (=> (and (= (MapType0Select alloc.2 ?v_17) UNALLOCATED) (= (MapType0Select alloc.3 ?v_17) ALLOCATED)) (and (=> true (=> ?v_12 (=> true (=> (<= k.2 k.3) (=> (< k.3 2) (and (=> true (=> (=> ?v_20 ?v_2090) (=> (=> ?v_2074 ?v_2091) (=> true (=> (= errorReached.2 1) ?v_2083))))) (=> true (=> (=> ?v_20 ?v_18) (=> (=> ?v_2074 ?v_19) (=> true (=> (= errorReached.2 errorReached.1) (=> true ?v_2083)))))))))))) (=> true (=> ?v_2884 (=> true (=> (= irpCompleted_1.1 irpCompleted_1) (=> (= irpCompleted_0.1 irpCompleted_0) (=> (= Mem_1_T.CancelRoutine__IRP.5 Mem_1_T.CancelRoutine__IRP.2) (=> (= k.4 k.2) (=> (= Mem_0_T.CancelRoutine__IRP.5 Mem_0_T.CancelRoutine__IRP.2) (=> (= errorReached.3 errorReached.1) (=> (= inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..0 inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2084))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_2085) (=> true (=> (= Mem_0_T.CancelRoutine__IRP.6 Mem_0_T.CancelRoutine__IRP.2) (=> (= inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1..1 inline.sdv_IoCompleteRequest.0..result.userContextSwitch.2077.4.1.) (=> (= inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2..1 inline.KeSetEvent.0..result.SdvMakeChoice.4659.26.2.) (=> (= irpCompleted_0.2 irpCompleted_0) (=> (= errorReached.4 errorReached.1) (=> (= inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue.0 inline.SerialIRPEpilogue.0..pendingCnt.2.1225.8.SerialIRPEpilogue) (=> (= inline.sdv_InterlockedDecrement.0.myNondetVar_0.2 inline.sdv_InterlockedDecrement.0.myNondetVar_0) (=> (= alloc.5 alloc.2) (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest.0 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest) (=> (= irpCompleted_1.2 irpCompleted_1) (=> (= inline.SerialWrite.0.havoc_stringTemp.0 call50562formal.new.0) (=> (= inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5..1 inline.SerialWrite.0..result.SerialDbgPrintEx.112.9.5.) (=> (= inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1..0 inline.SerialIRPEpilogue.0..result.sdv_InterlockedDecrement.1227.36.1.) (=> (= inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1..0 inline.sdv_InterlockedDecrement.0..result.sdv_InterlockedDecrement.6483.0.1.) (=> (= Mem_1_T.CancelRoutine__IRP.6 Mem_1_T.CancelRoutine__IRP.2) (=> (= k.5 k.2) (=> (= inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1.0 inline.sdv_IoCompleteRequest.0..pirp.1.2072.12.sdv_IoCompleteRequest1) ?v_2086))))))))))))))))))))))) (=> true (=> ?v_16 (=> true (and ?v_8 (=> ?v_8 (=> (> call51901formal.new.0 0) (=> (forall ((?x1703 Int)) (! (=> (and (<= call51901formal.new.0 ?x1703) (< ?x1703 (+ call51901formal.new.0 1))) (= (Base ?x1703) call51901formal.new.0)) :pattern ((Base ?x1703)) )) (=> (forall ((?x1704 boogieU)) (! (=> (= (type ?x1704) intType) (or (= (U_2_int ?x1704) call51901formal.new.0) (= (MapType0Select alloc.2 ?x1704) (MapType0Select alloc.4 ?x1704)))) :pattern ((MapType0Select alloc.4 ?x1704)) )) (=> (and (= (MapType0Select alloc.2 ?v_2087) UNALLOCATED) (= (MapType0Select alloc.4 ?v_2087) ALLOCATED)) (and (=> true (=> ?v_2088 (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.1 ?v_24) (=> true (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.2 inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.1) ?v_5668))))) (=> true (=> ?v_3570 (and (=> true (=> ?v_2829 (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.0 ?v_913) (=> true (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.2 inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.0) ?v_5669))))) (=> true (=> ?v_3572 (=> true (=> (= inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError.2 inline.SerialCompleteIfError.0..extension.3.919.29.SerialCompleteIfError) ?v_5669)))))))))))))))))))) (let ((?v_5777 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5699)))))))))) (?v_5671 (= Mem_0_T.CancelRoutine__IRP.2 Mem_0_T.CancelRoutine__IRP)) (?v_5672 (= inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5673 (= inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5674 (= cancelLockStatus_1.3 cancelLockStatus_1)) (?v_5675 (= cancelLockStatus_0.3 cancelLockStatus_0)) (?v_5676 (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_5677 (= Mem_1_T.CancelRoutine__IRP.2 Mem_1_T.CancelRoutine__IRP)) (?v_5678 (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine)) (?v_5679 (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1)) (?v_5680 (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2.)) (?v_5681 (= inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5682 (= errorReached.1 0)) (?v_5683 (= inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_5684 (= inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_5686 (= inline.InsertTailList.0.myNondetVar_0.1 inline.InsertTailList.0.myNondetVar_0)) (?v_5687 (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1)) (?v_5716 (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5691 (= inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock)) (?v_5692 (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine)) (?v_5694 (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine)) (?v_5695 (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5776 (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock))) (let ((?v_5783 (=> true (=> ?v_5671 (=> ?v_5672 (=> ?v_2088 (=> ?v_5673 (=> ?v_5674 (=> ?v_5675 (=> ?v_5676 (=> ?v_5677 (=> ?v_5678 (=> ?v_5679 (=> ?v_5680 (=> ?v_5681 (=> ?v_5682 (=> ?v_5683 (=> ?v_5684 (=> (= lockStatus_0.14 lockStatus_0.7) (=> ?v_5686 (=> ?v_5687 (=> (= inline.SerialFilterIrps.0.myNondetVar_1.7 inline.SerialFilterIrps.0.myNondetVar_1.1) (=> (= inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> ?v_5716 (=> ?v_5691 (=> ?v_5692 (=> ?v_16 (=> (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.27) (=> ?v_5694 (=> ?v_5695 (=> (= lockStatus_1.14 lockStatus_1.7) (=> ?v_5776 (=> (= inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) ?v_5777)))))))))))))))))))))))))))))))) (?v_5782 (= inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5778 (=> true (=> (= lockStatus_0.7 lockStatus_0.6) (=> (= lockStatus_1.7 lockStatus_1.6) ?v_5783))))) (let ((?v_5781 (=> true ?v_5778)) (?v_5779 (= lockStatus_0.6 lockStatus_0.1)) (?v_5780 (= lockStatus_1.6 lockStatus_1.1)) (?v_15 (FlagsLock__SERIAL_DEVICE_EXTENSION inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2)) (?v_5689 (= inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1)) (?v_5698 (= inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock))) (let ((?v_5707 (=> ?v_5698 ?v_5777))) (let ((?v_5717 (=> ?v_5776 ?v_5707))) (let ((?v_5774 (=> true (=> ?v_5671 (=> ?v_5672 (=> ?v_2088 (=> ?v_5673 (=> ?v_5674 (=> ?v_5675 (=> ?v_5676 (=> ?v_5677 (=> ?v_5678 (=> ?v_5679 (=> ?v_5680 (=> (= inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> ?v_5682 (=> (= inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> ?v_5684 (=> (= lockStatus_0.14 lockStatus_0.5) (=> ?v_5686 (=> ?v_5687 (=> (= inline.SerialFilterIrps.0.myNondetVar_1.7 inline.SerialFilterIrps.0.myNondetVar_1.2) (=> ?v_5689 (=> ?v_5716 (=> ?v_5691 (=> ?v_5692 (=> ?v_16 (=> (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.26) (=> ?v_5694 (=> ?v_5695 (=> (= lockStatus_1.14 lockStatus_1.5) ?v_5717)))))))))))))))))))))))))))))) (?v_5773 (= inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5769 (=> true (=> (= lockStatus_0.5 lockStatus_0.4) (=> (= lockStatus_1.5 lockStatus_1.4) ?v_5774))))) (let ((?v_5772 (=> true ?v_5769)) (?v_5770 (= lockStatus_0.4 lockStatus_0.1)) (?v_5771 (= lockStatus_1.4 lockStatus_1.1)) (?v_5732 (= inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_5733 (= lockStatus_0.14 lockStatus_0.11)) (?v_5734 (= inline.SerialFilterIrps.0.myNondetVar_1.7 inline.SerialFilterIrps.0.myNondetVar_1.5)) (?v_5735 (= inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_5737 (=> ?v_5695 (=> (= lockStatus_1.14 lockStatus_1.11) ?v_5717)))) (let ((?v_5738 (=> true (=> (= Mem_0_T.CancelRoutine__IRP.2 Mem_0_T.CancelRoutine__IRP.1) (=> ?v_5732 (=> (= k.2 k.1) (=> ?v_5673 (=> (= cancelLockStatus_1.3 cancelLockStatus_1.2) (=> (= cancelLockStatus_0.3 cancelLockStatus_0.2) (=> ?v_5676 (=> (= Mem_1_T.CancelRoutine__IRP.2 Mem_1_T.CancelRoutine__IRP.1) (=> (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine.0 hirp) (=> (= inline.sdv_IoSetCancelRoutine.0..pirp.1.3304.12.sdv_IoSetCancelRoutine1.0 hirp) (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..1 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..0) (=> ?v_5681 (=> (= errorReached.1 errorReached.0) (=> ?v_5683 (=> ?v_5684 (=> ?v_5733 (=> (= inline.InsertTailList.0.myNondetVar_0.1 inline.InsertTailList.0.myNondetVar_0.0) (=> (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine1.0 SerialFilterCancelQueued) (=> ?v_5734 (=> ?v_5689 (=> ?v_5716 (=> ?v_5735 (=> (= inline.sdv_IoSetCancelRoutine.0..CancelRoutine.2.3305.22.sdv_IoSetCancelRoutine.0 SerialFilterCancelQueued) (=> ?v_5736 (=> (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.41) (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.3 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2) ?v_5737)))))))))))))))))))))))))))) (?v_5740 (= cancelLockStatus_1.2 cancelLockStatus_1.0))) (let ((?v_5741 (=> (= cancelLockStatus_0.2 cancelLockStatus_0.0) (=> true (=> true (=> true (=> true (=> true ?v_5738))))))) (?v_5739 (= k.1 1))) (let ((?v_5745 (not ?v_5739)) (?v_5731 (= k.1 0))) (let ((?v_5742 (not ?v_5731))) (let ((?v_5744 (and (=> true (=> ?v_5731 (=> true (=> ?v_5740 (=> (= cancelLockStatus_0.2 0) ?v_5738))))) (=> true (=> ?v_5742 (and (=> true (=> ?v_5739 (=> true (=> (= cancelLockStatus_1.2 0) ?v_5741)))) (=> true (=> ?v_5745 (=> true (=> ?v_5740 ?v_5741))))))))) (?v_5746 (= Mem_1_T.CancelRoutine__IRP.1 Mem_1_T.CancelRoutine__IRP))) (let ((?v_5747 (=> (= Mem_0_T.CancelRoutine__IRP.1 Mem_0_T.CancelRoutine__IRP) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5744)))))))))))))) (let ((?v_5752 (and (=> true (=> ?v_5731 (=> (= Mem_0_T.CancelRoutine__IRP.0 (MapType0Store Mem_0_T.CancelRoutine__IRP ?v_919 ?v_5743)) (=> true (=> ?v_5746 (=> (= Mem_0_T.CancelRoutine__IRP.1 Mem_0_T.CancelRoutine__IRP.0) ?v_5744)))))) (=> true (=> ?v_5742 (and (=> true (=> ?v_5739 (=> (= Mem_1_T.CancelRoutine__IRP.0 (MapType0Store Mem_1_T.CancelRoutine__IRP ?v_919 ?v_5743)) (=> true (=> (= Mem_1_T.CancelRoutine__IRP.1 Mem_1_T.CancelRoutine__IRP.0) ?v_5747))))) (=> true (=> ?v_5745 (=> true (=> ?v_5746 ?v_5747)))))))))) (let ((?v_5754 (=> true ?v_5752)) (?v_5753 (= errorReached.0 0)) (?v_5750 (= k.1 k.0)) (?v_5751 (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..0 call51615formal.ret.0)) (?v_5748 (= k.0 0)) (?v_5749 (= k.0 1))) (let ((?v_5755 (and (=> true (=> ?v_12 (=> true (=> (<= 0 k.0) (=> (< k.0 2) (and (=> true (=> (=> ?v_5748 ?v_2090) (=> (=> ?v_5749 ?v_2091) (=> true (=> ?v_5750 (=> (= errorReached.0 1) (=> ?v_5751 ?v_5752))))))) (=> true (=> (=> ?v_5748 ?v_18) (=> (=> ?v_5749 ?v_19) (=> true (=> ?v_5750 (=> ?v_5753 (=> ?v_5751 ?v_5754))))))))))))) (=> true (=> ?v_2884 (=> true (=> ?v_5731 (=> ?v_5753 (=> (= inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2..0 inline.sdv_IoSetCancelRoutine.0..result.userContextSwitch.3310.4.2.) ?v_5754))))))))) (let ((?v_5756 (=> true (=> true ?v_5755))) (?v_5728 (=> true (=> (= inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..1 ?v_920) (=> true (=> ?v_5671 (=> ?v_5732 (=> ?v_2088 (=> ?v_5673 (=> (= cancelLockStatus_1.3 cancelLockStatus_1.1) (=> (= cancelLockStatus_0.3 cancelLockStatus_0.1) (=> ?v_5676 (=> ?v_5677 (=> ?v_5678 (=> ?v_5679 (=> ?v_5680 (=> ?v_5681 (=> ?v_5682 (=> ?v_5683 (=> ?v_5684 (=> ?v_5733 (=> ?v_5686 (=> ?v_5687 (=> ?v_5734 (=> ?v_5689 (=> ?v_5716 (=> ?v_5735 (=> ?v_5692 (=> (= inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2 inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..1) (=> (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.39) (=> ?v_5694 ?v_5737)))))))))))))))))))))))))))))) (?v_5729 (= cancelLockStatus_1.1 cancelLockStatus_1.0))) (let ((?v_5730 (=> (= cancelLockStatus_0.1 cancelLockStatus_0.0) (=> true (=> true (=> true (=> true (=> true ?v_5728)))))))) (let ((?v_5757 (and (=> true (=> (=> ?v_0 ?v_5726) (=> (=> ?v_1 ?v_5727) (and (=> true (=> ?v_0 (=> true (=> ?v_5729 (=> (= cancelLockStatus_0.1 0) ?v_5728))))) (=> true (=> ?v_29 (and (=> true (=> ?v_1 (=> true (=> (= cancelLockStatus_1.1 0) ?v_5730)))) (=> true (=> ?v_908 (=> true (=> ?v_5729 ?v_5730))))))))))) (=> true (=> (=> ?v_0 ?v_2891) (=> (=> ?v_1 ?v_2892) (and (=> true (=> ?v_0 (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0 (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP ?v_919))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.0) ?v_5755))))) (=> true (=> ?v_29 (and (=> true (=> ?v_1 (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1 (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP ?v_919))) (=> true (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.1) ?v_5756))))) (=> true (=> ?v_908 (=> true (=> (= inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine.2 inline.sdv_IoSetCancelRoutine.0..oldCancelRoutine.3.3308.17.sdv_IoSetCancelRoutine) ?v_5756))))))))))))) (?v_5758 (= cancelLockStatus_1.0 cancelLockStatus_1))) (let ((?v_5759 (=> (= cancelLockStatus_0.0 cancelLockStatus_0) (=> true (=> true (=> true (=> true (=> true ?v_5757))))))) (?v_5724 (=> ?v_0 (= cancelLockStatus_0 0))) (?v_5725 (=> ?v_1 (= cancelLockStatus_1 0)))) (let ((?v_5765 (=> true (=> ?v_5724 (=> ?v_5725 (and (=> true (=> ?v_0 (=> true (=> ?v_5758 (=> (= cancelLockStatus_0.0 1) ?v_5757))))) (=> true (=> ?v_29 (and (=> true (=> ?v_1 (=> true (=> (= cancelLockStatus_1.0 1) ?v_5759)))) (=> true (=> ?v_908 (=> true (=> ?v_5758 ?v_5759)))))))))))) (?v_5764 (= inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5760 (=> true (=> (= lockStatus_0.11 lockStatus_0.10) (=> (= lockStatus_1.11 lockStatus_1.10) ?v_5765))))) (let ((?v_5763 (=> true ?v_5760)) (?v_5761 (= lockStatus_0.10 lockStatus_0.1)) (?v_5762 (= lockStatus_1.10 lockStatus_1.1))) (let ((?v_5767 (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.32 inline.SerialFilterIrps.0.myNondetVar_1.5) (=> true (=> (= inline.sdv_KeReleaseSpinLock.2..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_15) (and (=> true (=> ?v_5764 (and (=> true (=> ?v_0 (=> true (=> (= lockStatus_0.10 0) (=> ?v_5762 ?v_5760))))) (=> true (=> ?v_29 (and (=> true (=> ?v_1 (=> true (=> ?v_5761 (=> (= lockStatus_1.10 0) ?v_5763))))) (=> true (=> ?v_908 (=> true (=> ?v_5761 (=> ?v_5762 ?v_5763))))))))))) (=> true (=> (not ?v_5764) (=> true (=> (= lockStatus_0.11 lockStatus_0.1) (=> (= lockStatus_1.11 lockStatus_1.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_5765)))))))))))))))))) (?v_5715 (U_2_int (MapType0Select Mem_T.MajorFunction__IO_STACK_LOCATION.0 (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)))))) (let ((?v_5766 (= ?v_5715 22)) (?v_5723 (=> true (=> ?v_5671 (=> ?v_5672 (=> ?v_2088 (=> (= inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> ?v_5674 (=> ?v_5675 (=> ?v_5676 (=> ?v_5677 (=> ?v_5678 (=> ?v_5679 (=> ?v_5680 (=> ?v_5681 (=> ?v_5682 (=> ?v_5683 (=> (= inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= lockStatus_0.14 lockStatus_0.9) (=> ?v_5686 (=> ?v_5687 (=> (= inline.SerialFilterIrps.0.myNondetVar_1.7 inline.SerialFilterIrps.0.myNondetVar_1.6) (=> ?v_5689 (=> ?v_5716 (=> ?v_5691 (=> ?v_5692 (=> ?v_16 (=> (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.37) (=> ?v_5694 (=> ?v_5695 (=> (= lockStatus_1.14 lockStatus_1.9) ?v_5717)))))))))))))))))))))))))))))) (?v_5722 (= inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5718 (=> true (=> (= lockStatus_0.9 lockStatus_0.8) (=> (= lockStatus_1.9 lockStatus_1.8) ?v_5723))))) (let ((?v_5721 (=> true ?v_5718)) (?v_5719 (= lockStatus_0.8 lockStatus_0.1)) (?v_5720 (= lockStatus_1.8 lockStatus_1.1)) (?v_5670 (= ?v_5715 27))) (let ((?v_5714 (not ?v_5670)) (?v_5713 (=> true (=> ?v_5671 (=> ?v_5672 (=> ?v_2088 (=> ?v_5673 (=> ?v_5674 (=> ?v_5675 (=> (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> ?v_5677 (=> ?v_5678 (=> ?v_5679 (=> ?v_5680 (=> ?v_5681 (=> ?v_5682 (=> ?v_5683 (=> ?v_5684 (=> (= lockStatus_0.14 lockStatus_0.13) (=> ?v_5686 (=> ?v_5687 (=> (= inline.SerialFilterIrps.0.myNondetVar_1.7 inline.SerialFilterIrps.0.myNondetVar_1.4) (=> ?v_5689 (=> ?v_5716 (=> ?v_5691 (=> ?v_5692 (=> ?v_16 (=> (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.40) (=> ?v_5694 (=> (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0) (=> (= lockStatus_1.14 lockStatus_1.13) ?v_5717)))))))))))))))))))))))))))))) (?v_5712 (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5708 (=> true (=> (= lockStatus_0.13 lockStatus_0.12) (=> (= lockStatus_1.13 lockStatus_1.12) ?v_5713))))) (let ((?v_5711 (=> true ?v_5708)) (?v_5709 (= lockStatus_0.12 lockStatus_0.1)) (?v_5710 (= lockStatus_1.12 lockStatus_1.1))) (let ((?v_5768 (and (=> true (=> ?v_5670 (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.28 inline.SerialFilterIrps.0.myNondetVar_1.4) (=> true (=> (= inline.sdv_KeReleaseSpinLock.1..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_15) (and (=> true (=> ?v_5712 (and (=> true (=> ?v_0 (=> true (=> (= lockStatus_0.12 0) (=> ?v_5710 ?v_5708))))) (=> true (=> ?v_29 (and (=> true (=> ?v_1 (=> true (=> ?v_5709 (=> (= lockStatus_1.12 0) ?v_5711))))) (=> true (=> ?v_908 (=> true (=> ?v_5709 (=> ?v_5710 ?v_5711))))))))))) (=> true (=> (not ?v_5712) (=> true (=> (= lockStatus_0.13 lockStatus_0.1) (=> (= lockStatus_1.13 lockStatus_1.1) (=> true (=> true (=> true (=> true ?v_5713)))))))))))))))) (=> true (=> ?v_5714 (and (=> true (=> ?v_5766 (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.34 16) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.35 inline.SerialFilterIrps.0.myNondetVar_1.6) (=> true (=> (= inline.sdv_KeReleaseSpinLock.3..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_15) (and (=> true (=> ?v_5722 (and (=> true (=> ?v_0 (=> true (=> (= lockStatus_0.8 0) (=> ?v_5720 ?v_5718))))) (=> true (=> ?v_29 (and (=> true (=> ?v_1 (=> true (=> ?v_5719 (=> (= lockStatus_1.8 0) ?v_5721))))) (=> true (=> ?v_908 (=> true (=> ?v_5719 (=> ?v_5720 ?v_5721))))))))))) (=> true (=> (not ?v_5722) (=> true (=> (= lockStatus_0.9 lockStatus_0.1) (=> (= lockStatus_1.9 lockStatus_1.1) (=> true (=> true (=> true (=> true ?v_5723)))))))))))))))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.30 16) 0) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.31 inline.SerialFilterIrps.0.myNondetVar_0.30) ?v_5767))))))) (=> true (=> (not ?v_5766) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.31 inline.SerialFilterIrps.0.myNondetVar_0.24) ?v_5767))))))))) (?v_5685 (= lockStatus_0.14 lockStatus_0.3)) (?v_5688 (= inline.SerialFilterIrps.0.myNondetVar_1.7 inline.SerialFilterIrps.0.myNondetVar_1.3)) (?v_5690 (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.1 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0)) (?v_5693 (= inline.SerialFilterIrps.0.myNondetVar_0.42 inline.SerialFilterIrps.0.myNondetVar_0.25)) (?v_5696 (= lockStatus_1.14 lockStatus_1.3)) (?v_5697 (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock.0 inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0))) (let ((?v_5705 (and (=> true (=> ?v_5670 (=> true (=> ?v_5671 (=> ?v_5672 (=> ?v_2088 (=> ?v_5673 (=> ?v_5674 (=> ?v_5675 (=> ?v_5676 (=> ?v_5677 (=> ?v_5678 (=> ?v_5679 (=> ?v_5680 (=> ?v_5681 (=> ?v_5682 (=> ?v_5683 (=> ?v_5684 (=> ?v_5685 (=> ?v_5686 (=> ?v_5687 (=> ?v_5688 (=> ?v_5689 (=> ?v_5690 (=> ?v_5691 (=> ?v_5692 (=> ?v_16 (=> ?v_5693 (=> ?v_5694 (=> ?v_5695 (=> ?v_5696 (=> ?v_5697 (=> ?v_5698 ?v_5699))))))))))))))))))))))))))))))))) (=> true (=> ?v_5714 (=> true (=> (= inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..0 (- 0 1073741738)) (=> true (=> ?v_5671 (=> ?v_5672 (=> ?v_2088 (=> ?v_5673 (=> ?v_5674 (=> ?v_5675 (=> ?v_5676 (=> ?v_5677 (=> ?v_5678 (=> ?v_5679 (=> ?v_5680 (=> ?v_5681 (=> ?v_5682 (=> ?v_5683 (=> ?v_5684 (=> ?v_5685 (=> ?v_5686 (=> ?v_5687 (=> ?v_5688 (=> ?v_5689 (=> ?v_5690 (=> ?v_5691 (=> ?v_5692 (=> (= inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..2 inline.SerialFilterIrps.0..result.SerialFilterIrps.1015.0.1..0) (=> ?v_5693 (=> ?v_5694 (=> ?v_5695 (=> ?v_5696 (=> ?v_5697 ?v_5707)))))))))))))))))))))))))))))))))))) (?v_5704 (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 hlock))) (let ((?v_5700 (=> true (=> (= lockStatus_0.3 lockStatus_0.2) (=> (= lockStatus_1.3 lockStatus_1.2) ?v_5705))))) (let ((?v_5703 (=> true ?v_5700)) (?v_5701 (= lockStatus_0.2 lockStatus_0.1)) (?v_5702 (= lockStatus_1.2 lockStatus_1.1))) (let ((?v_5706 (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.22 inline.SerialFilterIrps.0.myNondetVar_1.3) (=> true (=> (= inline.sdv_KeReleaseSpinLock.0..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_15) (and (=> true (=> ?v_5704 (and (=> true (=> ?v_0 (=> true (=> (= lockStatus_0.2 0) (=> ?v_5702 ?v_5700))))) (=> true (=> ?v_29 (and (=> true (=> ?v_1 (=> true (=> ?v_5701 (=> (= lockStatus_1.2 0) ?v_5703))))) (=> true (=> ?v_908 (=> true (=> ?v_5701 (=> ?v_5702 ?v_5703))))))))))) (=> true (=> (not ?v_5704) (=> true (=> (= lockStatus_0.3 lockStatus_0.1) (=> (= lockStatus_1.3 lockStatus_1.1) (=> true (=> true (=> true (=> true ?v_5705)))))))))))))))) (let ((?v_5775 (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.7 1) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.21 inline.SerialFilterIrps.0.myNondetVar_0.7) ?v_5706)))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.10 1) 0) (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.11 4) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.21 inline.SerialFilterIrps.0.myNondetVar_0.11) ?v_5706)))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.12 4) 0) (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.13 8) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.21 inline.SerialFilterIrps.0.myNondetVar_0.13) ?v_5706)))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.14 8) 0) (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.16 2) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.24 inline.SerialFilterIrps.0.myNondetVar_0.16) ?v_5768)))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.15 2) 0) (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.20 16) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.24 inline.SerialFilterIrps.0.myNondetVar_0.20) (=> true (=> true ?v_5768)))))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.17 16) 0) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.18 inline.SerialFilterIrps.0.myNondetVar_1.2) (=> true (=> (= inline.sdv_KeReleaseSpinLock.4..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_15) (and (=> true (=> ?v_5773 (and (=> true (=> ?v_0 (=> true (=> (= lockStatus_0.4 0) (=> ?v_5771 ?v_5769))))) (=> true (=> ?v_29 (and (=> true (=> ?v_1 (=> true (=> ?v_5770 (=> (= lockStatus_1.4 0) ?v_5772))))) (=> true (=> ?v_908 (=> true (=> ?v_5770 (=> ?v_5771 ?v_5772))))))))))) (=> true (=> (not ?v_5773) (=> true (=> (= lockStatus_0.5 lockStatus_0.1) (=> (= lockStatus_1.5 lockStatus_1.1) (=> true (=> true (=> true (=> true ?v_5774))))))))))))))))))))))))))))))) (let ((?v_5789 (and (=> true (=> (not (= inline.SerialFilterIrps.0.myNondetVar_0.5 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.6 inline.SerialFilterIrps.0.myNondetVar_0.5) ?v_5775)))) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.2 0) (and (=> true (=> (not (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.4 4) 0)) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.6 inline.SerialFilterIrps.0.myNondetVar_0.4) (=> true ?v_5775))))) (=> true (=> (= (BIT_BAND inline.SerialFilterIrps.0.myNondetVar_0.3 4) 0) (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.8 inline.SerialFilterIrps.0.myNondetVar_1.1) (=> true (=> (= inline.sdv_KeReleaseSpinLock.5..SpinLock.1.4624.20.sdv_KeReleaseSpinLock1.0 ?v_15) (and (=> true (=> ?v_5782 (and (=> true (=> ?v_0 (=> true (=> (= lockStatus_0.6 0) (=> ?v_5780 ?v_5778))))) (=> true (=> ?v_29 (and (=> true (=> ?v_1 (=> true (=> ?v_5779 (=> (= lockStatus_1.6 0) ?v_5781))))) (=> true (=> ?v_908 (=> true (=> ?v_5779 (=> ?v_5780 ?v_5781))))))))))) (=> true (=> (not ?v_5782) (=> true (=> (= lockStatus_0.7 lockStatus_0.1) (=> (= lockStatus_1.7 lockStatus_1.1) (=> true (=> true (=> true (=> true ?v_5783))))))))))))))))))))) (?v_5788 (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 hlock))) (let ((?v_5784 (=> true (=> (= lockStatus_0.1 lockStatus_0.0) (=> (= lockStatus_1.1 lockStatus_1.0) ?v_5789))))) (let ((?v_5787 (=> true ?v_5784)) (?v_5785 (= lockStatus_0.0 lockStatus_0)) (?v_5786 (= lockStatus_1.0 lockStatus_1)) (?v_13 (=> ?v_0 (= lockStatus_0 0))) (?v_14 (=> ?v_1 (= lockStatus_1 0)))) (let ((?v_5790 (=> true (=> (= inline.SerialFilterIrps.0.myNondetVar_0.0 inline.SerialFilterIrps.0.myNondetVar_1.0) (=> true (=> (= inline.sdv_KeAcquireSpinLock.0..SpinLock.1.4334.19.sdv_KeAcquireSpinLock1.0 ?v_15) (and (=> true (=> ?v_5788 (=> true (=> ?v_13 (=> ?v_14 (and (=> true (=> ?v_0 (=> true (=> (= lockStatus_0.0 1) (=> ?v_5786 ?v_5784))))) (=> true (=> ?v_29 (and (=> true (=> ?v_1 (=> true (=> ?v_5785 (=> (= lockStatus_1.0 1) ?v_5787))))) (=> true (=> ?v_908 (=> true (=> ?v_5785 (=> ?v_5786 ?v_5787)))))))))))))) (=> true (=> (not ?v_5788) (=> true (=> (= lockStatus_0.1 lockStatus_0) (=> (= lockStatus_1.1 lockStatus_1) (=> true (=> true (=> true (=> true ?v_5789))))))))))))))) (?v_10 (int_2_U call50617formal.new.0)) (?v_11 (int_2_U call50620formal.new.0)) (?v_9 (int_2_U call50562formal.new.0))) (let ((?v_5791 (=> true (and ?v_8 (=> ?v_8 (=> (> call50562formal.new.0 0) (=> (forall ((?x1713 Int)) (! (=> (and (<= call50562formal.new.0 ?x1713) (< ?x1713 (+ call50562formal.new.0 1))) (= (Base ?x1713) call50562formal.new.0)) :pattern ((Base ?x1713)) )) (=> (forall ((?x1714 boogieU)) (! (=> (= (type ?x1714) intType) (or (= (U_2_int ?x1714) call50562formal.new.0) (= (MapType0Select alloc ?x1714) (MapType0Select alloc.0 ?x1714)))) :pattern ((MapType0Select alloc.0 ?x1714)) )) (=> (and (= (MapType0Select alloc ?v_9) UNALLOCATED) (= (MapType0Select alloc.0 ?v_9) ALLOCATED)) (=> true (and ?v_8 (=> ?v_8 (=> (> call50617formal.new.0 0) (=> (forall ((?x1709 Int)) (! (=> (and (<= call50617formal.new.0 ?x1709) (< ?x1709 (+ call50617formal.new.0 1))) (= (Base ?x1709) call50617formal.new.0)) :pattern ((Base ?x1709)) )) (=> (forall ((?x1710 boogieU)) (! (=> (= (type ?x1710) intType) (or (= (U_2_int ?x1710) call50617formal.new.0) (= (MapType0Select alloc.0 ?x1710) (MapType0Select alloc.1 ?x1710)))) :pattern ((MapType0Select alloc.1 ?x1710)) )) (=> (and (= (MapType0Select alloc.0 ?v_10) UNALLOCATED) (= (MapType0Select alloc.1 ?v_10) ALLOCATED)) (and ?v_8 (=> ?v_8 (=> (> call50620formal.new.0 0) (=> (forall ((?x1711 Int)) (! (=> (and (<= call50620formal.new.0 ?x1711) (< ?x1711 (+ call50620formal.new.0 1))) (= (Base ?x1711) call50620formal.new.0)) :pattern ((Base ?x1711)) )) (=> (forall ((?x1712 boogieU)) (! (=> (= (type ?x1712) intType) (or (= (U_2_int ?x1712) call50620formal.new.0) (= (MapType0Select alloc.1 ?x1712) (MapType0Select alloc.2 ?x1712)))) :pattern ((MapType0Select alloc.2 ?x1712)) )) (=> (and (= (MapType0Select alloc.1 ?v_11) UNALLOCATED) (= (MapType0Select alloc.2 ?v_11) ALLOCATED)) (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5790)))) (=> true (=> ?v_2884 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.1..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true (=> true ?v_5790))))))))))))))))))))))))))))))) (let ((?v_5792 (=> true (=> true ?v_5791)))) (let ((?v_5793 (=> true (=> (= Mem_T.MajorFunction__IO_STACK_LOCATION.0 (MapType0Store Mem_T.MajorFunction__IO_STACK_LOCATION (int_2_U (MajorFunction__IO_STACK_LOCATION inline.sdv_IoGetCurrentIrpStackLocation.0..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0)) (int_2_U 4))) (and (=> true (=> ?v_0 (=> (= inline.SerialWrite.0..Extension.3.102.29.SerialWrite.0 ?v_24) (=> true (=> (= inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.0) ?v_5791))))) (=> true (=> ?v_29 (and (=> true (=> ?v_1 (=> (= inline.SerialWrite.0..Extension.3.102.29.SerialWrite.1 ?v_913) (=> true (=> (= inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2 inline.SerialWrite.0..Extension.3.102.29.SerialWrite.1) ?v_5792))))) (=> true (=> ?v_908 (=> true (=> (= inline.SerialWrite.0..Extension.3.102.29.SerialWrite.2 inline.SerialWrite.0..Extension.3.102.29.SerialWrite) ?v_5792))))))))))) (?v_6 (int_2_U (Cancel__IRP x.tmpIrp.2.6628.7.sdv_main))) (?v_5 (int_2_U (CurrentXoffIrp__SERIAL_DEVICE_EXTENSION inline.myInitDriver.0..Extension.2.11.27.myInitDriver))) (?v_4 (int_2_U (CurrentWriteIrp__SERIAL_DEVICE_EXTENSION inline.myInitDriver.0..Extension.2.11.27.myInitDriver))) (?v_3 (int_2_U (CurrentReadIrp__SERIAL_DEVICE_EXTENSION inline.myInitDriver.0..Extension.2.11.27.myInitDriver))) (?v_2 (int_2_U (DeviceExtension__DEVICE_OBJECT inline.myInitDriver.0..devobjTmp.1.10.17.myInitDriver)))) (not (=> true (=> (= Mem_1_T.CancelRoutine__IRP Mem_s_1_T.CancelRoutine__IRP) (=> (= Mem_1_T.Cancel__IRP Mem_s_1_T.Cancel__IRP) (=> (= Mem_1_T.DeviceExtension__DEVICE_OBJECT Mem_s_1_T.DeviceExtension__DEVICE_OBJECT) (=> (= Mem_1_T.P_IRP Mem_s_1_T.P_IRP) (=> (= irpCompleted_1 irpCompleted_s_1) (=> (= lockStatus_1 lockStatus_s_1) (=> (= cancelLockStatus_1 cancelLockStatus_s_1) (=> true (=> (=> ?v_0 ?v_18) (=> (=> ?v_1 ?v_19) (=> true (=> ?v_13 (=> ?v_14 (=> true (=> ?v_5724 (=> ?v_5725 (=> true (=> (= inline.myInitDriver.0..devobjTmp.1.10.17.myInitDriver hdevobj) (=> true (=> (=> ?v_0 (= inline.myInitDriver.0..Extension.2.11.27.myInitDriver (U_2_int (MapType0Select Mem_0_T.DeviceExtension__DEVICE_OBJECT ?v_2)))) (=> (=> ?v_1 (= inline.myInitDriver.0..Extension.2.11.27.myInitDriver (U_2_int (MapType0Select Mem_1_T.DeviceExtension__DEVICE_OBJECT ?v_2)))) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.P_IRP ?v_3)) 0)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.P_IRP ?v_3)) 0)) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.P_IRP ?v_4)) 0)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.P_IRP ?v_4)) 0)) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.P_IRP ?v_5)) 0)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.P_IRP ?v_5)) 0)) (=> true (=> (= x.tmpIrp.2.6628.7.sdv_main hirp) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.Cancel__IRP ?v_6)) 0)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.Cancel__IRP ?v_6)) 0)) (=> true (=> (=> ?v_0 (= (U_2_int (MapType0Select Mem_0_T.CancelRoutine__IRP ?v_7)) 0)) (=> (=> ?v_1 (= (U_2_int (MapType0Select Mem_1_T.CancelRoutine__IRP ?v_7)) 0)) (and (=> true (=> ?v_12 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.0..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 hiostackloc) ?v_5793)))) (=> true (=> ?v_2884 (=> true (=> (= inline.sdv_IoGetCurrentIrpStackLocation.0..result.sdv_IoGetCurrentIrpStackLocation.2588.0.1..0 notused_hiostackloc) (=> true (=> true (=> true ?v_5793)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
