(set-info :smt-lib-version 2.6)
(set-logic UFNIA)
(set-info :source |
    Shuvendu K. Lahiri, Shaz Qadeer, Zvonimir Rakamaric, Static and Precise 
    Detection of Concurrency Errors in Systems Code Using SMT Solvers, in 
    Computer Aided Verification (CAV '09), Springer Verlag, February 2009
    <http://research.microsoft.com/apps/pubs/default.aspx?id=80360>
|)
(set-info :category "industrial")
(set-info :status unsat)
(declare-sort boogieU 0)
(declare-sort boogieT 0)
(declare-sort TermBool 0)
(declare-fun boolTrue () TermBool)
(declare-fun boolFalse () TermBool)
(declare-fun boolIff (TermBool TermBool) TermBool)
(declare-fun boolImplies (TermBool TermBool) TermBool)
(declare-fun boolAnd (TermBool TermBool) TermBool)
(declare-fun boolOr (TermBool TermBool) TermBool)
(declare-fun boolNot (TermBool) TermBool)
(declare-fun UEqual (boogieU boogieU) TermBool)
(declare-fun TEqual (boogieT boogieT) TermBool)
(declare-fun IntEqual (Int Int) TermBool)
(declare-fun intLess (Int Int) TermBool)
(declare-fun intAtMost (Int Int) TermBool)
(declare-fun intGreater (Int Int) TermBool)
(declare-fun intAtLeast (Int Int) TermBool)
(declare-fun boogieIntMod (Int Int) Int)
(declare-fun boogieIntDiv (Int Int) Int)
(declare-fun UOrdering2 (boogieU boogieU) Bool)
(declare-fun UOrdering3 (boogieT boogieU boogieU) Bool)
(declare-fun TermUOrdering2 (boogieU boogieU) TermBool)
(declare-fun TermUOrdering3 (boogieT boogieU boogieU) TermBool)
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolIff ?x ?y) boolTrue) (= (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolImplies ?x ?y) boolTrue) (=> (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolAnd ?x ?y) boolTrue) (and (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolOr ?x ?y) boolTrue) (or (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool)) (! (= (= (boolNot ?x) boolTrue) (not (= ?x boolTrue))) :pattern ((boolNot ?x)) )))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (UEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieT)) (= (= (TEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (IntEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intLess ?x ?y) boolTrue) (< ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtMost ?x ?y) boolTrue) (<= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtLeast ?x ?y) boolTrue) (>= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intGreater ?x ?y) boolTrue) (> ?x ?y))))
(assert (distinct boolFalse boolTrue))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (TermUOrdering2 ?x ?y) boolTrue) (UOrdering2 ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieU) (?z boogieU)) (= (= (TermUOrdering3 ?x ?y ?z) boolTrue) (UOrdering3 ?x ?y ?z))))
(declare-fun Ctor (boogieT) Int)
(declare-fun intType () boogieT)
(declare-fun boolType () boogieT)
(declare-fun int_2_U (Int) boogieU)
(declare-fun U_2_int (boogieU) Int)
(declare-fun type (boogieU) boogieT)
(declare-fun bool_2_U (TermBool) boogieU)
(declare-fun U_2_bool (boogieU) TermBool)
(declare-fun nameType () boogieT)
(declare-fun UNALLOCATED () boogieU)
(declare-fun ALLOCATED () boogieU)
(declare-fun FREED () boogieU)
(declare-fun BYTE () boogieU)
(declare-fun T.unused_WDFCOLLECTION__ () boogieU)
(declare-fun T.unused_WDFDEVICE__ () boogieU)
(declare-fun T.unused_WDFDRIVER__ () boogieU)
(declare-fun T.unused_WDFFILEOBJECT__ () boogieU)
(declare-fun T.unused_WDFIOTARGET__ () boogieU)
(declare-fun T.unused_WDFMEMORY__ () boogieU)
(declare-fun T.unused_WDFQUEUE__ () boogieU)
(declare-fun T.unused_WDFREQUEST__ () boogieU)
(declare-fun T.unused_WDFSPINLOCK__ () boogieU)
(declare-fun T.unused_WDFUSBDEVICE__ () boogieU)
(declare-fun T.unused_WDFUSBINTERFACE__ () boogieU)
(declare-fun T.unused_WDFUSBPIPE__ () boogieU)
(declare-fun T.unused_WDFWORKITEM__ () boogieU)
(declare-fun T.OperationID__ACCESS_STATE () boogieU)
(declare-fun T.SecurityEvaluated__ACCESS_STATE () boogieU)
(declare-fun T.GenerateAudit__ACCESS_STATE () boogieU)
(declare-fun T.GenerateOnClose__ACCESS_STATE () boogieU)
(declare-fun T.PrivilegesAllocated__ACCESS_STATE () boogieU)
(declare-fun T.Flags__ACCESS_STATE () boogieU)
(declare-fun T.RemainingDesiredAccess__ACCESS_STATE () boogieU)
(declare-fun T.PreviouslyGrantedAccess__ACCESS_STATE () boogieU)
(declare-fun T.OriginalDesiredAccess__ACCESS_STATE () boogieU)
(declare-fun T.SubjectSecurityContext__ACCESS_STATE () boogieU)
(declare-fun T.SecurityDescriptor__ACCESS_STATE () boogieU)
(declare-fun T.AuxData__ACCESS_STATE () boogieU)
(declare-fun T.Privileges__ACCESS_STATE () boogieU)
(declare-fun T.AuditPrivileges__ACCESS_STATE () boogieU)
(declare-fun T.ObjectName__ACCESS_STATE () boogieU)
(declare-fun T.ObjectTypeName__ACCESS_STATE () boogieU)
(declare-fun T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Version__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Revision__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Count__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Count__CM_RESOURCE_LIST () boogieU)
(declare-fun T.List__CM_RESOURCE_LIST () boogieU)
(declare-fun T.Size__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Version__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceD1__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceD2__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.LockSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.EjectSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Removable__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DockDevice__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.UniqueID__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SilentInstall__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.RawDeviceOK__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SurpriseRemovalOK__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD0__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD1__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD2__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD3__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.HardwareDisabled__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.NonDynamic__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WarmEjectSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.NoDisplayInUI__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Reserved__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Address__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.UINumber__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceState__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SystemWake__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceWake__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D1Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D2Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D3Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.UsbDeviceDescriptor__DEVICE_CONTEXT () boogieU)
(declare-fun T.UsbConfigurationDescriptor__DEVICE_CONTEXT () boogieU)
(declare-fun T.WdfUsbTargetDevice__DEVICE_CONTEXT () boogieU)
(declare-fun T.WaitWakeEnable__DEVICE_CONTEXT () boogieU)
(declare-fun T.IsDeviceHighSpeed__DEVICE_CONTEXT () boogieU)
(declare-fun T.UsbInterface__DEVICE_CONTEXT () boogieU)
(declare-fun T.NumberConfiguredPipes__DEVICE_CONTEXT () boogieU)
(declare-fun T.Type__DEVICE_OBJECT () boogieU)
(declare-fun T.Size__DEVICE_OBJECT () boogieU)
(declare-fun T.ReferenceCount__DEVICE_OBJECT () boogieU)
(declare-fun T.DriverObject__DEVICE_OBJECT () boogieU)
(declare-fun T.NextDevice__DEVICE_OBJECT () boogieU)
(declare-fun T.AttachedDevice__DEVICE_OBJECT () boogieU)
(declare-fun T.CurrentIrp__DEVICE_OBJECT () boogieU)
(declare-fun T.Timer__DEVICE_OBJECT () boogieU)
(declare-fun T.Flags__DEVICE_OBJECT () boogieU)
(declare-fun T.Characteristics__DEVICE_OBJECT () boogieU)
(declare-fun T.Vpb__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceType__DEVICE_OBJECT () boogieU)
(declare-fun T.StackSize__DEVICE_OBJECT () boogieU)
(declare-fun T.Queue__DEVICE_OBJECT () boogieU)
(declare-fun T.AlignmentRequirement__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceQueue__DEVICE_OBJECT () boogieU)
(declare-fun T.Dpc__DEVICE_OBJECT () boogieU)
(declare-fun T.ActiveThreadCount__DEVICE_OBJECT () boogieU)
(declare-fun T.SecurityDescriptor__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceLock__DEVICE_OBJECT () boogieU)
(declare-fun T.SectorSize__DEVICE_OBJECT () boogieU)
(declare-fun T.Spare1__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceObjectExtension__DEVICE_OBJECT () boogieU)
(declare-fun T.Reserved__DEVICE_OBJECT () boogieU)
(declare-fun T.Type__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.Size__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.DeviceObject__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.__unnamed_4_dfcb1314__DISPATCHER_HEADER () boogieU)
(declare-fun T.SignalState__DISPATCHER_HEADER () boogieU)
(declare-fun T.WaitListHead__DISPATCHER_HEADER () boogieU)
(declare-fun T.DriverObject__DRIVER_EXTENSION () boogieU)
(declare-fun T.AddDevice__DRIVER_EXTENSION () boogieU)
(declare-fun T.Count__DRIVER_EXTENSION () boogieU)
(declare-fun T.ServiceKeyName__DRIVER_EXTENSION () boogieU)
(declare-fun T.Type__DRIVER_OBJECT () boogieU)
(declare-fun T.Size__DRIVER_OBJECT () boogieU)
(declare-fun T.DeviceObject__DRIVER_OBJECT () boogieU)
(declare-fun T.Flags__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverStart__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverSize__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverSection__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverExtension__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverName__DRIVER_OBJECT () boogieU)
(declare-fun T.HardwareDatabase__DRIVER_OBJECT () boogieU)
(declare-fun T.FastIoDispatch__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverInit__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverStartIo__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverUnload__DRIVER_OBJECT () boogieU)
(declare-fun T.MajorFunction__DRIVER_OBJECT () boogieU)
(declare-fun T.SystemResourcesList__ERESOURCE () boogieU)
(declare-fun T.OwnerTable__ERESOURCE () boogieU)
(declare-fun T.ActiveCount__ERESOURCE () boogieU)
(declare-fun T.Flag__ERESOURCE () boogieU)
(declare-fun T.SharedWaiters__ERESOURCE () boogieU)
(declare-fun T.ExclusiveWaiters__ERESOURCE () boogieU)
(declare-fun T.OwnerEntry__ERESOURCE () boogieU)
(declare-fun T.ActiveEntries__ERESOURCE () boogieU)
(declare-fun T.ContentionCount__ERESOURCE () boogieU)
(declare-fun T.NumberOfSharedWaiters__ERESOURCE () boogieU)
(declare-fun T.NumberOfExclusiveWaiters__ERESOURCE () boogieU)
(declare-fun T.__unnamed_4_9d516d2b__ERESOURCE () boogieU)
(declare-fun T.SpinLock__ERESOURCE () boogieU)
(declare-fun T.SizeOfFastIoDispatch__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoCheckIfPossible__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoRead__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryBasicInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryStandardInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoLock__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockSingle__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockAll__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockAllByKey__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoDeviceControl__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoDetachDevice__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireForModWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlRead__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlReadComplete__FAST_IO_DISPATCH () boogieU)
(declare-fun T.PrepareMdlWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlWriteComplete__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoReadCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoWriteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlReadCompleteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryOpen__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseForModWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireForCcFlush__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseForCcFlush__FAST_IO_DISPATCH () boogieU)
(declare-fun T.CreationTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.LastAccessTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.LastWriteTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.ChangeTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.FileAttributes__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.Pipe__FILE_CONTEXT () boogieU)
(declare-fun T.CreationTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.Type__FILE_OBJECT () boogieU)
(declare-fun T.Size__FILE_OBJECT () boogieU)
(declare-fun T.DeviceObject__FILE_OBJECT () boogieU)
(declare-fun T.Vpb__FILE_OBJECT () boogieU)
(declare-fun T.FsContext__FILE_OBJECT () boogieU)
(declare-fun T.FsContext2__FILE_OBJECT () boogieU)
(declare-fun T.SectionObjectPointer__FILE_OBJECT () boogieU)
(declare-fun T.PrivateCacheMap__FILE_OBJECT () boogieU)
(declare-fun T.FinalStatus__FILE_OBJECT () boogieU)
(declare-fun T.RelatedFileObject__FILE_OBJECT () boogieU)
(declare-fun T.LockOperation__FILE_OBJECT () boogieU)
(declare-fun T.DeletePending__FILE_OBJECT () boogieU)
(declare-fun T.ReadAccess__FILE_OBJECT () boogieU)
(declare-fun T.WriteAccess__FILE_OBJECT () boogieU)
(declare-fun T.DeleteAccess__FILE_OBJECT () boogieU)
(declare-fun T.SharedRead__FILE_OBJECT () boogieU)
(declare-fun T.SharedWrite__FILE_OBJECT () boogieU)
(declare-fun T.SharedDelete__FILE_OBJECT () boogieU)
(declare-fun T.Flags__FILE_OBJECT () boogieU)
(declare-fun T.FileName__FILE_OBJECT () boogieU)
(declare-fun T.CurrentByteOffset__FILE_OBJECT () boogieU)
(declare-fun T.Waiters__FILE_OBJECT () boogieU)
(declare-fun T.Busy__FILE_OBJECT () boogieU)
(declare-fun T.LastLock__FILE_OBJECT () boogieU)
(declare-fun T.Lock__FILE_OBJECT () boogieU)
(declare-fun T.Event__FILE_OBJECT () boogieU)
(declare-fun T.CompletionContext__FILE_OBJECT () boogieU)
(declare-fun T.IrpListLock__FILE_OBJECT () boogieU)
(declare-fun T.IrpList__FILE_OBJECT () boogieU)
(declare-fun T.FileObjectExtension__FILE_OBJECT () boogieU)
(declare-fun T.AllocationSize__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.EndOfFile__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.NumberOfLinks__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.DeletePending__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.Directory__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.Data1__GUID () boogieU)
(declare-fun T.Data2__GUID () boogieU)
(declare-fun T.Data3__GUID () boogieU)
(declare-fun T.Data4__GUID () boogieU)
(declare-fun T.PrivilegeCount__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Control__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Privilege__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Size__INTERFACE () boogieU)
(declare-fun T.Version__INTERFACE () boogieU)
(declare-fun T.Context__INTERFACE () boogieU)
(declare-fun T.InterfaceReference__INTERFACE () boogieU)
(declare-fun T.InterfaceDereference__INTERFACE () boogieU)
(declare-fun T.Port__IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.Key__IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.Option__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Type__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.ShareDisposition__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Spare1__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Flags__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Spare2__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.u__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Version__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Revision__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Count__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Descriptors__IO_RESOURCE_LIST () boogieU)
(declare-fun T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.List__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.SecurityQos__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.AccessState__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.DesiredAccess__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.FullCreateOptions__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.MajorFunction__IO_STACK_LOCATION () boogieU)
(declare-fun T.MinorFunction__IO_STACK_LOCATION () boogieU)
(declare-fun T.Flags__IO_STACK_LOCATION () boogieU)
(declare-fun T.Control__IO_STACK_LOCATION () boogieU)
(declare-fun T.Parameters__IO_STACK_LOCATION () boogieU)
(declare-fun T.DeviceObject__IO_STACK_LOCATION () boogieU)
(declare-fun T.FileObject__IO_STACK_LOCATION () boogieU)
(declare-fun T.CompletionRoutine__IO_STACK_LOCATION () boogieU)
(declare-fun T.Context__IO_STACK_LOCATION () boogieU)
(declare-fun T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Information__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Type__IRP () boogieU)
(declare-fun T.Size__IRP () boogieU)
(declare-fun T.MdlAddress__IRP () boogieU)
(declare-fun T.Flags__IRP () boogieU)
(declare-fun T.AssociatedIrp__IRP () boogieU)
(declare-fun T.ThreadListEntry__IRP () boogieU)
(declare-fun T.IoStatus__IRP () boogieU)
(declare-fun T.RequestorMode__IRP () boogieU)
(declare-fun T.PendingReturned__IRP () boogieU)
(declare-fun T.StackCount__IRP () boogieU)
(declare-fun T.CurrentLocation__IRP () boogieU)
(declare-fun T.Cancel__IRP () boogieU)
(declare-fun T.CancelIrql__IRP () boogieU)
(declare-fun T.ApcEnvironment__IRP () boogieU)
(declare-fun T.AllocationFlags__IRP () boogieU)
(declare-fun T.UserIosb__IRP () boogieU)
(declare-fun T.UserEvent__IRP () boogieU)
(declare-fun T.Overlay__IRP () boogieU)
(declare-fun T.CancelRoutine__IRP () boogieU)
(declare-fun T.UserBuffer__IRP () boogieU)
(declare-fun T.Tail__IRP () boogieU)
(declare-fun T.Type__KAPC () boogieU)
(declare-fun T.SpareByte0__KAPC () boogieU)
(declare-fun T.Size__KAPC () boogieU)
(declare-fun T.SpareByte1__KAPC () boogieU)
(declare-fun T.SpareLong0__KAPC () boogieU)
(declare-fun T.Thread__KAPC () boogieU)
(declare-fun T.ApcListEntry__KAPC () boogieU)
(declare-fun T.KernelRoutine__KAPC () boogieU)
(declare-fun T.RundownRoutine__KAPC () boogieU)
(declare-fun T.NormalRoutine__KAPC () boogieU)
(declare-fun T.NormalContext__KAPC () boogieU)
(declare-fun T.SystemArgument1__KAPC () boogieU)
(declare-fun T.SystemArgument2__KAPC () boogieU)
(declare-fun T.ApcStateIndex__KAPC () boogieU)
(declare-fun T.ApcMode__KAPC () boogieU)
(declare-fun T.Inserted__KAPC () boogieU)
(declare-fun T.Type__KDEVICE_QUEUE () boogieU)
(declare-fun T.Size__KDEVICE_QUEUE () boogieU)
(declare-fun T.DeviceListHead__KDEVICE_QUEUE () boogieU)
(declare-fun T.Lock__KDEVICE_QUEUE () boogieU)
(declare-fun T.Busy__KDEVICE_QUEUE () boogieU)
(declare-fun T.DeviceListEntry__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.SortKey__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.Inserted__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.Type__KDPC () boogieU)
(declare-fun T.Importance__KDPC () boogieU)
(declare-fun T.Number__KDPC () boogieU)
(declare-fun T.DpcListEntry__KDPC () boogieU)
(declare-fun T.DeferredRoutine__KDPC () boogieU)
(declare-fun T.DeferredContext__KDPC () boogieU)
(declare-fun T.SystemArgument1__KDPC () boogieU)
(declare-fun T.SystemArgument2__KDPC () boogieU)
(declare-fun T.DpcData__KDPC () boogieU)
(declare-fun T.Header__KEVENT () boogieU)
(declare-fun T.Header__KSEMAPHORE () boogieU)
(declare-fun T.Limit__KSEMAPHORE () boogieU)
(declare-fun T.__unnamed_8_bb154058__LARGE_INTEGER () boogieU)
(declare-fun T.u__LARGE_INTEGER () boogieU)
(declare-fun T.QuadPart__LARGE_INTEGER () boogieU)
(declare-fun T.Flink__LIST_ENTRY () boogieU)
(declare-fun T.Blink__LIST_ENTRY () boogieU)
(declare-fun T.LowPart__LUID () boogieU)
(declare-fun T.HighPart__LUID () boogieU)
(declare-fun T.Luid__LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.Attributes__LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.Next__MDL () boogieU)
(declare-fun T.Size__MDL () boogieU)
(declare-fun T.MdlFlags__MDL () boogieU)
(declare-fun T.Process__MDL () boogieU)
(declare-fun T.MappedSystemVa__MDL () boogieU)
(declare-fun T.StartVa__MDL () boogieU)
(declare-fun T.ByteCount__MDL () boogieU)
(declare-fun T.ByteOffset__MDL () boogieU)
(declare-fun T.OwnerThread__OWNER_ENTRY () boogieU)
(declare-fun T.__unnamed_4_c406319a__OWNER_ENTRY () boogieU)
(declare-fun T.SequenceD1__POWER_SEQUENCE () boogieU)
(declare-fun T.SequenceD2__POWER_SEQUENCE () boogieU)
(declare-fun T.SequenceD3__POWER_SEQUENCE () boogieU)
(declare-fun T.SystemState__POWER_STATE () boogieU)
(declare-fun T.DeviceState__POWER_STATE () boogieU)
(declare-fun T.PrivilegeCount__PRIVILEGE_SET () boogieU)
(declare-fun T.Control__PRIVILEGE_SET () boogieU)
(declare-fun T.Privilege__PRIVILEGE_SET () boogieU)
(declare-fun T.UrbMemory__REQUEST_CONTEXT () boogieU)
(declare-fun T.Mdl__REQUEST_CONTEXT () boogieU)
(declare-fun T.Length__REQUEST_CONTEXT () boogieU)
(declare-fun T.Numxfer__REQUEST_CONTEXT () boogieU)
(declare-fun T.VirtualAddress__REQUEST_CONTEXT () boogieU)
(declare-fun T.SubRequestCollection__REQUEST_CONTEXT () boogieU)
(declare-fun T.SubRequestCollectionLock__REQUEST_CONTEXT () boogieU)
(declare-fun T.Read__REQUEST_CONTEXT () boogieU)
(declare-fun T.DataSectionObject__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.SharedCacheMap__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.ImageSectionObject__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.Length__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ClientToken__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.PrimaryToken__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.UserRequest__SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T.SubUrb__SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T.SubMdl__SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T.ListEntry__SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T.__unnamed_4_f525de8d__SYSTEM_POWER_STATE_CONTEXT () boogieU)
(declare-fun T.Length__UNICODE_STRING () boogieU)
(declare-fun T.MaximumLength__UNICODE_STRING () boogieU)
(declare-fun T.Buffer__UNICODE_STRING () boogieU)
(declare-fun T.__unnamed_96_e511a626__URB () boogieU)
(declare-fun T.Hdr__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.hca__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.Hdr__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved0__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.hca__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Index__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.DescriptorType__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.LanguageId__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved2__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Hdr__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved2__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved3__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved4__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved5__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.hca__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved0__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.FeatureSelector__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Index__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Hdr__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.Reserved__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.Reserved0__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.hca__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.Hdr__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.Reserved__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.Reserved0__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.hca__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.Interface__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.Reserved2__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.Hdr__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.Reserved__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.Reserved0__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.hca__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.Index__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.Reserved2__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.Hdr__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.PipeHandle__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.TransferFlags__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.hca__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.SetupPacket__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.Hdr__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.PipeHandle__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.TransferFlags__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.Timeout__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.hca__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.SetupPacket__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.Hdr__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.Reserved__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.TransferFlags__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.hca__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.RequestTypeReservedBits__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.Request__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.Value__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.Index__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.Hdr__URB_FRAME_LENGTH_CONTROL () boogieU)
(declare-fun T.Hdr__URB_GET_CURRENT_FRAME_NUMBER () boogieU)
(declare-fun T.FrameNumber__URB_GET_CURRENT_FRAME_NUMBER () boogieU)
(declare-fun T.Hdr__URB_GET_FRAME_LENGTH () boogieU)
(declare-fun T.FrameLength__URB_GET_FRAME_LENGTH () boogieU)
(declare-fun T.FrameNumber__URB_GET_FRAME_LENGTH () boogieU)
(declare-fun T.Reserved8__URB_HCD_AREA () boogieU)
(declare-fun T.Length__URB_HEADER () boogieU)
(declare-fun T.Function__URB_HEADER () boogieU)
(declare-fun T.Status__URB_HEADER () boogieU)
(declare-fun T.UsbdDeviceHandle__URB_HEADER () boogieU)
(declare-fun T.UsbdFlags__URB_HEADER () boogieU)
(declare-fun T.Hdr__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.PipeHandle__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.TransferFlags__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.TransferBufferLength__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.TransferBuffer__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.TransferBufferMDL__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.UrbLink__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.hca__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.StartFrame__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.NumberOfPackets__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.ErrorCount__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.IsoPacket__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.Hdr__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved0__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.TransferBufferLength__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.TransferBuffer__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.TransferBufferMDL__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.hca__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Recipient__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved2__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.InterfaceNumber__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.MS_PageIndex__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.MS_FeatureDescriptorIndex__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved3__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Hdr__URB_PIPE_IO_POLICY () boogieU)
(declare-fun T.PipeHandle__URB_PIPE_IO_POLICY () boogieU)
(declare-fun T.UsbIoParamters__URB_PIPE_IO_POLICY () boogieU)
(declare-fun T.Hdr__URB_PIPE_REQUEST () boogieU)
(declare-fun T.PipeHandle__URB_PIPE_REQUEST () boogieU)
(declare-fun T.Reserved__URB_PIPE_REQUEST () boogieU)
(declare-fun T.Hdr__URB_SELECT_CONFIGURATION () boogieU)
(declare-fun T.ConfigurationDescriptor__URB_SELECT_CONFIGURATION () boogieU)
(declare-fun T.ConfigurationHandle__URB_SELECT_CONFIGURATION () boogieU)
(declare-fun T.Interface__URB_SELECT_CONFIGURATION () boogieU)
(declare-fun T.Hdr__URB_SELECT_INTERFACE () boogieU)
(declare-fun T.ConfigurationHandle__URB_SELECT_INTERFACE () boogieU)
(declare-fun T.Interface__URB_SELECT_INTERFACE () boogieU)
(declare-fun T.Hdr__URB_SET_FRAME_LENGTH () boogieU)
(declare-fun T.FrameLengthDelta__URB_SET_FRAME_LENGTH () boogieU)
(declare-fun T.Length__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.InterfaceNumber__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.AlternateSetting__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.Class__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.SubClass__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.Protocol__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.Reserved__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.InterfaceHandle__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.NumberOfPipes__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.Pipes__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.Offset__USBD_ISO_PACKET_DESCRIPTOR () boogieU)
(declare-fun T.Length__USBD_ISO_PACKET_DESCRIPTOR () boogieU)
(declare-fun T.Status__USBD_ISO_PACKET_DESCRIPTOR () boogieU)
(declare-fun T.MaximumPacketSize__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.EndpointAddress__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.Interval__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.PipeType__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.PipeHandle__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.MaximumTransferSize__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.PipeFlags__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.bLength__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.bDescriptorType__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.wTotalLength__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.bNumInterfaces__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.bConfigurationValue__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.iConfiguration__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.bmAttributes__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.MaxPower__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.bLength__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bDescriptorType__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bcdUSB__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bDeviceClass__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bDeviceSubClass__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bDeviceProtocol__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bMaxPacketSize0__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.idVendor__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.idProduct__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bcdDevice__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.iManufacturer__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.iProduct__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.iSerialNumber__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bNumConfigurations__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.UsbIoPriority__USB_IO_PARAMETERS () boogieU)
(declare-fun T.UsbMaxPendingIrps__USB_IO_PARAMETERS () boogieU)
(declare-fun T.UsbMaxControllerTransfer__USB_IO_PARAMETERS () boogieU)
(declare-fun T.Type__VPB () boogieU)
(declare-fun T.Size__VPB () boogieU)
(declare-fun T.Flags__VPB () boogieU)
(declare-fun T.VolumeLabelLength__VPB () boogieU)
(declare-fun T.DeviceObject__VPB () boogieU)
(declare-fun T.RealDevice__VPB () boogieU)
(declare-fun T.SerialNumber__VPB () boogieU)
(declare-fun T.ReferenceCount__VPB () boogieU)
(declare-fun T.VolumeLabel__VPB () boogieU)
(declare-fun T.WaitQueueEntry__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceRoutine__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceContext__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceObject__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.CurrentIrp__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.BufferChainingDpc__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.BufferOffset__WDFMEMORY_OFFSET () boogieU)
(declare-fun T.BufferLength__WDFMEMORY_OFFSET () boogieU)
(declare-fun T.Driver__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverFlags__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverTag__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverName__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.Size__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.EvtCleanupCallback__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.EvtDestroyCallback__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.ExecutionLevel__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.SynchronizationScope__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.ParentObject__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.ContextSizeOverride__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.ContextTypeInfo__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.Size__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Type__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Parameters__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Size__WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T.MinorFunction__WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T.Type__WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T.Parameters__WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T.Size__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Flags__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Timeout__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Size__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.MaximumPacketSize__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.EndpointAddress__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.Interval__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.SettingIndex__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.PipeType__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.MaximumTransferSize__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.Size__WDF_WORKITEM_CONFIG () boogieU)
(declare-fun T.EvtWorkItemFunc__WDF_WORKITEM_CONFIG () boogieU)
(declare-fun T.AutomaticSerialization__WDF_WORKITEM_CONFIG () boogieU)
(declare-fun T.Device__WORKITEM_CONTEXT () boogieU)
(declare-fun T.Pipe__WORKITEM_CONTEXT () boogieU)
(declare-fun T.Generic___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Port___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Interrupt___unnamed_12_00aa0978 () boogieU)
(declare-fun T.MessageInterrupt___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Memory___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Dma___unnamed_12_00aa0978 () boogieU)
(declare-fun T.DevicePrivate___unnamed_12_00aa0978 () boogieU)
(declare-fun T.BusNumber___unnamed_12_00aa0978 () boogieU)
(declare-fun T.DeviceSpecificData___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Memory40___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Memory48___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Memory64___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Level___unnamed_12_011610e6 () boogieU)
(declare-fun T.Vector___unnamed_12_011610e6 () boogieU)
(declare-fun T.Affinity___unnamed_12_011610e6 () boogieU)
(declare-fun T.__unnamed_12_a04f3ec2___unnamed_12_135b00bd () boogieU)
(declare-fun T.Data___unnamed_12_2349179a () boogieU)
(declare-fun T.Data___unnamed_12_508ad0f8 () boogieU)
(declare-fun T.DataSize___unnamed_12_5a101f58 () boogieU)
(declare-fun T.Reserved1___unnamed_12_5a101f58 () boogieU)
(declare-fun T.Reserved2___unnamed_12_5a101f58 () boogieU)
(declare-fun T.Start___unnamed_12_5c984402 () boogieU)
(declare-fun T.Length40___unnamed_12_5c984402 () boogieU)
(declare-fun T.Reserved___unnamed_12_6851572b () boogieU)
(declare-fun T.MessageCount___unnamed_12_6851572b () boogieU)
(declare-fun T.Vector___unnamed_12_6851572b () boogieU)
(declare-fun T.Affinity___unnamed_12_6851572b () boogieU)
(declare-fun T.Start___unnamed_12_91f117a1 () boogieU)
(declare-fun T.Length___unnamed_12_91f117a1 () boogieU)
(declare-fun T.Reserved___unnamed_12_91f117a1 () boogieU)
(declare-fun T.Buffer___unnamed_12_9675b19c () boogieU)
(declare-fun T.Offset___unnamed_12_9675b19c () boogieU)
(declare-fun T.Length___unnamed_12_9675b19c () boogieU)
(declare-fun T.Priority___unnamed_12_99988665 () boogieU)
(declare-fun T.Reserved1___unnamed_12_99988665 () boogieU)
(declare-fun T.Reserved2___unnamed_12_99988665 () boogieU)
(declare-fun T.Channel___unnamed_12_9b023e7e () boogieU)
(declare-fun T.Port___unnamed_12_9b023e7e () boogieU)
(declare-fun T.Reserved1___unnamed_12_9b023e7e () boogieU)
(declare-fun T.Raw___unnamed_12_a04f3ec2 () boogieU)
(declare-fun T.Translated___unnamed_12_a04f3ec2 () boogieU)
(declare-fun T.Buffer___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Length___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Offset___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Start___unnamed_12_aae97e0b () boogieU)
(declare-fun T.Length___unnamed_12_aae97e0b () boogieU)
(declare-fun T.ListEntry___unnamed_12_b0fe679d () boogieU)
(declare-fun T.__unnamed_4_ac2f5fe2___unnamed_12_b0fe679d () boogieU)
(declare-fun T.Level___unnamed_12_b4709d3d () boogieU)
(declare-fun T.Vector___unnamed_12_b4709d3d () boogieU)
(declare-fun T.Affinity___unnamed_12_b4709d3d () boogieU)
(declare-fun T.Start___unnamed_12_c07928f7 () boogieU)
(declare-fun T.Length48___unnamed_12_c07928f7 () boogieU)
(declare-fun T.Start___unnamed_12_c13de773 () boogieU)
(declare-fun T.Length___unnamed_12_c13de773 () boogieU)
(declare-fun T.Buffer___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Length___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Offset___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Start___unnamed_12_e7dc8c54 () boogieU)
(declare-fun T.Length___unnamed_12_e7dc8c54 () boogieU)
(declare-fun T.Start___unnamed_12_f4e6bbc2 () boogieU)
(declare-fun T.Length64___unnamed_12_f4e6bbc2 () boogieU)
(declare-fun T.InterfaceType___unnamed_16_08405228 () boogieU)
(declare-fun T.Size___unnamed_16_08405228 () boogieU)
(declare-fun T.Version___unnamed_16_08405228 () boogieU)
(declare-fun T.Interface___unnamed_16_08405228 () boogieU)
(declare-fun T.InterfaceSpecificData___unnamed_16_08405228 () boogieU)
(declare-fun T.Length___unnamed_16_0c179b13 () boogieU)
(declare-fun T.StartSid___unnamed_16_0c179b13 () boogieU)
(declare-fun T.SidList___unnamed_16_0c179b13 () boogieU)
(declare-fun T.SidListLength___unnamed_16_0c179b13 () boogieU)
(declare-fun T.Length___unnamed_16_160c71e3 () boogieU)
(declare-fun T.Key___unnamed_16_160c71e3 () boogieU)
(declare-fun T.DeviceOffset___unnamed_16_160c71e3 () boogieU)
(declare-fun T.Argument1___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument2___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument3___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument4___unnamed_16_28d48018 () boogieU)
(declare-fun T.Length___unnamed_16_30754a00 () boogieU)
(declare-fun T.Key___unnamed_16_30754a00 () boogieU)
(declare-fun T.DeviceOffset___unnamed_16_30754a00 () boogieU)
(declare-fun T.Length___unnamed_16_3538eb2e () boogieU)
(declare-fun T.MinBusNumber___unnamed_16_3538eb2e () boogieU)
(declare-fun T.MaxBusNumber___unnamed_16_3538eb2e () boogieU)
(declare-fun T.Reserved___unnamed_16_3538eb2e () boogieU)
(declare-fun T.Create___unnamed_16_3be92f23 () boogieU)
(declare-fun T.Read___unnamed_16_3be92f23 () boogieU)
(declare-fun T.Write___unnamed_16_3be92f23 () boogieU)
(declare-fun T.DeviceIoControl___unnamed_16_3be92f23 () boogieU)
(declare-fun T.Others___unnamed_16_3be92f23 () boogieU)
(declare-fun T.Length___unnamed_16_4692f360 () boogieU)
(declare-fun T.Key___unnamed_16_4692f360 () boogieU)
(declare-fun T.ByteOffset___unnamed_16_4692f360 () boogieU)
(declare-fun T.OutputBufferLength___unnamed_16_47a80b6e () boogieU)
(declare-fun T.InputBufferLength___unnamed_16_47a80b6e () boogieU)
(declare-fun T.FsControlCode___unnamed_16_47a80b6e () boogieU)
(declare-fun T.Type3InputBuffer___unnamed_16_47a80b6e () boogieU)
(declare-fun T.__unnamed_4_4008e71b___unnamed_16_4a376f0e () boogieU)
(declare-fun T.Type___unnamed_16_4a376f0e () boogieU)
(declare-fun T.State___unnamed_16_4a376f0e () boogieU)
(declare-fun T.ShutdownType___unnamed_16_4a376f0e () boogieU)
(declare-fun T.Create___unnamed_16_50547125 () boogieU)
(declare-fun T.Read___unnamed_16_50547125 () boogieU)
(declare-fun T.Write___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryDirectory___unnamed_16_50547125 () boogieU)
(declare-fun T.NotifyDirectory___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryFile___unnamed_16_50547125 () boogieU)
(declare-fun T.SetFile___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryEa___unnamed_16_50547125 () boogieU)
(declare-fun T.SetEa___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryVolume___unnamed_16_50547125 () boogieU)
(declare-fun T.SetVolume___unnamed_16_50547125 () boogieU)
(declare-fun T.FileSystemControl___unnamed_16_50547125 () boogieU)
(declare-fun T.LockControl___unnamed_16_50547125 () boogieU)
(declare-fun T.DeviceIoControl___unnamed_16_50547125 () boogieU)
(declare-fun T.QuerySecurity___unnamed_16_50547125 () boogieU)
(declare-fun T.SetSecurity___unnamed_16_50547125 () boogieU)
(declare-fun T.MountVolume___unnamed_16_50547125 () boogieU)
(declare-fun T.VerifyVolume___unnamed_16_50547125 () boogieU)
(declare-fun T.Scsi___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryQuota___unnamed_16_50547125 () boogieU)
(declare-fun T.SetQuota___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryDeviceRelations___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryInterface___unnamed_16_50547125 () boogieU)
(declare-fun T.DeviceCapabilities___unnamed_16_50547125 () boogieU)
(declare-fun T.FilterResourceRequirements___unnamed_16_50547125 () boogieU)
(declare-fun T.ReadWriteConfig___unnamed_16_50547125 () boogieU)
(declare-fun T.SetLock___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryId___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryDeviceText___unnamed_16_50547125 () boogieU)
(declare-fun T.UsageNotification___unnamed_16_50547125 () boogieU)
(declare-fun T.WaitWake___unnamed_16_50547125 () boogieU)
(declare-fun T.PowerSequence___unnamed_16_50547125 () boogieU)
(declare-fun T.Power___unnamed_16_50547125 () boogieU)
(declare-fun T.StartDevice___unnamed_16_50547125 () boogieU)
(declare-fun T.WMI___unnamed_16_50547125 () boogieU)
(declare-fun T.Others___unnamed_16_50547125 () boogieU)
(declare-fun T.WhichSpace___unnamed_16_70b335ff () boogieU)
(declare-fun T.Buffer___unnamed_16_70b335ff () boogieU)
(declare-fun T.Offset___unnamed_16_70b335ff () boogieU)
(declare-fun T.Length___unnamed_16_70b335ff () boogieU)
(declare-fun T.SecurityContext___unnamed_16_758cc376 () boogieU)
(declare-fun T.Options___unnamed_16_758cc376 () boogieU)
(declare-fun T.FileAttributes___unnamed_16_758cc376 () boogieU)
(declare-fun T.ShareAccess___unnamed_16_758cc376 () boogieU)
(declare-fun T.EaLength___unnamed_16_758cc376 () boogieU)
(declare-fun T.OutputBufferLength___unnamed_16_7b663246 () boogieU)
(declare-fun T.InputBufferLength___unnamed_16_7b663246 () boogieU)
(declare-fun T.IoControlCode___unnamed_16_7b663246 () boogieU)
(declare-fun T.Type3InputBuffer___unnamed_16_7b663246 () boogieU)
(declare-fun T.OutputBufferLength___unnamed_16_8c4e1e25 () boogieU)
(declare-fun T.InputBufferLength___unnamed_16_8c4e1e25 () boogieU)
(declare-fun T.IoControlCode___unnamed_16_8c4e1e25 () boogieU)
(declare-fun T.Type3InputBuffer___unnamed_16_8c4e1e25 () boogieU)
(declare-fun T.Length___unnamed_16_8fdea1e0 () boogieU)
(declare-fun T.Key___unnamed_16_8fdea1e0 () boogieU)
(declare-fun T.ByteOffset___unnamed_16_8fdea1e0 () boogieU)
(declare-fun T.DriverContext___unnamed_16_90864369 () boogieU)
(declare-fun T.Length___unnamed_16_98fa84c9 () boogieU)
(declare-fun T.EaList___unnamed_16_98fa84c9 () boogieU)
(declare-fun T.EaListLength___unnamed_16_98fa84c9 () boogieU)
(declare-fun T.EaIndex___unnamed_16_98fa84c9 () boogieU)
(declare-fun T.Argument1___unnamed_16_b19c652e () boogieU)
(declare-fun T.Argument2___unnamed_16_b19c652e () boogieU)
(declare-fun T.Argument3___unnamed_16_b19c652e () boogieU)
(declare-fun T.Argument4___unnamed_16_b19c652e () boogieU)
(declare-fun T.Length___unnamed_16_cbf64d77 () boogieU)
(declare-fun T.FileName___unnamed_16_cbf64d77 () boogieU)
(declare-fun T.FileInformationClass___unnamed_16_cbf64d77 () boogieU)
(declare-fun T.FileIndex___unnamed_16_cbf64d77 () boogieU)
(declare-fun T.Length___unnamed_16_d07eb79e () boogieU)
(declare-fun T.FileInformationClass___unnamed_16_d07eb79e () boogieU)
(declare-fun T.FileObject___unnamed_16_d07eb79e () boogieU)
(declare-fun T.__unnamed_4_b65679a6___unnamed_16_d07eb79e () boogieU)
(declare-fun T.Arg1___unnamed_16_d8ea3f48 () boogieU)
(declare-fun T.Arg2___unnamed_16_d8ea3f48 () boogieU)
(declare-fun T.IoControlCode___unnamed_16_d8ea3f48 () boogieU)
(declare-fun T.Arg4___unnamed_16_d8ea3f48 () boogieU)
(declare-fun T.ProviderId___unnamed_16_ec1b1a74 () boogieU)
(declare-fun T.DataPath___unnamed_16_ec1b1a74 () boogieU)
(declare-fun T.BufferSize___unnamed_16_ec1b1a74 () boogieU)
(declare-fun T.Buffer___unnamed_16_ec1b1a74 () boogieU)
(declare-fun T.Length___unnamed_16_f0deee7d () boogieU)
(declare-fun T.Key___unnamed_16_f0deee7d () boogieU)
(declare-fun T.ByteOffset___unnamed_16_f0deee7d () boogieU)
(declare-fun T.SecurityContext___unnamed_16_f26424fc () boogieU)
(declare-fun T.Options___unnamed_16_f26424fc () boogieU)
(declare-fun T.FileAttributes___unnamed_16_f26424fc () boogieU)
(declare-fun T.ShareAccess___unnamed_16_f26424fc () boogieU)
(declare-fun T.EaLength___unnamed_16_f26424fc () boogieU)
(declare-fun T.DeviceQueueEntry___unnamed_16_f8ddfcfe () boogieU)
(declare-fun T.__unnamed_16_90864369___unnamed_16_f8ddfcfe () boogieU)
(declare-fun T.Lock___unnamed_1_26d71ac8 () boogieU)
(declare-fun T.Abandoned___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Absolute___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.NpxIrql___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Signalling___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Size___unnamed_1_a19e9f98 () boogieU)
(declare-fun T.Hand___unnamed_1_a19e9f98 () boogieU)
(declare-fun T.Inserted___unnamed_1_a536060f () boogieU)
(declare-fun T.DebugActive___unnamed_1_a536060f () boogieU)
(declare-fun T.DpcActive___unnamed_1_a536060f () boogieU)
(declare-fun T.MinimumVector___unnamed_20_f8440734 () boogieU)
(declare-fun T.MaximumVector___unnamed_20_f8440734 () boogieU)
(declare-fun T.AffinityPolicy___unnamed_20_f8440734 () boogieU)
(declare-fun T.PriorityPolicy___unnamed_20_f8440734 () boogieU)
(declare-fun T.TargetedProcessors___unnamed_20_f8440734 () boogieU)
(declare-fun T.Length64___unnamed_24_06d73087 () boogieU)
(declare-fun T.Alignment64___unnamed_24_06d73087 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_06d73087 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_06d73087 () boogieU)
(declare-fun T.Length___unnamed_24_22419524 () boogieU)
(declare-fun T.Alignment___unnamed_24_22419524 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_22419524 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_22419524 () boogieU)
(declare-fun T.Length40___unnamed_24_36b7e766 () boogieU)
(declare-fun T.Alignment40___unnamed_24_36b7e766 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_36b7e766 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_36b7e766 () boogieU)
(declare-fun T.Length___unnamed_24_370204c2 () boogieU)
(declare-fun T.Alignment___unnamed_24_370204c2 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_370204c2 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_370204c2 () boogieU)
(declare-fun T.IoControlCode___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Input___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Output___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Length48___unnamed_24_76cd2bdb () boogieU)
(declare-fun T.Alignment48___unnamed_24_76cd2bdb () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_76cd2bdb () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_76cd2bdb () boogieU)
(declare-fun T.Write___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Read___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Ioctl___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Others___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Usb___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Length___unnamed_24_b8ad6aa7 () boogieU)
(declare-fun T.Alignment___unnamed_24_b8ad6aa7 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_b8ad6aa7 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_b8ad6aa7 () boogieU)
(declare-fun T.Port___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Memory___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Interrupt___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Dma___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Generic___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.DevicePrivate___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.BusNumber___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.ConfigData___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Memory40___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Memory48___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Memory64___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.ReplaceIfExists___unnamed_2_8290e1b0 () boogieU)
(declare-fun T.AdvanceOnly___unnamed_2_8290e1b0 () boogieU)
(declare-fun T.__unnamed_16_f8ddfcfe___unnamed_40_cfd29ebe () boogieU)
(declare-fun T.Thread___unnamed_40_cfd29ebe () boogieU)
(declare-fun T.AuxiliaryBuffer___unnamed_40_cfd29ebe () boogieU)
(declare-fun T.__unnamed_12_b0fe679d___unnamed_40_cfd29ebe () boogieU)
(declare-fun T.OriginalFileObject___unnamed_40_cfd29ebe () boogieU)
(declare-fun T.ListEntry___unnamed_40_dbe30577 () boogieU)
(declare-fun T.Wcb___unnamed_40_dbe30577 () boogieU)
(declare-fun T.InitialPrivilegeSet___unnamed_44_d7e89117 () boogieU)
(declare-fun T.PrivilegeSet___unnamed_44_d7e89117 () boogieU)
(declare-fun T.Overlay___unnamed_48_5a9f979b () boogieU)
(declare-fun T.Apc___unnamed_48_5a9f979b () boogieU)
(declare-fun T.CompletionKey___unnamed_48_5a9f979b () boogieU)
(declare-fun T.MasterIrp___unnamed_4_0a20c9fb () boogieU)
(declare-fun T.IrpCount___unnamed_4_0a20c9fb () boogieU)
(declare-fun T.SystemBuffer___unnamed_4_0a20c9fb () boogieU)
(declare-fun T.Length___unnamed_4_27fec054 () boogieU)
(declare-fun T.PowerState___unnamed_4_342578c3 () boogieU)
(declare-fun T.Capabilities___unnamed_4_36e06717 () boogieU)
(declare-fun T.PowerSequence___unnamed_4_3e8985b1 () boogieU)
(declare-fun T.SystemContext___unnamed_4_4008e71b () boogieU)
(declare-fun T.SystemPowerStateContext___unnamed_4_4008e71b () boogieU)
(declare-fun T.UserApcRoutine___unnamed_4_41bc16eb () boogieU)
(declare-fun T.IssuingProcess___unnamed_4_41bc16eb () boogieU)
(declare-fun T.Ptr___unnamed_4_442e007e () boogieU)
(declare-fun T.Value___unnamed_4_442e007e () boogieU)
(declare-fun T.Status___unnamed_4_6a857cdd () boogieU)
(declare-fun T.Pointer___unnamed_4_6a857cdd () boogieU)
(declare-fun T.Reserved1___unnamed_4_82d41359 () boogieU)
(declare-fun T.TargetSystemState___unnamed_4_82d41359 () boogieU)
(declare-fun T.EffectiveSystemState___unnamed_4_82d41359 () boogieU)
(declare-fun T.CurrentSystemState___unnamed_4_82d41359 () boogieU)
(declare-fun T.IgnoreHibernationPath___unnamed_4_82d41359 () boogieU)
(declare-fun T.PseudoTransition___unnamed_4_82d41359 () boogieU)
(declare-fun T.Reserved2___unnamed_4_82d41359 () boogieU)
(declare-fun T.Srb___unnamed_4_94f0c80c () boogieU)
(declare-fun T.Type___unnamed_4_9b388132 () boogieU)
(declare-fun T.Address___unnamed_4_9d516d2b () boogieU)
(declare-fun T.CreatorBackTraceIndex___unnamed_4_9d516d2b () boogieU)
(declare-fun T.CurrentStackLocation___unnamed_4_ac2f5fe2 () boogieU)
(declare-fun T.PacketType___unnamed_4_ac2f5fe2 () boogieU)
(declare-fun T.Type___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_a19e9f98___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_a536060f___unnamed_4_b1953259 () boogieU)
(declare-fun T.Ptr___unnamed_4_b617aa5a () boogieU)
(declare-fun T.Value___unnamed_4_b617aa5a () boogieU)
(declare-fun T.__unnamed_2_8290e1b0___unnamed_4_b65679a6 () boogieU)
(declare-fun T.ClusterCount___unnamed_4_b65679a6 () boogieU)
(declare-fun T.DeleteHandle___unnamed_4_b65679a6 () boogieU)
(declare-fun T.OwnerCount___unnamed_4_c406319a () boogieU)
(declare-fun T.TableSize___unnamed_4_c406319a () boogieU)
(declare-fun T.Ptr___unnamed_4_d6f0159b () boogieU)
(declare-fun T.Value___unnamed_4_d6f0159b () boogieU)
(declare-fun T.Completion___unnamed_4_de25a30d () boogieU)
(declare-fun T.__unnamed_4_b1953259___unnamed_4_dfcb1314 () boogieU)
(declare-fun T.Lock___unnamed_4_dfcb1314 () boogieU)
(declare-fun T.Length___unnamed_4_e60fbc3e () boogieU)
(declare-fun T.__unnamed_4_82d41359___unnamed_4_f525de8d () boogieU)
(declare-fun T.ContextAsUlong___unnamed_4_f525de8d () boogieU)
(declare-fun T.IoResourceRequirementList___unnamed_4_f571b1b9 () boogieU)
(declare-fun T.IdType___unnamed_4_fad32fd4 () boogieU)
(declare-fun T.Ptr___unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.Value___unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.Buffer___unnamed_8_20ce6f92 () boogieU)
(declare-fun T.Offset___unnamed_8_20ce6f92 () boogieU)
(declare-fun T.AsynchronousParameters___unnamed_8_2c71b416 () boogieU)
(declare-fun T.AllocationSize___unnamed_8_2c71b416 () boogieU)
(declare-fun T.AllocatedResources___unnamed_8_305df57c () boogieU)
(declare-fun T.AllocatedResourcesTranslated___unnamed_8_305df57c () boogieU)
(declare-fun T.LowPart___unnamed_8_4aac83fd () boogieU)
(declare-fun T.HighPart___unnamed_8_4aac83fd () boogieU)
(declare-fun T.Length___unnamed_8_5c8f0abe () boogieU)
(declare-fun T.FileInformationClass___unnamed_8_5c8f0abe () boogieU)
(declare-fun T.Length___unnamed_8_872f0ca6 () boogieU)
(declare-fun T.FsInformationClass___unnamed_8_872f0ca6 () boogieU)
(declare-fun T.Vpb___unnamed_8_89024868 () boogieU)
(declare-fun T.DeviceObject___unnamed_8_89024868 () boogieU)
(declare-fun T.SecurityInformation___unnamed_8_8bfbe2a4 () boogieU)
(declare-fun T.Length___unnamed_8_8bfbe2a4 () boogieU)
(declare-fun T.MinimumChannel___unnamed_8_9b5da84f () boogieU)
(declare-fun T.MaximumChannel___unnamed_8_9b5da84f () boogieU)
(declare-fun T.DeviceTextType___unnamed_8_9da0b827 () boogieU)
(declare-fun T.LocaleId___unnamed_8_9da0b827 () boogieU)
(declare-fun T.LowPart___unnamed_8_bb154058 () boogieU)
(declare-fun T.HighPart___unnamed_8_bb154058 () boogieU)
(declare-fun T.InPath___unnamed_8_cdc8e4c0 () boogieU)
(declare-fun T.Reserved___unnamed_8_cdc8e4c0 () boogieU)
(declare-fun T.Type___unnamed_8_cdc8e4c0 () boogieU)
(declare-fun T.__unnamed_4_41bc16eb___unnamed_8_d0cda093 () boogieU)
(declare-fun T.UserApcContext___unnamed_8_d0cda093 () boogieU)
(declare-fun T.Length___unnamed_8_da064ae3 () boogieU)
(declare-fun T.FsInformationClass___unnamed_8_da064ae3 () boogieU)
(declare-fun T.Length___unnamed_8_e1457eff () boogieU)
(declare-fun T.CompletionFilter___unnamed_8_e1457eff () boogieU)
(declare-fun T.Vpb___unnamed_8_f62d54e1 () boogieU)
(declare-fun T.DeviceObject___unnamed_8_f62d54e1 () boogieU)
(declare-fun T.SecurityInformation___unnamed_8_f825c111 () boogieU)
(declare-fun T.SecurityDescriptor___unnamed_8_f825c111 () boogieU)
(declare-fun T.UrbHeader___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbSelectInterface___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbSelectConfiguration___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbPipeRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbFrameLengthControl___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbGetFrameLength___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbSetFrameLength___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbGetCurrentFrameNumber___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlTransfer___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlTransferEx___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbPipeIoPolicy___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbBulkOrInterruptTransfer___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbIsochronousTransfer___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlDescriptorRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlGetStatusRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlFeatureRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlVendorClassRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlGetInterfaceRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlGetConfigurationRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbOSFeatureDescriptorRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.A1_CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_IO_RESOURCE_LIST () boogieU)
(declare-fun T.A1_LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.A1_USBD_ISO_PACKET_DESCRIPTOR () boogieU)
(declare-fun T.A1_USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.A28PFDRIVER_DISPATCH () boogieU)
(declare-fun T.A32CHAR () boogieU)
(declare-fun T.A32UINT2 () boogieU)
(declare-fun T.A3UCHAR () boogieU)
(declare-fun T.A3UINT4 () boogieU)
(declare-fun T.A3_LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.A4PVOID () boogieU)
(declare-fun T.A4UCHAR () boogieU)
(declare-fun T.A5CHAR () boogieU)
(declare-fun T.A6CHAR () boogieU)
(declare-fun T.A7_DEVICE_POWER_STATE () boogieU)
(declare-fun T.A8PVOID () boogieU)
(declare-fun T.A8UCHAR () boogieU)
(declare-fun T.BUS_QUERY_ID_TYPE () boogieU)
(declare-fun T.CHAR () boogieU)
(declare-fun T.DEVICE_TEXT_TYPE () boogieU)
(declare-fun T.F0 () boogieU)
(declare-fun T.F1 () boogieU)
(declare-fun T.F10 () boogieU)
(declare-fun T.F11 () boogieU)
(declare-fun T.F12 () boogieU)
(declare-fun T.F13 () boogieU)
(declare-fun T.F14 () boogieU)
(declare-fun T.F15 () boogieU)
(declare-fun T.F16 () boogieU)
(declare-fun T.F17 () boogieU)
(declare-fun T.F18 () boogieU)
(declare-fun T.F19 () boogieU)
(declare-fun T.F2 () boogieU)
(declare-fun T.F20 () boogieU)
(declare-fun T.F21 () boogieU)
(declare-fun T.F22 () boogieU)
(declare-fun T.F23 () boogieU)
(declare-fun T.F24 () boogieU)
(declare-fun T.F25 () boogieU)
(declare-fun T.F26 () boogieU)
(declare-fun T.F27 () boogieU)
(declare-fun T.F28 () boogieU)
(declare-fun T.F29 () boogieU)
(declare-fun T.F3 () boogieU)
(declare-fun T.F30 () boogieU)
(declare-fun T.F31 () boogieU)
(declare-fun T.F32 () boogieU)
(declare-fun T.F33 () boogieU)
(declare-fun T.F34 () boogieU)
(declare-fun T.F35 () boogieU)
(declare-fun T.F36 () boogieU)
(declare-fun T.F37 () boogieU)
(declare-fun T.F4 () boogieU)
(declare-fun T.F5 () boogieU)
(declare-fun T.F6 () boogieU)
(declare-fun T.F7 () boogieU)
(declare-fun T.F8 () boogieU)
(declare-fun T.F9 () boogieU)
(declare-fun T.FDRIVER_ADD_DEVICE () boogieU)
(declare-fun T.FDRIVER_CANCEL () boogieU)
(declare-fun T.FDRIVER_DISPATCH () boogieU)
(declare-fun T.FDRIVER_INITIALIZE () boogieU)
(declare-fun T.FDRIVER_STARTIO () boogieU)
(declare-fun T.FDRIVER_UNLOAD () boogieU)
(declare-fun T.FEVT_WDF_OBJECT_CONTEXT_CLEANUP () boogieU)
(declare-fun T.FEVT_WDF_OBJECT_CONTEXT_DESTROY () boogieU)
(declare-fun T.FEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.FEVT_WDF_WORKITEM () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FILE () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FOR_CCFLUSH () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE () boogieU)
(declare-fun T.FFAST_IO_CHECK_IF_POSSIBLE () boogieU)
(declare-fun T.FFAST_IO_DETACH_DEVICE () boogieU)
(declare-fun T.FFAST_IO_DEVICE_CONTROL () boogieU)
(declare-fun T.FFAST_IO_LOCK () boogieU)
(declare-fun T.FFAST_IO_MDL_READ () boogieU)
(declare-fun T.FFAST_IO_MDL_READ_COMPLETE () boogieU)
(declare-fun T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_MDL_WRITE_COMPLETE () boogieU)
(declare-fun T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_PREPARE_MDL_WRITE () boogieU)
(declare-fun T.FFAST_IO_QUERY_BASIC_INFO () boogieU)
(declare-fun T.FFAST_IO_QUERY_NETWORK_OPEN_INFO () boogieU)
(declare-fun T.FFAST_IO_QUERY_OPEN () boogieU)
(declare-fun T.FFAST_IO_QUERY_STANDARD_INFO () boogieU)
(declare-fun T.FFAST_IO_READ () boogieU)
(declare-fun T.FFAST_IO_READ_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FILE () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FOR_CCFLUSH () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FOR_MOD_WRITE () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_ALL () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_ALL_BY_KEY () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_SINGLE () boogieU)
(declare-fun T.FFAST_IO_WRITE () boogieU)
(declare-fun T.FFAST_IO_WRITE_COMPRESSED () boogieU)
(declare-fun T.FIO_COMPLETION_ROUTINE () boogieU)
(declare-fun T.INT2 () boogieU)
(declare-fun T.INT4 () boogieU)
(declare-fun T.INT8 () boogieU)
(declare-fun T.PA5CHAR () boogieU)
(declare-fun T.PA6CHAR () boogieU)
(declare-fun T.PCHAR () boogieU)
(declare-fun T.PF0 () boogieU)
(declare-fun T.PF1 () boogieU)
(declare-fun T.PF27 () boogieU)
(declare-fun T.PF28 () boogieU)
(declare-fun T.PF29 () boogieU)
(declare-fun T.PF31 () boogieU)
(declare-fun T.PF32 () boogieU)
(declare-fun T.PF33 () boogieU)
(declare-fun T.PF35 () boogieU)
(declare-fun T.PF36 () boogieU)
(declare-fun T.PF37 () boogieU)
(declare-fun T.PFDRIVER_ADD_DEVICE () boogieU)
(declare-fun T.PFDRIVER_CANCEL () boogieU)
(declare-fun T.PFDRIVER_DISPATCH () boogieU)
(declare-fun T.PFDRIVER_INITIALIZE () boogieU)
(declare-fun T.PFDRIVER_STARTIO () boogieU)
(declare-fun T.PFDRIVER_UNLOAD () boogieU)
(declare-fun T.PFEVT_WDF_OBJECT_CONTEXT_CLEANUP () boogieU)
(declare-fun T.PFEVT_WDF_OBJECT_CONTEXT_DESTROY () boogieU)
(declare-fun T.PFEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PFEVT_WDF_WORKITEM () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FILE () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE () boogieU)
(declare-fun T.PFFAST_IO_CHECK_IF_POSSIBLE () boogieU)
(declare-fun T.PFFAST_IO_DETACH_DEVICE () boogieU)
(declare-fun T.PFFAST_IO_DEVICE_CONTROL () boogieU)
(declare-fun T.PFFAST_IO_LOCK () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ_COMPLETE () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_MDL_WRITE_COMPLETE () boogieU)
(declare-fun T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_PREPARE_MDL_WRITE () boogieU)
(declare-fun T.PFFAST_IO_QUERY_BASIC_INFO () boogieU)
(declare-fun T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO () boogieU)
(declare-fun T.PFFAST_IO_QUERY_OPEN () boogieU)
(declare-fun T.PFFAST_IO_QUERY_STANDARD_INFO () boogieU)
(declare-fun T.PFFAST_IO_READ () boogieU)
(declare-fun T.PFFAST_IO_READ_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FILE () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FOR_CCFLUSH () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FOR_MOD_WRITE () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_ALL () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_ALL_BY_KEY () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_SINGLE () boogieU)
(declare-fun T.PFFAST_IO_WRITE () boogieU)
(declare-fun T.PFFAST_IO_WRITE_COMPRESSED () boogieU)
(declare-fun T.PFIO_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PINT4 () boogieU)
(declare-fun T.POWER_ACTION () boogieU)
(declare-fun T.PPCHAR () boogieU)
(declare-fun T.PPF32 () boogieU)
(declare-fun T.PPFEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PPFEVT_WDF_WORKITEM () boogieU)
(declare-fun T.PPINT4 () boogieU)
(declare-fun T.PPPVOID () boogieU)
(declare-fun T.PPPWDFCOLLECTION__ () boogieU)
(declare-fun T.PPPWDFMEMORY__ () boogieU)
(declare-fun T.PPPWDFREQUEST__ () boogieU)
(declare-fun T.PPPWDFSPINLOCK__ () boogieU)
(declare-fun T.PPPWDFWORKITEM__ () boogieU)
(declare-fun T.PPP_MDL () boogieU)
(declare-fun T.PPUCHAR () boogieU)
(declare-fun T.PPUINT4 () boogieU)
(declare-fun T.PPVOID () boogieU)
(declare-fun T.PPWDFCOLLECTION__ () boogieU)
(declare-fun T.PPWDFDEVICE__ () boogieU)
(declare-fun T.PPWDFFILEOBJECT__ () boogieU)
(declare-fun T.PPWDFIOTARGET__ () boogieU)
(declare-fun T.PPWDFMEMORY__ () boogieU)
(declare-fun T.PPWDFQUEUE__ () boogieU)
(declare-fun T.PPWDFREQUEST__ () boogieU)
(declare-fun T.PPWDFSPINLOCK__ () boogieU)
(declare-fun T.PPWDFUSBDEVICE__ () boogieU)
(declare-fun T.PPWDFUSBINTERFACE__ () boogieU)
(declare-fun T.PPWDFUSBPIPE__ () boogieU)
(declare-fun T.PPWDFWORKITEM__ () boogieU)
(declare-fun T.PP_DEVICE_CONTEXT () boogieU)
(declare-fun T.PP_ERESOURCE () boogieU)
(declare-fun T.PP_FILE_CONTEXT () boogieU)
(declare-fun T.PP_IRP () boogieU)
(declare-fun T.PP_LIST_ENTRY () boogieU)
(declare-fun T.PP_MDL () boogieU)
(declare-fun T.PP_REQUEST_CONTEXT () boogieU)
(declare-fun T.PP_SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T.PP_URB () boogieU)
(declare-fun T.PP_WDFMEMORY_OFFSET () boogieU)
(declare-fun T.PP_WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.PP_WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.PP_WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.PP_WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T.PP_WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.PP_WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.PP_WDF_WORKITEM_CONFIG () boogieU)
(declare-fun T.PP_WORKITEM_CONTEXT () boogieU)
(declare-fun T.PUCHAR () boogieU)
(declare-fun T.PUINT2 () boogieU)
(declare-fun T.PUINT4 () boogieU)
(declare-fun T.PVOID () boogieU)
(declare-fun T.PWDFCOLLECTION__ () boogieU)
(declare-fun T.PWDFDEVICE__ () boogieU)
(declare-fun T.PWDFDRIVER__ () boogieU)
(declare-fun T.PWDFFILEOBJECT__ () boogieU)
(declare-fun T.PWDFIOTARGET__ () boogieU)
(declare-fun T.PWDFMEMORY__ () boogieU)
(declare-fun T.PWDFQUEUE__ () boogieU)
(declare-fun T.PWDFREQUEST__ () boogieU)
(declare-fun T.PWDFSPINLOCK__ () boogieU)
(declare-fun T.PWDFUSBDEVICE__ () boogieU)
(declare-fun T.PWDFUSBINTERFACE__ () boogieU)
(declare-fun T.PWDFUSBPIPE__ () boogieU)
(declare-fun T.PWDFWORKITEM__ () boogieU)
(declare-fun T.P_ACCESS_STATE () boogieU)
(declare-fun T.P_CM_RESOURCE_LIST () boogieU)
(declare-fun T.P_COMPRESSED_DATA_INFO () boogieU)
(declare-fun T.P_DEVICE_CAPABILITIES () boogieU)
(declare-fun T.P_DEVICE_CONTEXT () boogieU)
(declare-fun T.P_DEVICE_OBJECT () boogieU)
(declare-fun T.P_DEVOBJ_EXTENSION () boogieU)
(declare-fun T.P_DRIVER_EXTENSION () boogieU)
(declare-fun T.P_DRIVER_OBJECT () boogieU)
(declare-fun T.P_EPROCESS () boogieU)
(declare-fun T.P_ERESOURCE () boogieU)
(declare-fun T.P_FAST_IO_DISPATCH () boogieU)
(declare-fun T.P_FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.P_FILE_CONTEXT () boogieU)
(declare-fun T.P_FILE_GET_QUOTA_INFORMATION () boogieU)
(declare-fun T.P_FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.P_FILE_OBJECT () boogieU)
(declare-fun T.P_FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.P_GUID () boogieU)
(declare-fun T.P_INTERFACE () boogieU)
(declare-fun T.P_IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.P_IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.P_IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.P_IO_STACK_LOCATION () boogieU)
(declare-fun T.P_IO_STATUS_BLOCK () boogieU)
(declare-fun T.P_IO_TIMER () boogieU)
(declare-fun T.P_IRP () boogieU)
(declare-fun T.P_KAPC () boogieU)
(declare-fun T.P_KDPC () boogieU)
(declare-fun T.P_KEVENT () boogieU)
(declare-fun T.P_KPROCESS () boogieU)
(declare-fun T.P_KSEMAPHORE () boogieU)
(declare-fun T.P_KTHREAD () boogieU)
(declare-fun T.P_LARGE_INTEGER () boogieU)
(declare-fun T.P_LIST_ENTRY () boogieU)
(declare-fun T.P_MDL () boogieU)
(declare-fun T.P_OWNER_ENTRY () boogieU)
(declare-fun T.P_POOL_TYPE () boogieU)
(declare-fun T.P_POWER_SEQUENCE () boogieU)
(declare-fun T.P_REQUEST_CONTEXT () boogieU)
(declare-fun T.P_SCSI_REQUEST_BLOCK () boogieU)
(declare-fun T.P_SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.P_SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.P_SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T.P_UNICODE_STRING () boogieU)
(declare-fun T.P_URB () boogieU)
(declare-fun T.P_USBD_ISO_PACKET_DESCRIPTOR () boogieU)
(declare-fun T.P_USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.P_VPB () boogieU)
(declare-fun T.P_WDFMEMORY_OFFSET () boogieU)
(declare-fun T.P_WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.P_WDF_IO_TARGET_SENT_IO_ACTION () boogieU)
(declare-fun T.P_WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.P_WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.P_WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.P_WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T.P_WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.P_WDF_REQUEST_TYPE () boogieU)
(declare-fun T.P_WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.P_WDF_USB_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.P_WDF_WORKITEM_CONFIG () boogieU)
(declare-fun T.P_WORKITEM_CONTEXT () boogieU)
(declare-fun T.UCHAR () boogieU)
(declare-fun T.UINT2 () boogieU)
(declare-fun T.UINT4 () boogieU)
(declare-fun T.VOID () boogieU)
(declare-fun T.WDFCOLLECTION__ () boogieU)
(declare-fun T.WDFDEVICE__ () boogieU)
(declare-fun T.WDFDRIVER__ () boogieU)
(declare-fun T.WDFFILEOBJECT__ () boogieU)
(declare-fun T.WDFIOTARGET__ () boogieU)
(declare-fun T.WDFMEMORY__ () boogieU)
(declare-fun T.WDFQUEUE__ () boogieU)
(declare-fun T.WDFREQUEST__ () boogieU)
(declare-fun T.WDFSPINLOCK__ () boogieU)
(declare-fun T.WDFUSBDEVICE__ () boogieU)
(declare-fun T.WDFUSBINTERFACE__ () boogieU)
(declare-fun T.WDFUSBPIPE__ () boogieU)
(declare-fun T.WDFWORKITEM__ () boogieU)
(declare-fun T._ACCESS_STATE () boogieU)
(declare-fun T._CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T._CM_RESOURCE_LIST () boogieU)
(declare-fun T._COMPRESSED_DATA_INFO () boogieU)
(declare-fun T._DEVICE_CAPABILITIES () boogieU)
(declare-fun T._DEVICE_CONTEXT () boogieU)
(declare-fun T._DEVICE_OBJECT () boogieU)
(declare-fun T._DEVICE_POWER_STATE () boogieU)
(declare-fun T._DEVICE_RELATION_TYPE () boogieU)
(declare-fun T._DEVICE_USAGE_NOTIFICATION_TYPE () boogieU)
(declare-fun T._DEVOBJ_EXTENSION () boogieU)
(declare-fun T._DISPATCHER_HEADER () boogieU)
(declare-fun T._DRIVER_EXTENSION () boogieU)
(declare-fun T._DRIVER_OBJECT () boogieU)
(declare-fun T._EPROCESS () boogieU)
(declare-fun T._ERESOURCE () boogieU)
(declare-fun T._FAST_IO_DISPATCH () boogieU)
(declare-fun T._FILE_BASIC_INFORMATION () boogieU)
(declare-fun T._FILE_CONTEXT () boogieU)
(declare-fun T._FILE_GET_QUOTA_INFORMATION () boogieU)
(declare-fun T._FILE_INFORMATION_CLASS () boogieU)
(declare-fun T._FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T._FILE_OBJECT () boogieU)
(declare-fun T._FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T._FSINFOCLASS () boogieU)
(declare-fun T._GUID () boogieU)
(declare-fun T._INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T._INTERFACE () boogieU)
(declare-fun T._INTERFACE_TYPE () boogieU)
(declare-fun T._IO_ALLOCATION_ACTION () boogieU)
(declare-fun T._IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T._IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._IO_RESOURCE_LIST () boogieU)
(declare-fun T._IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T._IO_SECURITY_CONTEXT () boogieU)
(declare-fun T._IO_STACK_LOCATION () boogieU)
(declare-fun T._IO_STATUS_BLOCK () boogieU)
(declare-fun T._IO_TIMER () boogieU)
(declare-fun T._IRP () boogieU)
(declare-fun T._IRQ_DEVICE_POLICY () boogieU)
(declare-fun T._IRQ_PRIORITY () boogieU)
(declare-fun T._KAPC () boogieU)
(declare-fun T._KDEVICE_QUEUE () boogieU)
(declare-fun T._KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T._KDPC () boogieU)
(declare-fun T._KEVENT () boogieU)
(declare-fun T._KPROCESS () boogieU)
(declare-fun T._KSEMAPHORE () boogieU)
(declare-fun T._KTHREAD () boogieU)
(declare-fun T._LARGE_INTEGER () boogieU)
(declare-fun T._LIST_ENTRY () boogieU)
(declare-fun T._LUID () boogieU)
(declare-fun T._LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T._MDL () boogieU)
(declare-fun T._OWNER_ENTRY () boogieU)
(declare-fun T._POOL_TYPE () boogieU)
(declare-fun T._POWER_SEQUENCE () boogieU)
(declare-fun T._POWER_STATE () boogieU)
(declare-fun T._POWER_STATE_TYPE () boogieU)
(declare-fun T._PRIVILEGE_SET () boogieU)
(declare-fun T._REQUEST_CONTEXT () boogieU)
(declare-fun T._SCSI_REQUEST_BLOCK () boogieU)
(declare-fun T._SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T._SECURITY_IMPERSONATION_LEVEL () boogieU)
(declare-fun T._SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T._SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T._SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T._SYSTEM_POWER_STATE () boogieU)
(declare-fun T._SYSTEM_POWER_STATE_CONTEXT () boogieU)
(declare-fun T._UNICODE_STRING () boogieU)
(declare-fun T._URB () boogieU)
(declare-fun T._URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T._URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T._URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T._URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T._URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T._URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T._URB_CONTROL_TRANSFER () boogieU)
(declare-fun T._URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T._URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T._URB_FRAME_LENGTH_CONTROL () boogieU)
(declare-fun T._URB_GET_CURRENT_FRAME_NUMBER () boogieU)
(declare-fun T._URB_GET_FRAME_LENGTH () boogieU)
(declare-fun T._URB_HCD_AREA () boogieU)
(declare-fun T._URB_HEADER () boogieU)
(declare-fun T._URB_ISOCH_TRANSFER () boogieU)
(declare-fun T._URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T._URB_PIPE_IO_POLICY () boogieU)
(declare-fun T._URB_PIPE_REQUEST () boogieU)
(declare-fun T._URB_SELECT_CONFIGURATION () boogieU)
(declare-fun T._URB_SELECT_INTERFACE () boogieU)
(declare-fun T._URB_SET_FRAME_LENGTH () boogieU)
(declare-fun T._USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T._USBD_ISO_PACKET_DESCRIPTOR () boogieU)
(declare-fun T._USBD_PIPE_INFORMATION () boogieU)
(declare-fun T._USBD_PIPE_TYPE () boogieU)
(declare-fun T._USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T._USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T._USB_IO_PARAMETERS () boogieU)
(declare-fun T._USB_IO_PRIORITY () boogieU)
(declare-fun T._VPB () boogieU)
(declare-fun T._WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T._WDFMEMORY_OFFSET () boogieU)
(declare-fun T._WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T._WDF_EXECUTION_LEVEL () boogieU)
(declare-fun T._WDF_IO_TARGET_SENT_IO_ACTION () boogieU)
(declare-fun T._WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T._WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T._WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T._WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T._WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T._WDF_REQUEST_TYPE () boogieU)
(declare-fun T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun T._WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T._WDF_USB_PIPE_TYPE () boogieU)
(declare-fun T._WDF_USB_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T._WDF_WORKITEM_CONFIG () boogieU)
(declare-fun T._WORKITEM_CONTEXT () boogieU)
(declare-fun T.__unnamed_12_00aa0978 () boogieU)
(declare-fun T.__unnamed_12_011610e6 () boogieU)
(declare-fun T.__unnamed_12_135b00bd () boogieU)
(declare-fun T.__unnamed_12_2349179a () boogieU)
(declare-fun T.__unnamed_12_508ad0f8 () boogieU)
(declare-fun T.__unnamed_12_5a101f58 () boogieU)
(declare-fun T.__unnamed_12_5c984402 () boogieU)
(declare-fun T.__unnamed_12_6851572b () boogieU)
(declare-fun T.__unnamed_12_91f117a1 () boogieU)
(declare-fun T.__unnamed_12_9675b19c () boogieU)
(declare-fun T.__unnamed_12_99988665 () boogieU)
(declare-fun T.__unnamed_12_9b023e7e () boogieU)
(declare-fun T.__unnamed_12_a04f3ec2 () boogieU)
(declare-fun T.__unnamed_12_a41ee278 () boogieU)
(declare-fun T.__unnamed_12_aae97e0b () boogieU)
(declare-fun T.__unnamed_12_b0fe679d () boogieU)
(declare-fun T.__unnamed_12_b4709d3d () boogieU)
(declare-fun T.__unnamed_12_c07928f7 () boogieU)
(declare-fun T.__unnamed_12_c13de773 () boogieU)
(declare-fun T.__unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.__unnamed_12_e7dc8c54 () boogieU)
(declare-fun T.__unnamed_12_f4e6bbc2 () boogieU)
(declare-fun T.__unnamed_16_08405228 () boogieU)
(declare-fun T.__unnamed_16_0c179b13 () boogieU)
(declare-fun T.__unnamed_16_160c71e3 () boogieU)
(declare-fun T.__unnamed_16_28d48018 () boogieU)
(declare-fun T.__unnamed_16_30754a00 () boogieU)
(declare-fun T.__unnamed_16_3538eb2e () boogieU)
(declare-fun T.__unnamed_16_3be92f23 () boogieU)
(declare-fun T.__unnamed_16_4692f360 () boogieU)
(declare-fun T.__unnamed_16_47a80b6e () boogieU)
(declare-fun T.__unnamed_16_4a376f0e () boogieU)
(declare-fun T.__unnamed_16_50547125 () boogieU)
(declare-fun T.__unnamed_16_70b335ff () boogieU)
(declare-fun T.__unnamed_16_758cc376 () boogieU)
(declare-fun T.__unnamed_16_7b663246 () boogieU)
(declare-fun T.__unnamed_16_8c4e1e25 () boogieU)
(declare-fun T.__unnamed_16_8fdea1e0 () boogieU)
(declare-fun T.__unnamed_16_90864369 () boogieU)
(declare-fun T.__unnamed_16_98fa84c9 () boogieU)
(declare-fun T.__unnamed_16_b19c652e () boogieU)
(declare-fun T.__unnamed_16_cbf64d77 () boogieU)
(declare-fun T.__unnamed_16_d07eb79e () boogieU)
(declare-fun T.__unnamed_16_d8ea3f48 () boogieU)
(declare-fun T.__unnamed_16_ec1b1a74 () boogieU)
(declare-fun T.__unnamed_16_f0deee7d () boogieU)
(declare-fun T.__unnamed_16_f26424fc () boogieU)
(declare-fun T.__unnamed_16_f8ddfcfe () boogieU)
(declare-fun T.__unnamed_1_26d71ac8 () boogieU)
(declare-fun T.__unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.__unnamed_1_a19e9f98 () boogieU)
(declare-fun T.__unnamed_1_a536060f () boogieU)
(declare-fun T.__unnamed_20_f8440734 () boogieU)
(declare-fun T.__unnamed_24_06d73087 () boogieU)
(declare-fun T.__unnamed_24_22419524 () boogieU)
(declare-fun T.__unnamed_24_36b7e766 () boogieU)
(declare-fun T.__unnamed_24_370204c2 () boogieU)
(declare-fun T.__unnamed_24_52bbd12f () boogieU)
(declare-fun T.__unnamed_24_76cd2bdb () boogieU)
(declare-fun T.__unnamed_24_a2447d05 () boogieU)
(declare-fun T.__unnamed_24_b8ad6aa7 () boogieU)
(declare-fun T.__unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.__unnamed_2_8290e1b0 () boogieU)
(declare-fun T.__unnamed_40_cfd29ebe () boogieU)
(declare-fun T.__unnamed_40_dbe30577 () boogieU)
(declare-fun T.__unnamed_44_d7e89117 () boogieU)
(declare-fun T.__unnamed_48_5a9f979b () boogieU)
(declare-fun T.__unnamed_4_0a20c9fb () boogieU)
(declare-fun T.__unnamed_4_27fec054 () boogieU)
(declare-fun T.__unnamed_4_342578c3 () boogieU)
(declare-fun T.__unnamed_4_36e06717 () boogieU)
(declare-fun T.__unnamed_4_3e8985b1 () boogieU)
(declare-fun T.__unnamed_4_4008e71b () boogieU)
(declare-fun T.__unnamed_4_41bc16eb () boogieU)
(declare-fun T.__unnamed_4_442e007e () boogieU)
(declare-fun T.__unnamed_4_6a857cdd () boogieU)
(declare-fun T.__unnamed_4_82d41359 () boogieU)
(declare-fun T.__unnamed_4_94f0c80c () boogieU)
(declare-fun T.__unnamed_4_9b388132 () boogieU)
(declare-fun T.__unnamed_4_9d516d2b () boogieU)
(declare-fun T.__unnamed_4_ac2f5fe2 () boogieU)
(declare-fun T.__unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_4_b617aa5a () boogieU)
(declare-fun T.__unnamed_4_b65679a6 () boogieU)
(declare-fun T.__unnamed_4_c406319a () boogieU)
(declare-fun T.__unnamed_4_d6f0159b () boogieU)
(declare-fun T.__unnamed_4_de25a30d () boogieU)
(declare-fun T.__unnamed_4_dfcb1314 () boogieU)
(declare-fun T.__unnamed_4_e60fbc3e () boogieU)
(declare-fun T.__unnamed_4_f525de8d () boogieU)
(declare-fun T.__unnamed_4_f571b1b9 () boogieU)
(declare-fun T.__unnamed_4_fad32fd4 () boogieU)
(declare-fun T.__unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.__unnamed_8_20ce6f92 () boogieU)
(declare-fun T.__unnamed_8_2c71b416 () boogieU)
(declare-fun T.__unnamed_8_305df57c () boogieU)
(declare-fun T.__unnamed_8_4aac83fd () boogieU)
(declare-fun T.__unnamed_8_5c8f0abe () boogieU)
(declare-fun T.__unnamed_8_872f0ca6 () boogieU)
(declare-fun T.__unnamed_8_89024868 () boogieU)
(declare-fun T.__unnamed_8_8bfbe2a4 () boogieU)
(declare-fun T.__unnamed_8_9b5da84f () boogieU)
(declare-fun T.__unnamed_8_9da0b827 () boogieU)
(declare-fun T.__unnamed_8_bb154058 () boogieU)
(declare-fun T.__unnamed_8_cdc8e4c0 () boogieU)
(declare-fun T.__unnamed_8_d0cda093 () boogieU)
(declare-fun T.__unnamed_8_da064ae3 () boogieU)
(declare-fun T.__unnamed_8_e1457eff () boogieU)
(declare-fun T.__unnamed_8_f62d54e1 () boogieU)
(declare-fun T.__unnamed_8_f825c111 () boogieU)
(declare-fun T.__unnamed_96_e511a626 () boogieU)
(declare-fun byteType () boogieT)
(declare-fun MapType0Type (boogieT boogieT) boogieT)
(declare-fun MapType0TypeInv0 (boogieT) boogieT)
(declare-fun MapType0TypeInv1 (boogieT) boogieT)
(declare-fun MapType0Select (boogieU boogieU) boogieU)
(declare-fun MapType0Store (boogieU boogieU boogieU) boogieU)
(declare-fun Empty () boogieU)
(declare-fun SetTrue () boogieU)
(declare-fun Singleton (Int) boogieU)
(declare-fun Union (boogieU boogieU) boogieU)
(declare-fun Intersection (boogieU boogieU) boogieU)
(declare-fun Difference (boogieU boogieU) boogieU)
(declare-fun Inverse (boogieU Int) boogieU)
(declare-fun Dereference (boogieU boogieU) boogieU)
(declare-fun Unified (boogieU) boogieU)
(declare-fun Field (Int) boogieU)
(declare-fun Values (boogieU boogieU) boogieU)
(declare-fun T.Ptr (boogieU) boogieU)
(declare-fun x_S_Blink__LIST_ENTRY (boogieU) boogieU)
(declare-fun x_S_Blink__LIST_ENTRYInv (boogieU) boogieU)
(declare-fun x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES (boogieU) boogieU)
(declare-fun x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv (boogieU) boogieU)
(declare-fun x_S_Device__WORKITEM_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Device__WORKITEM_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Flink__LIST_ENTRY (boogieU) boogieU)
(declare-fun x_S_Flink__LIST_ENTRYInv (boogieU) boogieU)
(declare-fun x_S_Function__URB_HEADER (boogieU) boogieU)
(declare-fun x_S_Function__URB_HEADERInv (boogieU) boogieU)
(declare-fun x_S_Hdr__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_Hdr__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS (boogieU) boogieU)
(declare-fun x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_IsDeviceHighSpeed__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_IsoPacket__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_IsoPacket__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_Length__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Length__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Length__URB_HEADER (boogieU) boogieU)
(declare-fun x_S_Length__URB_HEADERInv (boogieU) boogieU)
(declare-fun x_S_Length__USBD_ISO_PACKET_DESCRIPTOR (boogieU) boogieU)
(declare-fun x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv (boogieU) boogieU)
(declare-fun x_S_ListEntry__SUB_REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_ListEntry__SUB_REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION (boogieU) boogieU)
(declare-fun x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv (boogieU) boogieU)
(declare-fun x_S_Mdl__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Mdl__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_NumberConfiguredPipes__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_NumberOfPackets__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_Numxfer__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Numxfer__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR (boogieU) boogieU)
(declare-fun x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv (boogieU) boogieU)
(declare-fun x_S_ParentObject__WDF_OBJECT_ATTRIBUTES (boogieU) boogieU)
(declare-fun x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv (boogieU) boogieU)
(declare-fun x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER (boogieU) boogieU)
(declare-fun x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_PipeHandle__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_PipeHandle__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_PipeType__WDF_USB_PIPE_INFORMATION (boogieU) boogieU)
(declare-fun x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv (boogieU) boogieU)
(declare-fun x_S_Pipe__FILE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Pipe__FILE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Pipe__WORKITEM_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Pipe__WORKITEM_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Read__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Read__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Size__WDF_USB_PIPE_INFORMATION (boogieU) boogieU)
(declare-fun x_S_Size__WDF_USB_PIPE_INFORMATIONInv (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_6a857cdd (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_6a857cddInv (boogieU) boogieU)
(declare-fun x_S_SubMdl__SUB_REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_SubMdl__SUB_REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_SubRequestCollectionLock__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_SubRequestCollection__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_SubRequestCollection__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_SubUrb__SUB_REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_SubUrb__SUB_REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_TransferBufferLength__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_TransferBufferMDL__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_TransferFlags__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferFlags__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_Type__WDF_REQUEST_PARAMETERS (boogieU) boogieU)
(declare-fun x_S_Type__WDF_REQUEST_PARAMETERSInv (boogieU) boogieU)
(declare-fun x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (boogieU) boogieU)
(declare-fun x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (boogieU) boogieU)
(declare-fun x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 (boogieU) boogieU)
(declare-fun x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv (boogieU) boogieU)
(declare-fun x_S_UrbHeader___unnamed_96_e511a626 (boogieU) boogieU)
(declare-fun x_S_UrbHeader___unnamed_96_e511a626Inv (boogieU) boogieU)
(declare-fun x_S_UrbIsochronousTransfer___unnamed_96_e511a626 (boogieU) boogieU)
(declare-fun x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv (boogieU) boogieU)
(declare-fun x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER (boogieU) boogieU)
(declare-fun x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_UrbLink__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_UrbLink__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_UrbMemory__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_UrbMemory__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_UsbInterface__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_UsbInterface__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_UserRequest__SUB_REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_UserRequest__SUB_REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_VirtualAddress__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_VirtualAddress__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_WdfUsbTargetDevice__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK (boogieU) boogieU)
(declare-fun x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (boogieU) boogieU)
(declare-fun x_S___unnamed_96_e511a626__URB (boogieU) boogieU)
(declare-fun x_S___unnamed_96_e511a626__URBInv (boogieU) boogieU)
(declare-fun x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR (boogieU) boogieU)
(declare-fun x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv (boogieU) boogieU)
(declare-fun ReadWriteCompletion () Int)
(declare-fun ReadWriteWorkItem () Int)
(declare-fun SubRequestCompletionRoutine () Int)
(declare-fun UsbSamp_EvtRequestCancel () Int)
(declare-fun WdfDriverGlobals () Int)
(declare-fun x_WDF_DEVICE_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_FILE_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_REQUEST_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_SUB_REQUEST_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_WORKITEM_CONTEXT_TYPE_INFO () Int)
(declare-fun hbuffer () Int)
(declare-fun hdctx () Int)
(declare-fun hdevcollection_count () Int)
(declare-fun hdevice () Int)
(declare-fun hln () Int)
(declare-fun hln2 () Int)
(declare-fun hln3 () Int)
(declare-fun hlock () Int)
(declare-fun hmdl () Int)
(declare-fun hqctx () Int)
(declare-fun hqueue () Int)
(declare-fun hrctx () Int)
(declare-fun hrequest () Int)
(declare-fun htctx () Int)
(declare-fun htimer () Int)
(declare-fun hwork_item () Int)
(declare-fun notused_4hbuffer () Int)
(declare-fun notused_4hfileobj () Int)
(declare-fun notused_4hmdl () Int)
(declare-fun notused_4hwork_item () Int)
(declare-fun notused_4wdfobject1 () Int)
(declare-fun notused_4wdmobject1 () Int)
(declare-fun notused_ctx () Int)
(declare-fun notused_hrequest () Int)
(declare-fun pnotused () Int)
(declare-fun BOOGIE_LARGE_INT_4294967295 () Int)
(declare-fun OneByteToInt (boogieU) Int)
(declare-fun TwoBytesToInt (boogieU boogieU) Int)
(declare-fun FourBytesToInt (boogieU boogieU boogieU boogieU) Int)
(declare-fun Equal (boogieU boogieU) TermBool)
(declare-fun Subset (boogieU boogieU) TermBool)
(declare-fun Disjoint (boogieU boogieU) TermBool)
(declare-fun HasType (Int boogieU boogieU) TermBool)
(declare-fun Match (Int boogieU) TermBool)
(declare-fun Blink__LIST_ENTRYInv (Int) Int)
(declare-fun Blink__LIST_ENTRY (Int) Int)
(declare-fun MINUS_BOTH_PTR_OR_BOTH_INT (Int Int Int) Int)
(declare-fun MINUS_LEFT_PTR (Int Int Int) Int)
(declare-fun ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv (Int) Int)
(declare-fun ContextTypeInfo__WDF_OBJECT_ATTRIBUTES (Int) Int)
(declare-fun Device__WORKITEM_CONTEXTInv (Int) Int)
(declare-fun Device__WORKITEM_CONTEXT (Int) Int)
(declare-fun Flink__LIST_ENTRYInv (Int) Int)
(declare-fun Flink__LIST_ENTRY (Int) Int)
(declare-fun Function__URB_HEADERInv (Int) Int)
(declare-fun Function__URB_HEADER (Int) Int)
(declare-fun Hdr__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun Hdr__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (Int) Int)
(declare-fun IoStatus__WDF_REQUEST_COMPLETION_PARAMS (Int) Int)
(declare-fun IsDeviceHighSpeed__DEVICE_CONTEXTInv (Int) Int)
(declare-fun IsDeviceHighSpeed__DEVICE_CONTEXT (Int) Int)
(declare-fun IsoPacket__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun IsoPacket__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun Length__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Length__REQUEST_CONTEXT (Int) Int)
(declare-fun Length__URB_HEADERInv (Int) Int)
(declare-fun Length__URB_HEADER (Int) Int)
(declare-fun Length__USBD_ISO_PACKET_DESCRIPTORInv (Int) Int)
(declare-fun Length__USBD_ISO_PACKET_DESCRIPTOR (Int) Int)
(declare-fun ListEntry__SUB_REQUEST_CONTEXTInv (Int) Int)
(declare-fun ListEntry__SUB_REQUEST_CONTEXT (Int) Int)
(declare-fun MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv (Int) Int)
(declare-fun MaximumPacketSize__WDF_USB_PIPE_INFORMATION (Int) Int)
(declare-fun Mdl__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Mdl__REQUEST_CONTEXT (Int) Int)
(declare-fun NumberConfiguredPipes__DEVICE_CONTEXTInv (Int) Int)
(declare-fun NumberConfiguredPipes__DEVICE_CONTEXT (Int) Int)
(declare-fun NumberOfPackets__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun NumberOfPackets__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun Numxfer__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Numxfer__REQUEST_CONTEXT (Int) Int)
(declare-fun Offset__USBD_ISO_PACKET_DESCRIPTORInv (Int) Int)
(declare-fun Offset__USBD_ISO_PACKET_DESCRIPTOR (Int) Int)
(declare-fun ParentObject__WDF_OBJECT_ATTRIBUTESInv (Int) Int)
(declare-fun ParentObject__WDF_OBJECT_ATTRIBUTES (Int) Int)
(declare-fun PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv (Int) Int)
(declare-fun PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER (Int) Int)
(declare-fun PipeHandle__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun PipeHandle__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun PipeType__WDF_USB_PIPE_INFORMATIONInv (Int) Int)
(declare-fun PipeType__WDF_USB_PIPE_INFORMATION (Int) Int)
(declare-fun Pipe__FILE_CONTEXTInv (Int) Int)
(declare-fun Pipe__FILE_CONTEXT (Int) Int)
(declare-fun Pipe__WORKITEM_CONTEXTInv (Int) Int)
(declare-fun Pipe__WORKITEM_CONTEXT (Int) Int)
(declare-fun Read__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Read__REQUEST_CONTEXT (Int) Int)
(declare-fun Size__WDF_USB_PIPE_INFORMATIONInv (Int) Int)
(declare-fun Size__WDF_USB_PIPE_INFORMATION (Int) Int)
(declare-fun Status___unnamed_4_6a857cddInv (Int) Int)
(declare-fun Status___unnamed_4_6a857cdd (Int) Int)
(declare-fun SubMdl__SUB_REQUEST_CONTEXTInv (Int) Int)
(declare-fun SubMdl__SUB_REQUEST_CONTEXT (Int) Int)
(declare-fun SubRequestCollectionLock__REQUEST_CONTEXTInv (Int) Int)
(declare-fun SubRequestCollectionLock__REQUEST_CONTEXT (Int) Int)
(declare-fun SubRequestCollection__REQUEST_CONTEXTInv (Int) Int)
(declare-fun SubRequestCollection__REQUEST_CONTEXT (Int) Int)
(declare-fun SubUrb__SUB_REQUEST_CONTEXTInv (Int) Int)
(declare-fun SubUrb__SUB_REQUEST_CONTEXT (Int) Int)
(declare-fun TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv (Int) Int)
(declare-fun TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER (Int) Int)
(declare-fun TransferBufferLength__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun TransferBufferLength__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv (Int) Int)
(declare-fun TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER (Int) Int)
(declare-fun TransferBufferMDL__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun TransferBufferMDL__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv (Int) Int)
(declare-fun TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER (Int) Int)
(declare-fun TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv (Int) Int)
(declare-fun TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER (Int) Int)
(declare-fun TransferFlags__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun TransferFlags__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun Type__WDF_REQUEST_PARAMETERSInv (Int) Int)
(declare-fun Type__WDF_REQUEST_PARAMETERS (Int) Int)
(declare-fun UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (Int) Int)
(declare-fun UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (Int) Int)
(declare-fun UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv (Int) Int)
(declare-fun UrbBulkOrInterruptTransfer___unnamed_96_e511a626 (Int) Int)
(declare-fun UrbHeader___unnamed_96_e511a626Inv (Int) Int)
(declare-fun UrbHeader___unnamed_96_e511a626 (Int) Int)
(declare-fun UrbIsochronousTransfer___unnamed_96_e511a626Inv (Int) Int)
(declare-fun UrbIsochronousTransfer___unnamed_96_e511a626 (Int) Int)
(declare-fun UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv (Int) Int)
(declare-fun UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER (Int) Int)
(declare-fun UrbLink__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun UrbLink__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun UrbMemory__REQUEST_CONTEXTInv (Int) Int)
(declare-fun UrbMemory__REQUEST_CONTEXT (Int) Int)
(declare-fun UsbConfigurationDescriptor__DEVICE_CONTEXTInv (Int) Int)
(declare-fun UsbConfigurationDescriptor__DEVICE_CONTEXT (Int) Int)
(declare-fun UsbInterface__DEVICE_CONTEXTInv (Int) Int)
(declare-fun UsbInterface__DEVICE_CONTEXT (Int) Int)
(declare-fun UserRequest__SUB_REQUEST_CONTEXTInv (Int) Int)
(declare-fun UserRequest__SUB_REQUEST_CONTEXT (Int) Int)
(declare-fun VirtualAddress__REQUEST_CONTEXTInv (Int) Int)
(declare-fun VirtualAddress__REQUEST_CONTEXT (Int) Int)
(declare-fun WdfUsbTargetDevice__DEVICE_CONTEXTInv (Int) Int)
(declare-fun WdfUsbTargetDevice__DEVICE_CONTEXT (Int) Int)
(declare-fun x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (Int) Int)
(declare-fun x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (Int) Int)
(declare-fun x__unnamed_96_e511a626__URBInv (Int) Int)
(declare-fun x__unnamed_96_e511a626__URB (Int) Int)
(declare-fun wTotalLength__USB_CONFIGURATION_DESCRIPTORInv (Int) Int)
(declare-fun wTotalLength__USB_CONFIGURATION_DESCRIPTOR (Int) Int)
(declare-fun PLUS (Int Int Int) Int)
(declare-fun MULT (Int Int) Int)
(declare-fun DIV (Int Int) Int)
(declare-fun POW2 (Int) TermBool)
(declare-fun choose (TermBool Int Int) Int)
(declare-fun BIT_BAND (Int Int) Int)
(declare-fun LIFT (TermBool) Int)
(declare-fun NOT (Int) Int)
(declare-fun NULL_CHECK (Int) Int)
(declare-fun inline.StopAllPipes.0.LOOP_7_alloc.2 () boogieU)
(declare-fun inline.StopAllPipes.0.LOOP_7_alloc.1 () boogieU)
(declare-fun inline.StartAllPipes.0.LOOP_7_alloc.2 () boogieU)
(declare-fun inline.StartAllPipes.0.LOOP_7_alloc.1 () boogieU)
(declare-fun alloc.27 () boogieU)
(declare-fun alloc.26 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__ () boogieU)
(declare-fun Mem_s_1_T.PWDFREQUEST__ () boogieU)
(declare-fun alloc.11 () boogieU)
(declare-fun alloc.25 () boogieU)
(declare-fun alloc.19 () boogieU)
(declare-fun alloc.24 () boogieU)
(declare-fun alloc.18 () boogieU)
(declare-fun alloc.23 () boogieU)
(declare-fun alloc.22 () boogieU)
(declare-fun alloc.20 () boogieU)
(declare-fun alloc.21 () boogieU)
(declare-fun alloc.17 () boogieU)
(declare-fun alloc.15 () boogieU)
(declare-fun alloc.16 () boogieU)
(declare-fun alloc.14 () boogieU)
(declare-fun alloc.13 () boogieU)
(declare-fun alloc.12 () boogieU)
(declare-fun alloc.9 () boogieU)
(declare-fun alloc.10 () boogieU)
(declare-fun inline.StopAllPipes.0.LOOP_7_alloc () boogieU)
(declare-fun inline.StartAllPipes.0.LOOP_7_alloc () boogieU)
(declare-fun alloc.1 () boogieU)
(declare-fun alloc.5 () boogieU)
(declare-fun alloc.8 () boogieU)
(declare-fun alloc.4 () boogieU)
(declare-fun alloc.6 () boogieU)
(declare-fun alloc.7 () boogieU)
(declare-fun inline.StopAllPipes.0.LOOP_7_alloc.0 () boogieU)
(declare-fun inline.StartAllPipes.0.LOOP_7_alloc.0 () boogieU)
(declare-fun alloc.2 () boogieU)
(declare-fun alloc.3 () boogieU)
(declare-fun alloc.0 () boogieU)
(declare-fun alloc () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__ () boogieU)
(declare-fun Base (Int) Int)
(declare-fun inline.StartAllPipes.0..i.3.508.16.StartAllPipes.2 () Int)
(declare-fun inline.StartAllPipes.0..i.3.508.16.StartAllPipes.0 () Int)
(declare-fun inline.StartAllPipes.0.myNondetVar_0.0 () Int)
(declare-fun inline.StopAllPipes.0..i.3.488.16.StopAllPipes.2 () Int)
(declare-fun inline.StopAllPipes.0..i.3.488.16.StopAllPipes.0 () Int)
(declare-fun call23015formal.new.0 () Int)
(declare-fun inline.StopAllPipes.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.5 () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.4 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 () Int)
(declare-fun reqCancelStarted_0.2 () Int)
(declare-fun reqCancelStarted_0.1 () Int)
(declare-fun inline.WdfUsbTargetDeviceIsConnectedSynchronous.0..result.WdfUsbTargetDeviceIsConnectedSynchronous.1312.0.1..1 () Int)
(declare-fun inline.WdfUsbTargetDeviceIsConnectedSynchronous.0..result.WdfUsbTargetDeviceIsConnectedSynchronous.1312.0.1..0 () Int)
(declare-fun inline.WdfUsbTargetPipeGetIoTarget.0..result.WdfUsbTargetPipeGetIoTarget.744.0.1..3 () Int)
(declare-fun inline.WdfUsbTargetPipeGetIoTarget.0..result.WdfUsbTargetPipeGetIoTarget.744.0.1..2 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..result.sdv_WdfRequestGetFileObject.172.61.4..1 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..result.sdv_WdfRequestGetFileObject.172.61.4..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..result.ResetDevice.210.28.8..1 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..result.ResetDevice.210.28.8..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 () Int)
(declare-fun inline.GetFileContext.0..Handle.1.107.0.GetFileContext1.1 () Int)
(declare-fun inline.GetFileContext.0..Handle.1.107.0.GetFileContext1.0 () Int)
(declare-fun inline.IsItWin2k.0.myNondetVar_0.7 () Int)
(declare-fun inline.IsItWin2k.0.myNondetVar_0.6 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..3 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..2 () Int)
(declare-fun inline.IsItWin2k.0..result.IsItWin2k.522.0.1..2 () Int)
(declare-fun inline.IsItWin2k.0..result.IsItWin2k.522.0.1..1 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..4 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..3 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..1 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.7 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.6 () Int)
(declare-fun inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion.0 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.4 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun errorReached.36 () Int)
(declare-fun errorReached.35 () Int)
(declare-fun inline.IsItWin2k.0..minorVersion.2.526.24.IsItWin2k.1 () Int)
(declare-fun inline.IsItWin2k.0..minorVersion.2.526.24.IsItWin2k.0 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2..0 () Int)
(declare-fun reqSent_1.5 () Int)
(declare-fun reqSent_1.4 () Int)
(declare-fun inline.IsItWin2k.0..result.PsGetVersion.533.16.2..1 () Int)
(declare-fun inline.IsItWin2k.0..result.PsGetVersion.533.16.2..0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..4 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..3 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.4 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1..1 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..4 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.0..result.sdv_WdfRequestGetFileObject.7046.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.0..result.sdv_WdfRequestGetFileObject.7046.0.1..0 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..result.memcpy.196.0.7..1 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..result.memcpy.196.0.7..0 () Int)
(declare-fun reqSent_0.5 () Int)
(declare-fun reqSent_0.4 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..result.ResetPipe.178.30.5..1 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..result.ResetPipe.178.30.5..0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_1.4 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters.1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters.0 () Int)
(declare-fun lockStatus_0.6 () Int)
(declare-fun lockStatus_0.5 () Int)
(declare-fun inline.ResetDevice.0.myNondetVar_0.4 () Int)
(declare-fun inline.ResetDevice.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..3 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..2 () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0.5 () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0.4 () Int)
(declare-fun inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget1.3 () Int)
(declare-fun inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget1.2 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..3 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..result.sdv_WdfRequestRetrieveOutputBuffer.190.51.6..1 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..result.sdv_WdfRequestRetrieveOutputBuffer.190.51.6..0 () Int)
(declare-fun inline.StopAllPipes.0.myNondetVar_0.5 () Int)
(declare-fun inline.StopAllPipes.0.myNondetVar_0.4 () Int)
(declare-fun inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..1 () Int)
(declare-fun inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..1 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.WdfUsbTargetDeviceResetPortSynchronously.0..result.WdfUsbTargetDeviceResetPortSynchronously.1339.0.1..2 () Int)
(declare-fun inline.WdfUsbTargetDeviceResetPortSynchronously.0..result.WdfUsbTargetDeviceResetPortSynchronously.1339.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..5 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..4 () Int)
(declare-fun inline.sdv_WdfIoTargetStop.0..result.malloc.7889.31.1..3 () Int)
(declare-fun inline.sdv_WdfIoTargetStop.0..result.malloc.7889.31.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..2 () Int)
(declare-fun inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..1 () Int)
(declare-fun inline.ResetDevice.0..win2k.4.565.12.ResetDevice.1 () Int)
(declare-fun inline.ResetDevice.0..win2k.4.565.12.ResetDevice.0 () Int)
(declare-fun x.result.nondet.8813.0.2..0 () Int)
(declare-fun call23869formal.ret.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.26 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.25 () Int)
(declare-fun inline.ResetPipe.0..result.ResetPipe.442.0.1..1 () Int)
(declare-fun inline.ResetPipe.0..result.ResetPipe.442.0.1..0 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..4 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 () Int)
(declare-fun inline.GetFileContext.0.myNondetVar_0.2 () Int)
(declare-fun inline.GetFileContext.0.myNondetVar_0.1 () Int)
(declare-fun inline.StopAllPipes.0..pipe.4.492.19.StopAllPipes.3 () Int)
(declare-fun inline.StopAllPipes.0..pipe.4.492.19.StopAllPipes.2 () Int)
(declare-fun inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..2 () Int)
(declare-fun inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..1 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..3 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..2 () Int)
(declare-fun reqCompleteSet_0.5 () Int)
(declare-fun reqCompleteSet_0.4 () Int)
(declare-fun inline.StartAllPipes.0..i.3.508.16.StartAllPipes.4 () Int)
(declare-fun inline.StartAllPipes.0..i.3.508.16.StartAllPipes.3 () Int)
(declare-fun inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.3 () Int)
(declare-fun inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun inline.StopAllPipes.0..result.WdfUsbTargetPipeGetIoTarget.497.51.2..3 () Int)
(declare-fun inline.StopAllPipes.0..result.WdfUsbTargetPipeGetIoTarget.497.51.2..2 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..length.12.156.23.UsbSamp_EvtIoDeviceControl.1 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..length.12.156.23.UsbSamp_EvtIoDeviceControl.0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.StartAllPipes.0.myNondetVar_0.5 () Int)
(declare-fun inline.StartAllPipes.0.myNondetVar_0.4 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.2 () Int)
(declare-fun inline.GetSubRequestContext.0.myNondetVar_0.3 () Int)
(declare-fun inline.GetSubRequestContext.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..0 () Int)
(declare-fun inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..2 () Int)
(declare-fun inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..1 () Int)
(declare-fun inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..4 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 () Int)
(declare-fun inline.InitializeListHead.0.myNondetVar_0.3 () Int)
(declare-fun inline.InitializeListHead.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun reqCancelStarted_1.2 () Int)
(declare-fun reqCancelStarted_1.1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.2 () Int)
(declare-fun inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.1 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.3 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..1 () Int)
(declare-fun inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..0 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.6 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.5 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.0..result.sdv_WdfObjectContextGetObject.6826.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.0..result.sdv_WdfObjectContextGetObject.6826.0.1..1 () Int)
(declare-fun inline.ResetDevice.0..result.ResetDevice.543.0.1..1 () Int)
(declare-fun inline.ResetDevice.0..result.ResetDevice.543.0.1..0 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.3 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.2 () Int)
(declare-fun x.result.userContextSwitch.8813.0.1..0 () Int)
(declare-fun call23866formal.ret.0 () Int)
(declare-fun inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.4 () Int)
(declare-fun inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.3 () Int)
(declare-fun k.28 () Int)
(declare-fun k.27 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.2 () Int)
(declare-fun reqCancelSet_1.6 () Int)
(declare-fun reqCancelSet_1.5 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..1 () Int)
(declare-fun lockStatus_1.6 () Int)
(declare-fun lockStatus_1.5 () Int)
(declare-fun inline.ResetDevice.0..Device.1.544.17.ResetDevice1.1 () Int)
(declare-fun inline.ResetDevice.0..Device.1.544.17.ResetDevice1.0 () Int)
(declare-fun inline.ResetDevice.0..result.WdfUsbTargetDeviceIsConnectedSynchronous.589.53.4..1 () Int)
(declare-fun inline.ResetDevice.0..result.WdfUsbTargetDeviceIsConnectedSynchronous.589.53.4..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1.0 () Int)
(declare-fun inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop1.3 () Int)
(declare-fun inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop1.2 () Int)
(declare-fun inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop.3 () Int)
(declare-fun inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop.2 () Int)
(declare-fun inline.ResetDevice.0..Device.1.544.17.ResetDevice.1 () Int)
(declare-fun inline.ResetDevice.0..Device.1.544.17.ResetDevice.0 () Int)
(declare-fun reqCancelSet_0.6 () Int)
(declare-fun reqCancelSet_0.5 () Int)
(declare-fun reqCompleted_0.6 () Int)
(declare-fun reqCompleted_0.5 () Int)
(declare-fun inline.ResetDevice.0..status.3.564.13.ResetDevice.2 () Int)
(declare-fun inline.ResetDevice.0..status.3.564.13.ResetDevice.1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..1 () Int)
(declare-fun inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.IsItWin2k.0..majorVersion.1.526.10.IsItWin2k.1 () Int)
(declare-fun inline.IsItWin2k.0..majorVersion.1.526.10.IsItWin2k.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 () Int)
(declare-fun inline.StopAllPipes.0..i.3.488.16.StopAllPipes.4 () Int)
(declare-fun inline.StopAllPipes.0..i.3.488.16.StopAllPipes.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.StartAllPipes.0..count.2.508.10.StartAllPipes.2 () Int)
(declare-fun inline.StartAllPipes.0..count.2.508.10.StartAllPipes.1 () Int)
(declare-fun x.result.nondet.8849.2.6..0 () Int)
(declare-fun call23963formal.ret.0 () Int)
(declare-fun reqCompleteSet_1.5 () Int)
(declare-fun reqCompleteSet_1.4 () Int)
(declare-fun x.result.userContextSwitch.8849.2.5..0 () Int)
(declare-fun call23960formal.ret.0 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.3 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.2 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.0..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.0..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 () Int)
(declare-fun inline.ResetDevice.0..result.IsItWin2k.568.21.2..1 () Int)
(declare-fun inline.ResetDevice.0..result.IsItWin2k.568.21.2..0 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.2 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.0 () Int)
(declare-fun inline.StopAllPipes.0..result.WdfUsbInterfaceGetConfiguredPipe.493.47.1..3 () Int)
(declare-fun inline.StopAllPipes.0..result.WdfUsbInterfaceGetConfiguredPipe.493.47.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.0 () Int)
(declare-fun inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2 () Int)
(declare-fun inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.0 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_1.3 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_1.2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.3 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT.1 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT.0 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters.1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters.0 () Int)
(declare-fun inline.GetRequestContext.0.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.0.myNondetVar_0.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1.0 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel1.1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel1.0 () Int)
(declare-fun inline.StopAllPipes.0..count.2.488.10.StopAllPipes.2 () Int)
(declare-fun inline.StopAllPipes.0..count.2.488.10.StopAllPipes.1 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_2.4 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_2.3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..1 () Int)
(declare-fun inline.ReadWriteCompletion.0.havoc_stringTemp.2 () Int)
(declare-fun inline.ReadWriteCompletion.0.havoc_stringTemp.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.4 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.3 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..1 () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel.1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.ResetDevice.0..result.WdfUsbTargetDeviceResetPortSynchronously.592.57.5..2 () Int)
(declare-fun inline.ResetDevice.0..result.WdfUsbTargetDeviceResetPortSynchronously.592.57.5..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget.3 () Int)
(declare-fun inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget.2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel.1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel.0 () Int)
(declare-fun inline.WdfUsbInterfaceGetConfiguredPipe.0..result.WdfUsbInterfaceGetConfiguredPipe.2284.0.1..3 () Int)
(declare-fun inline.WdfUsbInterfaceGetConfiguredPipe.0..result.WdfUsbInterfaceGetConfiguredPipe.2284.0.1..2 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 () Int)
(declare-fun inline.ResetPipe.0..status.2.461.22.ResetPipe.2 () Int)
(declare-fun inline.ResetPipe.0..status.2.461.22.ResetPipe.1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.5 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.0..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.0..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 () Int)
(declare-fun reqCompleted_1.6 () Int)
(declare-fun reqCompleted_1.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.6 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.8 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..3 () Int)
(declare-fun inline.IsItWin2k.0..buildNumber.3.526.38.IsItWin2k.1 () Int)
(declare-fun inline.IsItWin2k.0..buildNumber.3.526.38.IsItWin2k.0 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1.1 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1.0 () Int)
(declare-fun inline.GetFileContext.0..Handle.1.107.0.GetFileContext.1 () Int)
(declare-fun inline.GetFileContext.0..Handle.1.107.0.GetFileContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 () Int)
(declare-fun raiseException.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.7 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.6 () Int)
(declare-fun inline.GetDeviceContext.1.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.2 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..3 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 () Int)
(declare-fun x.result.nondet.8830.0.4..0 () Int)
(declare-fun call23911formal.ret.0 () Int)
(declare-fun reqCompleted_s_1 () Int)
(declare-fun lockStatus_s_1 () Int)
(declare-fun reqCancelSet_s_1 () Int)
(declare-fun reqCancelStarted_s_1 () Int)
(declare-fun reqCompleteSet_s_1 () Int)
(declare-fun reqSent_s_1 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.1 () Int)
(declare-fun reqSent_1.3 () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.3 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_2.2 () Int)
(declare-fun reqCompleted_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.5 () Int)
(declare-fun call24018formal.new.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun errorReached.34 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun call24057formal.new.0 () Int)
(declare-fun inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.2 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..2 () Int)
(declare-fun inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.1 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun inline.GetRequestContext.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..1 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..1 () Int)
(declare-fun reqCancelSet_1.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 () Int)
(declare-fun inline.ReadWriteCompletion.0.havoc_stringTemp.0 () Int)
(declare-fun reqCompleted_1.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 () Int)
(declare-fun reqCompleteSet_1.3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.1 () Int)
(declare-fun k.26 () Int)
(declare-fun k.25 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..1 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..1 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.4 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..1 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..1 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.5 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..3 () Int)
(declare-fun reqCompleteSet_0.3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun reqCancelSet_0.4 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.24 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.1 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.2 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..1 () Int)
(declare-fun inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.0 () Int)
(declare-fun call24103formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.4 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.1 () Int)
(declare-fun call24021formal.new.0 () Int)
(declare-fun reqSent_0.3 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_2.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun errorReached.33 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 () Int)
(declare-fun inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun reqCancelSet_1.3 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..0 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun reqCompleted_0.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 () Int)
(declare-fun reqCompleted_1.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 () Int)
(declare-fun reqCompleteSet_1.2 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.0 () Int)
(declare-fun k.24 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..0 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.4 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 () Int)
(declare-fun reqCompleteSet_0.2 () Int)
(declare-fun reqSent_1.2 () Int)
(declare-fun reqCancelSet_0.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.23 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.0 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.1 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..1 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..0 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.0 () Int)
(declare-fun reqSent_0.2 () Int)
(declare-fun reqCancelSet_0.1 () Int)
(declare-fun reqCancelSet_1.1 () Int)
(declare-fun errorReached.31 () Int)
(declare-fun reqCompleted_1.1 () Int)
(declare-fun reqCompleted_0.1 () Int)
(declare-fun reqCancelSet_0.2 () Int)
(declare-fun reqCancelSet_1.2 () Int)
(declare-fun errorReached.32 () Int)
(declare-fun reqCompleted_1.2 () Int)
(declare-fun reqCompleted_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_2 () Int)
(declare-fun inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3. () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1. () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3. () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5. () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun reqSent_1 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3. () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun call25465formal.ret.0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1. () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10. () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2. () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1. () Int)
(declare-fun k.21 () Int)
(declare-fun call25447formal.new.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus () Int)
(declare-fun inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1 () Int)
(declare-fun errorReached.26 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun reqCompleteSet_1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2. () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.22 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.0 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8. () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2. () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion () Int)
(declare-fun reqSent_0 () Int)
(declare-fun reqCompleteSet_0 () Int)
(declare-fun call25398formal.new.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun call25401formal.new.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1 () Int)
(declare-fun call25395formal.new.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun errorReached.19 () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.0 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1 () Int)
(declare-fun k.13 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.1 () Int)
(declare-fun errorReached.25 () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0.0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.2 () Int)
(declare-fun k.20 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun call25590formal.ret.0 () Int)
(declare-fun k.19 () Int)
(declare-fun errorReached.24 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..0 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1. () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT () Int)
(declare-fun call24389formal.new.0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.12 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.0 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2. () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2. () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1. () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1. () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.11 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 () Int)
(declare-fun call24531formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0 () Int)
(declare-fun k.17 () Int)
(declare-fun errorReached.21 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.15 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2 () Int)
(declare-fun inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0 () Int)
(declare-fun call24647formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 () Int)
(declare-fun k.15 () Int)
(declare-fun errorReached.20 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.16 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_2.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.0..callresult..2008.114.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..0 () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 () Int)
(declare-fun k.18 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 () Int)
(declare-fun errorReached.22 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.21 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun call24970formal.ret.0 () Int)
(declare-fun reqSent_1.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun call25131formal.ret.0 () Int)
(declare-fun k.23 () Int)
(declare-fun errorReached.30 () Int)
(declare-fun reqCompleteSet_1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 () Int)
(declare-fun reqSent_0.1 () Int)
(declare-fun reqCompleteSet_0.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun errorReached.29 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun errorReached.27 () Int)
(declare-fun errorReached.28 () Int)
(declare-fun k.22 () Int)
(declare-fun call24995formal.ret.0 () Int)
(declare-fun reqSent_0.0 () Int)
(declare-fun reqSent_1.0 () Int)
(declare-fun reqCompleteSet_0.0 () Int)
(declare-fun errorReached.23 () Int)
(declare-fun reqCompleteSet_1.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.20 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.1 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.19 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.17 () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.1 () Int)
(declare-fun call24534formal.ret.0 () Int)
(declare-fun k.16 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.0 () Int)
(declare-fun call24650formal.ret.0 () Int)
(declare-fun k.14 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.10 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.13 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.8 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.9 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.7 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.17 () Int)
(declare-fun k.12 () Int)
(declare-fun call24242formal.ret.0 () Int)
(declare-fun errorReached.18 () Int)
(declare-fun call24171formal.new.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.2 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.1 () Int)
(declare-fun call24179formal.new.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.0 () Int)
(declare-fun errorReached.16 () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1. () Int)
(declare-fun inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT () Int)
(declare-fun inline.GetRequestContext.0.myNondetVar_0 () Int)
(declare-fun inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReadWriteCompletion.0.havoc_stringTemp () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0 () Int)
(declare-fun inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2. () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.1 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.5 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.1 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..0 () Int)
(declare-fun inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..0 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun k.11 () Int)
(declare-fun k.10 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.0 () Int)
(declare-fun lockStatus_1.4 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun errorReached.15 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..0 () Int)
(declare-fun inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..0 () Int)
(declare-fun call25747formal.new.0 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.GetSubRequestContext.0.myNondetVar_0.1 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.0..result.sdv_WdfObjectContextGetObject.6826.0.1..0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..0 () Int)
(declare-fun inline.InitializeListHead.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun lockStatus_0.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.0 () Int)
(declare-fun reqCancelStarted_1.0 () Int)
(declare-fun inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun reqCancelStarted_0.0 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4. () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.0 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0 () Int)
(declare-fun inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1. () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8. () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1. () Int)
(declare-fun k.7 () Int)
(declare-fun lockStatus_1 () Int)
(declare-fun errorReached.12 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7. () Int)
(declare-fun inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2. () Int)
(declare-fun inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5. () Int)
(declare-fun inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1. () Int)
(declare-fun lockStatus_0 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.0..result.sdv_WdfObjectContextGetObject.6826.0.1. () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2. () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3. () Int)
(declare-fun inline.InitializeListHead.0.myNondetVar_0 () Int)
(declare-fun inline.GetSubRequestContext.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel () Int)
(declare-fun inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.4 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.0 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.2 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun k.9 () Int)
(declare-fun lockStatus_1.3 () Int)
(declare-fun errorReached.14 () Int)
(declare-fun inline.WdfRequestCancelSentRequest.0..callresult..747.98.2. () Int)
(declare-fun lockStatus_0.3 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.0 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.1 () Int)
(declare-fun inline.InitializeListHead.0.myNondetVar_0.0 () Int)
(declare-fun inline.GetSubRequestContext.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_0.1 () Int)
(declare-fun lockStatus_1.1 () Int)
(declare-fun lockStatus_0.2 () Int)
(declare-fun lockStatus_1.2 () Int)
(declare-fun call26273formal.ret.0 () Int)
(declare-fun k.8 () Int)
(declare-fun errorReached.13 () Int)
(declare-fun lockStatus_0.0 () Int)
(declare-fun lockStatus_1.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.1 () Int)
(declare-fun errorReached.10 () Int)
(declare-fun k.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.11 () Int)
(declare-fun k.6 () Int)
(declare-fun call25820formal.ret.0 () Int)
(declare-fun reqCancelStarted_1 () Int)
(declare-fun reqCancelStarted_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel1 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0 () Int)
(declare-fun reqCancelSet_1 () Int)
(declare-fun reqCancelSet_0 () Int)
(declare-fun reqCompleted_1 () Int)
(declare-fun errorReached.8 () Int)
(declare-fun reqCompleted_0 () Int)
(declare-fun reqCancelSet_1.0 () Int)
(declare-fun reqCancelSet_0.0 () Int)
(declare-fun reqCompleted_1.0 () Int)
(declare-fun errorReached.9 () Int)
(declare-fun reqCompleted_0.0 () Int)
(declare-fun k.4 () Int)
(declare-fun inline.sdv_WdfIoTargetStop.0..result.malloc.7889.31.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.ResetPipe.0..result.ResetPipe.442.0.1. () Int)
(declare-fun inline.ResetPipe.0..status.2.461.22.ResetPipe () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4. () Int)
(declare-fun errorReached.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ResetDevice.0..result.WdfUsbTargetDeviceIsConnectedSynchronous.589.53.4. () Int)
(declare-fun inline.IsItWin2k.0..result.PsGetVersion.533.16.2. () Int)
(declare-fun inline.ResetDevice.0..result.WdfUsbTargetDeviceResetPortSynchronously.592.57.5. () Int)
(declare-fun inline.StartAllPipes.0..count.2.508.10.StartAllPipes () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer () Int)
(declare-fun inline.ResetDevice.0..status.3.564.13.ResetDevice () Int)
(declare-fun inline.ResetDevice.0..Device.1.544.17.ResetDevice () Int)
(declare-fun inline.IsItWin2k.0..buildNumber.3.526.38.IsItWin2k () Int)
(declare-fun inline.IsItWin2k.0..minorVersion.2.526.24.IsItWin2k () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..result.ResetDevice.210.28.8. () Int)
(declare-fun inline.ResetDevice.0.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1. () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext () Int)
(declare-fun inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2. () Int)
(declare-fun inline.StopAllPipes.0..i.3.488.16.StopAllPipes () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..result.memcpy.196.0.7. () Int)
(declare-fun inline.ResetDevice.0..result.IsItWin2k.568.21.2. () Int)
(declare-fun inline.StopAllPipes.0..result.WdfUsbInterfaceGetConfiguredPipe.493.47.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2. () Int)
(declare-fun inline.ResetDevice.0..Device.1.544.17.ResetDevice1 () Int)
(declare-fun inline.StopAllPipes.0.myNondetVar_0 () Int)
(declare-fun inline.WdfUsbInterfaceGetConfiguredPipe.0..result.WdfUsbInterfaceGetConfiguredPipe.2284.0.1. () Int)
(declare-fun k.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer () Int)
(declare-fun inline.StartAllPipes.0..i.3.508.16.StartAllPipes () Int)
(declare-fun inline.GetFileContext.0.myNondetVar_0.0 () Int)
(declare-fun inline.IsItWin2k.0.myNondetVar_0 () Int)
(declare-fun inline.StopAllPipes.0..count.2.488.10.StopAllPipes () Int)
(declare-fun inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1. () Int)
(declare-fun inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.WdfUsbTargetPipeGetIoTarget.0..result.WdfUsbTargetPipeGetIoTarget.744.0.1. () Int)
(declare-fun inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_1 () Int)
(declare-fun inline.StartAllPipes.0.myNondetVar_0 () Int)
(declare-fun inline.IsItWin2k.0..result.IsItWin2k.522.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1 () Int)
(declare-fun inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget1 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.2 () Int)
(declare-fun inline.WdfUsbTargetDeviceIsConnectedSynchronous.0..result.WdfUsbTargetDeviceIsConnectedSynchronous.1312.0.1. () Int)
(declare-fun inline.ResetDevice.0..win2k.4.565.12.ResetDevice () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.6 () Int)
(declare-fun inline.StopAllPipes.0..result.WdfUsbTargetPipeGetIoTarget.497.51.2. () Int)
(declare-fun inline.GetDeviceContext.1.myNondetVar_0 () Int)
(declare-fun inline.StopAllPipes.0..pipe.4.492.19.StopAllPipes () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..result.ResetPipe.178.30.5. () Int)
(declare-fun inline.WdfUsbTargetDeviceResetPortSynchronously.0..result.WdfUsbTargetDeviceResetPortSynchronously.1339.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.ResetDevice.0..result.ResetDevice.543.0.1. () Int)
(declare-fun inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop1 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..result.sdv_WdfRequestRetrieveOutputBuffer.190.51.6. () Int)
(declare-fun inline.IsItWin2k.0..majorVersion.1.526.10.IsItWin2k () Int)
(declare-fun inline.ResetPipe.0..status.2.461.22.ResetPipe.0 () Int)
(declare-fun inline.WdfUsbTargetPipeResetSynchronously.0..callresult..1901.112.2. () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.5 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.4 () Int)
(declare-fun errorReached.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.6 () Int)
(declare-fun call23351formal.ret.0 () Int)
(declare-fun k.2 () Int)
(declare-fun errorReached.1 () Int)
(declare-fun myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfIoTargetStop.0..result.malloc.7889.31.1..1 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..result.sdv_WdfRequestGetFileObject.172.61.4. () Int)
(declare-fun errorReached.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.WdfUsbTargetDeviceIsConnectedSynchronous.0..callresult..1317.124.2. () Int)
(declare-fun call22639formal.ret.0 () Int)
(declare-fun inline.ResetDevice.0..result.WdfUsbTargetDeviceResetPortSynchronously.592.57.5..0 () Int)
(declare-fun inline.StartAllPipes.0..count.2.508.10.StartAllPipes.0 () Int)
(declare-fun inline.ResetDevice.0..status.3.564.13.ResetDevice.0 () Int)
(declare-fun call22619formal.new.0 () Int)
(declare-fun call22625formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.0..result.sdv_WdfRequestGetFileObject.7046.0.1. () Int)
(declare-fun inline.ResetDevice.0.myNondetVar_0.2 () Int)
(declare-fun inline.StopAllPipes.0..i.3.488.16.StopAllPipes.1 () Int)
(declare-fun inline.IsItWin2k.0..result.IsItWin2k.522.0.1..0 () Int)
(declare-fun inline.StopAllPipes.0..result.WdfUsbInterfaceGetConfiguredPipe.493.47.1..1 () Int)
(declare-fun inline.StopAllPipes.0.myNondetVar_0.3 () Int)
(declare-fun inline.WdfUsbInterfaceGetConfiguredPipe.0..result.WdfUsbInterfaceGetConfiguredPipe.2284.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.0..Request.1.7047.18.sdv_WdfRequestGetFileObject1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.0..Request.1.7047.18.sdv_WdfRequestGetFileObject () Int)
(declare-fun inline.StartAllPipes.0..i.3.508.16.StartAllPipes.1 () Int)
(declare-fun inline.GetFileContext.0.myNondetVar_0 () Int)
(declare-fun inline.IsItWin2k.0.myNondetVar_0.5 () Int)
(declare-fun inline.StopAllPipes.0..count.2.488.10.StopAllPipes.0 () Int)
(declare-fun inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop.1 () Int)
(declare-fun inline.WdfUsbTargetPipeGetIoTarget.0..result.WdfUsbTargetPipeGetIoTarget.744.0.1..1 () Int)
(declare-fun inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget.1 () Int)
(declare-fun inline.GetFileContext.0..Handle.1.107.0.GetFileContext1 () Int)
(declare-fun inline.StartAllPipes.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget1.1 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0 () Int)
(declare-fun inline.StopAllPipes.0..result.WdfUsbTargetPipeGetIoTarget.497.51.2..1 () Int)
(declare-fun inline.GetDeviceContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.StopAllPipes.0..pipe.4.492.19.StopAllPipes.1 () Int)
(declare-fun inline.WdfUsbTargetDeviceResetPortSynchronously.0..result.WdfUsbTargetDeviceResetPortSynchronously.1339.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetFileContext.0..Handle.1.107.0.GetFileContext () Int)
(declare-fun inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop1.1 () Int)
(declare-fun call22622formal.new.0 () Int)
(declare-fun inline.StartAllPipes.0.myNondetVar_0.1 () Int)
(declare-fun inline.ResetDevice.0.myNondetVar_0.0 () Int)
(declare-fun inline.ResetDevice.0.myNondetVar_0.1 () Int)
(declare-fun inline.WdfUsbTargetDeviceResetPortSynchronously.0..callresult..1344.124.2. () Int)
(declare-fun inline.WdfUsbTargetPipeGetIoTarget.0..result.WdfUsbTargetPipeGetIoTarget.744.0.1..0 () Int)
(declare-fun inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop.0 () Int)
(declare-fun inline.StopAllPipes.0..pipe.4.492.19.StopAllPipes.0 () Int)
(declare-fun inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget1.0 () Int)
(declare-fun inline.StopAllPipes.0..result.WdfUsbInterfaceGetConfiguredPipe.493.47.1..0 () Int)
(declare-fun inline.StopAllPipes.0.myNondetVar_0.1 () Int)
(declare-fun inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget.0 () Int)
(declare-fun inline.WdfUsbInterfaceGetConfiguredPipe.0..result.WdfUsbInterfaceGetConfiguredPipe.2284.0.1..0 () Int)
(declare-fun inline.sdv_WdfIoTargetStop.0..result.malloc.7889.31.1..0 () Int)
(declare-fun inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop1.0 () Int)
(declare-fun inline.StopAllPipes.0..result.WdfUsbTargetPipeGetIoTarget.497.51.2..0 () Int)
(declare-fun errorReached.3 () Int)
(declare-fun inline.IsItWin2k.0.myNondetVar_0.2 () Int)
(declare-fun inline.IsItWin2k.0.myNondetVar_0.4 () Int)
(declare-fun inline.IsItWin2k.0.myNondetVar_0.3 () Int)
(declare-fun inline.IsItWin2k.0.myNondetVar_0.1 () Int)
(declare-fun inline.IsItWin2k.0.myNondetVar_0.0 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.0 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.1 () Int)
(declare-fun call23777formal.new.0 () Int)
(declare-fun errorReached.2 () Int)
(declare-fun call23725formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..0 () Int)
(declare-fun k.1 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_1.0 () Int)
(declare-fun call22342formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.2 () Int)
(declare-fun call23846formal.ret.0 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_1.1 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.1 () Int)
(declare-fun call23728formal.ret.0 () Int)
(declare-fun k.0 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.0 () Int)
(declare-fun inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.0 () Int)
(declare-fun call22345formal.new.0 () Int)
(assert (let ((?v_0 (MapType0Type intType boolType))) (and (= (Ctor intType) 0) (= (Ctor boolType) 1) (forall ((?arg0 Int)) (! (= (U_2_int (int_2_U ?arg0)) ?arg0) :pattern ((int_2_U ?arg0)) )) (forall ((?x boogieU)) (! (=> (= (type ?x) intType) (= (int_2_U (U_2_int ?x)) ?x)) :pattern ((int_2_U (U_2_int ?x))) )) (forall ((?arg00 Int)) (! (= (type (int_2_U ?arg00)) intType) :pattern ((int_2_U ?arg00)) )) (forall ((?arg01 TermBool)) (! (= (= (U_2_bool (bool_2_U ?arg01)) boolTrue) (= ?arg01 boolTrue)) :pattern ((bool_2_U ?arg01)) )) (forall ((?x0 boogieU)) (! (=> (= (type ?x0) boolType) (= (bool_2_U (U_2_bool ?x0)) ?x0)) :pattern ((bool_2_U (U_2_bool ?x0))) )) (forall ((?arg02 TermBool)) (! (= (type (bool_2_U ?arg02)) boolType) :pattern ((bool_2_U ?arg02)) )) (= (Ctor nameType) 2) (= (type UNALLOCATED) nameType) (= (type ALLOCATED) nameType) (= (type FREED) nameType) (= (type BYTE) nameType) (= (type T.unused_WDFCOLLECTION__) nameType) (= (type T.unused_WDFDEVICE__) nameType) (= (type T.unused_WDFDRIVER__) nameType) (= (type T.unused_WDFFILEOBJECT__) nameType) (= (type T.unused_WDFIOTARGET__) nameType) (= (type T.unused_WDFMEMORY__) nameType) (= (type T.unused_WDFQUEUE__) nameType) (= (type T.unused_WDFREQUEST__) nameType) (= (type T.unused_WDFSPINLOCK__) nameType) (= (type T.unused_WDFUSBDEVICE__) nameType) (= (type T.unused_WDFUSBINTERFACE__) nameType) (= (type T.unused_WDFUSBPIPE__) nameType) (= (type T.unused_WDFWORKITEM__) nameType) (= (type T.OperationID__ACCESS_STATE) nameType) (= (type T.SecurityEvaluated__ACCESS_STATE) nameType) (= (type T.GenerateAudit__ACCESS_STATE) nameType) (= (type T.GenerateOnClose__ACCESS_STATE) nameType) (= (type T.PrivilegesAllocated__ACCESS_STATE) nameType) (= (type T.Flags__ACCESS_STATE) nameType) (= (type T.RemainingDesiredAccess__ACCESS_STATE) nameType) (= (type T.PreviouslyGrantedAccess__ACCESS_STATE) nameType) (= (type T.OriginalDesiredAccess__ACCESS_STATE) nameType) (= (type T.SubjectSecurityContext__ACCESS_STATE) nameType) (= (type T.SecurityDescriptor__ACCESS_STATE) nameType) (= (type T.AuxData__ACCESS_STATE) nameType) (= (type T.Privileges__ACCESS_STATE) nameType) (= (type T.AuditPrivileges__ACCESS_STATE) nameType) (= (type T.ObjectName__ACCESS_STATE) nameType) (= (type T.ObjectTypeName__ACCESS_STATE) nameType) (= (type T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Version__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Revision__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Count__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Count__CM_RESOURCE_LIST) nameType) (= (type T.List__CM_RESOURCE_LIST) nameType) (= (type T.Size__DEVICE_CAPABILITIES) nameType) (= (type T.Version__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceD1__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceD2__DEVICE_CAPABILITIES) nameType) (= (type T.LockSupported__DEVICE_CAPABILITIES) nameType) (= (type T.EjectSupported__DEVICE_CAPABILITIES) nameType) (= (type T.Removable__DEVICE_CAPABILITIES) nameType) (= (type T.DockDevice__DEVICE_CAPABILITIES) nameType) (= (type T.UniqueID__DEVICE_CAPABILITIES) nameType) (= (type T.SilentInstall__DEVICE_CAPABILITIES) nameType) (= (type T.RawDeviceOK__DEVICE_CAPABILITIES) nameType) (= (type T.SurpriseRemovalOK__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD0__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD1__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD2__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD3__DEVICE_CAPABILITIES) nameType) (= (type T.HardwareDisabled__DEVICE_CAPABILITIES) nameType) (= (type T.NonDynamic__DEVICE_CAPABILITIES) nameType) (= (type T.WarmEjectSupported__DEVICE_CAPABILITIES) nameType) (= (type T.NoDisplayInUI__DEVICE_CAPABILITIES) nameType) (= (type T.Reserved__DEVICE_CAPABILITIES) nameType) (= (type T.Address__DEVICE_CAPABILITIES) nameType) (= (type T.UINumber__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceState__DEVICE_CAPABILITIES) nameType) (= (type T.SystemWake__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceWake__DEVICE_CAPABILITIES) nameType) (= (type T.D1Latency__DEVICE_CAPABILITIES) nameType) (= (type T.D2Latency__DEVICE_CAPABILITIES) nameType) (= (type T.D3Latency__DEVICE_CAPABILITIES) nameType) (= (type T.UsbDeviceDescriptor__DEVICE_CONTEXT) nameType) (= (type T.UsbConfigurationDescriptor__DEVICE_CONTEXT) nameType) (= (type T.WdfUsbTargetDevice__DEVICE_CONTEXT) nameType) (= (type T.WaitWakeEnable__DEVICE_CONTEXT) nameType) (= (type T.IsDeviceHighSpeed__DEVICE_CONTEXT) nameType) (= (type T.UsbInterface__DEVICE_CONTEXT) nameType) (= (type T.NumberConfiguredPipes__DEVICE_CONTEXT) nameType) (= (type T.Type__DEVICE_OBJECT) nameType) (= (type T.Size__DEVICE_OBJECT) nameType) (= (type T.ReferenceCount__DEVICE_OBJECT) nameType) (= (type T.DriverObject__DEVICE_OBJECT) nameType) (= (type T.NextDevice__DEVICE_OBJECT) nameType) (= (type T.AttachedDevice__DEVICE_OBJECT) nameType) (= (type T.CurrentIrp__DEVICE_OBJECT) nameType) (= (type T.Timer__DEVICE_OBJECT) nameType) (= (type T.Flags__DEVICE_OBJECT) nameType) (= (type T.Characteristics__DEVICE_OBJECT) nameType) (= (type T.Vpb__DEVICE_OBJECT) nameType) (= (type T.DeviceExtension__DEVICE_OBJECT) nameType) (= (type T.DeviceType__DEVICE_OBJECT) nameType) (= (type T.StackSize__DEVICE_OBJECT) nameType) (= (type T.Queue__DEVICE_OBJECT) nameType) (= (type T.AlignmentRequirement__DEVICE_OBJECT) nameType) (= (type T.DeviceQueue__DEVICE_OBJECT) nameType) (= (type T.Dpc__DEVICE_OBJECT) nameType) (= (type T.ActiveThreadCount__DEVICE_OBJECT) nameType) (= (type T.SecurityDescriptor__DEVICE_OBJECT) nameType) (= (type T.DeviceLock__DEVICE_OBJECT) nameType) (= (type T.SectorSize__DEVICE_OBJECT) nameType) (= (type T.Spare1__DEVICE_OBJECT) nameType) (= (type T.DeviceObjectExtension__DEVICE_OBJECT) nameType) (= (type T.Reserved__DEVICE_OBJECT) nameType) (= (type T.Type__DEVOBJ_EXTENSION) nameType) (= (type T.Size__DEVOBJ_EXTENSION) nameType) (= (type T.DeviceObject__DEVOBJ_EXTENSION) nameType) (= (type T.__unnamed_4_dfcb1314__DISPATCHER_HEADER) nameType) (= (type T.SignalState__DISPATCHER_HEADER) nameType) (= (type T.WaitListHead__DISPATCHER_HEADER) nameType) (= (type T.DriverObject__DRIVER_EXTENSION) nameType) (= (type T.AddDevice__DRIVER_EXTENSION) nameType) (= (type T.Count__DRIVER_EXTENSION) nameType) (= (type T.ServiceKeyName__DRIVER_EXTENSION) nameType) (= (type T.Type__DRIVER_OBJECT) nameType) (= (type T.Size__DRIVER_OBJECT) nameType) (= (type T.DeviceObject__DRIVER_OBJECT) nameType) (= (type T.Flags__DRIVER_OBJECT) nameType) (= (type T.DriverStart__DRIVER_OBJECT) nameType) (= (type T.DriverSize__DRIVER_OBJECT) nameType) (= (type T.DriverSection__DRIVER_OBJECT) nameType) (= (type T.DriverExtension__DRIVER_OBJECT) nameType) (= (type T.DriverName__DRIVER_OBJECT) nameType) (= (type T.HardwareDatabase__DRIVER_OBJECT) nameType) (= (type T.FastIoDispatch__DRIVER_OBJECT) nameType) (= (type T.DriverInit__DRIVER_OBJECT) nameType) (= (type T.DriverStartIo__DRIVER_OBJECT) nameType) (= (type T.DriverUnload__DRIVER_OBJECT) nameType) (= (type T.MajorFunction__DRIVER_OBJECT) nameType) (= (type T.SystemResourcesList__ERESOURCE) nameType) (= (type T.OwnerTable__ERESOURCE) nameType) (= (type T.ActiveCount__ERESOURCE) nameType) (= (type T.Flag__ERESOURCE) nameType) (= (type T.SharedWaiters__ERESOURCE) nameType) (= (type T.ExclusiveWaiters__ERESOURCE) nameType) (= (type T.OwnerEntry__ERESOURCE) nameType) (= (type T.ActiveEntries__ERESOURCE) nameType) (= (type T.ContentionCount__ERESOURCE) nameType) (= (type T.NumberOfSharedWaiters__ERESOURCE) nameType) (= (type T.NumberOfExclusiveWaiters__ERESOURCE) nameType) (= (type T.__unnamed_4_9d516d2b__ERESOURCE) nameType) (= (type T.SpinLock__ERESOURCE) nameType) (= (type T.SizeOfFastIoDispatch__FAST_IO_DISPATCH) nameType) (= (type T.FastIoCheckIfPossible__FAST_IO_DISPATCH) nameType) (= (type T.FastIoRead__FAST_IO_DISPATCH) nameType) (= (type T.FastIoWrite__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryBasicInfo__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryStandardInfo__FAST_IO_DISPATCH) nameType) (= (type T.FastIoLock__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockSingle__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockAll__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockAllByKey__FAST_IO_DISPATCH) nameType) (= (type T.FastIoDeviceControl__FAST_IO_DISPATCH) nameType) (= (type T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH) nameType) (= (type T.FastIoDetachDevice__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH) nameType) (= (type T.AcquireForModWrite__FAST_IO_DISPATCH) nameType) (= (type T.MdlRead__FAST_IO_DISPATCH) nameType) (= (type T.MdlReadComplete__FAST_IO_DISPATCH) nameType) (= (type T.PrepareMdlWrite__FAST_IO_DISPATCH) nameType) (= (type T.MdlWriteComplete__FAST_IO_DISPATCH) nameType) (= (type T.FastIoReadCompressed__FAST_IO_DISPATCH) nameType) (= (type T.FastIoWriteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.MdlReadCompleteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryOpen__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseForModWrite__FAST_IO_DISPATCH) nameType) (= (type T.AcquireForCcFlush__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseForCcFlush__FAST_IO_DISPATCH) nameType) (= (type T.CreationTime__FILE_BASIC_INFORMATION) nameType) (= (type T.LastAccessTime__FILE_BASIC_INFORMATION) nameType) (= (type T.LastWriteTime__FILE_BASIC_INFORMATION) nameType) (= (type T.ChangeTime__FILE_BASIC_INFORMATION) nameType) (= (type T.FileAttributes__FILE_BASIC_INFORMATION) nameType) (= (type T.Pipe__FILE_CONTEXT) nameType) (= (type T.CreationTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.Type__FILE_OBJECT) nameType) (= (type T.Size__FILE_OBJECT) nameType) (= (type T.DeviceObject__FILE_OBJECT) nameType) (= (type T.Vpb__FILE_OBJECT) nameType) (= (type T.FsContext__FILE_OBJECT) nameType) (= (type T.FsContext2__FILE_OBJECT) nameType) (= (type T.SectionObjectPointer__FILE_OBJECT) nameType) (= (type T.PrivateCacheMap__FILE_OBJECT) nameType) (= (type T.FinalStatus__FILE_OBJECT) nameType) (= (type T.RelatedFileObject__FILE_OBJECT) nameType) (= (type T.LockOperation__FILE_OBJECT) nameType) (= (type T.DeletePending__FILE_OBJECT) nameType) (= (type T.ReadAccess__FILE_OBJECT) nameType) (= (type T.WriteAccess__FILE_OBJECT) nameType) (= (type T.DeleteAccess__FILE_OBJECT) nameType) (= (type T.SharedRead__FILE_OBJECT) nameType) (= (type T.SharedWrite__FILE_OBJECT) nameType) (= (type T.SharedDelete__FILE_OBJECT) nameType) (= (type T.Flags__FILE_OBJECT) nameType) (= (type T.FileName__FILE_OBJECT) nameType) (= (type T.CurrentByteOffset__FILE_OBJECT) nameType) (= (type T.Waiters__FILE_OBJECT) nameType) (= (type T.Busy__FILE_OBJECT) nameType) (= (type T.LastLock__FILE_OBJECT) nameType) (= (type T.Lock__FILE_OBJECT) nameType) (= (type T.Event__FILE_OBJECT) nameType) (= (type T.CompletionContext__FILE_OBJECT) nameType) (= (type T.IrpListLock__FILE_OBJECT) nameType) (= (type T.IrpList__FILE_OBJECT) nameType) (= (type T.FileObjectExtension__FILE_OBJECT) nameType) (= (type T.AllocationSize__FILE_STANDARD_INFORMATION) nameType) (= (type T.EndOfFile__FILE_STANDARD_INFORMATION) nameType) (= (type T.NumberOfLinks__FILE_STANDARD_INFORMATION) nameType) (= (type T.DeletePending__FILE_STANDARD_INFORMATION) nameType) (= (type T.Directory__FILE_STANDARD_INFORMATION) nameType) (= (type T.Data1__GUID) nameType) (= (type T.Data2__GUID) nameType) (= (type T.Data3__GUID) nameType) (= (type T.Data4__GUID) nameType) (= (type T.PrivilegeCount__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Control__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Privilege__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Size__INTERFACE) nameType) (= (type T.Version__INTERFACE) nameType) (= (type T.Context__INTERFACE) nameType) (= (type T.InterfaceReference__INTERFACE) nameType) (= (type T.InterfaceDereference__INTERFACE) nameType) (= (type T.Port__IO_COMPLETION_CONTEXT) nameType) (= (type T.Key__IO_COMPLETION_CONTEXT) nameType) (= (type T.Option__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Type__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.ShareDisposition__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Spare1__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Flags__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Spare2__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.u__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Version__IO_RESOURCE_LIST) nameType) (= (type T.Revision__IO_RESOURCE_LIST) nameType) (= (type T.Count__IO_RESOURCE_LIST) nameType) (= (type T.Descriptors__IO_RESOURCE_LIST) nameType) (= (type T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.List__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.SecurityQos__IO_SECURITY_CONTEXT) nameType) (= (type T.AccessState__IO_SECURITY_CONTEXT) nameType) (= (type T.DesiredAccess__IO_SECURITY_CONTEXT) nameType) (= (type T.FullCreateOptions__IO_SECURITY_CONTEXT) nameType) (= (type T.MajorFunction__IO_STACK_LOCATION) nameType) (= (type T.MinorFunction__IO_STACK_LOCATION) nameType) (= (type T.Flags__IO_STACK_LOCATION) nameType) (= (type T.Control__IO_STACK_LOCATION) nameType) (= (type T.Parameters__IO_STACK_LOCATION) nameType) (= (type T.DeviceObject__IO_STACK_LOCATION) nameType) (= (type T.FileObject__IO_STACK_LOCATION) nameType) (= (type T.CompletionRoutine__IO_STACK_LOCATION) nameType) (= (type T.Context__IO_STACK_LOCATION) nameType) (= (type T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK) nameType) (= (type T.Information__IO_STATUS_BLOCK) nameType) (= (type T.Type__IRP) nameType) (= (type T.Size__IRP) nameType) (= (type T.MdlAddress__IRP) nameType) (= (type T.Flags__IRP) nameType) (= (type T.AssociatedIrp__IRP) nameType) (= (type T.ThreadListEntry__IRP) nameType) (= (type T.IoStatus__IRP) nameType) (= (type T.RequestorMode__IRP) nameType) (= (type T.PendingReturned__IRP) nameType) (= (type T.StackCount__IRP) nameType) (= (type T.CurrentLocation__IRP) nameType) (= (type T.Cancel__IRP) nameType) (= (type T.CancelIrql__IRP) nameType) (= (type T.ApcEnvironment__IRP) nameType) (= (type T.AllocationFlags__IRP) nameType) (= (type T.UserIosb__IRP) nameType) (= (type T.UserEvent__IRP) nameType) (= (type T.Overlay__IRP) nameType) (= (type T.CancelRoutine__IRP) nameType) (= (type T.UserBuffer__IRP) nameType) (= (type T.Tail__IRP) nameType) (= (type T.Type__KAPC) nameType) (= (type T.SpareByte0__KAPC) nameType) (= (type T.Size__KAPC) nameType) (= (type T.SpareByte1__KAPC) nameType) (= (type T.SpareLong0__KAPC) nameType) (= (type T.Thread__KAPC) nameType) (= (type T.ApcListEntry__KAPC) nameType) (= (type T.KernelRoutine__KAPC) nameType) (= (type T.RundownRoutine__KAPC) nameType) (= (type T.NormalRoutine__KAPC) nameType) (= (type T.NormalContext__KAPC) nameType) (= (type T.SystemArgument1__KAPC) nameType) (= (type T.SystemArgument2__KAPC) nameType) (= (type T.ApcStateIndex__KAPC) nameType) (= (type T.ApcMode__KAPC) nameType) (= (type T.Inserted__KAPC) nameType) (= (type T.Type__KDEVICE_QUEUE) nameType) (= (type T.Size__KDEVICE_QUEUE) nameType) (= (type T.DeviceListHead__KDEVICE_QUEUE) nameType) (= (type T.Lock__KDEVICE_QUEUE) nameType) (= (type T.Busy__KDEVICE_QUEUE) nameType) (= (type T.DeviceListEntry__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.SortKey__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.Inserted__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.Type__KDPC) nameType) (= (type T.Importance__KDPC) nameType) (= (type T.Number__KDPC) nameType) (= (type T.DpcListEntry__KDPC) nameType) (= (type T.DeferredRoutine__KDPC) nameType) (= (type T.DeferredContext__KDPC) nameType) (= (type T.SystemArgument1__KDPC) nameType) (= (type T.SystemArgument2__KDPC) nameType) (= (type T.DpcData__KDPC) nameType) (= (type T.Header__KEVENT) nameType) (= (type T.Header__KSEMAPHORE) nameType) (= (type T.Limit__KSEMAPHORE) nameType) (= (type T.__unnamed_8_bb154058__LARGE_INTEGER) nameType) (= (type T.u__LARGE_INTEGER) nameType) (= (type T.QuadPart__LARGE_INTEGER) nameType) (= (type T.Flink__LIST_ENTRY) nameType) (= (type T.Blink__LIST_ENTRY) nameType) (= (type T.LowPart__LUID) nameType) (= (type T.HighPart__LUID) nameType) (= (type T.Luid__LUID_AND_ATTRIBUTES) nameType) (= (type T.Attributes__LUID_AND_ATTRIBUTES) nameType) (= (type T.Next__MDL) nameType) (= (type T.Size__MDL) nameType) (= (type T.MdlFlags__MDL) nameType) (= (type T.Process__MDL) nameType) (= (type T.MappedSystemVa__MDL) nameType) (= (type T.StartVa__MDL) nameType) (= (type T.ByteCount__MDL) nameType) (= (type T.ByteOffset__MDL) nameType) (= (type T.OwnerThread__OWNER_ENTRY) nameType) (= (type T.__unnamed_4_c406319a__OWNER_ENTRY) nameType) (= (type T.SequenceD1__POWER_SEQUENCE) nameType) (= (type T.SequenceD2__POWER_SEQUENCE) nameType) (= (type T.SequenceD3__POWER_SEQUENCE) nameType) (= (type T.SystemState__POWER_STATE) nameType) (= (type T.DeviceState__POWER_STATE) nameType) (= (type T.PrivilegeCount__PRIVILEGE_SET) nameType) (= (type T.Control__PRIVILEGE_SET) nameType) (= (type T.Privilege__PRIVILEGE_SET) nameType) (= (type T.UrbMemory__REQUEST_CONTEXT) nameType) (= (type T.Mdl__REQUEST_CONTEXT) nameType) (= (type T.Length__REQUEST_CONTEXT) nameType) (= (type T.Numxfer__REQUEST_CONTEXT) nameType) (= (type T.VirtualAddress__REQUEST_CONTEXT) nameType) (= (type T.SubRequestCollection__REQUEST_CONTEXT) nameType) (= (type T.SubRequestCollectionLock__REQUEST_CONTEXT) nameType) (= (type T.Read__REQUEST_CONTEXT) nameType) (= (type T.DataSectionObject__SECTION_OBJECT_POINTERS) nameType) (= (type T.SharedCacheMap__SECTION_OBJECT_POINTERS) nameType) (= (type T.ImageSectionObject__SECTION_OBJECT_POINTERS) nameType) (= (type T.Length__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ClientToken__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.PrimaryToken__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.UserRequest__SUB_REQUEST_CONTEXT) nameType) (= (type T.SubUrb__SUB_REQUEST_CONTEXT) nameType) (= (type T.SubMdl__SUB_REQUEST_CONTEXT) nameType) (= (type T.ListEntry__SUB_REQUEST_CONTEXT) nameType) (= (type T.__unnamed_4_f525de8d__SYSTEM_POWER_STATE_CONTEXT) nameType) (= (type T.Length__UNICODE_STRING) nameType) (= (type T.MaximumLength__UNICODE_STRING) nameType) (= (type T.Buffer__UNICODE_STRING) nameType) (= (type T.__unnamed_96_e511a626__URB) nameType) (= (type T.Hdr__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.hca__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.Hdr__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved0__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.TransferBufferLength__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.TransferBuffer__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.UrbLink__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.hca__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved1__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.Index__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.DescriptorType__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.LanguageId__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved2__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.Hdr__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved2__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved3__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved4__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved5__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.UrbLink__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.hca__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved0__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.FeatureSelector__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Index__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved1__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Hdr__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.Reserved__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.Reserved0__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.TransferBufferLength__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.TransferBuffer__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.UrbLink__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.hca__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.Reserved1__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.Hdr__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.Reserved__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.Reserved0__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.TransferBufferLength__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.TransferBuffer__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.UrbLink__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.hca__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.Reserved1__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.Interface__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.Reserved2__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.Hdr__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.Reserved__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.Reserved0__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.TransferBufferLength__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.TransferBuffer__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.UrbLink__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.hca__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.Reserved1__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.Index__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.Reserved2__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.Hdr__URB_CONTROL_TRANSFER) nameType) (= (type T.PipeHandle__URB_CONTROL_TRANSFER) nameType) (= (type T.TransferFlags__URB_CONTROL_TRANSFER) nameType) (= (type T.TransferBufferLength__URB_CONTROL_TRANSFER) nameType) (= (type T.TransferBuffer__URB_CONTROL_TRANSFER) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_TRANSFER) nameType) (= (type T.UrbLink__URB_CONTROL_TRANSFER) nameType) (= (type T.hca__URB_CONTROL_TRANSFER) nameType) (= (type T.SetupPacket__URB_CONTROL_TRANSFER) nameType) (= (type T.Hdr__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.PipeHandle__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.TransferFlags__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.TransferBufferLength__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.TransferBuffer__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.Timeout__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.hca__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.SetupPacket__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.Hdr__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.Reserved__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.TransferFlags__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.TransferBufferLength__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.TransferBuffer__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.UrbLink__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.hca__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.RequestTypeReservedBits__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.Request__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.Value__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.Index__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.Reserved1__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.Hdr__URB_FRAME_LENGTH_CONTROL) nameType) (= (type T.Hdr__URB_GET_CURRENT_FRAME_NUMBER) nameType) (= (type T.FrameNumber__URB_GET_CURRENT_FRAME_NUMBER) nameType) (= (type T.Hdr__URB_GET_FRAME_LENGTH) nameType) (= (type T.FrameLength__URB_GET_FRAME_LENGTH) nameType) (= (type T.FrameNumber__URB_GET_FRAME_LENGTH) nameType) (= (type T.Reserved8__URB_HCD_AREA) nameType) (= (type T.Length__URB_HEADER) nameType) (= (type T.Function__URB_HEADER) nameType) (= (type T.Status__URB_HEADER) nameType) (= (type T.UsbdDeviceHandle__URB_HEADER) nameType) (= (type T.UsbdFlags__URB_HEADER) nameType) (= (type T.Hdr__URB_ISOCH_TRANSFER) nameType) (= (type T.PipeHandle__URB_ISOCH_TRANSFER) nameType) (= (type T.TransferFlags__URB_ISOCH_TRANSFER) nameType) (= (type T.TransferBufferLength__URB_ISOCH_TRANSFER) nameType) (= (type T.TransferBuffer__URB_ISOCH_TRANSFER) nameType) (= (type T.TransferBufferMDL__URB_ISOCH_TRANSFER) nameType) (= (type T.UrbLink__URB_ISOCH_TRANSFER) nameType) (= (type T.hca__URB_ISOCH_TRANSFER) nameType) (= (type T.StartFrame__URB_ISOCH_TRANSFER) nameType) (= (type T.NumberOfPackets__URB_ISOCH_TRANSFER) nameType) (= (type T.ErrorCount__URB_ISOCH_TRANSFER) nameType) (= (type T.IsoPacket__URB_ISOCH_TRANSFER) nameType) (= (type T.Hdr__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved0__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.TransferBufferLength__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.TransferBuffer__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.TransferBufferMDL__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.UrbLink__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.hca__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Recipient__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved1__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved2__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.InterfaceNumber__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.MS_PageIndex__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.MS_FeatureDescriptorIndex__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved3__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Hdr__URB_PIPE_IO_POLICY) nameType) (= (type T.PipeHandle__URB_PIPE_IO_POLICY) nameType) (= (type T.UsbIoParamters__URB_PIPE_IO_POLICY) nameType) (= (type T.Hdr__URB_PIPE_REQUEST) nameType) (= (type T.PipeHandle__URB_PIPE_REQUEST) nameType) (= (type T.Reserved__URB_PIPE_REQUEST) nameType) (= (type T.Hdr__URB_SELECT_CONFIGURATION) nameType) (= (type T.ConfigurationDescriptor__URB_SELECT_CONFIGURATION) nameType) (= (type T.ConfigurationHandle__URB_SELECT_CONFIGURATION) nameType) (= (type T.Interface__URB_SELECT_CONFIGURATION) nameType) (= (type T.Hdr__URB_SELECT_INTERFACE) nameType) (= (type T.ConfigurationHandle__URB_SELECT_INTERFACE) nameType) (= (type T.Interface__URB_SELECT_INTERFACE) nameType) (= (type T.Hdr__URB_SET_FRAME_LENGTH) nameType) (= (type T.FrameLengthDelta__URB_SET_FRAME_LENGTH) nameType) (= (type T.Length__USBD_INTERFACE_INFORMATION) nameType) (= (type T.InterfaceNumber__USBD_INTERFACE_INFORMATION) nameType) (= (type T.AlternateSetting__USBD_INTERFACE_INFORMATION) nameType) (= (type T.Class__USBD_INTERFACE_INFORMATION) nameType) (= (type T.SubClass__USBD_INTERFACE_INFORMATION) nameType) (= (type T.Protocol__USBD_INTERFACE_INFORMATION) nameType) (= (type T.Reserved__USBD_INTERFACE_INFORMATION) nameType) (= (type T.InterfaceHandle__USBD_INTERFACE_INFORMATION) nameType) (= (type T.NumberOfPipes__USBD_INTERFACE_INFORMATION) nameType) (= (type T.Pipes__USBD_INTERFACE_INFORMATION) nameType) (= (type T.Offset__USBD_ISO_PACKET_DESCRIPTOR) nameType) (= (type T.Length__USBD_ISO_PACKET_DESCRIPTOR) nameType) (= (type T.Status__USBD_ISO_PACKET_DESCRIPTOR) nameType) (= (type T.MaximumPacketSize__USBD_PIPE_INFORMATION) nameType) (= (type T.EndpointAddress__USBD_PIPE_INFORMATION) nameType) (= (type T.Interval__USBD_PIPE_INFORMATION) nameType) (= (type T.PipeType__USBD_PIPE_INFORMATION) nameType) (= (type T.PipeHandle__USBD_PIPE_INFORMATION) nameType) (= (type T.MaximumTransferSize__USBD_PIPE_INFORMATION) nameType) (= (type T.PipeFlags__USBD_PIPE_INFORMATION) nameType) (= (type T.bLength__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.bDescriptorType__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.wTotalLength__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.bNumInterfaces__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.bConfigurationValue__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.iConfiguration__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.bmAttributes__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.MaxPower__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.bLength__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bDescriptorType__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bcdUSB__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bDeviceClass__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bDeviceSubClass__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bDeviceProtocol__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bMaxPacketSize0__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.idVendor__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.idProduct__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bcdDevice__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.iManufacturer__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.iProduct__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.iSerialNumber__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bNumConfigurations__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.UsbIoPriority__USB_IO_PARAMETERS) nameType) (= (type T.UsbMaxPendingIrps__USB_IO_PARAMETERS) nameType) (= (type T.UsbMaxControllerTransfer__USB_IO_PARAMETERS) nameType) (= (type T.Type__VPB) nameType) (= (type T.Size__VPB) nameType) (= (type T.Flags__VPB) nameType) (= (type T.VolumeLabelLength__VPB) nameType) (= (type T.DeviceObject__VPB) nameType) (= (type T.RealDevice__VPB) nameType) (= (type T.SerialNumber__VPB) nameType) (= (type T.ReferenceCount__VPB) nameType) (= (type T.VolumeLabel__VPB) nameType) (= (type T.WaitQueueEntry__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceRoutine__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceContext__WAIT_CONTEXT_BLOCK) nameType) (= (type T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceObject__WAIT_CONTEXT_BLOCK) nameType) (= (type T.CurrentIrp__WAIT_CONTEXT_BLOCK) nameType) (= (type T.BufferChainingDpc__WAIT_CONTEXT_BLOCK) nameType) (= (type T.BufferOffset__WDFMEMORY_OFFSET) nameType) (= (type T.BufferLength__WDFMEMORY_OFFSET) nameType) (= (type T.Driver__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverFlags__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverTag__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverName__WDF_DRIVER_GLOBALS) nameType) (= (type T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS) nameType) (= (type T.Size__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.EvtCleanupCallback__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.EvtDestroyCallback__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.ExecutionLevel__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.SynchronizationScope__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.ParentObject__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.ContextSizeOverride__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.ContextTypeInfo__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.Size__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Type__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Parameters__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Size__WDF_REQUEST_PARAMETERS) nameType) (= (type T.MinorFunction__WDF_REQUEST_PARAMETERS) nameType) (= (type T.Type__WDF_REQUEST_PARAMETERS) nameType) (= (type T.Parameters__WDF_REQUEST_PARAMETERS) nameType) (= (type T.Size__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Flags__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Timeout__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Size__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.MaximumPacketSize__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.EndpointAddress__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.Interval__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.SettingIndex__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.PipeType__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.MaximumTransferSize__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.Size__WDF_WORKITEM_CONFIG) nameType) (= (type T.EvtWorkItemFunc__WDF_WORKITEM_CONFIG) nameType) (= (type T.AutomaticSerialization__WDF_WORKITEM_CONFIG) nameType) (= (type T.Device__WORKITEM_CONTEXT) nameType) (= (type T.Pipe__WORKITEM_CONTEXT) nameType) (= (type T.Generic___unnamed_12_00aa0978) nameType) (= (type T.Port___unnamed_12_00aa0978) nameType) (= (type T.Interrupt___unnamed_12_00aa0978) nameType) (= (type T.MessageInterrupt___unnamed_12_00aa0978) nameType) (= (type T.Memory___unnamed_12_00aa0978) nameType) (= (type T.Dma___unnamed_12_00aa0978) nameType) (= (type T.DevicePrivate___unnamed_12_00aa0978) nameType) (= (type T.BusNumber___unnamed_12_00aa0978) nameType) (= (type T.DeviceSpecificData___unnamed_12_00aa0978) nameType) (= (type T.Memory40___unnamed_12_00aa0978) nameType) (= (type T.Memory48___unnamed_12_00aa0978) nameType) (= (type T.Memory64___unnamed_12_00aa0978) nameType) (= (type T.Level___unnamed_12_011610e6) nameType) (= (type T.Vector___unnamed_12_011610e6) nameType) (= (type T.Affinity___unnamed_12_011610e6) nameType) (= (type T.__unnamed_12_a04f3ec2___unnamed_12_135b00bd) nameType) (= (type T.Data___unnamed_12_2349179a) nameType) (= (type T.Data___unnamed_12_508ad0f8) nameType) (= (type T.DataSize___unnamed_12_5a101f58) nameType) (= (type T.Reserved1___unnamed_12_5a101f58) nameType) (= (type T.Reserved2___unnamed_12_5a101f58) nameType) (= (type T.Start___unnamed_12_5c984402) nameType) (= (type T.Length40___unnamed_12_5c984402) nameType) (= (type T.Reserved___unnamed_12_6851572b) nameType) (= (type T.MessageCount___unnamed_12_6851572b) nameType) (= (type T.Vector___unnamed_12_6851572b) nameType) (= (type T.Affinity___unnamed_12_6851572b) nameType) (= (type T.Start___unnamed_12_91f117a1) nameType) (= (type T.Length___unnamed_12_91f117a1) nameType) (= (type T.Reserved___unnamed_12_91f117a1) nameType) (= (type T.Buffer___unnamed_12_9675b19c) nameType) (= (type T.Offset___unnamed_12_9675b19c) nameType) (= (type T.Length___unnamed_12_9675b19c) nameType) (= (type T.Priority___unnamed_12_99988665) nameType) (= (type T.Reserved1___unnamed_12_99988665) nameType) (= (type T.Reserved2___unnamed_12_99988665) nameType) (= (type T.Channel___unnamed_12_9b023e7e) nameType) (= (type T.Port___unnamed_12_9b023e7e) nameType) (= (type T.Reserved1___unnamed_12_9b023e7e) nameType) (= (type T.Raw___unnamed_12_a04f3ec2) nameType) (= (type T.Translated___unnamed_12_a04f3ec2) nameType) (= (type T.Buffer___unnamed_12_a41ee278) nameType) (= (type T.Length___unnamed_12_a41ee278) nameType) (= (type T.Offset___unnamed_12_a41ee278) nameType) (= (type T.Start___unnamed_12_aae97e0b) nameType) (= (type T.Length___unnamed_12_aae97e0b) nameType) (= (type T.ListEntry___unnamed_12_b0fe679d) nameType) (= (type T.__unnamed_4_ac2f5fe2___unnamed_12_b0fe679d) nameType) (= (type T.Level___unnamed_12_b4709d3d) nameType) (= (type T.Vector___unnamed_12_b4709d3d) nameType) (= (type T.Affinity___unnamed_12_b4709d3d) nameType) (= (type T.Start___unnamed_12_c07928f7) nameType) (= (type T.Length48___unnamed_12_c07928f7) nameType) (= (type T.Start___unnamed_12_c13de773) nameType) (= (type T.Length___unnamed_12_c13de773) nameType) (= (type T.Buffer___unnamed_12_e5e4e6f3) nameType) (= (type T.Length___unnamed_12_e5e4e6f3) nameType) (= (type T.Offset___unnamed_12_e5e4e6f3) nameType) (= (type T.Start___unnamed_12_e7dc8c54) nameType) (= (type T.Length___unnamed_12_e7dc8c54) nameType) (= (type T.Start___unnamed_12_f4e6bbc2) nameType) (= (type T.Length64___unnamed_12_f4e6bbc2) nameType) (= (type T.InterfaceType___unnamed_16_08405228) nameType) (= (type T.Size___unnamed_16_08405228) nameType) (= (type T.Version___unnamed_16_08405228) nameType) (= (type T.Interface___unnamed_16_08405228) nameType) (= (type T.InterfaceSpecificData___unnamed_16_08405228) nameType) (= (type T.Length___unnamed_16_0c179b13) nameType) (= (type T.StartSid___unnamed_16_0c179b13) nameType) (= (type T.SidList___unnamed_16_0c179b13) nameType) (= (type T.SidListLength___unnamed_16_0c179b13) nameType) (= (type T.Length___unnamed_16_160c71e3) nameType) (= (type T.Key___unnamed_16_160c71e3) nameType) (= (type T.DeviceOffset___unnamed_16_160c71e3) nameType) (= (type T.Argument1___unnamed_16_28d48018) nameType) (= (type T.Argument2___unnamed_16_28d48018) nameType) (= (type T.Argument3___unnamed_16_28d48018) nameType) (= (type T.Argument4___unnamed_16_28d48018) nameType) (= (type T.Length___unnamed_16_30754a00) nameType) (= (type T.Key___unnamed_16_30754a00) nameType) (= (type T.DeviceOffset___unnamed_16_30754a00) nameType) (= (type T.Length___unnamed_16_3538eb2e) nameType) (= (type T.MinBusNumber___unnamed_16_3538eb2e) nameType) (= (type T.MaxBusNumber___unnamed_16_3538eb2e) nameType) (= (type T.Reserved___unnamed_16_3538eb2e) nameType) (= (type T.Create___unnamed_16_3be92f23) nameType) (= (type T.Read___unnamed_16_3be92f23) nameType) (= (type T.Write___unnamed_16_3be92f23) nameType) (= (type T.DeviceIoControl___unnamed_16_3be92f23) nameType) (= (type T.Others___unnamed_16_3be92f23) nameType) (= (type T.Length___unnamed_16_4692f360) nameType) (= (type T.Key___unnamed_16_4692f360) nameType) (= (type T.ByteOffset___unnamed_16_4692f360) nameType) (= (type T.OutputBufferLength___unnamed_16_47a80b6e) nameType) (= (type T.InputBufferLength___unnamed_16_47a80b6e) nameType) (= (type T.FsControlCode___unnamed_16_47a80b6e) nameType) (= (type T.Type3InputBuffer___unnamed_16_47a80b6e) nameType) (= (type T.__unnamed_4_4008e71b___unnamed_16_4a376f0e) nameType) (= (type T.Type___unnamed_16_4a376f0e) nameType) (= (type T.State___unnamed_16_4a376f0e) nameType) (= (type T.ShutdownType___unnamed_16_4a376f0e) nameType) (= (type T.Create___unnamed_16_50547125) nameType) (= (type T.Read___unnamed_16_50547125) nameType) (= (type T.Write___unnamed_16_50547125) nameType) (= (type T.QueryDirectory___unnamed_16_50547125) nameType) (= (type T.NotifyDirectory___unnamed_16_50547125) nameType) (= (type T.QueryFile___unnamed_16_50547125) nameType) (= (type T.SetFile___unnamed_16_50547125) nameType) (= (type T.QueryEa___unnamed_16_50547125) nameType) (= (type T.SetEa___unnamed_16_50547125) nameType) (= (type T.QueryVolume___unnamed_16_50547125) nameType) (= (type T.SetVolume___unnamed_16_50547125) nameType) (= (type T.FileSystemControl___unnamed_16_50547125) nameType) (= (type T.LockControl___unnamed_16_50547125) nameType) (= (type T.DeviceIoControl___unnamed_16_50547125) nameType) (= (type T.QuerySecurity___unnamed_16_50547125) nameType) (= (type T.SetSecurity___unnamed_16_50547125) nameType) (= (type T.MountVolume___unnamed_16_50547125) nameType) (= (type T.VerifyVolume___unnamed_16_50547125) nameType) (= (type T.Scsi___unnamed_16_50547125) nameType) (= (type T.QueryQuota___unnamed_16_50547125) nameType) (= (type T.SetQuota___unnamed_16_50547125) nameType) (= (type T.QueryDeviceRelations___unnamed_16_50547125) nameType) (= (type T.QueryInterface___unnamed_16_50547125) nameType) (= (type T.DeviceCapabilities___unnamed_16_50547125) nameType) (= (type T.FilterResourceRequirements___unnamed_16_50547125) nameType) (= (type T.ReadWriteConfig___unnamed_16_50547125) nameType) (= (type T.SetLock___unnamed_16_50547125) nameType) (= (type T.QueryId___unnamed_16_50547125) nameType) (= (type T.QueryDeviceText___unnamed_16_50547125) nameType) (= (type T.UsageNotification___unnamed_16_50547125) nameType) (= (type T.WaitWake___unnamed_16_50547125) nameType) (= (type T.PowerSequence___unnamed_16_50547125) nameType) (= (type T.Power___unnamed_16_50547125) nameType) (= (type T.StartDevice___unnamed_16_50547125) nameType) (= (type T.WMI___unnamed_16_50547125) nameType) (= (type T.Others___unnamed_16_50547125) nameType) (= (type T.WhichSpace___unnamed_16_70b335ff) nameType) (= (type T.Buffer___unnamed_16_70b335ff) nameType) (= (type T.Offset___unnamed_16_70b335ff) nameType) (= (type T.Length___unnamed_16_70b335ff) nameType) (= (type T.SecurityContext___unnamed_16_758cc376) nameType) (= (type T.Options___unnamed_16_758cc376) nameType) (= (type T.FileAttributes___unnamed_16_758cc376) nameType) (= (type T.ShareAccess___unnamed_16_758cc376) nameType) (= (type T.EaLength___unnamed_16_758cc376) nameType) (= (type T.OutputBufferLength___unnamed_16_7b663246) nameType) (= (type T.InputBufferLength___unnamed_16_7b663246) nameType) (= (type T.IoControlCode___unnamed_16_7b663246) nameType) (= (type T.Type3InputBuffer___unnamed_16_7b663246) nameType) (= (type T.OutputBufferLength___unnamed_16_8c4e1e25) nameType) (= (type T.InputBufferLength___unnamed_16_8c4e1e25) nameType) (= (type T.IoControlCode___unnamed_16_8c4e1e25) nameType) (= (type T.Type3InputBuffer___unnamed_16_8c4e1e25) nameType) (= (type T.Length___unnamed_16_8fdea1e0) nameType) (= (type T.Key___unnamed_16_8fdea1e0) nameType) (= (type T.ByteOffset___unnamed_16_8fdea1e0) nameType) (= (type T.DriverContext___unnamed_16_90864369) nameType) (= (type T.Length___unnamed_16_98fa84c9) nameType) (= (type T.EaList___unnamed_16_98fa84c9) nameType) (= (type T.EaListLength___unnamed_16_98fa84c9) nameType) (= (type T.EaIndex___unnamed_16_98fa84c9) nameType) (= (type T.Argument1___unnamed_16_b19c652e) nameType) (= (type T.Argument2___unnamed_16_b19c652e) nameType) (= (type T.Argument3___unnamed_16_b19c652e) nameType) (= (type T.Argument4___unnamed_16_b19c652e) nameType) (= (type T.Length___unnamed_16_cbf64d77) nameType) (= (type T.FileName___unnamed_16_cbf64d77) nameType) (= (type T.FileInformationClass___unnamed_16_cbf64d77) nameType) (= (type T.FileIndex___unnamed_16_cbf64d77) nameType) (= (type T.Length___unnamed_16_d07eb79e) nameType) (= (type T.FileInformationClass___unnamed_16_d07eb79e) nameType) (= (type T.FileObject___unnamed_16_d07eb79e) nameType) (= (type T.__unnamed_4_b65679a6___unnamed_16_d07eb79e) nameType) (= (type T.Arg1___unnamed_16_d8ea3f48) nameType) (= (type T.Arg2___unnamed_16_d8ea3f48) nameType) (= (type T.IoControlCode___unnamed_16_d8ea3f48) nameType) (= (type T.Arg4___unnamed_16_d8ea3f48) nameType) (= (type T.ProviderId___unnamed_16_ec1b1a74) nameType) (= (type T.DataPath___unnamed_16_ec1b1a74) nameType) (= (type T.BufferSize___unnamed_16_ec1b1a74) nameType) (= (type T.Buffer___unnamed_16_ec1b1a74) nameType) (= (type T.Length___unnamed_16_f0deee7d) nameType) (= (type T.Key___unnamed_16_f0deee7d) nameType) (= (type T.ByteOffset___unnamed_16_f0deee7d) nameType) (= (type T.SecurityContext___unnamed_16_f26424fc) nameType) (= (type T.Options___unnamed_16_f26424fc) nameType) (= (type T.FileAttributes___unnamed_16_f26424fc) nameType) (= (type T.ShareAccess___unnamed_16_f26424fc) nameType) (= (type T.EaLength___unnamed_16_f26424fc) nameType) (= (type T.DeviceQueueEntry___unnamed_16_f8ddfcfe) nameType) (= (type T.__unnamed_16_90864369___unnamed_16_f8ddfcfe) nameType) (= (type T.Lock___unnamed_1_26d71ac8) nameType) (= (type T.Abandoned___unnamed_1_7fe4cdbd) nameType) (= (type T.Absolute___unnamed_1_7fe4cdbd) nameType) (= (type T.NpxIrql___unnamed_1_7fe4cdbd) nameType) (= (type T.Signalling___unnamed_1_7fe4cdbd) nameType) (= (type T.Size___unnamed_1_a19e9f98) nameType) (= (type T.Hand___unnamed_1_a19e9f98) nameType) (= (type T.Inserted___unnamed_1_a536060f) nameType) (= (type T.DebugActive___unnamed_1_a536060f) nameType) (= (type T.DpcActive___unnamed_1_a536060f) nameType) (= (type T.MinimumVector___unnamed_20_f8440734) nameType) (= (type T.MaximumVector___unnamed_20_f8440734) nameType) (= (type T.AffinityPolicy___unnamed_20_f8440734) nameType) (= (type T.PriorityPolicy___unnamed_20_f8440734) nameType) (= (type T.TargetedProcessors___unnamed_20_f8440734) nameType) (= (type T.Length64___unnamed_24_06d73087) nameType) (= (type T.Alignment64___unnamed_24_06d73087) nameType) (= (type T.MinimumAddress___unnamed_24_06d73087) nameType) (= (type T.MaximumAddress___unnamed_24_06d73087) nameType) (= (type T.Length___unnamed_24_22419524) nameType) (= (type T.Alignment___unnamed_24_22419524) nameType) (= (type T.MinimumAddress___unnamed_24_22419524) nameType) (= (type T.MaximumAddress___unnamed_24_22419524) nameType) (= (type T.Length40___unnamed_24_36b7e766) nameType) (= (type T.Alignment40___unnamed_24_36b7e766) nameType) (= (type T.MinimumAddress___unnamed_24_36b7e766) nameType) (= (type T.MaximumAddress___unnamed_24_36b7e766) nameType) (= (type T.Length___unnamed_24_370204c2) nameType) (= (type T.Alignment___unnamed_24_370204c2) nameType) (= (type T.MinimumAddress___unnamed_24_370204c2) nameType) (= (type T.MaximumAddress___unnamed_24_370204c2) nameType) (= (type T.IoControlCode___unnamed_24_52bbd12f) nameType) (= (type T.Input___unnamed_24_52bbd12f) nameType) (= (type T.Output___unnamed_24_52bbd12f) nameType) (= (type T.Length48___unnamed_24_76cd2bdb) nameType) (= (type T.Alignment48___unnamed_24_76cd2bdb) nameType) (= (type T.MinimumAddress___unnamed_24_76cd2bdb) nameType) (= (type T.MaximumAddress___unnamed_24_76cd2bdb) nameType) (= (type T.Write___unnamed_24_a2447d05) nameType) (= (type T.Read___unnamed_24_a2447d05) nameType) (= (type T.Ioctl___unnamed_24_a2447d05) nameType) (= (type T.Others___unnamed_24_a2447d05) nameType) (= (type T.Usb___unnamed_24_a2447d05) nameType) (= (type T.Length___unnamed_24_b8ad6aa7) nameType) (= (type T.Alignment___unnamed_24_b8ad6aa7) nameType) (= (type T.MinimumAddress___unnamed_24_b8ad6aa7) nameType) (= (type T.MaximumAddress___unnamed_24_b8ad6aa7) nameType) (= (type T.Port___unnamed_24_ba07fbe7) nameType) (= (type T.Memory___unnamed_24_ba07fbe7) nameType) (= (type T.Interrupt___unnamed_24_ba07fbe7) nameType) (= (type T.Dma___unnamed_24_ba07fbe7) nameType) (= (type T.Generic___unnamed_24_ba07fbe7) nameType) (= (type T.DevicePrivate___unnamed_24_ba07fbe7) nameType) (= (type T.BusNumber___unnamed_24_ba07fbe7) nameType) (= (type T.ConfigData___unnamed_24_ba07fbe7) nameType) (= (type T.Memory40___unnamed_24_ba07fbe7) nameType) (= (type T.Memory48___unnamed_24_ba07fbe7) nameType) (= (type T.Memory64___unnamed_24_ba07fbe7) nameType) (= (type T.ReplaceIfExists___unnamed_2_8290e1b0) nameType) (= (type T.AdvanceOnly___unnamed_2_8290e1b0) nameType) (= (type T.__unnamed_16_f8ddfcfe___unnamed_40_cfd29ebe) nameType) (= (type T.Thread___unnamed_40_cfd29ebe) nameType) (= (type T.AuxiliaryBuffer___unnamed_40_cfd29ebe) nameType) (= (type T.__unnamed_12_b0fe679d___unnamed_40_cfd29ebe) nameType) (= (type T.OriginalFileObject___unnamed_40_cfd29ebe) nameType) (= (type T.ListEntry___unnamed_40_dbe30577) nameType) (= (type T.Wcb___unnamed_40_dbe30577) nameType) (= (type T.InitialPrivilegeSet___unnamed_44_d7e89117) nameType) (= (type T.PrivilegeSet___unnamed_44_d7e89117) nameType) (= (type T.Overlay___unnamed_48_5a9f979b) nameType) (= (type T.Apc___unnamed_48_5a9f979b) nameType) (= (type T.CompletionKey___unnamed_48_5a9f979b) nameType) (= (type T.MasterIrp___unnamed_4_0a20c9fb) nameType) (= (type T.IrpCount___unnamed_4_0a20c9fb) nameType) (= (type T.SystemBuffer___unnamed_4_0a20c9fb) nameType) (= (type T.Length___unnamed_4_27fec054) nameType) (= (type T.PowerState___unnamed_4_342578c3) nameType) (= (type T.Capabilities___unnamed_4_36e06717) nameType) (= (type T.PowerSequence___unnamed_4_3e8985b1) nameType) (= (type T.SystemContext___unnamed_4_4008e71b) nameType) (= (type T.SystemPowerStateContext___unnamed_4_4008e71b) nameType) (= (type T.UserApcRoutine___unnamed_4_41bc16eb) nameType) (= (type T.IssuingProcess___unnamed_4_41bc16eb) nameType) (= (type T.Ptr___unnamed_4_442e007e) nameType) (= (type T.Value___unnamed_4_442e007e) nameType) (= (type T.Status___unnamed_4_6a857cdd) nameType) (= (type T.Pointer___unnamed_4_6a857cdd) nameType) (= (type T.Reserved1___unnamed_4_82d41359) nameType) (= (type T.TargetSystemState___unnamed_4_82d41359) nameType) (= (type T.EffectiveSystemState___unnamed_4_82d41359) nameType) (= (type T.CurrentSystemState___unnamed_4_82d41359) nameType) (= (type T.IgnoreHibernationPath___unnamed_4_82d41359) nameType) (= (type T.PseudoTransition___unnamed_4_82d41359) nameType) (= (type T.Reserved2___unnamed_4_82d41359) nameType) (= (type T.Srb___unnamed_4_94f0c80c) nameType) (= (type T.Type___unnamed_4_9b388132) nameType) (= (type T.Address___unnamed_4_9d516d2b) nameType) (= (type T.CreatorBackTraceIndex___unnamed_4_9d516d2b) nameType) (= (type T.CurrentStackLocation___unnamed_4_ac2f5fe2) nameType) (= (type T.PacketType___unnamed_4_ac2f5fe2) nameType) (= (type T.Type___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_a19e9f98___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_a536060f___unnamed_4_b1953259) nameType) (= (type T.Ptr___unnamed_4_b617aa5a) nameType) (= (type T.Value___unnamed_4_b617aa5a) nameType) (= (type T.__unnamed_2_8290e1b0___unnamed_4_b65679a6) nameType) (= (type T.ClusterCount___unnamed_4_b65679a6) nameType) (= (type T.DeleteHandle___unnamed_4_b65679a6) nameType) (= (type T.OwnerCount___unnamed_4_c406319a) nameType) (= (type T.TableSize___unnamed_4_c406319a) nameType) (= (type T.Ptr___unnamed_4_d6f0159b) nameType) (= (type T.Value___unnamed_4_d6f0159b) nameType) (= (type T.Completion___unnamed_4_de25a30d) nameType) (= (type T.__unnamed_4_b1953259___unnamed_4_dfcb1314) nameType) (= (type T.Lock___unnamed_4_dfcb1314) nameType) (= (type T.Length___unnamed_4_e60fbc3e) nameType) (= (type T.__unnamed_4_82d41359___unnamed_4_f525de8d) nameType) (= (type T.ContextAsUlong___unnamed_4_f525de8d) nameType) (= (type T.IoResourceRequirementList___unnamed_4_f571b1b9) nameType) (= (type T.IdType___unnamed_4_fad32fd4) nameType) (= (type T.Ptr___unnamed_4_fbcc5fb9) nameType) (= (type T.Value___unnamed_4_fbcc5fb9) nameType) (= (type T.Buffer___unnamed_8_20ce6f92) nameType) (= (type T.Offset___unnamed_8_20ce6f92) nameType) (= (type T.AsynchronousParameters___unnamed_8_2c71b416) nameType) (= (type T.AllocationSize___unnamed_8_2c71b416) nameType) (= (type T.AllocatedResources___unnamed_8_305df57c) nameType) (= (type T.AllocatedResourcesTranslated___unnamed_8_305df57c) nameType) (= (type T.LowPart___unnamed_8_4aac83fd) nameType) (= (type T.HighPart___unnamed_8_4aac83fd) nameType) (= (type T.Length___unnamed_8_5c8f0abe) nameType) (= (type T.FileInformationClass___unnamed_8_5c8f0abe) nameType) (= (type T.Length___unnamed_8_872f0ca6) nameType) (= (type T.FsInformationClass___unnamed_8_872f0ca6) nameType) (= (type T.Vpb___unnamed_8_89024868) nameType) (= (type T.DeviceObject___unnamed_8_89024868) nameType) (= (type T.SecurityInformation___unnamed_8_8bfbe2a4) nameType) (= (type T.Length___unnamed_8_8bfbe2a4) nameType) (= (type T.MinimumChannel___unnamed_8_9b5da84f) nameType) (= (type T.MaximumChannel___unnamed_8_9b5da84f) nameType) (= (type T.DeviceTextType___unnamed_8_9da0b827) nameType) (= (type T.LocaleId___unnamed_8_9da0b827) nameType) (= (type T.LowPart___unnamed_8_bb154058) nameType) (= (type T.HighPart___unnamed_8_bb154058) nameType) (= (type T.InPath___unnamed_8_cdc8e4c0) nameType) (= (type T.Reserved___unnamed_8_cdc8e4c0) nameType) (= (type T.Type___unnamed_8_cdc8e4c0) nameType) (= (type T.__unnamed_4_41bc16eb___unnamed_8_d0cda093) nameType) (= (type T.UserApcContext___unnamed_8_d0cda093) nameType) (= (type T.Length___unnamed_8_da064ae3) nameType) (= (type T.FsInformationClass___unnamed_8_da064ae3) nameType) (= (type T.Length___unnamed_8_e1457eff) nameType) (= (type T.CompletionFilter___unnamed_8_e1457eff) nameType) (= (type T.Vpb___unnamed_8_f62d54e1) nameType) (= (type T.DeviceObject___unnamed_8_f62d54e1) nameType) (= (type T.SecurityInformation___unnamed_8_f825c111) nameType) (= (type T.SecurityDescriptor___unnamed_8_f825c111) nameType) (= (type T.UrbHeader___unnamed_96_e511a626) nameType) (= (type T.UrbSelectInterface___unnamed_96_e511a626) nameType) (= (type T.UrbSelectConfiguration___unnamed_96_e511a626) nameType) (= (type T.UrbPipeRequest___unnamed_96_e511a626) nameType) (= (type T.UrbFrameLengthControl___unnamed_96_e511a626) nameType) (= (type T.UrbGetFrameLength___unnamed_96_e511a626) nameType) (= (type T.UrbSetFrameLength___unnamed_96_e511a626) nameType) (= (type T.UrbGetCurrentFrameNumber___unnamed_96_e511a626) nameType) (= (type T.UrbControlTransfer___unnamed_96_e511a626) nameType) (= (type T.UrbControlTransferEx___unnamed_96_e511a626) nameType) (= (type T.UrbPipeIoPolicy___unnamed_96_e511a626) nameType) (= (type T.UrbBulkOrInterruptTransfer___unnamed_96_e511a626) nameType) (= (type T.UrbIsochronousTransfer___unnamed_96_e511a626) nameType) (= (type T.UrbControlDescriptorRequest___unnamed_96_e511a626) nameType) (= (type T.UrbControlGetStatusRequest___unnamed_96_e511a626) nameType) (= (type T.UrbControlFeatureRequest___unnamed_96_e511a626) nameType) (= (type T.UrbControlVendorClassRequest___unnamed_96_e511a626) nameType) (= (type T.UrbControlGetInterfaceRequest___unnamed_96_e511a626) nameType) (= (type T.UrbControlGetConfigurationRequest___unnamed_96_e511a626) nameType) (= (type T.UrbOSFeatureDescriptorRequest___unnamed_96_e511a626) nameType) (= (type T.A1_CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_IO_RESOURCE_LIST) nameType) (= (type T.A1_LUID_AND_ATTRIBUTES) nameType) (= (type T.A1_USBD_ISO_PACKET_DESCRIPTOR) nameType) (= (type T.A1_USBD_PIPE_INFORMATION) nameType) (= (type T.A28PFDRIVER_DISPATCH) nameType) (= (type T.A32CHAR) nameType) (= (type T.A32UINT2) nameType) (= (type T.A3UCHAR) nameType) (= (type T.A3UINT4) nameType) (= (type T.A3_LUID_AND_ATTRIBUTES) nameType) (= (type T.A4PVOID) nameType) (= (type T.A4UCHAR) nameType) (= (type T.A5CHAR) nameType) (= (type T.A6CHAR) nameType) (= (type T.A7_DEVICE_POWER_STATE) nameType) (= (type T.A8PVOID) nameType) (= (type T.A8UCHAR) nameType) (= (type T.BUS_QUERY_ID_TYPE) nameType) (= (type T.CHAR) nameType) (= (type T.DEVICE_TEXT_TYPE) nameType) (= (type T.F0) nameType) (= (type T.F1) nameType) (= (type T.F10) nameType) (= (type T.F11) nameType) (= (type T.F12) nameType) (= (type T.F13) nameType) (= (type T.F14) nameType) (= (type T.F15) nameType) (= (type T.F16) nameType) (= (type T.F17) nameType) (= (type T.F18) nameType) (= (type T.F19) nameType) (= (type T.F2) nameType) (= (type T.F20) nameType) (= (type T.F21) nameType) (= (type T.F22) nameType) (= (type T.F23) nameType) (= (type T.F24) nameType) (= (type T.F25) nameType) (= (type T.F26) nameType) (= (type T.F27) nameType) (= (type T.F28) nameType) (= (type T.F29) nameType) (= (type T.F3) nameType) (= (type T.F30) nameType) (= (type T.F31) nameType) (= (type T.F32) nameType) (= (type T.F33) nameType) (= (type T.F34) nameType) (= (type T.F35) nameType) (= (type T.F36) nameType) (= (type T.F37) nameType) (= (type T.F4) nameType) (= (type T.F5) nameType) (= (type T.F6) nameType) (= (type T.F7) nameType) (= (type T.F8) nameType) (= (type T.F9) nameType) (= (type T.FDRIVER_ADD_DEVICE) nameType) (= (type T.FDRIVER_CANCEL) nameType) (= (type T.FDRIVER_DISPATCH) nameType) (= (type T.FDRIVER_INITIALIZE) nameType) (= (type T.FDRIVER_STARTIO) nameType) (= (type T.FDRIVER_UNLOAD) nameType) (= (type T.FEVT_WDF_OBJECT_CONTEXT_CLEANUP) nameType) (= (type T.FEVT_WDF_OBJECT_CONTEXT_DESTROY) nameType) (= (type T.FEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.FEVT_WDF_WORKITEM) nameType) (= (type T.FFAST_IO_ACQUIRE_FILE) nameType) (= (type T.FFAST_IO_ACQUIRE_FOR_CCFLUSH) nameType) (= (type T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE) nameType) (= (type T.FFAST_IO_CHECK_IF_POSSIBLE) nameType) (= (type T.FFAST_IO_DETACH_DEVICE) nameType) (= (type T.FFAST_IO_DEVICE_CONTROL) nameType) (= (type T.FFAST_IO_LOCK) nameType) (= (type T.FFAST_IO_MDL_READ) nameType) (= (type T.FFAST_IO_MDL_READ_COMPLETE) nameType) (= (type T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED) nameType) (= (type T.FFAST_IO_MDL_WRITE_COMPLETE) nameType) (= (type T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED) nameType) (= (type T.FFAST_IO_PREPARE_MDL_WRITE) nameType) (= (type T.FFAST_IO_QUERY_BASIC_INFO) nameType) (= (type T.FFAST_IO_QUERY_NETWORK_OPEN_INFO) nameType) (= (type T.FFAST_IO_QUERY_OPEN) nameType) (= (type T.FFAST_IO_QUERY_STANDARD_INFO) nameType) (= (type T.FFAST_IO_READ) nameType) (= (type T.FFAST_IO_READ_COMPRESSED) nameType) (= (type T.FFAST_IO_RELEASE_FILE) nameType) (= (type T.FFAST_IO_RELEASE_FOR_CCFLUSH) nameType) (= (type T.FFAST_IO_RELEASE_FOR_MOD_WRITE) nameType) (= (type T.FFAST_IO_UNLOCK_ALL) nameType) (= (type T.FFAST_IO_UNLOCK_ALL_BY_KEY) nameType) (= (type T.FFAST_IO_UNLOCK_SINGLE) nameType) (= (type T.FFAST_IO_WRITE) nameType) (= (type T.FFAST_IO_WRITE_COMPRESSED) nameType) (= (type T.FIO_COMPLETION_ROUTINE) nameType) (= (type T.INT2) nameType) (= (type T.INT4) nameType) (= (type T.INT8) nameType) (= (type T.PA5CHAR) nameType) (= (type T.PA6CHAR) nameType) (= (type T.PCHAR) nameType) (= (type T.PF0) nameType) (= (type T.PF1) nameType) (= (type T.PF27) nameType) (= (type T.PF28) nameType) (= (type T.PF29) nameType) (= (type T.PF31) nameType) (= (type T.PF32) nameType) (= (type T.PF33) nameType) (= (type T.PF35) nameType) (= (type T.PF36) nameType) (= (type T.PF37) nameType) (= (type T.PFDRIVER_ADD_DEVICE) nameType) (= (type T.PFDRIVER_CANCEL) nameType) (= (type T.PFDRIVER_DISPATCH) nameType) (= (type T.PFDRIVER_INITIALIZE) nameType) (= (type T.PFDRIVER_STARTIO) nameType) (= (type T.PFDRIVER_UNLOAD) nameType) (= (type T.PFEVT_WDF_OBJECT_CONTEXT_CLEANUP) nameType) (= (type T.PFEVT_WDF_OBJECT_CONTEXT_DESTROY) nameType) (= (type T.PFEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.PFEVT_WDF_WORKITEM) nameType) (= (type T.PFFAST_IO_ACQUIRE_FILE) nameType) (= (type T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH) nameType) (= (type T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE) nameType) (= (type T.PFFAST_IO_CHECK_IF_POSSIBLE) nameType) (= (type T.PFFAST_IO_DETACH_DEVICE) nameType) (= (type T.PFFAST_IO_DEVICE_CONTROL) nameType) (= (type T.PFFAST_IO_LOCK) nameType) (= (type T.PFFAST_IO_MDL_READ) nameType) (= (type T.PFFAST_IO_MDL_READ_COMPLETE) nameType) (= (type T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED) nameType) (= (type T.PFFAST_IO_MDL_WRITE_COMPLETE) nameType) (= (type T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED) nameType) (= (type T.PFFAST_IO_PREPARE_MDL_WRITE) nameType) (= (type T.PFFAST_IO_QUERY_BASIC_INFO) nameType) (= (type T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO) nameType) (= (type T.PFFAST_IO_QUERY_OPEN) nameType) (= (type T.PFFAST_IO_QUERY_STANDARD_INFO) nameType) (= (type T.PFFAST_IO_READ) nameType) (= (type T.PFFAST_IO_READ_COMPRESSED) nameType) (= (type T.PFFAST_IO_RELEASE_FILE) nameType) (= (type T.PFFAST_IO_RELEASE_FOR_CCFLUSH) nameType) (= (type T.PFFAST_IO_RELEASE_FOR_MOD_WRITE) nameType) (= (type T.PFFAST_IO_UNLOCK_ALL) nameType) (= (type T.PFFAST_IO_UNLOCK_ALL_BY_KEY) nameType) (= (type T.PFFAST_IO_UNLOCK_SINGLE) nameType) (= (type T.PFFAST_IO_WRITE) nameType) (= (type T.PFFAST_IO_WRITE_COMPRESSED) nameType) (= (type T.PFIO_COMPLETION_ROUTINE) nameType) (= (type T.PINT4) nameType) (= (type T.POWER_ACTION) nameType) (= (type T.PPCHAR) nameType) (= (type T.PPF32) nameType) (= (type T.PPFEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.PPFEVT_WDF_WORKITEM) nameType) (= (type T.PPINT4) nameType) (= (type T.PPPVOID) nameType) (= (type T.PPPWDFCOLLECTION__) nameType) (= (type T.PPPWDFMEMORY__) nameType) (= (type T.PPPWDFREQUEST__) nameType) (= (type T.PPPWDFSPINLOCK__) nameType) (= (type T.PPPWDFWORKITEM__) nameType) (= (type T.PPP_MDL) nameType) (= (type T.PPUCHAR) nameType) (= (type T.PPUINT4) nameType) (= (type T.PPVOID) nameType) (= (type T.PPWDFCOLLECTION__) nameType) (= (type T.PPWDFDEVICE__) nameType) (= (type T.PPWDFFILEOBJECT__) nameType) (= (type T.PPWDFIOTARGET__) nameType) (= (type T.PPWDFMEMORY__) nameType) (= (type T.PPWDFQUEUE__) nameType) (= (type T.PPWDFREQUEST__) nameType) (= (type T.PPWDFSPINLOCK__) nameType) (= (type T.PPWDFUSBDEVICE__) nameType) (= (type T.PPWDFUSBINTERFACE__) nameType) (= (type T.PPWDFUSBPIPE__) nameType) (= (type T.PPWDFWORKITEM__) nameType) (= (type T.PP_DEVICE_CONTEXT) nameType) (= (type T.PP_ERESOURCE) nameType) (= (type T.PP_FILE_CONTEXT) nameType) (= (type T.PP_IRP) nameType) (= (type T.PP_LIST_ENTRY) nameType) (= (type T.PP_MDL) nameType) (= (type T.PP_REQUEST_CONTEXT) nameType) (= (type T.PP_SUB_REQUEST_CONTEXT) nameType) (= (type T.PP_URB) nameType) (= (type T.PP_WDFMEMORY_OFFSET) nameType) (= (type T.PP_WDF_DRIVER_GLOBALS) nameType) (= (type T.PP_WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.PP_WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.PP_WDF_REQUEST_PARAMETERS) nameType) (= (type T.PP_WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.PP_WDF_USB_PIPE_INFORMATION) nameType) (= (type T.PP_WDF_WORKITEM_CONFIG) nameType) (= (type T.PP_WORKITEM_CONTEXT) nameType) (= (type T.PUCHAR) nameType) (= (type T.PUINT2) nameType) (= (type T.PUINT4) nameType) (= (type T.PVOID) nameType) (= (type T.PWDFCOLLECTION__) nameType) (= (type T.PWDFDEVICE__) nameType) (= (type T.PWDFDRIVER__) nameType) (= (type T.PWDFFILEOBJECT__) nameType) (= (type T.PWDFIOTARGET__) nameType) (= (type T.PWDFMEMORY__) nameType) (= (type T.PWDFQUEUE__) nameType) (= (type T.PWDFREQUEST__) nameType) (= (type T.PWDFSPINLOCK__) nameType) (= (type T.PWDFUSBDEVICE__) nameType) (= (type T.PWDFUSBINTERFACE__) nameType) (= (type T.PWDFUSBPIPE__) nameType) (= (type T.PWDFWORKITEM__) nameType) (= (type T.P_ACCESS_STATE) nameType) (= (type T.P_CM_RESOURCE_LIST) nameType) (= (type T.P_COMPRESSED_DATA_INFO) nameType) (= (type T.P_DEVICE_CAPABILITIES) nameType) (= (type T.P_DEVICE_CONTEXT) nameType) (= (type T.P_DEVICE_OBJECT) nameType) (= (type T.P_DEVOBJ_EXTENSION) nameType) (= (type T.P_DRIVER_EXTENSION) nameType) (= (type T.P_DRIVER_OBJECT) nameType) (= (type T.P_EPROCESS) nameType) (= (type T.P_ERESOURCE) nameType) (= (type T.P_FAST_IO_DISPATCH) nameType) (= (type T.P_FILE_BASIC_INFORMATION) nameType) (= (type T.P_FILE_CONTEXT) nameType) (= (type T.P_FILE_GET_QUOTA_INFORMATION) nameType) (= (type T.P_FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.P_FILE_OBJECT) nameType) (= (type T.P_FILE_STANDARD_INFORMATION) nameType) (= (type T.P_GUID) nameType) (= (type T.P_INTERFACE) nameType) (= (type T.P_IO_COMPLETION_CONTEXT) nameType) (= (type T.P_IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.P_IO_SECURITY_CONTEXT) nameType) (= (type T.P_IO_STACK_LOCATION) nameType) (= (type T.P_IO_STATUS_BLOCK) nameType) (= (type T.P_IO_TIMER) nameType) (= (type T.P_IRP) nameType) (= (type T.P_KAPC) nameType) (= (type T.P_KDPC) nameType) (= (type T.P_KEVENT) nameType) (= (type T.P_KPROCESS) nameType) (= (type T.P_KSEMAPHORE) nameType) (= (type T.P_KTHREAD) nameType) (= (type T.P_LARGE_INTEGER) nameType) (= (type T.P_LIST_ENTRY) nameType) (= (type T.P_MDL) nameType) (= (type T.P_OWNER_ENTRY) nameType) (= (type T.P_POOL_TYPE) nameType) (= (type T.P_POWER_SEQUENCE) nameType) (= (type T.P_REQUEST_CONTEXT) nameType) (= (type T.P_SCSI_REQUEST_BLOCK) nameType) (= (type T.P_SECTION_OBJECT_POINTERS) nameType) (= (type T.P_SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.P_SUB_REQUEST_CONTEXT) nameType) (= (type T.P_UNICODE_STRING) nameType) (= (type T.P_URB) nameType) (= (type T.P_USBD_ISO_PACKET_DESCRIPTOR) nameType) (= (type T.P_USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.P_VPB) nameType) (= (type T.P_WDFMEMORY_OFFSET) nameType) (= (type T.P_WDF_DRIVER_GLOBALS) nameType) (= (type T.P_WDF_IO_TARGET_SENT_IO_ACTION) nameType) (= (type T.P_WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.P_WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.P_WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.P_WDF_REQUEST_PARAMETERS) nameType) (= (type T.P_WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.P_WDF_REQUEST_TYPE) nameType) (= (type T.P_WDF_USB_PIPE_INFORMATION) nameType) (= (type T.P_WDF_USB_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.P_WDF_WORKITEM_CONFIG) nameType) (= (type T.P_WORKITEM_CONTEXT) nameType) (= (type T.UCHAR) nameType) (= (type T.UINT2) nameType) (= (type T.UINT4) nameType) (= (type T.VOID) nameType) (= (type T.WDFCOLLECTION__) nameType) (= (type T.WDFDEVICE__) nameType) (= (type T.WDFDRIVER__) nameType) (= (type T.WDFFILEOBJECT__) nameType) (= (type T.WDFIOTARGET__) nameType) (= (type T.WDFMEMORY__) nameType) (= (type T.WDFQUEUE__) nameType) (= (type T.WDFREQUEST__) nameType) (= (type T.WDFSPINLOCK__) nameType) (= (type T.WDFUSBDEVICE__) nameType) (= (type T.WDFUSBINTERFACE__) nameType) (= (type T.WDFUSBPIPE__) nameType) (= (type T.WDFWORKITEM__) nameType) (= (type T._ACCESS_STATE) nameType) (= (type T._CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T._CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T._CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T._CM_RESOURCE_LIST) nameType) (= (type T._COMPRESSED_DATA_INFO) nameType) (= (type T._DEVICE_CAPABILITIES) nameType) (= (type T._DEVICE_CONTEXT) nameType) (= (type T._DEVICE_OBJECT) nameType) (= (type T._DEVICE_POWER_STATE) nameType) (= (type T._DEVICE_RELATION_TYPE) nameType) (= (type T._DEVICE_USAGE_NOTIFICATION_TYPE) nameType) (= (type T._DEVOBJ_EXTENSION) nameType) (= (type T._DISPATCHER_HEADER) nameType) (= (type T._DRIVER_EXTENSION) nameType) (= (type T._DRIVER_OBJECT) nameType) (= (type T._EPROCESS) nameType) (= (type T._ERESOURCE) nameType) (= (type T._FAST_IO_DISPATCH) nameType) (= (type T._FILE_BASIC_INFORMATION) nameType) (= (type T._FILE_CONTEXT) nameType) (= (type T._FILE_GET_QUOTA_INFORMATION) nameType) (= (type T._FILE_INFORMATION_CLASS) nameType) (= (type T._FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T._FILE_OBJECT) nameType) (= (type T._FILE_STANDARD_INFORMATION) nameType) (= (type T._FSINFOCLASS) nameType) (= (type T._GUID) nameType) (= (type T._INITIAL_PRIVILEGE_SET) nameType) (= (type T._INTERFACE) nameType) (= (type T._INTERFACE_TYPE) nameType) (= (type T._IO_ALLOCATION_ACTION) nameType) (= (type T._IO_COMPLETION_CONTEXT) nameType) (= (type T._IO_RESOURCE_DESCRIPTOR) nameType) (= (type T._IO_RESOURCE_LIST) nameType) (= (type T._IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T._IO_SECURITY_CONTEXT) nameType) (= (type T._IO_STACK_LOCATION) nameType) (= (type T._IO_STATUS_BLOCK) nameType) (= (type T._IO_TIMER) nameType) (= (type T._IRP) nameType) (= (type T._IRQ_DEVICE_POLICY) nameType) (= (type T._IRQ_PRIORITY) nameType) (= (type T._KAPC) nameType) (= (type T._KDEVICE_QUEUE) nameType) (= (type T._KDEVICE_QUEUE_ENTRY) nameType) (= (type T._KDPC) nameType) (= (type T._KEVENT) nameType) (= (type T._KPROCESS) nameType) (= (type T._KSEMAPHORE) nameType) (= (type T._KTHREAD) nameType) (= (type T._LARGE_INTEGER) nameType) (= (type T._LIST_ENTRY) nameType) (= (type T._LUID) nameType) (= (type T._LUID_AND_ATTRIBUTES) nameType) (= (type T._MDL) nameType) (= (type T._OWNER_ENTRY) nameType) (= (type T._POOL_TYPE) nameType) (= (type T._POWER_SEQUENCE) nameType) (= (type T._POWER_STATE) nameType) (= (type T._POWER_STATE_TYPE) nameType) (= (type T._PRIVILEGE_SET) nameType) (= (type T._REQUEST_CONTEXT) nameType) (= (type T._SCSI_REQUEST_BLOCK) nameType) (= (type T._SECTION_OBJECT_POINTERS) nameType) (= (type T._SECURITY_IMPERSONATION_LEVEL) nameType) (= (type T._SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T._SECURITY_SUBJECT_CONTEXT) nameType) (= (type T._SUB_REQUEST_CONTEXT) nameType) (= (type T._SYSTEM_POWER_STATE) nameType) (= (type T._SYSTEM_POWER_STATE_CONTEXT) nameType) (= (type T._UNICODE_STRING) nameType) (= (type T._URB) nameType) (= (type T._URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T._URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T._URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T._URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T._URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T._URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T._URB_CONTROL_TRANSFER) nameType) (= (type T._URB_CONTROL_TRANSFER_EX) nameType) (= (type T._URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T._URB_FRAME_LENGTH_CONTROL) nameType) (= (type T._URB_GET_CURRENT_FRAME_NUMBER) nameType) (= (type T._URB_GET_FRAME_LENGTH) nameType) (= (type T._URB_HCD_AREA) nameType) (= (type T._URB_HEADER) nameType) (= (type T._URB_ISOCH_TRANSFER) nameType) (= (type T._URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T._URB_PIPE_IO_POLICY) nameType) (= (type T._URB_PIPE_REQUEST) nameType) (= (type T._URB_SELECT_CONFIGURATION) nameType) (= (type T._URB_SELECT_INTERFACE) nameType) (= (type T._URB_SET_FRAME_LENGTH) nameType) (= (type T._USBD_INTERFACE_INFORMATION) nameType) (= (type T._USBD_ISO_PACKET_DESCRIPTOR) nameType) (= (type T._USBD_PIPE_INFORMATION) nameType) (= (type T._USBD_PIPE_TYPE) nameType) (= (type T._USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T._USB_DEVICE_DESCRIPTOR) nameType) (= (type T._USB_IO_PARAMETERS) nameType) (= (type T._USB_IO_PRIORITY) nameType) (= (type T._VPB) nameType) (= (type T._WAIT_CONTEXT_BLOCK) nameType) (= (type T._WDFMEMORY_OFFSET) nameType) (= (type T._WDF_DRIVER_GLOBALS) nameType) (= (type T._WDF_EXECUTION_LEVEL) nameType) (= (type T._WDF_IO_TARGET_SENT_IO_ACTION) nameType) (= (type T._WDF_OBJECT_ATTRIBUTES) nameType) (= (type T._WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T._WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T._WDF_REQUEST_PARAMETERS) nameType) (= (type T._WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T._WDF_REQUEST_TYPE) nameType) (= (type T._WDF_SYNCHRONIZATION_SCOPE) nameType) (= (type T._WDF_USB_PIPE_INFORMATION) nameType) (= (type T._WDF_USB_PIPE_TYPE) nameType) (= (type T._WDF_USB_REQUEST_COMPLETION_PARAMS) nameType) (= (type T._WDF_WORKITEM_CONFIG) nameType) (= (type T._WORKITEM_CONTEXT) nameType) (= (type T.__unnamed_12_00aa0978) nameType) (= (type T.__unnamed_12_011610e6) nameType) (= (type T.__unnamed_12_135b00bd) nameType) (= (type T.__unnamed_12_2349179a) nameType) (= (type T.__unnamed_12_508ad0f8) nameType) (= (type T.__unnamed_12_5a101f58) nameType) (= (type T.__unnamed_12_5c984402) nameType) (= (type T.__unnamed_12_6851572b) nameType) (= (type T.__unnamed_12_91f117a1) nameType) (= (type T.__unnamed_12_9675b19c) nameType) (= (type T.__unnamed_12_99988665) nameType) (= (type T.__unnamed_12_9b023e7e) nameType) (= (type T.__unnamed_12_a04f3ec2) nameType) (= (type T.__unnamed_12_a41ee278) nameType) (= (type T.__unnamed_12_aae97e0b) nameType) (= (type T.__unnamed_12_b0fe679d) nameType) (= (type T.__unnamed_12_b4709d3d) nameType) (= (type T.__unnamed_12_c07928f7) nameType) (= (type T.__unnamed_12_c13de773) nameType) (= (type T.__unnamed_12_e5e4e6f3) nameType) (= (type T.__unnamed_12_e7dc8c54) nameType) (= (type T.__unnamed_12_f4e6bbc2) nameType) (= (type T.__unnamed_16_08405228) nameType) (= (type T.__unnamed_16_0c179b13) nameType) (= (type T.__unnamed_16_160c71e3) nameType) (= (type T.__unnamed_16_28d48018) nameType) (= (type T.__unnamed_16_30754a00) nameType) (= (type T.__unnamed_16_3538eb2e) nameType) (= (type T.__unnamed_16_3be92f23) nameType) (= (type T.__unnamed_16_4692f360) nameType) (= (type T.__unnamed_16_47a80b6e) nameType) (= (type T.__unnamed_16_4a376f0e) nameType) (= (type T.__unnamed_16_50547125) nameType) (= (type T.__unnamed_16_70b335ff) nameType) (= (type T.__unnamed_16_758cc376) nameType) (= (type T.__unnamed_16_7b663246) nameType) (= (type T.__unnamed_16_8c4e1e25) nameType) (= (type T.__unnamed_16_8fdea1e0) nameType) (= (type T.__unnamed_16_90864369) nameType) (= (type T.__unnamed_16_98fa84c9) nameType) (= (type T.__unnamed_16_b19c652e) nameType) (= (type T.__unnamed_16_cbf64d77) nameType) (= (type T.__unnamed_16_d07eb79e) nameType) (= (type T.__unnamed_16_d8ea3f48) nameType) (= (type T.__unnamed_16_ec1b1a74) nameType) (= (type T.__unnamed_16_f0deee7d) nameType) (= (type T.__unnamed_16_f26424fc) nameType) (= (type T.__unnamed_16_f8ddfcfe) nameType) (= (type T.__unnamed_1_26d71ac8) nameType) (= (type T.__unnamed_1_7fe4cdbd) nameType) (= (type T.__unnamed_1_a19e9f98) nameType) (= (type T.__unnamed_1_a536060f) nameType) (= (type T.__unnamed_20_f8440734) nameType) (= (type T.__unnamed_24_06d73087) nameType) (= (type T.__unnamed_24_22419524) nameType) (= (type T.__unnamed_24_36b7e766) nameType) (= (type T.__unnamed_24_370204c2) nameType) (= (type T.__unnamed_24_52bbd12f) nameType) (= (type T.__unnamed_24_76cd2bdb) nameType) (= (type T.__unnamed_24_a2447d05) nameType) (= (type T.__unnamed_24_b8ad6aa7) nameType) (= (type T.__unnamed_24_ba07fbe7) nameType) (= (type T.__unnamed_2_8290e1b0) nameType) (= (type T.__unnamed_40_cfd29ebe) nameType) (= (type T.__unnamed_40_dbe30577) nameType) (= (type T.__unnamed_44_d7e89117) nameType) (= (type T.__unnamed_48_5a9f979b) nameType) (= (type T.__unnamed_4_0a20c9fb) nameType) (= (type T.__unnamed_4_27fec054) nameType) (= (type T.__unnamed_4_342578c3) nameType) (= (type T.__unnamed_4_36e06717) nameType) (= (type T.__unnamed_4_3e8985b1) nameType) (= (type T.__unnamed_4_4008e71b) nameType) (= (type T.__unnamed_4_41bc16eb) nameType) (= (type T.__unnamed_4_442e007e) nameType) (= (type T.__unnamed_4_6a857cdd) nameType) (= (type T.__unnamed_4_82d41359) nameType) (= (type T.__unnamed_4_94f0c80c) nameType) (= (type T.__unnamed_4_9b388132) nameType) (= (type T.__unnamed_4_9d516d2b) nameType) (= (type T.__unnamed_4_ac2f5fe2) nameType) (= (type T.__unnamed_4_b1953259) nameType) (= (type T.__unnamed_4_b617aa5a) nameType) (= (type T.__unnamed_4_b65679a6) nameType) (= (type T.__unnamed_4_c406319a) nameType) (= (type T.__unnamed_4_d6f0159b) nameType) (= (type T.__unnamed_4_de25a30d) nameType) (= (type T.__unnamed_4_dfcb1314) nameType) (= (type T.__unnamed_4_e60fbc3e) nameType) (= (type T.__unnamed_4_f525de8d) nameType) (= (type T.__unnamed_4_f571b1b9) nameType) (= (type T.__unnamed_4_fad32fd4) nameType) (= (type T.__unnamed_4_fbcc5fb9) nameType) (= (type T.__unnamed_8_20ce6f92) nameType) (= (type T.__unnamed_8_2c71b416) nameType) (= (type T.__unnamed_8_305df57c) nameType) (= (type T.__unnamed_8_4aac83fd) nameType) (= (type T.__unnamed_8_5c8f0abe) nameType) (= (type T.__unnamed_8_872f0ca6) nameType) (= (type T.__unnamed_8_89024868) nameType) (= (type T.__unnamed_8_8bfbe2a4) nameType) (= (type T.__unnamed_8_9b5da84f) nameType) (= (type T.__unnamed_8_9da0b827) nameType) (= (type T.__unnamed_8_bb154058) nameType) (= (type T.__unnamed_8_cdc8e4c0) nameType) (= (type T.__unnamed_8_d0cda093) nameType) (= (type T.__unnamed_8_da064ae3) nameType) (= (type T.__unnamed_8_e1457eff) nameType) (= (type T.__unnamed_8_f62d54e1) nameType) (= (type T.__unnamed_8_f825c111) nameType) (= (type T.__unnamed_96_e511a626) nameType) (= (Ctor byteType) 3) (forall ((?arg03 boogieT) (?arg1 boogieT)) (= (Ctor (MapType0Type ?arg03 ?arg1)) 4)) (forall ((?arg04 boogieT) (?arg10 boogieT)) (! (= (MapType0TypeInv0 (MapType0Type ?arg04 ?arg10)) ?arg04) :pattern ((MapType0Type ?arg04 ?arg10)) )) (forall ((?arg05 boogieT) (?arg11 boogieT)) (! (= (MapType0TypeInv1 (MapType0Type ?arg05 ?arg11)) ?arg11) :pattern ((MapType0Type ?arg05 ?arg11)) )) (forall ((?arg06 boogieU) (?arg12 boogieU)) (! (= (type (MapType0Select ?arg06 ?arg12)) (MapType0TypeInv1 (type ?arg06))) :pattern ((MapType0Select ?arg06 ?arg12)) )) (forall ((?arg07 boogieU) (?arg13 boogieU) (?arg2 boogieU)) (! (= (type (MapType0Store ?arg07 ?arg13 ?arg2)) (MapType0Type (type ?arg13) (type ?arg2))) :pattern ((MapType0Store ?arg07 ?arg13 ?arg2)) )) (forall ((?val boogieU) (?m boogieU) (?x00 boogieU)) (= (MapType0Select (MapType0Store ?m ?x00 ?val) ?x00) ?val)) (forall ((?val0 boogieU) (?m0 boogieU) (?x01 boogieU) (?y0 boogieU)) (or (= ?x01 ?y0) (= (MapType0Select (MapType0Store ?m0 ?x01 ?val0) ?y0) (MapType0Select ?m0 ?y0)))) (forall ((?val1 boogieU) (?m1 boogieU) (?x02 boogieU) (?y00 boogieU)) (or true (= (MapType0Select (MapType0Store ?m1 ?x02 ?val1) ?y00) (MapType0Select ?m1 ?y00)))) (= (type Empty) ?v_0) (= (type SetTrue) ?v_0) (forall ((?arg08 Int)) (! (= (type (Singleton ?arg08)) ?v_0) :pattern ((Singleton ?arg08)) )) (forall ((?arg09 boogieU) (?arg14 boogieU)) (! (= (type (Union ?arg09 ?arg14)) ?v_0) :pattern ((Union ?arg09 ?arg14)) )) (forall ((?arg010 boogieU) (?arg15 boogieU)) (! (= (type (Intersection ?arg010 ?arg15)) ?v_0) :pattern ((Intersection ?arg010 ?arg15)) )) (forall ((?arg011 boogieU) (?arg16 boogieU)) (! (= (type (Difference ?arg011 ?arg16)) ?v_0) :pattern ((Difference ?arg011 ?arg16)) )) (forall ((?arg012 boogieU) (?arg17 Int)) (! (= (type (Inverse ?arg012 ?arg17)) ?v_0) :pattern ((Inverse ?arg012 ?arg17)) )) (forall ((?arg013 boogieU) (?arg18 boogieU)) (! (= (type (Dereference ?arg013 ?arg18)) ?v_0) :pattern ((Dereference ?arg013 ?arg18)) )) (forall ((?arg014 boogieU)) (! (= (type (Unified ?arg014)) (MapType0Type intType intType)) :pattern ((Unified ?arg014)) )) (forall ((?arg015 Int)) (! (= (type (Field ?arg015)) nameType) :pattern ((Field ?arg015)) )) (forall ((?arg016 boogieU) (?arg19 boogieU)) (! (= (type (Values ?arg016 ?arg19)) ?v_0) :pattern ((Values ?arg016 ?arg19)) )) (forall ((?arg017 boogieU)) (! (= (type (T.Ptr ?arg017)) nameType) :pattern ((T.Ptr ?arg017)) )) (forall ((?arg018 boogieU)) (! (= (type (x_S_Blink__LIST_ENTRY ?arg018)) ?v_0) :pattern ((x_S_Blink__LIST_ENTRY ?arg018)) )) (forall ((?arg019 boogieU)) (! (= (type (x_S_Blink__LIST_ENTRYInv ?arg019)) ?v_0) :pattern ((x_S_Blink__LIST_ENTRYInv ?arg019)) )) (forall ((?arg020 boogieU)) (! (= (type (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?arg020)) ?v_0) :pattern ((x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?arg020)) )) (forall ((?arg021 boogieU)) (! (= (type (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?arg021)) ?v_0) :pattern ((x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?arg021)) )) (forall ((?arg022 boogieU)) (! (= (type (x_S_Device__WORKITEM_CONTEXT ?arg022)) ?v_0) :pattern ((x_S_Device__WORKITEM_CONTEXT ?arg022)) )) (forall ((?arg023 boogieU)) (! (= (type (x_S_Device__WORKITEM_CONTEXTInv ?arg023)) ?v_0) :pattern ((x_S_Device__WORKITEM_CONTEXTInv ?arg023)) )) (forall ((?arg024 boogieU)) (! (= (type (x_S_Flink__LIST_ENTRY ?arg024)) ?v_0) :pattern ((x_S_Flink__LIST_ENTRY ?arg024)) )) (forall ((?arg025 boogieU)) (! (= (type (x_S_Flink__LIST_ENTRYInv ?arg025)) ?v_0) :pattern ((x_S_Flink__LIST_ENTRYInv ?arg025)) )) (forall ((?arg026 boogieU)) (! (= (type (x_S_Function__URB_HEADER ?arg026)) ?v_0) :pattern ((x_S_Function__URB_HEADER ?arg026)) )) (forall ((?arg027 boogieU)) (! (= (type (x_S_Function__URB_HEADERInv ?arg027)) ?v_0) :pattern ((x_S_Function__URB_HEADERInv ?arg027)) )) (forall ((?arg028 boogieU)) (! (= (type (x_S_Hdr__URB_ISOCH_TRANSFER ?arg028)) ?v_0) :pattern ((x_S_Hdr__URB_ISOCH_TRANSFER ?arg028)) )) (forall ((?arg029 boogieU)) (! (= (type (x_S_Hdr__URB_ISOCH_TRANSFERInv ?arg029)) ?v_0) :pattern ((x_S_Hdr__URB_ISOCH_TRANSFERInv ?arg029)) )) (forall ((?arg030 boogieU)) (! (= (type (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?arg030)) ?v_0) :pattern ((x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?arg030)) )) (forall ((?arg031 boogieU)) (! (= (type (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?arg031)) ?v_0) :pattern ((x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?arg031)) )) (forall ((?arg032 boogieU)) (! (= (type (x_S_IsDeviceHighSpeed__DEVICE_CONTEXT ?arg032)) ?v_0) :pattern ((x_S_IsDeviceHighSpeed__DEVICE_CONTEXT ?arg032)) )) (forall ((?arg033 boogieU)) (! (= (type (x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv ?arg033)) ?v_0) :pattern ((x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv ?arg033)) )) (forall ((?arg034 boogieU)) (! (= (type (x_S_IsoPacket__URB_ISOCH_TRANSFER ?arg034)) ?v_0) :pattern ((x_S_IsoPacket__URB_ISOCH_TRANSFER ?arg034)) )) (forall ((?arg035 boogieU)) (! (= (type (x_S_IsoPacket__URB_ISOCH_TRANSFERInv ?arg035)) ?v_0) :pattern ((x_S_IsoPacket__URB_ISOCH_TRANSFERInv ?arg035)) )) (forall ((?arg036 boogieU)) (! (= (type (x_S_Length__REQUEST_CONTEXT ?arg036)) ?v_0) :pattern ((x_S_Length__REQUEST_CONTEXT ?arg036)) )) (forall ((?arg037 boogieU)) (! (= (type (x_S_Length__REQUEST_CONTEXTInv ?arg037)) ?v_0) :pattern ((x_S_Length__REQUEST_CONTEXTInv ?arg037)) )) (forall ((?arg038 boogieU)) (! (= (type (x_S_Length__URB_HEADER ?arg038)) ?v_0) :pattern ((x_S_Length__URB_HEADER ?arg038)) )) (forall ((?arg039 boogieU)) (! (= (type (x_S_Length__URB_HEADERInv ?arg039)) ?v_0) :pattern ((x_S_Length__URB_HEADERInv ?arg039)) )) (forall ((?arg040 boogieU)) (! (= (type (x_S_Length__USBD_ISO_PACKET_DESCRIPTOR ?arg040)) ?v_0) :pattern ((x_S_Length__USBD_ISO_PACKET_DESCRIPTOR ?arg040)) )) (forall ((?arg041 boogieU)) (! (= (type (x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv ?arg041)) ?v_0) :pattern ((x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv ?arg041)) )) (forall ((?arg042 boogieU)) (! (= (type (x_S_ListEntry__SUB_REQUEST_CONTEXT ?arg042)) ?v_0) :pattern ((x_S_ListEntry__SUB_REQUEST_CONTEXT ?arg042)) )) (forall ((?arg043 boogieU)) (! (= (type (x_S_ListEntry__SUB_REQUEST_CONTEXTInv ?arg043)) ?v_0) :pattern ((x_S_ListEntry__SUB_REQUEST_CONTEXTInv ?arg043)) )) (forall ((?arg044 boogieU)) (! (= (type (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?arg044)) ?v_0) :pattern ((x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?arg044)) )) (forall ((?arg045 boogieU)) (! (= (type (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?arg045)) ?v_0) :pattern ((x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?arg045)) )) (forall ((?arg046 boogieU)) (! (= (type (x_S_Mdl__REQUEST_CONTEXT ?arg046)) ?v_0) :pattern ((x_S_Mdl__REQUEST_CONTEXT ?arg046)) )) (forall ((?arg047 boogieU)) (! (= (type (x_S_Mdl__REQUEST_CONTEXTInv ?arg047)) ?v_0) :pattern ((x_S_Mdl__REQUEST_CONTEXTInv ?arg047)) )) (forall ((?arg048 boogieU)) (! (= (type (x_S_NumberConfiguredPipes__DEVICE_CONTEXT ?arg048)) ?v_0) :pattern ((x_S_NumberConfiguredPipes__DEVICE_CONTEXT ?arg048)) )) (forall ((?arg049 boogieU)) (! (= (type (x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv ?arg049)) ?v_0) :pattern ((x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv ?arg049)) )) (forall ((?arg050 boogieU)) (! (= (type (x_S_NumberOfPackets__URB_ISOCH_TRANSFER ?arg050)) ?v_0) :pattern ((x_S_NumberOfPackets__URB_ISOCH_TRANSFER ?arg050)) )) (forall ((?arg051 boogieU)) (! (= (type (x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv ?arg051)) ?v_0) :pattern ((x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv ?arg051)) )) (forall ((?arg052 boogieU)) (! (= (type (x_S_Numxfer__REQUEST_CONTEXT ?arg052)) ?v_0) :pattern ((x_S_Numxfer__REQUEST_CONTEXT ?arg052)) )) (forall ((?arg053 boogieU)) (! (= (type (x_S_Numxfer__REQUEST_CONTEXTInv ?arg053)) ?v_0) :pattern ((x_S_Numxfer__REQUEST_CONTEXTInv ?arg053)) )) (forall ((?arg054 boogieU)) (! (= (type (x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR ?arg054)) ?v_0) :pattern ((x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR ?arg054)) )) (forall ((?arg055 boogieU)) (! (= (type (x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv ?arg055)) ?v_0) :pattern ((x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv ?arg055)) )) (forall ((?arg056 boogieU)) (! (= (type (x_S_ParentObject__WDF_OBJECT_ATTRIBUTES ?arg056)) ?v_0) :pattern ((x_S_ParentObject__WDF_OBJECT_ATTRIBUTES ?arg056)) )) (forall ((?arg057 boogieU)) (! (= (type (x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv ?arg057)) ?v_0) :pattern ((x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv ?arg057)) )) (forall ((?arg058 boogieU)) (! (= (type (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?arg058)) ?v_0) :pattern ((x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?arg058)) )) (forall ((?arg059 boogieU)) (! (= (type (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg059)) ?v_0) :pattern ((x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg059)) )) (forall ((?arg060 boogieU)) (! (= (type (x_S_PipeHandle__URB_ISOCH_TRANSFER ?arg060)) ?v_0) :pattern ((x_S_PipeHandle__URB_ISOCH_TRANSFER ?arg060)) )) (forall ((?arg061 boogieU)) (! (= (type (x_S_PipeHandle__URB_ISOCH_TRANSFERInv ?arg061)) ?v_0) :pattern ((x_S_PipeHandle__URB_ISOCH_TRANSFERInv ?arg061)) )) (forall ((?arg062 boogieU)) (! (= (type (x_S_PipeType__WDF_USB_PIPE_INFORMATION ?arg062)) ?v_0) :pattern ((x_S_PipeType__WDF_USB_PIPE_INFORMATION ?arg062)) )) (forall ((?arg063 boogieU)) (! (= (type (x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv ?arg063)) ?v_0) :pattern ((x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv ?arg063)) )) (forall ((?arg064 boogieU)) (! (= (type (x_S_Pipe__FILE_CONTEXT ?arg064)) ?v_0) :pattern ((x_S_Pipe__FILE_CONTEXT ?arg064)) )) (forall ((?arg065 boogieU)) (! (= (type (x_S_Pipe__FILE_CONTEXTInv ?arg065)) ?v_0) :pattern ((x_S_Pipe__FILE_CONTEXTInv ?arg065)) )) (forall ((?arg066 boogieU)) (! (= (type (x_S_Pipe__WORKITEM_CONTEXT ?arg066)) ?v_0) :pattern ((x_S_Pipe__WORKITEM_CONTEXT ?arg066)) )) (forall ((?arg067 boogieU)) (! (= (type (x_S_Pipe__WORKITEM_CONTEXTInv ?arg067)) ?v_0) :pattern ((x_S_Pipe__WORKITEM_CONTEXTInv ?arg067)) )) (forall ((?arg068 boogieU)) (! (= (type (x_S_Read__REQUEST_CONTEXT ?arg068)) ?v_0) :pattern ((x_S_Read__REQUEST_CONTEXT ?arg068)) )) (forall ((?arg069 boogieU)) (! (= (type (x_S_Read__REQUEST_CONTEXTInv ?arg069)) ?v_0) :pattern ((x_S_Read__REQUEST_CONTEXTInv ?arg069)) )) (forall ((?arg070 boogieU)) (! (= (type (x_S_Size__WDF_USB_PIPE_INFORMATION ?arg070)) ?v_0) :pattern ((x_S_Size__WDF_USB_PIPE_INFORMATION ?arg070)) )) (forall ((?arg071 boogieU)) (! (= (type (x_S_Size__WDF_USB_PIPE_INFORMATIONInv ?arg071)) ?v_0) :pattern ((x_S_Size__WDF_USB_PIPE_INFORMATIONInv ?arg071)) )) (forall ((?arg072 boogieU)) (! (= (type (x_S_Status___unnamed_4_6a857cdd ?arg072)) ?v_0) :pattern ((x_S_Status___unnamed_4_6a857cdd ?arg072)) )) (forall ((?arg073 boogieU)) (! (= (type (x_S_Status___unnamed_4_6a857cddInv ?arg073)) ?v_0) :pattern ((x_S_Status___unnamed_4_6a857cddInv ?arg073)) )) (forall ((?arg074 boogieU)) (! (= (type (x_S_SubMdl__SUB_REQUEST_CONTEXT ?arg074)) ?v_0) :pattern ((x_S_SubMdl__SUB_REQUEST_CONTEXT ?arg074)) )) (forall ((?arg075 boogieU)) (! (= (type (x_S_SubMdl__SUB_REQUEST_CONTEXTInv ?arg075)) ?v_0) :pattern ((x_S_SubMdl__SUB_REQUEST_CONTEXTInv ?arg075)) )) (forall ((?arg076 boogieU)) (! (= (type (x_S_SubRequestCollectionLock__REQUEST_CONTEXT ?arg076)) ?v_0) :pattern ((x_S_SubRequestCollectionLock__REQUEST_CONTEXT ?arg076)) )) (forall ((?arg077 boogieU)) (! (= (type (x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv ?arg077)) ?v_0) :pattern ((x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv ?arg077)) )) (forall ((?arg078 boogieU)) (! (= (type (x_S_SubRequestCollection__REQUEST_CONTEXT ?arg078)) ?v_0) :pattern ((x_S_SubRequestCollection__REQUEST_CONTEXT ?arg078)) )) (forall ((?arg079 boogieU)) (! (= (type (x_S_SubRequestCollection__REQUEST_CONTEXTInv ?arg079)) ?v_0) :pattern ((x_S_SubRequestCollection__REQUEST_CONTEXTInv ?arg079)) )) (forall ((?arg080 boogieU)) (! (= (type (x_S_SubUrb__SUB_REQUEST_CONTEXT ?arg080)) ?v_0) :pattern ((x_S_SubUrb__SUB_REQUEST_CONTEXT ?arg080)) )) (forall ((?arg081 boogieU)) (! (= (type (x_S_SubUrb__SUB_REQUEST_CONTEXTInv ?arg081)) ?v_0) :pattern ((x_S_SubUrb__SUB_REQUEST_CONTEXTInv ?arg081)) )) (forall ((?arg082 boogieU)) (! (= (type (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?arg082)) ?v_0) :pattern ((x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?arg082)) )) (forall ((?arg083 boogieU)) (! (= (type (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg083)) ?v_0) :pattern ((x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg083)) )) (forall ((?arg084 boogieU)) (! (= (type (x_S_TransferBufferLength__URB_ISOCH_TRANSFER ?arg084)) ?v_0) :pattern ((x_S_TransferBufferLength__URB_ISOCH_TRANSFER ?arg084)) )) (forall ((?arg085 boogieU)) (! (= (type (x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv ?arg085)) ?v_0) :pattern ((x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv ?arg085)) )) (forall ((?arg086 boogieU)) (! (= (type (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?arg086)) ?v_0) :pattern ((x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?arg086)) )) (forall ((?arg087 boogieU)) (! (= (type (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg087)) ?v_0) :pattern ((x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg087)) )) (forall ((?arg088 boogieU)) (! (= (type (x_S_TransferBufferMDL__URB_ISOCH_TRANSFER ?arg088)) ?v_0) :pattern ((x_S_TransferBufferMDL__URB_ISOCH_TRANSFER ?arg088)) )) (forall ((?arg089 boogieU)) (! (= (type (x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv ?arg089)) ?v_0) :pattern ((x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv ?arg089)) )) (forall ((?arg090 boogieU)) (! (= (type (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?arg090)) ?v_0) :pattern ((x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?arg090)) )) (forall ((?arg091 boogieU)) (! (= (type (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg091)) ?v_0) :pattern ((x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg091)) )) (forall ((?arg092 boogieU)) (! (= (type (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?arg092)) ?v_0) :pattern ((x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?arg092)) )) (forall ((?arg093 boogieU)) (! (= (type (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg093)) ?v_0) :pattern ((x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg093)) )) (forall ((?arg094 boogieU)) (! (= (type (x_S_TransferFlags__URB_ISOCH_TRANSFER ?arg094)) ?v_0) :pattern ((x_S_TransferFlags__URB_ISOCH_TRANSFER ?arg094)) )) (forall ((?arg095 boogieU)) (! (= (type (x_S_TransferFlags__URB_ISOCH_TRANSFERInv ?arg095)) ?v_0) :pattern ((x_S_TransferFlags__URB_ISOCH_TRANSFERInv ?arg095)) )) (forall ((?arg096 boogieU)) (! (= (type (x_S_Type__WDF_REQUEST_PARAMETERS ?arg096)) ?v_0) :pattern ((x_S_Type__WDF_REQUEST_PARAMETERS ?arg096)) )) (forall ((?arg097 boogieU)) (! (= (type (x_S_Type__WDF_REQUEST_PARAMETERSInv ?arg097)) ?v_0) :pattern ((x_S_Type__WDF_REQUEST_PARAMETERSInv ?arg097)) )) (forall ((?arg098 boogieU)) (! (= (type (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?arg098)) ?v_0) :pattern ((x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?arg098)) )) (forall ((?arg099 boogieU)) (! (= (type (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?arg099)) ?v_0) :pattern ((x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?arg099)) )) (forall ((?arg0100 boogieU)) (! (= (type (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?arg0100)) ?v_0) :pattern ((x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?arg0100)) )) (forall ((?arg0101 boogieU)) (! (= (type (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?arg0101)) ?v_0) :pattern ((x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?arg0101)) )) (forall ((?arg0102 boogieU)) (! (= (type (x_S_UrbHeader___unnamed_96_e511a626 ?arg0102)) ?v_0) :pattern ((x_S_UrbHeader___unnamed_96_e511a626 ?arg0102)) )) (forall ((?arg0103 boogieU)) (! (= (type (x_S_UrbHeader___unnamed_96_e511a626Inv ?arg0103)) ?v_0) :pattern ((x_S_UrbHeader___unnamed_96_e511a626Inv ?arg0103)) )) (forall ((?arg0104 boogieU)) (! (= (type (x_S_UrbIsochronousTransfer___unnamed_96_e511a626 ?arg0104)) ?v_0) :pattern ((x_S_UrbIsochronousTransfer___unnamed_96_e511a626 ?arg0104)) )) (forall ((?arg0105 boogieU)) (! (= (type (x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv ?arg0105)) ?v_0) :pattern ((x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv ?arg0105)) )) (forall ((?arg0106 boogieU)) (! (= (type (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?arg0106)) ?v_0) :pattern ((x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?arg0106)) )) (forall ((?arg0107 boogieU)) (! (= (type (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg0107)) ?v_0) :pattern ((x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg0107)) )) (forall ((?arg0108 boogieU)) (! (= (type (x_S_UrbLink__URB_ISOCH_TRANSFER ?arg0108)) ?v_0) :pattern ((x_S_UrbLink__URB_ISOCH_TRANSFER ?arg0108)) )) (forall ((?arg0109 boogieU)) (! (= (type (x_S_UrbLink__URB_ISOCH_TRANSFERInv ?arg0109)) ?v_0) :pattern ((x_S_UrbLink__URB_ISOCH_TRANSFERInv ?arg0109)) )) (forall ((?arg0110 boogieU)) (! (= (type (x_S_UrbMemory__REQUEST_CONTEXT ?arg0110)) ?v_0) :pattern ((x_S_UrbMemory__REQUEST_CONTEXT ?arg0110)) )) (forall ((?arg0111 boogieU)) (! (= (type (x_S_UrbMemory__REQUEST_CONTEXTInv ?arg0111)) ?v_0) :pattern ((x_S_UrbMemory__REQUEST_CONTEXTInv ?arg0111)) )) (forall ((?arg0112 boogieU)) (! (= (type (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT ?arg0112)) ?v_0) :pattern ((x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT ?arg0112)) )) (forall ((?arg0113 boogieU)) (! (= (type (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?arg0113)) ?v_0) :pattern ((x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?arg0113)) )) (forall ((?arg0114 boogieU)) (! (= (type (x_S_UsbInterface__DEVICE_CONTEXT ?arg0114)) ?v_0) :pattern ((x_S_UsbInterface__DEVICE_CONTEXT ?arg0114)) )) (forall ((?arg0115 boogieU)) (! (= (type (x_S_UsbInterface__DEVICE_CONTEXTInv ?arg0115)) ?v_0) :pattern ((x_S_UsbInterface__DEVICE_CONTEXTInv ?arg0115)) )) (forall ((?arg0116 boogieU)) (! (= (type (x_S_UserRequest__SUB_REQUEST_CONTEXT ?arg0116)) ?v_0) :pattern ((x_S_UserRequest__SUB_REQUEST_CONTEXT ?arg0116)) )) (forall ((?arg0117 boogieU)) (! (= (type (x_S_UserRequest__SUB_REQUEST_CONTEXTInv ?arg0117)) ?v_0) :pattern ((x_S_UserRequest__SUB_REQUEST_CONTEXTInv ?arg0117)) )) (forall ((?arg0118 boogieU)) (! (= (type (x_S_VirtualAddress__REQUEST_CONTEXT ?arg0118)) ?v_0) :pattern ((x_S_VirtualAddress__REQUEST_CONTEXT ?arg0118)) )) (forall ((?arg0119 boogieU)) (! (= (type (x_S_VirtualAddress__REQUEST_CONTEXTInv ?arg0119)) ?v_0) :pattern ((x_S_VirtualAddress__REQUEST_CONTEXTInv ?arg0119)) )) (forall ((?arg0120 boogieU)) (! (= (type (x_S_WdfUsbTargetDevice__DEVICE_CONTEXT ?arg0120)) ?v_0) :pattern ((x_S_WdfUsbTargetDevice__DEVICE_CONTEXT ?arg0120)) )) (forall ((?arg0121 boogieU)) (! (= (type (x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv ?arg0121)) ?v_0) :pattern ((x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv ?arg0121)) )) (forall ((?arg0122 boogieU)) (! (= (type (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?arg0122)) ?v_0) :pattern ((x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?arg0122)) )) (forall ((?arg0123 boogieU)) (! (= (type (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?arg0123)) ?v_0) :pattern ((x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?arg0123)) )) (forall ((?arg0124 boogieU)) (! (= (type (x_S___unnamed_96_e511a626__URB ?arg0124)) ?v_0) :pattern ((x_S___unnamed_96_e511a626__URB ?arg0124)) )) (forall ((?arg0125 boogieU)) (! (= (type (x_S___unnamed_96_e511a626__URBInv ?arg0125)) ?v_0) :pattern ((x_S___unnamed_96_e511a626__URBInv ?arg0125)) )) (forall ((?arg0126 boogieU)) (! (= (type (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?arg0126)) ?v_0) :pattern ((x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?arg0126)) )) (forall ((?arg0127 boogieU)) (! (= (type (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?arg0127)) ?v_0) :pattern ((x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?arg0127)) )))))
(assert (and (forall ((?x1 boogieU)) (UOrdering2 ?x1 ?x1)) (forall ((?x2 boogieU) (?y boogieU) (?z boogieU)) (! (let ((?v_0 (type ?x2))) (=> (and (= (type ?y) ?v_0) (= (type ?z) ?v_0)) (=> (and (UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) (UOrdering2 ?x2 ?z)))) :pattern ((UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) )) (forall ((?x3 boogieU) (?y1 boogieU)) (! (=> (= (type ?y1) (type ?x3)) (=> (and (UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) (= ?x3 ?y1))) :pattern ((UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) )) (distinct UNALLOCATED ALLOCATED FREED BYTE T.unused_WDFCOLLECTION__ T.unused_WDFDEVICE__ T.unused_WDFDRIVER__ T.unused_WDFFILEOBJECT__ T.unused_WDFIOTARGET__ T.unused_WDFMEMORY__ T.unused_WDFQUEUE__ T.unused_WDFREQUEST__ T.unused_WDFSPINLOCK__ T.unused_WDFUSBDEVICE__ T.unused_WDFUSBINTERFACE__ T.unused_WDFUSBPIPE__ T.unused_WDFWORKITEM__ T.OperationID__ACCESS_STATE T.SecurityEvaluated__ACCESS_STATE T.GenerateAudit__ACCESS_STATE T.GenerateOnClose__ACCESS_STATE T.PrivilegesAllocated__ACCESS_STATE T.Flags__ACCESS_STATE T.RemainingDesiredAccess__ACCESS_STATE T.PreviouslyGrantedAccess__ACCESS_STATE T.OriginalDesiredAccess__ACCESS_STATE T.SubjectSecurityContext__ACCESS_STATE T.SecurityDescriptor__ACCESS_STATE T.AuxData__ACCESS_STATE T.Privileges__ACCESS_STATE T.AuditPrivileges__ACCESS_STATE T.ObjectName__ACCESS_STATE T.ObjectTypeName__ACCESS_STATE T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR T.Version__CM_PARTIAL_RESOURCE_LIST T.Revision__CM_PARTIAL_RESOURCE_LIST T.Count__CM_PARTIAL_RESOURCE_LIST T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST T.Count__CM_RESOURCE_LIST T.List__CM_RESOURCE_LIST T.Size__DEVICE_CAPABILITIES T.Version__DEVICE_CAPABILITIES T.DeviceD1__DEVICE_CAPABILITIES T.DeviceD2__DEVICE_CAPABILITIES T.LockSupported__DEVICE_CAPABILITIES T.EjectSupported__DEVICE_CAPABILITIES T.Removable__DEVICE_CAPABILITIES T.DockDevice__DEVICE_CAPABILITIES T.UniqueID__DEVICE_CAPABILITIES T.SilentInstall__DEVICE_CAPABILITIES T.RawDeviceOK__DEVICE_CAPABILITIES T.SurpriseRemovalOK__DEVICE_CAPABILITIES T.WakeFromD0__DEVICE_CAPABILITIES T.WakeFromD1__DEVICE_CAPABILITIES T.WakeFromD2__DEVICE_CAPABILITIES T.WakeFromD3__DEVICE_CAPABILITIES T.HardwareDisabled__DEVICE_CAPABILITIES T.NonDynamic__DEVICE_CAPABILITIES T.WarmEjectSupported__DEVICE_CAPABILITIES T.NoDisplayInUI__DEVICE_CAPABILITIES T.Reserved__DEVICE_CAPABILITIES T.Address__DEVICE_CAPABILITIES T.UINumber__DEVICE_CAPABILITIES T.DeviceState__DEVICE_CAPABILITIES T.SystemWake__DEVICE_CAPABILITIES T.DeviceWake__DEVICE_CAPABILITIES T.D1Latency__DEVICE_CAPABILITIES T.D2Latency__DEVICE_CAPABILITIES T.D3Latency__DEVICE_CAPABILITIES T.UsbDeviceDescriptor__DEVICE_CONTEXT T.UsbConfigurationDescriptor__DEVICE_CONTEXT T.WdfUsbTargetDevice__DEVICE_CONTEXT T.WaitWakeEnable__DEVICE_CONTEXT T.IsDeviceHighSpeed__DEVICE_CONTEXT T.UsbInterface__DEVICE_CONTEXT T.NumberConfiguredPipes__DEVICE_CONTEXT T.Type__DEVICE_OBJECT T.Size__DEVICE_OBJECT T.ReferenceCount__DEVICE_OBJECT T.DriverObject__DEVICE_OBJECT T.NextDevice__DEVICE_OBJECT T.AttachedDevice__DEVICE_OBJECT T.CurrentIrp__DEVICE_OBJECT T.Timer__DEVICE_OBJECT T.Flags__DEVICE_OBJECT T.Characteristics__DEVICE_OBJECT T.Vpb__DEVICE_OBJECT T.DeviceExtension__DEVICE_OBJECT T.DeviceType__DEVICE_OBJECT T.StackSize__DEVICE_OBJECT T.Queue__DEVICE_OBJECT T.AlignmentRequirement__DEVICE_OBJECT T.DeviceQueue__DEVICE_OBJECT T.Dpc__DEVICE_OBJECT T.ActiveThreadCount__DEVICE_OBJECT T.SecurityDescriptor__DEVICE_OBJECT T.DeviceLock__DEVICE_OBJECT T.SectorSize__DEVICE_OBJECT T.Spare1__DEVICE_OBJECT T.DeviceObjectExtension__DEVICE_OBJECT T.Reserved__DEVICE_OBJECT T.Type__DEVOBJ_EXTENSION T.Size__DEVOBJ_EXTENSION T.DeviceObject__DEVOBJ_EXTENSION T.__unnamed_4_dfcb1314__DISPATCHER_HEADER T.SignalState__DISPATCHER_HEADER T.WaitListHead__DISPATCHER_HEADER T.DriverObject__DRIVER_EXTENSION T.AddDevice__DRIVER_EXTENSION T.Count__DRIVER_EXTENSION T.ServiceKeyName__DRIVER_EXTENSION T.Type__DRIVER_OBJECT T.Size__DRIVER_OBJECT T.DeviceObject__DRIVER_OBJECT T.Flags__DRIVER_OBJECT T.DriverStart__DRIVER_OBJECT T.DriverSize__DRIVER_OBJECT T.DriverSection__DRIVER_OBJECT T.DriverExtension__DRIVER_OBJECT T.DriverName__DRIVER_OBJECT T.HardwareDatabase__DRIVER_OBJECT T.FastIoDispatch__DRIVER_OBJECT T.DriverInit__DRIVER_OBJECT T.DriverStartIo__DRIVER_OBJECT T.DriverUnload__DRIVER_OBJECT T.MajorFunction__DRIVER_OBJECT T.SystemResourcesList__ERESOURCE T.OwnerTable__ERESOURCE T.ActiveCount__ERESOURCE T.Flag__ERESOURCE T.SharedWaiters__ERESOURCE T.ExclusiveWaiters__ERESOURCE T.OwnerEntry__ERESOURCE T.ActiveEntries__ERESOURCE T.ContentionCount__ERESOURCE T.NumberOfSharedWaiters__ERESOURCE T.NumberOfExclusiveWaiters__ERESOURCE T.__unnamed_4_9d516d2b__ERESOURCE T.SpinLock__ERESOURCE T.SizeOfFastIoDispatch__FAST_IO_DISPATCH T.FastIoCheckIfPossible__FAST_IO_DISPATCH T.FastIoRead__FAST_IO_DISPATCH T.FastIoWrite__FAST_IO_DISPATCH T.FastIoQueryBasicInfo__FAST_IO_DISPATCH T.FastIoQueryStandardInfo__FAST_IO_DISPATCH T.FastIoLock__FAST_IO_DISPATCH T.FastIoUnlockSingle__FAST_IO_DISPATCH T.FastIoUnlockAll__FAST_IO_DISPATCH T.FastIoUnlockAllByKey__FAST_IO_DISPATCH T.FastIoDeviceControl__FAST_IO_DISPATCH T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH T.FastIoDetachDevice__FAST_IO_DISPATCH T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH T.AcquireForModWrite__FAST_IO_DISPATCH T.MdlRead__FAST_IO_DISPATCH T.MdlReadComplete__FAST_IO_DISPATCH T.PrepareMdlWrite__FAST_IO_DISPATCH T.MdlWriteComplete__FAST_IO_DISPATCH T.FastIoReadCompressed__FAST_IO_DISPATCH T.FastIoWriteCompressed__FAST_IO_DISPATCH T.MdlReadCompleteCompressed__FAST_IO_DISPATCH T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH T.FastIoQueryOpen__FAST_IO_DISPATCH T.ReleaseForModWrite__FAST_IO_DISPATCH T.AcquireForCcFlush__FAST_IO_DISPATCH T.ReleaseForCcFlush__FAST_IO_DISPATCH T.CreationTime__FILE_BASIC_INFORMATION T.LastAccessTime__FILE_BASIC_INFORMATION T.LastWriteTime__FILE_BASIC_INFORMATION T.ChangeTime__FILE_BASIC_INFORMATION T.FileAttributes__FILE_BASIC_INFORMATION T.Pipe__FILE_CONTEXT T.CreationTime__FILE_NETWORK_OPEN_INFORMATION T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION T.Type__FILE_OBJECT T.Size__FILE_OBJECT T.DeviceObject__FILE_OBJECT T.Vpb__FILE_OBJECT T.FsContext__FILE_OBJECT T.FsContext2__FILE_OBJECT T.SectionObjectPointer__FILE_OBJECT T.PrivateCacheMap__FILE_OBJECT T.FinalStatus__FILE_OBJECT T.RelatedFileObject__FILE_OBJECT T.LockOperation__FILE_OBJECT T.DeletePending__FILE_OBJECT T.ReadAccess__FILE_OBJECT T.WriteAccess__FILE_OBJECT T.DeleteAccess__FILE_OBJECT T.SharedRead__FILE_OBJECT T.SharedWrite__FILE_OBJECT T.SharedDelete__FILE_OBJECT T.Flags__FILE_OBJECT T.FileName__FILE_OBJECT T.CurrentByteOffset__FILE_OBJECT T.Waiters__FILE_OBJECT T.Busy__FILE_OBJECT T.LastLock__FILE_OBJECT T.Lock__FILE_OBJECT T.Event__FILE_OBJECT T.CompletionContext__FILE_OBJECT T.IrpListLock__FILE_OBJECT T.IrpList__FILE_OBJECT T.FileObjectExtension__FILE_OBJECT T.AllocationSize__FILE_STANDARD_INFORMATION T.EndOfFile__FILE_STANDARD_INFORMATION T.NumberOfLinks__FILE_STANDARD_INFORMATION T.DeletePending__FILE_STANDARD_INFORMATION T.Directory__FILE_STANDARD_INFORMATION T.Data1__GUID T.Data2__GUID T.Data3__GUID T.Data4__GUID T.PrivilegeCount__INITIAL_PRIVILEGE_SET T.Control__INITIAL_PRIVILEGE_SET T.Privilege__INITIAL_PRIVILEGE_SET T.Size__INTERFACE T.Version__INTERFACE T.Context__INTERFACE T.InterfaceReference__INTERFACE T.InterfaceDereference__INTERFACE T.Port__IO_COMPLETION_CONTEXT T.Key__IO_COMPLETION_CONTEXT T.Option__IO_RESOURCE_DESCRIPTOR T.Type__IO_RESOURCE_DESCRIPTOR T.ShareDisposition__IO_RESOURCE_DESCRIPTOR T.Spare1__IO_RESOURCE_DESCRIPTOR T.Flags__IO_RESOURCE_DESCRIPTOR T.Spare2__IO_RESOURCE_DESCRIPTOR T.u__IO_RESOURCE_DESCRIPTOR T.Version__IO_RESOURCE_LIST T.Revision__IO_RESOURCE_LIST T.Count__IO_RESOURCE_LIST T.Descriptors__IO_RESOURCE_LIST T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST T.List__IO_RESOURCE_REQUIREMENTS_LIST T.SecurityQos__IO_SECURITY_CONTEXT T.AccessState__IO_SECURITY_CONTEXT T.DesiredAccess__IO_SECURITY_CONTEXT T.FullCreateOptions__IO_SECURITY_CONTEXT T.MajorFunction__IO_STACK_LOCATION T.MinorFunction__IO_STACK_LOCATION T.Flags__IO_STACK_LOCATION T.Control__IO_STACK_LOCATION T.Parameters__IO_STACK_LOCATION T.DeviceObject__IO_STACK_LOCATION T.FileObject__IO_STACK_LOCATION T.CompletionRoutine__IO_STACK_LOCATION T.Context__IO_STACK_LOCATION T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK T.Information__IO_STATUS_BLOCK T.Type__IRP T.Size__IRP T.MdlAddress__IRP T.Flags__IRP T.AssociatedIrp__IRP T.ThreadListEntry__IRP T.IoStatus__IRP T.RequestorMode__IRP T.PendingReturned__IRP T.StackCount__IRP T.CurrentLocation__IRP T.Cancel__IRP T.CancelIrql__IRP T.ApcEnvironment__IRP T.AllocationFlags__IRP T.UserIosb__IRP T.UserEvent__IRP T.Overlay__IRP T.CancelRoutine__IRP T.UserBuffer__IRP T.Tail__IRP T.Type__KAPC T.SpareByte0__KAPC T.Size__KAPC T.SpareByte1__KAPC T.SpareLong0__KAPC T.Thread__KAPC T.ApcListEntry__KAPC T.KernelRoutine__KAPC T.RundownRoutine__KAPC T.NormalRoutine__KAPC T.NormalContext__KAPC T.SystemArgument1__KAPC T.SystemArgument2__KAPC T.ApcStateIndex__KAPC T.ApcMode__KAPC T.Inserted__KAPC T.Type__KDEVICE_QUEUE T.Size__KDEVICE_QUEUE T.DeviceListHead__KDEVICE_QUEUE T.Lock__KDEVICE_QUEUE T.Busy__KDEVICE_QUEUE T.DeviceListEntry__KDEVICE_QUEUE_ENTRY T.SortKey__KDEVICE_QUEUE_ENTRY T.Inserted__KDEVICE_QUEUE_ENTRY T.Type__KDPC T.Importance__KDPC T.Number__KDPC T.DpcListEntry__KDPC T.DeferredRoutine__KDPC T.DeferredContext__KDPC T.SystemArgument1__KDPC T.SystemArgument2__KDPC T.DpcData__KDPC T.Header__KEVENT T.Header__KSEMAPHORE T.Limit__KSEMAPHORE T.__unnamed_8_bb154058__LARGE_INTEGER T.u__LARGE_INTEGER T.QuadPart__LARGE_INTEGER T.Flink__LIST_ENTRY T.Blink__LIST_ENTRY T.LowPart__LUID T.HighPart__LUID T.Luid__LUID_AND_ATTRIBUTES T.Attributes__LUID_AND_ATTRIBUTES T.Next__MDL T.Size__MDL T.MdlFlags__MDL T.Process__MDL T.MappedSystemVa__MDL T.StartVa__MDL T.ByteCount__MDL T.ByteOffset__MDL T.OwnerThread__OWNER_ENTRY T.__unnamed_4_c406319a__OWNER_ENTRY T.SequenceD1__POWER_SEQUENCE T.SequenceD2__POWER_SEQUENCE T.SequenceD3__POWER_SEQUENCE T.SystemState__POWER_STATE T.DeviceState__POWER_STATE T.PrivilegeCount__PRIVILEGE_SET T.Control__PRIVILEGE_SET T.Privilege__PRIVILEGE_SET T.UrbMemory__REQUEST_CONTEXT T.Mdl__REQUEST_CONTEXT T.Length__REQUEST_CONTEXT T.Numxfer__REQUEST_CONTEXT T.VirtualAddress__REQUEST_CONTEXT T.SubRequestCollection__REQUEST_CONTEXT T.SubRequestCollectionLock__REQUEST_CONTEXT T.Read__REQUEST_CONTEXT T.DataSectionObject__SECTION_OBJECT_POINTERS T.SharedCacheMap__SECTION_OBJECT_POINTERS T.ImageSectionObject__SECTION_OBJECT_POINTERS T.Length__SECURITY_QUALITY_OF_SERVICE T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE T.ClientToken__SECURITY_SUBJECT_CONTEXT T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT T.PrimaryToken__SECURITY_SUBJECT_CONTEXT T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT T.UserRequest__SUB_REQUEST_CONTEXT T.SubUrb__SUB_REQUEST_CONTEXT T.SubMdl__SUB_REQUEST_CONTEXT T.ListEntry__SUB_REQUEST_CONTEXT T.__unnamed_4_f525de8d__SYSTEM_POWER_STATE_CONTEXT T.Length__UNICODE_STRING T.MaximumLength__UNICODE_STRING T.Buffer__UNICODE_STRING T.__unnamed_96_e511a626__URB T.Hdr__URB_BULK_OR_INTERRUPT_TRANSFER T.PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER T.TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER T.TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER T.TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER T.TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER T.UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER T.hca__URB_BULK_OR_INTERRUPT_TRANSFER T.Hdr__URB_CONTROL_DESCRIPTOR_REQUEST T.Reserved__URB_CONTROL_DESCRIPTOR_REQUEST T.Reserved0__URB_CONTROL_DESCRIPTOR_REQUEST T.TransferBufferLength__URB_CONTROL_DESCRIPTOR_REQUEST T.TransferBuffer__URB_CONTROL_DESCRIPTOR_REQUEST T.TransferBufferMDL__URB_CONTROL_DESCRIPTOR_REQUEST T.UrbLink__URB_CONTROL_DESCRIPTOR_REQUEST T.hca__URB_CONTROL_DESCRIPTOR_REQUEST T.Reserved1__URB_CONTROL_DESCRIPTOR_REQUEST T.Index__URB_CONTROL_DESCRIPTOR_REQUEST T.DescriptorType__URB_CONTROL_DESCRIPTOR_REQUEST T.LanguageId__URB_CONTROL_DESCRIPTOR_REQUEST T.Reserved2__URB_CONTROL_DESCRIPTOR_REQUEST T.Hdr__URB_CONTROL_FEATURE_REQUEST T.Reserved__URB_CONTROL_FEATURE_REQUEST T.Reserved2__URB_CONTROL_FEATURE_REQUEST T.Reserved3__URB_CONTROL_FEATURE_REQUEST T.Reserved4__URB_CONTROL_FEATURE_REQUEST T.Reserved5__URB_CONTROL_FEATURE_REQUEST T.UrbLink__URB_CONTROL_FEATURE_REQUEST T.hca__URB_CONTROL_FEATURE_REQUEST T.Reserved0__URB_CONTROL_FEATURE_REQUEST T.FeatureSelector__URB_CONTROL_FEATURE_REQUEST T.Index__URB_CONTROL_FEATURE_REQUEST T.Reserved1__URB_CONTROL_FEATURE_REQUEST T.Hdr__URB_CONTROL_GET_CONFIGURATION_REQUEST T.Reserved__URB_CONTROL_GET_CONFIGURATION_REQUEST T.Reserved0__URB_CONTROL_GET_CONFIGURATION_REQUEST T.TransferBufferLength__URB_CONTROL_GET_CONFIGURATION_REQUEST T.TransferBuffer__URB_CONTROL_GET_CONFIGURATION_REQUEST T.TransferBufferMDL__URB_CONTROL_GET_CONFIGURATION_REQUEST T.UrbLink__URB_CONTROL_GET_CONFIGURATION_REQUEST T.hca__URB_CONTROL_GET_CONFIGURATION_REQUEST T.Reserved1__URB_CONTROL_GET_CONFIGURATION_REQUEST T.Hdr__URB_CONTROL_GET_INTERFACE_REQUEST T.Reserved__URB_CONTROL_GET_INTERFACE_REQUEST T.Reserved0__URB_CONTROL_GET_INTERFACE_REQUEST T.TransferBufferLength__URB_CONTROL_GET_INTERFACE_REQUEST T.TransferBuffer__URB_CONTROL_GET_INTERFACE_REQUEST T.TransferBufferMDL__URB_CONTROL_GET_INTERFACE_REQUEST T.UrbLink__URB_CONTROL_GET_INTERFACE_REQUEST T.hca__URB_CONTROL_GET_INTERFACE_REQUEST T.Reserved1__URB_CONTROL_GET_INTERFACE_REQUEST T.Interface__URB_CONTROL_GET_INTERFACE_REQUEST T.Reserved2__URB_CONTROL_GET_INTERFACE_REQUEST T.Hdr__URB_CONTROL_GET_STATUS_REQUEST T.Reserved__URB_CONTROL_GET_STATUS_REQUEST T.Reserved0__URB_CONTROL_GET_STATUS_REQUEST T.TransferBufferLength__URB_CONTROL_GET_STATUS_REQUEST T.TransferBuffer__URB_CONTROL_GET_STATUS_REQUEST T.TransferBufferMDL__URB_CONTROL_GET_STATUS_REQUEST T.UrbLink__URB_CONTROL_GET_STATUS_REQUEST T.hca__URB_CONTROL_GET_STATUS_REQUEST T.Reserved1__URB_CONTROL_GET_STATUS_REQUEST T.Index__URB_CONTROL_GET_STATUS_REQUEST T.Reserved2__URB_CONTROL_GET_STATUS_REQUEST T.Hdr__URB_CONTROL_TRANSFER T.PipeHandle__URB_CONTROL_TRANSFER T.TransferFlags__URB_CONTROL_TRANSFER T.TransferBufferLength__URB_CONTROL_TRANSFER T.TransferBuffer__URB_CONTROL_TRANSFER T.TransferBufferMDL__URB_CONTROL_TRANSFER T.UrbLink__URB_CONTROL_TRANSFER T.hca__URB_CONTROL_TRANSFER T.SetupPacket__URB_CONTROL_TRANSFER T.Hdr__URB_CONTROL_TRANSFER_EX T.PipeHandle__URB_CONTROL_TRANSFER_EX T.TransferFlags__URB_CONTROL_TRANSFER_EX T.TransferBufferLength__URB_CONTROL_TRANSFER_EX T.TransferBuffer__URB_CONTROL_TRANSFER_EX T.TransferBufferMDL__URB_CONTROL_TRANSFER_EX T.Timeout__URB_CONTROL_TRANSFER_EX T.hca__URB_CONTROL_TRANSFER_EX T.SetupPacket__URB_CONTROL_TRANSFER_EX T.Hdr__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.Reserved__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.TransferFlags__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.TransferBufferLength__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.TransferBuffer__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.TransferBufferMDL__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.UrbLink__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.hca__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.RequestTypeReservedBits__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.Request__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.Value__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.Index__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.Reserved1__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.Hdr__URB_FRAME_LENGTH_CONTROL T.Hdr__URB_GET_CURRENT_FRAME_NUMBER T.FrameNumber__URB_GET_CURRENT_FRAME_NUMBER T.Hdr__URB_GET_FRAME_LENGTH T.FrameLength__URB_GET_FRAME_LENGTH T.FrameNumber__URB_GET_FRAME_LENGTH T.Reserved8__URB_HCD_AREA T.Length__URB_HEADER T.Function__URB_HEADER T.Status__URB_HEADER T.UsbdDeviceHandle__URB_HEADER T.UsbdFlags__URB_HEADER T.Hdr__URB_ISOCH_TRANSFER T.PipeHandle__URB_ISOCH_TRANSFER T.TransferFlags__URB_ISOCH_TRANSFER T.TransferBufferLength__URB_ISOCH_TRANSFER T.TransferBuffer__URB_ISOCH_TRANSFER T.TransferBufferMDL__URB_ISOCH_TRANSFER T.UrbLink__URB_ISOCH_TRANSFER T.hca__URB_ISOCH_TRANSFER T.StartFrame__URB_ISOCH_TRANSFER T.NumberOfPackets__URB_ISOCH_TRANSFER T.ErrorCount__URB_ISOCH_TRANSFER T.IsoPacket__URB_ISOCH_TRANSFER T.Hdr__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Reserved__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Reserved0__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.TransferBufferLength__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.TransferBuffer__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.TransferBufferMDL__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.UrbLink__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.hca__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Recipient__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Reserved1__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Reserved2__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.InterfaceNumber__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.MS_PageIndex__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.MS_FeatureDescriptorIndex__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Reserved3__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Hdr__URB_PIPE_IO_POLICY T.PipeHandle__URB_PIPE_IO_POLICY T.UsbIoParamters__URB_PIPE_IO_POLICY T.Hdr__URB_PIPE_REQUEST T.PipeHandle__URB_PIPE_REQUEST T.Reserved__URB_PIPE_REQUEST T.Hdr__URB_SELECT_CONFIGURATION T.ConfigurationDescriptor__URB_SELECT_CONFIGURATION T.ConfigurationHandle__URB_SELECT_CONFIGURATION T.Interface__URB_SELECT_CONFIGURATION T.Hdr__URB_SELECT_INTERFACE T.ConfigurationHandle__URB_SELECT_INTERFACE T.Interface__URB_SELECT_INTERFACE T.Hdr__URB_SET_FRAME_LENGTH T.FrameLengthDelta__URB_SET_FRAME_LENGTH T.Length__USBD_INTERFACE_INFORMATION T.InterfaceNumber__USBD_INTERFACE_INFORMATION T.AlternateSetting__USBD_INTERFACE_INFORMATION T.Class__USBD_INTERFACE_INFORMATION T.SubClass__USBD_INTERFACE_INFORMATION T.Protocol__USBD_INTERFACE_INFORMATION T.Reserved__USBD_INTERFACE_INFORMATION T.InterfaceHandle__USBD_INTERFACE_INFORMATION T.NumberOfPipes__USBD_INTERFACE_INFORMATION T.Pipes__USBD_INTERFACE_INFORMATION T.Offset__USBD_ISO_PACKET_DESCRIPTOR T.Length__USBD_ISO_PACKET_DESCRIPTOR T.Status__USBD_ISO_PACKET_DESCRIPTOR T.MaximumPacketSize__USBD_PIPE_INFORMATION T.EndpointAddress__USBD_PIPE_INFORMATION T.Interval__USBD_PIPE_INFORMATION T.PipeType__USBD_PIPE_INFORMATION T.PipeHandle__USBD_PIPE_INFORMATION T.MaximumTransferSize__USBD_PIPE_INFORMATION T.PipeFlags__USBD_PIPE_INFORMATION T.bLength__USB_CONFIGURATION_DESCRIPTOR T.bDescriptorType__USB_CONFIGURATION_DESCRIPTOR T.wTotalLength__USB_CONFIGURATION_DESCRIPTOR T.bNumInterfaces__USB_CONFIGURATION_DESCRIPTOR T.bConfigurationValue__USB_CONFIGURATION_DESCRIPTOR T.iConfiguration__USB_CONFIGURATION_DESCRIPTOR T.bmAttributes__USB_CONFIGURATION_DESCRIPTOR T.MaxPower__USB_CONFIGURATION_DESCRIPTOR T.bLength__USB_DEVICE_DESCRIPTOR T.bDescriptorType__USB_DEVICE_DESCRIPTOR T.bcdUSB__USB_DEVICE_DESCRIPTOR T.bDeviceClass__USB_DEVICE_DESCRIPTOR T.bDeviceSubClass__USB_DEVICE_DESCRIPTOR T.bDeviceProtocol__USB_DEVICE_DESCRIPTOR T.bMaxPacketSize0__USB_DEVICE_DESCRIPTOR T.idVendor__USB_DEVICE_DESCRIPTOR T.idProduct__USB_DEVICE_DESCRIPTOR T.bcdDevice__USB_DEVICE_DESCRIPTOR T.iManufacturer__USB_DEVICE_DESCRIPTOR T.iProduct__USB_DEVICE_DESCRIPTOR T.iSerialNumber__USB_DEVICE_DESCRIPTOR T.bNumConfigurations__USB_DEVICE_DESCRIPTOR T.UsbIoPriority__USB_IO_PARAMETERS T.UsbMaxPendingIrps__USB_IO_PARAMETERS T.UsbMaxControllerTransfer__USB_IO_PARAMETERS T.Type__VPB T.Size__VPB T.Flags__VPB T.VolumeLabelLength__VPB T.DeviceObject__VPB T.RealDevice__VPB T.SerialNumber__VPB T.ReferenceCount__VPB T.VolumeLabel__VPB T.WaitQueueEntry__WAIT_CONTEXT_BLOCK T.DeviceRoutine__WAIT_CONTEXT_BLOCK T.DeviceContext__WAIT_CONTEXT_BLOCK T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK T.DeviceObject__WAIT_CONTEXT_BLOCK T.CurrentIrp__WAIT_CONTEXT_BLOCK T.BufferChainingDpc__WAIT_CONTEXT_BLOCK T.BufferOffset__WDFMEMORY_OFFSET T.BufferLength__WDFMEMORY_OFFSET T.Driver__WDF_DRIVER_GLOBALS T.DriverFlags__WDF_DRIVER_GLOBALS T.DriverTag__WDF_DRIVER_GLOBALS T.DriverName__WDF_DRIVER_GLOBALS T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS T.Size__WDF_OBJECT_ATTRIBUTES T.EvtCleanupCallback__WDF_OBJECT_ATTRIBUTES T.EvtDestroyCallback__WDF_OBJECT_ATTRIBUTES T.ExecutionLevel__WDF_OBJECT_ATTRIBUTES T.SynchronizationScope__WDF_OBJECT_ATTRIBUTES T.ParentObject__WDF_OBJECT_ATTRIBUTES T.ContextSizeOverride__WDF_OBJECT_ATTRIBUTES T.ContextTypeInfo__WDF_OBJECT_ATTRIBUTES T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO T.Size__WDF_REQUEST_COMPLETION_PARAMS T.Type__WDF_REQUEST_COMPLETION_PARAMS T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS T.Parameters__WDF_REQUEST_COMPLETION_PARAMS T.Size__WDF_REQUEST_PARAMETERS T.MinorFunction__WDF_REQUEST_PARAMETERS T.Type__WDF_REQUEST_PARAMETERS T.Parameters__WDF_REQUEST_PARAMETERS T.Size__WDF_REQUEST_SEND_OPTIONS T.Flags__WDF_REQUEST_SEND_OPTIONS T.Timeout__WDF_REQUEST_SEND_OPTIONS T.Size__WDF_USB_PIPE_INFORMATION T.MaximumPacketSize__WDF_USB_PIPE_INFORMATION T.EndpointAddress__WDF_USB_PIPE_INFORMATION T.Interval__WDF_USB_PIPE_INFORMATION T.SettingIndex__WDF_USB_PIPE_INFORMATION T.PipeType__WDF_USB_PIPE_INFORMATION T.MaximumTransferSize__WDF_USB_PIPE_INFORMATION T.Size__WDF_WORKITEM_CONFIG T.EvtWorkItemFunc__WDF_WORKITEM_CONFIG T.AutomaticSerialization__WDF_WORKITEM_CONFIG T.Device__WORKITEM_CONTEXT T.Pipe__WORKITEM_CONTEXT T.Generic___unnamed_12_00aa0978 T.Port___unnamed_12_00aa0978 T.Interrupt___unnamed_12_00aa0978 T.MessageInterrupt___unnamed_12_00aa0978 T.Memory___unnamed_12_00aa0978 T.Dma___unnamed_12_00aa0978 T.DevicePrivate___unnamed_12_00aa0978 T.BusNumber___unnamed_12_00aa0978 T.DeviceSpecificData___unnamed_12_00aa0978 T.Memory40___unnamed_12_00aa0978 T.Memory48___unnamed_12_00aa0978 T.Memory64___unnamed_12_00aa0978 T.Level___unnamed_12_011610e6 T.Vector___unnamed_12_011610e6 T.Affinity___unnamed_12_011610e6 T.__unnamed_12_a04f3ec2___unnamed_12_135b00bd T.Data___unnamed_12_2349179a T.Data___unnamed_12_508ad0f8 T.DataSize___unnamed_12_5a101f58 T.Reserved1___unnamed_12_5a101f58 T.Reserved2___unnamed_12_5a101f58 T.Start___unnamed_12_5c984402 T.Length40___unnamed_12_5c984402 T.Reserved___unnamed_12_6851572b T.MessageCount___unnamed_12_6851572b T.Vector___unnamed_12_6851572b T.Affinity___unnamed_12_6851572b T.Start___unnamed_12_91f117a1 T.Length___unnamed_12_91f117a1 T.Reserved___unnamed_12_91f117a1 T.Buffer___unnamed_12_9675b19c T.Offset___unnamed_12_9675b19c T.Length___unnamed_12_9675b19c T.Priority___unnamed_12_99988665 T.Reserved1___unnamed_12_99988665 T.Reserved2___unnamed_12_99988665 T.Channel___unnamed_12_9b023e7e T.Port___unnamed_12_9b023e7e T.Reserved1___unnamed_12_9b023e7e T.Raw___unnamed_12_a04f3ec2 T.Translated___unnamed_12_a04f3ec2 T.Buffer___unnamed_12_a41ee278 T.Length___unnamed_12_a41ee278 T.Offset___unnamed_12_a41ee278 T.Start___unnamed_12_aae97e0b T.Length___unnamed_12_aae97e0b T.ListEntry___unnamed_12_b0fe679d T.__unnamed_4_ac2f5fe2___unnamed_12_b0fe679d T.Level___unnamed_12_b4709d3d T.Vector___unnamed_12_b4709d3d T.Affinity___unnamed_12_b4709d3d T.Start___unnamed_12_c07928f7 T.Length48___unnamed_12_c07928f7 T.Start___unnamed_12_c13de773 T.Length___unnamed_12_c13de773 T.Buffer___unnamed_12_e5e4e6f3 T.Length___unnamed_12_e5e4e6f3 T.Offset___unnamed_12_e5e4e6f3 T.Start___unnamed_12_e7dc8c54 T.Length___unnamed_12_e7dc8c54 T.Start___unnamed_12_f4e6bbc2 T.Length64___unnamed_12_f4e6bbc2 T.InterfaceType___unnamed_16_08405228 T.Size___unnamed_16_08405228 T.Version___unnamed_16_08405228 T.Interface___unnamed_16_08405228 T.InterfaceSpecificData___unnamed_16_08405228 T.Length___unnamed_16_0c179b13 T.StartSid___unnamed_16_0c179b13 T.SidList___unnamed_16_0c179b13 T.SidListLength___unnamed_16_0c179b13 T.Length___unnamed_16_160c71e3 T.Key___unnamed_16_160c71e3 T.DeviceOffset___unnamed_16_160c71e3 T.Argument1___unnamed_16_28d48018 T.Argument2___unnamed_16_28d48018 T.Argument3___unnamed_16_28d48018 T.Argument4___unnamed_16_28d48018 T.Length___unnamed_16_30754a00 T.Key___unnamed_16_30754a00 T.DeviceOffset___unnamed_16_30754a00 T.Length___unnamed_16_3538eb2e T.MinBusNumber___unnamed_16_3538eb2e T.MaxBusNumber___unnamed_16_3538eb2e T.Reserved___unnamed_16_3538eb2e T.Create___unnamed_16_3be92f23 T.Read___unnamed_16_3be92f23 T.Write___unnamed_16_3be92f23 T.DeviceIoControl___unnamed_16_3be92f23 T.Others___unnamed_16_3be92f23 T.Length___unnamed_16_4692f360 T.Key___unnamed_16_4692f360 T.ByteOffset___unnamed_16_4692f360 T.OutputBufferLength___unnamed_16_47a80b6e T.InputBufferLength___unnamed_16_47a80b6e T.FsControlCode___unnamed_16_47a80b6e T.Type3InputBuffer___unnamed_16_47a80b6e T.__unnamed_4_4008e71b___unnamed_16_4a376f0e T.Type___unnamed_16_4a376f0e T.State___unnamed_16_4a376f0e T.ShutdownType___unnamed_16_4a376f0e T.Create___unnamed_16_50547125 T.Read___unnamed_16_50547125 T.Write___unnamed_16_50547125 T.QueryDirectory___unnamed_16_50547125 T.NotifyDirectory___unnamed_16_50547125 T.QueryFile___unnamed_16_50547125 T.SetFile___unnamed_16_50547125 T.QueryEa___unnamed_16_50547125 T.SetEa___unnamed_16_50547125 T.QueryVolume___unnamed_16_50547125 T.SetVolume___unnamed_16_50547125 T.FileSystemControl___unnamed_16_50547125 T.LockControl___unnamed_16_50547125 T.DeviceIoControl___unnamed_16_50547125 T.QuerySecurity___unnamed_16_50547125 T.SetSecurity___unnamed_16_50547125 T.MountVolume___unnamed_16_50547125 T.VerifyVolume___unnamed_16_50547125 T.Scsi___unnamed_16_50547125 T.QueryQuota___unnamed_16_50547125 T.SetQuota___unnamed_16_50547125 T.QueryDeviceRelations___unnamed_16_50547125 T.QueryInterface___unnamed_16_50547125 T.DeviceCapabilities___unnamed_16_50547125 T.FilterResourceRequirements___unnamed_16_50547125 T.ReadWriteConfig___unnamed_16_50547125 T.SetLock___unnamed_16_50547125 T.QueryId___unnamed_16_50547125 T.QueryDeviceText___unnamed_16_50547125 T.UsageNotification___unnamed_16_50547125 T.WaitWake___unnamed_16_50547125 T.PowerSequence___unnamed_16_50547125 T.Power___unnamed_16_50547125 T.StartDevice___unnamed_16_50547125 T.WMI___unnamed_16_50547125 T.Others___unnamed_16_50547125 T.WhichSpace___unnamed_16_70b335ff T.Buffer___unnamed_16_70b335ff T.Offset___unnamed_16_70b335ff T.Length___unnamed_16_70b335ff T.SecurityContext___unnamed_16_758cc376 T.Options___unnamed_16_758cc376 T.FileAttributes___unnamed_16_758cc376 T.ShareAccess___unnamed_16_758cc376 T.EaLength___unnamed_16_758cc376 T.OutputBufferLength___unnamed_16_7b663246 T.InputBufferLength___unnamed_16_7b663246 T.IoControlCode___unnamed_16_7b663246 T.Type3InputBuffer___unnamed_16_7b663246 T.OutputBufferLength___unnamed_16_8c4e1e25 T.InputBufferLength___unnamed_16_8c4e1e25 T.IoControlCode___unnamed_16_8c4e1e25 T.Type3InputBuffer___unnamed_16_8c4e1e25 T.Length___unnamed_16_8fdea1e0 T.Key___unnamed_16_8fdea1e0 T.ByteOffset___unnamed_16_8fdea1e0 T.DriverContext___unnamed_16_90864369 T.Length___unnamed_16_98fa84c9 T.EaList___unnamed_16_98fa84c9 T.EaListLength___unnamed_16_98fa84c9 T.EaIndex___unnamed_16_98fa84c9 T.Argument1___unnamed_16_b19c652e T.Argument2___unnamed_16_b19c652e T.Argument3___unnamed_16_b19c652e T.Argument4___unnamed_16_b19c652e T.Length___unnamed_16_cbf64d77 T.FileName___unnamed_16_cbf64d77 T.FileInformationClass___unnamed_16_cbf64d77 T.FileIndex___unnamed_16_cbf64d77 T.Length___unnamed_16_d07eb79e T.FileInformationClass___unnamed_16_d07eb79e T.FileObject___unnamed_16_d07eb79e T.__unnamed_4_b65679a6___unnamed_16_d07eb79e T.Arg1___unnamed_16_d8ea3f48 T.Arg2___unnamed_16_d8ea3f48 T.IoControlCode___unnamed_16_d8ea3f48 T.Arg4___unnamed_16_d8ea3f48 T.ProviderId___unnamed_16_ec1b1a74 T.DataPath___unnamed_16_ec1b1a74 T.BufferSize___unnamed_16_ec1b1a74 T.Buffer___unnamed_16_ec1b1a74 T.Length___unnamed_16_f0deee7d T.Key___unnamed_16_f0deee7d T.ByteOffset___unnamed_16_f0deee7d T.SecurityContext___unnamed_16_f26424fc T.Options___unnamed_16_f26424fc T.FileAttributes___unnamed_16_f26424fc T.ShareAccess___unnamed_16_f26424fc T.EaLength___unnamed_16_f26424fc T.DeviceQueueEntry___unnamed_16_f8ddfcfe T.__unnamed_16_90864369___unnamed_16_f8ddfcfe T.Lock___unnamed_1_26d71ac8 T.Abandoned___unnamed_1_7fe4cdbd T.Absolute___unnamed_1_7fe4cdbd T.NpxIrql___unnamed_1_7fe4cdbd T.Signalling___unnamed_1_7fe4cdbd T.Size___unnamed_1_a19e9f98 T.Hand___unnamed_1_a19e9f98 T.Inserted___unnamed_1_a536060f T.DebugActive___unnamed_1_a536060f T.DpcActive___unnamed_1_a536060f T.MinimumVector___unnamed_20_f8440734 T.MaximumVector___unnamed_20_f8440734 T.AffinityPolicy___unnamed_20_f8440734 T.PriorityPolicy___unnamed_20_f8440734 T.TargetedProcessors___unnamed_20_f8440734 T.Length64___unnamed_24_06d73087 T.Alignment64___unnamed_24_06d73087 T.MinimumAddress___unnamed_24_06d73087 T.MaximumAddress___unnamed_24_06d73087 T.Length___unnamed_24_22419524 T.Alignment___unnamed_24_22419524 T.MinimumAddress___unnamed_24_22419524 T.MaximumAddress___unnamed_24_22419524 T.Length40___unnamed_24_36b7e766 T.Alignment40___unnamed_24_36b7e766 T.MinimumAddress___unnamed_24_36b7e766 T.MaximumAddress___unnamed_24_36b7e766 T.Length___unnamed_24_370204c2 T.Alignment___unnamed_24_370204c2 T.MinimumAddress___unnamed_24_370204c2 T.MaximumAddress___unnamed_24_370204c2 T.IoControlCode___unnamed_24_52bbd12f T.Input___unnamed_24_52bbd12f T.Output___unnamed_24_52bbd12f T.Length48___unnamed_24_76cd2bdb T.Alignment48___unnamed_24_76cd2bdb T.MinimumAddress___unnamed_24_76cd2bdb T.MaximumAddress___unnamed_24_76cd2bdb T.Write___unnamed_24_a2447d05 T.Read___unnamed_24_a2447d05 T.Ioctl___unnamed_24_a2447d05 T.Others___unnamed_24_a2447d05 T.Usb___unnamed_24_a2447d05 T.Length___unnamed_24_b8ad6aa7 T.Alignment___unnamed_24_b8ad6aa7 T.MinimumAddress___unnamed_24_b8ad6aa7 T.MaximumAddress___unnamed_24_b8ad6aa7 T.Port___unnamed_24_ba07fbe7 T.Memory___unnamed_24_ba07fbe7 T.Interrupt___unnamed_24_ba07fbe7 T.Dma___unnamed_24_ba07fbe7 T.Generic___unnamed_24_ba07fbe7 T.DevicePrivate___unnamed_24_ba07fbe7 T.BusNumber___unnamed_24_ba07fbe7 T.ConfigData___unnamed_24_ba07fbe7 T.Memory40___unnamed_24_ba07fbe7 T.Memory48___unnamed_24_ba07fbe7 T.Memory64___unnamed_24_ba07fbe7 T.ReplaceIfExists___unnamed_2_8290e1b0 T.AdvanceOnly___unnamed_2_8290e1b0 T.__unnamed_16_f8ddfcfe___unnamed_40_cfd29ebe T.Thread___unnamed_40_cfd29ebe T.AuxiliaryBuffer___unnamed_40_cfd29ebe T.__unnamed_12_b0fe679d___unnamed_40_cfd29ebe T.OriginalFileObject___unnamed_40_cfd29ebe T.ListEntry___unnamed_40_dbe30577 T.Wcb___unnamed_40_dbe30577 T.InitialPrivilegeSet___unnamed_44_d7e89117 T.PrivilegeSet___unnamed_44_d7e89117 T.Overlay___unnamed_48_5a9f979b T.Apc___unnamed_48_5a9f979b T.CompletionKey___unnamed_48_5a9f979b T.MasterIrp___unnamed_4_0a20c9fb T.IrpCount___unnamed_4_0a20c9fb T.SystemBuffer___unnamed_4_0a20c9fb T.Length___unnamed_4_27fec054 T.PowerState___unnamed_4_342578c3 T.Capabilities___unnamed_4_36e06717 T.PowerSequence___unnamed_4_3e8985b1 T.SystemContext___unnamed_4_4008e71b T.SystemPowerStateContext___unnamed_4_4008e71b T.UserApcRoutine___unnamed_4_41bc16eb T.IssuingProcess___unnamed_4_41bc16eb T.Ptr___unnamed_4_442e007e T.Value___unnamed_4_442e007e T.Status___unnamed_4_6a857cdd T.Pointer___unnamed_4_6a857cdd T.Reserved1___unnamed_4_82d41359 T.TargetSystemState___unnamed_4_82d41359 T.EffectiveSystemState___unnamed_4_82d41359 T.CurrentSystemState___unnamed_4_82d41359 T.IgnoreHibernationPath___unnamed_4_82d41359 T.PseudoTransition___unnamed_4_82d41359 T.Reserved2___unnamed_4_82d41359 T.Srb___unnamed_4_94f0c80c T.Type___unnamed_4_9b388132 T.Address___unnamed_4_9d516d2b T.CreatorBackTraceIndex___unnamed_4_9d516d2b T.CurrentStackLocation___unnamed_4_ac2f5fe2 T.PacketType___unnamed_4_ac2f5fe2 T.Type___unnamed_4_b1953259 T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259 T.__unnamed_1_a19e9f98___unnamed_4_b1953259 T.__unnamed_1_a536060f___unnamed_4_b1953259 T.Ptr___unnamed_4_b617aa5a T.Value___unnamed_4_b617aa5a T.__unnamed_2_8290e1b0___unnamed_4_b65679a6 T.ClusterCount___unnamed_4_b65679a6 T.DeleteHandle___unnamed_4_b65679a6 T.OwnerCount___unnamed_4_c406319a T.TableSize___unnamed_4_c406319a T.Ptr___unnamed_4_d6f0159b T.Value___unnamed_4_d6f0159b T.Completion___unnamed_4_de25a30d T.__unnamed_4_b1953259___unnamed_4_dfcb1314 T.Lock___unnamed_4_dfcb1314 T.Length___unnamed_4_e60fbc3e T.__unnamed_4_82d41359___unnamed_4_f525de8d T.ContextAsUlong___unnamed_4_f525de8d T.IoResourceRequirementList___unnamed_4_f571b1b9 T.IdType___unnamed_4_fad32fd4 T.Ptr___unnamed_4_fbcc5fb9 T.Value___unnamed_4_fbcc5fb9 T.Buffer___unnamed_8_20ce6f92 T.Offset___unnamed_8_20ce6f92 T.AsynchronousParameters___unnamed_8_2c71b416 T.AllocationSize___unnamed_8_2c71b416 T.AllocatedResources___unnamed_8_305df57c T.AllocatedResourcesTranslated___unnamed_8_305df57c T.LowPart___unnamed_8_4aac83fd T.HighPart___unnamed_8_4aac83fd T.Length___unnamed_8_5c8f0abe T.FileInformationClass___unnamed_8_5c8f0abe T.Length___unnamed_8_872f0ca6 T.FsInformationClass___unnamed_8_872f0ca6 T.Vpb___unnamed_8_89024868 T.DeviceObject___unnamed_8_89024868 T.SecurityInformation___unnamed_8_8bfbe2a4 T.Length___unnamed_8_8bfbe2a4 T.MinimumChannel___unnamed_8_9b5da84f T.MaximumChannel___unnamed_8_9b5da84f T.DeviceTextType___unnamed_8_9da0b827 T.LocaleId___unnamed_8_9da0b827 T.LowPart___unnamed_8_bb154058 T.HighPart___unnamed_8_bb154058 T.InPath___unnamed_8_cdc8e4c0 T.Reserved___unnamed_8_cdc8e4c0 T.Type___unnamed_8_cdc8e4c0 T.__unnamed_4_41bc16eb___unnamed_8_d0cda093 T.UserApcContext___unnamed_8_d0cda093 T.Length___unnamed_8_da064ae3 T.FsInformationClass___unnamed_8_da064ae3 T.Length___unnamed_8_e1457eff T.CompletionFilter___unnamed_8_e1457eff T.Vpb___unnamed_8_f62d54e1 T.DeviceObject___unnamed_8_f62d54e1 T.SecurityInformation___unnamed_8_f825c111 T.SecurityDescriptor___unnamed_8_f825c111 T.UrbHeader___unnamed_96_e511a626 T.UrbSelectInterface___unnamed_96_e511a626 T.UrbSelectConfiguration___unnamed_96_e511a626 T.UrbPipeRequest___unnamed_96_e511a626 T.UrbFrameLengthControl___unnamed_96_e511a626 T.UrbGetFrameLength___unnamed_96_e511a626 T.UrbSetFrameLength___unnamed_96_e511a626 T.UrbGetCurrentFrameNumber___unnamed_96_e511a626 T.UrbControlTransfer___unnamed_96_e511a626 T.UrbControlTransferEx___unnamed_96_e511a626 T.UrbPipeIoPolicy___unnamed_96_e511a626 T.UrbBulkOrInterruptTransfer___unnamed_96_e511a626 T.UrbIsochronousTransfer___unnamed_96_e511a626 T.UrbControlDescriptorRequest___unnamed_96_e511a626 T.UrbControlGetStatusRequest___unnamed_96_e511a626 T.UrbControlFeatureRequest___unnamed_96_e511a626 T.UrbControlVendorClassRequest___unnamed_96_e511a626 T.UrbControlGetInterfaceRequest___unnamed_96_e511a626 T.UrbControlGetConfigurationRequest___unnamed_96_e511a626 T.UrbOSFeatureDescriptorRequest___unnamed_96_e511a626 T.A1_CM_FULL_RESOURCE_DESCRIPTOR T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR T.A1_IO_RESOURCE_DESCRIPTOR T.A1_IO_RESOURCE_LIST T.A1_LUID_AND_ATTRIBUTES T.A1_USBD_ISO_PACKET_DESCRIPTOR T.A1_USBD_PIPE_INFORMATION T.A28PFDRIVER_DISPATCH T.A32CHAR T.A32UINT2 T.A3UCHAR T.A3UINT4 T.A3_LUID_AND_ATTRIBUTES T.A4PVOID T.A4UCHAR T.A5CHAR T.A6CHAR T.A7_DEVICE_POWER_STATE T.A8PVOID T.A8UCHAR T.BUS_QUERY_ID_TYPE T.CHAR T.DEVICE_TEXT_TYPE T.F0 T.F1 T.F10 T.F11 T.F12 T.F13 T.F14 T.F15 T.F16 T.F17 T.F18 T.F19 T.F2 T.F20 T.F21 T.F22 T.F23 T.F24 T.F25 T.F26 T.F27 T.F28 T.F29 T.F3 T.F30 T.F31 T.F32 T.F33 T.F34 T.F35 T.F36 T.F37 T.F4 T.F5 T.F6 T.F7 T.F8 T.F9 T.FDRIVER_ADD_DEVICE T.FDRIVER_CANCEL T.FDRIVER_DISPATCH T.FDRIVER_INITIALIZE T.FDRIVER_STARTIO T.FDRIVER_UNLOAD T.FEVT_WDF_OBJECT_CONTEXT_CLEANUP T.FEVT_WDF_OBJECT_CONTEXT_DESTROY T.FEVT_WDF_REQUEST_CANCEL T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE T.FEVT_WDF_WORKITEM T.FFAST_IO_ACQUIRE_FILE T.FFAST_IO_ACQUIRE_FOR_CCFLUSH T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE T.FFAST_IO_CHECK_IF_POSSIBLE T.FFAST_IO_DETACH_DEVICE T.FFAST_IO_DEVICE_CONTROL T.FFAST_IO_LOCK T.FFAST_IO_MDL_READ T.FFAST_IO_MDL_READ_COMPLETE T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED T.FFAST_IO_MDL_WRITE_COMPLETE T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED T.FFAST_IO_PREPARE_MDL_WRITE T.FFAST_IO_QUERY_BASIC_INFO T.FFAST_IO_QUERY_NETWORK_OPEN_INFO T.FFAST_IO_QUERY_OPEN T.FFAST_IO_QUERY_STANDARD_INFO T.FFAST_IO_READ T.FFAST_IO_READ_COMPRESSED T.FFAST_IO_RELEASE_FILE T.FFAST_IO_RELEASE_FOR_CCFLUSH T.FFAST_IO_RELEASE_FOR_MOD_WRITE T.FFAST_IO_UNLOCK_ALL T.FFAST_IO_UNLOCK_ALL_BY_KEY T.FFAST_IO_UNLOCK_SINGLE T.FFAST_IO_WRITE T.FFAST_IO_WRITE_COMPRESSED T.FIO_COMPLETION_ROUTINE T.INT2 T.INT4 T.INT8 T.PA5CHAR T.PA6CHAR T.PCHAR T.PF0 T.PF1 T.PF27 T.PF28 T.PF29 T.PF31 T.PF32 T.PF33 T.PF35 T.PF36 T.PF37 T.PFDRIVER_ADD_DEVICE T.PFDRIVER_CANCEL T.PFDRIVER_DISPATCH T.PFDRIVER_INITIALIZE T.PFDRIVER_STARTIO T.PFDRIVER_UNLOAD T.PFEVT_WDF_OBJECT_CONTEXT_CLEANUP T.PFEVT_WDF_OBJECT_CONTEXT_DESTROY T.PFEVT_WDF_REQUEST_CANCEL T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE T.PFEVT_WDF_WORKITEM T.PFFAST_IO_ACQUIRE_FILE T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE T.PFFAST_IO_CHECK_IF_POSSIBLE T.PFFAST_IO_DETACH_DEVICE T.PFFAST_IO_DEVICE_CONTROL T.PFFAST_IO_LOCK T.PFFAST_IO_MDL_READ T.PFFAST_IO_MDL_READ_COMPLETE T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED T.PFFAST_IO_MDL_WRITE_COMPLETE T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED T.PFFAST_IO_PREPARE_MDL_WRITE T.PFFAST_IO_QUERY_BASIC_INFO T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO T.PFFAST_IO_QUERY_OPEN T.PFFAST_IO_QUERY_STANDARD_INFO T.PFFAST_IO_READ T.PFFAST_IO_READ_COMPRESSED T.PFFAST_IO_RELEASE_FILE T.PFFAST_IO_RELEASE_FOR_CCFLUSH T.PFFAST_IO_RELEASE_FOR_MOD_WRITE T.PFFAST_IO_UNLOCK_ALL T.PFFAST_IO_UNLOCK_ALL_BY_KEY T.PFFAST_IO_UNLOCK_SINGLE T.PFFAST_IO_WRITE T.PFFAST_IO_WRITE_COMPRESSED T.PFIO_COMPLETION_ROUTINE T.PINT4 T.POWER_ACTION T.PPCHAR T.PPF32 T.PPFEVT_WDF_REQUEST_CANCEL T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE T.PPFEVT_WDF_WORKITEM T.PPINT4 T.PPPVOID T.PPPWDFCOLLECTION__ T.PPPWDFMEMORY__ T.PPPWDFREQUEST__ T.PPPWDFSPINLOCK__ T.PPPWDFWORKITEM__ T.PPP_MDL T.PPUCHAR T.PPUINT4 T.PPVOID T.PPWDFCOLLECTION__ T.PPWDFDEVICE__ T.PPWDFFILEOBJECT__ T.PPWDFIOTARGET__ T.PPWDFMEMORY__ T.PPWDFQUEUE__ T.PPWDFREQUEST__ T.PPWDFSPINLOCK__ T.PPWDFUSBDEVICE__ T.PPWDFUSBINTERFACE__ T.PPWDFUSBPIPE__ T.PPWDFWORKITEM__ T.PP_DEVICE_CONTEXT T.PP_ERESOURCE T.PP_FILE_CONTEXT T.PP_IRP T.PP_LIST_ENTRY T.PP_MDL T.PP_REQUEST_CONTEXT T.PP_SUB_REQUEST_CONTEXT T.PP_URB T.PP_WDFMEMORY_OFFSET T.PP_WDF_DRIVER_GLOBALS T.PP_WDF_OBJECT_ATTRIBUTES T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO T.PP_WDF_REQUEST_COMPLETION_PARAMS T.PP_WDF_REQUEST_PARAMETERS T.PP_WDF_REQUEST_SEND_OPTIONS T.PP_WDF_USB_PIPE_INFORMATION T.PP_WDF_WORKITEM_CONFIG T.PP_WORKITEM_CONTEXT T.PUCHAR T.PUINT2 T.PUINT4 T.PVOID T.PWDFCOLLECTION__ T.PWDFDEVICE__ T.PWDFDRIVER__ T.PWDFFILEOBJECT__ T.PWDFIOTARGET__ T.PWDFMEMORY__ T.PWDFQUEUE__ T.PWDFREQUEST__ T.PWDFSPINLOCK__ T.PWDFUSBDEVICE__ T.PWDFUSBINTERFACE__ T.PWDFUSBPIPE__ T.PWDFWORKITEM__ T.P_ACCESS_STATE T.P_CM_RESOURCE_LIST T.P_COMPRESSED_DATA_INFO T.P_DEVICE_CAPABILITIES T.P_DEVICE_CONTEXT T.P_DEVICE_OBJECT T.P_DEVOBJ_EXTENSION T.P_DRIVER_EXTENSION T.P_DRIVER_OBJECT T.P_EPROCESS T.P_ERESOURCE T.P_FAST_IO_DISPATCH T.P_FILE_BASIC_INFORMATION T.P_FILE_CONTEXT T.P_FILE_GET_QUOTA_INFORMATION T.P_FILE_NETWORK_OPEN_INFORMATION T.P_FILE_OBJECT T.P_FILE_STANDARD_INFORMATION T.P_GUID T.P_INTERFACE T.P_IO_COMPLETION_CONTEXT T.P_IO_RESOURCE_REQUIREMENTS_LIST T.P_IO_SECURITY_CONTEXT T.P_IO_STACK_LOCATION T.P_IO_STATUS_BLOCK T.P_IO_TIMER T.P_IRP T.P_KAPC T.P_KDPC T.P_KEVENT T.P_KPROCESS T.P_KSEMAPHORE T.P_KTHREAD T.P_LARGE_INTEGER T.P_LIST_ENTRY T.P_MDL T.P_OWNER_ENTRY T.P_POOL_TYPE T.P_POWER_SEQUENCE T.P_REQUEST_CONTEXT T.P_SCSI_REQUEST_BLOCK T.P_SECTION_OBJECT_POINTERS T.P_SECURITY_QUALITY_OF_SERVICE T.P_SUB_REQUEST_CONTEXT T.P_UNICODE_STRING T.P_URB T.P_USBD_ISO_PACKET_DESCRIPTOR T.P_USB_CONFIGURATION_DESCRIPTOR T.P_VPB T.P_WDFMEMORY_OFFSET T.P_WDF_DRIVER_GLOBALS T.P_WDF_IO_TARGET_SENT_IO_ACTION T.P_WDF_OBJECT_ATTRIBUTES T.P_WDF_OBJECT_CONTEXT_TYPE_INFO T.P_WDF_REQUEST_COMPLETION_PARAMS T.P_WDF_REQUEST_PARAMETERS T.P_WDF_REQUEST_SEND_OPTIONS T.P_WDF_REQUEST_TYPE T.P_WDF_USB_PIPE_INFORMATION T.P_WDF_USB_REQUEST_COMPLETION_PARAMS T.P_WDF_WORKITEM_CONFIG T.P_WORKITEM_CONTEXT T.UCHAR T.UINT2 T.UINT4 T.VOID T.WDFCOLLECTION__ T.WDFDEVICE__ T.WDFDRIVER__ T.WDFFILEOBJECT__ T.WDFIOTARGET__ T.WDFMEMORY__ T.WDFQUEUE__ T.WDFREQUEST__ T.WDFSPINLOCK__ T.WDFUSBDEVICE__ T.WDFUSBINTERFACE__ T.WDFUSBPIPE__ T.WDFWORKITEM__ T._ACCESS_STATE T._CM_FULL_RESOURCE_DESCRIPTOR T._CM_PARTIAL_RESOURCE_DESCRIPTOR T._CM_PARTIAL_RESOURCE_LIST T._CM_RESOURCE_LIST T._COMPRESSED_DATA_INFO T._DEVICE_CAPABILITIES T._DEVICE_CONTEXT T._DEVICE_OBJECT T._DEVICE_POWER_STATE T._DEVICE_RELATION_TYPE T._DEVICE_USAGE_NOTIFICATION_TYPE T._DEVOBJ_EXTENSION T._DISPATCHER_HEADER T._DRIVER_EXTENSION T._DRIVER_OBJECT T._EPROCESS T._ERESOURCE T._FAST_IO_DISPATCH T._FILE_BASIC_INFORMATION T._FILE_CONTEXT T._FILE_GET_QUOTA_INFORMATION T._FILE_INFORMATION_CLASS T._FILE_NETWORK_OPEN_INFORMATION T._FILE_OBJECT T._FILE_STANDARD_INFORMATION T._FSINFOCLASS T._GUID T._INITIAL_PRIVILEGE_SET T._INTERFACE T._INTERFACE_TYPE T._IO_ALLOCATION_ACTION T._IO_COMPLETION_CONTEXT T._IO_RESOURCE_DESCRIPTOR T._IO_RESOURCE_LIST T._IO_RESOURCE_REQUIREMENTS_LIST T._IO_SECURITY_CONTEXT T._IO_STACK_LOCATION T._IO_STATUS_BLOCK T._IO_TIMER T._IRP T._IRQ_DEVICE_POLICY T._IRQ_PRIORITY T._KAPC T._KDEVICE_QUEUE T._KDEVICE_QUEUE_ENTRY T._KDPC T._KEVENT T._KPROCESS T._KSEMAPHORE T._KTHREAD T._LARGE_INTEGER T._LIST_ENTRY T._LUID T._LUID_AND_ATTRIBUTES T._MDL T._OWNER_ENTRY T._POOL_TYPE T._POWER_SEQUENCE T._POWER_STATE T._POWER_STATE_TYPE T._PRIVILEGE_SET T._REQUEST_CONTEXT T._SCSI_REQUEST_BLOCK T._SECTION_OBJECT_POINTERS T._SECURITY_IMPERSONATION_LEVEL T._SECURITY_QUALITY_OF_SERVICE T._SECURITY_SUBJECT_CONTEXT T._SUB_REQUEST_CONTEXT T._SYSTEM_POWER_STATE T._SYSTEM_POWER_STATE_CONTEXT T._UNICODE_STRING T._URB T._URB_BULK_OR_INTERRUPT_TRANSFER T._URB_CONTROL_DESCRIPTOR_REQUEST T._URB_CONTROL_FEATURE_REQUEST T._URB_CONTROL_GET_CONFIGURATION_REQUEST T._URB_CONTROL_GET_INTERFACE_REQUEST T._URB_CONTROL_GET_STATUS_REQUEST T._URB_CONTROL_TRANSFER T._URB_CONTROL_TRANSFER_EX T._URB_CONTROL_VENDOR_OR_CLASS_REQUEST T._URB_FRAME_LENGTH_CONTROL T._URB_GET_CURRENT_FRAME_NUMBER T._URB_GET_FRAME_LENGTH T._URB_HCD_AREA T._URB_HEADER T._URB_ISOCH_TRANSFER T._URB_OS_FEATURE_DESCRIPTOR_REQUEST T._URB_PIPE_IO_POLICY T._URB_PIPE_REQUEST T._URB_SELECT_CONFIGURATION T._URB_SELECT_INTERFACE T._URB_SET_FRAME_LENGTH T._USBD_INTERFACE_INFORMATION T._USBD_ISO_PACKET_DESCRIPTOR T._USBD_PIPE_INFORMATION T._USBD_PIPE_TYPE T._USB_CONFIGURATION_DESCRIPTOR T._USB_DEVICE_DESCRIPTOR T._USB_IO_PARAMETERS T._USB_IO_PRIORITY T._VPB T._WAIT_CONTEXT_BLOCK T._WDFMEMORY_OFFSET T._WDF_DRIVER_GLOBALS T._WDF_EXECUTION_LEVEL T._WDF_IO_TARGET_SENT_IO_ACTION T._WDF_OBJECT_ATTRIBUTES T._WDF_OBJECT_CONTEXT_TYPE_INFO T._WDF_REQUEST_COMPLETION_PARAMS T._WDF_REQUEST_PARAMETERS T._WDF_REQUEST_SEND_OPTIONS T._WDF_REQUEST_TYPE T._WDF_SYNCHRONIZATION_SCOPE T._WDF_USB_PIPE_INFORMATION T._WDF_USB_PIPE_TYPE T._WDF_USB_REQUEST_COMPLETION_PARAMS T._WDF_WORKITEM_CONFIG T._WORKITEM_CONTEXT T.__unnamed_12_00aa0978 T.__unnamed_12_011610e6 T.__unnamed_12_135b00bd T.__unnamed_12_2349179a T.__unnamed_12_508ad0f8 T.__unnamed_12_5a101f58 T.__unnamed_12_5c984402 T.__unnamed_12_6851572b T.__unnamed_12_91f117a1 T.__unnamed_12_9675b19c T.__unnamed_12_99988665 T.__unnamed_12_9b023e7e T.__unnamed_12_a04f3ec2 T.__unnamed_12_a41ee278 T.__unnamed_12_aae97e0b T.__unnamed_12_b0fe679d T.__unnamed_12_b4709d3d T.__unnamed_12_c07928f7 T.__unnamed_12_c13de773 T.__unnamed_12_e5e4e6f3 T.__unnamed_12_e7dc8c54 T.__unnamed_12_f4e6bbc2 T.__unnamed_16_08405228 T.__unnamed_16_0c179b13 T.__unnamed_16_160c71e3 T.__unnamed_16_28d48018 T.__unnamed_16_30754a00 T.__unnamed_16_3538eb2e T.__unnamed_16_3be92f23 T.__unnamed_16_4692f360 T.__unnamed_16_47a80b6e T.__unnamed_16_4a376f0e T.__unnamed_16_50547125 T.__unnamed_16_70b335ff T.__unnamed_16_758cc376 T.__unnamed_16_7b663246 T.__unnamed_16_8c4e1e25 T.__unnamed_16_8fdea1e0 T.__unnamed_16_90864369 T.__unnamed_16_98fa84c9 T.__unnamed_16_b19c652e T.__unnamed_16_cbf64d77 T.__unnamed_16_d07eb79e T.__unnamed_16_d8ea3f48 T.__unnamed_16_ec1b1a74 T.__unnamed_16_f0deee7d T.__unnamed_16_f26424fc T.__unnamed_16_f8ddfcfe T.__unnamed_1_26d71ac8 T.__unnamed_1_7fe4cdbd T.__unnamed_1_a19e9f98 T.__unnamed_1_a536060f T.__unnamed_20_f8440734 T.__unnamed_24_06d73087 T.__unnamed_24_22419524 T.__unnamed_24_36b7e766 T.__unnamed_24_370204c2 T.__unnamed_24_52bbd12f T.__unnamed_24_76cd2bdb T.__unnamed_24_a2447d05 T.__unnamed_24_b8ad6aa7 T.__unnamed_24_ba07fbe7 T.__unnamed_2_8290e1b0 T.__unnamed_40_cfd29ebe T.__unnamed_40_dbe30577 T.__unnamed_44_d7e89117 T.__unnamed_48_5a9f979b T.__unnamed_4_0a20c9fb T.__unnamed_4_27fec054 T.__unnamed_4_342578c3 T.__unnamed_4_36e06717 T.__unnamed_4_3e8985b1 T.__unnamed_4_4008e71b T.__unnamed_4_41bc16eb T.__unnamed_4_442e007e T.__unnamed_4_6a857cdd T.__unnamed_4_82d41359 T.__unnamed_4_94f0c80c T.__unnamed_4_9b388132 T.__unnamed_4_9d516d2b T.__unnamed_4_ac2f5fe2 T.__unnamed_4_b1953259 T.__unnamed_4_b617aa5a T.__unnamed_4_b65679a6 T.__unnamed_4_c406319a T.__unnamed_4_d6f0159b T.__unnamed_4_de25a30d T.__unnamed_4_dfcb1314 T.__unnamed_4_e60fbc3e T.__unnamed_4_f525de8d T.__unnamed_4_f571b1b9 T.__unnamed_4_fad32fd4 T.__unnamed_4_fbcc5fb9 T.__unnamed_8_20ce6f92 T.__unnamed_8_2c71b416 T.__unnamed_8_305df57c T.__unnamed_8_4aac83fd T.__unnamed_8_5c8f0abe T.__unnamed_8_872f0ca6 T.__unnamed_8_89024868 T.__unnamed_8_8bfbe2a4 T.__unnamed_8_9b5da84f T.__unnamed_8_9da0b827 T.__unnamed_8_bb154058 T.__unnamed_8_cdc8e4c0 T.__unnamed_8_d0cda093 T.__unnamed_8_da064ae3 T.__unnamed_8_e1457eff T.__unnamed_8_f62d54e1 T.__unnamed_8_f825c111 T.__unnamed_96_e511a626 (int_2_U ReadWriteCompletion) (int_2_U ReadWriteWorkItem) (int_2_U SubRequestCompletionRoutine) (int_2_U UsbSamp_EvtRequestCancel) (int_2_U WdfDriverGlobals) (int_2_U x_WDF_DEVICE_CONTEXT_TYPE_INFO) (int_2_U x_WDF_FILE_CONTEXT_TYPE_INFO) (int_2_U x_WDF_REQUEST_CONTEXT_TYPE_INFO) (int_2_U x_WDF_SUB_REQUEST_CONTEXT_TYPE_INFO) (int_2_U x_WDF_WORKITEM_CONTEXT_TYPE_INFO) (int_2_U hbuffer) (int_2_U hdctx) (int_2_U hdevcollection_count) (int_2_U hdevice) (int_2_U hln) (int_2_U hln2) (int_2_U hln3) (int_2_U hlock) (int_2_U hmdl) (int_2_U hqctx) (int_2_U hqueue) (int_2_U hrctx) (int_2_U hrequest) (int_2_U htctx) (int_2_U htimer) (int_2_U hwork_item) (int_2_U notused_4hbuffer) (int_2_U notused_4hfileobj) (int_2_U notused_4hmdl) (int_2_U notused_4hwork_item) (int_2_U notused_4wdfobject1) (int_2_U notused_4wdmobject1) (int_2_U notused_ctx) (int_2_U notused_hrequest) (int_2_U pnotused) (int_2_U BOOGIE_LARGE_INT_4294967295)) (forall ((?b0 boogieU) (?c0 boogieU)) (! (=> (and (= (type ?b0) byteType) (= (type ?c0) byteType)) (=> (= (OneByteToInt ?b0) (OneByteToInt ?c0)) (= ?b0 ?c0))) :pattern ((OneByteToInt ?b0) (OneByteToInt ?c0)) )) (forall ((?b00 boogieU) (?b1 boogieU) (?c00 boogieU) (?c1 boogieU)) (! (=> (and (= (type ?b00) byteType) (= (type ?b1) byteType) (= (type ?c00) byteType) (= (type ?c1) byteType)) (=> (= (TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) (and (= ?b00 ?c00) (= ?b1 ?c1)))) :pattern ((TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) )) (forall ((?b01 boogieU) (?b10 boogieU) (?b2 boogieU) (?b3 boogieU) (?c01 boogieU) (?c10 boogieU) (?c2 boogieU) (?c3 boogieU)) (! (=> (and (= (type ?b01) byteType) (= (type ?b10) byteType) (= (type ?b2) byteType) (= (type ?b3) byteType) (= (type ?c01) byteType) (= (type ?c10) byteType) (= (type ?c2) byteType) (= (type ?c3) byteType)) (=> (= (FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) (and (= ?b01 ?c01) (= ?b10 ?c10) (= ?b2 ?c2) (= ?b3 ?c3)))) :pattern ((FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) )) (forall ((?x4 boogieU)) (=> (= (type ?x4) intType) (not (= (U_2_bool (MapType0Select Empty ?x4)) boolTrue)))) (forall ((?x5 boogieU)) (=> (= (type ?x5) intType) (= (U_2_bool (MapType0Select SetTrue ?x5)) boolTrue))) (forall ((?x6 boogieU) (?y2 Int)) (! (=> (= (type ?x6) intType) (= (= (U_2_bool (MapType0Select (Singleton ?y2) ?x6)) boolTrue) (= (U_2_int ?x6) ?y2))) :pattern ((MapType0Select (Singleton ?y2) ?x6)) )) (forall ((?y3 Int)) (! (= (U_2_bool (MapType0Select (Singleton ?y3) (int_2_U ?y3))) boolTrue) :pattern ((Singleton ?y3)) )) (forall ((?x7 boogieU) (?S boogieU) (?T boogieU)) (! (let ((?v_1 (MapType0Type intType boolType))) (=> (and (= (type ?x7) intType) (= (type ?S) ?v_1) (= (type ?T) ?v_1)) (= (= (U_2_bool (MapType0Select (Union ?S ?T) ?x7)) boolTrue) (or (= (U_2_bool (MapType0Select ?S ?x7)) boolTrue) (= (U_2_bool (MapType0Select ?T ?x7)) boolTrue))))) :pattern ((MapType0Select (Union ?S ?T) ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?S ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?T ?x7)) )) (forall ((?x8 boogieU) (?S0 boogieU) (?T0 boogieU)) (! (let ((?v_2 (MapType0Type intType boolType))) (=> (and (= (type ?x8) intType) (= (type ?S0) ?v_2) (= (type ?T0) ?v_2)) (= (= (U_2_bool (MapType0Select (Intersection ?S0 ?T0) ?x8)) boolTrue) (and (= (U_2_bool (MapType0Select ?S0 ?x8)) boolTrue) (= (U_2_bool (MapType0Select ?T0 ?x8)) boolTrue))))) :pattern ((MapType0Select (Intersection ?S0 ?T0) ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?S0 ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?T0 ?x8)) )) (forall ((?x9 boogieU) (?S1 boogieU) (?T1 boogieU)) (! (let ((?v_3 (MapType0Type intType boolType))) (=> (and (= (type ?x9) intType) (= (type ?S1) ?v_3) (= (type ?T1) ?v_3)) (= (= (U_2_bool (MapType0Select (Difference ?S1 ?T1) ?x9)) boolTrue) (and (= (U_2_bool (MapType0Select ?S1 ?x9)) boolTrue) (not (= (U_2_bool (MapType0Select ?T1 ?x9)) boolTrue)))))) :pattern ((MapType0Select (Difference ?S1 ?T1) ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?S1 ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?T1 ?x9)) )) (forall ((?S2 boogieU) (?T2 boogieU)) (! (let ((?v_4 (MapType0Type intType boolType))) (=> (and (= (type ?S2) ?v_4) (= (type ?T2) ?v_4)) (= (= (Equal ?S2 ?T2) boolTrue) (and (= (Subset ?S2 ?T2) boolTrue) (= (Subset ?T2 ?S2) boolTrue))))) :pattern ((Equal ?S2 ?T2)) )) (forall ((?x10 boogieU) (?S3 boogieU) (?T3 boogieU)) (! (let ((?v_5 (MapType0Type intType boolType))) (=> (and (= (type ?x10) intType) (= (type ?S3) ?v_5) (= (type ?T3) ?v_5)) (=> (and (= (U_2_bool (MapType0Select ?S3 ?x10)) boolTrue) (= (Subset ?S3 ?T3) boolTrue)) (= (U_2_bool (MapType0Select ?T3 ?x10)) boolTrue)))) :pattern ((MapType0Select ?S3 ?x10) (Subset ?S3 ?T3))  :pattern ((MapType0Select ?T3 ?x10) (Subset ?S3 ?T3)) )) (forall ((?S4 boogieU) (?T4 boogieU)) (! (let ((?v_6 (MapType0Type intType boolType))) (=> (and (= (type ?S4) ?v_6) (= (type ?T4) ?v_6)) (or (= (Subset ?S4 ?T4) boolTrue) (exists ((?x11 Int)) (let ((?v_7 (int_2_U ?x11))) (and (= (U_2_bool (MapType0Select ?S4 ?v_7)) boolTrue) (not (= (U_2_bool (MapType0Select ?T4 ?v_7)) boolTrue)))))))) :pattern ((Subset ?S4 ?T4)) )) (forall ((?x12 boogieU) (?S5 boogieU) (?T5 boogieU)) (! (let ((?v_8 (MapType0Type intType boolType))) (=> (and (= (type ?x12) intType) (= (type ?S5) ?v_8) (= (type ?T5) ?v_8)) (not (and (= (U_2_bool (MapType0Select ?S5 ?x12)) boolTrue) (= (Disjoint ?S5 ?T5) boolTrue) (= (U_2_bool (MapType0Select ?T5 ?x12)) boolTrue))))) :pattern ((MapType0Select ?S5 ?x12) (Disjoint ?S5 ?T5))  :pattern ((MapType0Select ?T5 ?x12) (Disjoint ?S5 ?T5)) )) (forall ((?S6 boogieU) (?T6 boogieU)) (! (let ((?v_9 (MapType0Type intType boolType))) (=> (and (= (type ?S6) ?v_9) (= (type ?T6) ?v_9)) (or (= (Disjoint ?S6 ?T6) boolTrue) (exists ((?x13 Int)) (let ((?v_10 (int_2_U ?x13))) (and (= (U_2_bool (MapType0Select ?S6 ?v_10)) boolTrue) (= (U_2_bool (MapType0Select ?T6 ?v_10)) boolTrue))))))) :pattern ((Disjoint ?S6 ?T6)) )) (forall ((?f boogieU) (?x14 boogieU)) (! (=> (and (= (type ?f) (MapType0Type intType intType)) (= (type ?x14) intType)) (= (U_2_bool (MapType0Select (Inverse ?f (U_2_int (MapType0Select ?f ?x14))) ?x14)) boolTrue)) :pattern ((Inverse ?f (U_2_int (MapType0Select ?f ?x14)))) )) (forall ((?f0 boogieU) (?x15 boogieU) (?y4 Int)) (! (=> (and (= (type ?f0) (MapType0Type intType intType)) (= (type ?x15) intType)) (=> (= (U_2_bool (MapType0Select (Inverse ?f0 ?y4) ?x15)) boolTrue) (= (U_2_int (MapType0Select ?f0 ?x15)) ?y4))) :pattern ((Inverse ?f0 ?y4) (MapType0Select ?f0 ?x15)) )) (forall ((?f1 boogieU) (?x16 boogieU) (?y5 boogieU)) (! (let ((?v_11 (U_2_int ?y5))) (=> (and (= (type ?f1) (MapType0Type intType intType)) (= (type ?x16) intType) (= (type ?y5) intType)) (= (Equal (Inverse (MapType0Store ?f1 ?x16 ?y5) ?v_11) (Union (Inverse ?f1 ?v_11) (Singleton (U_2_int ?x16)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f1 ?x16 ?y5) (U_2_int ?y5))) )) (forall ((?f2 boogieU) (?x17 boogieU) (?y6 boogieU) (?z0 Int)) (! (=> (and (= (type ?f2) (MapType0Type intType intType)) (= (type ?x17) intType) (= (type ?y6) intType)) (or (= (U_2_int ?y6) ?z0) (= (Equal (Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0) (Difference (Inverse ?f2 ?z0) (Singleton (U_2_int ?x17)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0)) )) (forall ((?x18 boogieU) (?S7 boogieU) (?M boogieU)) (! (=> (and (= (type ?x18) intType) (= (type ?S7) (MapType0Type intType boolType)) (= (type ?M) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select (Dereference ?S7 ?M) ?x18)) boolTrue) (exists ((?y7 Int)) (let ((?v_12 (int_2_U ?y7))) (and (= (U_2_int ?x18) (U_2_int (MapType0Select ?M ?v_12))) (= (U_2_bool (MapType0Select ?S7 ?v_12)) boolTrue)))))) :pattern ((MapType0Select (Dereference ?S7 ?M) ?x18)) )) (forall ((?x19 boogieU) (?S8 boogieU) (?M0 boogieU)) (! (=> (and (= (type ?x19) intType) (= (type ?S8) (MapType0Type intType boolType)) (= (type ?M0) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select ?S8 ?x19)) boolTrue) (= (U_2_bool (MapType0Select (Dereference ?S8 ?M0) (MapType0Select ?M0 ?x19))) boolTrue))) :pattern ((MapType0Select ?M0 ?x19) (MapType0Select ?S8 ?x19) (Dereference ?S8 ?M0)) )) (forall ((?x20 boogieU) (?y8 boogieU) (?S9 boogieU) (?M1 boogieU)) (! (=> (and (= (type ?x20) intType) (= (type ?y8) intType) (= (type ?S9) (MapType0Type intType boolType)) (= (type ?M1) (MapType0Type intType intType))) (=> (not (= (U_2_bool (MapType0Select ?S9 ?x20)) boolTrue)) (= (Equal (Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8)) (Dereference ?S9 ?M1)) boolTrue))) :pattern ((Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8))) )) (forall ((?x21 boogieU) (?y9 boogieU) (?S10 boogieU) (?M2 boogieU)) (! (let ((?v_13 (U_2_int (MapType0Select ?M2 ?x21)))) (=> (and (= (type ?x21) intType) (= (type ?y9) intType) (= (type ?S10) (MapType0Type intType boolType)) (= (type ?M2) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S10 ?x21)) boolTrue) (= (Equal (Intersection (Inverse ?M2 ?v_13) ?S10) (Singleton (U_2_int ?x21))) boolTrue)) (= (Equal (Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9)) (Union (Difference (Dereference ?S10 ?M2) (Singleton ?v_13)) (Singleton (U_2_int ?y9)))) boolTrue)))) :pattern ((Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9))) )) (forall ((?x22 boogieU) (?y10 boogieU) (?S11 boogieU) (?M3 boogieU)) (! (=> (and (= (type ?x22) intType) (= (type ?y10) intType) (= (type ?S11) (MapType0Type intType boolType)) (= (type ?M3) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S11 ?x22)) boolTrue) (not (= (Equal (Intersection (Inverse ?M3 (U_2_int (MapType0Select ?M3 ?x22))) ?S11) (Singleton (U_2_int ?x22))) boolTrue))) (= (Equal (Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10)) (Union (Dereference ?S11 ?M3) (Singleton (U_2_int ?y10)))) boolTrue))) :pattern ((Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10))) )) (forall ((?M4 boogieU) (?x23 boogieU)) (! (=> (and (= (type ?M4) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x23) intType)) (= (U_2_int (MapType0Select (Unified ?M4) ?x23)) (U_2_int (MapType0Select (MapType0Select ?M4 (Field (U_2_int ?x23))) ?x23)))) :pattern ((MapType0Select (Unified ?M4) ?x23)) )) (forall ((?M5 boogieU) (?x24 boogieU) (?y11 boogieU)) (! (let ((?v_14 (Field (U_2_int ?x24)))) (=> (and (= (type ?M5) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x24) intType) (= (type ?y11) intType)) (= (Unified (MapType0Store ?M5 ?v_14 (MapType0Store (MapType0Select ?M5 ?v_14) ?x24 ?y11))) (MapType0Store (Unified ?M5) ?x24 ?y11)))) :pattern ((Unified (MapType0Store ?M5 (Field (U_2_int ?x24)) (MapType0Store (MapType0Select ?M5 (Field (U_2_int ?x24))) ?x24 ?y11)))) )) (forall ((?v boogieU) (?t boogieU) (?m2 boogieU)) (! (=> (and (= (type ?v) intType) (= (type ?t) nameType) (= (type ?m2) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (U_2_bool (MapType0Select (Values ?t ?m2) ?v)) boolTrue) (= (HasType (U_2_int ?v) ?t ?m2) boolTrue))) :pattern ((MapType0Select (Values ?t ?m2) ?v)) )) (forall ((?v0 Int) (?t0 boogieU) (?m3 boogieU)) (! (=> (and (= (type ?t0) nameType) (= (type ?m3) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (HasType ?v0 ?t0 ?m3) boolTrue) (= (U_2_bool (MapType0Select (Values ?t0 ?m3) (int_2_U ?v0))) boolTrue))) :pattern ((HasType ?v0 ?t0 ?m3) (Values ?t0 ?m3)) )) (forall ((?a Int) (?t1 boogieU)) (! (let ((?v_15 (T.Ptr ?t1))) (=> (= (type ?t1) nameType) (= (= (Match ?a ?v_15) boolTrue) (= (Field ?a) ?v_15)))) :pattern ((Match ?a (T.Ptr ?t1))) )) (forall ((?v1 Int) (?t2 boogieU) (?m4 boogieU)) (! (=> (and (= (type ?t2) nameType) (= (type ?m4) (MapType0Type nameType (MapType0Type intType intType)))) (= (= (HasType ?v1 (T.Ptr ?t2) ?m4) boolTrue) (or (= ?v1 0) (and (> ?v1 0) (= (Match ?v1 ?t2) boolTrue))))) :pattern ((HasType ?v1 (T.Ptr ?t2) ?m4)) )) (forall ((?v2 Int) (?t3 boogieU) (?m10 boogieU) (?m20 boogieU)) (! (let ((?v_16 (MapType0Type nameType (MapType0Type intType intType)))) (=> (and (= (type ?t3) nameType) (= (type ?m10) ?v_16) (= (type ?m20) ?v_16)) (= (= (HasType ?v2 ?t3 ?m10) boolTrue) (= (HasType ?v2 ?t3 ?m20) boolTrue)))) :pattern ((HasType ?v2 ?t3 ?m10) (HasType ?v2 ?t3 ?m20)) )) (forall ((?x25 Int)) (! (= (Blink__LIST_ENTRYInv (Blink__LIST_ENTRY ?x25)) ?x25) :pattern ((Blink__LIST_ENTRYInv (Blink__LIST_ENTRY ?x25))) )) (forall ((?x26 Int)) (! (= (Blink__LIST_ENTRY (Blink__LIST_ENTRYInv ?x26)) ?x26) :pattern ((Blink__LIST_ENTRYInv ?x26)) )) (forall ((?x27 boogieU) (?S12 boogieU)) (! (=> (and (= (type ?x27) intType) (= (type ?S12) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRY ?S12) ?x27)) boolTrue) (= (U_2_bool (MapType0Select ?S12 (int_2_U (Blink__LIST_ENTRYInv (U_2_int ?x27))))) boolTrue))) :pattern ((MapType0Select (x_S_Blink__LIST_ENTRY ?S12) ?x27)) )) (forall ((?x28 boogieU) (?S13 boogieU)) (! (=> (and (= (type ?x28) intType) (= (type ?S13) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRYInv ?S13) ?x28)) boolTrue) (= (U_2_bool (MapType0Select ?S13 (int_2_U (Blink__LIST_ENTRY (U_2_int ?x28))))) boolTrue))) :pattern ((MapType0Select (x_S_Blink__LIST_ENTRYInv ?S13) ?x28)) )) (forall ((?x29 boogieU) (?S14 boogieU)) (! (=> (and (= (type ?x29) intType) (= (type ?S14) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S14 ?x29)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRY ?S14) (int_2_U (Blink__LIST_ENTRY (U_2_int ?x29))))) boolTrue))) :pattern ((MapType0Select ?S14 ?x29) (x_S_Blink__LIST_ENTRY ?S14)) )) (forall ((?x30 boogieU) (?S15 boogieU)) (! (=> (and (= (type ?x30) intType) (= (type ?S15) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S15 ?x30)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRYInv ?S15) (int_2_U (Blink__LIST_ENTRYInv (U_2_int ?x30))))) boolTrue))) :pattern ((MapType0Select ?S15 ?x30) (x_S_Blink__LIST_ENTRYInv ?S15)) )) (forall ((?x31 Int)) (! (= (Blink__LIST_ENTRY ?x31) (+ ?x31 4)) :pattern ((Blink__LIST_ENTRY ?x31)) )) (forall ((?x32 Int)) (! (= (Blink__LIST_ENTRYInv ?x32) (- ?x32 4)) :pattern ((Blink__LIST_ENTRYInv ?x32)) )) (forall ((?x33 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x33 4 1) (Blink__LIST_ENTRYInv ?x33)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x33 4 1)) )) (forall ((?x34 Int)) (! (= (MINUS_LEFT_PTR ?x34 1 4) (Blink__LIST_ENTRYInv ?x34)) :pattern ((MINUS_LEFT_PTR ?x34 1 4)) )) (forall ((?x35 Int)) (! (= (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv (ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?x35)) ?x35) :pattern ((ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv (ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?x35))) )) (forall ((?x36 Int)) (! (= (ContextTypeInfo__WDF_OBJECT_ATTRIBUTES (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?x36)) ?x36) :pattern ((ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?x36)) )) (forall ((?x37 boogieU) (?S16 boogieU)) (! (=> (and (= (type ?x37) intType) (= (type ?S16) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?S16) ?x37)) boolTrue) (= (U_2_bool (MapType0Select ?S16 (int_2_U (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv (U_2_int ?x37))))) boolTrue))) :pattern ((MapType0Select (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?S16) ?x37)) )) (forall ((?x38 boogieU) (?S17 boogieU)) (! (=> (and (= (type ?x38) intType) (= (type ?S17) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?S17) ?x38)) boolTrue) (= (U_2_bool (MapType0Select ?S17 (int_2_U (ContextTypeInfo__WDF_OBJECT_ATTRIBUTES (U_2_int ?x38))))) boolTrue))) :pattern ((MapType0Select (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?S17) ?x38)) )) (forall ((?x39 boogieU) (?S18 boogieU)) (! (=> (and (= (type ?x39) intType) (= (type ?S18) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S18 ?x39)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?S18) (int_2_U (ContextTypeInfo__WDF_OBJECT_ATTRIBUTES (U_2_int ?x39))))) boolTrue))) :pattern ((MapType0Select ?S18 ?x39) (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?S18)) )) (forall ((?x40 boogieU) (?S19 boogieU)) (! (=> (and (= (type ?x40) intType) (= (type ?S19) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S19 ?x40)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?S19) (int_2_U (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv (U_2_int ?x40))))) boolTrue))) :pattern ((MapType0Select ?S19 ?x40) (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?S19)) )) (forall ((?x41 Int)) (! (= (ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?x41) (+ ?x41 28)) :pattern ((ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?x41)) )) (forall ((?x42 Int)) (! (= (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?x42) (- ?x42 28)) :pattern ((ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?x42)) )) (forall ((?x43 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x43 28 1) (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?x43)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x43 28 1)) )) (forall ((?x44 Int)) (! (= (MINUS_LEFT_PTR ?x44 1 28) (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?x44)) :pattern ((MINUS_LEFT_PTR ?x44 1 28)) )) (forall ((?x45 Int)) (! (= (Device__WORKITEM_CONTEXTInv (Device__WORKITEM_CONTEXT ?x45)) ?x45) :pattern ((Device__WORKITEM_CONTEXTInv (Device__WORKITEM_CONTEXT ?x45))) )) (forall ((?x46 Int)) (! (= (Device__WORKITEM_CONTEXT (Device__WORKITEM_CONTEXTInv ?x46)) ?x46) :pattern ((Device__WORKITEM_CONTEXTInv ?x46)) )) (forall ((?x47 boogieU) (?S20 boogieU)) (! (=> (and (= (type ?x47) intType) (= (type ?S20) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Device__WORKITEM_CONTEXT ?S20) ?x47)) boolTrue) (= (U_2_bool (MapType0Select ?S20 (int_2_U (Device__WORKITEM_CONTEXTInv (U_2_int ?x47))))) boolTrue))) :pattern ((MapType0Select (x_S_Device__WORKITEM_CONTEXT ?S20) ?x47)) )) (forall ((?x48 boogieU) (?S21 boogieU)) (! (=> (and (= (type ?x48) intType) (= (type ?S21) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Device__WORKITEM_CONTEXTInv ?S21) ?x48)) boolTrue) (= (U_2_bool (MapType0Select ?S21 (int_2_U (Device__WORKITEM_CONTEXT (U_2_int ?x48))))) boolTrue))) :pattern ((MapType0Select (x_S_Device__WORKITEM_CONTEXTInv ?S21) ?x48)) )) (forall ((?x49 boogieU) (?S22 boogieU)) (! (=> (and (= (type ?x49) intType) (= (type ?S22) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S22 ?x49)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Device__WORKITEM_CONTEXT ?S22) (int_2_U (Device__WORKITEM_CONTEXT (U_2_int ?x49))))) boolTrue))) :pattern ((MapType0Select ?S22 ?x49) (x_S_Device__WORKITEM_CONTEXT ?S22)) )) (forall ((?x50 boogieU) (?S23 boogieU)) (! (=> (and (= (type ?x50) intType) (= (type ?S23) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S23 ?x50)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Device__WORKITEM_CONTEXTInv ?S23) (int_2_U (Device__WORKITEM_CONTEXTInv (U_2_int ?x50))))) boolTrue))) :pattern ((MapType0Select ?S23 ?x50) (x_S_Device__WORKITEM_CONTEXTInv ?S23)) )) (forall ((?x51 Int)) (! (= (Device__WORKITEM_CONTEXT ?x51) (+ ?x51 0)) :pattern ((Device__WORKITEM_CONTEXT ?x51)) )) (forall ((?x52 Int)) (! (= (Device__WORKITEM_CONTEXTInv ?x52) (- ?x52 0)) :pattern ((Device__WORKITEM_CONTEXTInv ?x52)) )) (forall ((?x53 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x53 0 1) (Device__WORKITEM_CONTEXTInv ?x53)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x53 0 1)) )) (forall ((?x54 Int)) (! (= (MINUS_LEFT_PTR ?x54 1 0) (Device__WORKITEM_CONTEXTInv ?x54)) :pattern ((MINUS_LEFT_PTR ?x54 1 0)) )) (forall ((?x55 Int)) (! (= (Flink__LIST_ENTRYInv (Flink__LIST_ENTRY ?x55)) ?x55) :pattern ((Flink__LIST_ENTRYInv (Flink__LIST_ENTRY ?x55))) )) (forall ((?x56 Int)) (! (= (Flink__LIST_ENTRY (Flink__LIST_ENTRYInv ?x56)) ?x56) :pattern ((Flink__LIST_ENTRYInv ?x56)) )) (forall ((?x57 boogieU) (?S24 boogieU)) (! (=> (and (= (type ?x57) intType) (= (type ?S24) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRY ?S24) ?x57)) boolTrue) (= (U_2_bool (MapType0Select ?S24 (int_2_U (Flink__LIST_ENTRYInv (U_2_int ?x57))))) boolTrue))) :pattern ((MapType0Select (x_S_Flink__LIST_ENTRY ?S24) ?x57)) )) (forall ((?x58 boogieU) (?S25 boogieU)) (! (=> (and (= (type ?x58) intType) (= (type ?S25) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRYInv ?S25) ?x58)) boolTrue) (= (U_2_bool (MapType0Select ?S25 (int_2_U (Flink__LIST_ENTRY (U_2_int ?x58))))) boolTrue))) :pattern ((MapType0Select (x_S_Flink__LIST_ENTRYInv ?S25) ?x58)) )) (forall ((?x59 boogieU) (?S26 boogieU)) (! (=> (and (= (type ?x59) intType) (= (type ?S26) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S26 ?x59)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRY ?S26) (int_2_U (Flink__LIST_ENTRY (U_2_int ?x59))))) boolTrue))) :pattern ((MapType0Select ?S26 ?x59) (x_S_Flink__LIST_ENTRY ?S26)) )) (forall ((?x60 boogieU) (?S27 boogieU)) (! (=> (and (= (type ?x60) intType) (= (type ?S27) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S27 ?x60)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRYInv ?S27) (int_2_U (Flink__LIST_ENTRYInv (U_2_int ?x60))))) boolTrue))) :pattern ((MapType0Select ?S27 ?x60) (x_S_Flink__LIST_ENTRYInv ?S27)) )) (forall ((?x61 Int)) (! (= (Flink__LIST_ENTRY ?x61) (+ ?x61 0)) :pattern ((Flink__LIST_ENTRY ?x61)) )) (forall ((?x62 Int)) (! (= (Flink__LIST_ENTRYInv ?x62) (- ?x62 0)) :pattern ((Flink__LIST_ENTRYInv ?x62)) )) (forall ((?x63 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x63 0 1) (Flink__LIST_ENTRYInv ?x63)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x63 0 1)) )) (forall ((?x64 Int)) (! (= (MINUS_LEFT_PTR ?x64 1 0) (Flink__LIST_ENTRYInv ?x64)) :pattern ((MINUS_LEFT_PTR ?x64 1 0)) )) (forall ((?x65 Int)) (! (= (Function__URB_HEADERInv (Function__URB_HEADER ?x65)) ?x65) :pattern ((Function__URB_HEADERInv (Function__URB_HEADER ?x65))) )) (forall ((?x66 Int)) (! (= (Function__URB_HEADER (Function__URB_HEADERInv ?x66)) ?x66) :pattern ((Function__URB_HEADERInv ?x66)) )) (forall ((?x67 boogieU) (?S28 boogieU)) (! (=> (and (= (type ?x67) intType) (= (type ?S28) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Function__URB_HEADER ?S28) ?x67)) boolTrue) (= (U_2_bool (MapType0Select ?S28 (int_2_U (Function__URB_HEADERInv (U_2_int ?x67))))) boolTrue))) :pattern ((MapType0Select (x_S_Function__URB_HEADER ?S28) ?x67)) )) (forall ((?x68 boogieU) (?S29 boogieU)) (! (=> (and (= (type ?x68) intType) (= (type ?S29) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Function__URB_HEADERInv ?S29) ?x68)) boolTrue) (= (U_2_bool (MapType0Select ?S29 (int_2_U (Function__URB_HEADER (U_2_int ?x68))))) boolTrue))) :pattern ((MapType0Select (x_S_Function__URB_HEADERInv ?S29) ?x68)) )) (forall ((?x69 boogieU) (?S30 boogieU)) (! (=> (and (= (type ?x69) intType) (= (type ?S30) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S30 ?x69)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Function__URB_HEADER ?S30) (int_2_U (Function__URB_HEADER (U_2_int ?x69))))) boolTrue))) :pattern ((MapType0Select ?S30 ?x69) (x_S_Function__URB_HEADER ?S30)) )) (forall ((?x70 boogieU) (?S31 boogieU)) (! (=> (and (= (type ?x70) intType) (= (type ?S31) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S31 ?x70)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Function__URB_HEADERInv ?S31) (int_2_U (Function__URB_HEADERInv (U_2_int ?x70))))) boolTrue))) :pattern ((MapType0Select ?S31 ?x70) (x_S_Function__URB_HEADERInv ?S31)) )) (forall ((?x71 Int)) (! (= (Function__URB_HEADER ?x71) (+ ?x71 2)) :pattern ((Function__URB_HEADER ?x71)) )) (forall ((?x72 Int)) (! (= (Function__URB_HEADERInv ?x72) (- ?x72 2)) :pattern ((Function__URB_HEADERInv ?x72)) )) (forall ((?x73 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x73 2 1) (Function__URB_HEADERInv ?x73)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x73 2 1)) )) (forall ((?x74 Int)) (! (= (MINUS_LEFT_PTR ?x74 1 2) (Function__URB_HEADERInv ?x74)) :pattern ((MINUS_LEFT_PTR ?x74 1 2)) )) (forall ((?x75 Int)) (! (= (Hdr__URB_ISOCH_TRANSFERInv (Hdr__URB_ISOCH_TRANSFER ?x75)) ?x75) :pattern ((Hdr__URB_ISOCH_TRANSFERInv (Hdr__URB_ISOCH_TRANSFER ?x75))) )) (forall ((?x76 Int)) (! (= (Hdr__URB_ISOCH_TRANSFER (Hdr__URB_ISOCH_TRANSFERInv ?x76)) ?x76) :pattern ((Hdr__URB_ISOCH_TRANSFERInv ?x76)) )) (forall ((?x77 boogieU) (?S32 boogieU)) (! (=> (and (= (type ?x77) intType) (= (type ?S32) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Hdr__URB_ISOCH_TRANSFER ?S32) ?x77)) boolTrue) (= (U_2_bool (MapType0Select ?S32 (int_2_U (Hdr__URB_ISOCH_TRANSFERInv (U_2_int ?x77))))) boolTrue))) :pattern ((MapType0Select (x_S_Hdr__URB_ISOCH_TRANSFER ?S32) ?x77)) )) (forall ((?x78 boogieU) (?S33 boogieU)) (! (=> (and (= (type ?x78) intType) (= (type ?S33) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Hdr__URB_ISOCH_TRANSFERInv ?S33) ?x78)) boolTrue) (= (U_2_bool (MapType0Select ?S33 (int_2_U (Hdr__URB_ISOCH_TRANSFER (U_2_int ?x78))))) boolTrue))) :pattern ((MapType0Select (x_S_Hdr__URB_ISOCH_TRANSFERInv ?S33) ?x78)) )) (forall ((?x79 boogieU) (?S34 boogieU)) (! (=> (and (= (type ?x79) intType) (= (type ?S34) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S34 ?x79)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Hdr__URB_ISOCH_TRANSFER ?S34) (int_2_U (Hdr__URB_ISOCH_TRANSFER (U_2_int ?x79))))) boolTrue))) :pattern ((MapType0Select ?S34 ?x79) (x_S_Hdr__URB_ISOCH_TRANSFER ?S34)) )) (forall ((?x80 boogieU) (?S35 boogieU)) (! (=> (and (= (type ?x80) intType) (= (type ?S35) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S35 ?x80)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Hdr__URB_ISOCH_TRANSFERInv ?S35) (int_2_U (Hdr__URB_ISOCH_TRANSFERInv (U_2_int ?x80))))) boolTrue))) :pattern ((MapType0Select ?S35 ?x80) (x_S_Hdr__URB_ISOCH_TRANSFERInv ?S35)) )) (forall ((?x81 Int)) (! (= (Hdr__URB_ISOCH_TRANSFER ?x81) (+ ?x81 0)) :pattern ((Hdr__URB_ISOCH_TRANSFER ?x81)) )) (forall ((?x82 Int)) (! (= (Hdr__URB_ISOCH_TRANSFERInv ?x82) (- ?x82 0)) :pattern ((Hdr__URB_ISOCH_TRANSFERInv ?x82)) )) (forall ((?x83 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x83 0 1) (Hdr__URB_ISOCH_TRANSFERInv ?x83)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x83 0 1)) )) (forall ((?x84 Int)) (! (= (MINUS_LEFT_PTR ?x84 1 0) (Hdr__URB_ISOCH_TRANSFERInv ?x84)) :pattern ((MINUS_LEFT_PTR ?x84 1 0)) )) (forall ((?x85 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x85)) ?x85) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x85))) )) (forall ((?x86 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x86)) ?x86) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x86)) )) (forall ((?x87 boogieU) (?S36 boogieU)) (! (=> (and (= (type ?x87) intType) (= (type ?S36) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S36) ?x87)) boolTrue) (= (U_2_bool (MapType0Select ?S36 (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (U_2_int ?x87))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S36) ?x87)) )) (forall ((?x88 boogieU) (?S37 boogieU)) (! (=> (and (= (type ?x88) intType) (= (type ?S37) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S37) ?x88)) boolTrue) (= (U_2_bool (MapType0Select ?S37 (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (U_2_int ?x88))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S37) ?x88)) )) (forall ((?x89 boogieU) (?S38 boogieU)) (! (=> (and (= (type ?x89) intType) (= (type ?S38) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S38 ?x89)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S38) (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (U_2_int ?x89))))) boolTrue))) :pattern ((MapType0Select ?S38 ?x89) (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S38)) )) (forall ((?x90 boogieU) (?S39 boogieU)) (! (=> (and (= (type ?x90) intType) (= (type ?S39) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S39 ?x90)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S39) (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (U_2_int ?x90))))) boolTrue))) :pattern ((MapType0Select ?S39 ?x90) (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S39)) )) (forall ((?x91 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x91) (+ ?x91 8)) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x91)) )) (forall ((?x92 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x92) (- ?x92 8)) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x92)) )) (forall ((?x93 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x93 8 1) (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x93)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x93 8 1)) )) (forall ((?x94 Int)) (! (= (MINUS_LEFT_PTR ?x94 1 8) (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x94)) :pattern ((MINUS_LEFT_PTR ?x94 1 8)) )) (forall ((?x95 Int)) (! (= (IsDeviceHighSpeed__DEVICE_CONTEXTInv (IsDeviceHighSpeed__DEVICE_CONTEXT ?x95)) ?x95) :pattern ((IsDeviceHighSpeed__DEVICE_CONTEXTInv (IsDeviceHighSpeed__DEVICE_CONTEXT ?x95))) )) (forall ((?x96 Int)) (! (= (IsDeviceHighSpeed__DEVICE_CONTEXT (IsDeviceHighSpeed__DEVICE_CONTEXTInv ?x96)) ?x96) :pattern ((IsDeviceHighSpeed__DEVICE_CONTEXTInv ?x96)) )) (forall ((?x97 boogieU) (?S40 boogieU)) (! (=> (and (= (type ?x97) intType) (= (type ?S40) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsDeviceHighSpeed__DEVICE_CONTEXT ?S40) ?x97)) boolTrue) (= (U_2_bool (MapType0Select ?S40 (int_2_U (IsDeviceHighSpeed__DEVICE_CONTEXTInv (U_2_int ?x97))))) boolTrue))) :pattern ((MapType0Select (x_S_IsDeviceHighSpeed__DEVICE_CONTEXT ?S40) ?x97)) )) (forall ((?x98 boogieU) (?S41 boogieU)) (! (=> (and (= (type ?x98) intType) (= (type ?S41) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv ?S41) ?x98)) boolTrue) (= (U_2_bool (MapType0Select ?S41 (int_2_U (IsDeviceHighSpeed__DEVICE_CONTEXT (U_2_int ?x98))))) boolTrue))) :pattern ((MapType0Select (x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv ?S41) ?x98)) )) (forall ((?x99 boogieU) (?S42 boogieU)) (! (=> (and (= (type ?x99) intType) (= (type ?S42) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S42 ?x99)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsDeviceHighSpeed__DEVICE_CONTEXT ?S42) (int_2_U (IsDeviceHighSpeed__DEVICE_CONTEXT (U_2_int ?x99))))) boolTrue))) :pattern ((MapType0Select ?S42 ?x99) (x_S_IsDeviceHighSpeed__DEVICE_CONTEXT ?S42)) )) (forall ((?x100 boogieU) (?S43 boogieU)) (! (=> (and (= (type ?x100) intType) (= (type ?S43) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S43 ?x100)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv ?S43) (int_2_U (IsDeviceHighSpeed__DEVICE_CONTEXTInv (U_2_int ?x100))))) boolTrue))) :pattern ((MapType0Select ?S43 ?x100) (x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv ?S43)) )) (forall ((?x101 Int)) (! (= (IsDeviceHighSpeed__DEVICE_CONTEXT ?x101) (+ ?x101 32)) :pattern ((IsDeviceHighSpeed__DEVICE_CONTEXT ?x101)) )) (forall ((?x102 Int)) (! (= (IsDeviceHighSpeed__DEVICE_CONTEXTInv ?x102) (- ?x102 32)) :pattern ((IsDeviceHighSpeed__DEVICE_CONTEXTInv ?x102)) )) (forall ((?x103 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x103 32 1) (IsDeviceHighSpeed__DEVICE_CONTEXTInv ?x103)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x103 32 1)) )) (forall ((?x104 Int)) (! (= (MINUS_LEFT_PTR ?x104 1 32) (IsDeviceHighSpeed__DEVICE_CONTEXTInv ?x104)) :pattern ((MINUS_LEFT_PTR ?x104 1 32)) )) (forall ((?x105 Int)) (! (= (IsoPacket__URB_ISOCH_TRANSFERInv (IsoPacket__URB_ISOCH_TRANSFER ?x105)) ?x105) :pattern ((IsoPacket__URB_ISOCH_TRANSFERInv (IsoPacket__URB_ISOCH_TRANSFER ?x105))) )) (forall ((?x106 Int)) (! (= (IsoPacket__URB_ISOCH_TRANSFER (IsoPacket__URB_ISOCH_TRANSFERInv ?x106)) ?x106) :pattern ((IsoPacket__URB_ISOCH_TRANSFERInv ?x106)) )) (forall ((?x107 boogieU) (?S44 boogieU)) (! (=> (and (= (type ?x107) intType) (= (type ?S44) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsoPacket__URB_ISOCH_TRANSFER ?S44) ?x107)) boolTrue) (= (U_2_bool (MapType0Select ?S44 (int_2_U (IsoPacket__URB_ISOCH_TRANSFERInv (U_2_int ?x107))))) boolTrue))) :pattern ((MapType0Select (x_S_IsoPacket__URB_ISOCH_TRANSFER ?S44) ?x107)) )) (forall ((?x108 boogieU) (?S45 boogieU)) (! (=> (and (= (type ?x108) intType) (= (type ?S45) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsoPacket__URB_ISOCH_TRANSFERInv ?S45) ?x108)) boolTrue) (= (U_2_bool (MapType0Select ?S45 (int_2_U (IsoPacket__URB_ISOCH_TRANSFER (U_2_int ?x108))))) boolTrue))) :pattern ((MapType0Select (x_S_IsoPacket__URB_ISOCH_TRANSFERInv ?S45) ?x108)) )) (forall ((?x109 boogieU) (?S46 boogieU)) (! (=> (and (= (type ?x109) intType) (= (type ?S46) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S46 ?x109)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsoPacket__URB_ISOCH_TRANSFER ?S46) (int_2_U (IsoPacket__URB_ISOCH_TRANSFER (U_2_int ?x109))))) boolTrue))) :pattern ((MapType0Select ?S46 ?x109) (x_S_IsoPacket__URB_ISOCH_TRANSFER ?S46)) )) (forall ((?x110 boogieU) (?S47 boogieU)) (! (=> (and (= (type ?x110) intType) (= (type ?S47) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S47 ?x110)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsoPacket__URB_ISOCH_TRANSFERInv ?S47) (int_2_U (IsoPacket__URB_ISOCH_TRANSFERInv (U_2_int ?x110))))) boolTrue))) :pattern ((MapType0Select ?S47 ?x110) (x_S_IsoPacket__URB_ISOCH_TRANSFERInv ?S47)) )) (forall ((?x111 Int)) (! (= (IsoPacket__URB_ISOCH_TRANSFER ?x111) (+ ?x111 84)) :pattern ((IsoPacket__URB_ISOCH_TRANSFER ?x111)) )) (forall ((?x112 Int)) (! (= (IsoPacket__URB_ISOCH_TRANSFERInv ?x112) (- ?x112 84)) :pattern ((IsoPacket__URB_ISOCH_TRANSFERInv ?x112)) )) (forall ((?x113 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x113 84 1) (IsoPacket__URB_ISOCH_TRANSFERInv ?x113)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x113 84 1)) )) (forall ((?x114 Int)) (! (= (MINUS_LEFT_PTR ?x114 1 84) (IsoPacket__URB_ISOCH_TRANSFERInv ?x114)) :pattern ((MINUS_LEFT_PTR ?x114 1 84)) )) (forall ((?x115 Int)) (! (= (Length__REQUEST_CONTEXTInv (Length__REQUEST_CONTEXT ?x115)) ?x115) :pattern ((Length__REQUEST_CONTEXTInv (Length__REQUEST_CONTEXT ?x115))) )) (forall ((?x116 Int)) (! (= (Length__REQUEST_CONTEXT (Length__REQUEST_CONTEXTInv ?x116)) ?x116) :pattern ((Length__REQUEST_CONTEXTInv ?x116)) )) (forall ((?x117 boogieU) (?S48 boogieU)) (! (=> (and (= (type ?x117) intType) (= (type ?S48) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__REQUEST_CONTEXT ?S48) ?x117)) boolTrue) (= (U_2_bool (MapType0Select ?S48 (int_2_U (Length__REQUEST_CONTEXTInv (U_2_int ?x117))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__REQUEST_CONTEXT ?S48) ?x117)) )) (forall ((?x118 boogieU) (?S49 boogieU)) (! (=> (and (= (type ?x118) intType) (= (type ?S49) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__REQUEST_CONTEXTInv ?S49) ?x118)) boolTrue) (= (U_2_bool (MapType0Select ?S49 (int_2_U (Length__REQUEST_CONTEXT (U_2_int ?x118))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__REQUEST_CONTEXTInv ?S49) ?x118)) )) (forall ((?x119 boogieU) (?S50 boogieU)) (! (=> (and (= (type ?x119) intType) (= (type ?S50) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S50 ?x119)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__REQUEST_CONTEXT ?S50) (int_2_U (Length__REQUEST_CONTEXT (U_2_int ?x119))))) boolTrue))) :pattern ((MapType0Select ?S50 ?x119) (x_S_Length__REQUEST_CONTEXT ?S50)) )) (forall ((?x120 boogieU) (?S51 boogieU)) (! (=> (and (= (type ?x120) intType) (= (type ?S51) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S51 ?x120)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__REQUEST_CONTEXTInv ?S51) (int_2_U (Length__REQUEST_CONTEXTInv (U_2_int ?x120))))) boolTrue))) :pattern ((MapType0Select ?S51 ?x120) (x_S_Length__REQUEST_CONTEXTInv ?S51)) )) (forall ((?x121 Int)) (! (= (Length__REQUEST_CONTEXT ?x121) (+ ?x121 8)) :pattern ((Length__REQUEST_CONTEXT ?x121)) )) (forall ((?x122 Int)) (! (= (Length__REQUEST_CONTEXTInv ?x122) (- ?x122 8)) :pattern ((Length__REQUEST_CONTEXTInv ?x122)) )) (forall ((?x123 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x123 8 1) (Length__REQUEST_CONTEXTInv ?x123)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x123 8 1)) )) (forall ((?x124 Int)) (! (= (MINUS_LEFT_PTR ?x124 1 8) (Length__REQUEST_CONTEXTInv ?x124)) :pattern ((MINUS_LEFT_PTR ?x124 1 8)) )) (forall ((?x125 Int)) (! (= (Length__URB_HEADERInv (Length__URB_HEADER ?x125)) ?x125) :pattern ((Length__URB_HEADERInv (Length__URB_HEADER ?x125))) )) (forall ((?x126 Int)) (! (= (Length__URB_HEADER (Length__URB_HEADERInv ?x126)) ?x126) :pattern ((Length__URB_HEADERInv ?x126)) )) (forall ((?x127 boogieU) (?S52 boogieU)) (! (=> (and (= (type ?x127) intType) (= (type ?S52) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__URB_HEADER ?S52) ?x127)) boolTrue) (= (U_2_bool (MapType0Select ?S52 (int_2_U (Length__URB_HEADERInv (U_2_int ?x127))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__URB_HEADER ?S52) ?x127)) )) (forall ((?x128 boogieU) (?S53 boogieU)) (! (=> (and (= (type ?x128) intType) (= (type ?S53) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__URB_HEADERInv ?S53) ?x128)) boolTrue) (= (U_2_bool (MapType0Select ?S53 (int_2_U (Length__URB_HEADER (U_2_int ?x128))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__URB_HEADERInv ?S53) ?x128)) )) (forall ((?x129 boogieU) (?S54 boogieU)) (! (=> (and (= (type ?x129) intType) (= (type ?S54) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S54 ?x129)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__URB_HEADER ?S54) (int_2_U (Length__URB_HEADER (U_2_int ?x129))))) boolTrue))) :pattern ((MapType0Select ?S54 ?x129) (x_S_Length__URB_HEADER ?S54)) )) (forall ((?x130 boogieU) (?S55 boogieU)) (! (=> (and (= (type ?x130) intType) (= (type ?S55) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S55 ?x130)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__URB_HEADERInv ?S55) (int_2_U (Length__URB_HEADERInv (U_2_int ?x130))))) boolTrue))) :pattern ((MapType0Select ?S55 ?x130) (x_S_Length__URB_HEADERInv ?S55)) )) (forall ((?x131 Int)) (! (= (Length__URB_HEADER ?x131) (+ ?x131 0)) :pattern ((Length__URB_HEADER ?x131)) )) (forall ((?x132 Int)) (! (= (Length__URB_HEADERInv ?x132) (- ?x132 0)) :pattern ((Length__URB_HEADERInv ?x132)) )) (forall ((?x133 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x133 0 1) (Length__URB_HEADERInv ?x133)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x133 0 1)) )) (forall ((?x134 Int)) (! (= (MINUS_LEFT_PTR ?x134 1 0) (Length__URB_HEADERInv ?x134)) :pattern ((MINUS_LEFT_PTR ?x134 1 0)) )) (forall ((?x135 Int)) (! (= (Length__USBD_ISO_PACKET_DESCRIPTORInv (Length__USBD_ISO_PACKET_DESCRIPTOR ?x135)) ?x135) :pattern ((Length__USBD_ISO_PACKET_DESCRIPTORInv (Length__USBD_ISO_PACKET_DESCRIPTOR ?x135))) )) (forall ((?x136 Int)) (! (= (Length__USBD_ISO_PACKET_DESCRIPTOR (Length__USBD_ISO_PACKET_DESCRIPTORInv ?x136)) ?x136) :pattern ((Length__USBD_ISO_PACKET_DESCRIPTORInv ?x136)) )) (forall ((?x137 boogieU) (?S56 boogieU)) (! (=> (and (= (type ?x137) intType) (= (type ?S56) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__USBD_ISO_PACKET_DESCRIPTOR ?S56) ?x137)) boolTrue) (= (U_2_bool (MapType0Select ?S56 (int_2_U (Length__USBD_ISO_PACKET_DESCRIPTORInv (U_2_int ?x137))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__USBD_ISO_PACKET_DESCRIPTOR ?S56) ?x137)) )) (forall ((?x138 boogieU) (?S57 boogieU)) (! (=> (and (= (type ?x138) intType) (= (type ?S57) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv ?S57) ?x138)) boolTrue) (= (U_2_bool (MapType0Select ?S57 (int_2_U (Length__USBD_ISO_PACKET_DESCRIPTOR (U_2_int ?x138))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv ?S57) ?x138)) )) (forall ((?x139 boogieU) (?S58 boogieU)) (! (=> (and (= (type ?x139) intType) (= (type ?S58) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S58 ?x139)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__USBD_ISO_PACKET_DESCRIPTOR ?S58) (int_2_U (Length__USBD_ISO_PACKET_DESCRIPTOR (U_2_int ?x139))))) boolTrue))) :pattern ((MapType0Select ?S58 ?x139) (x_S_Length__USBD_ISO_PACKET_DESCRIPTOR ?S58)) )) (forall ((?x140 boogieU) (?S59 boogieU)) (! (=> (and (= (type ?x140) intType) (= (type ?S59) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S59 ?x140)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv ?S59) (int_2_U (Length__USBD_ISO_PACKET_DESCRIPTORInv (U_2_int ?x140))))) boolTrue))) :pattern ((MapType0Select ?S59 ?x140) (x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv ?S59)) )) (forall ((?x141 Int)) (! (= (Length__USBD_ISO_PACKET_DESCRIPTOR ?x141) (+ ?x141 4)) :pattern ((Length__USBD_ISO_PACKET_DESCRIPTOR ?x141)) )) (forall ((?x142 Int)) (! (= (Length__USBD_ISO_PACKET_DESCRIPTORInv ?x142) (- ?x142 4)) :pattern ((Length__USBD_ISO_PACKET_DESCRIPTORInv ?x142)) )) (forall ((?x143 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x143 4 1) (Length__USBD_ISO_PACKET_DESCRIPTORInv ?x143)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x143 4 1)) )) (forall ((?x144 Int)) (! (= (MINUS_LEFT_PTR ?x144 1 4) (Length__USBD_ISO_PACKET_DESCRIPTORInv ?x144)) :pattern ((MINUS_LEFT_PTR ?x144 1 4)) )) (forall ((?x145 Int)) (! (= (ListEntry__SUB_REQUEST_CONTEXTInv (ListEntry__SUB_REQUEST_CONTEXT ?x145)) ?x145) :pattern ((ListEntry__SUB_REQUEST_CONTEXTInv (ListEntry__SUB_REQUEST_CONTEXT ?x145))) )) (forall ((?x146 Int)) (! (= (ListEntry__SUB_REQUEST_CONTEXT (ListEntry__SUB_REQUEST_CONTEXTInv ?x146)) ?x146) :pattern ((ListEntry__SUB_REQUEST_CONTEXTInv ?x146)) )) (forall ((?x147 boogieU) (?S60 boogieU)) (! (=> (and (= (type ?x147) intType) (= (type ?S60) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ListEntry__SUB_REQUEST_CONTEXT ?S60) ?x147)) boolTrue) (= (U_2_bool (MapType0Select ?S60 (int_2_U (ListEntry__SUB_REQUEST_CONTEXTInv (U_2_int ?x147))))) boolTrue))) :pattern ((MapType0Select (x_S_ListEntry__SUB_REQUEST_CONTEXT ?S60) ?x147)) )) (forall ((?x148 boogieU) (?S61 boogieU)) (! (=> (and (= (type ?x148) intType) (= (type ?S61) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ListEntry__SUB_REQUEST_CONTEXTInv ?S61) ?x148)) boolTrue) (= (U_2_bool (MapType0Select ?S61 (int_2_U (ListEntry__SUB_REQUEST_CONTEXT (U_2_int ?x148))))) boolTrue))) :pattern ((MapType0Select (x_S_ListEntry__SUB_REQUEST_CONTEXTInv ?S61) ?x148)) )) (forall ((?x149 boogieU) (?S62 boogieU)) (! (=> (and (= (type ?x149) intType) (= (type ?S62) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S62 ?x149)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ListEntry__SUB_REQUEST_CONTEXT ?S62) (int_2_U (ListEntry__SUB_REQUEST_CONTEXT (U_2_int ?x149))))) boolTrue))) :pattern ((MapType0Select ?S62 ?x149) (x_S_ListEntry__SUB_REQUEST_CONTEXT ?S62)) )) (forall ((?x150 boogieU) (?S63 boogieU)) (! (=> (and (= (type ?x150) intType) (= (type ?S63) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S63 ?x150)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ListEntry__SUB_REQUEST_CONTEXTInv ?S63) (int_2_U (ListEntry__SUB_REQUEST_CONTEXTInv (U_2_int ?x150))))) boolTrue))) :pattern ((MapType0Select ?S63 ?x150) (x_S_ListEntry__SUB_REQUEST_CONTEXTInv ?S63)) )) (forall ((?x151 Int)) (! (= (ListEntry__SUB_REQUEST_CONTEXT ?x151) (+ ?x151 12)) :pattern ((ListEntry__SUB_REQUEST_CONTEXT ?x151)) )) (forall ((?x152 Int)) (! (= (ListEntry__SUB_REQUEST_CONTEXTInv ?x152) (- ?x152 12)) :pattern ((ListEntry__SUB_REQUEST_CONTEXTInv ?x152)) )) (forall ((?x153 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x153 12 1) (ListEntry__SUB_REQUEST_CONTEXTInv ?x153)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x153 12 1)) )) (forall ((?x154 Int)) (! (= (MINUS_LEFT_PTR ?x154 1 12) (ListEntry__SUB_REQUEST_CONTEXTInv ?x154)) :pattern ((MINUS_LEFT_PTR ?x154 1 12)) )) (forall ((?x155 Int)) (! (= (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv (MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?x155)) ?x155) :pattern ((MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv (MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?x155))) )) (forall ((?x156 Int)) (! (= (MaximumPacketSize__WDF_USB_PIPE_INFORMATION (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?x156)) ?x156) :pattern ((MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?x156)) )) (forall ((?x157 boogieU) (?S64 boogieU)) (! (=> (and (= (type ?x157) intType) (= (type ?S64) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?S64) ?x157)) boolTrue) (= (U_2_bool (MapType0Select ?S64 (int_2_U (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv (U_2_int ?x157))))) boolTrue))) :pattern ((MapType0Select (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?S64) ?x157)) )) (forall ((?x158 boogieU) (?S65 boogieU)) (! (=> (and (= (type ?x158) intType) (= (type ?S65) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?S65) ?x158)) boolTrue) (= (U_2_bool (MapType0Select ?S65 (int_2_U (MaximumPacketSize__WDF_USB_PIPE_INFORMATION (U_2_int ?x158))))) boolTrue))) :pattern ((MapType0Select (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?S65) ?x158)) )) (forall ((?x159 boogieU) (?S66 boogieU)) (! (=> (and (= (type ?x159) intType) (= (type ?S66) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S66 ?x159)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?S66) (int_2_U (MaximumPacketSize__WDF_USB_PIPE_INFORMATION (U_2_int ?x159))))) boolTrue))) :pattern ((MapType0Select ?S66 ?x159) (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?S66)) )) (forall ((?x160 boogieU) (?S67 boogieU)) (! (=> (and (= (type ?x160) intType) (= (type ?S67) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S67 ?x160)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?S67) (int_2_U (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv (U_2_int ?x160))))) boolTrue))) :pattern ((MapType0Select ?S67 ?x160) (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?S67)) )) (forall ((?x161 Int)) (! (= (MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?x161) (+ ?x161 4)) :pattern ((MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?x161)) )) (forall ((?x162 Int)) (! (= (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?x162) (- ?x162 4)) :pattern ((MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?x162)) )) (forall ((?x163 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x163 4 1) (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?x163)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x163 4 1)) )) (forall ((?x164 Int)) (! (= (MINUS_LEFT_PTR ?x164 1 4) (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?x164)) :pattern ((MINUS_LEFT_PTR ?x164 1 4)) )) (forall ((?x165 Int)) (! (= (Mdl__REQUEST_CONTEXTInv (Mdl__REQUEST_CONTEXT ?x165)) ?x165) :pattern ((Mdl__REQUEST_CONTEXTInv (Mdl__REQUEST_CONTEXT ?x165))) )) (forall ((?x166 Int)) (! (= (Mdl__REQUEST_CONTEXT (Mdl__REQUEST_CONTEXTInv ?x166)) ?x166) :pattern ((Mdl__REQUEST_CONTEXTInv ?x166)) )) (forall ((?x167 boogieU) (?S68 boogieU)) (! (=> (and (= (type ?x167) intType) (= (type ?S68) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Mdl__REQUEST_CONTEXT ?S68) ?x167)) boolTrue) (= (U_2_bool (MapType0Select ?S68 (int_2_U (Mdl__REQUEST_CONTEXTInv (U_2_int ?x167))))) boolTrue))) :pattern ((MapType0Select (x_S_Mdl__REQUEST_CONTEXT ?S68) ?x167)) )) (forall ((?x168 boogieU) (?S69 boogieU)) (! (=> (and (= (type ?x168) intType) (= (type ?S69) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Mdl__REQUEST_CONTEXTInv ?S69) ?x168)) boolTrue) (= (U_2_bool (MapType0Select ?S69 (int_2_U (Mdl__REQUEST_CONTEXT (U_2_int ?x168))))) boolTrue))) :pattern ((MapType0Select (x_S_Mdl__REQUEST_CONTEXTInv ?S69) ?x168)) )) (forall ((?x169 boogieU) (?S70 boogieU)) (! (=> (and (= (type ?x169) intType) (= (type ?S70) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S70 ?x169)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Mdl__REQUEST_CONTEXT ?S70) (int_2_U (Mdl__REQUEST_CONTEXT (U_2_int ?x169))))) boolTrue))) :pattern ((MapType0Select ?S70 ?x169) (x_S_Mdl__REQUEST_CONTEXT ?S70)) )) (forall ((?x170 boogieU) (?S71 boogieU)) (! (=> (and (= (type ?x170) intType) (= (type ?S71) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S71 ?x170)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Mdl__REQUEST_CONTEXTInv ?S71) (int_2_U (Mdl__REQUEST_CONTEXTInv (U_2_int ?x170))))) boolTrue))) :pattern ((MapType0Select ?S71 ?x170) (x_S_Mdl__REQUEST_CONTEXTInv ?S71)) )) (forall ((?x171 Int)) (! (= (Mdl__REQUEST_CONTEXT ?x171) (+ ?x171 4)) :pattern ((Mdl__REQUEST_CONTEXT ?x171)) )) (forall ((?x172 Int)) (! (= (Mdl__REQUEST_CONTEXTInv ?x172) (- ?x172 4)) :pattern ((Mdl__REQUEST_CONTEXTInv ?x172)) )) (forall ((?x173 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x173 4 1) (Mdl__REQUEST_CONTEXTInv ?x173)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x173 4 1)) )) (forall ((?x174 Int)) (! (= (MINUS_LEFT_PTR ?x174 1 4) (Mdl__REQUEST_CONTEXTInv ?x174)) :pattern ((MINUS_LEFT_PTR ?x174 1 4)) )) (forall ((?x175 Int)) (! (= (NumberConfiguredPipes__DEVICE_CONTEXTInv (NumberConfiguredPipes__DEVICE_CONTEXT ?x175)) ?x175) :pattern ((NumberConfiguredPipes__DEVICE_CONTEXTInv (NumberConfiguredPipes__DEVICE_CONTEXT ?x175))) )) (forall ((?x176 Int)) (! (= (NumberConfiguredPipes__DEVICE_CONTEXT (NumberConfiguredPipes__DEVICE_CONTEXTInv ?x176)) ?x176) :pattern ((NumberConfiguredPipes__DEVICE_CONTEXTInv ?x176)) )) (forall ((?x177 boogieU) (?S72 boogieU)) (! (=> (and (= (type ?x177) intType) (= (type ?S72) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberConfiguredPipes__DEVICE_CONTEXT ?S72) ?x177)) boolTrue) (= (U_2_bool (MapType0Select ?S72 (int_2_U (NumberConfiguredPipes__DEVICE_CONTEXTInv (U_2_int ?x177))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberConfiguredPipes__DEVICE_CONTEXT ?S72) ?x177)) )) (forall ((?x178 boogieU) (?S73 boogieU)) (! (=> (and (= (type ?x178) intType) (= (type ?S73) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv ?S73) ?x178)) boolTrue) (= (U_2_bool (MapType0Select ?S73 (int_2_U (NumberConfiguredPipes__DEVICE_CONTEXT (U_2_int ?x178))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv ?S73) ?x178)) )) (forall ((?x179 boogieU) (?S74 boogieU)) (! (=> (and (= (type ?x179) intType) (= (type ?S74) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S74 ?x179)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberConfiguredPipes__DEVICE_CONTEXT ?S74) (int_2_U (NumberConfiguredPipes__DEVICE_CONTEXT (U_2_int ?x179))))) boolTrue))) :pattern ((MapType0Select ?S74 ?x179) (x_S_NumberConfiguredPipes__DEVICE_CONTEXT ?S74)) )) (forall ((?x180 boogieU) (?S75 boogieU)) (! (=> (and (= (type ?x180) intType) (= (type ?S75) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S75 ?x180)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv ?S75) (int_2_U (NumberConfiguredPipes__DEVICE_CONTEXTInv (U_2_int ?x180))))) boolTrue))) :pattern ((MapType0Select ?S75 ?x180) (x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv ?S75)) )) (forall ((?x181 Int)) (! (= (NumberConfiguredPipes__DEVICE_CONTEXT ?x181) (+ ?x181 40)) :pattern ((NumberConfiguredPipes__DEVICE_CONTEXT ?x181)) )) (forall ((?x182 Int)) (! (= (NumberConfiguredPipes__DEVICE_CONTEXTInv ?x182) (- ?x182 40)) :pattern ((NumberConfiguredPipes__DEVICE_CONTEXTInv ?x182)) )) (forall ((?x183 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x183 40 1) (NumberConfiguredPipes__DEVICE_CONTEXTInv ?x183)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x183 40 1)) )) (forall ((?x184 Int)) (! (= (MINUS_LEFT_PTR ?x184 1 40) (NumberConfiguredPipes__DEVICE_CONTEXTInv ?x184)) :pattern ((MINUS_LEFT_PTR ?x184 1 40)) )) (forall ((?x185 Int)) (! (= (NumberOfPackets__URB_ISOCH_TRANSFERInv (NumberOfPackets__URB_ISOCH_TRANSFER ?x185)) ?x185) :pattern ((NumberOfPackets__URB_ISOCH_TRANSFERInv (NumberOfPackets__URB_ISOCH_TRANSFER ?x185))) )) (forall ((?x186 Int)) (! (= (NumberOfPackets__URB_ISOCH_TRANSFER (NumberOfPackets__URB_ISOCH_TRANSFERInv ?x186)) ?x186) :pattern ((NumberOfPackets__URB_ISOCH_TRANSFERInv ?x186)) )) (forall ((?x187 boogieU) (?S76 boogieU)) (! (=> (and (= (type ?x187) intType) (= (type ?S76) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberOfPackets__URB_ISOCH_TRANSFER ?S76) ?x187)) boolTrue) (= (U_2_bool (MapType0Select ?S76 (int_2_U (NumberOfPackets__URB_ISOCH_TRANSFERInv (U_2_int ?x187))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberOfPackets__URB_ISOCH_TRANSFER ?S76) ?x187)) )) (forall ((?x188 boogieU) (?S77 boogieU)) (! (=> (and (= (type ?x188) intType) (= (type ?S77) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv ?S77) ?x188)) boolTrue) (= (U_2_bool (MapType0Select ?S77 (int_2_U (NumberOfPackets__URB_ISOCH_TRANSFER (U_2_int ?x188))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv ?S77) ?x188)) )) (forall ((?x189 boogieU) (?S78 boogieU)) (! (=> (and (= (type ?x189) intType) (= (type ?S78) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S78 ?x189)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberOfPackets__URB_ISOCH_TRANSFER ?S78) (int_2_U (NumberOfPackets__URB_ISOCH_TRANSFER (U_2_int ?x189))))) boolTrue))) :pattern ((MapType0Select ?S78 ?x189) (x_S_NumberOfPackets__URB_ISOCH_TRANSFER ?S78)) )) (forall ((?x190 boogieU) (?S79 boogieU)) (! (=> (and (= (type ?x190) intType) (= (type ?S79) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S79 ?x190)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv ?S79) (int_2_U (NumberOfPackets__URB_ISOCH_TRANSFERInv (U_2_int ?x190))))) boolTrue))) :pattern ((MapType0Select ?S79 ?x190) (x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv ?S79)) )) (forall ((?x191 Int)) (! (= (NumberOfPackets__URB_ISOCH_TRANSFER ?x191) (+ ?x191 76)) :pattern ((NumberOfPackets__URB_ISOCH_TRANSFER ?x191)) )) (forall ((?x192 Int)) (! (= (NumberOfPackets__URB_ISOCH_TRANSFERInv ?x192) (- ?x192 76)) :pattern ((NumberOfPackets__URB_ISOCH_TRANSFERInv ?x192)) )) (forall ((?x193 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x193 76 1) (NumberOfPackets__URB_ISOCH_TRANSFERInv ?x193)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x193 76 1)) )) (forall ((?x194 Int)) (! (= (MINUS_LEFT_PTR ?x194 1 76) (NumberOfPackets__URB_ISOCH_TRANSFERInv ?x194)) :pattern ((MINUS_LEFT_PTR ?x194 1 76)) )) (forall ((?x195 Int)) (! (= (Numxfer__REQUEST_CONTEXTInv (Numxfer__REQUEST_CONTEXT ?x195)) ?x195) :pattern ((Numxfer__REQUEST_CONTEXTInv (Numxfer__REQUEST_CONTEXT ?x195))) )) (forall ((?x196 Int)) (! (= (Numxfer__REQUEST_CONTEXT (Numxfer__REQUEST_CONTEXTInv ?x196)) ?x196) :pattern ((Numxfer__REQUEST_CONTEXTInv ?x196)) )) (forall ((?x197 boogieU) (?S80 boogieU)) (! (=> (and (= (type ?x197) intType) (= (type ?S80) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Numxfer__REQUEST_CONTEXT ?S80) ?x197)) boolTrue) (= (U_2_bool (MapType0Select ?S80 (int_2_U (Numxfer__REQUEST_CONTEXTInv (U_2_int ?x197))))) boolTrue))) :pattern ((MapType0Select (x_S_Numxfer__REQUEST_CONTEXT ?S80) ?x197)) )) (forall ((?x198 boogieU) (?S81 boogieU)) (! (=> (and (= (type ?x198) intType) (= (type ?S81) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Numxfer__REQUEST_CONTEXTInv ?S81) ?x198)) boolTrue) (= (U_2_bool (MapType0Select ?S81 (int_2_U (Numxfer__REQUEST_CONTEXT (U_2_int ?x198))))) boolTrue))) :pattern ((MapType0Select (x_S_Numxfer__REQUEST_CONTEXTInv ?S81) ?x198)) )) (forall ((?x199 boogieU) (?S82 boogieU)) (! (=> (and (= (type ?x199) intType) (= (type ?S82) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S82 ?x199)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Numxfer__REQUEST_CONTEXT ?S82) (int_2_U (Numxfer__REQUEST_CONTEXT (U_2_int ?x199))))) boolTrue))) :pattern ((MapType0Select ?S82 ?x199) (x_S_Numxfer__REQUEST_CONTEXT ?S82)) )) (forall ((?x200 boogieU) (?S83 boogieU)) (! (=> (and (= (type ?x200) intType) (= (type ?S83) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S83 ?x200)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Numxfer__REQUEST_CONTEXTInv ?S83) (int_2_U (Numxfer__REQUEST_CONTEXTInv (U_2_int ?x200))))) boolTrue))) :pattern ((MapType0Select ?S83 ?x200) (x_S_Numxfer__REQUEST_CONTEXTInv ?S83)) )) (forall ((?x201 Int)) (! (= (Numxfer__REQUEST_CONTEXT ?x201) (+ ?x201 12)) :pattern ((Numxfer__REQUEST_CONTEXT ?x201)) )) (forall ((?x202 Int)) (! (= (Numxfer__REQUEST_CONTEXTInv ?x202) (- ?x202 12)) :pattern ((Numxfer__REQUEST_CONTEXTInv ?x202)) )) (forall ((?x203 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x203 12 1) (Numxfer__REQUEST_CONTEXTInv ?x203)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x203 12 1)) )) (forall ((?x204 Int)) (! (= (MINUS_LEFT_PTR ?x204 1 12) (Numxfer__REQUEST_CONTEXTInv ?x204)) :pattern ((MINUS_LEFT_PTR ?x204 1 12)) )) (forall ((?x205 Int)) (! (= (Offset__USBD_ISO_PACKET_DESCRIPTORInv (Offset__USBD_ISO_PACKET_DESCRIPTOR ?x205)) ?x205) :pattern ((Offset__USBD_ISO_PACKET_DESCRIPTORInv (Offset__USBD_ISO_PACKET_DESCRIPTOR ?x205))) )) (forall ((?x206 Int)) (! (= (Offset__USBD_ISO_PACKET_DESCRIPTOR (Offset__USBD_ISO_PACKET_DESCRIPTORInv ?x206)) ?x206) :pattern ((Offset__USBD_ISO_PACKET_DESCRIPTORInv ?x206)) )) (forall ((?x207 boogieU) (?S84 boogieU)) (! (=> (and (= (type ?x207) intType) (= (type ?S84) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR ?S84) ?x207)) boolTrue) (= (U_2_bool (MapType0Select ?S84 (int_2_U (Offset__USBD_ISO_PACKET_DESCRIPTORInv (U_2_int ?x207))))) boolTrue))) :pattern ((MapType0Select (x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR ?S84) ?x207)) )) (forall ((?x208 boogieU) (?S85 boogieU)) (! (=> (and (= (type ?x208) intType) (= (type ?S85) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv ?S85) ?x208)) boolTrue) (= (U_2_bool (MapType0Select ?S85 (int_2_U (Offset__USBD_ISO_PACKET_DESCRIPTOR (U_2_int ?x208))))) boolTrue))) :pattern ((MapType0Select (x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv ?S85) ?x208)) )) (forall ((?x209 boogieU) (?S86 boogieU)) (! (=> (and (= (type ?x209) intType) (= (type ?S86) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S86 ?x209)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR ?S86) (int_2_U (Offset__USBD_ISO_PACKET_DESCRIPTOR (U_2_int ?x209))))) boolTrue))) :pattern ((MapType0Select ?S86 ?x209) (x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR ?S86)) )) (forall ((?x210 boogieU) (?S87 boogieU)) (! (=> (and (= (type ?x210) intType) (= (type ?S87) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S87 ?x210)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv ?S87) (int_2_U (Offset__USBD_ISO_PACKET_DESCRIPTORInv (U_2_int ?x210))))) boolTrue))) :pattern ((MapType0Select ?S87 ?x210) (x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv ?S87)) )) (forall ((?x211 Int)) (! (= (Offset__USBD_ISO_PACKET_DESCRIPTOR ?x211) (+ ?x211 0)) :pattern ((Offset__USBD_ISO_PACKET_DESCRIPTOR ?x211)) )) (forall ((?x212 Int)) (! (= (Offset__USBD_ISO_PACKET_DESCRIPTORInv ?x212) (- ?x212 0)) :pattern ((Offset__USBD_ISO_PACKET_DESCRIPTORInv ?x212)) )) (forall ((?x213 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x213 0 1) (Offset__USBD_ISO_PACKET_DESCRIPTORInv ?x213)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x213 0 1)) )) (forall ((?x214 Int)) (! (= (MINUS_LEFT_PTR ?x214 1 0) (Offset__USBD_ISO_PACKET_DESCRIPTORInv ?x214)) :pattern ((MINUS_LEFT_PTR ?x214 1 0)) )) (forall ((?x215 Int)) (! (= (ParentObject__WDF_OBJECT_ATTRIBUTESInv (ParentObject__WDF_OBJECT_ATTRIBUTES ?x215)) ?x215) :pattern ((ParentObject__WDF_OBJECT_ATTRIBUTESInv (ParentObject__WDF_OBJECT_ATTRIBUTES ?x215))) )) (forall ((?x216 Int)) (! (= (ParentObject__WDF_OBJECT_ATTRIBUTES (ParentObject__WDF_OBJECT_ATTRIBUTESInv ?x216)) ?x216) :pattern ((ParentObject__WDF_OBJECT_ATTRIBUTESInv ?x216)) )) (forall ((?x217 boogieU) (?S88 boogieU)) (! (=> (and (= (type ?x217) intType) (= (type ?S88) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ParentObject__WDF_OBJECT_ATTRIBUTES ?S88) ?x217)) boolTrue) (= (U_2_bool (MapType0Select ?S88 (int_2_U (ParentObject__WDF_OBJECT_ATTRIBUTESInv (U_2_int ?x217))))) boolTrue))) :pattern ((MapType0Select (x_S_ParentObject__WDF_OBJECT_ATTRIBUTES ?S88) ?x217)) )) (forall ((?x218 boogieU) (?S89 boogieU)) (! (=> (and (= (type ?x218) intType) (= (type ?S89) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv ?S89) ?x218)) boolTrue) (= (U_2_bool (MapType0Select ?S89 (int_2_U (ParentObject__WDF_OBJECT_ATTRIBUTES (U_2_int ?x218))))) boolTrue))) :pattern ((MapType0Select (x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv ?S89) ?x218)) )) (forall ((?x219 boogieU) (?S90 boogieU)) (! (=> (and (= (type ?x219) intType) (= (type ?S90) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S90 ?x219)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ParentObject__WDF_OBJECT_ATTRIBUTES ?S90) (int_2_U (ParentObject__WDF_OBJECT_ATTRIBUTES (U_2_int ?x219))))) boolTrue))) :pattern ((MapType0Select ?S90 ?x219) (x_S_ParentObject__WDF_OBJECT_ATTRIBUTES ?S90)) )) (forall ((?x220 boogieU) (?S91 boogieU)) (! (=> (and (= (type ?x220) intType) (= (type ?S91) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S91 ?x220)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv ?S91) (int_2_U (ParentObject__WDF_OBJECT_ATTRIBUTESInv (U_2_int ?x220))))) boolTrue))) :pattern ((MapType0Select ?S91 ?x220) (x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv ?S91)) )) (forall ((?x221 Int)) (! (= (ParentObject__WDF_OBJECT_ATTRIBUTES ?x221) (+ ?x221 20)) :pattern ((ParentObject__WDF_OBJECT_ATTRIBUTES ?x221)) )) (forall ((?x222 Int)) (! (= (ParentObject__WDF_OBJECT_ATTRIBUTESInv ?x222) (- ?x222 20)) :pattern ((ParentObject__WDF_OBJECT_ATTRIBUTESInv ?x222)) )) (forall ((?x223 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x223 20 1) (ParentObject__WDF_OBJECT_ATTRIBUTESInv ?x223)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x223 20 1)) )) (forall ((?x224 Int)) (! (= (MINUS_LEFT_PTR ?x224 1 20) (ParentObject__WDF_OBJECT_ATTRIBUTESInv ?x224)) :pattern ((MINUS_LEFT_PTR ?x224 1 20)) )) (forall ((?x225 Int)) (! (= (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?x225)) ?x225) :pattern ((PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?x225))) )) (forall ((?x226 Int)) (! (= (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x226)) ?x226) :pattern ((PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x226)) )) (forall ((?x227 boogieU) (?S92 boogieU)) (! (=> (and (= (type ?x227) intType) (= (type ?S92) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?S92) ?x227)) boolTrue) (= (U_2_bool (MapType0Select ?S92 (int_2_U (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x227))))) boolTrue))) :pattern ((MapType0Select (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?S92) ?x227)) )) (forall ((?x228 boogieU) (?S93 boogieU)) (! (=> (and (= (type ?x228) intType) (= (type ?S93) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S93) ?x228)) boolTrue) (= (U_2_bool (MapType0Select ?S93 (int_2_U (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x228))))) boolTrue))) :pattern ((MapType0Select (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S93) ?x228)) )) (forall ((?x229 boogieU) (?S94 boogieU)) (! (=> (and (= (type ?x229) intType) (= (type ?S94) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S94 ?x229)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?S94) (int_2_U (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x229))))) boolTrue))) :pattern ((MapType0Select ?S94 ?x229) (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?S94)) )) (forall ((?x230 boogieU) (?S95 boogieU)) (! (=> (and (= (type ?x230) intType) (= (type ?S95) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S95 ?x230)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S95) (int_2_U (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x230))))) boolTrue))) :pattern ((MapType0Select ?S95 ?x230) (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S95)) )) (forall ((?x231 Int)) (! (= (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?x231) (+ ?x231 16)) :pattern ((PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?x231)) )) (forall ((?x232 Int)) (! (= (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x232) (- ?x232 16)) :pattern ((PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x232)) )) (forall ((?x233 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x233 16 1) (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x233)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x233 16 1)) )) (forall ((?x234 Int)) (! (= (MINUS_LEFT_PTR ?x234 1 16) (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x234)) :pattern ((MINUS_LEFT_PTR ?x234 1 16)) )) (forall ((?x235 Int)) (! (= (PipeHandle__URB_ISOCH_TRANSFERInv (PipeHandle__URB_ISOCH_TRANSFER ?x235)) ?x235) :pattern ((PipeHandle__URB_ISOCH_TRANSFERInv (PipeHandle__URB_ISOCH_TRANSFER ?x235))) )) (forall ((?x236 Int)) (! (= (PipeHandle__URB_ISOCH_TRANSFER (PipeHandle__URB_ISOCH_TRANSFERInv ?x236)) ?x236) :pattern ((PipeHandle__URB_ISOCH_TRANSFERInv ?x236)) )) (forall ((?x237 boogieU) (?S96 boogieU)) (! (=> (and (= (type ?x237) intType) (= (type ?S96) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_ISOCH_TRANSFER ?S96) ?x237)) boolTrue) (= (U_2_bool (MapType0Select ?S96 (int_2_U (PipeHandle__URB_ISOCH_TRANSFERInv (U_2_int ?x237))))) boolTrue))) :pattern ((MapType0Select (x_S_PipeHandle__URB_ISOCH_TRANSFER ?S96) ?x237)) )) (forall ((?x238 boogieU) (?S97 boogieU)) (! (=> (and (= (type ?x238) intType) (= (type ?S97) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_ISOCH_TRANSFERInv ?S97) ?x238)) boolTrue) (= (U_2_bool (MapType0Select ?S97 (int_2_U (PipeHandle__URB_ISOCH_TRANSFER (U_2_int ?x238))))) boolTrue))) :pattern ((MapType0Select (x_S_PipeHandle__URB_ISOCH_TRANSFERInv ?S97) ?x238)) )) (forall ((?x239 boogieU) (?S98 boogieU)) (! (=> (and (= (type ?x239) intType) (= (type ?S98) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S98 ?x239)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_ISOCH_TRANSFER ?S98) (int_2_U (PipeHandle__URB_ISOCH_TRANSFER (U_2_int ?x239))))) boolTrue))) :pattern ((MapType0Select ?S98 ?x239) (x_S_PipeHandle__URB_ISOCH_TRANSFER ?S98)) )) (forall ((?x240 boogieU) (?S99 boogieU)) (! (=> (and (= (type ?x240) intType) (= (type ?S99) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S99 ?x240)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_ISOCH_TRANSFERInv ?S99) (int_2_U (PipeHandle__URB_ISOCH_TRANSFERInv (U_2_int ?x240))))) boolTrue))) :pattern ((MapType0Select ?S99 ?x240) (x_S_PipeHandle__URB_ISOCH_TRANSFERInv ?S99)) )) (forall ((?x241 Int)) (! (= (PipeHandle__URB_ISOCH_TRANSFER ?x241) (+ ?x241 16)) :pattern ((PipeHandle__URB_ISOCH_TRANSFER ?x241)) )) (forall ((?x242 Int)) (! (= (PipeHandle__URB_ISOCH_TRANSFERInv ?x242) (- ?x242 16)) :pattern ((PipeHandle__URB_ISOCH_TRANSFERInv ?x242)) )) (forall ((?x243 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x243 16 1) (PipeHandle__URB_ISOCH_TRANSFERInv ?x243)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x243 16 1)) )) (forall ((?x244 Int)) (! (= (MINUS_LEFT_PTR ?x244 1 16) (PipeHandle__URB_ISOCH_TRANSFERInv ?x244)) :pattern ((MINUS_LEFT_PTR ?x244 1 16)) )) (forall ((?x245 Int)) (! (= (PipeType__WDF_USB_PIPE_INFORMATIONInv (PipeType__WDF_USB_PIPE_INFORMATION ?x245)) ?x245) :pattern ((PipeType__WDF_USB_PIPE_INFORMATIONInv (PipeType__WDF_USB_PIPE_INFORMATION ?x245))) )) (forall ((?x246 Int)) (! (= (PipeType__WDF_USB_PIPE_INFORMATION (PipeType__WDF_USB_PIPE_INFORMATIONInv ?x246)) ?x246) :pattern ((PipeType__WDF_USB_PIPE_INFORMATIONInv ?x246)) )) (forall ((?x247 boogieU) (?S100 boogieU)) (! (=> (and (= (type ?x247) intType) (= (type ?S100) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PipeType__WDF_USB_PIPE_INFORMATION ?S100) ?x247)) boolTrue) (= (U_2_bool (MapType0Select ?S100 (int_2_U (PipeType__WDF_USB_PIPE_INFORMATIONInv (U_2_int ?x247))))) boolTrue))) :pattern ((MapType0Select (x_S_PipeType__WDF_USB_PIPE_INFORMATION ?S100) ?x247)) )) (forall ((?x248 boogieU) (?S101 boogieU)) (! (=> (and (= (type ?x248) intType) (= (type ?S101) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv ?S101) ?x248)) boolTrue) (= (U_2_bool (MapType0Select ?S101 (int_2_U (PipeType__WDF_USB_PIPE_INFORMATION (U_2_int ?x248))))) boolTrue))) :pattern ((MapType0Select (x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv ?S101) ?x248)) )) (forall ((?x249 boogieU) (?S102 boogieU)) (! (=> (and (= (type ?x249) intType) (= (type ?S102) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S102 ?x249)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PipeType__WDF_USB_PIPE_INFORMATION ?S102) (int_2_U (PipeType__WDF_USB_PIPE_INFORMATION (U_2_int ?x249))))) boolTrue))) :pattern ((MapType0Select ?S102 ?x249) (x_S_PipeType__WDF_USB_PIPE_INFORMATION ?S102)) )) (forall ((?x250 boogieU) (?S103 boogieU)) (! (=> (and (= (type ?x250) intType) (= (type ?S103) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S103 ?x250)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv ?S103) (int_2_U (PipeType__WDF_USB_PIPE_INFORMATIONInv (U_2_int ?x250))))) boolTrue))) :pattern ((MapType0Select ?S103 ?x250) (x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv ?S103)) )) (forall ((?x251 Int)) (! (= (PipeType__WDF_USB_PIPE_INFORMATION ?x251) (+ ?x251 12)) :pattern ((PipeType__WDF_USB_PIPE_INFORMATION ?x251)) )) (forall ((?x252 Int)) (! (= (PipeType__WDF_USB_PIPE_INFORMATIONInv ?x252) (- ?x252 12)) :pattern ((PipeType__WDF_USB_PIPE_INFORMATIONInv ?x252)) )) (forall ((?x253 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x253 12 1) (PipeType__WDF_USB_PIPE_INFORMATIONInv ?x253)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x253 12 1)) )) (forall ((?x254 Int)) (! (= (MINUS_LEFT_PTR ?x254 1 12) (PipeType__WDF_USB_PIPE_INFORMATIONInv ?x254)) :pattern ((MINUS_LEFT_PTR ?x254 1 12)) )) (forall ((?x255 Int)) (! (= (Pipe__FILE_CONTEXTInv (Pipe__FILE_CONTEXT ?x255)) ?x255) :pattern ((Pipe__FILE_CONTEXTInv (Pipe__FILE_CONTEXT ?x255))) )) (forall ((?x256 Int)) (! (= (Pipe__FILE_CONTEXT (Pipe__FILE_CONTEXTInv ?x256)) ?x256) :pattern ((Pipe__FILE_CONTEXTInv ?x256)) )) (forall ((?x257 boogieU) (?S104 boogieU)) (! (=> (and (= (type ?x257) intType) (= (type ?S104) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Pipe__FILE_CONTEXT ?S104) ?x257)) boolTrue) (= (U_2_bool (MapType0Select ?S104 (int_2_U (Pipe__FILE_CONTEXTInv (U_2_int ?x257))))) boolTrue))) :pattern ((MapType0Select (x_S_Pipe__FILE_CONTEXT ?S104) ?x257)) )) (forall ((?x258 boogieU) (?S105 boogieU)) (! (=> (and (= (type ?x258) intType) (= (type ?S105) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Pipe__FILE_CONTEXTInv ?S105) ?x258)) boolTrue) (= (U_2_bool (MapType0Select ?S105 (int_2_U (Pipe__FILE_CONTEXT (U_2_int ?x258))))) boolTrue))) :pattern ((MapType0Select (x_S_Pipe__FILE_CONTEXTInv ?S105) ?x258)) )) (forall ((?x259 boogieU) (?S106 boogieU)) (! (=> (and (= (type ?x259) intType) (= (type ?S106) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S106 ?x259)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Pipe__FILE_CONTEXT ?S106) (int_2_U (Pipe__FILE_CONTEXT (U_2_int ?x259))))) boolTrue))) :pattern ((MapType0Select ?S106 ?x259) (x_S_Pipe__FILE_CONTEXT ?S106)) )) (forall ((?x260 boogieU) (?S107 boogieU)) (! (=> (and (= (type ?x260) intType) (= (type ?S107) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S107 ?x260)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Pipe__FILE_CONTEXTInv ?S107) (int_2_U (Pipe__FILE_CONTEXTInv (U_2_int ?x260))))) boolTrue))) :pattern ((MapType0Select ?S107 ?x260) (x_S_Pipe__FILE_CONTEXTInv ?S107)) )) (forall ((?x261 Int)) (! (= (Pipe__FILE_CONTEXT ?x261) (+ ?x261 0)) :pattern ((Pipe__FILE_CONTEXT ?x261)) )) (forall ((?x262 Int)) (! (= (Pipe__FILE_CONTEXTInv ?x262) (- ?x262 0)) :pattern ((Pipe__FILE_CONTEXTInv ?x262)) )) (forall ((?x263 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x263 0 1) (Pipe__FILE_CONTEXTInv ?x263)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x263 0 1)) )) (forall ((?x264 Int)) (! (= (MINUS_LEFT_PTR ?x264 1 0) (Pipe__FILE_CONTEXTInv ?x264)) :pattern ((MINUS_LEFT_PTR ?x264 1 0)) )) (forall ((?x265 Int)) (! (= (Pipe__WORKITEM_CONTEXTInv (Pipe__WORKITEM_CONTEXT ?x265)) ?x265) :pattern ((Pipe__WORKITEM_CONTEXTInv (Pipe__WORKITEM_CONTEXT ?x265))) )) (forall ((?x266 Int)) (! (= (Pipe__WORKITEM_CONTEXT (Pipe__WORKITEM_CONTEXTInv ?x266)) ?x266) :pattern ((Pipe__WORKITEM_CONTEXTInv ?x266)) )) (forall ((?x267 boogieU) (?S108 boogieU)) (! (=> (and (= (type ?x267) intType) (= (type ?S108) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Pipe__WORKITEM_CONTEXT ?S108) ?x267)) boolTrue) (= (U_2_bool (MapType0Select ?S108 (int_2_U (Pipe__WORKITEM_CONTEXTInv (U_2_int ?x267))))) boolTrue))) :pattern ((MapType0Select (x_S_Pipe__WORKITEM_CONTEXT ?S108) ?x267)) )) (forall ((?x268 boogieU) (?S109 boogieU)) (! (=> (and (= (type ?x268) intType) (= (type ?S109) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Pipe__WORKITEM_CONTEXTInv ?S109) ?x268)) boolTrue) (= (U_2_bool (MapType0Select ?S109 (int_2_U (Pipe__WORKITEM_CONTEXT (U_2_int ?x268))))) boolTrue))) :pattern ((MapType0Select (x_S_Pipe__WORKITEM_CONTEXTInv ?S109) ?x268)) )) (forall ((?x269 boogieU) (?S110 boogieU)) (! (=> (and (= (type ?x269) intType) (= (type ?S110) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S110 ?x269)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Pipe__WORKITEM_CONTEXT ?S110) (int_2_U (Pipe__WORKITEM_CONTEXT (U_2_int ?x269))))) boolTrue))) :pattern ((MapType0Select ?S110 ?x269) (x_S_Pipe__WORKITEM_CONTEXT ?S110)) )) (forall ((?x270 boogieU) (?S111 boogieU)) (! (=> (and (= (type ?x270) intType) (= (type ?S111) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S111 ?x270)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Pipe__WORKITEM_CONTEXTInv ?S111) (int_2_U (Pipe__WORKITEM_CONTEXTInv (U_2_int ?x270))))) boolTrue))) :pattern ((MapType0Select ?S111 ?x270) (x_S_Pipe__WORKITEM_CONTEXTInv ?S111)) )) (forall ((?x271 Int)) (! (= (Pipe__WORKITEM_CONTEXT ?x271) (+ ?x271 4)) :pattern ((Pipe__WORKITEM_CONTEXT ?x271)) )) (forall ((?x272 Int)) (! (= (Pipe__WORKITEM_CONTEXTInv ?x272) (- ?x272 4)) :pattern ((Pipe__WORKITEM_CONTEXTInv ?x272)) )) (forall ((?x273 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x273 4 1) (Pipe__WORKITEM_CONTEXTInv ?x273)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x273 4 1)) )) (forall ((?x274 Int)) (! (= (MINUS_LEFT_PTR ?x274 1 4) (Pipe__WORKITEM_CONTEXTInv ?x274)) :pattern ((MINUS_LEFT_PTR ?x274 1 4)) )) (forall ((?x275 Int)) (! (= (Read__REQUEST_CONTEXTInv (Read__REQUEST_CONTEXT ?x275)) ?x275) :pattern ((Read__REQUEST_CONTEXTInv (Read__REQUEST_CONTEXT ?x275))) )) (forall ((?x276 Int)) (! (= (Read__REQUEST_CONTEXT (Read__REQUEST_CONTEXTInv ?x276)) ?x276) :pattern ((Read__REQUEST_CONTEXTInv ?x276)) )) (forall ((?x277 boogieU) (?S112 boogieU)) (! (=> (and (= (type ?x277) intType) (= (type ?S112) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Read__REQUEST_CONTEXT ?S112) ?x277)) boolTrue) (= (U_2_bool (MapType0Select ?S112 (int_2_U (Read__REQUEST_CONTEXTInv (U_2_int ?x277))))) boolTrue))) :pattern ((MapType0Select (x_S_Read__REQUEST_CONTEXT ?S112) ?x277)) )) (forall ((?x278 boogieU) (?S113 boogieU)) (! (=> (and (= (type ?x278) intType) (= (type ?S113) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Read__REQUEST_CONTEXTInv ?S113) ?x278)) boolTrue) (= (U_2_bool (MapType0Select ?S113 (int_2_U (Read__REQUEST_CONTEXT (U_2_int ?x278))))) boolTrue))) :pattern ((MapType0Select (x_S_Read__REQUEST_CONTEXTInv ?S113) ?x278)) )) (forall ((?x279 boogieU) (?S114 boogieU)) (! (=> (and (= (type ?x279) intType) (= (type ?S114) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S114 ?x279)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Read__REQUEST_CONTEXT ?S114) (int_2_U (Read__REQUEST_CONTEXT (U_2_int ?x279))))) boolTrue))) :pattern ((MapType0Select ?S114 ?x279) (x_S_Read__REQUEST_CONTEXT ?S114)) )) (forall ((?x280 boogieU) (?S115 boogieU)) (! (=> (and (= (type ?x280) intType) (= (type ?S115) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S115 ?x280)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Read__REQUEST_CONTEXTInv ?S115) (int_2_U (Read__REQUEST_CONTEXTInv (U_2_int ?x280))))) boolTrue))) :pattern ((MapType0Select ?S115 ?x280) (x_S_Read__REQUEST_CONTEXTInv ?S115)) )) (forall ((?x281 Int)) (! (= (Read__REQUEST_CONTEXT ?x281) (+ ?x281 28)) :pattern ((Read__REQUEST_CONTEXT ?x281)) )) (forall ((?x282 Int)) (! (= (Read__REQUEST_CONTEXTInv ?x282) (- ?x282 28)) :pattern ((Read__REQUEST_CONTEXTInv ?x282)) )) (forall ((?x283 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x283 28 1) (Read__REQUEST_CONTEXTInv ?x283)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x283 28 1)) )) (forall ((?x284 Int)) (! (= (MINUS_LEFT_PTR ?x284 1 28) (Read__REQUEST_CONTEXTInv ?x284)) :pattern ((MINUS_LEFT_PTR ?x284 1 28)) )) (forall ((?x285 Int)) (! (= (Size__WDF_USB_PIPE_INFORMATIONInv (Size__WDF_USB_PIPE_INFORMATION ?x285)) ?x285) :pattern ((Size__WDF_USB_PIPE_INFORMATIONInv (Size__WDF_USB_PIPE_INFORMATION ?x285))) )) (forall ((?x286 Int)) (! (= (Size__WDF_USB_PIPE_INFORMATION (Size__WDF_USB_PIPE_INFORMATIONInv ?x286)) ?x286) :pattern ((Size__WDF_USB_PIPE_INFORMATIONInv ?x286)) )) (forall ((?x287 boogieU) (?S116 boogieU)) (! (=> (and (= (type ?x287) intType) (= (type ?S116) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Size__WDF_USB_PIPE_INFORMATION ?S116) ?x287)) boolTrue) (= (U_2_bool (MapType0Select ?S116 (int_2_U (Size__WDF_USB_PIPE_INFORMATIONInv (U_2_int ?x287))))) boolTrue))) :pattern ((MapType0Select (x_S_Size__WDF_USB_PIPE_INFORMATION ?S116) ?x287)) )) (forall ((?x288 boogieU) (?S117 boogieU)) (! (=> (and (= (type ?x288) intType) (= (type ?S117) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Size__WDF_USB_PIPE_INFORMATIONInv ?S117) ?x288)) boolTrue) (= (U_2_bool (MapType0Select ?S117 (int_2_U (Size__WDF_USB_PIPE_INFORMATION (U_2_int ?x288))))) boolTrue))) :pattern ((MapType0Select (x_S_Size__WDF_USB_PIPE_INFORMATIONInv ?S117) ?x288)) )) (forall ((?x289 boogieU) (?S118 boogieU)) (! (=> (and (= (type ?x289) intType) (= (type ?S118) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S118 ?x289)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Size__WDF_USB_PIPE_INFORMATION ?S118) (int_2_U (Size__WDF_USB_PIPE_INFORMATION (U_2_int ?x289))))) boolTrue))) :pattern ((MapType0Select ?S118 ?x289) (x_S_Size__WDF_USB_PIPE_INFORMATION ?S118)) )) (forall ((?x290 boogieU) (?S119 boogieU)) (! (=> (and (= (type ?x290) intType) (= (type ?S119) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S119 ?x290)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Size__WDF_USB_PIPE_INFORMATIONInv ?S119) (int_2_U (Size__WDF_USB_PIPE_INFORMATIONInv (U_2_int ?x290))))) boolTrue))) :pattern ((MapType0Select ?S119 ?x290) (x_S_Size__WDF_USB_PIPE_INFORMATIONInv ?S119)) )) (forall ((?x291 Int)) (! (= (Size__WDF_USB_PIPE_INFORMATION ?x291) (+ ?x291 0)) :pattern ((Size__WDF_USB_PIPE_INFORMATION ?x291)) )) (forall ((?x292 Int)) (! (= (Size__WDF_USB_PIPE_INFORMATIONInv ?x292) (- ?x292 0)) :pattern ((Size__WDF_USB_PIPE_INFORMATIONInv ?x292)) )) (forall ((?x293 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x293 0 1) (Size__WDF_USB_PIPE_INFORMATIONInv ?x293)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x293 0 1)) )) (forall ((?x294 Int)) (! (= (MINUS_LEFT_PTR ?x294 1 0) (Size__WDF_USB_PIPE_INFORMATIONInv ?x294)) :pattern ((MINUS_LEFT_PTR ?x294 1 0)) )) (forall ((?x295 Int)) (! (= (Status___unnamed_4_6a857cddInv (Status___unnamed_4_6a857cdd ?x295)) ?x295) :pattern ((Status___unnamed_4_6a857cddInv (Status___unnamed_4_6a857cdd ?x295))) )) (forall ((?x296 Int)) (! (= (Status___unnamed_4_6a857cdd (Status___unnamed_4_6a857cddInv ?x296)) ?x296) :pattern ((Status___unnamed_4_6a857cddInv ?x296)) )) (forall ((?x297 boogieU) (?S120 boogieU)) (! (=> (and (= (type ?x297) intType) (= (type ?S120) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S120) ?x297)) boolTrue) (= (U_2_bool (MapType0Select ?S120 (int_2_U (Status___unnamed_4_6a857cddInv (U_2_int ?x297))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S120) ?x297)) )) (forall ((?x298 boogieU) (?S121 boogieU)) (! (=> (and (= (type ?x298) intType) (= (type ?S121) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S121) ?x298)) boolTrue) (= (U_2_bool (MapType0Select ?S121 (int_2_U (Status___unnamed_4_6a857cdd (U_2_int ?x298))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S121) ?x298)) )) (forall ((?x299 boogieU) (?S122 boogieU)) (! (=> (and (= (type ?x299) intType) (= (type ?S122) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S122 ?x299)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S122) (int_2_U (Status___unnamed_4_6a857cdd (U_2_int ?x299))))) boolTrue))) :pattern ((MapType0Select ?S122 ?x299) (x_S_Status___unnamed_4_6a857cdd ?S122)) )) (forall ((?x300 boogieU) (?S123 boogieU)) (! (=> (and (= (type ?x300) intType) (= (type ?S123) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S123 ?x300)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S123) (int_2_U (Status___unnamed_4_6a857cddInv (U_2_int ?x300))))) boolTrue))) :pattern ((MapType0Select ?S123 ?x300) (x_S_Status___unnamed_4_6a857cddInv ?S123)) )) (forall ((?x301 Int)) (! (= (Status___unnamed_4_6a857cdd ?x301) (+ ?x301 0)) :pattern ((Status___unnamed_4_6a857cdd ?x301)) )) (forall ((?x302 Int)) (! (= (Status___unnamed_4_6a857cddInv ?x302) (- ?x302 0)) :pattern ((Status___unnamed_4_6a857cddInv ?x302)) )) (forall ((?x303 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1) (Status___unnamed_4_6a857cddInv ?x303)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1)) )) (forall ((?x304 Int)) (! (= (MINUS_LEFT_PTR ?x304 1 0) (Status___unnamed_4_6a857cddInv ?x304)) :pattern ((MINUS_LEFT_PTR ?x304 1 0)) )) (forall ((?x305 Int)) (! (= (SubMdl__SUB_REQUEST_CONTEXTInv (SubMdl__SUB_REQUEST_CONTEXT ?x305)) ?x305) :pattern ((SubMdl__SUB_REQUEST_CONTEXTInv (SubMdl__SUB_REQUEST_CONTEXT ?x305))) )) (forall ((?x306 Int)) (! (= (SubMdl__SUB_REQUEST_CONTEXT (SubMdl__SUB_REQUEST_CONTEXTInv ?x306)) ?x306) :pattern ((SubMdl__SUB_REQUEST_CONTEXTInv ?x306)) )) (forall ((?x307 boogieU) (?S124 boogieU)) (! (=> (and (= (type ?x307) intType) (= (type ?S124) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubMdl__SUB_REQUEST_CONTEXT ?S124) ?x307)) boolTrue) (= (U_2_bool (MapType0Select ?S124 (int_2_U (SubMdl__SUB_REQUEST_CONTEXTInv (U_2_int ?x307))))) boolTrue))) :pattern ((MapType0Select (x_S_SubMdl__SUB_REQUEST_CONTEXT ?S124) ?x307)) )) (forall ((?x308 boogieU) (?S125 boogieU)) (! (=> (and (= (type ?x308) intType) (= (type ?S125) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubMdl__SUB_REQUEST_CONTEXTInv ?S125) ?x308)) boolTrue) (= (U_2_bool (MapType0Select ?S125 (int_2_U (SubMdl__SUB_REQUEST_CONTEXT (U_2_int ?x308))))) boolTrue))) :pattern ((MapType0Select (x_S_SubMdl__SUB_REQUEST_CONTEXTInv ?S125) ?x308)) )) (forall ((?x309 boogieU) (?S126 boogieU)) (! (=> (and (= (type ?x309) intType) (= (type ?S126) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S126 ?x309)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubMdl__SUB_REQUEST_CONTEXT ?S126) (int_2_U (SubMdl__SUB_REQUEST_CONTEXT (U_2_int ?x309))))) boolTrue))) :pattern ((MapType0Select ?S126 ?x309) (x_S_SubMdl__SUB_REQUEST_CONTEXT ?S126)) )) (forall ((?x310 boogieU) (?S127 boogieU)) (! (=> (and (= (type ?x310) intType) (= (type ?S127) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S127 ?x310)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubMdl__SUB_REQUEST_CONTEXTInv ?S127) (int_2_U (SubMdl__SUB_REQUEST_CONTEXTInv (U_2_int ?x310))))) boolTrue))) :pattern ((MapType0Select ?S127 ?x310) (x_S_SubMdl__SUB_REQUEST_CONTEXTInv ?S127)) )) (forall ((?x311 Int)) (! (= (SubMdl__SUB_REQUEST_CONTEXT ?x311) (+ ?x311 8)) :pattern ((SubMdl__SUB_REQUEST_CONTEXT ?x311)) )) (forall ((?x312 Int)) (! (= (SubMdl__SUB_REQUEST_CONTEXTInv ?x312) (- ?x312 8)) :pattern ((SubMdl__SUB_REQUEST_CONTEXTInv ?x312)) )) (forall ((?x313 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x313 8 1) (SubMdl__SUB_REQUEST_CONTEXTInv ?x313)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x313 8 1)) )) (forall ((?x314 Int)) (! (= (MINUS_LEFT_PTR ?x314 1 8) (SubMdl__SUB_REQUEST_CONTEXTInv ?x314)) :pattern ((MINUS_LEFT_PTR ?x314 1 8)) )) (forall ((?x315 Int)) (! (= (SubRequestCollectionLock__REQUEST_CONTEXTInv (SubRequestCollectionLock__REQUEST_CONTEXT ?x315)) ?x315) :pattern ((SubRequestCollectionLock__REQUEST_CONTEXTInv (SubRequestCollectionLock__REQUEST_CONTEXT ?x315))) )) (forall ((?x316 Int)) (! (= (SubRequestCollectionLock__REQUEST_CONTEXT (SubRequestCollectionLock__REQUEST_CONTEXTInv ?x316)) ?x316) :pattern ((SubRequestCollectionLock__REQUEST_CONTEXTInv ?x316)) )) (forall ((?x317 boogieU) (?S128 boogieU)) (! (=> (and (= (type ?x317) intType) (= (type ?S128) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubRequestCollectionLock__REQUEST_CONTEXT ?S128) ?x317)) boolTrue) (= (U_2_bool (MapType0Select ?S128 (int_2_U (SubRequestCollectionLock__REQUEST_CONTEXTInv (U_2_int ?x317))))) boolTrue))) :pattern ((MapType0Select (x_S_SubRequestCollectionLock__REQUEST_CONTEXT ?S128) ?x317)) )) (forall ((?x318 boogieU) (?S129 boogieU)) (! (=> (and (= (type ?x318) intType) (= (type ?S129) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv ?S129) ?x318)) boolTrue) (= (U_2_bool (MapType0Select ?S129 (int_2_U (SubRequestCollectionLock__REQUEST_CONTEXT (U_2_int ?x318))))) boolTrue))) :pattern ((MapType0Select (x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv ?S129) ?x318)) )) (forall ((?x319 boogieU) (?S130 boogieU)) (! (=> (and (= (type ?x319) intType) (= (type ?S130) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S130 ?x319)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubRequestCollectionLock__REQUEST_CONTEXT ?S130) (int_2_U (SubRequestCollectionLock__REQUEST_CONTEXT (U_2_int ?x319))))) boolTrue))) :pattern ((MapType0Select ?S130 ?x319) (x_S_SubRequestCollectionLock__REQUEST_CONTEXT ?S130)) )) (forall ((?x320 boogieU) (?S131 boogieU)) (! (=> (and (= (type ?x320) intType) (= (type ?S131) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S131 ?x320)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv ?S131) (int_2_U (SubRequestCollectionLock__REQUEST_CONTEXTInv (U_2_int ?x320))))) boolTrue))) :pattern ((MapType0Select ?S131 ?x320) (x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv ?S131)) )) (forall ((?x321 Int)) (! (= (SubRequestCollectionLock__REQUEST_CONTEXT ?x321) (+ ?x321 24)) :pattern ((SubRequestCollectionLock__REQUEST_CONTEXT ?x321)) )) (forall ((?x322 Int)) (! (= (SubRequestCollectionLock__REQUEST_CONTEXTInv ?x322) (- ?x322 24)) :pattern ((SubRequestCollectionLock__REQUEST_CONTEXTInv ?x322)) )) (forall ((?x323 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x323 24 1) (SubRequestCollectionLock__REQUEST_CONTEXTInv ?x323)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x323 24 1)) )) (forall ((?x324 Int)) (! (= (MINUS_LEFT_PTR ?x324 1 24) (SubRequestCollectionLock__REQUEST_CONTEXTInv ?x324)) :pattern ((MINUS_LEFT_PTR ?x324 1 24)) )) (forall ((?x325 Int)) (! (= (SubRequestCollection__REQUEST_CONTEXTInv (SubRequestCollection__REQUEST_CONTEXT ?x325)) ?x325) :pattern ((SubRequestCollection__REQUEST_CONTEXTInv (SubRequestCollection__REQUEST_CONTEXT ?x325))) )) (forall ((?x326 Int)) (! (= (SubRequestCollection__REQUEST_CONTEXT (SubRequestCollection__REQUEST_CONTEXTInv ?x326)) ?x326) :pattern ((SubRequestCollection__REQUEST_CONTEXTInv ?x326)) )) (forall ((?x327 boogieU) (?S132 boogieU)) (! (=> (and (= (type ?x327) intType) (= (type ?S132) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubRequestCollection__REQUEST_CONTEXT ?S132) ?x327)) boolTrue) (= (U_2_bool (MapType0Select ?S132 (int_2_U (SubRequestCollection__REQUEST_CONTEXTInv (U_2_int ?x327))))) boolTrue))) :pattern ((MapType0Select (x_S_SubRequestCollection__REQUEST_CONTEXT ?S132) ?x327)) )) (forall ((?x328 boogieU) (?S133 boogieU)) (! (=> (and (= (type ?x328) intType) (= (type ?S133) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubRequestCollection__REQUEST_CONTEXTInv ?S133) ?x328)) boolTrue) (= (U_2_bool (MapType0Select ?S133 (int_2_U (SubRequestCollection__REQUEST_CONTEXT (U_2_int ?x328))))) boolTrue))) :pattern ((MapType0Select (x_S_SubRequestCollection__REQUEST_CONTEXTInv ?S133) ?x328)) )) (forall ((?x329 boogieU) (?S134 boogieU)) (! (=> (and (= (type ?x329) intType) (= (type ?S134) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S134 ?x329)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubRequestCollection__REQUEST_CONTEXT ?S134) (int_2_U (SubRequestCollection__REQUEST_CONTEXT (U_2_int ?x329))))) boolTrue))) :pattern ((MapType0Select ?S134 ?x329) (x_S_SubRequestCollection__REQUEST_CONTEXT ?S134)) )) (forall ((?x330 boogieU) (?S135 boogieU)) (! (=> (and (= (type ?x330) intType) (= (type ?S135) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S135 ?x330)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubRequestCollection__REQUEST_CONTEXTInv ?S135) (int_2_U (SubRequestCollection__REQUEST_CONTEXTInv (U_2_int ?x330))))) boolTrue))) :pattern ((MapType0Select ?S135 ?x330) (x_S_SubRequestCollection__REQUEST_CONTEXTInv ?S135)) )) (forall ((?x331 Int)) (! (= (SubRequestCollection__REQUEST_CONTEXT ?x331) (+ ?x331 20)) :pattern ((SubRequestCollection__REQUEST_CONTEXT ?x331)) )) (forall ((?x332 Int)) (! (= (SubRequestCollection__REQUEST_CONTEXTInv ?x332) (- ?x332 20)) :pattern ((SubRequestCollection__REQUEST_CONTEXTInv ?x332)) )) (forall ((?x333 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x333 20 1) (SubRequestCollection__REQUEST_CONTEXTInv ?x333)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x333 20 1)) )) (forall ((?x334 Int)) (! (= (MINUS_LEFT_PTR ?x334 1 20) (SubRequestCollection__REQUEST_CONTEXTInv ?x334)) :pattern ((MINUS_LEFT_PTR ?x334 1 20)) )) (forall ((?x335 Int)) (! (= (SubUrb__SUB_REQUEST_CONTEXTInv (SubUrb__SUB_REQUEST_CONTEXT ?x335)) ?x335) :pattern ((SubUrb__SUB_REQUEST_CONTEXTInv (SubUrb__SUB_REQUEST_CONTEXT ?x335))) )) (forall ((?x336 Int)) (! (= (SubUrb__SUB_REQUEST_CONTEXT (SubUrb__SUB_REQUEST_CONTEXTInv ?x336)) ?x336) :pattern ((SubUrb__SUB_REQUEST_CONTEXTInv ?x336)) )) (forall ((?x337 boogieU) (?S136 boogieU)) (! (=> (and (= (type ?x337) intType) (= (type ?S136) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubUrb__SUB_REQUEST_CONTEXT ?S136) ?x337)) boolTrue) (= (U_2_bool (MapType0Select ?S136 (int_2_U (SubUrb__SUB_REQUEST_CONTEXTInv (U_2_int ?x337))))) boolTrue))) :pattern ((MapType0Select (x_S_SubUrb__SUB_REQUEST_CONTEXT ?S136) ?x337)) )) (forall ((?x338 boogieU) (?S137 boogieU)) (! (=> (and (= (type ?x338) intType) (= (type ?S137) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubUrb__SUB_REQUEST_CONTEXTInv ?S137) ?x338)) boolTrue) (= (U_2_bool (MapType0Select ?S137 (int_2_U (SubUrb__SUB_REQUEST_CONTEXT (U_2_int ?x338))))) boolTrue))) :pattern ((MapType0Select (x_S_SubUrb__SUB_REQUEST_CONTEXTInv ?S137) ?x338)) )) (forall ((?x339 boogieU) (?S138 boogieU)) (! (=> (and (= (type ?x339) intType) (= (type ?S138) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S138 ?x339)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubUrb__SUB_REQUEST_CONTEXT ?S138) (int_2_U (SubUrb__SUB_REQUEST_CONTEXT (U_2_int ?x339))))) boolTrue))) :pattern ((MapType0Select ?S138 ?x339) (x_S_SubUrb__SUB_REQUEST_CONTEXT ?S138)) )) (forall ((?x340 boogieU) (?S139 boogieU)) (! (=> (and (= (type ?x340) intType) (= (type ?S139) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S139 ?x340)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubUrb__SUB_REQUEST_CONTEXTInv ?S139) (int_2_U (SubUrb__SUB_REQUEST_CONTEXTInv (U_2_int ?x340))))) boolTrue))) :pattern ((MapType0Select ?S139 ?x340) (x_S_SubUrb__SUB_REQUEST_CONTEXTInv ?S139)) )) (forall ((?x341 Int)) (! (= (SubUrb__SUB_REQUEST_CONTEXT ?x341) (+ ?x341 4)) :pattern ((SubUrb__SUB_REQUEST_CONTEXT ?x341)) )) (forall ((?x342 Int)) (! (= (SubUrb__SUB_REQUEST_CONTEXTInv ?x342) (- ?x342 4)) :pattern ((SubUrb__SUB_REQUEST_CONTEXTInv ?x342)) )) (forall ((?x343 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x343 4 1) (SubUrb__SUB_REQUEST_CONTEXTInv ?x343)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x343 4 1)) )) (forall ((?x344 Int)) (! (= (MINUS_LEFT_PTR ?x344 1 4) (SubUrb__SUB_REQUEST_CONTEXTInv ?x344)) :pattern ((MINUS_LEFT_PTR ?x344 1 4)) )) (forall ((?x345 Int)) (! (= (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?x345)) ?x345) :pattern ((TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?x345))) )) (forall ((?x346 Int)) (! (= (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x346)) ?x346) :pattern ((TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x346)) )) (forall ((?x347 boogieU) (?S140 boogieU)) (! (=> (and (= (type ?x347) intType) (= (type ?S140) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?S140) ?x347)) boolTrue) (= (U_2_bool (MapType0Select ?S140 (int_2_U (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x347))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?S140) ?x347)) )) (forall ((?x348 boogieU) (?S141 boogieU)) (! (=> (and (= (type ?x348) intType) (= (type ?S141) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S141) ?x348)) boolTrue) (= (U_2_bool (MapType0Select ?S141 (int_2_U (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x348))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S141) ?x348)) )) (forall ((?x349 boogieU) (?S142 boogieU)) (! (=> (and (= (type ?x349) intType) (= (type ?S142) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S142 ?x349)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?S142) (int_2_U (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x349))))) boolTrue))) :pattern ((MapType0Select ?S142 ?x349) (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?S142)) )) (forall ((?x350 boogieU) (?S143 boogieU)) (! (=> (and (= (type ?x350) intType) (= (type ?S143) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S143 ?x350)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S143) (int_2_U (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x350))))) boolTrue))) :pattern ((MapType0Select ?S143 ?x350) (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S143)) )) (forall ((?x351 Int)) (! (= (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?x351) (+ ?x351 24)) :pattern ((TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?x351)) )) (forall ((?x352 Int)) (! (= (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x352) (- ?x352 24)) :pattern ((TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x352)) )) (forall ((?x353 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x353 24 1) (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x353)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x353 24 1)) )) (forall ((?x354 Int)) (! (= (MINUS_LEFT_PTR ?x354 1 24) (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x354)) :pattern ((MINUS_LEFT_PTR ?x354 1 24)) )) (forall ((?x355 Int)) (! (= (TransferBufferLength__URB_ISOCH_TRANSFERInv (TransferBufferLength__URB_ISOCH_TRANSFER ?x355)) ?x355) :pattern ((TransferBufferLength__URB_ISOCH_TRANSFERInv (TransferBufferLength__URB_ISOCH_TRANSFER ?x355))) )) (forall ((?x356 Int)) (! (= (TransferBufferLength__URB_ISOCH_TRANSFER (TransferBufferLength__URB_ISOCH_TRANSFERInv ?x356)) ?x356) :pattern ((TransferBufferLength__URB_ISOCH_TRANSFERInv ?x356)) )) (forall ((?x357 boogieU) (?S144 boogieU)) (! (=> (and (= (type ?x357) intType) (= (type ?S144) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_ISOCH_TRANSFER ?S144) ?x357)) boolTrue) (= (U_2_bool (MapType0Select ?S144 (int_2_U (TransferBufferLength__URB_ISOCH_TRANSFERInv (U_2_int ?x357))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferLength__URB_ISOCH_TRANSFER ?S144) ?x357)) )) (forall ((?x358 boogieU) (?S145 boogieU)) (! (=> (and (= (type ?x358) intType) (= (type ?S145) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv ?S145) ?x358)) boolTrue) (= (U_2_bool (MapType0Select ?S145 (int_2_U (TransferBufferLength__URB_ISOCH_TRANSFER (U_2_int ?x358))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv ?S145) ?x358)) )) (forall ((?x359 boogieU) (?S146 boogieU)) (! (=> (and (= (type ?x359) intType) (= (type ?S146) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S146 ?x359)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_ISOCH_TRANSFER ?S146) (int_2_U (TransferBufferLength__URB_ISOCH_TRANSFER (U_2_int ?x359))))) boolTrue))) :pattern ((MapType0Select ?S146 ?x359) (x_S_TransferBufferLength__URB_ISOCH_TRANSFER ?S146)) )) (forall ((?x360 boogieU) (?S147 boogieU)) (! (=> (and (= (type ?x360) intType) (= (type ?S147) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S147 ?x360)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv ?S147) (int_2_U (TransferBufferLength__URB_ISOCH_TRANSFERInv (U_2_int ?x360))))) boolTrue))) :pattern ((MapType0Select ?S147 ?x360) (x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv ?S147)) )) (forall ((?x361 Int)) (! (= (TransferBufferLength__URB_ISOCH_TRANSFER ?x361) (+ ?x361 24)) :pattern ((TransferBufferLength__URB_ISOCH_TRANSFER ?x361)) )) (forall ((?x362 Int)) (! (= (TransferBufferLength__URB_ISOCH_TRANSFERInv ?x362) (- ?x362 24)) :pattern ((TransferBufferLength__URB_ISOCH_TRANSFERInv ?x362)) )) (forall ((?x363 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x363 24 1) (TransferBufferLength__URB_ISOCH_TRANSFERInv ?x363)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x363 24 1)) )) (forall ((?x364 Int)) (! (= (MINUS_LEFT_PTR ?x364 1 24) (TransferBufferLength__URB_ISOCH_TRANSFERInv ?x364)) :pattern ((MINUS_LEFT_PTR ?x364 1 24)) )) (forall ((?x365 Int)) (! (= (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?x365)) ?x365) :pattern ((TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?x365))) )) (forall ((?x366 Int)) (! (= (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x366)) ?x366) :pattern ((TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x366)) )) (forall ((?x367 boogieU) (?S148 boogieU)) (! (=> (and (= (type ?x367) intType) (= (type ?S148) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?S148) ?x367)) boolTrue) (= (U_2_bool (MapType0Select ?S148 (int_2_U (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x367))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?S148) ?x367)) )) (forall ((?x368 boogieU) (?S149 boogieU)) (! (=> (and (= (type ?x368) intType) (= (type ?S149) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S149) ?x368)) boolTrue) (= (U_2_bool (MapType0Select ?S149 (int_2_U (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x368))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S149) ?x368)) )) (forall ((?x369 boogieU) (?S150 boogieU)) (! (=> (and (= (type ?x369) intType) (= (type ?S150) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S150 ?x369)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?S150) (int_2_U (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x369))))) boolTrue))) :pattern ((MapType0Select ?S150 ?x369) (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?S150)) )) (forall ((?x370 boogieU) (?S151 boogieU)) (! (=> (and (= (type ?x370) intType) (= (type ?S151) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S151 ?x370)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S151) (int_2_U (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x370))))) boolTrue))) :pattern ((MapType0Select ?S151 ?x370) (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S151)) )) (forall ((?x371 Int)) (! (= (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?x371) (+ ?x371 32)) :pattern ((TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?x371)) )) (forall ((?x372 Int)) (! (= (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x372) (- ?x372 32)) :pattern ((TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x372)) )) (forall ((?x373 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x373 32 1) (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x373)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x373 32 1)) )) (forall ((?x374 Int)) (! (= (MINUS_LEFT_PTR ?x374 1 32) (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x374)) :pattern ((MINUS_LEFT_PTR ?x374 1 32)) )) (forall ((?x375 Int)) (! (= (TransferBufferMDL__URB_ISOCH_TRANSFERInv (TransferBufferMDL__URB_ISOCH_TRANSFER ?x375)) ?x375) :pattern ((TransferBufferMDL__URB_ISOCH_TRANSFERInv (TransferBufferMDL__URB_ISOCH_TRANSFER ?x375))) )) (forall ((?x376 Int)) (! (= (TransferBufferMDL__URB_ISOCH_TRANSFER (TransferBufferMDL__URB_ISOCH_TRANSFERInv ?x376)) ?x376) :pattern ((TransferBufferMDL__URB_ISOCH_TRANSFERInv ?x376)) )) (forall ((?x377 boogieU) (?S152 boogieU)) (! (=> (and (= (type ?x377) intType) (= (type ?S152) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_ISOCH_TRANSFER ?S152) ?x377)) boolTrue) (= (U_2_bool (MapType0Select ?S152 (int_2_U (TransferBufferMDL__URB_ISOCH_TRANSFERInv (U_2_int ?x377))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferMDL__URB_ISOCH_TRANSFER ?S152) ?x377)) )) (forall ((?x378 boogieU) (?S153 boogieU)) (! (=> (and (= (type ?x378) intType) (= (type ?S153) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv ?S153) ?x378)) boolTrue) (= (U_2_bool (MapType0Select ?S153 (int_2_U (TransferBufferMDL__URB_ISOCH_TRANSFER (U_2_int ?x378))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv ?S153) ?x378)) )) (forall ((?x379 boogieU) (?S154 boogieU)) (! (=> (and (= (type ?x379) intType) (= (type ?S154) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S154 ?x379)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_ISOCH_TRANSFER ?S154) (int_2_U (TransferBufferMDL__URB_ISOCH_TRANSFER (U_2_int ?x379))))) boolTrue))) :pattern ((MapType0Select ?S154 ?x379) (x_S_TransferBufferMDL__URB_ISOCH_TRANSFER ?S154)) )) (forall ((?x380 boogieU) (?S155 boogieU)) (! (=> (and (= (type ?x380) intType) (= (type ?S155) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S155 ?x380)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv ?S155) (int_2_U (TransferBufferMDL__URB_ISOCH_TRANSFERInv (U_2_int ?x380))))) boolTrue))) :pattern ((MapType0Select ?S155 ?x380) (x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv ?S155)) )) (forall ((?x381 Int)) (! (= (TransferBufferMDL__URB_ISOCH_TRANSFER ?x381) (+ ?x381 32)) :pattern ((TransferBufferMDL__URB_ISOCH_TRANSFER ?x381)) )) (forall ((?x382 Int)) (! (= (TransferBufferMDL__URB_ISOCH_TRANSFERInv ?x382) (- ?x382 32)) :pattern ((TransferBufferMDL__URB_ISOCH_TRANSFERInv ?x382)) )) (forall ((?x383 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x383 32 1) (TransferBufferMDL__URB_ISOCH_TRANSFERInv ?x383)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x383 32 1)) )) (forall ((?x384 Int)) (! (= (MINUS_LEFT_PTR ?x384 1 32) (TransferBufferMDL__URB_ISOCH_TRANSFERInv ?x384)) :pattern ((MINUS_LEFT_PTR ?x384 1 32)) )) (forall ((?x385 Int)) (! (= (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?x385)) ?x385) :pattern ((TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?x385))) )) (forall ((?x386 Int)) (! (= (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x386)) ?x386) :pattern ((TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x386)) )) (forall ((?x387 boogieU) (?S156 boogieU)) (! (=> (and (= (type ?x387) intType) (= (type ?S156) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?S156) ?x387)) boolTrue) (= (U_2_bool (MapType0Select ?S156 (int_2_U (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x387))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?S156) ?x387)) )) (forall ((?x388 boogieU) (?S157 boogieU)) (! (=> (and (= (type ?x388) intType) (= (type ?S157) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S157) ?x388)) boolTrue) (= (U_2_bool (MapType0Select ?S157 (int_2_U (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x388))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S157) ?x388)) )) (forall ((?x389 boogieU) (?S158 boogieU)) (! (=> (and (= (type ?x389) intType) (= (type ?S158) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S158 ?x389)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?S158) (int_2_U (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x389))))) boolTrue))) :pattern ((MapType0Select ?S158 ?x389) (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?S158)) )) (forall ((?x390 boogieU) (?S159 boogieU)) (! (=> (and (= (type ?x390) intType) (= (type ?S159) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S159 ?x390)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S159) (int_2_U (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x390))))) boolTrue))) :pattern ((MapType0Select ?S159 ?x390) (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S159)) )) (forall ((?x391 Int)) (! (= (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?x391) (+ ?x391 28)) :pattern ((TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?x391)) )) (forall ((?x392 Int)) (! (= (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x392) (- ?x392 28)) :pattern ((TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x392)) )) (forall ((?x393 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x393 28 1) (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x393)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x393 28 1)) )) (forall ((?x394 Int)) (! (= (MINUS_LEFT_PTR ?x394 1 28) (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x394)) :pattern ((MINUS_LEFT_PTR ?x394 1 28)) )) (forall ((?x395 Int)) (! (= (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?x395)) ?x395) :pattern ((TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?x395))) )) (forall ((?x396 Int)) (! (= (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x396)) ?x396) :pattern ((TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x396)) )) (forall ((?x397 boogieU) (?S160 boogieU)) (! (=> (and (= (type ?x397) intType) (= (type ?S160) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?S160) ?x397)) boolTrue) (= (U_2_bool (MapType0Select ?S160 (int_2_U (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x397))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?S160) ?x397)) )) (forall ((?x398 boogieU) (?S161 boogieU)) (! (=> (and (= (type ?x398) intType) (= (type ?S161) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S161) ?x398)) boolTrue) (= (U_2_bool (MapType0Select ?S161 (int_2_U (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x398))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S161) ?x398)) )) (forall ((?x399 boogieU) (?S162 boogieU)) (! (=> (and (= (type ?x399) intType) (= (type ?S162) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S162 ?x399)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?S162) (int_2_U (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x399))))) boolTrue))) :pattern ((MapType0Select ?S162 ?x399) (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?S162)) )) (forall ((?x400 boogieU) (?S163 boogieU)) (! (=> (and (= (type ?x400) intType) (= (type ?S163) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S163 ?x400)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S163) (int_2_U (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x400))))) boolTrue))) :pattern ((MapType0Select ?S163 ?x400) (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S163)) )) (forall ((?x401 Int)) (! (= (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?x401) (+ ?x401 20)) :pattern ((TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?x401)) )) (forall ((?x402 Int)) (! (= (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x402) (- ?x402 20)) :pattern ((TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x402)) )) (forall ((?x403 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x403 20 1) (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x403)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x403 20 1)) )) (forall ((?x404 Int)) (! (= (MINUS_LEFT_PTR ?x404 1 20) (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x404)) :pattern ((MINUS_LEFT_PTR ?x404 1 20)) )) (forall ((?x405 Int)) (! (= (TransferFlags__URB_ISOCH_TRANSFERInv (TransferFlags__URB_ISOCH_TRANSFER ?x405)) ?x405) :pattern ((TransferFlags__URB_ISOCH_TRANSFERInv (TransferFlags__URB_ISOCH_TRANSFER ?x405))) )) (forall ((?x406 Int)) (! (= (TransferFlags__URB_ISOCH_TRANSFER (TransferFlags__URB_ISOCH_TRANSFERInv ?x406)) ?x406) :pattern ((TransferFlags__URB_ISOCH_TRANSFERInv ?x406)) )) (forall ((?x407 boogieU) (?S164 boogieU)) (! (=> (and (= (type ?x407) intType) (= (type ?S164) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_ISOCH_TRANSFER ?S164) ?x407)) boolTrue) (= (U_2_bool (MapType0Select ?S164 (int_2_U (TransferFlags__URB_ISOCH_TRANSFERInv (U_2_int ?x407))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferFlags__URB_ISOCH_TRANSFER ?S164) ?x407)) )) (forall ((?x408 boogieU) (?S165 boogieU)) (! (=> (and (= (type ?x408) intType) (= (type ?S165) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_ISOCH_TRANSFERInv ?S165) ?x408)) boolTrue) (= (U_2_bool (MapType0Select ?S165 (int_2_U (TransferFlags__URB_ISOCH_TRANSFER (U_2_int ?x408))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferFlags__URB_ISOCH_TRANSFERInv ?S165) ?x408)) )) (forall ((?x409 boogieU) (?S166 boogieU)) (! (=> (and (= (type ?x409) intType) (= (type ?S166) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S166 ?x409)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_ISOCH_TRANSFER ?S166) (int_2_U (TransferFlags__URB_ISOCH_TRANSFER (U_2_int ?x409))))) boolTrue))) :pattern ((MapType0Select ?S166 ?x409) (x_S_TransferFlags__URB_ISOCH_TRANSFER ?S166)) )) (forall ((?x410 boogieU) (?S167 boogieU)) (! (=> (and (= (type ?x410) intType) (= (type ?S167) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S167 ?x410)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_ISOCH_TRANSFERInv ?S167) (int_2_U (TransferFlags__URB_ISOCH_TRANSFERInv (U_2_int ?x410))))) boolTrue))) :pattern ((MapType0Select ?S167 ?x410) (x_S_TransferFlags__URB_ISOCH_TRANSFERInv ?S167)) )) (forall ((?x411 Int)) (! (= (TransferFlags__URB_ISOCH_TRANSFER ?x411) (+ ?x411 20)) :pattern ((TransferFlags__URB_ISOCH_TRANSFER ?x411)) )) (forall ((?x412 Int)) (! (= (TransferFlags__URB_ISOCH_TRANSFERInv ?x412) (- ?x412 20)) :pattern ((TransferFlags__URB_ISOCH_TRANSFERInv ?x412)) )) (forall ((?x413 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x413 20 1) (TransferFlags__URB_ISOCH_TRANSFERInv ?x413)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x413 20 1)) )) (forall ((?x414 Int)) (! (= (MINUS_LEFT_PTR ?x414 1 20) (TransferFlags__URB_ISOCH_TRANSFERInv ?x414)) :pattern ((MINUS_LEFT_PTR ?x414 1 20)) )) (forall ((?x415 Int)) (! (= (Type__WDF_REQUEST_PARAMETERSInv (Type__WDF_REQUEST_PARAMETERS ?x415)) ?x415) :pattern ((Type__WDF_REQUEST_PARAMETERSInv (Type__WDF_REQUEST_PARAMETERS ?x415))) )) (forall ((?x416 Int)) (! (= (Type__WDF_REQUEST_PARAMETERS (Type__WDF_REQUEST_PARAMETERSInv ?x416)) ?x416) :pattern ((Type__WDF_REQUEST_PARAMETERSInv ?x416)) )) (forall ((?x417 boogieU) (?S168 boogieU)) (! (=> (and (= (type ?x417) intType) (= (type ?S168) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Type__WDF_REQUEST_PARAMETERS ?S168) ?x417)) boolTrue) (= (U_2_bool (MapType0Select ?S168 (int_2_U (Type__WDF_REQUEST_PARAMETERSInv (U_2_int ?x417))))) boolTrue))) :pattern ((MapType0Select (x_S_Type__WDF_REQUEST_PARAMETERS ?S168) ?x417)) )) (forall ((?x418 boogieU) (?S169 boogieU)) (! (=> (and (= (type ?x418) intType) (= (type ?S169) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Type__WDF_REQUEST_PARAMETERSInv ?S169) ?x418)) boolTrue) (= (U_2_bool (MapType0Select ?S169 (int_2_U (Type__WDF_REQUEST_PARAMETERS (U_2_int ?x418))))) boolTrue))) :pattern ((MapType0Select (x_S_Type__WDF_REQUEST_PARAMETERSInv ?S169) ?x418)) )) (forall ((?x419 boogieU) (?S170 boogieU)) (! (=> (and (= (type ?x419) intType) (= (type ?S170) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S170 ?x419)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Type__WDF_REQUEST_PARAMETERS ?S170) (int_2_U (Type__WDF_REQUEST_PARAMETERS (U_2_int ?x419))))) boolTrue))) :pattern ((MapType0Select ?S170 ?x419) (x_S_Type__WDF_REQUEST_PARAMETERS ?S170)) )) (forall ((?x420 boogieU) (?S171 boogieU)) (! (=> (and (= (type ?x420) intType) (= (type ?S171) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S171 ?x420)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Type__WDF_REQUEST_PARAMETERSInv ?S171) (int_2_U (Type__WDF_REQUEST_PARAMETERSInv (U_2_int ?x420))))) boolTrue))) :pattern ((MapType0Select ?S171 ?x420) (x_S_Type__WDF_REQUEST_PARAMETERSInv ?S171)) )) (forall ((?x421 Int)) (! (= (Type__WDF_REQUEST_PARAMETERS ?x421) (+ ?x421 4)) :pattern ((Type__WDF_REQUEST_PARAMETERS ?x421)) )) (forall ((?x422 Int)) (! (= (Type__WDF_REQUEST_PARAMETERSInv ?x422) (- ?x422 4)) :pattern ((Type__WDF_REQUEST_PARAMETERSInv ?x422)) )) (forall ((?x423 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x423 4 1) (Type__WDF_REQUEST_PARAMETERSInv ?x423)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x423 4 1)) )) (forall ((?x424 Int)) (! (= (MINUS_LEFT_PTR ?x424 1 4) (Type__WDF_REQUEST_PARAMETERSInv ?x424)) :pattern ((MINUS_LEFT_PTR ?x424 1 4)) )) (forall ((?x425 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x425)) ?x425) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x425))) )) (forall ((?x426 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x426)) ?x426) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x426)) )) (forall ((?x427 boogieU) (?S172 boogieU)) (! (=> (and (= (type ?x427) intType) (= (type ?S172) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S172) ?x427)) boolTrue) (= (U_2_bool (MapType0Select ?S172 (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (U_2_int ?x427))))) boolTrue))) :pattern ((MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S172) ?x427)) )) (forall ((?x428 boogieU) (?S173 boogieU)) (! (=> (and (= (type ?x428) intType) (= (type ?S173) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S173) ?x428)) boolTrue) (= (U_2_bool (MapType0Select ?S173 (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (U_2_int ?x428))))) boolTrue))) :pattern ((MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S173) ?x428)) )) (forall ((?x429 boogieU) (?S174 boogieU)) (! (=> (and (= (type ?x429) intType) (= (type ?S174) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S174 ?x429)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S174) (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (U_2_int ?x429))))) boolTrue))) :pattern ((MapType0Select ?S174 ?x429) (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S174)) )) (forall ((?x430 boogieU) (?S175 boogieU)) (! (=> (and (= (type ?x430) intType) (= (type ?S175) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S175 ?x430)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S175) (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (U_2_int ?x430))))) boolTrue))) :pattern ((MapType0Select ?S175 ?x430) (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S175)) )) (forall ((?x431 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x431) (+ ?x431 12)) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x431)) )) (forall ((?x432 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x432) (- ?x432 12)) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x432)) )) (forall ((?x433 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x433 12 1) (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x433)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x433 12 1)) )) (forall ((?x434 Int)) (! (= (MINUS_LEFT_PTR ?x434 1 12) (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x434)) :pattern ((MINUS_LEFT_PTR ?x434 1 12)) )) (forall ((?x435 Int)) (! (= (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv (UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?x435)) ?x435) :pattern ((UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv (UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?x435))) )) (forall ((?x436 Int)) (! (= (UrbBulkOrInterruptTransfer___unnamed_96_e511a626 (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?x436)) ?x436) :pattern ((UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?x436)) )) (forall ((?x437 boogieU) (?S176 boogieU)) (! (=> (and (= (type ?x437) intType) (= (type ?S176) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?S176) ?x437)) boolTrue) (= (U_2_bool (MapType0Select ?S176 (int_2_U (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv (U_2_int ?x437))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?S176) ?x437)) )) (forall ((?x438 boogieU) (?S177 boogieU)) (! (=> (and (= (type ?x438) intType) (= (type ?S177) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?S177) ?x438)) boolTrue) (= (U_2_bool (MapType0Select ?S177 (int_2_U (UrbBulkOrInterruptTransfer___unnamed_96_e511a626 (U_2_int ?x438))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?S177) ?x438)) )) (forall ((?x439 boogieU) (?S178 boogieU)) (! (=> (and (= (type ?x439) intType) (= (type ?S178) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S178 ?x439)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?S178) (int_2_U (UrbBulkOrInterruptTransfer___unnamed_96_e511a626 (U_2_int ?x439))))) boolTrue))) :pattern ((MapType0Select ?S178 ?x439) (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?S178)) )) (forall ((?x440 boogieU) (?S179 boogieU)) (! (=> (and (= (type ?x440) intType) (= (type ?S179) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S179 ?x440)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?S179) (int_2_U (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv (U_2_int ?x440))))) boolTrue))) :pattern ((MapType0Select ?S179 ?x440) (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?S179)) )) (forall ((?x441 Int)) (! (= (UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?x441) (+ ?x441 0)) :pattern ((UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?x441)) )) (forall ((?x442 Int)) (! (= (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?x442) (- ?x442 0)) :pattern ((UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?x442)) )) (forall ((?x443 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x443 0 1) (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?x443)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x443 0 1)) )) (forall ((?x444 Int)) (! (= (MINUS_LEFT_PTR ?x444 1 0) (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?x444)) :pattern ((MINUS_LEFT_PTR ?x444 1 0)) )) (forall ((?x445 Int)) (! (= (UrbHeader___unnamed_96_e511a626Inv (UrbHeader___unnamed_96_e511a626 ?x445)) ?x445) :pattern ((UrbHeader___unnamed_96_e511a626Inv (UrbHeader___unnamed_96_e511a626 ?x445))) )) (forall ((?x446 Int)) (! (= (UrbHeader___unnamed_96_e511a626 (UrbHeader___unnamed_96_e511a626Inv ?x446)) ?x446) :pattern ((UrbHeader___unnamed_96_e511a626Inv ?x446)) )) (forall ((?x447 boogieU) (?S180 boogieU)) (! (=> (and (= (type ?x447) intType) (= (type ?S180) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbHeader___unnamed_96_e511a626 ?S180) ?x447)) boolTrue) (= (U_2_bool (MapType0Select ?S180 (int_2_U (UrbHeader___unnamed_96_e511a626Inv (U_2_int ?x447))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbHeader___unnamed_96_e511a626 ?S180) ?x447)) )) (forall ((?x448 boogieU) (?S181 boogieU)) (! (=> (and (= (type ?x448) intType) (= (type ?S181) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbHeader___unnamed_96_e511a626Inv ?S181) ?x448)) boolTrue) (= (U_2_bool (MapType0Select ?S181 (int_2_U (UrbHeader___unnamed_96_e511a626 (U_2_int ?x448))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbHeader___unnamed_96_e511a626Inv ?S181) ?x448)) )) (forall ((?x449 boogieU) (?S182 boogieU)) (! (=> (and (= (type ?x449) intType) (= (type ?S182) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S182 ?x449)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbHeader___unnamed_96_e511a626 ?S182) (int_2_U (UrbHeader___unnamed_96_e511a626 (U_2_int ?x449))))) boolTrue))) :pattern ((MapType0Select ?S182 ?x449) (x_S_UrbHeader___unnamed_96_e511a626 ?S182)) )) (forall ((?x450 boogieU) (?S183 boogieU)) (! (=> (and (= (type ?x450) intType) (= (type ?S183) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S183 ?x450)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbHeader___unnamed_96_e511a626Inv ?S183) (int_2_U (UrbHeader___unnamed_96_e511a626Inv (U_2_int ?x450))))) boolTrue))) :pattern ((MapType0Select ?S183 ?x450) (x_S_UrbHeader___unnamed_96_e511a626Inv ?S183)) )) (forall ((?x451 Int)) (! (= (UrbHeader___unnamed_96_e511a626 ?x451) (+ ?x451 0)) :pattern ((UrbHeader___unnamed_96_e511a626 ?x451)) )) (forall ((?x452 Int)) (! (= (UrbHeader___unnamed_96_e511a626Inv ?x452) (- ?x452 0)) :pattern ((UrbHeader___unnamed_96_e511a626Inv ?x452)) )) (forall ((?x453 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x453 0 1) (UrbHeader___unnamed_96_e511a626Inv ?x453)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x453 0 1)) )) (forall ((?x454 Int)) (! (= (MINUS_LEFT_PTR ?x454 1 0) (UrbHeader___unnamed_96_e511a626Inv ?x454)) :pattern ((MINUS_LEFT_PTR ?x454 1 0)) )) (forall ((?x455 Int)) (! (= (UrbIsochronousTransfer___unnamed_96_e511a626Inv (UrbIsochronousTransfer___unnamed_96_e511a626 ?x455)) ?x455) :pattern ((UrbIsochronousTransfer___unnamed_96_e511a626Inv (UrbIsochronousTransfer___unnamed_96_e511a626 ?x455))) )) (forall ((?x456 Int)) (! (= (UrbIsochronousTransfer___unnamed_96_e511a626 (UrbIsochronousTransfer___unnamed_96_e511a626Inv ?x456)) ?x456) :pattern ((UrbIsochronousTransfer___unnamed_96_e511a626Inv ?x456)) )) (forall ((?x457 boogieU) (?S184 boogieU)) (! (=> (and (= (type ?x457) intType) (= (type ?S184) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbIsochronousTransfer___unnamed_96_e511a626 ?S184) ?x457)) boolTrue) (= (U_2_bool (MapType0Select ?S184 (int_2_U (UrbIsochronousTransfer___unnamed_96_e511a626Inv (U_2_int ?x457))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbIsochronousTransfer___unnamed_96_e511a626 ?S184) ?x457)) )) (forall ((?x458 boogieU) (?S185 boogieU)) (! (=> (and (= (type ?x458) intType) (= (type ?S185) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv ?S185) ?x458)) boolTrue) (= (U_2_bool (MapType0Select ?S185 (int_2_U (UrbIsochronousTransfer___unnamed_96_e511a626 (U_2_int ?x458))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv ?S185) ?x458)) )) (forall ((?x459 boogieU) (?S186 boogieU)) (! (=> (and (= (type ?x459) intType) (= (type ?S186) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S186 ?x459)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbIsochronousTransfer___unnamed_96_e511a626 ?S186) (int_2_U (UrbIsochronousTransfer___unnamed_96_e511a626 (U_2_int ?x459))))) boolTrue))) :pattern ((MapType0Select ?S186 ?x459) (x_S_UrbIsochronousTransfer___unnamed_96_e511a626 ?S186)) )) (forall ((?x460 boogieU) (?S187 boogieU)) (! (=> (and (= (type ?x460) intType) (= (type ?S187) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S187 ?x460)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv ?S187) (int_2_U (UrbIsochronousTransfer___unnamed_96_e511a626Inv (U_2_int ?x460))))) boolTrue))) :pattern ((MapType0Select ?S187 ?x460) (x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv ?S187)) )) (forall ((?x461 Int)) (! (= (UrbIsochronousTransfer___unnamed_96_e511a626 ?x461) (+ ?x461 0)) :pattern ((UrbIsochronousTransfer___unnamed_96_e511a626 ?x461)) )) (forall ((?x462 Int)) (! (= (UrbIsochronousTransfer___unnamed_96_e511a626Inv ?x462) (- ?x462 0)) :pattern ((UrbIsochronousTransfer___unnamed_96_e511a626Inv ?x462)) )) (forall ((?x463 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x463 0 1) (UrbIsochronousTransfer___unnamed_96_e511a626Inv ?x463)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x463 0 1)) )) (forall ((?x464 Int)) (! (= (MINUS_LEFT_PTR ?x464 1 0) (UrbIsochronousTransfer___unnamed_96_e511a626Inv ?x464)) :pattern ((MINUS_LEFT_PTR ?x464 1 0)) )) (forall ((?x465 Int)) (! (= (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?x465)) ?x465) :pattern ((UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?x465))) )) (forall ((?x466 Int)) (! (= (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x466)) ?x466) :pattern ((UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x466)) )) (forall ((?x467 boogieU) (?S188 boogieU)) (! (=> (and (= (type ?x467) intType) (= (type ?S188) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?S188) ?x467)) boolTrue) (= (U_2_bool (MapType0Select ?S188 (int_2_U (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x467))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?S188) ?x467)) )) (forall ((?x468 boogieU) (?S189 boogieU)) (! (=> (and (= (type ?x468) intType) (= (type ?S189) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S189) ?x468)) boolTrue) (= (U_2_bool (MapType0Select ?S189 (int_2_U (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x468))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S189) ?x468)) )) (forall ((?x469 boogieU) (?S190 boogieU)) (! (=> (and (= (type ?x469) intType) (= (type ?S190) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S190 ?x469)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?S190) (int_2_U (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x469))))) boolTrue))) :pattern ((MapType0Select ?S190 ?x469) (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?S190)) )) (forall ((?x470 boogieU) (?S191 boogieU)) (! (=> (and (= (type ?x470) intType) (= (type ?S191) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S191 ?x470)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S191) (int_2_U (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x470))))) boolTrue))) :pattern ((MapType0Select ?S191 ?x470) (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S191)) )) (forall ((?x471 Int)) (! (= (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?x471) (+ ?x471 36)) :pattern ((UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?x471)) )) (forall ((?x472 Int)) (! (= (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x472) (- ?x472 36)) :pattern ((UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x472)) )) (forall ((?x473 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x473 36 1) (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x473)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x473 36 1)) )) (forall ((?x474 Int)) (! (= (MINUS_LEFT_PTR ?x474 1 36) (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x474)) :pattern ((MINUS_LEFT_PTR ?x474 1 36)) )) (forall ((?x475 Int)) (! (= (UrbLink__URB_ISOCH_TRANSFERInv (UrbLink__URB_ISOCH_TRANSFER ?x475)) ?x475) :pattern ((UrbLink__URB_ISOCH_TRANSFERInv (UrbLink__URB_ISOCH_TRANSFER ?x475))) )) (forall ((?x476 Int)) (! (= (UrbLink__URB_ISOCH_TRANSFER (UrbLink__URB_ISOCH_TRANSFERInv ?x476)) ?x476) :pattern ((UrbLink__URB_ISOCH_TRANSFERInv ?x476)) )) (forall ((?x477 boogieU) (?S192 boogieU)) (! (=> (and (= (type ?x477) intType) (= (type ?S192) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_ISOCH_TRANSFER ?S192) ?x477)) boolTrue) (= (U_2_bool (MapType0Select ?S192 (int_2_U (UrbLink__URB_ISOCH_TRANSFERInv (U_2_int ?x477))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbLink__URB_ISOCH_TRANSFER ?S192) ?x477)) )) (forall ((?x478 boogieU) (?S193 boogieU)) (! (=> (and (= (type ?x478) intType) (= (type ?S193) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_ISOCH_TRANSFERInv ?S193) ?x478)) boolTrue) (= (U_2_bool (MapType0Select ?S193 (int_2_U (UrbLink__URB_ISOCH_TRANSFER (U_2_int ?x478))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbLink__URB_ISOCH_TRANSFERInv ?S193) ?x478)) )) (forall ((?x479 boogieU) (?S194 boogieU)) (! (=> (and (= (type ?x479) intType) (= (type ?S194) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S194 ?x479)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_ISOCH_TRANSFER ?S194) (int_2_U (UrbLink__URB_ISOCH_TRANSFER (U_2_int ?x479))))) boolTrue))) :pattern ((MapType0Select ?S194 ?x479) (x_S_UrbLink__URB_ISOCH_TRANSFER ?S194)) )) (forall ((?x480 boogieU) (?S195 boogieU)) (! (=> (and (= (type ?x480) intType) (= (type ?S195) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S195 ?x480)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_ISOCH_TRANSFERInv ?S195) (int_2_U (UrbLink__URB_ISOCH_TRANSFERInv (U_2_int ?x480))))) boolTrue))) :pattern ((MapType0Select ?S195 ?x480) (x_S_UrbLink__URB_ISOCH_TRANSFERInv ?S195)) )) (forall ((?x481 Int)) (! (= (UrbLink__URB_ISOCH_TRANSFER ?x481) (+ ?x481 36)) :pattern ((UrbLink__URB_ISOCH_TRANSFER ?x481)) )) (forall ((?x482 Int)) (! (= (UrbLink__URB_ISOCH_TRANSFERInv ?x482) (- ?x482 36)) :pattern ((UrbLink__URB_ISOCH_TRANSFERInv ?x482)) )) (forall ((?x483 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x483 36 1) (UrbLink__URB_ISOCH_TRANSFERInv ?x483)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x483 36 1)) )) (forall ((?x484 Int)) (! (= (MINUS_LEFT_PTR ?x484 1 36) (UrbLink__URB_ISOCH_TRANSFERInv ?x484)) :pattern ((MINUS_LEFT_PTR ?x484 1 36)) )) (forall ((?x485 Int)) (! (= (UrbMemory__REQUEST_CONTEXTInv (UrbMemory__REQUEST_CONTEXT ?x485)) ?x485) :pattern ((UrbMemory__REQUEST_CONTEXTInv (UrbMemory__REQUEST_CONTEXT ?x485))) )) (forall ((?x486 Int)) (! (= (UrbMemory__REQUEST_CONTEXT (UrbMemory__REQUEST_CONTEXTInv ?x486)) ?x486) :pattern ((UrbMemory__REQUEST_CONTEXTInv ?x486)) )) (forall ((?x487 boogieU) (?S196 boogieU)) (! (=> (and (= (type ?x487) intType) (= (type ?S196) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbMemory__REQUEST_CONTEXT ?S196) ?x487)) boolTrue) (= (U_2_bool (MapType0Select ?S196 (int_2_U (UrbMemory__REQUEST_CONTEXTInv (U_2_int ?x487))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbMemory__REQUEST_CONTEXT ?S196) ?x487)) )) (forall ((?x488 boogieU) (?S197 boogieU)) (! (=> (and (= (type ?x488) intType) (= (type ?S197) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbMemory__REQUEST_CONTEXTInv ?S197) ?x488)) boolTrue) (= (U_2_bool (MapType0Select ?S197 (int_2_U (UrbMemory__REQUEST_CONTEXT (U_2_int ?x488))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbMemory__REQUEST_CONTEXTInv ?S197) ?x488)) )) (forall ((?x489 boogieU) (?S198 boogieU)) (! (=> (and (= (type ?x489) intType) (= (type ?S198) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S198 ?x489)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbMemory__REQUEST_CONTEXT ?S198) (int_2_U (UrbMemory__REQUEST_CONTEXT (U_2_int ?x489))))) boolTrue))) :pattern ((MapType0Select ?S198 ?x489) (x_S_UrbMemory__REQUEST_CONTEXT ?S198)) )) (forall ((?x490 boogieU) (?S199 boogieU)) (! (=> (and (= (type ?x490) intType) (= (type ?S199) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S199 ?x490)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbMemory__REQUEST_CONTEXTInv ?S199) (int_2_U (UrbMemory__REQUEST_CONTEXTInv (U_2_int ?x490))))) boolTrue))) :pattern ((MapType0Select ?S199 ?x490) (x_S_UrbMemory__REQUEST_CONTEXTInv ?S199)) )) (forall ((?x491 Int)) (! (= (UrbMemory__REQUEST_CONTEXT ?x491) (+ ?x491 0)) :pattern ((UrbMemory__REQUEST_CONTEXT ?x491)) )) (forall ((?x492 Int)) (! (= (UrbMemory__REQUEST_CONTEXTInv ?x492) (- ?x492 0)) :pattern ((UrbMemory__REQUEST_CONTEXTInv ?x492)) )) (forall ((?x493 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x493 0 1) (UrbMemory__REQUEST_CONTEXTInv ?x493)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x493 0 1)) )) (forall ((?x494 Int)) (! (= (MINUS_LEFT_PTR ?x494 1 0) (UrbMemory__REQUEST_CONTEXTInv ?x494)) :pattern ((MINUS_LEFT_PTR ?x494 1 0)) )) (forall ((?x495 Int)) (! (= (UsbConfigurationDescriptor__DEVICE_CONTEXTInv (UsbConfigurationDescriptor__DEVICE_CONTEXT ?x495)) ?x495) :pattern ((UsbConfigurationDescriptor__DEVICE_CONTEXTInv (UsbConfigurationDescriptor__DEVICE_CONTEXT ?x495))) )) (forall ((?x496 Int)) (! (= (UsbConfigurationDescriptor__DEVICE_CONTEXT (UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?x496)) ?x496) :pattern ((UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?x496)) )) (forall ((?x497 boogieU) (?S200 boogieU)) (! (=> (and (= (type ?x497) intType) (= (type ?S200) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT ?S200) ?x497)) boolTrue) (= (U_2_bool (MapType0Select ?S200 (int_2_U (UsbConfigurationDescriptor__DEVICE_CONTEXTInv (U_2_int ?x497))))) boolTrue))) :pattern ((MapType0Select (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT ?S200) ?x497)) )) (forall ((?x498 boogieU) (?S201 boogieU)) (! (=> (and (= (type ?x498) intType) (= (type ?S201) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?S201) ?x498)) boolTrue) (= (U_2_bool (MapType0Select ?S201 (int_2_U (UsbConfigurationDescriptor__DEVICE_CONTEXT (U_2_int ?x498))))) boolTrue))) :pattern ((MapType0Select (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?S201) ?x498)) )) (forall ((?x499 boogieU) (?S202 boogieU)) (! (=> (and (= (type ?x499) intType) (= (type ?S202) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S202 ?x499)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT ?S202) (int_2_U (UsbConfigurationDescriptor__DEVICE_CONTEXT (U_2_int ?x499))))) boolTrue))) :pattern ((MapType0Select ?S202 ?x499) (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT ?S202)) )) (forall ((?x500 boogieU) (?S203 boogieU)) (! (=> (and (= (type ?x500) intType) (= (type ?S203) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S203 ?x500)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?S203) (int_2_U (UsbConfigurationDescriptor__DEVICE_CONTEXTInv (U_2_int ?x500))))) boolTrue))) :pattern ((MapType0Select ?S203 ?x500) (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?S203)) )) (forall ((?x501 Int)) (! (= (UsbConfigurationDescriptor__DEVICE_CONTEXT ?x501) (+ ?x501 20)) :pattern ((UsbConfigurationDescriptor__DEVICE_CONTEXT ?x501)) )) (forall ((?x502 Int)) (! (= (UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?x502) (- ?x502 20)) :pattern ((UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?x502)) )) (forall ((?x503 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x503 20 1) (UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?x503)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x503 20 1)) )) (forall ((?x504 Int)) (! (= (MINUS_LEFT_PTR ?x504 1 20) (UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?x504)) :pattern ((MINUS_LEFT_PTR ?x504 1 20)) )) (forall ((?x505 Int)) (! (= (UsbInterface__DEVICE_CONTEXTInv (UsbInterface__DEVICE_CONTEXT ?x505)) ?x505) :pattern ((UsbInterface__DEVICE_CONTEXTInv (UsbInterface__DEVICE_CONTEXT ?x505))) )) (forall ((?x506 Int)) (! (= (UsbInterface__DEVICE_CONTEXT (UsbInterface__DEVICE_CONTEXTInv ?x506)) ?x506) :pattern ((UsbInterface__DEVICE_CONTEXTInv ?x506)) )) (forall ((?x507 boogieU) (?S204 boogieU)) (! (=> (and (= (type ?x507) intType) (= (type ?S204) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UsbInterface__DEVICE_CONTEXT ?S204) ?x507)) boolTrue) (= (U_2_bool (MapType0Select ?S204 (int_2_U (UsbInterface__DEVICE_CONTEXTInv (U_2_int ?x507))))) boolTrue))) :pattern ((MapType0Select (x_S_UsbInterface__DEVICE_CONTEXT ?S204) ?x507)) )) (forall ((?x508 boogieU) (?S205 boogieU)) (! (=> (and (= (type ?x508) intType) (= (type ?S205) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UsbInterface__DEVICE_CONTEXTInv ?S205) ?x508)) boolTrue) (= (U_2_bool (MapType0Select ?S205 (int_2_U (UsbInterface__DEVICE_CONTEXT (U_2_int ?x508))))) boolTrue))) :pattern ((MapType0Select (x_S_UsbInterface__DEVICE_CONTEXTInv ?S205) ?x508)) )) (forall ((?x509 boogieU) (?S206 boogieU)) (! (=> (and (= (type ?x509) intType) (= (type ?S206) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S206 ?x509)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UsbInterface__DEVICE_CONTEXT ?S206) (int_2_U (UsbInterface__DEVICE_CONTEXT (U_2_int ?x509))))) boolTrue))) :pattern ((MapType0Select ?S206 ?x509) (x_S_UsbInterface__DEVICE_CONTEXT ?S206)) )) (forall ((?x510 boogieU) (?S207 boogieU)) (! (=> (and (= (type ?x510) intType) (= (type ?S207) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S207 ?x510)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UsbInterface__DEVICE_CONTEXTInv ?S207) (int_2_U (UsbInterface__DEVICE_CONTEXTInv (U_2_int ?x510))))) boolTrue))) :pattern ((MapType0Select ?S207 ?x510) (x_S_UsbInterface__DEVICE_CONTEXTInv ?S207)) )) (forall ((?x511 Int)) (! (= (UsbInterface__DEVICE_CONTEXT ?x511) (+ ?x511 36)) :pattern ((UsbInterface__DEVICE_CONTEXT ?x511)) )) (forall ((?x512 Int)) (! (= (UsbInterface__DEVICE_CONTEXTInv ?x512) (- ?x512 36)) :pattern ((UsbInterface__DEVICE_CONTEXTInv ?x512)) )) (forall ((?x513 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x513 36 1) (UsbInterface__DEVICE_CONTEXTInv ?x513)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x513 36 1)) )) (forall ((?x514 Int)) (! (= (MINUS_LEFT_PTR ?x514 1 36) (UsbInterface__DEVICE_CONTEXTInv ?x514)) :pattern ((MINUS_LEFT_PTR ?x514 1 36)) )) (forall ((?x515 Int)) (! (= (UserRequest__SUB_REQUEST_CONTEXTInv (UserRequest__SUB_REQUEST_CONTEXT ?x515)) ?x515) :pattern ((UserRequest__SUB_REQUEST_CONTEXTInv (UserRequest__SUB_REQUEST_CONTEXT ?x515))) )) (forall ((?x516 Int)) (! (= (UserRequest__SUB_REQUEST_CONTEXT (UserRequest__SUB_REQUEST_CONTEXTInv ?x516)) ?x516) :pattern ((UserRequest__SUB_REQUEST_CONTEXTInv ?x516)) )) (forall ((?x517 boogieU) (?S208 boogieU)) (! (=> (and (= (type ?x517) intType) (= (type ?S208) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UserRequest__SUB_REQUEST_CONTEXT ?S208) ?x517)) boolTrue) (= (U_2_bool (MapType0Select ?S208 (int_2_U (UserRequest__SUB_REQUEST_CONTEXTInv (U_2_int ?x517))))) boolTrue))) :pattern ((MapType0Select (x_S_UserRequest__SUB_REQUEST_CONTEXT ?S208) ?x517)) )) (forall ((?x518 boogieU) (?S209 boogieU)) (! (=> (and (= (type ?x518) intType) (= (type ?S209) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UserRequest__SUB_REQUEST_CONTEXTInv ?S209) ?x518)) boolTrue) (= (U_2_bool (MapType0Select ?S209 (int_2_U (UserRequest__SUB_REQUEST_CONTEXT (U_2_int ?x518))))) boolTrue))) :pattern ((MapType0Select (x_S_UserRequest__SUB_REQUEST_CONTEXTInv ?S209) ?x518)) )) (forall ((?x519 boogieU) (?S210 boogieU)) (! (=> (and (= (type ?x519) intType) (= (type ?S210) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S210 ?x519)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UserRequest__SUB_REQUEST_CONTEXT ?S210) (int_2_U (UserRequest__SUB_REQUEST_CONTEXT (U_2_int ?x519))))) boolTrue))) :pattern ((MapType0Select ?S210 ?x519) (x_S_UserRequest__SUB_REQUEST_CONTEXT ?S210)) )) (forall ((?x520 boogieU) (?S211 boogieU)) (! (=> (and (= (type ?x520) intType) (= (type ?S211) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S211 ?x520)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UserRequest__SUB_REQUEST_CONTEXTInv ?S211) (int_2_U (UserRequest__SUB_REQUEST_CONTEXTInv (U_2_int ?x520))))) boolTrue))) :pattern ((MapType0Select ?S211 ?x520) (x_S_UserRequest__SUB_REQUEST_CONTEXTInv ?S211)) )) (forall ((?x521 Int)) (! (= (UserRequest__SUB_REQUEST_CONTEXT ?x521) (+ ?x521 0)) :pattern ((UserRequest__SUB_REQUEST_CONTEXT ?x521)) )) (forall ((?x522 Int)) (! (= (UserRequest__SUB_REQUEST_CONTEXTInv ?x522) (- ?x522 0)) :pattern ((UserRequest__SUB_REQUEST_CONTEXTInv ?x522)) )) (forall ((?x523 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x523 0 1) (UserRequest__SUB_REQUEST_CONTEXTInv ?x523)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x523 0 1)) )) (forall ((?x524 Int)) (! (= (MINUS_LEFT_PTR ?x524 1 0) (UserRequest__SUB_REQUEST_CONTEXTInv ?x524)) :pattern ((MINUS_LEFT_PTR ?x524 1 0)) )) (forall ((?x525 Int)) (! (= (VirtualAddress__REQUEST_CONTEXTInv (VirtualAddress__REQUEST_CONTEXT ?x525)) ?x525) :pattern ((VirtualAddress__REQUEST_CONTEXTInv (VirtualAddress__REQUEST_CONTEXT ?x525))) )) (forall ((?x526 Int)) (! (= (VirtualAddress__REQUEST_CONTEXT (VirtualAddress__REQUEST_CONTEXTInv ?x526)) ?x526) :pattern ((VirtualAddress__REQUEST_CONTEXTInv ?x526)) )) (forall ((?x527 boogieU) (?S212 boogieU)) (! (=> (and (= (type ?x527) intType) (= (type ?S212) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_VirtualAddress__REQUEST_CONTEXT ?S212) ?x527)) boolTrue) (= (U_2_bool (MapType0Select ?S212 (int_2_U (VirtualAddress__REQUEST_CONTEXTInv (U_2_int ?x527))))) boolTrue))) :pattern ((MapType0Select (x_S_VirtualAddress__REQUEST_CONTEXT ?S212) ?x527)) )) (forall ((?x528 boogieU) (?S213 boogieU)) (! (=> (and (= (type ?x528) intType) (= (type ?S213) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_VirtualAddress__REQUEST_CONTEXTInv ?S213) ?x528)) boolTrue) (= (U_2_bool (MapType0Select ?S213 (int_2_U (VirtualAddress__REQUEST_CONTEXT (U_2_int ?x528))))) boolTrue))) :pattern ((MapType0Select (x_S_VirtualAddress__REQUEST_CONTEXTInv ?S213) ?x528)) )) (forall ((?x529 boogieU) (?S214 boogieU)) (! (=> (and (= (type ?x529) intType) (= (type ?S214) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S214 ?x529)) boolTrue) (= (U_2_bool (MapType0Select (x_S_VirtualAddress__REQUEST_CONTEXT ?S214) (int_2_U (VirtualAddress__REQUEST_CONTEXT (U_2_int ?x529))))) boolTrue))) :pattern ((MapType0Select ?S214 ?x529) (x_S_VirtualAddress__REQUEST_CONTEXT ?S214)) )) (forall ((?x530 boogieU) (?S215 boogieU)) (! (=> (and (= (type ?x530) intType) (= (type ?S215) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S215 ?x530)) boolTrue) (= (U_2_bool (MapType0Select (x_S_VirtualAddress__REQUEST_CONTEXTInv ?S215) (int_2_U (VirtualAddress__REQUEST_CONTEXTInv (U_2_int ?x530))))) boolTrue))) :pattern ((MapType0Select ?S215 ?x530) (x_S_VirtualAddress__REQUEST_CONTEXTInv ?S215)) )) (forall ((?x531 Int)) (! (= (VirtualAddress__REQUEST_CONTEXT ?x531) (+ ?x531 16)) :pattern ((VirtualAddress__REQUEST_CONTEXT ?x531)) )) (forall ((?x532 Int)) (! (= (VirtualAddress__REQUEST_CONTEXTInv ?x532) (- ?x532 16)) :pattern ((VirtualAddress__REQUEST_CONTEXTInv ?x532)) )) (forall ((?x533 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x533 16 1) (VirtualAddress__REQUEST_CONTEXTInv ?x533)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x533 16 1)) )) (forall ((?x534 Int)) (! (= (MINUS_LEFT_PTR ?x534 1 16) (VirtualAddress__REQUEST_CONTEXTInv ?x534)) :pattern ((MINUS_LEFT_PTR ?x534 1 16)) )) (forall ((?x535 Int)) (! (= (WdfUsbTargetDevice__DEVICE_CONTEXTInv (WdfUsbTargetDevice__DEVICE_CONTEXT ?x535)) ?x535) :pattern ((WdfUsbTargetDevice__DEVICE_CONTEXTInv (WdfUsbTargetDevice__DEVICE_CONTEXT ?x535))) )) (forall ((?x536 Int)) (! (= (WdfUsbTargetDevice__DEVICE_CONTEXT (WdfUsbTargetDevice__DEVICE_CONTEXTInv ?x536)) ?x536) :pattern ((WdfUsbTargetDevice__DEVICE_CONTEXTInv ?x536)) )) (forall ((?x537 boogieU) (?S216 boogieU)) (! (=> (and (= (type ?x537) intType) (= (type ?S216) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WdfUsbTargetDevice__DEVICE_CONTEXT ?S216) ?x537)) boolTrue) (= (U_2_bool (MapType0Select ?S216 (int_2_U (WdfUsbTargetDevice__DEVICE_CONTEXTInv (U_2_int ?x537))))) boolTrue))) :pattern ((MapType0Select (x_S_WdfUsbTargetDevice__DEVICE_CONTEXT ?S216) ?x537)) )) (forall ((?x538 boogieU) (?S217 boogieU)) (! (=> (and (= (type ?x538) intType) (= (type ?S217) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv ?S217) ?x538)) boolTrue) (= (U_2_bool (MapType0Select ?S217 (int_2_U (WdfUsbTargetDevice__DEVICE_CONTEXT (U_2_int ?x538))))) boolTrue))) :pattern ((MapType0Select (x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv ?S217) ?x538)) )) (forall ((?x539 boogieU) (?S218 boogieU)) (! (=> (and (= (type ?x539) intType) (= (type ?S218) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S218 ?x539)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WdfUsbTargetDevice__DEVICE_CONTEXT ?S218) (int_2_U (WdfUsbTargetDevice__DEVICE_CONTEXT (U_2_int ?x539))))) boolTrue))) :pattern ((MapType0Select ?S218 ?x539) (x_S_WdfUsbTargetDevice__DEVICE_CONTEXT ?S218)) )) (forall ((?x540 boogieU) (?S219 boogieU)) (! (=> (and (= (type ?x540) intType) (= (type ?S219) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S219 ?x540)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv ?S219) (int_2_U (WdfUsbTargetDevice__DEVICE_CONTEXTInv (U_2_int ?x540))))) boolTrue))) :pattern ((MapType0Select ?S219 ?x540) (x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv ?S219)) )) (forall ((?x541 Int)) (! (= (WdfUsbTargetDevice__DEVICE_CONTEXT ?x541) (+ ?x541 24)) :pattern ((WdfUsbTargetDevice__DEVICE_CONTEXT ?x541)) )) (forall ((?x542 Int)) (! (= (WdfUsbTargetDevice__DEVICE_CONTEXTInv ?x542) (- ?x542 24)) :pattern ((WdfUsbTargetDevice__DEVICE_CONTEXTInv ?x542)) )) (forall ((?x543 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x543 24 1) (WdfUsbTargetDevice__DEVICE_CONTEXTInv ?x543)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x543 24 1)) )) (forall ((?x544 Int)) (! (= (MINUS_LEFT_PTR ?x544 1 24) (WdfUsbTargetDevice__DEVICE_CONTEXTInv ?x544)) :pattern ((MINUS_LEFT_PTR ?x544 1 24)) )) (forall ((?x545 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x545)) ?x545) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x545))) )) (forall ((?x546 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x546)) ?x546) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x546)) )) (forall ((?x547 boogieU) (?S220 boogieU)) (! (=> (and (= (type ?x547) intType) (= (type ?S220) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S220) ?x547)) boolTrue) (= (U_2_bool (MapType0Select ?S220 (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (U_2_int ?x547))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S220) ?x547)) )) (forall ((?x548 boogieU) (?S221 boogieU)) (! (=> (and (= (type ?x548) intType) (= (type ?S221) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S221) ?x548)) boolTrue) (= (U_2_bool (MapType0Select ?S221 (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (U_2_int ?x548))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S221) ?x548)) )) (forall ((?x549 boogieU) (?S222 boogieU)) (! (=> (and (= (type ?x549) intType) (= (type ?S222) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S222 ?x549)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S222) (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (U_2_int ?x549))))) boolTrue))) :pattern ((MapType0Select ?S222 ?x549) (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S222)) )) (forall ((?x550 boogieU) (?S223 boogieU)) (! (=> (and (= (type ?x550) intType) (= (type ?S223) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S223 ?x550)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S223) (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (U_2_int ?x550))))) boolTrue))) :pattern ((MapType0Select ?S223 ?x550) (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S223)) )) (forall ((?x551 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x551) (+ ?x551 0)) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x551)) )) (forall ((?x552 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x552) (- ?x552 0)) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x552)) )) (forall ((?x553 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x553 0 1) (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x553)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x553 0 1)) )) (forall ((?x554 Int)) (! (= (MINUS_LEFT_PTR ?x554 1 0) (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x554)) :pattern ((MINUS_LEFT_PTR ?x554 1 0)) )) (forall ((?x555 Int)) (! (= (x__unnamed_96_e511a626__URBInv (x__unnamed_96_e511a626__URB ?x555)) ?x555) :pattern ((x__unnamed_96_e511a626__URBInv (x__unnamed_96_e511a626__URB ?x555))) )) (forall ((?x556 Int)) (! (= (x__unnamed_96_e511a626__URB (x__unnamed_96_e511a626__URBInv ?x556)) ?x556) :pattern ((x__unnamed_96_e511a626__URBInv ?x556)) )) (forall ((?x557 boogieU) (?S224 boogieU)) (! (=> (and (= (type ?x557) intType) (= (type ?S224) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_96_e511a626__URB ?S224) ?x557)) boolTrue) (= (U_2_bool (MapType0Select ?S224 (int_2_U (x__unnamed_96_e511a626__URBInv (U_2_int ?x557))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_96_e511a626__URB ?S224) ?x557)) )) (forall ((?x558 boogieU) (?S225 boogieU)) (! (=> (and (= (type ?x558) intType) (= (type ?S225) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_96_e511a626__URBInv ?S225) ?x558)) boolTrue) (= (U_2_bool (MapType0Select ?S225 (int_2_U (x__unnamed_96_e511a626__URB (U_2_int ?x558))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_96_e511a626__URBInv ?S225) ?x558)) )) (forall ((?x559 boogieU) (?S226 boogieU)) (! (=> (and (= (type ?x559) intType) (= (type ?S226) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S226 ?x559)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_96_e511a626__URB ?S226) (int_2_U (x__unnamed_96_e511a626__URB (U_2_int ?x559))))) boolTrue))) :pattern ((MapType0Select ?S226 ?x559) (x_S___unnamed_96_e511a626__URB ?S226)) )) (forall ((?x560 boogieU) (?S227 boogieU)) (! (=> (and (= (type ?x560) intType) (= (type ?S227) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S227 ?x560)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_96_e511a626__URBInv ?S227) (int_2_U (x__unnamed_96_e511a626__URBInv (U_2_int ?x560))))) boolTrue))) :pattern ((MapType0Select ?S227 ?x560) (x_S___unnamed_96_e511a626__URBInv ?S227)) )) (forall ((?x561 Int)) (! (= (x__unnamed_96_e511a626__URB ?x561) (+ ?x561 0)) :pattern ((x__unnamed_96_e511a626__URB ?x561)) )) (forall ((?x562 Int)) (! (= (x__unnamed_96_e511a626__URBInv ?x562) (- ?x562 0)) :pattern ((x__unnamed_96_e511a626__URBInv ?x562)) )) (forall ((?x563 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x563 0 1) (x__unnamed_96_e511a626__URBInv ?x563)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x563 0 1)) )) (forall ((?x564 Int)) (! (= (MINUS_LEFT_PTR ?x564 1 0) (x__unnamed_96_e511a626__URBInv ?x564)) :pattern ((MINUS_LEFT_PTR ?x564 1 0)) )) (forall ((?x565 Int)) (! (= (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv (wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?x565)) ?x565) :pattern ((wTotalLength__USB_CONFIGURATION_DESCRIPTORInv (wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?x565))) )) (forall ((?x566 Int)) (! (= (wTotalLength__USB_CONFIGURATION_DESCRIPTOR (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?x566)) ?x566) :pattern ((wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?x566)) )) (forall ((?x567 boogieU) (?S228 boogieU)) (! (=> (and (= (type ?x567) intType) (= (type ?S228) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?S228) ?x567)) boolTrue) (= (U_2_bool (MapType0Select ?S228 (int_2_U (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv (U_2_int ?x567))))) boolTrue))) :pattern ((MapType0Select (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?S228) ?x567)) )) (forall ((?x568 boogieU) (?S229 boogieU)) (! (=> (and (= (type ?x568) intType) (= (type ?S229) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?S229) ?x568)) boolTrue) (= (U_2_bool (MapType0Select ?S229 (int_2_U (wTotalLength__USB_CONFIGURATION_DESCRIPTOR (U_2_int ?x568))))) boolTrue))) :pattern ((MapType0Select (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?S229) ?x568)) )) (forall ((?x569 boogieU) (?S230 boogieU)) (! (=> (and (= (type ?x569) intType) (= (type ?S230) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S230 ?x569)) boolTrue) (= (U_2_bool (MapType0Select (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?S230) (int_2_U (wTotalLength__USB_CONFIGURATION_DESCRIPTOR (U_2_int ?x569))))) boolTrue))) :pattern ((MapType0Select ?S230 ?x569) (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?S230)) )) (forall ((?x570 boogieU) (?S231 boogieU)) (! (=> (and (= (type ?x570) intType) (= (type ?S231) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S231 ?x570)) boolTrue) (= (U_2_bool (MapType0Select (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?S231) (int_2_U (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv (U_2_int ?x570))))) boolTrue))) :pattern ((MapType0Select ?S231 ?x570) (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?S231)) )) (forall ((?x571 Int)) (! (= (wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?x571) (+ ?x571 2)) :pattern ((wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?x571)) )) (forall ((?x572 Int)) (! (= (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?x572) (- ?x572 2)) :pattern ((wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?x572)) )) (forall ((?x573 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x573 2 1) (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?x573)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x573 2 1)) )) (forall ((?x574 Int)) (! (= (MINUS_LEFT_PTR ?x574 1 2) (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?x574)) :pattern ((MINUS_LEFT_PTR ?x574 1 2)) )) (forall ((?a0 Int) (?b Int) (?size Int)) (! (let ((?v_17 (- ?a0 ?b)) (?v_18 (MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size))) (and (<= (* ?size ?v_18) ?v_17) (< ?v_17 (* ?size (+ ?v_18 1))))) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size)) )) (forall ((?a1 Int) (?a_size Int) (?b4 Int)) (! (= (MINUS_LEFT_PTR ?a1 ?a_size ?b4) (- ?a1 (* ?a_size ?b4))) :pattern ((MINUS_LEFT_PTR ?a1 ?a_size ?b4)) )) (forall ((?a2 Int) (?a_size0 Int) (?b5 Int)) (! (= (PLUS ?a2 ?a_size0 ?b5) (+ ?a2 (* ?a_size0 ?b5))) :pattern ((PLUS ?a2 ?a_size0 ?b5)) )) (forall ((?a3 Int) (?b6 Int)) (! (= (MULT ?a3 ?b6) (* ?a3 ?b6)) :pattern ((MULT ?a3 ?b6)) )) (forall ((?a4 Int) (?b7 Int)) (! (let ((?v_19 (DIV ?a4 ?b7))) (=> (and (>= ?a4 0) (> ?b7 0)) (and (<= (* ?b7 ?v_19) ?a4) (< ?a4 (* ?b7 (+ ?v_19 1)))))) :pattern ((DIV ?a4 ?b7)) )) (forall ((?a5 Int) (?b8 Int)) (! (let ((?v_20 (DIV ?a5 ?b8))) (=> (and (>= ?a5 0) (< ?b8 0)) (and (<= (* ?b8 ?v_20) ?a5) (< ?a5 (* ?b8 (- ?v_20 1)))))) :pattern ((DIV ?a5 ?b8)) )) (forall ((?a6 Int) (?b9 Int)) (! (let ((?v_21 (DIV ?a6 ?b9))) (=> (and (< ?a6 0) (> ?b9 0)) (and (>= (* ?b9 ?v_21) ?a6) (> ?a6 (* ?b9 (- ?v_21 1)))))) :pattern ((DIV ?a6 ?b9)) )) (forall ((?a7 Int) (?b11 Int)) (! (let ((?v_22 (DIV ?a7 ?b11))) (=> (and (< ?a7 0) (< ?b11 0)) (and (>= (* ?b11 ?v_22) ?a7) (> ?a7 (* ?b11 (+ ?v_22 1)))))) :pattern ((DIV ?a7 ?b11)) )) (= (POW2 1) boolTrue) (= (POW2 2) boolTrue) (= (POW2 4) boolTrue) (= (POW2 8) boolTrue) (= (POW2 16) boolTrue) (= (POW2 32) boolTrue) (= (POW2 64) boolTrue) (= (POW2 128) boolTrue) (= (POW2 256) boolTrue) (= (POW2 512) boolTrue) (= (POW2 1024) boolTrue) (= (POW2 2048) boolTrue) (= (POW2 4096) boolTrue) (= (POW2 8192) boolTrue) (= (POW2 16384) boolTrue) (= (POW2 32768) boolTrue) (= (POW2 65536) boolTrue) (= (POW2 131072) boolTrue) (= (POW2 262144) boolTrue) (= (POW2 524288) boolTrue) (= (POW2 1048576) boolTrue) (= (POW2 2097152) boolTrue) (= (POW2 4194304) boolTrue) (= (POW2 8388608) boolTrue) (= (POW2 16777216) boolTrue) (= (POW2 33554432) boolTrue) (forall ((?a8 TermBool) (?b12 Int) (?c Int)) (! (=> (= ?a8 boolTrue) (= (choose ?a8 ?b12 ?c) ?b12)) :pattern ((choose ?a8 ?b12 ?c)) )) (forall ((?a9 TermBool) (?b13 Int) (?c4 Int)) (! (=> (not (= ?a9 boolTrue)) (= (choose ?a9 ?b13 ?c4) ?c4)) :pattern ((choose ?a9 ?b13 ?c4)) )) (forall ((?a10 Int) (?b14 Int)) (! (=> (= ?a10 ?b14) (= (BIT_BAND ?a10 ?b14) ?a10)) :pattern ((BIT_BAND ?a10 ?b14)) )) (forall ((?a11 Int) (?b15 Int)) (! (=> (and (= (POW2 ?a11) boolTrue) (= (POW2 ?b15) boolTrue) (not (= ?a11 ?b15))) (= (BIT_BAND ?a11 ?b15) 0)) :pattern ((BIT_BAND ?a11 ?b15)) )) (forall ((?a12 Int) (?b16 Int)) (! (=> (or (= ?a12 0) (= ?b16 0)) (= (BIT_BAND ?a12 ?b16) 0)) :pattern ((BIT_BAND ?a12 ?b16)) )) (forall ((?a13 TermBool)) (! (= (= ?a13 boolTrue) (not (= (LIFT ?a13) 0))) :pattern ((LIFT ?a13)) )) (forall ((?a14 Int)) (! (=> (= ?a14 0) (not (= (NOT ?a14) 0))) :pattern ((NOT ?a14)) )) (forall ((?a15 Int)) (! (=> (not (= ?a15 0)) (= (NOT ?a15) 0)) :pattern ((NOT ?a15)) )) (forall ((?a16 Int)) (! (=> (= ?a16 0) (not (= (NULL_CHECK ?a16) 0))) :pattern ((NULL_CHECK ?a16)) )) (forall ((?a17 Int)) (! (=> (not (= ?a17 0)) (= (NULL_CHECK ?a17) 0)) :pattern ((NULL_CHECK ?a17)) )) (not (= ReadWriteCompletion 0)) (not (= ReadWriteWorkItem 0)) (not (= SubRequestCompletionRoutine 0)) (not (= UsbSamp_EvtRequestCancel 0)) (not (= WdfDriverGlobals 0)) (not (= x_WDF_DEVICE_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_FILE_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_REQUEST_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_SUB_REQUEST_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_WORKITEM_CONTEXT_TYPE_INFO 0)) (not (= hbuffer 0)) (not (= hdctx 0)) (not (= hdevcollection_count 0)) (not (= hdevice 0)) (not (= hln 0)) (not (= hln2 0)) (not (= hln3 0)) (not (= hlock 0)) (not (= hmdl 0)) (not (= hqctx 0)) (not (= hqueue 0)) (not (= hrctx 0)) (not (= hrequest 0)) (not (= htctx 0)) (not (= htimer 0)) (not (= hwork_item 0)) (not (= notused_4hbuffer 0)) (not (= notused_4hfileobj 0)) (not (= notused_4hmdl 0)) (not (= notused_4hwork_item 0)) (not (= notused_4wdfobject1 0)) (not (= notused_4wdmobject1 0)) (not (= notused_ctx 0)) (not (= notused_hrequest 0)) (not (= pnotused 0))))
(assert (let ((?v_1 (MapType0Type intType intType)) (?v_0 (MapType0Type intType nameType))) (and (= (type inline.StopAllPipes.0.LOOP_7_alloc.2) ?v_0) (= (type inline.StopAllPipes.0.LOOP_7_alloc.1) ?v_0) (= (type inline.StartAllPipes.0.LOOP_7_alloc.2) ?v_0) (= (type inline.StartAllPipes.0.LOOP_7_alloc.1) ?v_0) (= (type alloc.27) ?v_0) (= (type alloc.26) ?v_0) (= (type Mem_0_T.PWDFREQUEST__) ?v_1) (= (type Mem_s_1_T.PWDFREQUEST__) ?v_1) (= (type alloc.11) ?v_0) (= (type alloc.25) ?v_0) (= (type alloc.19) ?v_0) (= (type alloc.24) ?v_0) (= (type alloc.18) ?v_0) (= (type alloc.23) ?v_0) (= (type alloc.22) ?v_0) (= (type alloc.20) ?v_0) (= (type alloc.21) ?v_0) (= (type alloc.17) ?v_0) (= (type alloc.15) ?v_0) (= (type alloc.16) ?v_0) (= (type alloc.14) ?v_0) (= (type alloc.13) ?v_0) (= (type alloc.12) ?v_0) (= (type alloc.9) ?v_0) (= (type alloc.10) ?v_0) (= (type inline.StopAllPipes.0.LOOP_7_alloc) ?v_0) (= (type inline.StartAllPipes.0.LOOP_7_alloc) ?v_0) (= (type alloc.1) ?v_0) (= (type alloc.5) ?v_0) (= (type alloc.8) ?v_0) (= (type alloc.4) ?v_0) (= (type alloc.6) ?v_0) (= (type alloc.7) ?v_0) (= (type inline.StopAllPipes.0.LOOP_7_alloc.0) ?v_0) (= (type inline.StartAllPipes.0.LOOP_7_alloc.0) ?v_0) (= (type alloc.2) ?v_0) (= (type alloc.3) ?v_0) (= (type alloc.0) ?v_0) (= (type alloc) ?v_0) (= (type Mem_1_T.PWDFREQUEST__) ?v_1))))
(assert (let ((?v_456 (=> false true)) (?v_457 (< inline.StartAllPipes.0..i.3.508.16.StartAllPipes.0 inline.StartAllPipes.0.myNondetVar_0.0)) (?v_21 (>= 0 0)) (?v_453 (int_2_U call23015formal.new.0)) (?v_454 (< inline.StopAllPipes.0..i.3.488.16.StopAllPipes.0 inline.StopAllPipes.0.myNondetVar_0.0)) (?v_10 (not (not (= errorReached.35 0))))) (let ((?v_12 (=> true (=> (= Mem_0_T.PWDFREQUEST__ Mem_s_1_T.PWDFREQUEST__) (=> (= reqCompleted_0.5 reqCompleted_s_1) (=> (= lockStatus_0.5 lockStatus_s_1) (=> (= reqCancelSet_0.5 reqCancelSet_s_1) (=> (= reqCancelStarted_0.1 reqCancelStarted_s_1) (=> (= reqCompleteSet_0.4 reqCompleteSet_s_1) (=> (= reqSent_0.4 reqSent_s_1) (and ?v_10 (=> ?v_10 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.5 inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.4) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.4 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.3) (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..3 inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.3 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2) (=> (= reqCancelStarted_0.2 reqCancelStarted_0.1) (=> (= inline.WdfUsbTargetDeviceIsConnectedSynchronous.0..result.WdfUsbTargetDeviceIsConnectedSynchronous.1312.0.1..1 inline.WdfUsbTargetDeviceIsConnectedSynchronous.0..result.WdfUsbTargetDeviceIsConnectedSynchronous.1312.0.1..0) (=> (= inline.WdfUsbTargetPipeGetIoTarget.0..result.WdfUsbTargetPipeGetIoTarget.744.0.1..3 inline.WdfUsbTargetPipeGetIoTarget.0..result.WdfUsbTargetPipeGetIoTarget.744.0.1..2) (=> (= inline.UsbSamp_EvtIoDeviceControl.0..result.sdv_WdfRequestGetFileObject.172.61.4..1 inline.UsbSamp_EvtIoDeviceControl.0..result.sdv_WdfRequestGetFileObject.172.61.4..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.UsbSamp_EvtIoDeviceControl.0..result.ResetDevice.210.28.8..1 inline.UsbSamp_EvtIoDeviceControl.0..result.ResetDevice.210.28.8..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3) (=> (= inline.GetFileContext.0..Handle.1.107.0.GetFileContext1.1 inline.GetFileContext.0..Handle.1.107.0.GetFileContext1.0) (=> (= inline.IsItWin2k.0.myNondetVar_0.7 inline.IsItWin2k.0.myNondetVar_0.6) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..3 inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..2) (=> (= inline.IsItWin2k.0..result.IsItWin2k.522.0.1..2 inline.IsItWin2k.0..result.IsItWin2k.522.0.1..1) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..4 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.7 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.6) (=> (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..3 inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..2) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..2 inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..1) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.7 inline.QueuePassiveLevelCallback.0.myNondetVar_0.6) (=> (= inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion.0) (=> (= inline.GetRequestContext.1.myNondetVar_0.2 inline.GetRequestContext.1.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.4 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.3) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4) (=> (= errorReached.36 errorReached.35) (=> (= inline.IsItWin2k.0..minorVersion.2.526.24.IsItWin2k.1 inline.IsItWin2k.0..minorVersion.2.526.24.IsItWin2k.0) (=> (= inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2..1 inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2..0) (=> (= reqSent_1.5 reqSent_1.4) (=> (= inline.IsItWin2k.0..result.PsGetVersion.533.16.2..1 inline.IsItWin2k.0..result.PsGetVersion.533.16.2..0) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..4 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..3) (=> (= inline.RemoveHeadList.0.myNondetVar_0.4 inline.RemoveHeadList.0.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1..1 inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..4) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..3 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> (= inline.sdv_WdfRequestGetFileObject.0..result.sdv_WdfRequestGetFileObject.7046.0.1..1 inline.sdv_WdfRequestGetFileObject.0..result.sdv_WdfRequestGetFileObject.7046.0.1..0) (=> (= inline.UsbSamp_EvtIoDeviceControl.0..result.memcpy.196.0.7..1 inline.UsbSamp_EvtIoDeviceControl.0..result.memcpy.196.0.7..0) (=> (= reqSent_0.5 reqSent_0.4) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2) (=> (= inline.UsbSamp_EvtIoDeviceControl.0..result.ResetPipe.178.30.5..1 inline.UsbSamp_EvtIoDeviceControl.0..result.ResetPipe.178.30.5..0) (=> (= inline.ReadWriteCompletion.0.myNondetVar_1.4 inline.ReadWriteCompletion.0.myNondetVar_1.3) (=> (= inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters.1 inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters.0) (=> (= lockStatus_0.6 lockStatus_0.5) (=> (= inline.ResetDevice.0.myNondetVar_0.4 inline.ResetDevice.0.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.3 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..3 inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..2) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.5 inline.GetWorkItemContext.0.myNondetVar_0.4) (=> (= inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget1.3 inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget1.2) (=> (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..3 inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..2) (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.UsbSamp_EvtIoDeviceControl.0..result.sdv_WdfRequestRetrieveOutputBuffer.190.51.6..1 inline.UsbSamp_EvtIoDeviceControl.0..result.sdv_WdfRequestRetrieveOutputBuffer.190.51.6..0) (=> (= inline.StopAllPipes.0.myNondetVar_0.5 inline.StopAllPipes.0.myNondetVar_0.4) (=> (= inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..1 inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..2 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..1) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2) (=> (= inline.WdfUsbTargetDeviceResetPortSynchronously.0..result.WdfUsbTargetDeviceResetPortSynchronously.1339.0.1..2 inline.WdfUsbTargetDeviceResetPortSynchronously.0..result.WdfUsbTargetDeviceResetPortSynchronously.1339.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..5 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..4) (=> (= inline.sdv_WdfIoTargetStop.0..result.malloc.7889.31.1..3 inline.sdv_WdfIoTargetStop.0..result.malloc.7889.31.1..2) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.3) (=> (= inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..2 inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..1) (=> (= inline.ResetDevice.0..win2k.4.565.12.ResetDevice.1 inline.ResetDevice.0..win2k.4.565.12.ResetDevice.0) (=> (= x.result.nondet.8813.0.2..0 call23869formal.ret.0) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.26 inline.ReadWriteCompletion.0.myNondetVar_0.25) (=> (= inline.ResetPipe.0..result.ResetPipe.442.0.1..1 inline.ResetPipe.0..result.ResetPipe.442.0.1..0) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..4 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..3) (=> (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.3 inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.2) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.3 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.3 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2) (=> (= inline.GetFileContext.0.myNondetVar_0.2 inline.GetFileContext.0.myNondetVar_0.1) (=> (= inline.StopAllPipes.0..pipe.4.492.19.StopAllPipes.3 inline.StopAllPipes.0..pipe.4.492.19.StopAllPipes.2) (=> (= inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..2 inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..1) (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..4) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..2 inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..1) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..3 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..2) (=> (= reqCompleteSet_0.5 reqCompleteSet_0.4) (=> (= inline.StartAllPipes.0..i.3.508.16.StartAllPipes.4 inline.StartAllPipes.0..i.3.508.16.StartAllPipes.3) (=> (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.3 inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) (=> (= inline.StopAllPipes.0..result.WdfUsbTargetPipeGetIoTarget.497.51.2..3 inline.StopAllPipes.0..result.WdfUsbTargetPipeGetIoTarget.497.51.2..2) (=> (= inline.UsbSamp_EvtIoDeviceControl.0..length.12.156.23.UsbSamp_EvtIoDeviceControl.1 inline.UsbSamp_EvtIoDeviceControl.0..length.12.156.23.UsbSamp_EvtIoDeviceControl.0) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.StartAllPipes.0.myNondetVar_0.5 inline.StartAllPipes.0.myNondetVar_0.4) (=> (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.3 inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.2) (=> (= inline.GetSubRequestContext.0.myNondetVar_0.3 inline.GetSubRequestContext.0.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..0) (=> (= inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..2 inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..1) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..3 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..2 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..1) (=> (= inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion.0) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..4 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3) (=> (= inline.InitializeListHead.0.myNondetVar_0.3 inline.InitializeListHead.0.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..4) (=> (= reqCancelStarted_1.2 reqCancelStarted_1.1) (=> (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.1 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.0) (=> (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..3 inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..2) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..0) (=> (= inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.2 inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.1) (=> (= inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.2 inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.1) (=> (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.3 inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.2) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> (= inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..1 inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..0) (=> (= inline.ReadWriteCompletion.0.tempBoogie0.6 inline.ReadWriteCompletion.0.tempBoogie0.5) (=> (= inline.sdv_WdfObjectContextGetObject.0..result.sdv_WdfObjectContextGetObject.6826.0.1..2 inline.sdv_WdfObjectContextGetObject.0..result.sdv_WdfObjectContextGetObject.6826.0.1..1) (=> (= inline.ResetDevice.0..result.ResetDevice.543.0.1..1 inline.ResetDevice.0..result.ResetDevice.543.0.1..0) (=> (= inline.InsertTailList.0.myNondetVar_0.3 inline.InsertTailList.0.myNondetVar_0.2) (=> (= x.result.userContextSwitch.8813.0.1..0 call23866formal.ret.0) (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.4 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.3) (=> (= k.28 k.27) (=> (= inline.IsListEmpty.0.myNondetVar_0.3 inline.IsListEmpty.0.myNondetVar_0.2) (=> (= reqCancelSet_1.6 reqCancelSet_1.5) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..2 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..1) (=> (= lockStatus_1.6 lockStatus_1.5) (=> (= inline.ResetDevice.0..Device.1.544.17.ResetDevice1.1 inline.ResetDevice.0..Device.1.544.17.ResetDevice1.0) (=> (= inline.ResetDevice.0..result.WdfUsbTargetDeviceIsConnectedSynchronous.589.53.4..1 inline.ResetDevice.0..result.WdfUsbTargetDeviceIsConnectedSynchronous.589.53.4..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1.1 inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1.0) (=> (= inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop1.3 inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop1.2) (=> (= inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop.3 inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop.2) (=> (= inline.ResetDevice.0..Device.1.544.17.ResetDevice.1 inline.ResetDevice.0..Device.1.544.17.ResetDevice.0) (=> (= reqCancelSet_0.6 reqCancelSet_0.5) (=> (= reqCompleted_0.6 reqCompleted_0.5) (=> (= inline.ResetDevice.0..status.3.564.13.ResetDevice.2 inline.ResetDevice.0..status.3.564.13.ResetDevice.1) (=> (= inline.StopAllPipes.0.LOOP_7_alloc.2 inline.StopAllPipes.0.LOOP_7_alloc.1) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..2 inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..1) (=> (= inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3) (=> (= inline.IsItWin2k.0..majorVersion.1.526.10.IsItWin2k.1 inline.IsItWin2k.0..majorVersion.1.526.10.IsItWin2k.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.4 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3) (=> (= inline.StopAllPipes.0..i.3.488.16.StopAllPipes.4 inline.StopAllPipes.0..i.3.488.16.StopAllPipes.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.3 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2) (=> (= inline.StartAllPipes.0..count.2.508.10.StartAllPipes.2 inline.StartAllPipes.0..count.2.508.10.StartAllPipes.1) (=> (= x.result.nondet.8849.2.6..0 call23963formal.ret.0) (=> (= reqCompleteSet_1.5 reqCompleteSet_1.4) (=> (= x.result.userContextSwitch.8849.2.5..0 call23960formal.ret.0) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.3 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.2) (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.1 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.0) (=> (= inline.sdv_WdfRequestGetFileObject.0..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 inline.sdv_WdfRequestGetFileObject.0..Request.1.7047.18.sdv_WdfRequestGetFileObject.0) (=> (= inline.ResetDevice.0..result.IsItWin2k.568.21.2..1 inline.ResetDevice.0..result.IsItWin2k.568.21.2..0) (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.2 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.1) (=> (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.1 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.0) (=> (= inline.StopAllPipes.0..result.WdfUsbInterfaceGetConfiguredPipe.493.47.1..3 inline.StopAllPipes.0..result.WdfUsbInterfaceGetConfiguredPipe.493.47.1..2) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.0) (=> (= inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2 inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1) (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.1 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.0) (=> (= inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_1.3 inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_1.2) (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.3 inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.2) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..3 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT.1 inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT.0) (=> (= inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters.1 inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters.0) (=> (= inline.GetRequestContext.0.myNondetVar_0.2 inline.GetRequestContext.0.myNondetVar_0.1) (=> (= inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1.1 inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1.0) (=> (= inline.IsListEmpty.1.myNondetVar_0.3 inline.IsListEmpty.1.myNondetVar_0.2) (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.3 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2) (=> (= inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel1.1 inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel1.0) (=> (= inline.StopAllPipes.0..count.2.488.10.StopAllPipes.2 inline.StopAllPipes.0..count.2.488.10.StopAllPipes.1) (=> (= inline.ReadWriteCompletion.0.myNondetVar_2.4 inline.ReadWriteCompletion.0.myNondetVar_2.3) (=> (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.3 inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.2) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..3 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..2) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..2 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..1) (=> (= inline.ReadWriteCompletion.0.havoc_stringTemp.2 inline.ReadWriteCompletion.0.havoc_stringTemp.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5) (=> (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.1 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.4 inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.3 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.2) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..1) (=> (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.1 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.ResetDevice.0..result.WdfUsbTargetDeviceResetPortSynchronously.592.57.5..2 inline.ResetDevice.0..result.WdfUsbTargetDeviceResetPortSynchronously.592.57.5..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..1) (=> (= inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget.3 inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget.2) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> (= inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel.0) (=> (= inline.WdfUsbInterfaceGetConfiguredPipe.0..result.WdfUsbInterfaceGetConfiguredPipe.2284.0.1..3 inline.WdfUsbInterfaceGetConfiguredPipe.0..result.WdfUsbInterfaceGetConfiguredPipe.2284.0.1..2) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..6 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5) (=> (= inline.StartAllPipes.0.LOOP_7_alloc.2 inline.StartAllPipes.0.LOOP_7_alloc.1) (=> (= inline.ResetPipe.0..status.2.461.22.ResetPipe.2 inline.ResetPipe.0..status.2.461.22.ResetPipe.1) (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..3 inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..2) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.3 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.6 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.5) (=> (= inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.2 inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.1) (=> (= inline.sdv_WdfRequestGetFileObject.0..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 inline.sdv_WdfRequestGetFileObject.0..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0) (=> (= reqCompleted_1.6 reqCompleted_1.5) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.7 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.6) (=> (= inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.8 inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.7) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..3) (=> (= inline.IsItWin2k.0..buildNumber.3.526.38.IsItWin2k.1 inline.IsItWin2k.0..buildNumber.3.526.38.IsItWin2k.0) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1.1 inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1.0) (=> (= inline.GetFileContext.0..Handle.1.107.0.GetFileContext.1 inline.GetFileContext.0..Handle.1.107.0.GetFileContext.0) (=> (= alloc.27 alloc.26) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.3 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2) (=> (= raiseException.0 0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.3 inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.2) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.0) (=> (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.7 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.6) (=> (= inline.GetDeviceContext.1.myNondetVar_0.2 inline.GetDeviceContext.1.myNondetVar_0.1) (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.2 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..3 inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2) (=> (= inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1.1 inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1.0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.3 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2) (=> (= x.result.nondet.8830.0.4..0 call23911formal.ret.0) true))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_11 (= call23963formal.ret.0 0))) (let ((?v_33 (=> true (=> (<= 0 k.27) (=> (< k.27 2) (and (=> true (=> (not ?v_11) ?v_12)) (=> true (=> ?v_11 ?v_12)))))))) (let ((?v_36 (=> true (=> (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.2 inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.1) (=> (= reqSent_1.4 reqSent_1.3) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.4 inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.3) (=> (= inline.ReadWriteCompletion.0.myNondetVar_2.3 inline.ReadWriteCompletion.0.myNondetVar_2.2) (=> (= reqCompleted_0.5 reqCompleted_0.4) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.5) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1.0 call24018formal.new.0) (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= errorReached.35 errorReached.34) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..3) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1..0 call24057formal.new.0) (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.3 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.2) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..3 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..2) (=> (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.2 inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.1) (=> (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2) (=> (= inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion.0 call24018formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4) (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..2 inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..1) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT.0 call24057formal.new.0) (=> (= inline.GetRequestContext.0.myNondetVar_0.1 inline.GetRequestContext.0.myNondetVar_0.0) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..2 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..1) (=> (= inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1.0 hrequest) (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..4 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..3) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1) (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..2 inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..1) (=> (= reqCancelSet_1.5 reqCancelSet_1.4) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..2) (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..3 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1) (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.4 inline.GetWorkItemContext.0.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1) (=> (= inline.ReadWriteCompletion.0.havoc_stringTemp.1 inline.ReadWriteCompletion.0.havoc_stringTemp.0) (=> (= reqCompleted_1.5 reqCompleted_1.4) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1) (=> (= reqCompleteSet_1.4 reqCompleteSet_1.3) (=> (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.1) (=> (= k.26 k.25) (=> (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.0 hrequest) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..1) (=> (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..2 inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..1) (=> (= inline.ReadWriteCompletion.0.tempBoogie0.5 inline.ReadWriteCompletion.0.tempBoogie0.4) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2) (=> (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..2 inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..1) (=> (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..2 inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..1) (=> (= inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters.0 hrequest) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.6 inline.QueuePassiveLevelCallback.0.myNondetVar_0.5) (=> (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..3) (=> (= reqCompleteSet_0.4 reqCompleteSet_0.3) (=> (= inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1.0 call24018formal.new.0) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1.0 hrequest) (=> (= reqCancelSet_0.5 reqCancelSet_0.4) (=> (= alloc.26 alloc.25) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.3 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.2) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.25 inline.ReadWriteCompletion.0.myNondetVar_0.24) (=> (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.1) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.3 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.2) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.2 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion.0 hrequest) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..3) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.0) (=> (= inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters.0 call24103formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.5 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2..0 call24103formal.new.0) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..3 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..2) (=> (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1) (=> (= inline.ReadWriteCompletion.0.myNondetVar_1.3 inline.ReadWriteCompletion.0.myNondetVar_1.2) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.2 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.1) (=> (= inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion.0 call24021formal.new.0) (=> (= reqSent_0.4 reqSent_0.3) (=> true (=> true ?v_33)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_50 (=> true (=> (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.1 inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.3 inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2) (=> (= inline.ReadWriteCompletion.0.myNondetVar_2.2 inline.ReadWriteCompletion.0.myNondetVar_2.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0) (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0) (=> (= errorReached.34 errorReached.33) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4) (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.2 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.1) (=> (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.0) (=> (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3) (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..1 inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..0) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> (= reqCancelSet_1.4 reqCancelSet_1.3) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..1 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..0) (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..3 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1) (=> (= reqCompleted_0.4 reqCompleted_0.3) (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..1 inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..0) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..1) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0) (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.3 inline.GetWorkItemContext.0.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0) (=> (= reqCompleted_1.4 reqCompleted_1.3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0) (=> (= reqCompleteSet_1.3 reqCompleteSet_1.2) (=> (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.0) (=> (= k.25 k.24) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0) (=> (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..1 inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..0) (=> (= inline.ReadWriteCompletion.0.tempBoogie0.4 inline.ReadWriteCompletion.0.tempBoogie0.3) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..0) (=> (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..1 inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..0) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.5 inline.QueuePassiveLevelCallback.0.myNondetVar_0.4) (=> (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2) (=> (= reqCompleteSet_0.3 reqCompleteSet_0.2) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= reqSent_1.3 reqSent_1.2) (=> (= reqCancelSet_0.4 reqCancelSet_0.3) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.2 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.1) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.24 inline.ReadWriteCompletion.0.myNondetVar_0.23) (=> (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.0) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.2 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.1) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.1 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.4 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.3) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..2) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..2 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..1) (=> (= inline.ReadWriteCompletion.0.myNondetVar_1.2 inline.ReadWriteCompletion.0.myNondetVar_1.1) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> (= alloc.25 alloc.24) (=> (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..1 inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..0) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.1 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.0) (=> (= reqSent_0.3 reqSent_0.2) (=> true (=> true (=> true ?v_36))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_23 (= hrequest hrequest))) (let ((?v_59 (not ?v_23)) (?v_38 (=> true (=> (= reqCancelSet_0.3 reqCancelSet_0.2) (=> (= reqCancelSet_1.3 reqCancelSet_1.2) (=> (= errorReached.33 errorReached.32) (=> (= reqCompleted_1.3 reqCompleted_1.2) (=> (= reqCompleted_0.3 reqCompleted_0.2) ?v_50)))))))) (let ((?v_41 (=> true ?v_38)) (?v_39 (= reqCancelSet_0.2 reqCancelSet_0.1)) (?v_40 (= reqCancelSet_1.2 reqCancelSet_1.1)) (?v_37 (= k.24 1))) (let ((?v_44 (not ?v_37)) (?v_35 (= k.24 0))) (let ((?v_42 (not ?v_35))) (let ((?v_43 (and (=> true (=> ?v_35 (=> true (=> (= reqCancelSet_0.2 0) (=> ?v_40 ?v_38))))) (=> true (=> ?v_42 (and (=> true (=> ?v_37 (=> true (=> ?v_39 (=> (= reqCancelSet_1.2 0) ?v_41))))) (=> true (=> ?v_44 (=> true (=> ?v_39 (=> ?v_40 ?v_41)))))))))) (?v_45 (= reqCompleted_1.2 reqCompleted_1.1))) (let ((?v_46 (=> (= reqCompleted_0.2 reqCompleted_0.1) (=> true (=> true ?v_43))))) (let ((?v_49 (and (=> true (=> ?v_35 (=> true (=> ?v_45 (=> (= reqCompleted_0.2 1) ?v_43))))) (=> true (=> ?v_42 (and (=> true (=> ?v_37 (=> true (=> (= reqCompleted_1.2 1) ?v_46)))) (=> true (=> ?v_44 (=> true (=> ?v_45 ?v_46))))))))) (?v_47 (= reqCompleted_0.1 0)) (?v_48 (= reqCompleted_1.1 0))) (let ((?v_27 (not ?v_47)) (?v_28 (not ?v_48))) (let ((?v_132 (and (=> true (=> ?v_23 (and (=> true (=> (=> ?v_35 ?v_27) (=> (=> ?v_37 ?v_28) (=> true (=> (= errorReached.32 1) ?v_49))))) (=> true (=> (=> ?v_35 ?v_47) (=> (=> ?v_37 ?v_48) (=> true (=> (= errorReached.32 errorReached.31) (=> true ?v_49))))))))) (=> true (=> ?v_59 (=> true (=> (= reqCancelSet_0.3 reqCancelSet_0.1) (=> (= reqCancelSet_1.3 reqCancelSet_1.1) (=> (= errorReached.33 errorReached.31) (=> (= reqCompleted_1.3 reqCompleted_1.1) (=> (= reqCompleted_0.3 reqCompleted_0.1) (=> true (=> true (=> true ?v_50)))))))))))))) (let ((?v_208 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_132))))))))))))))))) (?v_163 (= inline.ReadWriteCompletion.0.myNondetVar_2.1 inline.ReadWriteCompletion.0.myNondetVar_2)) (?v_178 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_179 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.)) (?v_164 (= inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.)) (?v_180 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_134 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_135 (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_165 (= inline.ReadWriteCompletion.0.myNondetVar_1.1 inline.ReadWriteCompletion.0.myNondetVar_1)) (?v_136 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_181 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3.)) (?v_182 (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5.)) (?v_137 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend)) (?v_138 (= reqSent_1.2 reqSent_1)) (?v_202 (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2 inline.ReadWriteCompletion.0.myNondetVar_0.3)) (?v_183 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0)) (?v_184 (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6.)) (?v_139 (= inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..0 inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3.)) (?v_140 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.)) (?v_141 (= inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..0 inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1.)) (?v_142 (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..0 inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10.)) (?v_143 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_185 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2.)) (?v_186 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_144 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_166 (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..0 inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7.)) (?v_187 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_145 (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.)) (?v_146 (= reqCompleteSet_1.2 reqCompleteSet_1)) (?v_188 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_189 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_147 (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..0 inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8.)) (?v_148 (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.)) (?v_190 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_191 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.)) (?v_192 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0)) (?v_149 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus)) (?v_150 (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.)) (?v_193 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_203 (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion)) (?v_204 (= reqSent_0.2 reqSent_0)) (?v_205 (= reqCompleteSet_0.2 reqCompleteSet_0)) (?v_206 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.)) (?v_207 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1))) (let ((?v_219 (=> true (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0) (=> ?v_163 (=> (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.0 inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion) (=> ?v_178 (=> ?v_179 (=> ?v_164 (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.3 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.2) (=> ?v_180 (=> ?v_134 (=> ?v_135 (=> ?v_165 (=> ?v_136 (=> ?v_181 (=> ?v_182 (=> ?v_137 (=> ?v_138 (=> ?v_202 (=> ?v_183 (=> ?v_184 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_139 (=> (= alloc.24 alloc.23) (=> ?v_140 (=> (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.0 call25465formal.ret.0) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..1 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..0) (=> ?v_141 (=> ?v_142 (=> ?v_143 (=> ?v_185 (=> (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.0 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1) (=> ?v_186 (=> (= k.24 k.21) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.0 call25447formal.new.0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer) (=> ?v_144 (=> ?v_166 (=> ?v_187 (=> (= errorReached.31 errorReached.26) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.4 inline.QueuePassiveLevelCallback.0.myNondetVar_0.3) (=> ?v_145 (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_146 (=> ?v_188 (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.22 inline.ReadWriteCompletion.0.myNondetVar_0.3) (=> (= inline.ReadWriteCompletion.0.tempBoogie0.3 inline.ReadWriteCompletion.0.tempBoogie0) (=> ?v_189 (=> (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..0 call25465formal.ret.0) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.1 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.0) (=> (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..0 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1) (=> ?v_147 (=> (= inline.GetWorkItemContext.0.myNondetVar_0.2 inline.GetWorkItemContext.0.myNondetVar_0.1) (=> ?v_148 (=> ?v_190 (=> ?v_191 (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.1 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.0) (=> ?v_192 (=> ?v_149 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_150 (=> ?v_193 (=> ?v_203 (=> ?v_204 (=> ?v_205 (=> (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.0 call25398formal.new.0) (=> ?v_206 (=> (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.0 call25401formal.new.0) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..0 call25447formal.new.0) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.0 call25401formal.new.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..1) (=> ?v_207 (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..2 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1) (=> (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.0 call25395formal.new.0) ?v_208)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_218 (<= 0 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1))) (let ((?v_213 (=> true (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..0 0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.QueuePassiveLevelCallback.0.myNondetVar_0.1) (=> (= errorReached.26 errorReached.25) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.1 inline.GetWorkItemContext.0.myNondetVar_0.0) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.3 inline.QueuePassiveLevelCallback.0.myNondetVar_0.2) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.0 inline.QueuePassiveLevelCallback.0.myNondetVar_0.1) (=> (= k.21 k.20) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.0 inline.QueuePassiveLevelCallback.0.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.QueuePassiveLevelCallback.0.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0) ?v_219)))))))))))))) (let ((?v_215 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2.) (=> (= k.20 k.13) (=> (= errorReached.25 errorReached.19) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_213))))))))))))))))))))) (?v_217 (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.1 hdevice)) (?v_216 (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.1 hqueue)) (?v_214 (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.1 htimer)) (?v_212 (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.1 hrequest)) (?v_211 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 call25590formal.ret.0) (=> (= k.20 k.19) (=> (= errorReached.25 errorReached.24) ?v_213)))))) (?v_209 (= k.19 0)) (?v_210 (= k.19 1))) (let ((?v_221 (and (=> true (=> ?v_218 (and (=> true (=> ?v_212 (=> true (=> (<= k.13 k.19) (=> (< k.19 2) (and (=> true (=> (=> ?v_209 ?v_27) (=> (=> ?v_210 ?v_28) (=> true (=> (= errorReached.24 1) ?v_211))))) (=> true (=> (=> ?v_209 ?v_47) (=> (=> ?v_210 ?v_48) (=> true (=> (= errorReached.24 errorReached.19) (=> true ?v_211)))))))))))) (=> true (=> (not ?v_212) (and (=> true (=> ?v_214 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_215)))) (=> true (=> (not ?v_214) (and (=> true (=> ?v_216 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_215)))) (=> true (=> (not ?v_216) (and (=> true (=> ?v_217 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_215)))) (=> true (=> (not ?v_217) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_215)))))))))))))))) (=> true (=> (not ?v_218) (=> true (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..0 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= errorReached.26 errorReached.19) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.1 inline.GetWorkItemContext.0.myNondetVar_0) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.3 inline.QueuePassiveLevelCallback.0.myNondetVar_0.0) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.0 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1) (=> (= k.21 k.13) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.0 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true ?v_219))))))))))))))))))) (?v_220 (= call25465formal.ret.0 0)) (?v_343 (- 0 1073741823)) (?v_201 (int_2_U call25447formal.new.0)) (?v_196 (>= 32 0)) (?v_197 (int_2_U call25395formal.new.0)) (?v_2 (>= 4 0)) (?v_198 (int_2_U call25398formal.new.0)) (?v_199 (>= 12 0)) (?v_200 (int_2_U call25401formal.new.0)) (?v_195 (<= 0 inline.ReadWriteCompletion.0.myNondetVar_0.3)) (?v_82 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_84 (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.0 inline.ReadWriteCompletion.0.myNondetVar_0.5)) (?v_88 (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.3 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0)) (?v_95 (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_96 (= alloc.24 alloc.19)) (?v_97 (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.0 inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate)) (?v_98 (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..1 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1.)) (?v_100 (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.0 inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback)) (?v_102 (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.0 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT)) (?v_103 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call24389formal.new.0)) (?v_106 (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.4 inline.QueuePassiveLevelCallback.0.myNondetVar_0)) (?v_107 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 0)) (?v_108 (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_110 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 call24389formal.new.0)) (?v_167 (= inline.ReadWriteCompletion.0.tempBoogie0.3 inline.ReadWriteCompletion.0.tempBoogie0.0)) (?v_114 (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..0 inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2.)) (?v_115 (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.1 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1)) (?v_116 (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..0 inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2.)) (?v_117 (= inline.GetWorkItemContext.0.myNondetVar_0.2 inline.GetWorkItemContext.0.myNondetVar_0)) (?v_120 (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.1 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext)) (?v_122 (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_125 (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.0 inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback)) (?v_126 (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.0 inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback)) (?v_127 (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..0 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1.)) (?v_128 (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.0 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1)) (?v_129 (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2.)) (?v_130 (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..2 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1.)) (?v_131 (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.0 inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback))) (let ((?v_194 (=> ?v_204 (=> ?v_205 (=> ?v_125 (=> ?v_206 (=> ?v_126 (=> ?v_127 (=> ?v_128 (=> ?v_129 (=> ?v_207 (=> ?v_130 (=> ?v_131 ?v_208)))))))))))) (?v_124 (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0))) (let ((?v_151 (=> ?v_124 ?v_194)) (?v_162 (<= 0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_133 (<= 0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_83 (= inline.ReadWriteCompletion.0.myNondetVar_2.1 inline.ReadWriteCompletion.0.myNondetVar_2.0)) (?v_85 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2)) (?v_86 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0)) (?v_87 (= inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 inline.WdfUsbTargetPipeFormatRequestForUrb.0..callresult..2008.114.2.)) (?v_89 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0)) (?v_90 (= inline.ReadWriteCompletion.0.myNondetVar_1.1 inline.ReadWriteCompletion.0.myNondetVar_1.0)) (?v_91 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0)) (?v_92 (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..0)) (?v_93 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3)) (?v_94 (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..0)) (?v_99 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1)) (?v_101 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2)) (?v_104 (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..0 inline.WdfUsbTargetPipeFormatRequestForUrb.0..callresult..2008.114.2.)) (?v_105 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0)) (?v_109 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_111 (= inline.ReadWriteCompletion.0.myNondetVar_0.22 inline.ReadWriteCompletion.0.myNondetVar_0.21)) (?v_112 (= inline.ReadWriteCompletion.0.tempBoogie0.3 inline.ReadWriteCompletion.0.tempBoogie0.2)) (?v_113 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_118 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_119 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1)) (?v_121 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3)) (?v_123 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_81 (<= 0 inline.WdfUsbTargetPipeFormatRequestForUrb.0..callresult..2008.114.2.))) (let ((?v_53 (=> true (=> ?v_82 (=> ?v_83 (=> ?v_84 (=> ?v_85 (=> ?v_86 (=> ?v_87 (=> ?v_88 (=> ?v_89 (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 hrequest) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 call24970formal.ret.0) (=> ?v_90 (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 hrequest) (=> ?v_91 (=> ?v_92 (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 hrequest) (=> (= reqSent_1.2 reqSent_1.1) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_93 (=> ?v_94 (=> ?v_95 (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_96 (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 call25131formal.ret.0) (=> ?v_97 (=> ?v_98 (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 hrequest) (=> ?v_99 (=> ?v_100 (=> ?v_101 (=> (= k.24 k.23) (=> ?v_102 (=> ?v_103 (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 hrequest) (=> ?v_104 (=> ?v_105 (=> (= errorReached.31 errorReached.30) (=> ?v_106 (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 call24970formal.ret.0) (=> ?v_107 (=> ?v_108 (=> (= reqCompleteSet_1.2 reqCompleteSet_1.1) (=> ?v_109 (=> ?v_110 (=> ?v_111 (=> ?v_112 (=> ?v_113 (=> ?v_114 (=> ?v_115 (=> ?v_116 (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..0 call24970formal.ret.0) (=> ?v_117 (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0) (=> ?v_118 (=> ?v_119 (=> ?v_120 (=> ?v_121 (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 call25131formal.ret.0) (=> ?v_122 (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 call24970formal.ret.0) (=> ?v_123 (=> ?v_124 (=> (= reqSent_0.2 reqSent_0.1) (=> (= reqCompleteSet_0.2 reqCompleteSet_0.1) (=> ?v_125 (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_126 (=> ?v_127 (=> ?v_128 (=> ?v_129 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 hrequest) (=> ?v_130 (=> ?v_131 ?v_132)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_52 (- 0 1073741637)) (?v_51 (= call25131formal.ret.0 0))) (let ((?v_55 (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_53))) (?v_54 (= call25131formal.ret.0 1))) (let ((?v_58 (and (=> true (=> (not ?v_51) (=> (not ?v_54) ?v_55))) (=> true (=> ?v_51 (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0 ?v_52) (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_53)))))))))))))) (=> true (=> ?v_54 (=> true ?v_55)))))) (let ((?v_60 (=> true (=> (= errorReached.30 errorReached.29) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_58)))))))))) (?v_56 (= k.23 0)) (?v_57 (= k.23 1)) (?v_34 (= call24970formal.ret.0 0))) (let ((?v_32 (not ?v_34))) (let ((?v_69 (and (=> true (=> ?v_32 (=> true (=> (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.1 inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.3 inline.WdfUsbTargetPipeFormatRequestForUrb.0..callresult..2008.114.2.) (=> (= inline.ReadWriteCompletion.0.myNondetVar_2.2 inline.ReadWriteCompletion.0.myNondetVar_2.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 call24389formal.new.0) (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus) (=> (= errorReached.34 errorReached.29) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3) (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.2 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0) (=> (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0.myNondetVar_0.5) (=> (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2) (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..1 inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1.) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 hrequest) (=> (= reqCancelSet_1.4 reqCancelSet_1.1) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..1 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1.) (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..3 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0) (=> (= reqCompleted_0.4 reqCompleted_0.1) (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..1 inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3.) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..0) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 hrequest) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 0) (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 hrequest) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.3 inline.GetWorkItemContext.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 hrequest) (=> (= reqCompleted_1.4 reqCompleted_1.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 inline.WdfUsbTargetPipeFormatRequestForUrb.0..callresult..2008.114.2.) (=> (= reqCompleteSet_1.3 reqCompleteSet_1.1) (=> (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback) (=> (= k.25 k.23) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1) (=> (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..1 inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2.) (=> (= inline.ReadWriteCompletion.0.tempBoogie0.4 inline.ReadWriteCompletion.0.tempBoogie0.2) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call24389formal.new.0) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10.) (=> (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..1 inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2.) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.5 inline.QueuePassiveLevelCallback.0.myNondetVar_0) (=> (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1) (=> (= reqCompleteSet_0.3 reqCompleteSet_0.1) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= reqSent_1.3 reqSent_1.1) (=> (= reqCancelSet_0.4 reqCancelSet_0.1) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.2 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 call24970formal.ret.0) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.24 inline.ReadWriteCompletion.0.myNondetVar_0.21) (=> (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.2 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.1 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.4 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 call24970formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2.) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..1 call24970formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..2 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1.) (=> (= inline.ReadWriteCompletion.0.myNondetVar_1.2 inline.ReadWriteCompletion.0.myNondetVar_1.0) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 call24970formal.ret.0) (=> (= alloc.25 alloc.19) (=> (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..1 inline.WdfUsbTargetPipeFormatRequestForUrb.0..callresult..2008.114.2.) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.1 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT) (=> (= reqSent_0.3 reqSent_0.1) ?v_36))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_34 (and (=> true (=> ?v_23 (and (=> true (=> (=> ?v_56 ?v_27) (=> (=> ?v_57 ?v_28) (=> true (=> (= errorReached.30 1) ?v_58))))) (=> true (=> (=> ?v_56 ?v_47) (=> (=> ?v_57 ?v_48) ?v_60)))))) (=> true (=> ?v_59 ?v_60)))))))) (let ((?v_73 (=> true (=> true (=> true (=> true (=> true ?v_69)))))) (?v_71 (= reqSent_0.1 reqSent_0)) (?v_72 (= reqSent_1.1 reqSent_1)) (?v_66 (= errorReached.29 errorReached.28)) (?v_67 (= k.23 k.22)) (?v_68 (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 call24995formal.ret.0))) (let ((?v_62 (=> true (=> (= reqSent_0.1 reqSent_0.0) (=> (= reqSent_1.1 reqSent_1.0) (=> ?v_66 (=> ?v_67 (=> ?v_68 ?v_69)))))))) (let ((?v_65 (=> true ?v_62)) (?v_63 (= reqSent_0.0 reqSent_0)) (?v_64 (= reqSent_1.0 reqSent_1)) (?v_61 (= k.22 1)) (?v_31 (= k.22 0))) (let ((?v_70 (and (=> true (=> ?v_32 (and (=> true (=> ?v_31 (=> true (=> (= reqSent_0.0 1) (=> ?v_64 ?v_62))))) (=> true (=> (not ?v_31) (and (=> true (=> ?v_61 (=> true (=> ?v_63 (=> (= reqSent_1.0 1) ?v_65))))) (=> true (=> (not ?v_61) (=> true (=> ?v_63 (=> ?v_64 ?v_65))))))))))) (=> true (=> ?v_34 (=> true (=> ?v_71 (=> ?v_72 (=> ?v_66 (=> ?v_67 (=> ?v_68 ?v_73))))))))))) (let ((?v_80 (and (=> true (=> ?v_23 (=> true (=> (<= k.18 k.22) (=> (< k.22 2) (and (=> true (=> (=> ?v_31 ?v_27) (=> (=> ?v_61 ?v_28) (=> true (=> (= errorReached.28 1) ?v_70))))) (=> true (=> (=> ?v_31 ?v_47) (=> (=> ?v_61 ?v_48) (=> true (=> (= errorReached.28 errorReached.27) (=> true ?v_70)))))))))))) (=> true (=> ?v_59 (=> true (=> ?v_71 (=> ?v_72 (=> (= errorReached.29 errorReached.27) (=> (= k.23 k.18) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.) ?v_73))))))))))) (let ((?v_75 (=> true (=> (= reqCompleteSet_0.1 reqCompleteSet_0.0) (=> (= errorReached.27 errorReached.23) (=> (= reqCompleteSet_1.1 reqCompleteSet_1.0) ?v_80)))))) (let ((?v_78 (=> true ?v_75)) (?v_76 (= reqCompleteSet_0.0 reqCompleteSet_0)) (?v_77 (= reqCompleteSet_1.0 reqCompleteSet_1)) (?v_74 (= k.18 1)) (?v_30 (= k.18 0))) (let ((?v_79 (and (=> true (=> ?v_30 (=> true (=> (= reqCompleteSet_0.0 1) (=> ?v_77 ?v_75))))) (=> true (=> (not ?v_30) (and (=> true (=> ?v_74 (=> true (=> ?v_76 (=> (= reqCompleteSet_1.0 1) ?v_78))))) (=> true (=> (not ?v_74) (=> true (=> ?v_76 (=> ?v_77 ?v_78))))))))))) (let ((?v_161 (=> true (=> (= inline.ReadWriteCompletion.0.tempBoogie0.1 (PLUS inline.ReadWriteCompletion.0.myNondetVar_0.19 1 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0)) (=> true (=> (= inline.ReadWriteCompletion.0.tempBoogie0.2 (MINUS_BOTH_PTR_OR_BOTH_INT inline.ReadWriteCompletion.0.myNondetVar_0.20 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0 1)) (and (=> true (=> ?v_81 (and (=> true (=> ?v_23 (and (=> true (=> (=> ?v_30 ?v_27) (=> (=> ?v_74 ?v_28) (=> true (=> (= errorReached.23 1) ?v_79))))) (=> true (=> (=> ?v_30 ?v_47) (=> (=> ?v_74 ?v_48) (=> true (=> (= errorReached.23 errorReached.22) (=> true ?v_79))))))))) (=> true (=> ?v_59 (=> true (=> (= reqCompleteSet_0.1 reqCompleteSet_0) (=> (= errorReached.27 errorReached.22) (=> (= reqCompleteSet_1.1 reqCompleteSet_1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_80)))))))))))))))))))))))))) (=> true (=> (not ?v_81) (=> true (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.1 (- 0 1073741670)) (=> true (=> ?v_82 (=> ?v_83 (=> ?v_84 (=> ?v_85 (=> ?v_86 (=> ?v_87 (=> ?v_88 (=> ?v_89 (=> ?v_134 (=> ?v_135 (=> ?v_90 (=> ?v_136 (=> ?v_91 (=> ?v_92 (=> ?v_137 (=> ?v_138 (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2 inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.1) (=> ?v_93 (=> ?v_94 (=> ?v_95 (=> ?v_139 (=> ?v_96 (=> ?v_140 (=> ?v_97 (=> ?v_98 (=> ?v_141 (=> ?v_142 (=> ?v_143 (=> ?v_99 (=> ?v_100 (=> ?v_101 (=> (= k.24 k.18) (=> ?v_102 (=> ?v_103 (=> ?v_144 (=> ?v_104 (=> ?v_105 (=> (= errorReached.31 errorReached.22) (=> ?v_106 (=> ?v_145 (=> ?v_107 (=> ?v_108 (=> ?v_146 (=> ?v_109 (=> ?v_110 (=> ?v_111 (=> ?v_112 (=> ?v_113 (=> ?v_114 (=> ?v_115 (=> ?v_116 (=> ?v_147 (=> ?v_117 (=> ?v_148 (=> ?v_118 (=> ?v_119 (=> ?v_120 (=> ?v_121 (=> ?v_149 (=> ?v_122 (=> ?v_150 (=> ?v_123 ?v_151)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_169 (and (=> true (=> ?v_162 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..0 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2) (=> (= errorReached.22 errorReached.21) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0 call24531formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 hrequest) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.17 inline.ReadWriteCompletion.0.myNondetVar_0.15) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 call24531formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.) (=> (= k.18 k.17) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_161)))))))))))))))))))))))))))))) (=> true (=> (not ?v_162) (=> true (=> ?v_82 (=> ?v_163 (=> ?v_84 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_179 (=> ?v_164 (=> ?v_88 (=> ?v_180 (=> ?v_134 (=> ?v_135 (=> ?v_165 (=> ?v_136 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 call24531formal.ret.0) (=> ?v_182 (=> ?v_137 (=> ?v_138 (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_183 (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_95 (=> ?v_139 (=> ?v_96 (=> ?v_140 (=> ?v_97 (=> ?v_98 (=> ?v_141 (=> ?v_142 (=> ?v_143 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0) (=> ?v_100 (=> ?v_186 (=> (= k.24 k.17) (=> ?v_102 (=> ?v_103 (=> ?v_144 (=> ?v_166 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 hrequest) (=> (= errorReached.31 errorReached.21) (=> ?v_106 (=> ?v_145 (=> ?v_107 (=> ?v_108 (=> ?v_146 (=> ?v_188 (=> ?v_110 (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.22 inline.ReadWriteCompletion.0.myNondetVar_0.15) (=> ?v_167 (=> ?v_189 (=> ?v_114 (=> ?v_115 (=> ?v_116 (=> ?v_147 (=> ?v_117 (=> ?v_148 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 hrequest) (=> ?v_191 (=> ?v_120 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2) (=> ?v_149 (=> ?v_122 (=> ?v_150 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 call24531formal.ret.0) ?v_151))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_168 (= call24531formal.ret.0 0))) (let ((?v_174 (and (=> true (=> (not ?v_168) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 ?v_52) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.1) ?v_169))))))) (=> true (=> ?v_168 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true ?v_169))))))))))))) (let ((?v_176 (=> true (=> true (=> true ?v_174)))) (?v_175 (= errorReached.21 errorReached.19)) (?v_172 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0 call24534formal.ret.0)) (?v_173 (= k.17 k.16)) (?v_170 (= k.16 0)) (?v_171 (= k.16 1)) (?v_153 (and (=> true (=> ?v_133 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 call24647formal.ret.0) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..0 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 call24647formal.ret.0) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0) (=> (= errorReached.22 errorReached.20) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.17 inline.ReadWriteCompletion.0.myNondetVar_0.16) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0) (=> (= k.18 k.15) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 hrequest) ?v_161))))))))))))))))))))))) (=> true (=> (not ?v_133) (=> true (=> ?v_82 (=> ?v_163 (=> ?v_84 (=> ?v_178 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 call24647formal.ret.0) (=> ?v_164 (=> ?v_88 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 hrequest) (=> ?v_134 (=> ?v_135 (=> ?v_165 (=> ?v_136 (=> ?v_181 (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_137 (=> ?v_138 (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2) (=> ?v_184 (=> ?v_95 (=> ?v_139 (=> ?v_96 (=> ?v_140 (=> ?v_97 (=> ?v_98 (=> ?v_141 (=> ?v_142 (=> ?v_143 (=> ?v_185 (=> ?v_100 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= k.24 k.15) (=> ?v_102 (=> ?v_103 (=> ?v_144 (=> ?v_166 (=> ?v_187 (=> (= errorReached.31 errorReached.20) (=> ?v_106 (=> ?v_145 (=> ?v_107 (=> ?v_108 (=> ?v_146 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 call24647formal.ret.0) (=> ?v_110 (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.22 inline.ReadWriteCompletion.0.myNondetVar_0.16) (=> ?v_167 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 hrequest) (=> ?v_114 (=> ?v_115 (=> ?v_116 (=> ?v_147 (=> ?v_117 (=> ?v_148 (=> ?v_190 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0) (=> ?v_120 (=> ?v_192 (=> ?v_149 (=> ?v_122 (=> ?v_150 (=> ?v_193 ?v_151))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_152 (= call24647formal.ret.0 0))) (let ((?v_158 (and (=> true (=> (not ?v_152) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 ?v_52) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.0) ?v_153))))))) (=> true (=> ?v_152 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true ?v_153))))))))))))) (let ((?v_160 (=> true (=> true (=> true ?v_158)))) (?v_159 (= errorReached.20 errorReached.19)) (?v_156 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 call24650formal.ret.0)) (?v_157 (= k.15 k.14)) (?v_154 (= k.14 0)) (?v_155 (= k.14 1))) (let ((?v_177 (and (=> true (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.16 3) (and (=> true (=> ?v_23 (=> true (=> (<= k.13 k.14) (=> (< k.14 2) (and (=> true (=> (=> ?v_154 ?v_27) (=> (=> ?v_155 ?v_28) (=> true (=> ?v_156 (=> (= errorReached.20 1) (=> ?v_157 ?v_158))))))) (=> true (=> (=> ?v_154 ?v_47) (=> (=> ?v_155 ?v_48) (=> true (=> ?v_156 (=> ?v_159 (=> ?v_157 ?v_160))))))))))))) (=> true (=> ?v_59 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.) (=> ?v_159 (=> (= k.15 k.13) ?v_160))))))))) (=> true (=> (not (= inline.ReadWriteCompletion.0.myNondetVar_0.15 3)) (and (=> true (=> ?v_23 (=> true (=> (<= k.13 k.16) (=> (< k.16 2) (and (=> true (=> (=> ?v_170 ?v_27) (=> (=> ?v_171 ?v_28) (=> true (=> ?v_172 (=> (= errorReached.21 1) (=> ?v_173 ?v_174))))))) (=> true (=> (=> ?v_170 ?v_47) (=> (=> ?v_171 ?v_48) (=> true (=> ?v_172 (=> ?v_175 (=> ?v_173 ?v_176))))))))))))) (=> true (=> ?v_59 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2.) (=> ?v_175 (=> (= k.17 k.13) ?v_176))))))))))) (?v_29 (int_2_U call24389formal.new.0))) (let ((?v_225 (and (=> true (=> ?v_195 (=> true (and ?v_21 (=> ?v_21 (=> (> call24389formal.new.0 0) (=> (forall ((?x585 Int)) (! (=> (and (<= call24389formal.new.0 ?x585) (< ?x585 (+ call24389formal.new.0 0))) (= (Base ?x585) call24389formal.new.0)) :pattern ((Base ?x585)) )) (=> (forall ((?x586 boogieU)) (! (=> (= (type ?x586) intType) (or (= (U_2_int ?x586) call24389formal.new.0) (= (MapType0Select alloc.18 ?x586) (MapType0Select alloc.19 ?x586)))) :pattern ((MapType0Select alloc.19 ?x586)) )) (=> (and (= (MapType0Select alloc.18 ?v_29) UNALLOCATED) (= (MapType0Select alloc.19 ?v_29) ALLOCATED)) (=> true (=> (= inline.ReadWriteCompletion.0.tempBoogie0.0 (PLUS inline.ReadWriteCompletion.0.myNondetVar_0.6 1 inline.ReadWriteCompletion.0.myNondetVar_0.5)) (and (=> true (=> (not (= inline.ReadWriteCompletion.0.myNondetVar_0.7 0)) (and (=> true (=> (< 256 inline.ReadWriteCompletion.0.myNondetVar_0.9) (=> true (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0 256) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.13 inline.ReadWriteCompletion.0.myNondetVar_0.9) ?v_177))))) (=> true (=> (not (< 256 inline.ReadWriteCompletion.0.myNondetVar_0.8)) (=> true (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0 inline.ReadWriteCompletion.0.myNondetVar_0.10) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.13 inline.ReadWriteCompletion.0.myNondetVar_0.10) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_177))))))))))))))) (=> true (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.11 0) (=> true (=> ?v_82 (=> ?v_163 (=> ?v_84 (=> ?v_178 (=> ?v_179 (=> ?v_164 (=> ?v_88 (=> ?v_180 (=> ?v_134 (=> ?v_135 (=> ?v_165 (=> ?v_136 (=> ?v_181 (=> ?v_182 (=> ?v_137 (=> ?v_138 (=> ?v_202 (=> ?v_183 (=> ?v_184 (=> ?v_95 (=> ?v_139 (=> ?v_96 (=> ?v_140 (=> ?v_97 (=> ?v_98 (=> ?v_141 (=> ?v_142 (=> ?v_143 (=> ?v_185 (=> ?v_100 (=> ?v_186 (=> (= k.24 k.13) (=> ?v_102 (=> ?v_103 (=> ?v_144 (=> ?v_166 (=> ?v_187 (=> (= errorReached.31 errorReached.19) (=> ?v_106 (=> ?v_145 (=> ?v_107 (=> ?v_108 (=> ?v_146 (=> ?v_188 (=> ?v_110 (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.22 inline.ReadWriteCompletion.0.myNondetVar_0.12) (=> ?v_167 (=> ?v_189 (=> ?v_114 (=> ?v_115 (=> ?v_116 (=> ?v_147 (=> ?v_117 (=> ?v_148 (=> ?v_190 (=> ?v_191 (=> ?v_120 (=> ?v_192 (=> ?v_149 (=> ?v_122 (=> ?v_150 (=> ?v_193 (=> ?v_203 ?v_194)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_195) (=> true (and ?v_196 (=> ?v_196 (=> (> call25395formal.new.0 0) (=> (forall ((?x579 Int)) (! (=> (and (<= call25395formal.new.0 ?x579) (< ?x579 (+ call25395formal.new.0 32))) (= (Base ?x579) call25395formal.new.0)) :pattern ((Base ?x579)) )) (=> (forall ((?x580 boogieU)) (! (=> (= (type ?x580) intType) (or (= (U_2_int ?x580) call25395formal.new.0) (= (MapType0Select alloc.18 ?x580) (MapType0Select alloc.20 ?x580)))) :pattern ((MapType0Select alloc.20 ?x580)) )) (=> (and (= (MapType0Select alloc.18 ?v_197) UNALLOCATED) (= (MapType0Select alloc.20 ?v_197) ALLOCATED)) (and ?v_2 (=> ?v_2 (=> (> call25398formal.new.0 0) (=> (forall ((?x581 Int)) (! (=> (and (<= call25398formal.new.0 ?x581) (< ?x581 (+ call25398formal.new.0 4))) (= (Base ?x581) call25398formal.new.0)) :pattern ((Base ?x581)) )) (=> (forall ((?x582 boogieU)) (! (=> (= (type ?x582) intType) (or (= (U_2_int ?x582) call25398formal.new.0) (= (MapType0Select alloc.20 ?x582) (MapType0Select alloc.21 ?x582)))) :pattern ((MapType0Select alloc.21 ?x582)) )) (=> (and (= (MapType0Select alloc.20 ?v_198) UNALLOCATED) (= (MapType0Select alloc.21 ?v_198) ALLOCATED)) (and ?v_199 (=> ?v_199 (=> (> call25401formal.new.0 0) (=> (forall ((?x583 Int)) (! (=> (and (<= call25401formal.new.0 ?x583) (< ?x583 (+ call25401formal.new.0 12))) (= (Base ?x583) call25401formal.new.0)) :pattern ((Base ?x583)) )) (=> (forall ((?x584 boogieU)) (! (=> (= (type ?x584) intType) (or (= (U_2_int ?x584) call25401formal.new.0) (= (MapType0Select alloc.21 ?x584) (MapType0Select alloc.22 ?x584)))) :pattern ((MapType0Select alloc.22 ?x584)) )) (=> (and (= (MapType0Select alloc.21 ?v_200) UNALLOCATED) (= (MapType0Select alloc.22 ?v_200) ALLOCATED)) (=> true (and ?v_21 (=> ?v_21 (=> (> call25447formal.new.0 0) (=> (forall ((?x577 Int)) (! (=> (and (<= call25447formal.new.0 ?x577) (< ?x577 (+ call25447formal.new.0 0))) (= (Base ?x577) call25447formal.new.0)) :pattern ((Base ?x577)) )) (=> (forall ((?x578 boogieU)) (! (=> (= (type ?x578) intType) (or (= (U_2_int ?x578) call25447formal.new.0) (= (MapType0Select alloc.22 ?x578) (MapType0Select alloc.23 ?x578)))) :pattern ((MapType0Select alloc.23 ?x578)) )) (=> (and (= (MapType0Select alloc.22 ?v_201) UNALLOCATED) (= (MapType0Select alloc.23 ?v_201) ALLOCATED)) (and (=> true (=> (not ?v_220) (=> true (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..0 ?v_343) (=> true (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..0) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.2 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.0) ?v_221))))))) (=> true (=> ?v_220 (=> true (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1 0) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.2 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true ?v_221)))))))))))))))))))))))))))))))))))))))))) (let ((?v_230 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_225)))))))))))) (?v_227 (= k.13 0)) (?v_228 (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2.)) (?v_229 (= errorReached.19 errorReached.17)) (?v_232 (= hrequest hdevice))) (let ((?v_324 (not ?v_232)) (?v_231 (= hrequest hqueue))) (let ((?v_323 (not ?v_231)) (?v_226 (= hrequest htimer))) (let ((?v_321 (not ?v_226)) (?v_224 (=> true (=> (= k.13 k.12) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0 call24242formal.ret.0) (=> (= errorReached.19 errorReached.18) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_225)))))) (?v_222 (= k.12 0)) (?v_223 (= k.12 1))) (let ((?v_234 (and (=> true (=> ?v_23 (=> true (=> (<= 0 k.12) (=> (< k.12 2) (and (=> true (=> (=> ?v_222 ?v_27) (=> (=> ?v_223 ?v_28) (=> true (=> (= errorReached.18 1) ?v_224))))) (=> true (=> (=> ?v_222 ?v_47) (=> (=> ?v_223 ?v_48) (=> true (=> (= errorReached.18 errorReached.17) (=> true ?v_224)))))))))))) (=> true (=> ?v_59 (and (=> true (=> ?v_226 (=> true (=> ?v_227 (=> ?v_228 (=> ?v_229 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_230))))))) (=> true (=> ?v_321 (and (=> true (=> ?v_231 (=> true (=> ?v_227 (=> ?v_228 (=> ?v_229 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_230))))))) (=> true (=> ?v_323 (and (=> true (=> ?v_232 (=> true (=> ?v_227 (=> ?v_228 (=> ?v_229 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_230))))))) (=> true (=> ?v_324 (=> true (=> ?v_227 (=> ?v_228 (=> ?v_229 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_230)))))))))))))))))) (?v_25 (>= 1 0)) (?v_233 (int_2_U call24171formal.new.0)) (?v_26 (int_2_U call24179formal.new.0)) (?v_24 (int_2_U call24103formal.new.0))) (let ((?v_235 (=> true (and ?v_21 (=> ?v_21 (=> (> call24103formal.new.0 0) (=> (forall ((?x591 Int)) (! (=> (and (<= call24103formal.new.0 ?x591) (< ?x591 (+ call24103formal.new.0 0))) (= (Base ?x591) call24103formal.new.0)) :pattern ((Base ?x591)) )) (=> (forall ((?x592 boogieU)) (! (=> (= (type ?x592) intType) (or (= (U_2_int ?x592) call24103formal.new.0) (= (MapType0Select alloc.14 ?x592) (MapType0Select alloc.15 ?x592)))) :pattern ((MapType0Select alloc.15 ?x592)) )) (=> (and (= (MapType0Select alloc.14 ?v_24) UNALLOCATED) (= (MapType0Select alloc.15 ?v_24) ALLOCATED)) (and (=> true (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.0 3) (=> true (and ?v_25 (=> ?v_25 (=> (> call24179formal.new.0 0) (=> (forall ((?x589 Int)) (! (=> (and (<= call24179formal.new.0 ?x589) (< ?x589 (+ call24179formal.new.0 1))) (= (Base ?x589) call24179formal.new.0)) :pattern ((Base ?x589)) )) (=> (forall ((?x590 boogieU)) (! (=> (= (type ?x590) intType) (or (= (U_2_int ?x590) call24179formal.new.0) (= (MapType0Select alloc.15 ?x590) (MapType0Select alloc.17 ?x590)))) :pattern ((MapType0Select alloc.17 ?x590)) )) (=> (and (= (MapType0Select alloc.15 ?v_26) UNALLOCATED) (= (MapType0Select alloc.17 ?v_26) ALLOCATED)) (=> true (=> (= alloc.18 alloc.17) (=> (= inline.ReadWriteCompletion.0.havoc_stringTemp.0 call24179formal.new.0) (=> (= inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.0 call24179formal.new.0) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.2 inline.ReadWriteCompletion.0.myNondetVar_0.0) ?v_234)))))))))))))) (=> true (=> (not (= inline.ReadWriteCompletion.0.myNondetVar_0.1 3)) (=> true (and ?v_25 (=> ?v_25 (=> (> call24171formal.new.0 0) (=> (forall ((?x587 Int)) (! (=> (and (<= call24171formal.new.0 ?x587) (< ?x587 (+ call24171formal.new.0 1))) (= (Base ?x587) call24171formal.new.0)) :pattern ((Base ?x587)) )) (=> (forall ((?x588 boogieU)) (! (=> (= (type ?x588) intType) (or (= (U_2_int ?x588) call24171formal.new.0) (= (MapType0Select alloc.15 ?x588) (MapType0Select alloc.16 ?x588)))) :pattern ((MapType0Select alloc.16 ?x588)) )) (=> (and (= (MapType0Select alloc.15 ?v_233) UNALLOCATED) (= (MapType0Select alloc.16 ?v_233) ALLOCATED)) (=> true (=> (= alloc.18 alloc.16) (=> (= inline.ReadWriteCompletion.0.havoc_stringTemp.0 call24171formal.new.0) (=> (= inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.0 call24171formal.new.0) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.2 inline.ReadWriteCompletion.0.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_234))))))))))))))))))))))))))))))) (let ((?v_236 (=> true (=> (= errorReached.17 errorReached.16) ?v_235))) (?v_0 (= 0 0)) (?v_1 (= 0 1)) (?v_22 (int_2_U call24057formal.new.0)) (?v_18 (>= 24 0)) (?v_19 (int_2_U call24018formal.new.0)) (?v_20 (int_2_U call24021formal.new.0)) (?v_14 (= reqCompleteSet_0 0)) (?v_15 (= reqSent_0 0)) (?v_16 (= reqCompleteSet_1 0)) (?v_17 (= reqSent_1 0)) (?v_13 (= call23911formal.ret.0 0))) (let ((?v_245 (and (=> true (=> (not ?v_13) (=> true (=> (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.2 inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate) (=> (= reqSent_1.4 reqSent_1) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.4 inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion) (=> (= inline.ReadWriteCompletion.0.myNondetVar_2.3 inline.ReadWriteCompletion.0.myNondetVar_2) (=> (= reqCompleted_0.5 reqCompleted_0.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1.0 inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1) (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus) (=> (= errorReached.35 errorReached.16) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1..0 inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1.) (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.3 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..3 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5.) (=> (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.2 inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion) (=> (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1) (=> (= inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion.0 inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.) (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..2 inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1.) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT.0 inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT) (=> (= inline.GetRequestContext.0.myNondetVar_0.1 inline.GetRequestContext.0.myNondetVar_0) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..2 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1.) (=> (= inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1.0 inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1) (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..4 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1) (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..2 inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3.) (=> (= reqCancelSet_1.5 reqCancelSet_1.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3.) (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..3 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1) (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.4 inline.GetWorkItemContext.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1) (=> (= inline.ReadWriteCompletion.0.havoc_stringTemp.1 inline.ReadWriteCompletion.0.havoc_stringTemp) (=> (= reqCompleted_1.5 reqCompleted_1.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.) (=> (= reqCompleteSet_1.4 reqCompleteSet_1) (=> (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback) (=> (= k.26 0) (=> (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.0 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10.) (=> (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..2 inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2.) (=> (= inline.ReadWriteCompletion.0.tempBoogie0.5 inline.ReadWriteCompletion.0.tempBoogie0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.) (=> (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..2 inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7.) (=> (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..2 inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2.) (=> (= inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters.0 inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.6 inline.QueuePassiveLevelCallback.0.myNondetVar_0) (=> (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2.) (=> (= reqCompleteSet_0.4 reqCompleteSet_0) (=> (= inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1.0 inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1.0 inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1) (=> (= reqCancelSet_0.5 reqCancelSet_0.1) (=> (= alloc.26 alloc.11) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.3 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.25 inline.ReadWriteCompletion.0.myNondetVar_0) (=> (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.3 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.2 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion.0 inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2.) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion) (=> (= inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters.0 inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.5 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2..0 inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2.) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..3 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1.) (=> (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.0 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.) (=> (= inline.ReadWriteCompletion.0.myNondetVar_1.3 inline.ReadWriteCompletion.0.myNondetVar_1) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.2 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT) (=> (= inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion.0 inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion) (=> (= reqSent_0.4 reqSent_0) ?v_33)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_13 (=> true (=> (=> ?v_0 (and (not ?v_14) (not ?v_15))) (=> (=> ?v_1 (and (not ?v_16) (not ?v_17))) (=> true (and ?v_18 (=> ?v_18 (=> (> call24018formal.new.0 0) (=> (forall ((?x595 Int)) (! (=> (and (<= call24018formal.new.0 ?x595) (< ?x595 (+ call24018formal.new.0 24))) (= (Base ?x595) call24018formal.new.0)) :pattern ((Base ?x595)) )) (=> (forall ((?x596 boogieU)) (! (=> (= (type ?x596) intType) (or (= (U_2_int ?x596) call24018formal.new.0) (= (MapType0Select alloc.11 ?x596) (MapType0Select alloc.12 ?x596)))) :pattern ((MapType0Select alloc.12 ?x596)) )) (=> (and (= (MapType0Select alloc.11 ?v_19) UNALLOCATED) (= (MapType0Select alloc.12 ?v_19) ALLOCATED)) (and ?v_2 (=> ?v_2 (=> (> call24021formal.new.0 0) (=> (forall ((?x597 Int)) (! (=> (and (<= call24021formal.new.0 ?x597) (< ?x597 (+ call24021formal.new.0 4))) (= (Base ?x597) call24021formal.new.0)) :pattern ((Base ?x597)) )) (=> (forall ((?x598 boogieU)) (! (=> (= (type ?x598) intType) (or (= (U_2_int ?x598) call24021formal.new.0) (= (MapType0Select alloc.12 ?x598) (MapType0Select alloc.13 ?x598)))) :pattern ((MapType0Select alloc.13 ?x598)) )) (=> (and (= (MapType0Select alloc.12 ?v_20) UNALLOCATED) (= (MapType0Select alloc.13 ?v_20) ALLOCATED)) (=> true (and ?v_21 (=> ?v_21 (=> (> call24057formal.new.0 0) (=> (forall ((?x593 Int)) (! (=> (and (<= call24057formal.new.0 ?x593) (< ?x593 (+ call24057formal.new.0 0))) (= (Base ?x593) call24057formal.new.0)) :pattern ((Base ?x593)) )) (=> (forall ((?x594 boogieU)) (! (=> (= (type ?x594) intType) (or (= (U_2_int ?x594) call24057formal.new.0) (= (MapType0Select alloc.13 ?x594) (MapType0Select alloc.14 ?x594)))) :pattern ((MapType0Select alloc.14 ?x594)) )) (=> (and (= (MapType0Select alloc.13 ?v_22) UNALLOCATED) (= (MapType0Select alloc.14 ?v_22) ALLOCATED)) (and (=> true (=> ?v_23 (and (=> true (=> (=> ?v_0 ?v_27) (=> (=> ?v_1 ?v_28) (=> true (=> (= errorReached.17 1) ?v_235))))) (=> true (=> (=> ?v_0 ?v_47) (=> (=> ?v_1 ?v_48) ?v_236)))))) (=> true (=> ?v_59 ?v_236))))))))))))))))))))))))))))))) (let ((?v_276 (=> true (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.2 inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.1) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel1.0 hrequest) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.IsListEmpty.1.myNondetVar_0.2 inline.IsListEmpty.1.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.0 hrequest) (=> (= inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..1 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..0) (=> (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.6 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.5) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1) (=> (= inline.IsListEmpty.0.myNondetVar_0.2 inline.IsListEmpty.0.myNondetVar_0.1) (=> (= alloc.11 alloc.10) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..1 inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..1 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..0) (=> (= inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..1 inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..1 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..0) (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1) (=> (= k.11 k.10) (=> (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.0 hrequest) (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.1 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.0) (=> (= lockStatus_1.5 lockStatus_1.4) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0) (=> (= errorReached.16 errorReached.15) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.1 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..1 inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..0) (=> (= inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..1 inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..0) (=> (= inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel.0 call25747formal.new.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel.0 hrequest) (=> (= inline.InsertTailList.0.myNondetVar_0.2 inline.InsertTailList.0.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.GetSubRequestContext.0.myNondetVar_0.2 inline.GetSubRequestContext.0.myNondetVar_0.1) (=> (= inline.RemoveHeadList.0.myNondetVar_0.3 inline.RemoveHeadList.0.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectContextGetObject.0..result.sdv_WdfObjectContextGetObject.6826.0.1..1 inline.sdv_WdfObjectContextGetObject.0..result.sdv_WdfObjectContextGetObject.6826.0.1..0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..1 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..1 inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..0) (=> (= inline.InitializeListHead.0.myNondetVar_0.2 inline.InitializeListHead.0.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= lockStatus_0.5 lockStatus_0.4) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1) (=> (= inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.0) (=> (= reqCancelStarted_1.1 reqCancelStarted_1.0) (=> (= inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..1 inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= reqCancelStarted_0.1 reqCancelStarted_0.0) (=> (= inline.GetRequestContext.1.myNondetVar_0.1 inline.GetRequestContext.1.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true ?v_245))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_316 (=> true (=> true (=> true ?v_276)))) (?v_302 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty)) (?v_303 (= inline.IsListEmpty.1.myNondetVar_0.1 inline.IsListEmpty.1.myNondetVar_0)) (?v_304 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_305 (= inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.0 inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel)) (?v_306 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_307 (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.)) (?v_308 (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..0 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6.)) (?v_309 (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..0 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8.)) (?v_310 (= inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..0 inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7.)) (?v_311 (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList)) (?v_312 (= inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..0 inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5.)) (?v_313 (= inline.RemoveHeadList.0.myNondetVar_0.2 inline.RemoveHeadList.0.myNondetVar_0)) (?v_314 (= inline.sdv_WdfObjectContextGetObject.0..result.sdv_WdfObjectContextGetObject.6826.0.1..0 inline.sdv_WdfObjectContextGetObject.0..result.sdv_WdfObjectContextGetObject.6826.0.1.)) (?v_315 (= inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..0 inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1.)) (?v_247 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0 call25747formal.new.0)) (?v_248 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.4)) (?v_249 (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.0 notused_4wdfobject1)) (?v_250 (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.2)) (?v_251 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.4)) (?v_252 (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..0 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0)) (?v_253 (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.5 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.4)) (?v_254 (= inline.IsListEmpty.0.myNondetVar_0.1 inline.IsListEmpty.0.myNondetVar_0.0)) (?v_255 (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_256 (= inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_257 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 notused_4wdfobject1)) (?v_258 (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0)) (?v_259 (= k.10 k.9)) (?v_260 (= lockStatus_1.4 lockStatus_1.3)) (?v_261 (= errorReached.15 errorReached.14)) (?v_262 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0 call25747formal.new.0)) (?v_263 (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.0 notused_4wdfobject1)) (?v_264 (= inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_265 (= inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..0 notused_4wdfobject1)) (?v_266 (= lockStatus_0.4 lockStatus_0.3)) (?v_267 (= inline.InsertTailList.0.myNondetVar_0.1 inline.InsertTailList.0.myNondetVar_0.0)) (?v_268 (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..0 notused_4wdfobject1)) (?v_269 (= inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..0 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_270 (= inline.InitializeListHead.0.myNondetVar_0.1 inline.InitializeListHead.0.myNondetVar_0.0)) (?v_271 (= inline.GetSubRequestContext.0.myNondetVar_0.1 inline.GetSubRequestContext.0.myNondetVar_0.0)) (?v_272 (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0)) (?v_273 (= inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.0 notused_4wdfobject1)) (?v_274 (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.2)) (?v_275 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 notused_4wdfobject1))) (let ((?v_278 (=> true (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0 call25747formal.new.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.0) (=> ?v_247 (=> ?v_248 (=> ?v_249 (=> (= inline.IsListEmpty.1.myNondetVar_0.1 inline.IsListEmpty.1.myNondetVar_0.0) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0 call25747formal.new.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.0 inline.RemoveHeadList.0.myNondetVar_0.0) (=> ?v_250 (=> ?v_251 (=> ?v_252 (=> ?v_253 (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0) (=> ?v_254 (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.0.myNondetVar_0.0) (=> ?v_255 (=> ?v_256 (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..0 notused_4wdfobject1) (=> ?v_257 (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..0 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0) (=> ?v_258 (=> ?v_259 (=> ?v_260 (=> ?v_261 (=> ?v_262 (=> ?v_263 (=> (= inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..0 inline.WdfRequestCancelSentRequest.0..callresult..747.98.2.) (=> ?v_264 (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.0.myNondetVar_0.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..0 inline.RemoveHeadList.0.myNondetVar_0.0) (=> ?v_265 (=> ?v_266 (=> ?v_267 (=> (= inline.RemoveHeadList.0.myNondetVar_0.2 inline.RemoveHeadList.0.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectContextGetObject.0..result.sdv_WdfObjectContextGetObject.6826.0.1..0 notused_4wdfobject1) (=> ?v_268 (=> ?v_269 (=> ?v_270 (=> ?v_271 (=> ?v_272 (=> ?v_273 (=> (= inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..0 inline.WdfRequestCancelSentRequest.0..callresult..747.98.2.) (=> ?v_274 (=> ?v_275 ?v_316)))))))))))))))))))))))))))))))))))))))))))))) (?v_277 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_280 (=> true (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.1.myNondetVar_0.0 call25747formal.new.0))) (and (=> true (=> (not ?v_277) ?v_278)) (=> true (=> ?v_277 (=> true (=> (not ?v_0) ?v_278)))))))) (?v_279 (= inline.WdfRequestCancelSentRequest.0..callresult..747.98.2. 0)) (?v_246 (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_288 (=> true (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.0.myNondetVar_0.0 call25747formal.new.0))) (and (=> true (=> (not ?v_246) (=> true (=> ?v_302 (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_247 (=> ?v_248 (=> ?v_249 (=> ?v_303 (=> ?v_304 (=> ?v_305 (=> ?v_250 (=> ?v_251 (=> ?v_252 (=> ?v_253 (=> ?v_306 (=> ?v_254 (=> ?v_307 (=> ?v_255 (=> ?v_256 (=> ?v_308 (=> ?v_257 (=> ?v_309 (=> ?v_258 (=> ?v_259 (=> ?v_260 (=> ?v_261 (=> ?v_262 (=> ?v_263 (=> ?v_310 (=> ?v_264 (=> ?v_311 (=> ?v_312 (=> ?v_265 (=> ?v_266 (=> ?v_267 (=> ?v_313 (=> ?v_314 (=> ?v_268 (=> ?v_269 (=> ?v_270 (=> ?v_271 (=> ?v_272 (=> ?v_273 (=> ?v_315 (=> ?v_274 (=> ?v_275 ?v_276))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_246 (=> true (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.0 (MINUS_LEFT_PTR inline.RemoveHeadList.0.myNondetVar_0.0 1 12)) (and (=> true (=> (not ?v_279) ?v_280)) (=> true (=> ?v_279 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_280)))))))))))))))))))) (?v_287 (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.4 hlock))) (let ((?v_282 (=> true (=> (= lockStatus_0.3 lockStatus_0.2) (=> (= lockStatus_1.3 lockStatus_1.2) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0 call26273formal.ret.0) (=> (= k.9 k.8) ?v_288))))))) (let ((?v_286 (=> true ?v_282)) (?v_284 (= lockStatus_0.2 lockStatus_0.1)) (?v_285 (= lockStatus_1.2 lockStatus_1.1)) (?v_283 (= k.8 1)) (?v_281 (= k.8 0))) (let ((?v_291 (and (=> true (=> ?v_287 (=> true (=> (<= k.7 k.8) (=> (< k.8 2) (and (=> true (=> ?v_281 (=> true (=> (= lockStatus_0.2 0) (=> ?v_285 ?v_282))))) (=> true (=> (not ?v_281) (and (=> true (=> ?v_283 (=> true (=> ?v_284 (=> (= lockStatus_1.2 0) ?v_286))))) (=> true (=> (not ?v_283) (=> true (=> ?v_284 (=> ?v_285 ?v_286)))))))))))))) (=> true (=> (not ?v_287) (=> true (=> (= lockStatus_0.3 lockStatus_0.1) (=> (= lockStatus_1.3 lockStatus_1.1) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.) (=> (= k.9 k.7) (=> true (=> true (=> true (=> true (=> true (=> true ?v_288)))))))))))))))) (let ((?v_293 (=> (= errorReached.14 errorReached.12) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_291)))))))))))))))))))))))))))))))) (?v_295 (= notused_4wdfobject1 hdevice)) (?v_294 (= notused_4wdfobject1 hqueue)) (?v_292 (= notused_4wdfobject1 htimer)) (?v_290 (= notused_4wdfobject1 hrequest)) (?v_289 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.14 errorReached.13) ?v_291)))) (?v_243 (= k.7 0)) (?v_244 (= k.7 1))) (let ((?v_301 (and (=> true (=> ?v_290 (and (=> true (=> (=> ?v_243 ?v_27) (=> (=> ?v_244 ?v_28) (=> true (=> (= errorReached.13 1) ?v_289))))) (=> true (=> (=> ?v_243 ?v_47) (=> (=> ?v_244 ?v_48) (=> true (=> (= errorReached.13 errorReached.12) (=> true ?v_289))))))))) (=> true (=> (not ?v_290) (and (=> true (=> ?v_292 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_293)))) (=> true (=> (not ?v_292) (and (=> true (=> ?v_294 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_293)))) (=> true (=> (not ?v_294) (and (=> true (=> ?v_295 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_293)))) (=> true (=> (not ?v_295) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_293))))))))))))))) (?v_300 (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.2 hlock))) (let ((?v_296 (=> true (=> (= lockStatus_0.1 lockStatus_0.0) (=> (= lockStatus_1.1 lockStatus_1.0) ?v_301))))) (let ((?v_299 (=> true ?v_296)) (?v_297 (= lockStatus_0.0 lockStatus_0)) (?v_298 (= lockStatus_1.0 lockStatus_1)) (?v_241 (= lockStatus_0 0)) (?v_242 (= lockStatus_1 0))) (let ((?v_320 (and (=> true (=> (not (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.1 0)) (and (=> true (=> ?v_300 (=> true (=> (=> ?v_243 ?v_241) (=> (=> ?v_244 ?v_242) (and (=> true (=> ?v_243 (=> true (=> (= lockStatus_0.0 1) (=> ?v_298 ?v_296))))) (=> true (=> (not ?v_243) (and (=> true (=> ?v_244 (=> true (=> ?v_297 (=> (= lockStatus_1.0 1) ?v_299))))) (=> true (=> (not ?v_244) (=> true (=> ?v_297 (=> ?v_298 ?v_299)))))))))))))) (=> true (=> (not ?v_300) (=> true (=> (= lockStatus_0.1 lockStatus_0) (=> (= lockStatus_1.1 lockStatus_1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_301)))))))))))))))))))))))))) (=> true (=> (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.0 0) (=> true (=> ?v_302 (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.0 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1) (=> ?v_303 (=> ?v_304 (=> ?v_305 (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..0 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4.) (=> (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.5 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.0) (=> ?v_306 (=> (= inline.IsListEmpty.0.myNondetVar_0.1 inline.IsListEmpty.0.myNondetVar_0) (=> ?v_307 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..0 inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1.) (=> ?v_308 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> ?v_309 (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1.) (=> (= k.10 k.7) (=> (= lockStatus_1.4 lockStatus_1) (=> (= errorReached.15 errorReached.12) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty) (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.0 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext) (=> ?v_310 (=> (= inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2.) (=> ?v_311 (=> ?v_312 (=> (= inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..0 inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1.) (=> (= lockStatus_0.4 lockStatus_0) (=> (= inline.InsertTailList.0.myNondetVar_0.1 inline.InsertTailList.0.myNondetVar_0) (=> ?v_313 (=> ?v_314 (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..0 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2.) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..0 inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3.) (=> (= inline.InitializeListHead.0.myNondetVar_0.1 inline.InitializeListHead.0.myNondetVar_0) (=> (= inline.GetSubRequestContext.0.myNondetVar_0.1 inline.GetSubRequestContext.0.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.) (=> (= inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.0 inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel) (=> ?v_315 (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) ?v_316)))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_322 (=> (= errorReached.12 errorReached.10) (=> (= k.7 k.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_320))))))))))))) (?v_319 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.12 errorReached.11) (=> (= k.7 k.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 call25820formal.ret.0) ?v_320)))))) (?v_317 (= k.6 0)) (?v_318 (= k.6 1)) (?v_239 (>= 8 0)) (?v_240 (int_2_U call25747formal.new.0))) (let ((?v_326 (=> true (and ?v_239 (=> ?v_239 (=> (> call25747formal.new.0 0) (=> (forall ((?x599 Int)) (! (=> (and (<= call25747formal.new.0 ?x599) (< ?x599 (+ call25747formal.new.0 8))) (= (Base ?x599) call25747formal.new.0)) :pattern ((Base ?x599)) )) (=> (forall ((?x600 boogieU)) (! (=> (= (type ?x600) intType) (or (= (U_2_int ?x600) call25747formal.new.0) (= (MapType0Select alloc.9 ?x600) (MapType0Select alloc.10 ?x600)))) :pattern ((MapType0Select alloc.10 ?x600)) )) (=> (and (= (MapType0Select alloc.9 ?v_240) UNALLOCATED) (= (MapType0Select alloc.10 ?v_240) ALLOCATED)) (and (=> true (=> ?v_23 (=> true (=> (<= k.5 k.6) (=> (< k.6 2) (and (=> true (=> (=> ?v_317 ?v_27) (=> (=> ?v_318 ?v_28) (=> true (=> (= errorReached.11 1) ?v_319))))) (=> true (=> (=> ?v_317 ?v_47) (=> (=> ?v_318 ?v_48) (=> true (=> (= errorReached.11 errorReached.10) (=> true ?v_319)))))))))))) (=> true (=> ?v_59 (and (=> true (=> ?v_226 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_322)))) (=> true (=> ?v_321 (and (=> true (=> ?v_231 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_322)))) (=> true (=> ?v_323 (and (=> true (=> ?v_232 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_322)))) (=> true (=> ?v_324 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_322)))))))))))))))))))))) (?v_327 (= reqCancelStarted_1.0 reqCancelStarted_1))) (let ((?v_328 (=> (= reqCancelStarted_0.0 reqCancelStarted_0) (=> true (=> true (=> true ?v_326))))) (?v_325 (= k.5 1)) (?v_238 (= k.5 0)) (?v_237 (= call23869formal.ret.0 0))) (let ((?v_340 (=> true (=> (<= 0 k.5) (=> (< k.5 2) (and (=> true (=> (not ?v_237) (=> true (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.2 inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel1.0 inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel1) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty) (=> (= inline.IsListEmpty.1.myNondetVar_0.2 inline.IsListEmpty.1.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2.) (=> (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.0 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext) (=> (= inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..1 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4.) (=> (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.6 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.) (=> (= inline.IsListEmpty.0.myNondetVar_0.2 inline.IsListEmpty.0.myNondetVar_0) (=> (= alloc.11 alloc.9) (=> (= inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.0..result.RemoveHeadList.6743.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..1 inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1.) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..1 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6.) (=> (= inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..1 inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1.) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..1 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8.) (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1.) (=> (= k.11 k.5) (=> (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.0 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1) (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.1 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1) (=> (= lockStatus_1.5 lockStatus_1) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1) (=> (= errorReached.16 errorReached.10) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty) (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.1 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..1 inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7.) (=> (= inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2.) (=> (= inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.0..Entry.3.6748.16.RemoveHeadList) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..1 inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5.) (=> (= inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel.0 inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel) (=> (= inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel.0 inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel) (=> (= inline.InsertTailList.0.myNondetVar_0.2 inline.InsertTailList.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetSubRequestContext.0.myNondetVar_0.2 inline.GetSubRequestContext.0.myNondetVar_0) (=> (= inline.RemoveHeadList.0.myNondetVar_0.3 inline.RemoveHeadList.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectContextGetObject.0..result.sdv_WdfObjectContextGetObject.6826.0.1..1 inline.sdv_WdfObjectContextGetObject.0..result.sdv_WdfObjectContextGetObject.6826.0.1.) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..1 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2.) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..1 inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3.) (=> (= inline.InitializeListHead.0.myNondetVar_0.2 inline.InitializeListHead.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= lockStatus_0.5 lockStatus_0) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.) (=> (= inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel) (=> (= reqCancelStarted_1.1 reqCancelStarted_1) (=> (= inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..1 inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1.) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= reqCancelStarted_0.1 reqCancelStarted_0) (=> (= inline.GetRequestContext.1.myNondetVar_0.1 inline.GetRequestContext.1.myNondetVar_0) ?v_245)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_237 (=> true (=> (=> ?v_238 (not (= reqCancelSet_0.1 0))) (=> (=> ?v_325 (not (= reqCancelSet_1.1 0))) (and (=> true (=> ?v_238 (=> true (=> ?v_327 (=> (= reqCancelStarted_0.0 1) ?v_326))))) (=> true (=> (not ?v_238) (and (=> true (=> ?v_325 (=> true (=> (= reqCancelStarted_1.0 1) ?v_328)))) (=> true (=> (not ?v_325) (=> true (=> ?v_327 ?v_328))))))))))))))))))) (let ((?v_330 (=> true (=> (= reqCancelSet_1.1 reqCancelSet_1.0) (=> (= reqCancelSet_0.1 reqCancelSet_0.0) (=> (= reqCompleted_1.1 reqCompleted_1.0) (=> (= errorReached.10 errorReached.9) (=> (= reqCompleted_0.1 reqCompleted_0.0) ?v_340)))))))) (let ((?v_333 (=> true ?v_330)) (?v_331 (= reqCancelSet_0.0 reqCancelSet_0)) (?v_332 (= reqCancelSet_1.0 reqCancelSet_1)) (?v_329 (= k.4 1))) (let ((?v_336 (not ?v_329)) (?v_7 (= k.4 0))) (let ((?v_334 (not ?v_7))) (let ((?v_335 (and (=> true (=> ?v_7 (=> true (=> (= reqCancelSet_0.0 0) (=> ?v_332 ?v_330))))) (=> true (=> ?v_334 (and (=> true (=> ?v_329 (=> true (=> ?v_331 (=> (= reqCancelSet_1.0 0) ?v_333))))) (=> true (=> ?v_336 (=> true (=> ?v_331 (=> ?v_332 ?v_333)))))))))) (?v_337 (= reqCompleted_1.0 reqCompleted_1))) (let ((?v_338 (=> (= reqCompleted_0.0 reqCompleted_0) (=> true (=> true ?v_335))))) (let ((?v_339 (and (=> true (=> ?v_7 (=> true (=> ?v_337 (=> (= reqCompleted_0.0 1) ?v_335))))) (=> true (=> ?v_334 (and (=> true (=> ?v_329 (=> true (=> (= reqCompleted_1.0 1) ?v_338)))) (=> true (=> ?v_336 (=> true (=> ?v_337 ?v_338))))))))) (?v_5 (= reqCompleted_0 0)) (?v_6 (= reqCompleted_1 0))) (let ((?v_8 (not ?v_5)) (?v_9 (not ?v_6))) (let ((?v_402 (and (=> true (=> ?v_23 (and (=> true (=> (=> ?v_7 ?v_8) (=> (=> ?v_329 ?v_9) (=> true (=> (= errorReached.9 1) ?v_339))))) (=> true (=> (=> ?v_7 ?v_5) (=> (=> ?v_329 ?v_6) (=> true (=> (= errorReached.9 errorReached.8) (=> true ?v_339))))))))) (=> true (=> ?v_59 (=> true (=> (= reqCancelSet_1.1 reqCancelSet_1) (=> (= reqCancelSet_0.1 reqCancelSet_0) (=> (= reqCompleted_1.1 reqCompleted_1) (=> (= errorReached.10 errorReached.8) (=> (= reqCompleted_0.1 reqCompleted_0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_340))))))))))))))))))) (let ((?v_459 (=> true (=> true (=> true (=> true ?v_402))))) (?v_344 (= inline.sdv_WdfIoTargetStop.0..result.malloc.7889.31.1..2 inline.sdv_WdfIoTargetStop.0..result.malloc.7889.31.1.)) (?v_478 (= inline.UsbSamp_EvtIoDeviceControl.0..result.sdv_WdfRequestGetFileObject.172.61.4..0 notused_4hfileobj)) (?v_479 (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0)) (?v_347 (= inline.ResetPipe.0..result.ResetPipe.442.0.1..0 inline.ResetPipe.0..result.ResetPipe.442.0.1.)) (?v_348 (= inline.ResetPipe.0..status.2.461.22.ResetPipe.1 inline.ResetPipe.0..status.2.461.22.ResetPipe)) (?v_429 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4.)) (?v_480 (= errorReached.8 errorReached.7)) (?v_349 (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_350 (= inline.ResetDevice.0..result.WdfUsbTargetDeviceIsConnectedSynchronous.589.53.4..0 inline.ResetDevice.0..result.WdfUsbTargetDeviceIsConnectedSynchronous.589.53.4.)) (?v_351 (= inline.IsItWin2k.0..result.PsGetVersion.533.16.2..0 inline.IsItWin2k.0..result.PsGetVersion.533.16.2.)) (?v_352 (= inline.ResetDevice.0..result.WdfUsbTargetDeviceResetPortSynchronously.592.57.5..1 inline.ResetDevice.0..result.WdfUsbTargetDeviceResetPortSynchronously.592.57.5.)) (?v_353 (= inline.StartAllPipes.0..count.2.508.10.StartAllPipes.1 inline.StartAllPipes.0..count.2.508.10.StartAllPipes)) (?v_431 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3.)) (?v_432 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer)) (?v_433 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer)) (?v_354 (= inline.ResetDevice.0..status.3.564.13.ResetDevice.1 inline.ResetDevice.0..status.3.564.13.ResetDevice)) (?v_355 (= inline.ResetDevice.0..Device.1.544.17.ResetDevice.0 inline.ResetDevice.0..Device.1.544.17.ResetDevice)) (?v_356 (= inline.IsItWin2k.0..buildNumber.3.526.38.IsItWin2k.0 inline.IsItWin2k.0..buildNumber.3.526.38.IsItWin2k)) (?v_357 (= inline.IsItWin2k.0..minorVersion.2.526.24.IsItWin2k.0 inline.IsItWin2k.0..minorVersion.2.526.24.IsItWin2k)) (?v_358 (= inline.UsbSamp_EvtIoDeviceControl.0..result.ResetDevice.210.28.8..0 inline.UsbSamp_EvtIoDeviceControl.0..result.ResetDevice.210.28.8.)) (?v_481 (= inline.sdv_WdfRequestGetFileObject.0..result.sdv_WdfRequestGetFileObject.7046.0.1..0 notused_4hfileobj)) (?v_360 (= inline.ResetDevice.0.myNondetVar_0.3 inline.ResetDevice.0.myNondetVar_0)) (?v_361 (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.0 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1)) (?v_434 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1.)) (?v_362 (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.0 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext)) (?v_363 (= inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..0 inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2.)) (?v_364 (= inline.StopAllPipes.0..i.3.488.16.StopAllPipes.3 inline.StopAllPipes.0..i.3.488.16.StopAllPipes)) (?v_410 (= inline.UsbSamp_EvtIoDeviceControl.0..result.memcpy.196.0.7..0 inline.UsbSamp_EvtIoDeviceControl.0..result.memcpy.196.0.7.)) (?v_365 (= inline.ResetDevice.0..result.IsItWin2k.568.21.2..0 inline.ResetDevice.0..result.IsItWin2k.568.21.2.)) (?v_366 (= inline.StopAllPipes.0.LOOP_7_alloc.1 inline.StopAllPipes.0.LOOP_7_alloc)) (?v_367 (= inline.StopAllPipes.0..result.WdfUsbInterfaceGetConfiguredPipe.493.47.1..2 inline.StopAllPipes.0..result.WdfUsbInterfaceGetConfiguredPipe.493.47.1.)) (?v_435 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2.)) (?v_368 (= inline.ResetDevice.0..Device.1.544.17.ResetDevice1.0 inline.ResetDevice.0..Device.1.544.17.ResetDevice1)) (?v_369 (= inline.StopAllPipes.0.myNondetVar_0.4 inline.StopAllPipes.0.myNondetVar_0)) (?v_370 (= inline.WdfUsbInterfaceGetConfiguredPipe.0..result.WdfUsbInterfaceGetConfiguredPipe.2284.0.1..2 inline.WdfUsbInterfaceGetConfiguredPipe.0..result.WdfUsbInterfaceGetConfiguredPipe.2284.0.1.)) (?v_482 (= k.4 k.3)) (?v_483 (= inline.sdv_WdfRequestGetFileObject.0..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 hrequest)) (?v_436 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer)) (?v_484 (= inline.sdv_WdfRequestGetFileObject.0..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 hrequest)) (?v_373 (= inline.StartAllPipes.0..i.3.508.16.StartAllPipes.3 inline.StartAllPipes.0..i.3.508.16.StartAllPipes)) (?v_437 (= inline.UsbSamp_EvtIoDeviceControl.0..length.12.156.23.UsbSamp_EvtIoDeviceControl.0 0)) (?v_374 (= inline.StartAllPipes.0.LOOP_7_alloc.1 inline.StartAllPipes.0.LOOP_7_alloc)) (?v_485 (= inline.GetFileContext.0.myNondetVar_0.1 inline.GetFileContext.0.myNondetVar_0.0)) (?v_376 (= inline.IsItWin2k.0.myNondetVar_0.6 inline.IsItWin2k.0.myNondetVar_0)) (?v_377 (= inline.StopAllPipes.0..count.2.488.10.StopAllPipes.1 inline.StopAllPipes.0..count.2.488.10.StopAllPipes)) (?v_378 (= inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..0 inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1.)) (?v_379 (= inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop.2 inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop)) (?v_380 (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_381 (= inline.WdfUsbTargetPipeGetIoTarget.0..result.WdfUsbTargetPipeGetIoTarget.744.0.1..2 inline.WdfUsbTargetPipeGetIoTarget.0..result.WdfUsbTargetPipeGetIoTarget.744.0.1.)) (?v_382 (= inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget.2 inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget)) (?v_486 (= inline.GetFileContext.0..Handle.1.107.0.GetFileContext1.0 notused_4hfileobj)) (?v_438 (= inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_1.2 inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_1)) (?v_384 (= inline.StartAllPipes.0.myNondetVar_0.4 inline.StartAllPipes.0.myNondetVar_0)) (?v_385 (= inline.IsItWin2k.0..result.IsItWin2k.522.0.1..1 inline.IsItWin2k.0..result.IsItWin2k.522.0.1.)) (?v_439 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1)) (?v_487 (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 notused_4hfileobj)) (?v_488 (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 notused_4hfileobj)) (?v_440 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1)) (?v_388 (= inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget1.2 inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget1)) (?v_389 (= inline.WdfUsbTargetDeviceIsConnectedSynchronous.0..result.WdfUsbTargetDeviceIsConnectedSynchronous.1312.0.1..0 inline.WdfUsbTargetDeviceIsConnectedSynchronous.0..result.WdfUsbTargetDeviceIsConnectedSynchronous.1312.0.1.)) (?v_441 (= alloc.9 alloc.1)) (?v_390 (= inline.ResetDevice.0..win2k.4.565.12.ResetDevice.0 inline.ResetDevice.0..win2k.4.565.12.ResetDevice)) (?v_442 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0)) (?v_391 (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_392 (= inline.StopAllPipes.0..result.WdfUsbTargetPipeGetIoTarget.497.51.2..2 inline.StopAllPipes.0..result.WdfUsbTargetPipeGetIoTarget.497.51.2.)) (?v_393 (= inline.GetDeviceContext.1.myNondetVar_0.1 inline.GetDeviceContext.1.myNondetVar_0)) (?v_394 (= inline.StopAllPipes.0..pipe.4.492.19.StopAllPipes.2 inline.StopAllPipes.0..pipe.4.492.19.StopAllPipes)) (?v_395 (= inline.UsbSamp_EvtIoDeviceControl.0..result.ResetPipe.178.30.5..0 inline.UsbSamp_EvtIoDeviceControl.0..result.ResetPipe.178.30.5.)) (?v_396 (= inline.WdfUsbTargetDeviceResetPortSynchronously.0..result.WdfUsbTargetDeviceResetPortSynchronously.1339.0.1..1 inline.WdfUsbTargetDeviceResetPortSynchronously.0..result.WdfUsbTargetDeviceResetPortSynchronously.1339.0.1.)) (?v_399 (= inline.ResetDevice.0..result.ResetDevice.543.0.1..0 inline.ResetDevice.0..result.ResetDevice.543.0.1.)) (?v_400 (= inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop1.2 inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop1)) (?v_443 (= inline.UsbSamp_EvtIoDeviceControl.0..result.sdv_WdfRequestRetrieveOutputBuffer.190.51.6..0 inline.UsbSamp_EvtIoDeviceControl.0..result.sdv_WdfRequestRetrieveOutputBuffer.190.51.6.)) (?v_401 (= inline.IsItWin2k.0..majorVersion.1.526.10.IsItWin2k.0 inline.IsItWin2k.0..majorVersion.1.526.10.IsItWin2k))) (let ((?v_444 (=> ?v_401 ?v_459))) (let ((?v_475 (=> ?v_399 (=> ?v_400 (=> ?v_443 ?v_444))))) (let ((?v_489 (=> ?v_396 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetFileContext.0..Handle.1.107.0.GetFileContext.0 notused_4hfileobj) ?v_475))))) (let ((?v_477 (=> true (=> ?v_344 (=> ?v_478 (=> ?v_479 (=> (= inline.ResetPipe.0..result.ResetPipe.442.0.1..0 inline.ResetPipe.0..status.2.461.22.ResetPipe.0) (=> (= inline.ResetPipe.0..status.2.461.22.ResetPipe.1 inline.ResetPipe.0..status.2.461.22.ResetPipe.0) (=> ?v_429 (=> ?v_480 (=> ?v_349 (=> ?v_350 (=> ?v_351 (=> ?v_352 (=> ?v_353 (=> ?v_431 (=> ?v_432 (=> ?v_433 (=> ?v_354 (=> ?v_355 (=> ?v_356 (=> ?v_357 (=> ?v_358 (=> ?v_481 (=> ?v_360 (=> ?v_361 (=> ?v_434 (=> ?v_362 (=> (= inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..0 inline.WdfUsbTargetPipeResetSynchronously.0..callresult..1901.112.2.) (=> ?v_364 (=> ?v_410 (=> ?v_365 (=> ?v_366 (=> ?v_367 (=> ?v_435 (=> ?v_368 (=> ?v_369 (=> ?v_370 (=> ?v_482 (=> ?v_483 (=> ?v_436 (=> ?v_484 (=> ?v_373 (=> ?v_437 (=> ?v_374 (=> ?v_485 (=> ?v_376 (=> ?v_377 (=> (= inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..0 inline.WdfUsbTargetPipeResetSynchronously.0..callresult..1901.112.2.) (=> ?v_379 (=> ?v_380 (=> ?v_381 (=> ?v_382 (=> ?v_486 (=> ?v_438 (=> ?v_384 (=> ?v_385 (=> ?v_439 (=> ?v_487 (=> ?v_488 (=> ?v_440 (=> ?v_388 (=> (= inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.3 inline.ResetPipe.0..status.2.461.22.ResetPipe.0) (=> ?v_389 (=> ?v_441 (=> ?v_390 (=> ?v_442 (=> ?v_391 (=> (= inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.7 inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.5) (=> ?v_392 (=> ?v_393 (=> ?v_394 (=> (= inline.UsbSamp_EvtIoDeviceControl.0..result.ResetPipe.178.30.5..0 inline.ResetPipe.0..status.2.461.22.ResetPipe.0) ?v_489)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_476 (<= 0 inline.WdfUsbTargetPipeResetSynchronously.0..callresult..1901.112.2.))) (let ((?v_494 (and (=> true (=> (not (= inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.4 0)) (and (=> true (=> ?v_476 (=> true (=> (= inline.ResetPipe.0..status.2.461.22.ResetPipe.0 0) ?v_477)))) (=> true (=> (not ?v_476) (=> true (=> (= inline.ResetPipe.0..status.2.461.22.ResetPipe.0 inline.WdfUsbTargetPipeResetSynchronously.0..callresult..1901.112.2.) (=> true (=> true (=> true (=> true (=> true ?v_477)))))))))))) (=> true (=> (= inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.6 0) (=> true (=> (= inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.2 (- 0 1073741811)) (=> true (=> ?v_344 (=> ?v_478 (=> ?v_479 (=> ?v_347 (=> ?v_348 (=> ?v_429 (=> ?v_480 (=> ?v_349 (=> ?v_350 (=> ?v_351 (=> ?v_352 (=> ?v_353 (=> ?v_431 (=> ?v_432 (=> ?v_433 (=> ?v_354 (=> ?v_355 (=> ?v_356 (=> ?v_357 (=> ?v_358 (=> ?v_481 (=> ?v_360 (=> ?v_361 (=> ?v_434 (=> ?v_362 (=> ?v_363 (=> ?v_364 (=> ?v_410 (=> ?v_365 (=> ?v_366 (=> ?v_367 (=> ?v_435 (=> ?v_368 (=> ?v_369 (=> ?v_370 (=> ?v_482 (=> ?v_483 (=> ?v_436 (=> ?v_484 (=> ?v_373 (=> ?v_437 (=> ?v_374 (=> ?v_485 (=> ?v_376 (=> ?v_377 (=> ?v_378 (=> ?v_379 (=> ?v_380 (=> ?v_381 (=> ?v_382 (=> ?v_486 (=> ?v_438 (=> ?v_384 (=> ?v_385 (=> ?v_439 (=> ?v_487 (=> ?v_488 (=> ?v_440 (=> ?v_388 (=> (= inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.3 inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.2) (=> ?v_389 (=> ?v_441 (=> ?v_390 (=> ?v_442 (=> ?v_391 (=> (= inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.7 inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.6) (=> ?v_392 (=> ?v_393 (=> ?v_394 (=> ?v_395 ?v_489)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_499 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_494)))))))))) (?v_496 (= errorReached.7 errorReached.5)) (?v_497 (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2.)) (?v_498 (= k.3 0)) (?v_501 (= notused_4hfileobj hdevice)) (?v_500 (= notused_4hfileobj hqueue)) (?v_495 (= notused_4hfileobj htimer)) (?v_493 (= notused_4hfileobj hrequest)) (?v_492 (=> true (=> (= errorReached.7 errorReached.6) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 call23351formal.ret.0) (=> (= k.3 k.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_494)))))) (?v_490 (= k.2 0)) (?v_491 (= k.2 1))) (let ((?v_502 (and (=> true (=> ?v_493 (=> true (=> (<= 0 k.2) (=> (< k.2 2) (and (=> true (=> (=> ?v_490 ?v_8) (=> (=> ?v_491 ?v_9) (=> true (=> (= errorReached.6 1) ?v_492))))) (=> true (=> (=> ?v_490 ?v_5) (=> (=> ?v_491 ?v_6) (=> true (=> (= errorReached.6 errorReached.5) (=> true ?v_492)))))))))))) (=> true (=> (not ?v_493) (and (=> true (=> ?v_495 (=> true (=> ?v_496 (=> ?v_497 (=> ?v_498 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_499))))))) (=> true (=> (not ?v_495) (and (=> true (=> ?v_500 (=> true (=> ?v_496 (=> ?v_497 (=> ?v_498 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_499))))))) (=> true (=> (not ?v_500) (and (=> true (=> ?v_501 (=> true (=> ?v_496 (=> ?v_497 (=> ?v_498 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_499))))))) (=> true (=> (not ?v_501) (=> true (=> ?v_496 (=> ?v_497 (=> ?v_498 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_499))))))))))))))))))) (let ((?v_503 (=> true (=> (= errorReached.5 errorReached.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_502)))))))))))))) (?v_464 (=> ?v_0 ?v_5)) (?v_465 (=> ?v_1 ?v_6)) (?v_450 (=> ?v_0 ?v_8)) (?v_451 (=> ?v_1 ?v_9)) (?v_474 (= myNondetVar_0.0 2228232)) (?v_345 (= inline.UsbSamp_EvtIoDeviceControl.0..result.sdv_WdfRequestGetFileObject.172.61.4..0 inline.UsbSamp_EvtIoDeviceControl.0..result.sdv_WdfRequestGetFileObject.172.61.4.)) (?v_346 (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2.)) (?v_359 (= inline.sdv_WdfRequestGetFileObject.0..result.sdv_WdfRequestGetFileObject.7046.0.1..0 inline.sdv_WdfRequestGetFileObject.0..result.sdv_WdfRequestGetFileObject.7046.0.1.)) (?v_371 (= inline.sdv_WdfRequestGetFileObject.0..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 inline.sdv_WdfRequestGetFileObject.0..Request.1.7047.18.sdv_WdfRequestGetFileObject1)) (?v_372 (= inline.sdv_WdfRequestGetFileObject.0..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 inline.sdv_WdfRequestGetFileObject.0..Request.1.7047.18.sdv_WdfRequestGetFileObject)) (?v_375 (= inline.GetFileContext.0.myNondetVar_0.1 inline.GetFileContext.0.myNondetVar_0)) (?v_383 (= inline.GetFileContext.0..Handle.1.107.0.GetFileContext1.0 inline.GetFileContext.0..Handle.1.107.0.GetFileContext1)) (?v_386 (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_387 (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_458 (= inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.7 inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0)) (?v_397 (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_398 (= inline.GetFileContext.0..Handle.1.107.0.GetFileContext.0 inline.GetFileContext.0..Handle.1.107.0.GetFileContext))) (let ((?v_460 (=> true (=> (= inline.sdv_WdfIoTargetStop.0..result.malloc.7889.31.1..2 inline.sdv_WdfIoTargetStop.0..result.malloc.7889.31.1..1) (=> ?v_345 (=> ?v_346 (=> ?v_347 (=> ?v_348 (=> ?v_429 (=> (= errorReached.8 errorReached.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.ResetDevice.0..result.WdfUsbTargetDeviceIsConnectedSynchronous.589.53.4..0 inline.WdfUsbTargetDeviceIsConnectedSynchronous.0..callresult..1317.124.2.) (=> (= inline.IsItWin2k.0..result.PsGetVersion.533.16.2..0 call22639formal.ret.0) (=> (= inline.ResetDevice.0..result.WdfUsbTargetDeviceResetPortSynchronously.592.57.5..1 inline.ResetDevice.0..result.WdfUsbTargetDeviceResetPortSynchronously.592.57.5..0) (=> (= inline.StartAllPipes.0..count.2.508.10.StartAllPipes.1 inline.StartAllPipes.0..count.2.508.10.StartAllPipes.0) (=> ?v_431 (=> ?v_432 (=> ?v_433 (=> (= inline.ResetDevice.0..status.3.564.13.ResetDevice.1 inline.ResetDevice.0..status.3.564.13.ResetDevice.0) (=> (= inline.ResetDevice.0..Device.1.544.17.ResetDevice.0 hdevice) (=> (= inline.IsItWin2k.0..buildNumber.3.526.38.IsItWin2k.0 call22619formal.new.0) (=> (= inline.IsItWin2k.0..minorVersion.2.526.24.IsItWin2k.0 call22625formal.new.0) (=> (= inline.UsbSamp_EvtIoDeviceControl.0..result.ResetDevice.210.28.8..0 inline.ResetDevice.0..status.3.564.13.ResetDevice.0) (=> ?v_359 (=> (= inline.ResetDevice.0.myNondetVar_0.3 inline.ResetDevice.0.myNondetVar_0.2) (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.0 hdevice) (=> ?v_434 (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.0 hdevice) (=> ?v_363 (=> (= inline.StopAllPipes.0..i.3.488.16.StopAllPipes.3 inline.StopAllPipes.0..i.3.488.16.StopAllPipes.1) (=> ?v_410 (=> (= inline.ResetDevice.0..result.IsItWin2k.568.21.2..0 inline.IsItWin2k.0..result.IsItWin2k.522.0.1..0) (=> (= inline.StopAllPipes.0.LOOP_7_alloc.1 inline.StopAllPipes.0.LOOP_7_alloc.0) (=> (= inline.StopAllPipes.0..result.WdfUsbInterfaceGetConfiguredPipe.493.47.1..2 inline.StopAllPipes.0..result.WdfUsbInterfaceGetConfiguredPipe.493.47.1..1) (=> ?v_435 (=> (= inline.ResetDevice.0..Device.1.544.17.ResetDevice1.0 hdevice) (=> (= inline.StopAllPipes.0.myNondetVar_0.4 inline.StopAllPipes.0.myNondetVar_0.3) (=> (= inline.WdfUsbInterfaceGetConfiguredPipe.0..result.WdfUsbInterfaceGetConfiguredPipe.2284.0.1..2 inline.WdfUsbInterfaceGetConfiguredPipe.0..result.WdfUsbInterfaceGetConfiguredPipe.2284.0.1..1) (=> ?v_7 (=> ?v_371 (=> ?v_436 (=> ?v_372 (=> (= inline.StartAllPipes.0..i.3.508.16.StartAllPipes.3 inline.StartAllPipes.0..i.3.508.16.StartAllPipes.1) (=> ?v_437 (=> (= inline.StartAllPipes.0.LOOP_7_alloc.1 inline.StartAllPipes.0.LOOP_7_alloc.0) (=> ?v_375 (=> (= inline.IsItWin2k.0.myNondetVar_0.6 inline.IsItWin2k.0.myNondetVar_0.5) (=> (= inline.StopAllPipes.0..count.2.488.10.StopAllPipes.1 inline.StopAllPipes.0..count.2.488.10.StopAllPipes.0) (=> ?v_378 (=> (= inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop.2 inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hdevice) (=> (= inline.WdfUsbTargetPipeGetIoTarget.0..result.WdfUsbTargetPipeGetIoTarget.744.0.1..2 inline.WdfUsbTargetPipeGetIoTarget.0..result.WdfUsbTargetPipeGetIoTarget.744.0.1..1) (=> (= inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget.2 inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget.1) (=> ?v_383 (=> ?v_438 (=> (= inline.StartAllPipes.0.myNondetVar_0.4 inline.StartAllPipes.0.myNondetVar_0.2) (=> (= inline.IsItWin2k.0..result.IsItWin2k.522.0.1..1 inline.IsItWin2k.0..result.IsItWin2k.522.0.1..0) (=> ?v_439 (=> ?v_386 (=> ?v_387 (=> ?v_440 (=> (= inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget1.2 inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget1.1) (=> (= inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.3 inline.ResetDevice.0..status.3.564.13.ResetDevice.0) (=> (= inline.WdfUsbTargetDeviceIsConnectedSynchronous.0..result.WdfUsbTargetDeviceIsConnectedSynchronous.1312.0.1..0 inline.WdfUsbTargetDeviceIsConnectedSynchronous.0..callresult..1317.124.2.) (=> (= alloc.9 alloc.7) (=> (= inline.ResetDevice.0..win2k.4.565.12.ResetDevice.0 inline.IsItWin2k.0..result.IsItWin2k.522.0.1..0) (=> ?v_442 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hdevice) (=> ?v_458 (=> (= inline.StopAllPipes.0..result.WdfUsbTargetPipeGetIoTarget.497.51.2..2 inline.StopAllPipes.0..result.WdfUsbTargetPipeGetIoTarget.497.51.2..1) (=> (= inline.GetDeviceContext.1.myNondetVar_0.1 inline.GetDeviceContext.1.myNondetVar_0.0) (=> (= inline.StopAllPipes.0..pipe.4.492.19.StopAllPipes.2 inline.StopAllPipes.0..pipe.4.492.19.StopAllPipes.1) (=> ?v_395 (=> (= inline.WdfUsbTargetDeviceResetPortSynchronously.0..result.WdfUsbTargetDeviceResetPortSynchronously.1339.0.1..1 inline.WdfUsbTargetDeviceResetPortSynchronously.0..result.WdfUsbTargetDeviceResetPortSynchronously.1339.0.1..0) (=> ?v_397 (=> ?v_398 (=> (= inline.ResetDevice.0..result.ResetDevice.543.0.1..0 inline.ResetDevice.0..status.3.564.13.ResetDevice.0) (=> (= inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop1.2 inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop1.1) (=> ?v_443 (=> (= inline.IsItWin2k.0..majorVersion.1.526.10.IsItWin2k.0 call22622formal.new.0) ?v_459))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_452 (= inline.IsItWin2k.0..result.IsItWin2k.522.0.1..0 0))) (let ((?v_455 (not ?v_452))) (let ((?v_462 (and (=> true (=> ?v_455 (=> true (=> (forall ((?f6 Int)) (! (let ((?v_511 (MapType0Select alloc.7 (int_2_U (Base ?f6))))) (or (= ?v_511 UNALLOCATED) (= ?v_511 ?v_511))) :pattern ((MapType0Select alloc.7 (int_2_U (Base ?f6)))) )) (=> true (=> (forall ((?f5 Int)) (! (let ((?v_512 (MapType0Select alloc.7 (int_2_U (Base ?f5))))) (or (= ?v_512 UNALLOCATED) (= ?v_512 ?v_512))) :pattern ((MapType0Select alloc.7 (int_2_U (Base ?f5)))) )) (and (=> true (=> ?v_457 (=> true (=> (= inline.StartAllPipes.0..i.3.508.16.StartAllPipes.2 (PLUS inline.StartAllPipes.0..i.3.508.16.StartAllPipes.0 1 1)) (=> true (=> (forall ((?f3 Int)) (! (let ((?v_513 (MapType0Select alloc.7 (int_2_U (Base ?f3))))) (or (= ?v_513 UNALLOCATED) (= ?v_513 ?v_513))) :pattern ((MapType0Select alloc.7 (int_2_U (Base ?f3)))) )) ?v_456)))))) (=> true (=> (not ?v_457) (=> true (=> (= inline.StartAllPipes.0..count.2.508.10.StartAllPipes.0 inline.StartAllPipes.0.myNondetVar_0.0) (=> (= inline.StartAllPipes.0.myNondetVar_0.2 inline.StartAllPipes.0.myNondetVar_0.1) (=> (= inline.StartAllPipes.0..i.3.508.16.StartAllPipes.1 inline.StartAllPipes.0..i.3.508.16.StartAllPipes.0) (=> (= inline.StartAllPipes.0.LOOP_7_alloc.0 alloc.7) ?v_460)))))))))))))) (=> true (=> ?v_452 (=> true (=> (= inline.StartAllPipes.0..count.2.508.10.StartAllPipes.0 inline.StartAllPipes.0..count.2.508.10.StartAllPipes) (=> (= inline.StartAllPipes.0.myNondetVar_0.2 inline.StartAllPipes.0.myNondetVar_0) (=> (= inline.StartAllPipes.0..i.3.508.16.StartAllPipes.1 inline.StartAllPipes.0..i.3.508.16.StartAllPipes) (=> (= inline.StartAllPipes.0.LOOP_7_alloc.0 inline.StartAllPipes.0.LOOP_7_alloc) (=> true (=> true (=> true (=> true (=> true ?v_460)))))))))))))) (?v_461 (<= 0 inline.WdfUsbTargetDeviceIsConnectedSynchronous.0..callresult..1317.124.2.))) (let ((?v_463 (and (=> true (=> ?v_461 (=> true (=> (= inline.ResetDevice.0.myNondetVar_0.2 inline.ResetDevice.0.myNondetVar_0.1) (=> (= inline.ResetDevice.0..status.3.564.13.ResetDevice.0 inline.WdfUsbTargetDeviceResetPortSynchronously.0..callresult..1344.124.2.) (=> (= inline.WdfUsbTargetDeviceResetPortSynchronously.0..result.WdfUsbTargetDeviceResetPortSynchronously.1339.0.1..0 inline.WdfUsbTargetDeviceResetPortSynchronously.0..callresult..1344.124.2.) (=> (= inline.ResetDevice.0..result.WdfUsbTargetDeviceResetPortSynchronously.592.57.5..0 inline.WdfUsbTargetDeviceResetPortSynchronously.0..callresult..1344.124.2.) ?v_462))))))) (=> true (=> (not ?v_461) (=> true (=> (= inline.ResetDevice.0.myNondetVar_0.2 inline.ResetDevice.0.myNondetVar_0.0) (=> (= inline.ResetDevice.0..status.3.564.13.ResetDevice.0 inline.WdfUsbTargetDeviceIsConnectedSynchronous.0..callresult..1317.124.2.) (=> (= inline.WdfUsbTargetDeviceResetPortSynchronously.0..result.WdfUsbTargetDeviceResetPortSynchronously.1339.0.1..0 inline.WdfUsbTargetDeviceResetPortSynchronously.0..result.WdfUsbTargetDeviceResetPortSynchronously.1339.0.1.) (=> (= inline.ResetDevice.0..result.WdfUsbTargetDeviceResetPortSynchronously.592.57.5..0 inline.ResetDevice.0..result.WdfUsbTargetDeviceResetPortSynchronously.592.57.5.) (=> true ?v_462))))))))))) (let ((?v_467 (and (=> true (=> ?v_455 (=> true (=> (forall ((?f8 Int)) (! (let ((?v_514 (MapType0Select alloc.4 (int_2_U (Base ?f8))))) (or (= ?v_514 UNALLOCATED) (= ?v_514 ?v_514))) :pattern ((MapType0Select alloc.4 (int_2_U (Base ?f8)))) )) (=> true (=> (forall ((?f7 Int)) (! (let ((?v_516 (int_2_U (Base ?f7)))) (let ((?v_515 (MapType0Select alloc.4 ?v_516))) (or (= ?v_515 UNALLOCATED) (= ?v_515 (MapType0Select alloc.6 ?v_516))))) :pattern ((MapType0Select alloc.6 (int_2_U (Base ?f7)))) )) (and (=> true (=> ?v_454 (=> true (and ?v_21 (=> ?v_21 (=> (> call23015formal.new.0 0) (=> (forall ((?x575 Int)) (! (=> (and (<= call23015formal.new.0 ?x575) (< ?x575 (+ call23015formal.new.0 0))) (= (Base ?x575) call23015formal.new.0)) :pattern ((Base ?x575)) )) (=> (forall ((?x576 boogieU)) (! (=> (= (type ?x576) intType) (or (= (U_2_int ?x576) call23015formal.new.0) (= (MapType0Select alloc.6 ?x576) (MapType0Select alloc.8 ?x576)))) :pattern ((MapType0Select alloc.8 ?x576)) )) (=> (and (= (MapType0Select alloc.6 ?v_453) UNALLOCATED) (= (MapType0Select alloc.8 ?v_453) ALLOCATED)) (=> true (=> (= inline.StopAllPipes.0..i.3.488.16.StopAllPipes.2 (PLUS inline.StopAllPipes.0..i.3.488.16.StopAllPipes.0 1 1)) (=> true (=> (forall ((?f4 Int)) (! (let ((?v_518 (int_2_U (Base ?f4)))) (let ((?v_517 (MapType0Select alloc.4 ?v_518))) (or (= ?v_517 UNALLOCATED) (= ?v_517 (MapType0Select alloc.8 ?v_518))))) :pattern ((MapType0Select alloc.8 (int_2_U (Base ?f4)))) )) ?v_456))))))))))))) (=> true (=> (not ?v_454) (=> true (=> (= inline.WdfUsbTargetPipeGetIoTarget.0..result.WdfUsbTargetPipeGetIoTarget.744.0.1..1 inline.WdfUsbTargetPipeGetIoTarget.0..result.WdfUsbTargetPipeGetIoTarget.744.0.1..0) (=> (= inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop.1 inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop.0) (=> (= inline.StopAllPipes.0..pipe.4.492.19.StopAllPipes.1 inline.StopAllPipes.0..pipe.4.492.19.StopAllPipes.0) (=> (= inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget1.1 inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget1.0) (=> (= inline.StopAllPipes.0..result.WdfUsbInterfaceGetConfiguredPipe.493.47.1..1 inline.StopAllPipes.0..result.WdfUsbInterfaceGetConfiguredPipe.493.47.1..0) (=> (= inline.StopAllPipes.0.myNondetVar_0.3 inline.StopAllPipes.0.myNondetVar_0.1) (=> (= inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget.1 inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget.0) (=> (= inline.WdfUsbInterfaceGetConfiguredPipe.0..result.WdfUsbInterfaceGetConfiguredPipe.2284.0.1..1 inline.WdfUsbInterfaceGetConfiguredPipe.0..result.WdfUsbInterfaceGetConfiguredPipe.2284.0.1..0) (=> (= inline.sdv_WdfIoTargetStop.0..result.malloc.7889.31.1..1 inline.sdv_WdfIoTargetStop.0..result.malloc.7889.31.1..0) (=> (= inline.StopAllPipes.0.LOOP_7_alloc.0 alloc.4) (=> (= inline.StopAllPipes.0..i.3.488.16.StopAllPipes.1 inline.StopAllPipes.0..i.3.488.16.StopAllPipes.0) (=> (= inline.StopAllPipes.0..count.2.488.10.StopAllPipes.0 inline.StopAllPipes.0.myNondetVar_0.0) (=> (= inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop1.1 inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop1.0) (=> (= alloc.7 alloc.6) (=> (= inline.StopAllPipes.0..result.WdfUsbTargetPipeGetIoTarget.497.51.2..1 inline.StopAllPipes.0..result.WdfUsbTargetPipeGetIoTarget.497.51.2..0) ?v_463))))))))))))))))))))))))) (=> true (=> ?v_452 (=> true (=> (= inline.WdfUsbTargetPipeGetIoTarget.0..result.WdfUsbTargetPipeGetIoTarget.744.0.1..1 inline.WdfUsbTargetPipeGetIoTarget.0..result.WdfUsbTargetPipeGetIoTarget.744.0.1.) (=> (= inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop.1 inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop) (=> (= inline.StopAllPipes.0..pipe.4.492.19.StopAllPipes.1 inline.StopAllPipes.0..pipe.4.492.19.StopAllPipes) (=> (= inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget1.1 inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget1) (=> (= inline.StopAllPipes.0..result.WdfUsbInterfaceGetConfiguredPipe.493.47.1..1 inline.StopAllPipes.0..result.WdfUsbInterfaceGetConfiguredPipe.493.47.1.) (=> (= inline.StopAllPipes.0.myNondetVar_0.3 inline.StopAllPipes.0.myNondetVar_0) (=> (= inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget.1 inline.WdfUsbTargetPipeGetIoTarget.0..Pipe.1.745.18.WdfUsbTargetPipeGetIoTarget) (=> (= inline.WdfUsbInterfaceGetConfiguredPipe.0..result.WdfUsbInterfaceGetConfiguredPipe.2284.0.1..1 inline.WdfUsbInterfaceGetConfiguredPipe.0..result.WdfUsbInterfaceGetConfiguredPipe.2284.0.1.) (=> (= inline.sdv_WdfIoTargetStop.0..result.malloc.7889.31.1..1 inline.sdv_WdfIoTargetStop.0..result.malloc.7889.31.1.) (=> (= inline.StopAllPipes.0.LOOP_7_alloc.0 inline.StopAllPipes.0.LOOP_7_alloc) (=> (= inline.StopAllPipes.0..i.3.488.16.StopAllPipes.1 inline.StopAllPipes.0..i.3.488.16.StopAllPipes) (=> (= inline.StopAllPipes.0..count.2.488.10.StopAllPipes.0 inline.StopAllPipes.0..count.2.488.10.StopAllPipes) (=> (= inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop1.1 inline.sdv_WdfIoTargetStop.0..IoTarget.1.7885.20.sdv_WdfIoTargetStop1) (=> (= alloc.7 alloc.4) (=> (= inline.StopAllPipes.0..result.WdfUsbTargetPipeGetIoTarget.497.51.2..1 inline.StopAllPipes.0..result.WdfUsbTargetPipeGetIoTarget.497.51.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_463))))))))))))))))))))))))))))))) (let ((?v_469 (=> (= errorReached.4 errorReached.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_467))))))))))) (?v_471 (= hdevice hdevice))) (let ((?v_510 (not ?v_471)) (?v_470 (= hdevice hqueue))) (let ((?v_509 (not ?v_470)) (?v_468 (= hdevice htimer))) (let ((?v_507 (not ?v_468)) (?v_449 (= hdevice hrequest))) (let ((?v_505 (not ?v_449)) (?v_466 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.4 errorReached.3) ?v_467))))) (let ((?v_472 (and (=> true (=> ?v_449 (and (=> true (=> ?v_450 (=> ?v_451 (=> true (=> (= errorReached.3 1) ?v_466))))) (=> true (=> ?v_464 (=> ?v_465 (=> true (=> (= errorReached.3 errorReached.1) (=> true ?v_466))))))))) (=> true (=> ?v_505 (and (=> true (=> ?v_468 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_469)))) (=> true (=> ?v_507 (and (=> true (=> ?v_470 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_469)))) (=> true (=> ?v_509 (and (=> true (=> ?v_471 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_469)))) (=> true (=> ?v_510 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_469)))))))))))))))) (let ((?v_473 (=> true (=> ?v_452 (=> (= inline.IsItWin2k.0.myNondetVar_0.5 inline.IsItWin2k.0.myNondetVar_0.4) ?v_472)))) (?v_446 (int_2_U call22619formal.new.0)) (?v_447 (int_2_U call22622formal.new.0)) (?v_448 (int_2_U call22625formal.new.0)) (?v_445 (= myNondetVar_0.0 2228228)) (?v_430 (= errorReached.8 errorReached.1)) (?v_404 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.malloc.7071.25.4..0 call23777formal.new.0)) (?v_405 (= errorReached.8 errorReached.2)) (?v_406 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.SdvMakeChoice.7070.18.3..0 call23725formal.ret.0)) (?v_407 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer.0 call23777formal.new.0)) (?v_408 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer.0 hrequest)) (?v_409 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..2 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1)) (?v_411 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..0)) (?v_412 (= k.4 k.1)) (?v_413 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..x.5.7064.5.sdv_WdfRequestRetrieveOutputBuffer.0 call23725formal.ret.0)) (?v_414 (= inline.UsbSamp_EvtIoDeviceControl.0..length.12.156.23.UsbSamp_EvtIoDeviceControl.0 inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_1.0)) (?v_415 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Request.1.7058.15.sdv_WdfRequestRetrieveOutputBuffer1.0 hrequest)) (?v_416 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..Length.4.7061.13.sdv_WdfRequestRetrieveOutputBuffer1.0 call22342formal.new.0)) (?v_417 (= alloc.9 alloc.5)) (?v_418 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.2)) (?v_419 (=> ?v_392 (=> ?v_393 (=> ?v_394 (=> ?v_395 (=> ?v_396 (=> ?v_397 (=> ?v_398 (=> ?v_399 (=> ?v_400 (=> (= inline.UsbSamp_EvtIoDeviceControl.0..result.sdv_WdfRequestRetrieveOutputBuffer.190.51.6..0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1) ?v_444))))))))))) (?v_403 (<= 0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1))) (let ((?v_421 (and (=> true (=> ?v_403 (=> true (=> ?v_344 (=> ?v_345 (=> ?v_346 (=> ?v_347 (=> ?v_348 (=> ?v_404 (=> ?v_405 (=> ?v_349 (=> ?v_350 (=> ?v_351 (=> ?v_352 (=> ?v_353 (=> ?v_406 (=> ?v_407 (=> ?v_408 (=> ?v_354 (=> ?v_355 (=> ?v_356 (=> ?v_357 (=> ?v_358 (=> ?v_359 (=> ?v_360 (=> ?v_361 (=> ?v_409 (=> ?v_362 (=> ?v_363 (=> ?v_364 (=> (= inline.UsbSamp_EvtIoDeviceControl.0..result.memcpy.196.0.7..0 call23846formal.ret.0) (=> ?v_365 (=> ?v_366 (=> ?v_367 (=> ?v_411 (=> ?v_368 (=> ?v_369 (=> ?v_370 (=> ?v_412 (=> ?v_371 (=> ?v_413 (=> ?v_372 (=> ?v_373 (=> ?v_414 (=> ?v_374 (=> ?v_375 (=> ?v_376 (=> ?v_377 (=> ?v_378 (=> ?v_379 (=> ?v_380 (=> ?v_381 (=> ?v_382 (=> ?v_383 (=> (= inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_1.2 inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_1.1) (=> ?v_384 (=> ?v_385 (=> ?v_415 (=> ?v_386 (=> ?v_387 (=> ?v_416 (=> ?v_388 (=> (= inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.3 0) (=> ?v_389 (=> ?v_417 (=> ?v_390 (=> ?v_418 (=> ?v_391 (=> (= inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.7 inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.3) ?v_419))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_403) (=> true (=> ?v_344 (=> ?v_345 (=> ?v_346 (=> ?v_347 (=> ?v_348 (=> ?v_404 (=> ?v_405 (=> ?v_349 (=> ?v_350 (=> ?v_351 (=> ?v_352 (=> ?v_353 (=> ?v_406 (=> ?v_407 (=> ?v_408 (=> ?v_354 (=> ?v_355 (=> ?v_356 (=> ?v_357 (=> ?v_358 (=> ?v_359 (=> ?v_360 (=> ?v_361 (=> ?v_409 (=> ?v_362 (=> ?v_363 (=> ?v_364 (=> ?v_410 (=> ?v_365 (=> ?v_366 (=> ?v_367 (=> ?v_411 (=> ?v_368 (=> ?v_369 (=> ?v_370 (=> ?v_412 (=> ?v_371 (=> ?v_413 (=> ?v_372 (=> ?v_373 (=> ?v_414 (=> ?v_374 (=> ?v_375 (=> ?v_376 (=> ?v_377 (=> ?v_378 (=> ?v_379 (=> ?v_380 (=> ?v_381 (=> ?v_382 (=> ?v_383 (=> (= inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_1.2 inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_1.0) (=> ?v_384 (=> ?v_385 (=> ?v_415 (=> ?v_386 (=> ?v_387 (=> ?v_416 (=> ?v_388 (=> (= inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.3 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1) (=> ?v_389 (=> ?v_417 (=> ?v_390 (=> ?v_418 (=> ?v_391 (=> (= inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.7 inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.2) ?v_419))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_420 (= call23725formal.ret.0 0)) (?v_342 (int_2_U call23777formal.new.0))) (let ((?v_426 (=> true (and ?v_21 (=> ?v_21 (=> (> call23777formal.new.0 0) (=> (forall ((?x607 Int)) (! (=> (and (<= call23777formal.new.0 ?x607) (< ?x607 (+ call23777formal.new.0 0))) (= (Base ?x607) call23777formal.new.0)) :pattern ((Base ?x607)) )) (=> (forall ((?x608 boogieU)) (! (=> (= (type ?x608) intType) (or (= (U_2_int ?x608) call23777formal.new.0) (= (MapType0Select alloc.1 ?x608) (MapType0Select alloc.5 ?x608)))) :pattern ((MapType0Select alloc.5 ?x608)) )) (=> (and (= (MapType0Select alloc.1 ?v_342) UNALLOCATED) (= (MapType0Select alloc.5 ?v_342) ALLOCATED)) (and (=> true (=> (not ?v_420) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..0 ?v_343) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.1) ?v_421))))))) (=> true (=> ?v_420 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.sdv_WdfRequestRetrieveOutputBuffer.7057.0.1..1 0) (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputBuffer.0.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true ?v_421)))))))))))))))))))) (let ((?v_428 (=> true (=> true ?v_426))) (?v_427 (= errorReached.2 errorReached.1)) (?v_424 (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..0 call23728formal.ret.0)) (?v_425 (= k.1 k.0)) (?v_422 (= k.0 0)) (?v_423 (= k.0 1)) (?v_341 (= myNondetVar_0.0 2228224))) (let ((?v_506 (and (=> true (=> (not ?v_341) (=> (not ?v_445) (=> (not ?v_474) (=> true (=> (= inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.1 (- 0 1073741808)) (=> true (=> ?v_344 (=> ?v_345 (=> ?v_346 (=> ?v_347 (=> ?v_348 (=> ?v_429 (=> ?v_430 (=> ?v_349 (=> ?v_350 (=> ?v_351 (=> ?v_352 (=> ?v_353 (=> ?v_431 (=> ?v_432 (=> ?v_433 (=> ?v_354 (=> ?v_355 (=> ?v_356 (=> ?v_357 (=> ?v_358 (=> ?v_359 (=> ?v_360 (=> ?v_361 (=> ?v_434 (=> ?v_362 (=> ?v_363 (=> ?v_364 (=> ?v_410 (=> ?v_365 (=> ?v_366 (=> ?v_367 (=> ?v_435 (=> ?v_368 (=> ?v_369 (=> ?v_370 (=> ?v_7 (=> ?v_371 (=> ?v_436 (=> ?v_372 (=> ?v_373 (=> ?v_437 (=> ?v_374 (=> ?v_375 (=> ?v_376 (=> ?v_377 (=> ?v_378 (=> ?v_379 (=> ?v_380 (=> ?v_381 (=> ?v_382 (=> ?v_383 (=> ?v_438 (=> ?v_384 (=> ?v_385 (=> ?v_439 (=> ?v_386 (=> ?v_387 (=> ?v_440 (=> ?v_388 (=> (= inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.3 inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.1) (=> ?v_389 (=> ?v_441 (=> ?v_390 (=> ?v_442 (=> ?v_391 (=> ?v_458 (=> ?v_392 (=> ?v_393 (=> ?v_394 (=> ?v_395 (=> ?v_396 (=> ?v_397 (=> ?v_398 (=> ?v_399 (=> ?v_400 (=> ?v_443 (=> ?v_401 ?v_402)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_341 (and (=> true (=> (not (= inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.0 0)) (and (=> true (=> ?v_23 (=> true (=> (<= 0 k.0) (=> (< k.0 2) (and (=> true (=> (=> ?v_422 ?v_8) (=> (=> ?v_423 ?v_9) (=> true (=> ?v_424 (=> (= errorReached.2 1) (=> ?v_425 ?v_426))))))) (=> true (=> (=> ?v_422 ?v_5) (=> (=> ?v_423 ?v_6) (=> true (=> ?v_424 (=> ?v_427 (=> ?v_425 ?v_428))))))))))))) (=> true (=> ?v_59 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2..0 inline.sdv_WdfRequestRetrieveOutputBuffer.0..result.userContextSwitch.7067.4.2.) (=> ?v_427 (=> (= k.1 0) ?v_428))))))))) (=> true (=> (= inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.1 0) (=> true (=> (= inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.0 (- 0 1073741436)) (=> true (=> ?v_344 (=> ?v_345 (=> ?v_346 (=> ?v_347 (=> ?v_348 (=> ?v_429 (=> ?v_430 (=> ?v_349 (=> ?v_350 (=> ?v_351 (=> ?v_352 (=> ?v_353 (=> ?v_431 (=> ?v_432 (=> ?v_433 (=> ?v_354 (=> ?v_355 (=> ?v_356 (=> ?v_357 (=> ?v_358 (=> ?v_359 (=> ?v_360 (=> ?v_361 (=> ?v_434 (=> ?v_362 (=> ?v_363 (=> ?v_364 (=> ?v_410 (=> ?v_365 (=> ?v_366 (=> ?v_367 (=> ?v_435 (=> ?v_368 (=> ?v_369 (=> ?v_370 (=> ?v_7 (=> ?v_371 (=> ?v_436 (=> ?v_372 (=> ?v_373 (=> ?v_437 (=> ?v_374 (=> ?v_375 (=> ?v_376 (=> ?v_377 (=> ?v_378 (=> ?v_379 (=> ?v_380 (=> ?v_381 (=> ?v_382 (=> ?v_383 (=> ?v_438 (=> ?v_384 (=> ?v_385 (=> ?v_439 (=> ?v_386 (=> ?v_387 (=> ?v_440 (=> ?v_388 (=> (= inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.3 inline.UsbSamp_EvtIoDeviceControl.0..status.9.153.23.UsbSamp_EvtIoDeviceControl.0) (=> ?v_389 (=> ?v_441 (=> ?v_390 (=> ?v_442 (=> ?v_391 (=> (= inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.7 inline.UsbSamp_EvtIoDeviceControl.0.myNondetVar_0.1) (=> ?v_392 (=> ?v_393 (=> ?v_394 (=> ?v_395 (=> ?v_396 (=> ?v_397 (=> ?v_398 ?v_475))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_445 (=> true (and ?v_2 (=> ?v_2 (=> (> call22619formal.new.0 0) (=> (forall ((?x601 Int)) (! (=> (and (<= call22619formal.new.0 ?x601) (< ?x601 (+ call22619formal.new.0 4))) (= (Base ?x601) call22619formal.new.0)) :pattern ((Base ?x601)) )) (=> (forall ((?x602 boogieU)) (! (=> (= (type ?x602) intType) (or (= (U_2_int ?x602) call22619formal.new.0) (= (MapType0Select alloc.1 ?x602) (MapType0Select alloc.2 ?x602)))) :pattern ((MapType0Select alloc.2 ?x602)) )) (=> (and (= (MapType0Select alloc.1 ?v_446) UNALLOCATED) (= (MapType0Select alloc.2 ?v_446) ALLOCATED)) (and ?v_2 (=> ?v_2 (=> (> call22622formal.new.0 0) (=> (forall ((?x603 Int)) (! (=> (and (<= call22622formal.new.0 ?x603) (< ?x603 (+ call22622formal.new.0 4))) (= (Base ?x603) call22622formal.new.0)) :pattern ((Base ?x603)) )) (=> (forall ((?x604 boogieU)) (! (=> (= (type ?x604) intType) (or (= (U_2_int ?x604) call22622formal.new.0) (= (MapType0Select alloc.2 ?x604) (MapType0Select alloc.3 ?x604)))) :pattern ((MapType0Select alloc.3 ?x604)) )) (=> (and (= (MapType0Select alloc.2 ?v_447) UNALLOCATED) (= (MapType0Select alloc.3 ?v_447) ALLOCATED)) (and ?v_2 (=> ?v_2 (=> (> call22625formal.new.0 0) (=> (forall ((?x605 Int)) (! (=> (and (<= call22625formal.new.0 ?x605) (< ?x605 (+ call22625formal.new.0 4))) (= (Base ?x605) call22625formal.new.0)) :pattern ((Base ?x605)) )) (=> (forall ((?x606 boogieU)) (! (=> (= (type ?x606) intType) (or (= (U_2_int ?x606) call22625formal.new.0) (= (MapType0Select alloc.3 ?x606) (MapType0Select alloc.4 ?x606)))) :pattern ((MapType0Select alloc.4 ?x606)) )) (=> (and (= (MapType0Select alloc.3 ?v_448) UNALLOCATED) (= (MapType0Select alloc.4 ?v_448) ALLOCATED)) (and (=> true (=> (= inline.IsItWin2k.0.myNondetVar_0.0 5) (and (=> true (=> (not (= inline.IsItWin2k.0.myNondetVar_0.1 0)) (=> true (=> (= inline.IsItWin2k.0.myNondetVar_0.4 inline.IsItWin2k.0.myNondetVar_0.1) ?v_473)))) (=> true (=> (= inline.IsItWin2k.0.myNondetVar_0.2 0) (=> true (=> (= inline.IsItWin2k.0..result.IsItWin2k.522.0.1..0 1) (=> (= inline.IsItWin2k.0.myNondetVar_0.5 inline.IsItWin2k.0.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_472))))))))))))))))))) (=> true (=> (not (= inline.IsItWin2k.0.myNondetVar_0.3 5)) (=> true (=> (= inline.IsItWin2k.0.myNondetVar_0.4 inline.IsItWin2k.0.myNondetVar_0.3) (=> true ?v_473))))))))))))))))))))))))))) (=> true (=> ?v_474 (and (=> true (=> ?v_23 (and (=> true (=> ?v_450 (=> ?v_451 (=> true (=> (= errorReached.5 1) ?v_502))))) (=> true (=> ?v_464 (=> ?v_465 ?v_503)))))) (=> true (=> ?v_59 ?v_503)))))))) (let ((?v_508 (=> (= errorReached.1 0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_506))))))))))) (?v_504 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.1 errorReached.0) ?v_506)))) (?v_3 (int_2_U call22342formal.new.0)) (?v_4 (int_2_U call22345formal.new.0))) (not (=> true (=> (= Mem_1_T.PWDFREQUEST__ Mem_s_1_T.PWDFREQUEST__) (=> (= reqCompleted_1 reqCompleted_s_1) (=> (= lockStatus_1 lockStatus_s_1) (=> (= reqCancelSet_1 reqCancelSet_s_1) (=> (= reqCancelStarted_1 reqCancelStarted_s_1) (=> (= reqCompleteSet_1 reqCompleteSet_s_1) (=> (= reqSent_1 reqSent_s_1) (=> true (=> ?v_464 (=> ?v_465 (=> true (=> (=> ?v_0 (= reqCancelSet_0 0)) (=> (=> ?v_1 (= reqCancelSet_1 0)) (=> true (=> (=> ?v_0 (= reqCancelStarted_0 0)) (=> (=> ?v_1 (= reqCancelStarted_1 0)) (=> true (=> (=> ?v_0 ?v_241) (=> (=> ?v_1 ?v_242) (=> true (=> (=> ?v_0 ?v_14) (=> (=> ?v_1 ?v_16) (=> true (=> (=> ?v_0 ?v_15) (=> (=> ?v_1 ?v_17) (=> true (and ?v_2 (=> ?v_2 (=> (> call22342formal.new.0 0) (=> (forall ((?x609 Int)) (! (=> (and (<= call22342formal.new.0 ?x609) (< ?x609 (+ call22342formal.new.0 4))) (= (Base ?x609) call22342formal.new.0)) :pattern ((Base ?x609)) )) (=> (forall ((?x610 boogieU)) (! (=> (= (type ?x610) intType) (or (= (U_2_int ?x610) call22342formal.new.0) (= (MapType0Select alloc ?x610) (MapType0Select alloc.0 ?x610)))) :pattern ((MapType0Select alloc.0 ?x610)) )) (=> (and (= (MapType0Select alloc ?v_3) UNALLOCATED) (= (MapType0Select alloc.0 ?v_3) ALLOCATED)) (and ?v_2 (=> ?v_2 (=> (> call22345formal.new.0 0) (=> (forall ((?x611 Int)) (! (=> (and (<= call22345formal.new.0 ?x611) (< ?x611 (+ call22345formal.new.0 4))) (= (Base ?x611) call22345formal.new.0)) :pattern ((Base ?x611)) )) (=> (forall ((?x612 boogieU)) (! (=> (= (type ?x612) intType) (or (= (U_2_int ?x612) call22345formal.new.0) (= (MapType0Select alloc.0 ?x612) (MapType0Select alloc.1 ?x612)))) :pattern ((MapType0Select alloc.1 ?x612)) )) (=> (and (= (MapType0Select alloc.0 ?v_4) UNALLOCATED) (= (MapType0Select alloc.1 ?v_4) ALLOCATED)) (and (=> true (=> ?v_449 (and (=> true (=> ?v_450 (=> ?v_451 (=> true (=> (= errorReached.0 1) ?v_504))))) (=> true (=> ?v_464 (=> ?v_465 (=> true (=> (= errorReached.0 0) (=> true ?v_504))))))))) (=> true (=> ?v_505 (and (=> true (=> ?v_468 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_508)))) (=> true (=> ?v_507 (and (=> true (=> ?v_470 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_508)))) (=> true (=> ?v_509 (and (=> true (=> ?v_471 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_508)))) (=> true (=> ?v_510 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_508))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
