(set-info :smt-lib-version 2.6)
(set-logic UFNIA)
(set-info :source |
    Shuvendu K. Lahiri, Shaz Qadeer, Zvonimir Rakamaric, Static and Precise 
    Detection of Concurrency Errors in Systems Code Using SMT Solvers, in 
    Computer Aided Verification (CAV '09), Springer Verlag, February 2009
    <http://research.microsoft.com/apps/pubs/default.aspx?id=80360>
|)
(set-info :category "industrial")
(set-info :status unknown)
(declare-sort boogieU 0)
(declare-sort boogieT 0)
(declare-sort TermBool 0)
(declare-fun boolTrue () TermBool)
(declare-fun boolFalse () TermBool)
(declare-fun boolIff (TermBool TermBool) TermBool)
(declare-fun boolImplies (TermBool TermBool) TermBool)
(declare-fun boolAnd (TermBool TermBool) TermBool)
(declare-fun boolOr (TermBool TermBool) TermBool)
(declare-fun boolNot (TermBool) TermBool)
(declare-fun UEqual (boogieU boogieU) TermBool)
(declare-fun TEqual (boogieT boogieT) TermBool)
(declare-fun IntEqual (Int Int) TermBool)
(declare-fun intLess (Int Int) TermBool)
(declare-fun intAtMost (Int Int) TermBool)
(declare-fun intGreater (Int Int) TermBool)
(declare-fun intAtLeast (Int Int) TermBool)
(declare-fun boogieIntMod (Int Int) Int)
(declare-fun boogieIntDiv (Int Int) Int)
(declare-fun UOrdering2 (boogieU boogieU) Bool)
(declare-fun UOrdering3 (boogieT boogieU boogieU) Bool)
(declare-fun TermUOrdering2 (boogieU boogieU) TermBool)
(declare-fun TermUOrdering3 (boogieT boogieU boogieU) TermBool)
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolIff ?x ?y) boolTrue) (= (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolImplies ?x ?y) boolTrue) (=> (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolAnd ?x ?y) boolTrue) (and (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool) (?y TermBool)) (= (= (boolOr ?x ?y) boolTrue) (or (= ?x boolTrue) (= ?y boolTrue)))))
(assert (forall ((?x TermBool)) (! (= (= (boolNot ?x) boolTrue) (not (= ?x boolTrue))) :pattern ((boolNot ?x)) )))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (UEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieT)) (= (= (TEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (IntEqual ?x ?y) boolTrue) (= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intLess ?x ?y) boolTrue) (< ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtMost ?x ?y) boolTrue) (<= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intAtLeast ?x ?y) boolTrue) (>= ?x ?y))))
(assert (forall ((?x Int) (?y Int)) (= (= (intGreater ?x ?y) boolTrue) (> ?x ?y))))
(assert (distinct boolFalse boolTrue))
(assert (forall ((?x boogieU) (?y boogieU)) (= (= (TermUOrdering2 ?x ?y) boolTrue) (UOrdering2 ?x ?y))))
(assert (forall ((?x boogieT) (?y boogieU) (?z boogieU)) (= (= (TermUOrdering3 ?x ?y ?z) boolTrue) (UOrdering3 ?x ?y ?z))))
(declare-fun Ctor (boogieT) Int)
(declare-fun intType () boogieT)
(declare-fun boolType () boogieT)
(declare-fun int_2_U (Int) boogieU)
(declare-fun U_2_int (boogieU) Int)
(declare-fun type (boogieU) boogieT)
(declare-fun bool_2_U (TermBool) boogieU)
(declare-fun U_2_bool (boogieU) TermBool)
(declare-fun nameType () boogieT)
(declare-fun UNALLOCATED () boogieU)
(declare-fun ALLOCATED () boogieU)
(declare-fun FREED () boogieU)
(declare-fun BYTE () boogieU)
(declare-fun T.unused_WDFCOLLECTION__ () boogieU)
(declare-fun T.unused_WDFDEVICE__ () boogieU)
(declare-fun T.unused_WDFDRIVER__ () boogieU)
(declare-fun T.unused_WDFFILEOBJECT__ () boogieU)
(declare-fun T.unused_WDFIOTARGET__ () boogieU)
(declare-fun T.unused_WDFMEMORY__ () boogieU)
(declare-fun T.unused_WDFQUEUE__ () boogieU)
(declare-fun T.unused_WDFREQUEST__ () boogieU)
(declare-fun T.unused_WDFSPINLOCK__ () boogieU)
(declare-fun T.unused_WDFUSBDEVICE__ () boogieU)
(declare-fun T.unused_WDFUSBINTERFACE__ () boogieU)
(declare-fun T.unused_WDFUSBPIPE__ () boogieU)
(declare-fun T.unused_WDFWORKITEM__ () boogieU)
(declare-fun T.OperationID__ACCESS_STATE () boogieU)
(declare-fun T.SecurityEvaluated__ACCESS_STATE () boogieU)
(declare-fun T.GenerateAudit__ACCESS_STATE () boogieU)
(declare-fun T.GenerateOnClose__ACCESS_STATE () boogieU)
(declare-fun T.PrivilegesAllocated__ACCESS_STATE () boogieU)
(declare-fun T.Flags__ACCESS_STATE () boogieU)
(declare-fun T.RemainingDesiredAccess__ACCESS_STATE () boogieU)
(declare-fun T.PreviouslyGrantedAccess__ACCESS_STATE () boogieU)
(declare-fun T.OriginalDesiredAccess__ACCESS_STATE () boogieU)
(declare-fun T.SubjectSecurityContext__ACCESS_STATE () boogieU)
(declare-fun T.SecurityDescriptor__ACCESS_STATE () boogieU)
(declare-fun T.AuxData__ACCESS_STATE () boogieU)
(declare-fun T.Privileges__ACCESS_STATE () boogieU)
(declare-fun T.AuditPrivileges__ACCESS_STATE () boogieU)
(declare-fun T.ObjectName__ACCESS_STATE () boogieU)
(declare-fun T.ObjectTypeName__ACCESS_STATE () boogieU)
(declare-fun T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Version__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Revision__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Count__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T.Count__CM_RESOURCE_LIST () boogieU)
(declare-fun T.List__CM_RESOURCE_LIST () boogieU)
(declare-fun T.Size__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Version__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceD1__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceD2__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.LockSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.EjectSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Removable__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DockDevice__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.UniqueID__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SilentInstall__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.RawDeviceOK__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SurpriseRemovalOK__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD0__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD1__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD2__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WakeFromD3__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.HardwareDisabled__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.NonDynamic__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.WarmEjectSupported__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.NoDisplayInUI__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Reserved__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.Address__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.UINumber__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceState__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.SystemWake__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.DeviceWake__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D1Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D2Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.D3Latency__DEVICE_CAPABILITIES () boogieU)
(declare-fun T.UsbDeviceDescriptor__DEVICE_CONTEXT () boogieU)
(declare-fun T.UsbConfigurationDescriptor__DEVICE_CONTEXT () boogieU)
(declare-fun T.WdfUsbTargetDevice__DEVICE_CONTEXT () boogieU)
(declare-fun T.WaitWakeEnable__DEVICE_CONTEXT () boogieU)
(declare-fun T.IsDeviceHighSpeed__DEVICE_CONTEXT () boogieU)
(declare-fun T.UsbInterface__DEVICE_CONTEXT () boogieU)
(declare-fun T.NumberConfiguredPipes__DEVICE_CONTEXT () boogieU)
(declare-fun T.Type__DEVICE_OBJECT () boogieU)
(declare-fun T.Size__DEVICE_OBJECT () boogieU)
(declare-fun T.ReferenceCount__DEVICE_OBJECT () boogieU)
(declare-fun T.DriverObject__DEVICE_OBJECT () boogieU)
(declare-fun T.NextDevice__DEVICE_OBJECT () boogieU)
(declare-fun T.AttachedDevice__DEVICE_OBJECT () boogieU)
(declare-fun T.CurrentIrp__DEVICE_OBJECT () boogieU)
(declare-fun T.Timer__DEVICE_OBJECT () boogieU)
(declare-fun T.Flags__DEVICE_OBJECT () boogieU)
(declare-fun T.Characteristics__DEVICE_OBJECT () boogieU)
(declare-fun T.Vpb__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceExtension__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceType__DEVICE_OBJECT () boogieU)
(declare-fun T.StackSize__DEVICE_OBJECT () boogieU)
(declare-fun T.Queue__DEVICE_OBJECT () boogieU)
(declare-fun T.AlignmentRequirement__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceQueue__DEVICE_OBJECT () boogieU)
(declare-fun T.Dpc__DEVICE_OBJECT () boogieU)
(declare-fun T.ActiveThreadCount__DEVICE_OBJECT () boogieU)
(declare-fun T.SecurityDescriptor__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceLock__DEVICE_OBJECT () boogieU)
(declare-fun T.SectorSize__DEVICE_OBJECT () boogieU)
(declare-fun T.Spare1__DEVICE_OBJECT () boogieU)
(declare-fun T.DeviceObjectExtension__DEVICE_OBJECT () boogieU)
(declare-fun T.Reserved__DEVICE_OBJECT () boogieU)
(declare-fun T.Type__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.Size__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.DeviceObject__DEVOBJ_EXTENSION () boogieU)
(declare-fun T.__unnamed_4_dfcb1314__DISPATCHER_HEADER () boogieU)
(declare-fun T.SignalState__DISPATCHER_HEADER () boogieU)
(declare-fun T.WaitListHead__DISPATCHER_HEADER () boogieU)
(declare-fun T.DriverObject__DRIVER_EXTENSION () boogieU)
(declare-fun T.AddDevice__DRIVER_EXTENSION () boogieU)
(declare-fun T.Count__DRIVER_EXTENSION () boogieU)
(declare-fun T.ServiceKeyName__DRIVER_EXTENSION () boogieU)
(declare-fun T.Type__DRIVER_OBJECT () boogieU)
(declare-fun T.Size__DRIVER_OBJECT () boogieU)
(declare-fun T.DeviceObject__DRIVER_OBJECT () boogieU)
(declare-fun T.Flags__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverStart__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverSize__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverSection__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverExtension__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverName__DRIVER_OBJECT () boogieU)
(declare-fun T.HardwareDatabase__DRIVER_OBJECT () boogieU)
(declare-fun T.FastIoDispatch__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverInit__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverStartIo__DRIVER_OBJECT () boogieU)
(declare-fun T.DriverUnload__DRIVER_OBJECT () boogieU)
(declare-fun T.MajorFunction__DRIVER_OBJECT () boogieU)
(declare-fun T.SystemResourcesList__ERESOURCE () boogieU)
(declare-fun T.OwnerTable__ERESOURCE () boogieU)
(declare-fun T.ActiveCount__ERESOURCE () boogieU)
(declare-fun T.Flag__ERESOURCE () boogieU)
(declare-fun T.SharedWaiters__ERESOURCE () boogieU)
(declare-fun T.ExclusiveWaiters__ERESOURCE () boogieU)
(declare-fun T.OwnerEntry__ERESOURCE () boogieU)
(declare-fun T.ActiveEntries__ERESOURCE () boogieU)
(declare-fun T.ContentionCount__ERESOURCE () boogieU)
(declare-fun T.NumberOfSharedWaiters__ERESOURCE () boogieU)
(declare-fun T.NumberOfExclusiveWaiters__ERESOURCE () boogieU)
(declare-fun T.__unnamed_4_9d516d2b__ERESOURCE () boogieU)
(declare-fun T.SpinLock__ERESOURCE () boogieU)
(declare-fun T.SizeOfFastIoDispatch__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoCheckIfPossible__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoRead__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryBasicInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryStandardInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoLock__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockSingle__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockAll__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoUnlockAllByKey__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoDeviceControl__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoDetachDevice__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireForModWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlRead__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlReadComplete__FAST_IO_DISPATCH () boogieU)
(declare-fun T.PrepareMdlWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlWriteComplete__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoReadCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoWriteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlReadCompleteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH () boogieU)
(declare-fun T.FastIoQueryOpen__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseForModWrite__FAST_IO_DISPATCH () boogieU)
(declare-fun T.AcquireForCcFlush__FAST_IO_DISPATCH () boogieU)
(declare-fun T.ReleaseForCcFlush__FAST_IO_DISPATCH () boogieU)
(declare-fun T.CreationTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.LastAccessTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.LastWriteTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.ChangeTime__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.FileAttributes__FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.Pipe__FILE_CONTEXT () boogieU)
(declare-fun T.CreationTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.Type__FILE_OBJECT () boogieU)
(declare-fun T.Size__FILE_OBJECT () boogieU)
(declare-fun T.DeviceObject__FILE_OBJECT () boogieU)
(declare-fun T.Vpb__FILE_OBJECT () boogieU)
(declare-fun T.FsContext__FILE_OBJECT () boogieU)
(declare-fun T.FsContext2__FILE_OBJECT () boogieU)
(declare-fun T.SectionObjectPointer__FILE_OBJECT () boogieU)
(declare-fun T.PrivateCacheMap__FILE_OBJECT () boogieU)
(declare-fun T.FinalStatus__FILE_OBJECT () boogieU)
(declare-fun T.RelatedFileObject__FILE_OBJECT () boogieU)
(declare-fun T.LockOperation__FILE_OBJECT () boogieU)
(declare-fun T.DeletePending__FILE_OBJECT () boogieU)
(declare-fun T.ReadAccess__FILE_OBJECT () boogieU)
(declare-fun T.WriteAccess__FILE_OBJECT () boogieU)
(declare-fun T.DeleteAccess__FILE_OBJECT () boogieU)
(declare-fun T.SharedRead__FILE_OBJECT () boogieU)
(declare-fun T.SharedWrite__FILE_OBJECT () boogieU)
(declare-fun T.SharedDelete__FILE_OBJECT () boogieU)
(declare-fun T.Flags__FILE_OBJECT () boogieU)
(declare-fun T.FileName__FILE_OBJECT () boogieU)
(declare-fun T.CurrentByteOffset__FILE_OBJECT () boogieU)
(declare-fun T.Waiters__FILE_OBJECT () boogieU)
(declare-fun T.Busy__FILE_OBJECT () boogieU)
(declare-fun T.LastLock__FILE_OBJECT () boogieU)
(declare-fun T.Lock__FILE_OBJECT () boogieU)
(declare-fun T.Event__FILE_OBJECT () boogieU)
(declare-fun T.CompletionContext__FILE_OBJECT () boogieU)
(declare-fun T.IrpListLock__FILE_OBJECT () boogieU)
(declare-fun T.IrpList__FILE_OBJECT () boogieU)
(declare-fun T.FileObjectExtension__FILE_OBJECT () boogieU)
(declare-fun T.AllocationSize__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.EndOfFile__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.NumberOfLinks__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.DeletePending__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.Directory__FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.Data1__GUID () boogieU)
(declare-fun T.Data2__GUID () boogieU)
(declare-fun T.Data3__GUID () boogieU)
(declare-fun T.Data4__GUID () boogieU)
(declare-fun T.PrivilegeCount__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Control__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Privilege__INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T.Size__INTERFACE () boogieU)
(declare-fun T.Version__INTERFACE () boogieU)
(declare-fun T.Context__INTERFACE () boogieU)
(declare-fun T.InterfaceReference__INTERFACE () boogieU)
(declare-fun T.InterfaceDereference__INTERFACE () boogieU)
(declare-fun T.Port__IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.Key__IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.Option__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Type__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.ShareDisposition__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Spare1__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Flags__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Spare2__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.u__IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.Version__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Revision__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Count__IO_RESOURCE_LIST () boogieU)
(declare-fun T.Descriptors__IO_RESOURCE_LIST () boogieU)
(declare-fun T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.List__IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.SecurityQos__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.AccessState__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.DesiredAccess__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.FullCreateOptions__IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.MajorFunction__IO_STACK_LOCATION () boogieU)
(declare-fun T.MinorFunction__IO_STACK_LOCATION () boogieU)
(declare-fun T.Flags__IO_STACK_LOCATION () boogieU)
(declare-fun T.Control__IO_STACK_LOCATION () boogieU)
(declare-fun T.Parameters__IO_STACK_LOCATION () boogieU)
(declare-fun T.DeviceObject__IO_STACK_LOCATION () boogieU)
(declare-fun T.FileObject__IO_STACK_LOCATION () boogieU)
(declare-fun T.CompletionRoutine__IO_STACK_LOCATION () boogieU)
(declare-fun T.Context__IO_STACK_LOCATION () boogieU)
(declare-fun T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Information__IO_STATUS_BLOCK () boogieU)
(declare-fun T.Type__IRP () boogieU)
(declare-fun T.Size__IRP () boogieU)
(declare-fun T.MdlAddress__IRP () boogieU)
(declare-fun T.Flags__IRP () boogieU)
(declare-fun T.AssociatedIrp__IRP () boogieU)
(declare-fun T.ThreadListEntry__IRP () boogieU)
(declare-fun T.IoStatus__IRP () boogieU)
(declare-fun T.RequestorMode__IRP () boogieU)
(declare-fun T.PendingReturned__IRP () boogieU)
(declare-fun T.StackCount__IRP () boogieU)
(declare-fun T.CurrentLocation__IRP () boogieU)
(declare-fun T.Cancel__IRP () boogieU)
(declare-fun T.CancelIrql__IRP () boogieU)
(declare-fun T.ApcEnvironment__IRP () boogieU)
(declare-fun T.AllocationFlags__IRP () boogieU)
(declare-fun T.UserIosb__IRP () boogieU)
(declare-fun T.UserEvent__IRP () boogieU)
(declare-fun T.Overlay__IRP () boogieU)
(declare-fun T.CancelRoutine__IRP () boogieU)
(declare-fun T.UserBuffer__IRP () boogieU)
(declare-fun T.Tail__IRP () boogieU)
(declare-fun T.Type__KAPC () boogieU)
(declare-fun T.SpareByte0__KAPC () boogieU)
(declare-fun T.Size__KAPC () boogieU)
(declare-fun T.SpareByte1__KAPC () boogieU)
(declare-fun T.SpareLong0__KAPC () boogieU)
(declare-fun T.Thread__KAPC () boogieU)
(declare-fun T.ApcListEntry__KAPC () boogieU)
(declare-fun T.KernelRoutine__KAPC () boogieU)
(declare-fun T.RundownRoutine__KAPC () boogieU)
(declare-fun T.NormalRoutine__KAPC () boogieU)
(declare-fun T.NormalContext__KAPC () boogieU)
(declare-fun T.SystemArgument1__KAPC () boogieU)
(declare-fun T.SystemArgument2__KAPC () boogieU)
(declare-fun T.ApcStateIndex__KAPC () boogieU)
(declare-fun T.ApcMode__KAPC () boogieU)
(declare-fun T.Inserted__KAPC () boogieU)
(declare-fun T.Type__KDEVICE_QUEUE () boogieU)
(declare-fun T.Size__KDEVICE_QUEUE () boogieU)
(declare-fun T.DeviceListHead__KDEVICE_QUEUE () boogieU)
(declare-fun T.Lock__KDEVICE_QUEUE () boogieU)
(declare-fun T.Busy__KDEVICE_QUEUE () boogieU)
(declare-fun T.DeviceListEntry__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.SortKey__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.Inserted__KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T.Type__KDPC () boogieU)
(declare-fun T.Importance__KDPC () boogieU)
(declare-fun T.Number__KDPC () boogieU)
(declare-fun T.DpcListEntry__KDPC () boogieU)
(declare-fun T.DeferredRoutine__KDPC () boogieU)
(declare-fun T.DeferredContext__KDPC () boogieU)
(declare-fun T.SystemArgument1__KDPC () boogieU)
(declare-fun T.SystemArgument2__KDPC () boogieU)
(declare-fun T.DpcData__KDPC () boogieU)
(declare-fun T.Header__KEVENT () boogieU)
(declare-fun T.Header__KSEMAPHORE () boogieU)
(declare-fun T.Limit__KSEMAPHORE () boogieU)
(declare-fun T.__unnamed_8_bb154058__LARGE_INTEGER () boogieU)
(declare-fun T.u__LARGE_INTEGER () boogieU)
(declare-fun T.QuadPart__LARGE_INTEGER () boogieU)
(declare-fun T.Flink__LIST_ENTRY () boogieU)
(declare-fun T.Blink__LIST_ENTRY () boogieU)
(declare-fun T.LowPart__LUID () boogieU)
(declare-fun T.HighPart__LUID () boogieU)
(declare-fun T.Luid__LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.Attributes__LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.Next__MDL () boogieU)
(declare-fun T.Size__MDL () boogieU)
(declare-fun T.MdlFlags__MDL () boogieU)
(declare-fun T.Process__MDL () boogieU)
(declare-fun T.MappedSystemVa__MDL () boogieU)
(declare-fun T.StartVa__MDL () boogieU)
(declare-fun T.ByteCount__MDL () boogieU)
(declare-fun T.ByteOffset__MDL () boogieU)
(declare-fun T.OwnerThread__OWNER_ENTRY () boogieU)
(declare-fun T.__unnamed_4_c406319a__OWNER_ENTRY () boogieU)
(declare-fun T.SequenceD1__POWER_SEQUENCE () boogieU)
(declare-fun T.SequenceD2__POWER_SEQUENCE () boogieU)
(declare-fun T.SequenceD3__POWER_SEQUENCE () boogieU)
(declare-fun T.SystemState__POWER_STATE () boogieU)
(declare-fun T.DeviceState__POWER_STATE () boogieU)
(declare-fun T.PrivilegeCount__PRIVILEGE_SET () boogieU)
(declare-fun T.Control__PRIVILEGE_SET () boogieU)
(declare-fun T.Privilege__PRIVILEGE_SET () boogieU)
(declare-fun T.UrbMemory__REQUEST_CONTEXT () boogieU)
(declare-fun T.Mdl__REQUEST_CONTEXT () boogieU)
(declare-fun T.Length__REQUEST_CONTEXT () boogieU)
(declare-fun T.Numxfer__REQUEST_CONTEXT () boogieU)
(declare-fun T.VirtualAddress__REQUEST_CONTEXT () boogieU)
(declare-fun T.SubRequestCollection__REQUEST_CONTEXT () boogieU)
(declare-fun T.SubRequestCollectionLock__REQUEST_CONTEXT () boogieU)
(declare-fun T.Read__REQUEST_CONTEXT () boogieU)
(declare-fun T.DataSectionObject__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.SharedCacheMap__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.ImageSectionObject__SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.Length__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.ClientToken__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.PrimaryToken__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T.UserRequest__SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T.SubUrb__SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T.SubMdl__SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T.ListEntry__SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T.__unnamed_4_f525de8d__SYSTEM_POWER_STATE_CONTEXT () boogieU)
(declare-fun T.Length__UNICODE_STRING () boogieU)
(declare-fun T.MaximumLength__UNICODE_STRING () boogieU)
(declare-fun T.Buffer__UNICODE_STRING () boogieU)
(declare-fun T.__unnamed_96_e511a626__URB () boogieU)
(declare-fun T.Hdr__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.hca__URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T.Hdr__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved0__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.hca__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Index__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.DescriptorType__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.LanguageId__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved2__URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Hdr__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved2__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved3__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved4__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved5__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.hca__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved0__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.FeatureSelector__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Index__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T.Hdr__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.Reserved__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.Reserved0__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.hca__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T.Hdr__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.Reserved__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.Reserved0__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.hca__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.Interface__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.Reserved2__URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T.Hdr__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.Reserved__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.Reserved0__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.hca__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.Index__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.Reserved2__URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T.Hdr__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.PipeHandle__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.TransferFlags__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.hca__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.SetupPacket__URB_CONTROL_TRANSFER () boogieU)
(declare-fun T.Hdr__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.PipeHandle__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.TransferFlags__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.Timeout__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.hca__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.SetupPacket__URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T.Hdr__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.Reserved__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.TransferFlags__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.TransferBufferLength__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.TransferBuffer__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.TransferBufferMDL__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.hca__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.RequestTypeReservedBits__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.Request__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.Value__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.Index__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T.Hdr__URB_FRAME_LENGTH_CONTROL () boogieU)
(declare-fun T.Hdr__URB_GET_CURRENT_FRAME_NUMBER () boogieU)
(declare-fun T.FrameNumber__URB_GET_CURRENT_FRAME_NUMBER () boogieU)
(declare-fun T.Hdr__URB_GET_FRAME_LENGTH () boogieU)
(declare-fun T.FrameLength__URB_GET_FRAME_LENGTH () boogieU)
(declare-fun T.FrameNumber__URB_GET_FRAME_LENGTH () boogieU)
(declare-fun T.Reserved8__URB_HCD_AREA () boogieU)
(declare-fun T.Length__URB_HEADER () boogieU)
(declare-fun T.Function__URB_HEADER () boogieU)
(declare-fun T.Status__URB_HEADER () boogieU)
(declare-fun T.UsbdDeviceHandle__URB_HEADER () boogieU)
(declare-fun T.UsbdFlags__URB_HEADER () boogieU)
(declare-fun T.Hdr__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.PipeHandle__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.TransferFlags__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.TransferBufferLength__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.TransferBuffer__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.TransferBufferMDL__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.UrbLink__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.hca__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.StartFrame__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.NumberOfPackets__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.ErrorCount__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.IsoPacket__URB_ISOCH_TRANSFER () boogieU)
(declare-fun T.Hdr__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved0__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.TransferBufferLength__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.TransferBuffer__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.TransferBufferMDL__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.UrbLink__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.hca__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Recipient__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved1__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved2__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.InterfaceNumber__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.MS_PageIndex__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.MS_FeatureDescriptorIndex__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Reserved3__URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T.Hdr__URB_PIPE_IO_POLICY () boogieU)
(declare-fun T.PipeHandle__URB_PIPE_IO_POLICY () boogieU)
(declare-fun T.UsbIoParamters__URB_PIPE_IO_POLICY () boogieU)
(declare-fun T.Hdr__URB_PIPE_REQUEST () boogieU)
(declare-fun T.PipeHandle__URB_PIPE_REQUEST () boogieU)
(declare-fun T.Reserved__URB_PIPE_REQUEST () boogieU)
(declare-fun T.Hdr__URB_SELECT_CONFIGURATION () boogieU)
(declare-fun T.ConfigurationDescriptor__URB_SELECT_CONFIGURATION () boogieU)
(declare-fun T.ConfigurationHandle__URB_SELECT_CONFIGURATION () boogieU)
(declare-fun T.Interface__URB_SELECT_CONFIGURATION () boogieU)
(declare-fun T.Hdr__URB_SELECT_INTERFACE () boogieU)
(declare-fun T.ConfigurationHandle__URB_SELECT_INTERFACE () boogieU)
(declare-fun T.Interface__URB_SELECT_INTERFACE () boogieU)
(declare-fun T.Hdr__URB_SET_FRAME_LENGTH () boogieU)
(declare-fun T.FrameLengthDelta__URB_SET_FRAME_LENGTH () boogieU)
(declare-fun T.Length__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.InterfaceNumber__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.AlternateSetting__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.Class__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.SubClass__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.Protocol__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.Reserved__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.InterfaceHandle__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.NumberOfPipes__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.Pipes__USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T.Offset__USBD_ISO_PACKET_DESCRIPTOR () boogieU)
(declare-fun T.Length__USBD_ISO_PACKET_DESCRIPTOR () boogieU)
(declare-fun T.Status__USBD_ISO_PACKET_DESCRIPTOR () boogieU)
(declare-fun T.MaximumPacketSize__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.EndpointAddress__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.Interval__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.PipeType__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.PipeHandle__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.MaximumTransferSize__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.PipeFlags__USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.bLength__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.bDescriptorType__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.wTotalLength__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.bNumInterfaces__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.bConfigurationValue__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.iConfiguration__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.bmAttributes__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.MaxPower__USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.bLength__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bDescriptorType__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bcdUSB__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bDeviceClass__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bDeviceSubClass__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bDeviceProtocol__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bMaxPacketSize0__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.idVendor__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.idProduct__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bcdDevice__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.iManufacturer__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.iProduct__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.iSerialNumber__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.bNumConfigurations__USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T.UsbIoPriority__USB_IO_PARAMETERS () boogieU)
(declare-fun T.UsbMaxPendingIrps__USB_IO_PARAMETERS () boogieU)
(declare-fun T.UsbMaxControllerTransfer__USB_IO_PARAMETERS () boogieU)
(declare-fun T.Type__VPB () boogieU)
(declare-fun T.Size__VPB () boogieU)
(declare-fun T.Flags__VPB () boogieU)
(declare-fun T.VolumeLabelLength__VPB () boogieU)
(declare-fun T.DeviceObject__VPB () boogieU)
(declare-fun T.RealDevice__VPB () boogieU)
(declare-fun T.SerialNumber__VPB () boogieU)
(declare-fun T.ReferenceCount__VPB () boogieU)
(declare-fun T.VolumeLabel__VPB () boogieU)
(declare-fun T.WaitQueueEntry__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceRoutine__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceContext__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.DeviceObject__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.CurrentIrp__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.BufferChainingDpc__WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T.BufferOffset__WDFMEMORY_OFFSET () boogieU)
(declare-fun T.BufferLength__WDFMEMORY_OFFSET () boogieU)
(declare-fun T.Driver__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverFlags__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverTag__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DriverName__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.Size__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.EvtCleanupCallback__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.EvtDestroyCallback__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.ExecutionLevel__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.SynchronizationScope__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.ParentObject__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.ContextSizeOverride__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.ContextTypeInfo__WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.Size__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Type__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Parameters__WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.Size__WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T.MinorFunction__WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T.Type__WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T.Parameters__WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T.Size__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Flags__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Timeout__WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.Size__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.MaximumPacketSize__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.EndpointAddress__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.Interval__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.SettingIndex__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.PipeType__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.MaximumTransferSize__WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.Size__WDF_WORKITEM_CONFIG () boogieU)
(declare-fun T.EvtWorkItemFunc__WDF_WORKITEM_CONFIG () boogieU)
(declare-fun T.AutomaticSerialization__WDF_WORKITEM_CONFIG () boogieU)
(declare-fun T.Device__WORKITEM_CONTEXT () boogieU)
(declare-fun T.Pipe__WORKITEM_CONTEXT () boogieU)
(declare-fun T.Generic___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Port___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Interrupt___unnamed_12_00aa0978 () boogieU)
(declare-fun T.MessageInterrupt___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Memory___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Dma___unnamed_12_00aa0978 () boogieU)
(declare-fun T.DevicePrivate___unnamed_12_00aa0978 () boogieU)
(declare-fun T.BusNumber___unnamed_12_00aa0978 () boogieU)
(declare-fun T.DeviceSpecificData___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Memory40___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Memory48___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Memory64___unnamed_12_00aa0978 () boogieU)
(declare-fun T.Level___unnamed_12_011610e6 () boogieU)
(declare-fun T.Vector___unnamed_12_011610e6 () boogieU)
(declare-fun T.Affinity___unnamed_12_011610e6 () boogieU)
(declare-fun T.__unnamed_12_a04f3ec2___unnamed_12_135b00bd () boogieU)
(declare-fun T.Data___unnamed_12_2349179a () boogieU)
(declare-fun T.Data___unnamed_12_508ad0f8 () boogieU)
(declare-fun T.DataSize___unnamed_12_5a101f58 () boogieU)
(declare-fun T.Reserved1___unnamed_12_5a101f58 () boogieU)
(declare-fun T.Reserved2___unnamed_12_5a101f58 () boogieU)
(declare-fun T.Start___unnamed_12_5c984402 () boogieU)
(declare-fun T.Length40___unnamed_12_5c984402 () boogieU)
(declare-fun T.Reserved___unnamed_12_6851572b () boogieU)
(declare-fun T.MessageCount___unnamed_12_6851572b () boogieU)
(declare-fun T.Vector___unnamed_12_6851572b () boogieU)
(declare-fun T.Affinity___unnamed_12_6851572b () boogieU)
(declare-fun T.Start___unnamed_12_91f117a1 () boogieU)
(declare-fun T.Length___unnamed_12_91f117a1 () boogieU)
(declare-fun T.Reserved___unnamed_12_91f117a1 () boogieU)
(declare-fun T.Buffer___unnamed_12_9675b19c () boogieU)
(declare-fun T.Offset___unnamed_12_9675b19c () boogieU)
(declare-fun T.Length___unnamed_12_9675b19c () boogieU)
(declare-fun T.Priority___unnamed_12_99988665 () boogieU)
(declare-fun T.Reserved1___unnamed_12_99988665 () boogieU)
(declare-fun T.Reserved2___unnamed_12_99988665 () boogieU)
(declare-fun T.Channel___unnamed_12_9b023e7e () boogieU)
(declare-fun T.Port___unnamed_12_9b023e7e () boogieU)
(declare-fun T.Reserved1___unnamed_12_9b023e7e () boogieU)
(declare-fun T.Raw___unnamed_12_a04f3ec2 () boogieU)
(declare-fun T.Translated___unnamed_12_a04f3ec2 () boogieU)
(declare-fun T.Buffer___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Length___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Offset___unnamed_12_a41ee278 () boogieU)
(declare-fun T.Start___unnamed_12_aae97e0b () boogieU)
(declare-fun T.Length___unnamed_12_aae97e0b () boogieU)
(declare-fun T.ListEntry___unnamed_12_b0fe679d () boogieU)
(declare-fun T.__unnamed_4_ac2f5fe2___unnamed_12_b0fe679d () boogieU)
(declare-fun T.Level___unnamed_12_b4709d3d () boogieU)
(declare-fun T.Vector___unnamed_12_b4709d3d () boogieU)
(declare-fun T.Affinity___unnamed_12_b4709d3d () boogieU)
(declare-fun T.Start___unnamed_12_c07928f7 () boogieU)
(declare-fun T.Length48___unnamed_12_c07928f7 () boogieU)
(declare-fun T.Start___unnamed_12_c13de773 () boogieU)
(declare-fun T.Length___unnamed_12_c13de773 () boogieU)
(declare-fun T.Buffer___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Length___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Offset___unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.Start___unnamed_12_e7dc8c54 () boogieU)
(declare-fun T.Length___unnamed_12_e7dc8c54 () boogieU)
(declare-fun T.Start___unnamed_12_f4e6bbc2 () boogieU)
(declare-fun T.Length64___unnamed_12_f4e6bbc2 () boogieU)
(declare-fun T.InterfaceType___unnamed_16_08405228 () boogieU)
(declare-fun T.Size___unnamed_16_08405228 () boogieU)
(declare-fun T.Version___unnamed_16_08405228 () boogieU)
(declare-fun T.Interface___unnamed_16_08405228 () boogieU)
(declare-fun T.InterfaceSpecificData___unnamed_16_08405228 () boogieU)
(declare-fun T.Length___unnamed_16_0c179b13 () boogieU)
(declare-fun T.StartSid___unnamed_16_0c179b13 () boogieU)
(declare-fun T.SidList___unnamed_16_0c179b13 () boogieU)
(declare-fun T.SidListLength___unnamed_16_0c179b13 () boogieU)
(declare-fun T.Length___unnamed_16_160c71e3 () boogieU)
(declare-fun T.Key___unnamed_16_160c71e3 () boogieU)
(declare-fun T.DeviceOffset___unnamed_16_160c71e3 () boogieU)
(declare-fun T.Argument1___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument2___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument3___unnamed_16_28d48018 () boogieU)
(declare-fun T.Argument4___unnamed_16_28d48018 () boogieU)
(declare-fun T.Length___unnamed_16_30754a00 () boogieU)
(declare-fun T.Key___unnamed_16_30754a00 () boogieU)
(declare-fun T.DeviceOffset___unnamed_16_30754a00 () boogieU)
(declare-fun T.Length___unnamed_16_3538eb2e () boogieU)
(declare-fun T.MinBusNumber___unnamed_16_3538eb2e () boogieU)
(declare-fun T.MaxBusNumber___unnamed_16_3538eb2e () boogieU)
(declare-fun T.Reserved___unnamed_16_3538eb2e () boogieU)
(declare-fun T.Create___unnamed_16_3be92f23 () boogieU)
(declare-fun T.Read___unnamed_16_3be92f23 () boogieU)
(declare-fun T.Write___unnamed_16_3be92f23 () boogieU)
(declare-fun T.DeviceIoControl___unnamed_16_3be92f23 () boogieU)
(declare-fun T.Others___unnamed_16_3be92f23 () boogieU)
(declare-fun T.Length___unnamed_16_4692f360 () boogieU)
(declare-fun T.Key___unnamed_16_4692f360 () boogieU)
(declare-fun T.ByteOffset___unnamed_16_4692f360 () boogieU)
(declare-fun T.OutputBufferLength___unnamed_16_47a80b6e () boogieU)
(declare-fun T.InputBufferLength___unnamed_16_47a80b6e () boogieU)
(declare-fun T.FsControlCode___unnamed_16_47a80b6e () boogieU)
(declare-fun T.Type3InputBuffer___unnamed_16_47a80b6e () boogieU)
(declare-fun T.__unnamed_4_4008e71b___unnamed_16_4a376f0e () boogieU)
(declare-fun T.Type___unnamed_16_4a376f0e () boogieU)
(declare-fun T.State___unnamed_16_4a376f0e () boogieU)
(declare-fun T.ShutdownType___unnamed_16_4a376f0e () boogieU)
(declare-fun T.Create___unnamed_16_50547125 () boogieU)
(declare-fun T.Read___unnamed_16_50547125 () boogieU)
(declare-fun T.Write___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryDirectory___unnamed_16_50547125 () boogieU)
(declare-fun T.NotifyDirectory___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryFile___unnamed_16_50547125 () boogieU)
(declare-fun T.SetFile___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryEa___unnamed_16_50547125 () boogieU)
(declare-fun T.SetEa___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryVolume___unnamed_16_50547125 () boogieU)
(declare-fun T.SetVolume___unnamed_16_50547125 () boogieU)
(declare-fun T.FileSystemControl___unnamed_16_50547125 () boogieU)
(declare-fun T.LockControl___unnamed_16_50547125 () boogieU)
(declare-fun T.DeviceIoControl___unnamed_16_50547125 () boogieU)
(declare-fun T.QuerySecurity___unnamed_16_50547125 () boogieU)
(declare-fun T.SetSecurity___unnamed_16_50547125 () boogieU)
(declare-fun T.MountVolume___unnamed_16_50547125 () boogieU)
(declare-fun T.VerifyVolume___unnamed_16_50547125 () boogieU)
(declare-fun T.Scsi___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryQuota___unnamed_16_50547125 () boogieU)
(declare-fun T.SetQuota___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryDeviceRelations___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryInterface___unnamed_16_50547125 () boogieU)
(declare-fun T.DeviceCapabilities___unnamed_16_50547125 () boogieU)
(declare-fun T.FilterResourceRequirements___unnamed_16_50547125 () boogieU)
(declare-fun T.ReadWriteConfig___unnamed_16_50547125 () boogieU)
(declare-fun T.SetLock___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryId___unnamed_16_50547125 () boogieU)
(declare-fun T.QueryDeviceText___unnamed_16_50547125 () boogieU)
(declare-fun T.UsageNotification___unnamed_16_50547125 () boogieU)
(declare-fun T.WaitWake___unnamed_16_50547125 () boogieU)
(declare-fun T.PowerSequence___unnamed_16_50547125 () boogieU)
(declare-fun T.Power___unnamed_16_50547125 () boogieU)
(declare-fun T.StartDevice___unnamed_16_50547125 () boogieU)
(declare-fun T.WMI___unnamed_16_50547125 () boogieU)
(declare-fun T.Others___unnamed_16_50547125 () boogieU)
(declare-fun T.WhichSpace___unnamed_16_70b335ff () boogieU)
(declare-fun T.Buffer___unnamed_16_70b335ff () boogieU)
(declare-fun T.Offset___unnamed_16_70b335ff () boogieU)
(declare-fun T.Length___unnamed_16_70b335ff () boogieU)
(declare-fun T.SecurityContext___unnamed_16_758cc376 () boogieU)
(declare-fun T.Options___unnamed_16_758cc376 () boogieU)
(declare-fun T.FileAttributes___unnamed_16_758cc376 () boogieU)
(declare-fun T.ShareAccess___unnamed_16_758cc376 () boogieU)
(declare-fun T.EaLength___unnamed_16_758cc376 () boogieU)
(declare-fun T.OutputBufferLength___unnamed_16_7b663246 () boogieU)
(declare-fun T.InputBufferLength___unnamed_16_7b663246 () boogieU)
(declare-fun T.IoControlCode___unnamed_16_7b663246 () boogieU)
(declare-fun T.Type3InputBuffer___unnamed_16_7b663246 () boogieU)
(declare-fun T.OutputBufferLength___unnamed_16_8c4e1e25 () boogieU)
(declare-fun T.InputBufferLength___unnamed_16_8c4e1e25 () boogieU)
(declare-fun T.IoControlCode___unnamed_16_8c4e1e25 () boogieU)
(declare-fun T.Type3InputBuffer___unnamed_16_8c4e1e25 () boogieU)
(declare-fun T.Length___unnamed_16_8fdea1e0 () boogieU)
(declare-fun T.Key___unnamed_16_8fdea1e0 () boogieU)
(declare-fun T.ByteOffset___unnamed_16_8fdea1e0 () boogieU)
(declare-fun T.DriverContext___unnamed_16_90864369 () boogieU)
(declare-fun T.Length___unnamed_16_98fa84c9 () boogieU)
(declare-fun T.EaList___unnamed_16_98fa84c9 () boogieU)
(declare-fun T.EaListLength___unnamed_16_98fa84c9 () boogieU)
(declare-fun T.EaIndex___unnamed_16_98fa84c9 () boogieU)
(declare-fun T.Argument1___unnamed_16_b19c652e () boogieU)
(declare-fun T.Argument2___unnamed_16_b19c652e () boogieU)
(declare-fun T.Argument3___unnamed_16_b19c652e () boogieU)
(declare-fun T.Argument4___unnamed_16_b19c652e () boogieU)
(declare-fun T.Length___unnamed_16_cbf64d77 () boogieU)
(declare-fun T.FileName___unnamed_16_cbf64d77 () boogieU)
(declare-fun T.FileInformationClass___unnamed_16_cbf64d77 () boogieU)
(declare-fun T.FileIndex___unnamed_16_cbf64d77 () boogieU)
(declare-fun T.Length___unnamed_16_d07eb79e () boogieU)
(declare-fun T.FileInformationClass___unnamed_16_d07eb79e () boogieU)
(declare-fun T.FileObject___unnamed_16_d07eb79e () boogieU)
(declare-fun T.__unnamed_4_b65679a6___unnamed_16_d07eb79e () boogieU)
(declare-fun T.Arg1___unnamed_16_d8ea3f48 () boogieU)
(declare-fun T.Arg2___unnamed_16_d8ea3f48 () boogieU)
(declare-fun T.IoControlCode___unnamed_16_d8ea3f48 () boogieU)
(declare-fun T.Arg4___unnamed_16_d8ea3f48 () boogieU)
(declare-fun T.ProviderId___unnamed_16_ec1b1a74 () boogieU)
(declare-fun T.DataPath___unnamed_16_ec1b1a74 () boogieU)
(declare-fun T.BufferSize___unnamed_16_ec1b1a74 () boogieU)
(declare-fun T.Buffer___unnamed_16_ec1b1a74 () boogieU)
(declare-fun T.Length___unnamed_16_f0deee7d () boogieU)
(declare-fun T.Key___unnamed_16_f0deee7d () boogieU)
(declare-fun T.ByteOffset___unnamed_16_f0deee7d () boogieU)
(declare-fun T.SecurityContext___unnamed_16_f26424fc () boogieU)
(declare-fun T.Options___unnamed_16_f26424fc () boogieU)
(declare-fun T.FileAttributes___unnamed_16_f26424fc () boogieU)
(declare-fun T.ShareAccess___unnamed_16_f26424fc () boogieU)
(declare-fun T.EaLength___unnamed_16_f26424fc () boogieU)
(declare-fun T.DeviceQueueEntry___unnamed_16_f8ddfcfe () boogieU)
(declare-fun T.__unnamed_16_90864369___unnamed_16_f8ddfcfe () boogieU)
(declare-fun T.Lock___unnamed_1_26d71ac8 () boogieU)
(declare-fun T.Abandoned___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Absolute___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.NpxIrql___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Signalling___unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.Size___unnamed_1_a19e9f98 () boogieU)
(declare-fun T.Hand___unnamed_1_a19e9f98 () boogieU)
(declare-fun T.Inserted___unnamed_1_a536060f () boogieU)
(declare-fun T.DebugActive___unnamed_1_a536060f () boogieU)
(declare-fun T.DpcActive___unnamed_1_a536060f () boogieU)
(declare-fun T.MinimumVector___unnamed_20_f8440734 () boogieU)
(declare-fun T.MaximumVector___unnamed_20_f8440734 () boogieU)
(declare-fun T.AffinityPolicy___unnamed_20_f8440734 () boogieU)
(declare-fun T.PriorityPolicy___unnamed_20_f8440734 () boogieU)
(declare-fun T.TargetedProcessors___unnamed_20_f8440734 () boogieU)
(declare-fun T.Length64___unnamed_24_06d73087 () boogieU)
(declare-fun T.Alignment64___unnamed_24_06d73087 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_06d73087 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_06d73087 () boogieU)
(declare-fun T.Length___unnamed_24_22419524 () boogieU)
(declare-fun T.Alignment___unnamed_24_22419524 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_22419524 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_22419524 () boogieU)
(declare-fun T.Length40___unnamed_24_36b7e766 () boogieU)
(declare-fun T.Alignment40___unnamed_24_36b7e766 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_36b7e766 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_36b7e766 () boogieU)
(declare-fun T.Length___unnamed_24_370204c2 () boogieU)
(declare-fun T.Alignment___unnamed_24_370204c2 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_370204c2 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_370204c2 () boogieU)
(declare-fun T.IoControlCode___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Input___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Output___unnamed_24_52bbd12f () boogieU)
(declare-fun T.Length48___unnamed_24_76cd2bdb () boogieU)
(declare-fun T.Alignment48___unnamed_24_76cd2bdb () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_76cd2bdb () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_76cd2bdb () boogieU)
(declare-fun T.Write___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Read___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Ioctl___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Others___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Usb___unnamed_24_a2447d05 () boogieU)
(declare-fun T.Length___unnamed_24_b8ad6aa7 () boogieU)
(declare-fun T.Alignment___unnamed_24_b8ad6aa7 () boogieU)
(declare-fun T.MinimumAddress___unnamed_24_b8ad6aa7 () boogieU)
(declare-fun T.MaximumAddress___unnamed_24_b8ad6aa7 () boogieU)
(declare-fun T.Port___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Memory___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Interrupt___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Dma___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Generic___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.DevicePrivate___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.BusNumber___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.ConfigData___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Memory40___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Memory48___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.Memory64___unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.ReplaceIfExists___unnamed_2_8290e1b0 () boogieU)
(declare-fun T.AdvanceOnly___unnamed_2_8290e1b0 () boogieU)
(declare-fun T.__unnamed_16_f8ddfcfe___unnamed_40_cfd29ebe () boogieU)
(declare-fun T.Thread___unnamed_40_cfd29ebe () boogieU)
(declare-fun T.AuxiliaryBuffer___unnamed_40_cfd29ebe () boogieU)
(declare-fun T.__unnamed_12_b0fe679d___unnamed_40_cfd29ebe () boogieU)
(declare-fun T.OriginalFileObject___unnamed_40_cfd29ebe () boogieU)
(declare-fun T.ListEntry___unnamed_40_dbe30577 () boogieU)
(declare-fun T.Wcb___unnamed_40_dbe30577 () boogieU)
(declare-fun T.InitialPrivilegeSet___unnamed_44_d7e89117 () boogieU)
(declare-fun T.PrivilegeSet___unnamed_44_d7e89117 () boogieU)
(declare-fun T.Overlay___unnamed_48_5a9f979b () boogieU)
(declare-fun T.Apc___unnamed_48_5a9f979b () boogieU)
(declare-fun T.CompletionKey___unnamed_48_5a9f979b () boogieU)
(declare-fun T.MasterIrp___unnamed_4_0a20c9fb () boogieU)
(declare-fun T.IrpCount___unnamed_4_0a20c9fb () boogieU)
(declare-fun T.SystemBuffer___unnamed_4_0a20c9fb () boogieU)
(declare-fun T.Length___unnamed_4_27fec054 () boogieU)
(declare-fun T.PowerState___unnamed_4_342578c3 () boogieU)
(declare-fun T.Capabilities___unnamed_4_36e06717 () boogieU)
(declare-fun T.PowerSequence___unnamed_4_3e8985b1 () boogieU)
(declare-fun T.SystemContext___unnamed_4_4008e71b () boogieU)
(declare-fun T.SystemPowerStateContext___unnamed_4_4008e71b () boogieU)
(declare-fun T.UserApcRoutine___unnamed_4_41bc16eb () boogieU)
(declare-fun T.IssuingProcess___unnamed_4_41bc16eb () boogieU)
(declare-fun T.Ptr___unnamed_4_442e007e () boogieU)
(declare-fun T.Value___unnamed_4_442e007e () boogieU)
(declare-fun T.Status___unnamed_4_6a857cdd () boogieU)
(declare-fun T.Pointer___unnamed_4_6a857cdd () boogieU)
(declare-fun T.Reserved1___unnamed_4_82d41359 () boogieU)
(declare-fun T.TargetSystemState___unnamed_4_82d41359 () boogieU)
(declare-fun T.EffectiveSystemState___unnamed_4_82d41359 () boogieU)
(declare-fun T.CurrentSystemState___unnamed_4_82d41359 () boogieU)
(declare-fun T.IgnoreHibernationPath___unnamed_4_82d41359 () boogieU)
(declare-fun T.PseudoTransition___unnamed_4_82d41359 () boogieU)
(declare-fun T.Reserved2___unnamed_4_82d41359 () boogieU)
(declare-fun T.Srb___unnamed_4_94f0c80c () boogieU)
(declare-fun T.Type___unnamed_4_9b388132 () boogieU)
(declare-fun T.Address___unnamed_4_9d516d2b () boogieU)
(declare-fun T.CreatorBackTraceIndex___unnamed_4_9d516d2b () boogieU)
(declare-fun T.CurrentStackLocation___unnamed_4_ac2f5fe2 () boogieU)
(declare-fun T.PacketType___unnamed_4_ac2f5fe2 () boogieU)
(declare-fun T.Type___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_a19e9f98___unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_1_a536060f___unnamed_4_b1953259 () boogieU)
(declare-fun T.Ptr___unnamed_4_b617aa5a () boogieU)
(declare-fun T.Value___unnamed_4_b617aa5a () boogieU)
(declare-fun T.__unnamed_2_8290e1b0___unnamed_4_b65679a6 () boogieU)
(declare-fun T.ClusterCount___unnamed_4_b65679a6 () boogieU)
(declare-fun T.DeleteHandle___unnamed_4_b65679a6 () boogieU)
(declare-fun T.OwnerCount___unnamed_4_c406319a () boogieU)
(declare-fun T.TableSize___unnamed_4_c406319a () boogieU)
(declare-fun T.Ptr___unnamed_4_d6f0159b () boogieU)
(declare-fun T.Value___unnamed_4_d6f0159b () boogieU)
(declare-fun T.Completion___unnamed_4_de25a30d () boogieU)
(declare-fun T.__unnamed_4_b1953259___unnamed_4_dfcb1314 () boogieU)
(declare-fun T.Lock___unnamed_4_dfcb1314 () boogieU)
(declare-fun T.Length___unnamed_4_e60fbc3e () boogieU)
(declare-fun T.__unnamed_4_82d41359___unnamed_4_f525de8d () boogieU)
(declare-fun T.ContextAsUlong___unnamed_4_f525de8d () boogieU)
(declare-fun T.IoResourceRequirementList___unnamed_4_f571b1b9 () boogieU)
(declare-fun T.IdType___unnamed_4_fad32fd4 () boogieU)
(declare-fun T.Ptr___unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.Value___unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.Buffer___unnamed_8_20ce6f92 () boogieU)
(declare-fun T.Offset___unnamed_8_20ce6f92 () boogieU)
(declare-fun T.AsynchronousParameters___unnamed_8_2c71b416 () boogieU)
(declare-fun T.AllocationSize___unnamed_8_2c71b416 () boogieU)
(declare-fun T.AllocatedResources___unnamed_8_305df57c () boogieU)
(declare-fun T.AllocatedResourcesTranslated___unnamed_8_305df57c () boogieU)
(declare-fun T.LowPart___unnamed_8_4aac83fd () boogieU)
(declare-fun T.HighPart___unnamed_8_4aac83fd () boogieU)
(declare-fun T.Length___unnamed_8_5c8f0abe () boogieU)
(declare-fun T.FileInformationClass___unnamed_8_5c8f0abe () boogieU)
(declare-fun T.Length___unnamed_8_872f0ca6 () boogieU)
(declare-fun T.FsInformationClass___unnamed_8_872f0ca6 () boogieU)
(declare-fun T.Vpb___unnamed_8_89024868 () boogieU)
(declare-fun T.DeviceObject___unnamed_8_89024868 () boogieU)
(declare-fun T.SecurityInformation___unnamed_8_8bfbe2a4 () boogieU)
(declare-fun T.Length___unnamed_8_8bfbe2a4 () boogieU)
(declare-fun T.MinimumChannel___unnamed_8_9b5da84f () boogieU)
(declare-fun T.MaximumChannel___unnamed_8_9b5da84f () boogieU)
(declare-fun T.DeviceTextType___unnamed_8_9da0b827 () boogieU)
(declare-fun T.LocaleId___unnamed_8_9da0b827 () boogieU)
(declare-fun T.LowPart___unnamed_8_bb154058 () boogieU)
(declare-fun T.HighPart___unnamed_8_bb154058 () boogieU)
(declare-fun T.InPath___unnamed_8_cdc8e4c0 () boogieU)
(declare-fun T.Reserved___unnamed_8_cdc8e4c0 () boogieU)
(declare-fun T.Type___unnamed_8_cdc8e4c0 () boogieU)
(declare-fun T.__unnamed_4_41bc16eb___unnamed_8_d0cda093 () boogieU)
(declare-fun T.UserApcContext___unnamed_8_d0cda093 () boogieU)
(declare-fun T.Length___unnamed_8_da064ae3 () boogieU)
(declare-fun T.FsInformationClass___unnamed_8_da064ae3 () boogieU)
(declare-fun T.Length___unnamed_8_e1457eff () boogieU)
(declare-fun T.CompletionFilter___unnamed_8_e1457eff () boogieU)
(declare-fun T.Vpb___unnamed_8_f62d54e1 () boogieU)
(declare-fun T.DeviceObject___unnamed_8_f62d54e1 () boogieU)
(declare-fun T.SecurityInformation___unnamed_8_f825c111 () boogieU)
(declare-fun T.SecurityDescriptor___unnamed_8_f825c111 () boogieU)
(declare-fun T.UrbHeader___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbSelectInterface___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbSelectConfiguration___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbPipeRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbFrameLengthControl___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbGetFrameLength___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbSetFrameLength___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbGetCurrentFrameNumber___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlTransfer___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlTransferEx___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbPipeIoPolicy___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbBulkOrInterruptTransfer___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbIsochronousTransfer___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlDescriptorRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlGetStatusRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlFeatureRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlVendorClassRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlGetInterfaceRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbControlGetConfigurationRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.UrbOSFeatureDescriptorRequest___unnamed_96_e511a626 () boogieU)
(declare-fun T.A1_CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T.A1_IO_RESOURCE_LIST () boogieU)
(declare-fun T.A1_LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.A1_USBD_ISO_PACKET_DESCRIPTOR () boogieU)
(declare-fun T.A1_USBD_PIPE_INFORMATION () boogieU)
(declare-fun T.A28PFDRIVER_DISPATCH () boogieU)
(declare-fun T.A32CHAR () boogieU)
(declare-fun T.A32UINT2 () boogieU)
(declare-fun T.A3UCHAR () boogieU)
(declare-fun T.A3UINT4 () boogieU)
(declare-fun T.A3_LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T.A4PVOID () boogieU)
(declare-fun T.A4UCHAR () boogieU)
(declare-fun T.A5CHAR () boogieU)
(declare-fun T.A6CHAR () boogieU)
(declare-fun T.A7_DEVICE_POWER_STATE () boogieU)
(declare-fun T.A8PVOID () boogieU)
(declare-fun T.A8UCHAR () boogieU)
(declare-fun T.BUS_QUERY_ID_TYPE () boogieU)
(declare-fun T.CHAR () boogieU)
(declare-fun T.DEVICE_TEXT_TYPE () boogieU)
(declare-fun T.F0 () boogieU)
(declare-fun T.F1 () boogieU)
(declare-fun T.F10 () boogieU)
(declare-fun T.F11 () boogieU)
(declare-fun T.F12 () boogieU)
(declare-fun T.F13 () boogieU)
(declare-fun T.F14 () boogieU)
(declare-fun T.F15 () boogieU)
(declare-fun T.F16 () boogieU)
(declare-fun T.F17 () boogieU)
(declare-fun T.F18 () boogieU)
(declare-fun T.F19 () boogieU)
(declare-fun T.F2 () boogieU)
(declare-fun T.F20 () boogieU)
(declare-fun T.F21 () boogieU)
(declare-fun T.F22 () boogieU)
(declare-fun T.F23 () boogieU)
(declare-fun T.F24 () boogieU)
(declare-fun T.F25 () boogieU)
(declare-fun T.F26 () boogieU)
(declare-fun T.F27 () boogieU)
(declare-fun T.F28 () boogieU)
(declare-fun T.F29 () boogieU)
(declare-fun T.F3 () boogieU)
(declare-fun T.F30 () boogieU)
(declare-fun T.F31 () boogieU)
(declare-fun T.F32 () boogieU)
(declare-fun T.F33 () boogieU)
(declare-fun T.F34 () boogieU)
(declare-fun T.F35 () boogieU)
(declare-fun T.F36 () boogieU)
(declare-fun T.F37 () boogieU)
(declare-fun T.F4 () boogieU)
(declare-fun T.F5 () boogieU)
(declare-fun T.F6 () boogieU)
(declare-fun T.F7 () boogieU)
(declare-fun T.F8 () boogieU)
(declare-fun T.F9 () boogieU)
(declare-fun T.FDRIVER_ADD_DEVICE () boogieU)
(declare-fun T.FDRIVER_CANCEL () boogieU)
(declare-fun T.FDRIVER_DISPATCH () boogieU)
(declare-fun T.FDRIVER_INITIALIZE () boogieU)
(declare-fun T.FDRIVER_STARTIO () boogieU)
(declare-fun T.FDRIVER_UNLOAD () boogieU)
(declare-fun T.FEVT_WDF_OBJECT_CONTEXT_CLEANUP () boogieU)
(declare-fun T.FEVT_WDF_OBJECT_CONTEXT_DESTROY () boogieU)
(declare-fun T.FEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.FEVT_WDF_WORKITEM () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FILE () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FOR_CCFLUSH () boogieU)
(declare-fun T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE () boogieU)
(declare-fun T.FFAST_IO_CHECK_IF_POSSIBLE () boogieU)
(declare-fun T.FFAST_IO_DETACH_DEVICE () boogieU)
(declare-fun T.FFAST_IO_DEVICE_CONTROL () boogieU)
(declare-fun T.FFAST_IO_LOCK () boogieU)
(declare-fun T.FFAST_IO_MDL_READ () boogieU)
(declare-fun T.FFAST_IO_MDL_READ_COMPLETE () boogieU)
(declare-fun T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_MDL_WRITE_COMPLETE () boogieU)
(declare-fun T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_PREPARE_MDL_WRITE () boogieU)
(declare-fun T.FFAST_IO_QUERY_BASIC_INFO () boogieU)
(declare-fun T.FFAST_IO_QUERY_NETWORK_OPEN_INFO () boogieU)
(declare-fun T.FFAST_IO_QUERY_OPEN () boogieU)
(declare-fun T.FFAST_IO_QUERY_STANDARD_INFO () boogieU)
(declare-fun T.FFAST_IO_READ () boogieU)
(declare-fun T.FFAST_IO_READ_COMPRESSED () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FILE () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FOR_CCFLUSH () boogieU)
(declare-fun T.FFAST_IO_RELEASE_FOR_MOD_WRITE () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_ALL () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_ALL_BY_KEY () boogieU)
(declare-fun T.FFAST_IO_UNLOCK_SINGLE () boogieU)
(declare-fun T.FFAST_IO_WRITE () boogieU)
(declare-fun T.FFAST_IO_WRITE_COMPRESSED () boogieU)
(declare-fun T.FIO_COMPLETION_ROUTINE () boogieU)
(declare-fun T.INT2 () boogieU)
(declare-fun T.INT4 () boogieU)
(declare-fun T.INT8 () boogieU)
(declare-fun T.PA5CHAR () boogieU)
(declare-fun T.PA6CHAR () boogieU)
(declare-fun T.PCHAR () boogieU)
(declare-fun T.PF0 () boogieU)
(declare-fun T.PF1 () boogieU)
(declare-fun T.PF27 () boogieU)
(declare-fun T.PF28 () boogieU)
(declare-fun T.PF29 () boogieU)
(declare-fun T.PF31 () boogieU)
(declare-fun T.PF32 () boogieU)
(declare-fun T.PF33 () boogieU)
(declare-fun T.PF35 () boogieU)
(declare-fun T.PF36 () boogieU)
(declare-fun T.PF37 () boogieU)
(declare-fun T.PFDRIVER_ADD_DEVICE () boogieU)
(declare-fun T.PFDRIVER_CANCEL () boogieU)
(declare-fun T.PFDRIVER_DISPATCH () boogieU)
(declare-fun T.PFDRIVER_INITIALIZE () boogieU)
(declare-fun T.PFDRIVER_STARTIO () boogieU)
(declare-fun T.PFDRIVER_UNLOAD () boogieU)
(declare-fun T.PFEVT_WDF_OBJECT_CONTEXT_CLEANUP () boogieU)
(declare-fun T.PFEVT_WDF_OBJECT_CONTEXT_DESTROY () boogieU)
(declare-fun T.PFEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PFEVT_WDF_WORKITEM () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FILE () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH () boogieU)
(declare-fun T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE () boogieU)
(declare-fun T.PFFAST_IO_CHECK_IF_POSSIBLE () boogieU)
(declare-fun T.PFFAST_IO_DETACH_DEVICE () boogieU)
(declare-fun T.PFFAST_IO_DEVICE_CONTROL () boogieU)
(declare-fun T.PFFAST_IO_LOCK () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ_COMPLETE () boogieU)
(declare-fun T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_MDL_WRITE_COMPLETE () boogieU)
(declare-fun T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_PREPARE_MDL_WRITE () boogieU)
(declare-fun T.PFFAST_IO_QUERY_BASIC_INFO () boogieU)
(declare-fun T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO () boogieU)
(declare-fun T.PFFAST_IO_QUERY_OPEN () boogieU)
(declare-fun T.PFFAST_IO_QUERY_STANDARD_INFO () boogieU)
(declare-fun T.PFFAST_IO_READ () boogieU)
(declare-fun T.PFFAST_IO_READ_COMPRESSED () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FILE () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FOR_CCFLUSH () boogieU)
(declare-fun T.PFFAST_IO_RELEASE_FOR_MOD_WRITE () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_ALL () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_ALL_BY_KEY () boogieU)
(declare-fun T.PFFAST_IO_UNLOCK_SINGLE () boogieU)
(declare-fun T.PFFAST_IO_WRITE () boogieU)
(declare-fun T.PFFAST_IO_WRITE_COMPRESSED () boogieU)
(declare-fun T.PFIO_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PINT4 () boogieU)
(declare-fun T.POWER_ACTION () boogieU)
(declare-fun T.PPCHAR () boogieU)
(declare-fun T.PPF32 () boogieU)
(declare-fun T.PPFEVT_WDF_REQUEST_CANCEL () boogieU)
(declare-fun T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE () boogieU)
(declare-fun T.PPFEVT_WDF_WORKITEM () boogieU)
(declare-fun T.PPINT4 () boogieU)
(declare-fun T.PPPVOID () boogieU)
(declare-fun T.PPPWDFCOLLECTION__ () boogieU)
(declare-fun T.PPPWDFMEMORY__ () boogieU)
(declare-fun T.PPPWDFREQUEST__ () boogieU)
(declare-fun T.PPPWDFSPINLOCK__ () boogieU)
(declare-fun T.PPPWDFWORKITEM__ () boogieU)
(declare-fun T.PPP_MDL () boogieU)
(declare-fun T.PPUCHAR () boogieU)
(declare-fun T.PPUINT4 () boogieU)
(declare-fun T.PPVOID () boogieU)
(declare-fun T.PPWDFCOLLECTION__ () boogieU)
(declare-fun T.PPWDFDEVICE__ () boogieU)
(declare-fun T.PPWDFFILEOBJECT__ () boogieU)
(declare-fun T.PPWDFIOTARGET__ () boogieU)
(declare-fun T.PPWDFMEMORY__ () boogieU)
(declare-fun T.PPWDFQUEUE__ () boogieU)
(declare-fun T.PPWDFREQUEST__ () boogieU)
(declare-fun T.PPWDFSPINLOCK__ () boogieU)
(declare-fun T.PPWDFUSBDEVICE__ () boogieU)
(declare-fun T.PPWDFUSBINTERFACE__ () boogieU)
(declare-fun T.PPWDFUSBPIPE__ () boogieU)
(declare-fun T.PPWDFWORKITEM__ () boogieU)
(declare-fun T.PP_DEVICE_CONTEXT () boogieU)
(declare-fun T.PP_ERESOURCE () boogieU)
(declare-fun T.PP_FILE_CONTEXT () boogieU)
(declare-fun T.PP_IRP () boogieU)
(declare-fun T.PP_LIST_ENTRY () boogieU)
(declare-fun T.PP_MDL () boogieU)
(declare-fun T.PP_REQUEST_CONTEXT () boogieU)
(declare-fun T.PP_SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T.PP_URB () boogieU)
(declare-fun T.PP_WDFMEMORY_OFFSET () boogieU)
(declare-fun T.PP_WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.PP_WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.PP_WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.PP_WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T.PP_WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.PP_WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.PP_WDF_WORKITEM_CONFIG () boogieU)
(declare-fun T.PP_WORKITEM_CONTEXT () boogieU)
(declare-fun T.PUCHAR () boogieU)
(declare-fun T.PUINT2 () boogieU)
(declare-fun T.PUINT4 () boogieU)
(declare-fun T.PVOID () boogieU)
(declare-fun T.PWDFCOLLECTION__ () boogieU)
(declare-fun T.PWDFDEVICE__ () boogieU)
(declare-fun T.PWDFDRIVER__ () boogieU)
(declare-fun T.PWDFFILEOBJECT__ () boogieU)
(declare-fun T.PWDFIOTARGET__ () boogieU)
(declare-fun T.PWDFMEMORY__ () boogieU)
(declare-fun T.PWDFQUEUE__ () boogieU)
(declare-fun T.PWDFREQUEST__ () boogieU)
(declare-fun T.PWDFSPINLOCK__ () boogieU)
(declare-fun T.PWDFUSBDEVICE__ () boogieU)
(declare-fun T.PWDFUSBINTERFACE__ () boogieU)
(declare-fun T.PWDFUSBPIPE__ () boogieU)
(declare-fun T.PWDFWORKITEM__ () boogieU)
(declare-fun T.P_ACCESS_STATE () boogieU)
(declare-fun T.P_CM_RESOURCE_LIST () boogieU)
(declare-fun T.P_COMPRESSED_DATA_INFO () boogieU)
(declare-fun T.P_DEVICE_CAPABILITIES () boogieU)
(declare-fun T.P_DEVICE_CONTEXT () boogieU)
(declare-fun T.P_DEVICE_OBJECT () boogieU)
(declare-fun T.P_DEVOBJ_EXTENSION () boogieU)
(declare-fun T.P_DRIVER_EXTENSION () boogieU)
(declare-fun T.P_DRIVER_OBJECT () boogieU)
(declare-fun T.P_EPROCESS () boogieU)
(declare-fun T.P_ERESOURCE () boogieU)
(declare-fun T.P_FAST_IO_DISPATCH () boogieU)
(declare-fun T.P_FILE_BASIC_INFORMATION () boogieU)
(declare-fun T.P_FILE_CONTEXT () boogieU)
(declare-fun T.P_FILE_GET_QUOTA_INFORMATION () boogieU)
(declare-fun T.P_FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T.P_FILE_OBJECT () boogieU)
(declare-fun T.P_FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T.P_GUID () boogieU)
(declare-fun T.P_INTERFACE () boogieU)
(declare-fun T.P_IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T.P_IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T.P_IO_SECURITY_CONTEXT () boogieU)
(declare-fun T.P_IO_STACK_LOCATION () boogieU)
(declare-fun T.P_IO_STATUS_BLOCK () boogieU)
(declare-fun T.P_IO_TIMER () boogieU)
(declare-fun T.P_IRP () boogieU)
(declare-fun T.P_KAPC () boogieU)
(declare-fun T.P_KDPC () boogieU)
(declare-fun T.P_KEVENT () boogieU)
(declare-fun T.P_KPROCESS () boogieU)
(declare-fun T.P_KSEMAPHORE () boogieU)
(declare-fun T.P_KTHREAD () boogieU)
(declare-fun T.P_LARGE_INTEGER () boogieU)
(declare-fun T.P_LIST_ENTRY () boogieU)
(declare-fun T.P_MDL () boogieU)
(declare-fun T.P_OWNER_ENTRY () boogieU)
(declare-fun T.P_POOL_TYPE () boogieU)
(declare-fun T.P_POWER_SEQUENCE () boogieU)
(declare-fun T.P_REQUEST_CONTEXT () boogieU)
(declare-fun T.P_SCSI_REQUEST_BLOCK () boogieU)
(declare-fun T.P_SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T.P_SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T.P_SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T.P_UNICODE_STRING () boogieU)
(declare-fun T.P_URB () boogieU)
(declare-fun T.P_USBD_ISO_PACKET_DESCRIPTOR () boogieU)
(declare-fun T.P_USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T.P_VPB () boogieU)
(declare-fun T.P_WDFMEMORY_OFFSET () boogieU)
(declare-fun T.P_WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T.P_WDF_IO_TARGET_SENT_IO_ACTION () boogieU)
(declare-fun T.P_WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T.P_WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T.P_WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.P_WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T.P_WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T.P_WDF_REQUEST_TYPE () boogieU)
(declare-fun T.P_WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T.P_WDF_USB_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T.P_WDF_WORKITEM_CONFIG () boogieU)
(declare-fun T.P_WORKITEM_CONTEXT () boogieU)
(declare-fun T.UCHAR () boogieU)
(declare-fun T.UINT2 () boogieU)
(declare-fun T.UINT4 () boogieU)
(declare-fun T.VOID () boogieU)
(declare-fun T.WDFCOLLECTION__ () boogieU)
(declare-fun T.WDFDEVICE__ () boogieU)
(declare-fun T.WDFDRIVER__ () boogieU)
(declare-fun T.WDFFILEOBJECT__ () boogieU)
(declare-fun T.WDFIOTARGET__ () boogieU)
(declare-fun T.WDFMEMORY__ () boogieU)
(declare-fun T.WDFQUEUE__ () boogieU)
(declare-fun T.WDFREQUEST__ () boogieU)
(declare-fun T.WDFSPINLOCK__ () boogieU)
(declare-fun T.WDFUSBDEVICE__ () boogieU)
(declare-fun T.WDFUSBINTERFACE__ () boogieU)
(declare-fun T.WDFUSBPIPE__ () boogieU)
(declare-fun T.WDFWORKITEM__ () boogieU)
(declare-fun T._ACCESS_STATE () boogieU)
(declare-fun T._CM_FULL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._CM_PARTIAL_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._CM_PARTIAL_RESOURCE_LIST () boogieU)
(declare-fun T._CM_RESOURCE_LIST () boogieU)
(declare-fun T._COMPRESSED_DATA_INFO () boogieU)
(declare-fun T._DEVICE_CAPABILITIES () boogieU)
(declare-fun T._DEVICE_CONTEXT () boogieU)
(declare-fun T._DEVICE_OBJECT () boogieU)
(declare-fun T._DEVICE_POWER_STATE () boogieU)
(declare-fun T._DEVICE_RELATION_TYPE () boogieU)
(declare-fun T._DEVICE_USAGE_NOTIFICATION_TYPE () boogieU)
(declare-fun T._DEVOBJ_EXTENSION () boogieU)
(declare-fun T._DISPATCHER_HEADER () boogieU)
(declare-fun T._DRIVER_EXTENSION () boogieU)
(declare-fun T._DRIVER_OBJECT () boogieU)
(declare-fun T._EPROCESS () boogieU)
(declare-fun T._ERESOURCE () boogieU)
(declare-fun T._FAST_IO_DISPATCH () boogieU)
(declare-fun T._FILE_BASIC_INFORMATION () boogieU)
(declare-fun T._FILE_CONTEXT () boogieU)
(declare-fun T._FILE_GET_QUOTA_INFORMATION () boogieU)
(declare-fun T._FILE_INFORMATION_CLASS () boogieU)
(declare-fun T._FILE_NETWORK_OPEN_INFORMATION () boogieU)
(declare-fun T._FILE_OBJECT () boogieU)
(declare-fun T._FILE_STANDARD_INFORMATION () boogieU)
(declare-fun T._FSINFOCLASS () boogieU)
(declare-fun T._GUID () boogieU)
(declare-fun T._INITIAL_PRIVILEGE_SET () boogieU)
(declare-fun T._INTERFACE () boogieU)
(declare-fun T._INTERFACE_TYPE () boogieU)
(declare-fun T._IO_ALLOCATION_ACTION () boogieU)
(declare-fun T._IO_COMPLETION_CONTEXT () boogieU)
(declare-fun T._IO_RESOURCE_DESCRIPTOR () boogieU)
(declare-fun T._IO_RESOURCE_LIST () boogieU)
(declare-fun T._IO_RESOURCE_REQUIREMENTS_LIST () boogieU)
(declare-fun T._IO_SECURITY_CONTEXT () boogieU)
(declare-fun T._IO_STACK_LOCATION () boogieU)
(declare-fun T._IO_STATUS_BLOCK () boogieU)
(declare-fun T._IO_TIMER () boogieU)
(declare-fun T._IRP () boogieU)
(declare-fun T._IRQ_DEVICE_POLICY () boogieU)
(declare-fun T._IRQ_PRIORITY () boogieU)
(declare-fun T._KAPC () boogieU)
(declare-fun T._KDEVICE_QUEUE () boogieU)
(declare-fun T._KDEVICE_QUEUE_ENTRY () boogieU)
(declare-fun T._KDPC () boogieU)
(declare-fun T._KEVENT () boogieU)
(declare-fun T._KPROCESS () boogieU)
(declare-fun T._KSEMAPHORE () boogieU)
(declare-fun T._KTHREAD () boogieU)
(declare-fun T._LARGE_INTEGER () boogieU)
(declare-fun T._LIST_ENTRY () boogieU)
(declare-fun T._LUID () boogieU)
(declare-fun T._LUID_AND_ATTRIBUTES () boogieU)
(declare-fun T._MDL () boogieU)
(declare-fun T._OWNER_ENTRY () boogieU)
(declare-fun T._POOL_TYPE () boogieU)
(declare-fun T._POWER_SEQUENCE () boogieU)
(declare-fun T._POWER_STATE () boogieU)
(declare-fun T._POWER_STATE_TYPE () boogieU)
(declare-fun T._PRIVILEGE_SET () boogieU)
(declare-fun T._REQUEST_CONTEXT () boogieU)
(declare-fun T._SCSI_REQUEST_BLOCK () boogieU)
(declare-fun T._SECTION_OBJECT_POINTERS () boogieU)
(declare-fun T._SECURITY_IMPERSONATION_LEVEL () boogieU)
(declare-fun T._SECURITY_QUALITY_OF_SERVICE () boogieU)
(declare-fun T._SECURITY_SUBJECT_CONTEXT () boogieU)
(declare-fun T._SUB_REQUEST_CONTEXT () boogieU)
(declare-fun T._SYSTEM_POWER_STATE () boogieU)
(declare-fun T._SYSTEM_POWER_STATE_CONTEXT () boogieU)
(declare-fun T._UNICODE_STRING () boogieU)
(declare-fun T._URB () boogieU)
(declare-fun T._URB_BULK_OR_INTERRUPT_TRANSFER () boogieU)
(declare-fun T._URB_CONTROL_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T._URB_CONTROL_FEATURE_REQUEST () boogieU)
(declare-fun T._URB_CONTROL_GET_CONFIGURATION_REQUEST () boogieU)
(declare-fun T._URB_CONTROL_GET_INTERFACE_REQUEST () boogieU)
(declare-fun T._URB_CONTROL_GET_STATUS_REQUEST () boogieU)
(declare-fun T._URB_CONTROL_TRANSFER () boogieU)
(declare-fun T._URB_CONTROL_TRANSFER_EX () boogieU)
(declare-fun T._URB_CONTROL_VENDOR_OR_CLASS_REQUEST () boogieU)
(declare-fun T._URB_FRAME_LENGTH_CONTROL () boogieU)
(declare-fun T._URB_GET_CURRENT_FRAME_NUMBER () boogieU)
(declare-fun T._URB_GET_FRAME_LENGTH () boogieU)
(declare-fun T._URB_HCD_AREA () boogieU)
(declare-fun T._URB_HEADER () boogieU)
(declare-fun T._URB_ISOCH_TRANSFER () boogieU)
(declare-fun T._URB_OS_FEATURE_DESCRIPTOR_REQUEST () boogieU)
(declare-fun T._URB_PIPE_IO_POLICY () boogieU)
(declare-fun T._URB_PIPE_REQUEST () boogieU)
(declare-fun T._URB_SELECT_CONFIGURATION () boogieU)
(declare-fun T._URB_SELECT_INTERFACE () boogieU)
(declare-fun T._URB_SET_FRAME_LENGTH () boogieU)
(declare-fun T._USBD_INTERFACE_INFORMATION () boogieU)
(declare-fun T._USBD_ISO_PACKET_DESCRIPTOR () boogieU)
(declare-fun T._USBD_PIPE_INFORMATION () boogieU)
(declare-fun T._USBD_PIPE_TYPE () boogieU)
(declare-fun T._USB_CONFIGURATION_DESCRIPTOR () boogieU)
(declare-fun T._USB_DEVICE_DESCRIPTOR () boogieU)
(declare-fun T._USB_IO_PARAMETERS () boogieU)
(declare-fun T._USB_IO_PRIORITY () boogieU)
(declare-fun T._VPB () boogieU)
(declare-fun T._WAIT_CONTEXT_BLOCK () boogieU)
(declare-fun T._WDFMEMORY_OFFSET () boogieU)
(declare-fun T._WDF_DRIVER_GLOBALS () boogieU)
(declare-fun T._WDF_EXECUTION_LEVEL () boogieU)
(declare-fun T._WDF_IO_TARGET_SENT_IO_ACTION () boogieU)
(declare-fun T._WDF_OBJECT_ATTRIBUTES () boogieU)
(declare-fun T._WDF_OBJECT_CONTEXT_TYPE_INFO () boogieU)
(declare-fun T._WDF_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T._WDF_REQUEST_PARAMETERS () boogieU)
(declare-fun T._WDF_REQUEST_SEND_OPTIONS () boogieU)
(declare-fun T._WDF_REQUEST_TYPE () boogieU)
(declare-fun T._WDF_SYNCHRONIZATION_SCOPE () boogieU)
(declare-fun T._WDF_USB_PIPE_INFORMATION () boogieU)
(declare-fun T._WDF_USB_PIPE_TYPE () boogieU)
(declare-fun T._WDF_USB_REQUEST_COMPLETION_PARAMS () boogieU)
(declare-fun T._WDF_WORKITEM_CONFIG () boogieU)
(declare-fun T._WORKITEM_CONTEXT () boogieU)
(declare-fun T.__unnamed_12_00aa0978 () boogieU)
(declare-fun T.__unnamed_12_011610e6 () boogieU)
(declare-fun T.__unnamed_12_135b00bd () boogieU)
(declare-fun T.__unnamed_12_2349179a () boogieU)
(declare-fun T.__unnamed_12_508ad0f8 () boogieU)
(declare-fun T.__unnamed_12_5a101f58 () boogieU)
(declare-fun T.__unnamed_12_5c984402 () boogieU)
(declare-fun T.__unnamed_12_6851572b () boogieU)
(declare-fun T.__unnamed_12_91f117a1 () boogieU)
(declare-fun T.__unnamed_12_9675b19c () boogieU)
(declare-fun T.__unnamed_12_99988665 () boogieU)
(declare-fun T.__unnamed_12_9b023e7e () boogieU)
(declare-fun T.__unnamed_12_a04f3ec2 () boogieU)
(declare-fun T.__unnamed_12_a41ee278 () boogieU)
(declare-fun T.__unnamed_12_aae97e0b () boogieU)
(declare-fun T.__unnamed_12_b0fe679d () boogieU)
(declare-fun T.__unnamed_12_b4709d3d () boogieU)
(declare-fun T.__unnamed_12_c07928f7 () boogieU)
(declare-fun T.__unnamed_12_c13de773 () boogieU)
(declare-fun T.__unnamed_12_e5e4e6f3 () boogieU)
(declare-fun T.__unnamed_12_e7dc8c54 () boogieU)
(declare-fun T.__unnamed_12_f4e6bbc2 () boogieU)
(declare-fun T.__unnamed_16_08405228 () boogieU)
(declare-fun T.__unnamed_16_0c179b13 () boogieU)
(declare-fun T.__unnamed_16_160c71e3 () boogieU)
(declare-fun T.__unnamed_16_28d48018 () boogieU)
(declare-fun T.__unnamed_16_30754a00 () boogieU)
(declare-fun T.__unnamed_16_3538eb2e () boogieU)
(declare-fun T.__unnamed_16_3be92f23 () boogieU)
(declare-fun T.__unnamed_16_4692f360 () boogieU)
(declare-fun T.__unnamed_16_47a80b6e () boogieU)
(declare-fun T.__unnamed_16_4a376f0e () boogieU)
(declare-fun T.__unnamed_16_50547125 () boogieU)
(declare-fun T.__unnamed_16_70b335ff () boogieU)
(declare-fun T.__unnamed_16_758cc376 () boogieU)
(declare-fun T.__unnamed_16_7b663246 () boogieU)
(declare-fun T.__unnamed_16_8c4e1e25 () boogieU)
(declare-fun T.__unnamed_16_8fdea1e0 () boogieU)
(declare-fun T.__unnamed_16_90864369 () boogieU)
(declare-fun T.__unnamed_16_98fa84c9 () boogieU)
(declare-fun T.__unnamed_16_b19c652e () boogieU)
(declare-fun T.__unnamed_16_cbf64d77 () boogieU)
(declare-fun T.__unnamed_16_d07eb79e () boogieU)
(declare-fun T.__unnamed_16_d8ea3f48 () boogieU)
(declare-fun T.__unnamed_16_ec1b1a74 () boogieU)
(declare-fun T.__unnamed_16_f0deee7d () boogieU)
(declare-fun T.__unnamed_16_f26424fc () boogieU)
(declare-fun T.__unnamed_16_f8ddfcfe () boogieU)
(declare-fun T.__unnamed_1_26d71ac8 () boogieU)
(declare-fun T.__unnamed_1_7fe4cdbd () boogieU)
(declare-fun T.__unnamed_1_a19e9f98 () boogieU)
(declare-fun T.__unnamed_1_a536060f () boogieU)
(declare-fun T.__unnamed_20_f8440734 () boogieU)
(declare-fun T.__unnamed_24_06d73087 () boogieU)
(declare-fun T.__unnamed_24_22419524 () boogieU)
(declare-fun T.__unnamed_24_36b7e766 () boogieU)
(declare-fun T.__unnamed_24_370204c2 () boogieU)
(declare-fun T.__unnamed_24_52bbd12f () boogieU)
(declare-fun T.__unnamed_24_76cd2bdb () boogieU)
(declare-fun T.__unnamed_24_a2447d05 () boogieU)
(declare-fun T.__unnamed_24_b8ad6aa7 () boogieU)
(declare-fun T.__unnamed_24_ba07fbe7 () boogieU)
(declare-fun T.__unnamed_2_8290e1b0 () boogieU)
(declare-fun T.__unnamed_40_cfd29ebe () boogieU)
(declare-fun T.__unnamed_40_dbe30577 () boogieU)
(declare-fun T.__unnamed_44_d7e89117 () boogieU)
(declare-fun T.__unnamed_48_5a9f979b () boogieU)
(declare-fun T.__unnamed_4_0a20c9fb () boogieU)
(declare-fun T.__unnamed_4_27fec054 () boogieU)
(declare-fun T.__unnamed_4_342578c3 () boogieU)
(declare-fun T.__unnamed_4_36e06717 () boogieU)
(declare-fun T.__unnamed_4_3e8985b1 () boogieU)
(declare-fun T.__unnamed_4_4008e71b () boogieU)
(declare-fun T.__unnamed_4_41bc16eb () boogieU)
(declare-fun T.__unnamed_4_442e007e () boogieU)
(declare-fun T.__unnamed_4_6a857cdd () boogieU)
(declare-fun T.__unnamed_4_82d41359 () boogieU)
(declare-fun T.__unnamed_4_94f0c80c () boogieU)
(declare-fun T.__unnamed_4_9b388132 () boogieU)
(declare-fun T.__unnamed_4_9d516d2b () boogieU)
(declare-fun T.__unnamed_4_ac2f5fe2 () boogieU)
(declare-fun T.__unnamed_4_b1953259 () boogieU)
(declare-fun T.__unnamed_4_b617aa5a () boogieU)
(declare-fun T.__unnamed_4_b65679a6 () boogieU)
(declare-fun T.__unnamed_4_c406319a () boogieU)
(declare-fun T.__unnamed_4_d6f0159b () boogieU)
(declare-fun T.__unnamed_4_de25a30d () boogieU)
(declare-fun T.__unnamed_4_dfcb1314 () boogieU)
(declare-fun T.__unnamed_4_e60fbc3e () boogieU)
(declare-fun T.__unnamed_4_f525de8d () boogieU)
(declare-fun T.__unnamed_4_f571b1b9 () boogieU)
(declare-fun T.__unnamed_4_fad32fd4 () boogieU)
(declare-fun T.__unnamed_4_fbcc5fb9 () boogieU)
(declare-fun T.__unnamed_8_20ce6f92 () boogieU)
(declare-fun T.__unnamed_8_2c71b416 () boogieU)
(declare-fun T.__unnamed_8_305df57c () boogieU)
(declare-fun T.__unnamed_8_4aac83fd () boogieU)
(declare-fun T.__unnamed_8_5c8f0abe () boogieU)
(declare-fun T.__unnamed_8_872f0ca6 () boogieU)
(declare-fun T.__unnamed_8_89024868 () boogieU)
(declare-fun T.__unnamed_8_8bfbe2a4 () boogieU)
(declare-fun T.__unnamed_8_9b5da84f () boogieU)
(declare-fun T.__unnamed_8_9da0b827 () boogieU)
(declare-fun T.__unnamed_8_bb154058 () boogieU)
(declare-fun T.__unnamed_8_cdc8e4c0 () boogieU)
(declare-fun T.__unnamed_8_d0cda093 () boogieU)
(declare-fun T.__unnamed_8_da064ae3 () boogieU)
(declare-fun T.__unnamed_8_e1457eff () boogieU)
(declare-fun T.__unnamed_8_f62d54e1 () boogieU)
(declare-fun T.__unnamed_8_f825c111 () boogieU)
(declare-fun T.__unnamed_96_e511a626 () boogieU)
(declare-fun byteType () boogieT)
(declare-fun MapType0Type (boogieT boogieT) boogieT)
(declare-fun MapType0TypeInv0 (boogieT) boogieT)
(declare-fun MapType0TypeInv1 (boogieT) boogieT)
(declare-fun MapType0Select (boogieU boogieU) boogieU)
(declare-fun MapType0Store (boogieU boogieU boogieU) boogieU)
(declare-fun Empty () boogieU)
(declare-fun SetTrue () boogieU)
(declare-fun Singleton (Int) boogieU)
(declare-fun Union (boogieU boogieU) boogieU)
(declare-fun Intersection (boogieU boogieU) boogieU)
(declare-fun Difference (boogieU boogieU) boogieU)
(declare-fun Inverse (boogieU Int) boogieU)
(declare-fun Dereference (boogieU boogieU) boogieU)
(declare-fun Unified (boogieU) boogieU)
(declare-fun Field (Int) boogieU)
(declare-fun Values (boogieU boogieU) boogieU)
(declare-fun T.Ptr (boogieU) boogieU)
(declare-fun x_S_Blink__LIST_ENTRY (boogieU) boogieU)
(declare-fun x_S_Blink__LIST_ENTRYInv (boogieU) boogieU)
(declare-fun x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES (boogieU) boogieU)
(declare-fun x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv (boogieU) boogieU)
(declare-fun x_S_Device__WORKITEM_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Device__WORKITEM_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Flink__LIST_ENTRY (boogieU) boogieU)
(declare-fun x_S_Flink__LIST_ENTRYInv (boogieU) boogieU)
(declare-fun x_S_Function__URB_HEADER (boogieU) boogieU)
(declare-fun x_S_Function__URB_HEADERInv (boogieU) boogieU)
(declare-fun x_S_Hdr__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_Hdr__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS (boogieU) boogieU)
(declare-fun x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (boogieU) boogieU)
(declare-fun x_S_IsDeviceHighSpeed__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_IsoPacket__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_IsoPacket__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_Length__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Length__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Length__URB_HEADER (boogieU) boogieU)
(declare-fun x_S_Length__URB_HEADERInv (boogieU) boogieU)
(declare-fun x_S_Length__USBD_ISO_PACKET_DESCRIPTOR (boogieU) boogieU)
(declare-fun x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv (boogieU) boogieU)
(declare-fun x_S_ListEntry__SUB_REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_ListEntry__SUB_REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION (boogieU) boogieU)
(declare-fun x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv (boogieU) boogieU)
(declare-fun x_S_Mdl__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Mdl__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_NumberConfiguredPipes__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_NumberOfPackets__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_Numxfer__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Numxfer__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR (boogieU) boogieU)
(declare-fun x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv (boogieU) boogieU)
(declare-fun x_S_ParentObject__WDF_OBJECT_ATTRIBUTES (boogieU) boogieU)
(declare-fun x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv (boogieU) boogieU)
(declare-fun x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER (boogieU) boogieU)
(declare-fun x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_PipeHandle__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_PipeHandle__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_PipeType__WDF_USB_PIPE_INFORMATION (boogieU) boogieU)
(declare-fun x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv (boogieU) boogieU)
(declare-fun x_S_Pipe__FILE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Pipe__FILE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Pipe__WORKITEM_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Pipe__WORKITEM_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Read__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_Read__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_Size__WDF_USB_PIPE_INFORMATION (boogieU) boogieU)
(declare-fun x_S_Size__WDF_USB_PIPE_INFORMATIONInv (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_6a857cdd (boogieU) boogieU)
(declare-fun x_S_Status___unnamed_4_6a857cddInv (boogieU) boogieU)
(declare-fun x_S_SubMdl__SUB_REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_SubMdl__SUB_REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_SubRequestCollectionLock__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_SubRequestCollection__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_SubRequestCollection__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_SubUrb__SUB_REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_SubUrb__SUB_REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_TransferBufferLength__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_TransferBufferMDL__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_TransferFlags__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_TransferFlags__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_Type__WDF_REQUEST_PARAMETERS (boogieU) boogieU)
(declare-fun x_S_Type__WDF_REQUEST_PARAMETERSInv (boogieU) boogieU)
(declare-fun x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (boogieU) boogieU)
(declare-fun x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (boogieU) boogieU)
(declare-fun x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 (boogieU) boogieU)
(declare-fun x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv (boogieU) boogieU)
(declare-fun x_S_UrbHeader___unnamed_96_e511a626 (boogieU) boogieU)
(declare-fun x_S_UrbHeader___unnamed_96_e511a626Inv (boogieU) boogieU)
(declare-fun x_S_UrbIsochronousTransfer___unnamed_96_e511a626 (boogieU) boogieU)
(declare-fun x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv (boogieU) boogieU)
(declare-fun x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER (boogieU) boogieU)
(declare-fun x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_UrbLink__URB_ISOCH_TRANSFER (boogieU) boogieU)
(declare-fun x_S_UrbLink__URB_ISOCH_TRANSFERInv (boogieU) boogieU)
(declare-fun x_S_UrbMemory__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_UrbMemory__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_UsbInterface__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_UsbInterface__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_UserRequest__SUB_REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_UserRequest__SUB_REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_VirtualAddress__REQUEST_CONTEXT (boogieU) boogieU)
(declare-fun x_S_VirtualAddress__REQUEST_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S_WdfUsbTargetDevice__DEVICE_CONTEXT (boogieU) boogieU)
(declare-fun x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv (boogieU) boogieU)
(declare-fun x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK (boogieU) boogieU)
(declare-fun x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (boogieU) boogieU)
(declare-fun x_S___unnamed_96_e511a626__URB (boogieU) boogieU)
(declare-fun x_S___unnamed_96_e511a626__URBInv (boogieU) boogieU)
(declare-fun x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR (boogieU) boogieU)
(declare-fun x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv (boogieU) boogieU)
(declare-fun ReadWriteCompletion () Int)
(declare-fun ReadWriteWorkItem () Int)
(declare-fun SubRequestCompletionRoutine () Int)
(declare-fun UsbSamp_EvtRequestCancel () Int)
(declare-fun WdfDriverGlobals () Int)
(declare-fun x_WDF_DEVICE_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_FILE_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_REQUEST_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_SUB_REQUEST_CONTEXT_TYPE_INFO () Int)
(declare-fun x_WDF_WORKITEM_CONTEXT_TYPE_INFO () Int)
(declare-fun hbuffer () Int)
(declare-fun hdctx () Int)
(declare-fun hdevcollection_count () Int)
(declare-fun hdevice () Int)
(declare-fun hln () Int)
(declare-fun hlock () Int)
(declare-fun hmdl () Int)
(declare-fun hqctx () Int)
(declare-fun hqueue () Int)
(declare-fun hrctx () Int)
(declare-fun hrequest () Int)
(declare-fun htctx () Int)
(declare-fun htimer () Int)
(declare-fun hwork_item () Int)
(declare-fun notused_4hbuffer () Int)
(declare-fun notused_4hfileobj () Int)
(declare-fun notused_4hmdl () Int)
(declare-fun notused_4hwork_item () Int)
(declare-fun notused_4wdfobject1 () Int)
(declare-fun notused_4wdmobject1 () Int)
(declare-fun notused_ctx () Int)
(declare-fun notused_hrequest () Int)
(declare-fun pnotused () Int)
(declare-fun BOOGIE_LARGE_INT_4294967295 () Int)
(declare-fun OneByteToInt (boogieU) Int)
(declare-fun TwoBytesToInt (boogieU boogieU) Int)
(declare-fun FourBytesToInt (boogieU boogieU boogieU boogieU) Int)
(declare-fun Equal (boogieU boogieU) TermBool)
(declare-fun Subset (boogieU boogieU) TermBool)
(declare-fun Disjoint (boogieU boogieU) TermBool)
(declare-fun HasType (Int boogieU boogieU) TermBool)
(declare-fun Match (Int boogieU) TermBool)
(declare-fun Blink__LIST_ENTRYInv (Int) Int)
(declare-fun Blink__LIST_ENTRY (Int) Int)
(declare-fun MINUS_BOTH_PTR_OR_BOTH_INT (Int Int Int) Int)
(declare-fun MINUS_LEFT_PTR (Int Int Int) Int)
(declare-fun ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv (Int) Int)
(declare-fun ContextTypeInfo__WDF_OBJECT_ATTRIBUTES (Int) Int)
(declare-fun Device__WORKITEM_CONTEXTInv (Int) Int)
(declare-fun Device__WORKITEM_CONTEXT (Int) Int)
(declare-fun Flink__LIST_ENTRYInv (Int) Int)
(declare-fun Flink__LIST_ENTRY (Int) Int)
(declare-fun Function__URB_HEADERInv (Int) Int)
(declare-fun Function__URB_HEADER (Int) Int)
(declare-fun Hdr__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun Hdr__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (Int) Int)
(declare-fun IoStatus__WDF_REQUEST_COMPLETION_PARAMS (Int) Int)
(declare-fun IsDeviceHighSpeed__DEVICE_CONTEXTInv (Int) Int)
(declare-fun IsDeviceHighSpeed__DEVICE_CONTEXT (Int) Int)
(declare-fun IsoPacket__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun IsoPacket__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun Length__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Length__REQUEST_CONTEXT (Int) Int)
(declare-fun Length__URB_HEADERInv (Int) Int)
(declare-fun Length__URB_HEADER (Int) Int)
(declare-fun Length__USBD_ISO_PACKET_DESCRIPTORInv (Int) Int)
(declare-fun Length__USBD_ISO_PACKET_DESCRIPTOR (Int) Int)
(declare-fun ListEntry__SUB_REQUEST_CONTEXTInv (Int) Int)
(declare-fun ListEntry__SUB_REQUEST_CONTEXT (Int) Int)
(declare-fun MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv (Int) Int)
(declare-fun MaximumPacketSize__WDF_USB_PIPE_INFORMATION (Int) Int)
(declare-fun Mdl__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Mdl__REQUEST_CONTEXT (Int) Int)
(declare-fun NumberConfiguredPipes__DEVICE_CONTEXTInv (Int) Int)
(declare-fun NumberConfiguredPipes__DEVICE_CONTEXT (Int) Int)
(declare-fun NumberOfPackets__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun NumberOfPackets__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun Numxfer__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Numxfer__REQUEST_CONTEXT (Int) Int)
(declare-fun Offset__USBD_ISO_PACKET_DESCRIPTORInv (Int) Int)
(declare-fun Offset__USBD_ISO_PACKET_DESCRIPTOR (Int) Int)
(declare-fun ParentObject__WDF_OBJECT_ATTRIBUTESInv (Int) Int)
(declare-fun ParentObject__WDF_OBJECT_ATTRIBUTES (Int) Int)
(declare-fun PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv (Int) Int)
(declare-fun PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER (Int) Int)
(declare-fun PipeHandle__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun PipeHandle__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun PipeType__WDF_USB_PIPE_INFORMATIONInv (Int) Int)
(declare-fun PipeType__WDF_USB_PIPE_INFORMATION (Int) Int)
(declare-fun Pipe__FILE_CONTEXTInv (Int) Int)
(declare-fun Pipe__FILE_CONTEXT (Int) Int)
(declare-fun Pipe__WORKITEM_CONTEXTInv (Int) Int)
(declare-fun Pipe__WORKITEM_CONTEXT (Int) Int)
(declare-fun Read__REQUEST_CONTEXTInv (Int) Int)
(declare-fun Read__REQUEST_CONTEXT (Int) Int)
(declare-fun Size__WDF_USB_PIPE_INFORMATIONInv (Int) Int)
(declare-fun Size__WDF_USB_PIPE_INFORMATION (Int) Int)
(declare-fun Status___unnamed_4_6a857cddInv (Int) Int)
(declare-fun Status___unnamed_4_6a857cdd (Int) Int)
(declare-fun SubMdl__SUB_REQUEST_CONTEXTInv (Int) Int)
(declare-fun SubMdl__SUB_REQUEST_CONTEXT (Int) Int)
(declare-fun SubRequestCollectionLock__REQUEST_CONTEXTInv (Int) Int)
(declare-fun SubRequestCollectionLock__REQUEST_CONTEXT (Int) Int)
(declare-fun SubRequestCollection__REQUEST_CONTEXTInv (Int) Int)
(declare-fun SubRequestCollection__REQUEST_CONTEXT (Int) Int)
(declare-fun SubUrb__SUB_REQUEST_CONTEXTInv (Int) Int)
(declare-fun SubUrb__SUB_REQUEST_CONTEXT (Int) Int)
(declare-fun TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv (Int) Int)
(declare-fun TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER (Int) Int)
(declare-fun TransferBufferLength__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun TransferBufferLength__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv (Int) Int)
(declare-fun TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER (Int) Int)
(declare-fun TransferBufferMDL__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun TransferBufferMDL__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv (Int) Int)
(declare-fun TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER (Int) Int)
(declare-fun TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv (Int) Int)
(declare-fun TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER (Int) Int)
(declare-fun TransferFlags__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun TransferFlags__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun Type__WDF_REQUEST_PARAMETERSInv (Int) Int)
(declare-fun Type__WDF_REQUEST_PARAMETERS (Int) Int)
(declare-fun UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (Int) Int)
(declare-fun UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (Int) Int)
(declare-fun UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv (Int) Int)
(declare-fun UrbBulkOrInterruptTransfer___unnamed_96_e511a626 (Int) Int)
(declare-fun UrbHeader___unnamed_96_e511a626Inv (Int) Int)
(declare-fun UrbHeader___unnamed_96_e511a626 (Int) Int)
(declare-fun UrbIsochronousTransfer___unnamed_96_e511a626Inv (Int) Int)
(declare-fun UrbIsochronousTransfer___unnamed_96_e511a626 (Int) Int)
(declare-fun UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv (Int) Int)
(declare-fun UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER (Int) Int)
(declare-fun UrbLink__URB_ISOCH_TRANSFERInv (Int) Int)
(declare-fun UrbLink__URB_ISOCH_TRANSFER (Int) Int)
(declare-fun UrbMemory__REQUEST_CONTEXTInv (Int) Int)
(declare-fun UrbMemory__REQUEST_CONTEXT (Int) Int)
(declare-fun UsbConfigurationDescriptor__DEVICE_CONTEXTInv (Int) Int)
(declare-fun UsbConfigurationDescriptor__DEVICE_CONTEXT (Int) Int)
(declare-fun UsbInterface__DEVICE_CONTEXTInv (Int) Int)
(declare-fun UsbInterface__DEVICE_CONTEXT (Int) Int)
(declare-fun UserRequest__SUB_REQUEST_CONTEXTInv (Int) Int)
(declare-fun UserRequest__SUB_REQUEST_CONTEXT (Int) Int)
(declare-fun VirtualAddress__REQUEST_CONTEXTInv (Int) Int)
(declare-fun VirtualAddress__REQUEST_CONTEXT (Int) Int)
(declare-fun WdfUsbTargetDevice__DEVICE_CONTEXTInv (Int) Int)
(declare-fun WdfUsbTargetDevice__DEVICE_CONTEXT (Int) Int)
(declare-fun x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (Int) Int)
(declare-fun x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (Int) Int)
(declare-fun x__unnamed_96_e511a626__URBInv (Int) Int)
(declare-fun x__unnamed_96_e511a626__URB (Int) Int)
(declare-fun wTotalLength__USB_CONFIGURATION_DESCRIPTORInv (Int) Int)
(declare-fun wTotalLength__USB_CONFIGURATION_DESCRIPTOR (Int) Int)
(declare-fun PLUS (Int Int Int) Int)
(declare-fun MULT (Int Int) Int)
(declare-fun DIV (Int Int) Int)
(declare-fun POW2 (Int) TermBool)
(declare-fun choose (TermBool Int Int) Int)
(declare-fun BIT_BAND (Int Int) Int)
(declare-fun LIFT (TermBool) Int)
(declare-fun NOT (Int) Int)
(declare-fun NULL_CHECK (Int) Int)
(declare-fun Mem_1_T.PWDFREQUEST__.14 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.13 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.4 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.3 () boogieU)
(declare-fun alloc.50 () boogieU)
(declare-fun alloc.49 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.4 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.3 () boogieU)
(declare-fun Mem_3_T.PWDFREQUEST__.14 () boogieU)
(declare-fun Mem_3_T.PWDFREQUEST__.13 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.4 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.3 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.4 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.3 () boogieU)
(declare-fun Mem_2_T.PWDFREQUEST__.14 () boogieU)
(declare-fun Mem_2_T.PWDFREQUEST__.13 () boogieU)
(declare-fun Mem_4_T.PWDFREQUEST__.14 () boogieU)
(declare-fun Mem_4_T.PWDFREQUEST__.13 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.14 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.13 () boogieU)
(declare-fun Mem_s_1_T.PWDFREQUEST__ () boogieU)
(declare-fun Mem_s_2_T.PWDFREQUEST__ () boogieU)
(declare-fun Mem_s_3_T.PWDFREQUEST__ () boogieU)
(declare-fun Mem_s_4_T.PWDFREQUEST__ () boogieU)
(declare-fun alloc.34 () boogieU)
(declare-fun alloc.48 () boogieU)
(declare-fun alloc.46 () boogieU)
(declare-fun alloc.47 () boogieU)
(declare-fun alloc.41 () boogieU)
(declare-fun alloc.45 () boogieU)
(declare-fun alloc.44 () boogieU)
(declare-fun alloc.42 () boogieU)
(declare-fun alloc.43 () boogieU)
(declare-fun alloc.39 () boogieU)
(declare-fun alloc.38 () boogieU)
(declare-fun alloc.40 () boogieU)
(declare-fun alloc.37 () boogieU)
(declare-fun alloc.36 () boogieU)
(declare-fun alloc.35 () boogieU)
(declare-fun alloc.32 () boogieU)
(declare-fun alloc.33 () boogieU)
(declare-fun alloc.5 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc () boogieU)
(declare-fun Mem_2_T.PWDFREQUEST__ () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__ () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc () boogieU)
(declare-fun Mem_4_T.PWDFREQUEST__ () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__ () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc () boogieU)
(declare-fun Mem_3_T.PWDFREQUEST__ () boogieU)
(declare-fun alloc.1 () boogieU)
(declare-fun alloc.0 () boogieU)
(declare-fun alloc.2 () boogieU)
(declare-fun alloc.3 () boogieU)
(declare-fun alloc.4 () boogieU)
(declare-fun alloc.31 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.2 () boogieU)
(declare-fun Mem_2_T.PWDFREQUEST__.12 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.2 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.12 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.2 () boogieU)
(declare-fun Mem_4_T.PWDFREQUEST__.12 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.12 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.2 () boogieU)
(declare-fun Mem_3_T.PWDFREQUEST__.12 () boogieU)
(declare-fun alloc.6 () boogieU)
(declare-fun alloc.30 () boogieU)
(declare-fun Mem_2_T.PWDFREQUEST__.11 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.11 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.1 () boogieU)
(declare-fun Mem_4_T.PWDFREQUEST__.11 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.11 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.1 () boogieU)
(declare-fun Mem_3_T.PWDFREQUEST__.11 () boogieU)
(declare-fun alloc.17 () boogieU)
(declare-fun alloc.29 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.0 () boogieU)
(declare-fun Mem_4_T.PWDFREQUEST__.8 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.8 () boogieU)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.0 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.8 () boogieU)
(declare-fun Mem_3_T.PWDFREQUEST__.8 () boogieU)
(declare-fun Mem_2_T.PWDFREQUEST__.8 () boogieU)
(declare-fun Mem_4_T.PWDFREQUEST__.10 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.10 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.10 () boogieU)
(declare-fun Mem_3_T.PWDFREQUEST__.10 () boogieU)
(declare-fun Mem_2_T.PWDFREQUEST__.10 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.9 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.9 () boogieU)
(declare-fun Mem_2_T.PWDFREQUEST__.9 () boogieU)
(declare-fun Mem_3_T.PWDFREQUEST__.9 () boogieU)
(declare-fun Mem_4_T.PWDFREQUEST__.9 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.7 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.7 () boogieU)
(declare-fun Mem_2_T.PWDFREQUEST__.7 () boogieU)
(declare-fun Mem_3_T.PWDFREQUEST__.7 () boogieU)
(declare-fun Mem_4_T.PWDFREQUEST__.7 () boogieU)
(declare-fun alloc.7 () boogieU)
(declare-fun alloc.8 () boogieU)
(declare-fun alloc.9 () boogieU)
(declare-fun alloc.10 () boogieU)
(declare-fun alloc.11 () boogieU)
(declare-fun alloc.12 () boogieU)
(declare-fun alloc.13 () boogieU)
(declare-fun alloc.14 () boogieU)
(declare-fun alloc.15 () boogieU)
(declare-fun alloc.16 () boogieU)
(declare-fun alloc.28 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.1 () boogieU)
(declare-fun Mem_2_T.PWDFREQUEST__.6 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.6 () boogieU)
(declare-fun Mem_4_T.PWDFREQUEST__.6 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.6 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.1 () boogieU)
(declare-fun Mem_3_T.PWDFREQUEST__.6 () boogieU)
(declare-fun Mem_4_T.PWDFREQUEST__.3 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.0 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.3 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.3 () boogieU)
(declare-fun Mem_3_T.PWDFREQUEST__.3 () boogieU)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.0 () boogieU)
(declare-fun Mem_2_T.PWDFREQUEST__.3 () boogieU)
(declare-fun Mem_4_T.PWDFREQUEST__.5 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.5 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.5 () boogieU)
(declare-fun Mem_3_T.PWDFREQUEST__.5 () boogieU)
(declare-fun Mem_2_T.PWDFREQUEST__.5 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.4 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.4 () boogieU)
(declare-fun Mem_2_T.PWDFREQUEST__.4 () boogieU)
(declare-fun Mem_3_T.PWDFREQUEST__.4 () boogieU)
(declare-fun Mem_4_T.PWDFREQUEST__.4 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.1 () boogieU)
(declare-fun Mem_2_T.PWDFREQUEST__.1 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.2 () boogieU)
(declare-fun Mem_3_T.PWDFREQUEST__.1 () boogieU)
(declare-fun Mem_4_T.PWDFREQUEST__.1 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.1 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.2 () boogieU)
(declare-fun Mem_2_T.PWDFREQUEST__.2 () boogieU)
(declare-fun Mem_3_T.PWDFREQUEST__.2 () boogieU)
(declare-fun Mem_4_T.PWDFREQUEST__.2 () boogieU)
(declare-fun alloc.27 () boogieU)
(declare-fun Mem_0_T.PWDFREQUEST__.0 () boogieU)
(declare-fun Mem_1_T.PWDFREQUEST__.0 () boogieU)
(declare-fun Mem_2_T.PWDFREQUEST__.0 () boogieU)
(declare-fun Mem_3_T.PWDFREQUEST__.0 () boogieU)
(declare-fun Mem_4_T.PWDFREQUEST__.0 () boogieU)
(declare-fun alloc.18 () boogieU)
(declare-fun alloc.19 () boogieU)
(declare-fun alloc.20 () boogieU)
(declare-fun alloc.21 () boogieU)
(declare-fun alloc.22 () boogieU)
(declare-fun alloc.23 () boogieU)
(declare-fun alloc.24 () boogieU)
(declare-fun alloc.25 () boogieU)
(declare-fun alloc.26 () boogieU)
(declare-fun alloc () boogieU)
(declare-fun k.59 () Int)
(declare-fun errorReached.46 () Int)
(declare-fun reqCompleted_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0 () Int)
(declare-fun reqCompleted_1 () Int)
(declare-fun reqCompleted_2 () Int)
(declare-fun reqCompleted_3 () Int)
(declare-fun reqCompleted_4 () Int)
(declare-fun lockStatus_0.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0 () Int)
(declare-fun lockStatus_1.0 () Int)
(declare-fun lockStatus_2.0 () Int)
(declare-fun lockStatus_3.0 () Int)
(declare-fun lockStatus_4.0 () Int)
(declare-fun reqCancelSet_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0 () Int)
(declare-fun reqCancelSet_1 () Int)
(declare-fun reqCancelSet_2 () Int)
(declare-fun reqCancelSet_3 () Int)
(declare-fun reqCancelSet_4 () Int)
(declare-fun reqCancelStarted_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0 () Int)
(declare-fun reqCancelStarted_1 () Int)
(declare-fun reqCancelStarted_2 () Int)
(declare-fun reqCancelStarted_3 () Int)
(declare-fun reqCancelStarted_4 () Int)
(declare-fun reqCompleteSet_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0 () Int)
(declare-fun reqCompleteSet_1 () Int)
(declare-fun reqCompleteSet_2 () Int)
(declare-fun reqCompleteSet_3 () Int)
(declare-fun reqCompleteSet_4 () Int)
(declare-fun reqSent_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0 () Int)
(declare-fun reqSent_1 () Int)
(declare-fun reqSent_2 () Int)
(declare-fun reqSent_3 () Int)
(declare-fun reqSent_4 () Int)
(declare-fun Base (Int) Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.6 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.31 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.30 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.7 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.29 () Int)
(declare-fun call42688formal.ret.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.8 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.10 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.13 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.12 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.11 () Int)
(declare-fun call40060formal.ret.0 () Int)
(declare-fun k.102 () Int)
(declare-fun errorReached.67 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0 () Int)
(declare-fun lockStatus_0.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0 () Int)
(declare-fun lockStatus_1.1 () Int)
(declare-fun lockStatus_2.1 () Int)
(declare-fun lockStatus_3.1 () Int)
(declare-fun lockStatus_4.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.13 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.17 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.16 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.41 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.40 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.14 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.15 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.39 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.11 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.12 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.36 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2 () Int)
(declare-fun call36327formal.ret.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.50 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.49 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.2 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.25 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.24 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.2 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.0 () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.4 () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.6 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.2 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.21 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..0 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.2 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.8 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.5 () Int)
(declare-fun inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..2 () Int)
(declare-fun inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.48 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.23 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.22 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.45 () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.19 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.6 () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.2 () Int)
(declare-fun call33603formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.6 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.5 () Int)
(declare-fun x.result.userContextSwitch.8830.0.3..0 () Int)
(declare-fun call43995formal.ret.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.4 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..2 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..result.sdv_WdfRequestGetFileObject.7046.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..result.sdv_WdfRequestGetFileObject.7046.0.1..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.4 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2..4 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2..3 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.4 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.3 () Int)
(declare-fun inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..3 () Int)
(declare-fun inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..1 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.4 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.3 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1.0 () Int)
(declare-fun inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints1.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints1.0 () Int)
(declare-fun reqCompleteSet_4.16 () Int)
(declare-fun reqCompleteSet_4.15 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.13 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.12 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..totalLength.9.65.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..totalLength.9.65.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.IsListEmpty.9.myNondetVar_0.6 () Int)
(declare-fun inline.IsListEmpty.9.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2..4 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun reqCancelStarted_3.2 () Int)
(declare-fun reqCancelStarted_3.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..5 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.57 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.56 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..2 () Int)
(declare-fun lockStatus_1.24 () Int)
(declare-fun lockStatus_1.23 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.5 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.4 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..1 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1..1 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..2 () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext.3 () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext.2 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..4 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..4 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel1.1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2..4 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2..3 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.6 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0.4 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..4 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..3 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.GetFileContext.2..Handle.1.107.0.GetFileContext1.1 () Int)
(declare-fun inline.GetFileContext.2..Handle.1.107.0.GetFileContext1.0 () Int)
(declare-fun reqCompleted_1.25 () Int)
(declare-fun reqCompleted_1.24 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..5 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.InitializeListHead.0.myNondetVar_0.3 () Int)
(declare-fun inline.InitializeListHead.0.myNondetVar_0.2 () Int)
(declare-fun inline.GetSubRequestContext.0.myNondetVar_0.4 () Int)
(declare-fun inline.GetSubRequestContext.0.myNondetVar_0.3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.7 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.3 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..2 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..1 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.3 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 () Int)
(declare-fun inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..2 () Int)
(declare-fun inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun reqSent_3.16 () Int)
(declare-fun reqSent_3.15 () Int)
(declare-fun x.result.nondet.8813.0.2..0 () Int)
(declare-fun call43930formal.ret.0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1.myNondetVar_0.4 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.2 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun lockStatus_2.24 () Int)
(declare-fun lockStatus_2.23 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.3 () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.3 () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.20 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.19 () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.3 () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.2 () Int)
(declare-fun inline.GetDeviceContext.0.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.0.myNondetVar_0.1 () Int)
(declare-fun inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..2 () Int)
(declare-fun inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..1 () Int)
(declare-fun inline.GetFileContext.1..Handle.1.107.0.GetFileContext.2 () Int)
(declare-fun inline.GetFileContext.1..Handle.1.107.0.GetFileContext.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.1 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.3 () Int)
(declare-fun inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.4 () Int)
(declare-fun inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.3 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.2 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.tempBoogie0.6 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.tempBoogie0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..2 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..3 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.12 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.11 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..3 () Int)
(declare-fun inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.2 () Int)
(declare-fun inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.2 () Int)
(declare-fun inline.GetSubRequestContext.2.myNondetVar_0.3 () Int)
(declare-fun inline.GetSubRequestContext.2.myNondetVar_0.2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.4 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..4 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.8 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.7 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..3 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2 () Int)
(declare-fun inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..2 () Int)
(declare-fun inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.GetDeviceContext.2.myNondetVar_0.3 () Int)
(declare-fun inline.GetDeviceContext.2.myNondetVar_0.2 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..5 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.7 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.6 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.9 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.8 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1..4 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.57 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.56 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.3 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 () Int)
(declare-fun inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..4 () Int)
(declare-fun inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..3 () Int)
(declare-fun inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.2 () Int)
(declare-fun inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.4 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..4 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..3 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.4 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.3 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.4 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..3 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..5 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..3 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext.1 () Int)
(declare-fun inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.6 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.13 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.12 () Int)
(declare-fun errorReached.108 () Int)
(declare-fun errorReached.107 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..result.userContextSwitch.7695.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..result.userContextSwitch.7695.4.1..1 () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0.5 () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.51 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.50 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..2 () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters.1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.4 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..totalLength.5.61.28.ReadWriteIsochEndPoints.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..totalLength.5.61.28.ReadWriteIsochEndPoints.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.4 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..5 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun reqCompleted_3.25 () Int)
(declare-fun reqCompleted_3.24 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..2 () Int)
(declare-fun reqCancelStarted_2.2 () Int)
(declare-fun reqCancelStarted_2.1 () Int)
(declare-fun inline.GetFileContext.3.myNondetVar_0.4 () Int)
(declare-fun inline.GetFileContext.3.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..1 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..3 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..2 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..result.sdv_WdfIoQueueGetDevice.76.56.2..1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..result.sdv_WdfIoQueueGetDevice.76.56.2..0 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.4 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..2 () Int)
(declare-fun inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..1 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.6 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.5 () Int)
(declare-fun inline.GetSubRequestContext.1.myNondetVar_0.4 () Int)
(declare-fun inline.GetSubRequestContext.1.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..6 () Int)
(declare-fun inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..5 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.4 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.5 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 () Int)
(declare-fun inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.2 () Int)
(declare-fun inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.4 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..2 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..objectAttribs.18.74.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..objectAttribs.18.74.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.3 () Int)
(declare-fun inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1..4 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1..3 () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.3 () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.9 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.8 () Int)
(declare-fun inline.GetRequestContext.0.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.0.myNondetVar_0.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.3 () Int)
(declare-fun inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.10 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.9 () Int)
(declare-fun inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.9 () Int)
(declare-fun inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.8 () Int)
(declare-fun inline.ResetPipe.0..status.2.461.22.ResetPipe.3 () Int)
(declare-fun inline.ResetPipe.0..status.2.461.22.ResetPipe.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.29 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.28 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.5 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.2 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..3 () Int)
(declare-fun inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..4 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 () Int)
(declare-fun inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..3 () Int)
(declare-fun inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2 () Int)
(declare-fun x.result.nondet.8830.0.4..0 () Int)
(declare-fun call43998formal.ret.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_1.9 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_1.8 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..1 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..3 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun reqCancelSet_3.31 () Int)
(declare-fun reqCancelSet_3.30 () Int)
(declare-fun reqSent_1.16 () Int)
(declare-fun reqSent_1.15 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..5 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..4 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.8 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.7 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..3 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun reqCompleted_2.25 () Int)
(declare-fun reqCompleted_2.24 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.3 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..4 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..5 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.4 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..3 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urb.7.63.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urb.7.63.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel.1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 () Int)
(declare-fun k.170 () Int)
(declare-fun k.169 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.6 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.4 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..2 () Int)
(declare-fun inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..2 () Int)
(declare-fun inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1..4 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1..3 () Int)
(declare-fun inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.3 () Int)
(declare-fun inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.6 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.5 () Int)
(declare-fun inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..3 () Int)
(declare-fun inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.3 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.4 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..5 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..4 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.127.0.GetRequestContext.1 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.127.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.6 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.3 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.4 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..3 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..2 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.5 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..4 () Int)
(declare-fun reqSent_0.16 () Int)
(declare-fun reqSent_0.15 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.1 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..2 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.6 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.5 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..2 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.userContextSwitch.8640.2.2..3 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.userContextSwitch.8640.2.2..2 () Int)
(declare-fun inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.3 () Int)
(declare-fun x.result.userContextSwitch.8849.2.5..0 () Int)
(declare-fun call44083formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..2 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..4 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..3 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.8 () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.7 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.6 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.4 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.InitializeListHead.2.myNondetVar_0.3 () Int)
(declare-fun inline.InitializeListHead.2.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..3 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..requestMdl.6.62.41.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..requestMdl.6.62.41.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.3 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..1 () Int)
(declare-fun inline.InitializeListHead.1.myNondetVar_0.3 () Int)
(declare-fun inline.InitializeListHead.1.myNondetVar_0.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..5 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.4 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1..4 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.3 () Int)
(declare-fun lockStatus_4.24 () Int)
(declare-fun lockStatus_4.23 () Int)
(declare-fun inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.4 () Int)
(declare-fun inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.3 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..3 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..2 () Int)
(declare-fun inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.7 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.6 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 () Int)
(declare-fun inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1.0 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun reqCompleteSet_2.16 () Int)
(declare-fun reqCompleteSet_2.15 () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.4 () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..4 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..1 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.4 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.3 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.4 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1.1 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..result.sdv_WdfRequestGetFileObject.81.56.4..1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..result.sdv_WdfRequestGetFileObject.81.56.4..0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.3 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..3 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun reqCompleted_0.25 () Int)
(declare-fun reqCompleted_0.24 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.4 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.26 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.25 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..4 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..3 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..1 () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.3 () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun reqCancelStarted_4.2 () Int)
(declare-fun reqCancelStarted_4.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..2 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters.1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3..4 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3..3 () Int)
(declare-fun x.result.nondet.8849.2.6..0 () Int)
(declare-fun call44086formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..3 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.4 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.3 () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.2 () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.8 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.7 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.7 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints1.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints1.0 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..3 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun reqCancelStarted_1.2 () Int)
(declare-fun reqCancelStarted_1.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..result.userContextSwitch.7656.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..result.userContextSwitch.7656.4.1..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..pipeInfo.17.73.31.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..pipeInfo.17.73.31.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.1 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..3 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..2 () Int)
(declare-fun reqCompleteSet_1.16 () Int)
(declare-fun reqCompleteSet_1.15 () Int)
(declare-fun reqCompleted_4.25 () Int)
(declare-fun reqCompleted_4.24 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1 () Int)
(declare-fun inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..6 () Int)
(declare-fun inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..5 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2..4 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.4 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.ReadWriteCompletion.0.havoc_stringTemp.2 () Int)
(declare-fun inline.ReadWriteCompletion.0.havoc_stringTemp.1 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.2 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.IsListEmpty.10.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.10.myNondetVar_0.2 () Int)
(declare-fun inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.4 () Int)
(declare-fun inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.3 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..4 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..3 () Int)
(declare-fun reqCancelSet_4.31 () Int)
(declare-fun reqCancelSet_4.30 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..3 () Int)
(declare-fun inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..3 () Int)
(declare-fun inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..5 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun reqCancelSet_1.31 () Int)
(declare-fun reqCancelSet_1.30 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..2 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.5 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.4 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..1 () Int)
(declare-fun reqSent_2.16 () Int)
(declare-fun reqSent_2.15 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.2 () Int)
(declare-fun inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.4 () Int)
(declare-fun lockStatus_3.24 () Int)
(declare-fun lockStatus_3.23 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.5 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..1 () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext.3 () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 () Int)
(declare-fun reqCompleteSet_3.16 () Int)
(declare-fun reqCompleteSet_3.15 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.4 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints1.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints1.0 () Int)
(declare-fun inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..2 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.0..result.sdv_WdfIoQueueGetDevice.6817.0.1..1 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.0..result.sdv_WdfIoQueueGetDevice.6817.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..4 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 () Int)
(declare-fun inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..3 () Int)
(declare-fun inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.6 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..2 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..2 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 () Int)
(declare-fun inline.GetFileContext.2.myNondetVar_0.2 () Int)
(declare-fun inline.GetFileContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.GetRequestContext.0..result.GetRequestContext.127.0.1..2 () Int)
(declare-fun inline.GetRequestContext.0..result.GetRequestContext.127.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..6 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..5 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..2 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..4 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..1 () Int)
(declare-fun inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2 () Int)
(declare-fun inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.17 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.16 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.3 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..3 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.3 () Int)
(declare-fun inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.2 () Int)
(declare-fun inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..2 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..3 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.4 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.1 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..2 () Int)
(declare-fun inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..3 () Int)
(declare-fun inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints1.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints1.0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.3 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..2 () Int)
(declare-fun inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..2 () Int)
(declare-fun inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..result.userContextSwitch.7656.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..result.userContextSwitch.7656.4.1..2 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..4 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..3 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..2 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_2.4 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_2.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2..4 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2..3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints1.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints1.0 () Int)
(declare-fun raiseException.0 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..3 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..2 () Int)
(declare-fun x.result.userContextSwitch.8813.0.1..0 () Int)
(declare-fun call43927formal.ret.0 () Int)
(declare-fun inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.3 () Int)
(declare-fun inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.3 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..3 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..2 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..result.userContextSwitch.7051.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..result.userContextSwitch.7051.4.2..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..4 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..3 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.2 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.8 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.7 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.2 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..2 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.4 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.8 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.7 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 () Int)
(declare-fun inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.2 () Int)
(declare-fun inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..3 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..2 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..2 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0.9 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.4 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.4 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.4 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun reqCompleteSet_0.16 () Int)
(declare-fun reqCompleteSet_0.15 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..6 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.5 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1..4 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..4 () Int)
(declare-fun inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..3 () Int)
(declare-fun reqCancelStarted_0.2 () Int)
(declare-fun reqCancelStarted_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.12 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.11 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..2 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.65 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.64 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.2..result.userContextSwitch.7656.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.2..result.userContextSwitch.7656.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.127.0.GetRequestContext1.1 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.127.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 () Int)
(declare-fun inline.IsListEmpty.11.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.11.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT.1 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT.0 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.5 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.4 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.6 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.userContextSwitch.8640.2.2..3 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.userContextSwitch.8640.2.2..2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..result.userContextSwitch.7051.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..result.userContextSwitch.7051.4.2..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.6 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.5 () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.4 () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.3 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1..4 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..2 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.3 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.2 () Int)
(declare-fun inline.GetFileContext.4.myNondetVar_0.4 () Int)
(declare-fun inline.GetFileContext.4.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_1.9 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_1.8 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.3 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..3 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.3 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.3 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..2 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..pipeInfo.9.65.31.ReadWriteIsochEndPoints.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..pipeInfo.9.65.31.ReadWriteIsochEndPoints.0 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..3 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.5 () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.4 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..5 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..4 () Int)
(declare-fun inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext1.1 () Int)
(declare-fun inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext1.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..2 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urbMemory.8.64.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urbMemory.8.64.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..3 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..2 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.4 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.3 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.4 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..2 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..5 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..4 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3..4 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.4 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_1.4 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_1.3 () Int)
(declare-fun inline.InsertTailList.2.myNondetVar_0.3 () Int)
(declare-fun inline.InsertTailList.2.myNondetVar_0.2 () Int)
(declare-fun reqSent_4.16 () Int)
(declare-fun reqSent_4.15 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun lockStatus_0.24 () Int)
(declare-fun lockStatus_0.23 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..5 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.GetFileContext.1..result.GetFileContext.107.0.1..2 () Int)
(declare-fun inline.GetFileContext.1..result.GetFileContext.107.0.1..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1..4 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1..3 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel.1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..2 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun reqCancelSet_0.31 () Int)
(declare-fun reqCancelSet_0.30 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..6 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..5 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..5 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 () Int)
(declare-fun inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion.0 () Int)
(declare-fun inline.GetFileContext.2..Handle.1.107.0.GetFileContext.1 () Int)
(declare-fun inline.GetFileContext.2..Handle.1.107.0.GetFileContext.0 () Int)
(declare-fun inline.GetDeviceContext.1.myNondetVar_0.4 () Int)
(declare-fun inline.GetDeviceContext.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun reqCancelSet_2.31 () Int)
(declare-fun reqCancelSet_2.30 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..3 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..2 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.4 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.5 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun inline.GetFileContext.1.myNondetVar_0.3 () Int)
(declare-fun inline.GetFileContext.1.myNondetVar_0.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..2 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.2 () Int)
(declare-fun inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..2 () Int)
(declare-fun inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints1.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun reqCompleted_s_1 () Int)
(declare-fun reqCompleted_s_2 () Int)
(declare-fun reqCompleted_s_3 () Int)
(declare-fun reqCompleted_s_4 () Int)
(declare-fun lockStatus_s_1 () Int)
(declare-fun lockStatus_s_2 () Int)
(declare-fun lockStatus_s_3 () Int)
(declare-fun lockStatus_s_4 () Int)
(declare-fun reqCancelSet_s_1 () Int)
(declare-fun reqCancelSet_s_2 () Int)
(declare-fun reqCancelSet_s_3 () Int)
(declare-fun reqCancelSet_s_4 () Int)
(declare-fun reqCancelStarted_s_1 () Int)
(declare-fun reqCancelStarted_s_2 () Int)
(declare-fun reqCancelStarted_s_3 () Int)
(declare-fun reqCancelStarted_s_4 () Int)
(declare-fun reqCompleteSet_s_1 () Int)
(declare-fun reqCompleteSet_s_2 () Int)
(declare-fun reqCompleteSet_s_3 () Int)
(declare-fun reqCompleteSet_s_4 () Int)
(declare-fun reqSent_s_1 () Int)
(declare-fun reqSent_s_2 () Int)
(declare-fun reqSent_s_3 () Int)
(declare-fun reqSent_s_4 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1 () Int)
(declare-fun reqCompleted_4.23 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.1 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 () Int)
(declare-fun reqSent_0.14 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 () Int)
(declare-fun call44225formal.new.0 () Int)
(declare-fun reqCompleted_3.23 () Int)
(declare-fun reqSent_2.14 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..1 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 () Int)
(declare-fun call44228formal.new.0 () Int)
(declare-fun reqCancelSet_1.29 () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0.0 () Int)
(declare-fun reqCancelSet_0.29 () Int)
(declare-fun call44264formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..3 () Int)
(declare-fun reqSent_1.14 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..2 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.4 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.4 () Int)
(declare-fun call44310formal.new.0 () Int)
(declare-fun reqCompleted_2.23 () Int)
(declare-fun reqSent_3.14 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 () Int)
(declare-fun reqCompleted_0.23 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2..2 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..1 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..3 () Int)
(declare-fun errorReached.106 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun reqCancelSet_3.29 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.1 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 () Int)
(declare-fun reqCompleteSet_3.14 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun reqCancelSet_4.29 () Int)
(declare-fun reqCompleted_1.23 () Int)
(declare-fun inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.1 () Int)
(declare-fun reqCompleteSet_2.14 () Int)
(declare-fun inline.ReadWriteCompletion.0.havoc_stringTemp.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..3 () Int)
(declare-fun reqCompleteSet_1.14 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.5 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 () Int)
(declare-fun reqCancelSet_2.29 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.1 () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.3 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.1 () Int)
(declare-fun reqSent_4.14 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.24 () Int)
(declare-fun inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.1 () Int)
(declare-fun k.168 () Int)
(declare-fun k.167 () Int)
(declare-fun reqCompleteSet_4.14 () Int)
(declare-fun inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..result.userContextSwitch.7695.4.1..0 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.2 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.5 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun reqCompleteSet_0.14 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..1 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..1 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_2.2 () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..1 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 () Int)
(declare-fun reqSent_0.13 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun reqCompleted_3.22 () Int)
(declare-fun reqSent_2.13 () Int)
(declare-fun reqSent_3.13 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 () Int)
(declare-fun reqCancelSet_1.28 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..0 () Int)
(declare-fun reqCancelSet_4.28 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..2 () Int)
(declare-fun reqSent_1.13 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun k.166 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.3 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.3 () Int)
(declare-fun inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.1 () Int)
(declare-fun reqCompleted_2.22 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 () Int)
(declare-fun reqCompleted_0.22 () Int)
(declare-fun reqCompleted_4.22 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2..1 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..0 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..2 () Int)
(declare-fun errorReached.105 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3..1 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun reqCancelSet_3.28 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.0 () Int)
(declare-fun reqCompleteSet_3.13 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..0 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun reqCompleted_1.22 () Int)
(declare-fun inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.0 () Int)
(declare-fun reqCompleteSet_2.13 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..2 () Int)
(declare-fun reqCompleteSet_1.13 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.0 () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.0 () Int)
(declare-fun reqSent_4.13 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.23 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.0 () Int)
(declare-fun reqCancelSet_0.28 () Int)
(declare-fun reqCompleteSet_4.13 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.0 () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.1 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.4 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun reqCompleteSet_0.13 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_2.1 () Int)
(declare-fun reqCancelSet_2.28 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..0 () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..0 () Int)
(declare-fun reqCompleted_2.20 () Int)
(declare-fun reqCompleted_4.20 () Int)
(declare-fun reqCancelSet_3.26 () Int)
(declare-fun reqCompleted_0.20 () Int)
(declare-fun reqCancelSet_2.26 () Int)
(declare-fun reqCancelSet_4.26 () Int)
(declare-fun k.164 () Int)
(declare-fun reqCompleted_1.20 () Int)
(declare-fun reqCancelSet_1.26 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1. () Int)
(declare-fun reqCompleted_3.20 () Int)
(declare-fun reqCancelSet_0.26 () Int)
(declare-fun errorReached.103 () Int)
(declare-fun reqCompleted_2.21 () Int)
(declare-fun reqCompleted_4.21 () Int)
(declare-fun reqCancelSet_3.27 () Int)
(declare-fun reqCompleted_0.21 () Int)
(declare-fun reqCancelSet_2.27 () Int)
(declare-fun reqCancelSet_4.27 () Int)
(declare-fun k.165 () Int)
(declare-fun reqCompleted_1.21 () Int)
(declare-fun reqCancelSet_1.27 () Int)
(declare-fun call45905formal.ret.0 () Int)
(declare-fun reqCompleted_3.21 () Int)
(declare-fun reqCancelSet_0.27 () Int)
(declare-fun errorReached.104 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun reqSent_0.10 () Int)
(declare-fun call46232formal.ret.0 () Int)
(declare-fun reqSent_2.10 () Int)
(declare-fun reqSent_3.10 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2. () Int)
(declare-fun reqSent_1.10 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun k.152 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.2 () Int)
(declare-fun inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2. () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_1 () Int)
(declare-fun errorReached.94 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6. () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3. () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3. () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun call46168formal.new.0 () Int)
(declare-fun reqCompleteSet_3.10 () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun reqCompleteSet_2.10 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2. () Int)
(declare-fun reqCompleteSet_1.10 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1 () Int)
(declare-fun call46214formal.new.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.3 () Int)
(declare-fun inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun reqSent_4.10 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2. () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.22 () Int)
(declare-fun call46165formal.new.0 () Int)
(declare-fun reqCompleteSet_4.10 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.3 () Int)
(declare-fun call46162formal.new.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun reqCompleteSet_0.10 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7. () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8. () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_2 () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun k.149 () Int)
(declare-fun errorReached.91 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0.2 () Int)
(declare-fun inline.GetWorkItemContext.0.myNondetVar_0.0 () Int)
(declare-fun k.151 () Int)
(declare-fun errorReached.93 () Int)
(declare-fun k.150 () Int)
(declare-fun call46357formal.ret.0 () Int)
(declare-fun errorReached.92 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2. () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.0 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0.myNondetVar_0 () Int)
(declare-fun call44694formal.new.0 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1. () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2. () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.5 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.8 () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback () Int)
(declare-fun inline.QueuePassiveLevelCallback.0.myNondetVar_0 () Int)
(declare-fun inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback () Int)
(declare-fun inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1. () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 () Int)
(declare-fun k.156 () Int)
(declare-fun inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0 () Int)
(declare-fun call44836formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.2 () Int)
(declare-fun errorReached.96 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.16 () Int)
(declare-fun call45000formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 () Int)
(declare-fun k.154 () Int)
(declare-fun errorReached.95 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.2 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.15 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.3..callresult..2008.114.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..1 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 () Int)
(declare-fun k.157 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_1.0 () Int)
(declare-fun errorReached.97 () Int)
(declare-fun inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.21 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_2.0 () Int)
(declare-fun call45463formal.ret.0 () Int)
(declare-fun reqSent_0.12 () Int)
(declare-fun reqSent_2.12 () Int)
(declare-fun reqSent_3.12 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun reqSent_1.12 () Int)
(declare-fun k.163 () Int)
(declare-fun call45714formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2..0 () Int)
(declare-fun errorReached.102 () Int)
(declare-fun inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3..0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1..0 () Int)
(declare-fun reqCompleteSet_3.12 () Int)
(declare-fun reqCompleteSet_2.12 () Int)
(declare-fun reqCompleteSet_1.12 () Int)
(declare-fun reqSent_4.12 () Int)
(declare-fun reqCompleteSet_4.12 () Int)
(declare-fun reqCompleteSet_0.12 () Int)
(declare-fun inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun k.161 () Int)
(declare-fun errorReached.101 () Int)
(declare-fun k.162 () Int)
(declare-fun call45760formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete () Int)
(declare-fun inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1 () Int)
(declare-fun k.159 () Int)
(declare-fun errorReached.99 () Int)
(declare-fun call45488formal.ret.0 () Int)
(declare-fun k.160 () Int)
(declare-fun errorReached.100 () Int)
(declare-fun reqSent_3.11 () Int)
(declare-fun reqSent_2.11 () Int)
(declare-fun reqSent_4.11 () Int)
(declare-fun reqSent_0.11 () Int)
(declare-fun reqSent_1.11 () Int)
(declare-fun reqCompleteSet_2.11 () Int)
(declare-fun reqCompleteSet_4.11 () Int)
(declare-fun reqCompleteSet_1.11 () Int)
(declare-fun call45272formal.ret.0 () Int)
(declare-fun reqCompleteSet_0.11 () Int)
(declare-fun k.158 () Int)
(declare-fun errorReached.98 () Int)
(declare-fun reqCompleteSet_3.11 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.20 () Int)
(declare-fun inline.ReadWriteCompletion.0.tempBoogie0.1 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.19 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.17 () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.1 () Int)
(declare-fun call44839formal.ret.0 () Int)
(declare-fun k.155 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.1 () Int)
(declare-fun k.153 () Int)
(declare-fun call45003formal.ret.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.13 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.11 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.10 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.12 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.9 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.6 () Int)
(declare-fun k.147 () Int)
(declare-fun errorReached.89 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.148 () Int)
(declare-fun errorReached.90 () Int)
(declare-fun call44499formal.ret.0 () Int)
(declare-fun call44428formal.new.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.2 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.1 () Int)
(declare-fun call44436formal.new.0 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..result.userContextSwitch.7695.4.1. () Int)
(declare-fun k.145 () Int)
(declare-fun errorReached.88 () Int)
(declare-fun call44313formal.ret.0 () Int)
(declare-fun k.146 () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1 () Int)
(declare-fun inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1 () Int)
(declare-fun inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion () Int)
(declare-fun inline.GetRequestContext.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1. () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1 () Int)
(declare-fun inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion () Int)
(declare-fun inline.ReadWriteCompletion.0.havoc_stringTemp () Int)
(declare-fun inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters () Int)
(declare-fun inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion () Int)
(declare-fun inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1 () Int)
(declare-fun inline.ReadWriteCompletion.0.myNondetVar_0 () Int)
(declare-fun inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion () Int)
(declare-fun inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun reqCancelStarted_1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun lockStatus_4.22 () Int)
(declare-fun reqCancelStarted_0.0 () Int)
(declare-fun inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 () Int)
(declare-fun inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.0 () Int)
(declare-fun lockStatus_0.22 () Int)
(declare-fun reqCancelStarted_3.0 () Int)
(declare-fun errorReached.87 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..0 () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.GetSubRequestContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.5 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun lockStatus_2.22 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..0 () Int)
(declare-fun inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.0 () Int)
(declare-fun inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun lockStatus_1.22 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..0 () Int)
(declare-fun reqCancelStarted_4.0 () Int)
(declare-fun reqCancelStarted_2.0 () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..0 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.2 () Int)
(declare-fun k.144 () Int)
(declare-fun k.143 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.InitializeListHead.2.myNondetVar_0.1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun lockStatus_3.22 () Int)
(declare-fun inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.IsListEmpty.11.myNondetVar_0.1 () Int)
(declare-fun inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..0 () Int)
(declare-fun inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.InsertTailList.2.myNondetVar_0.1 () Int)
(declare-fun inline.IsListEmpty.10.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.0 () Int)
(declare-fun call46604formal.new.0 () Int)
(declare-fun lockStatus_0.17 () Int)
(declare-fun inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun lockStatus_4.17 () Int)
(declare-fun inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2. () Int)
(declare-fun inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4. () Int)
(declare-fun errorReached.84 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5. () Int)
(declare-fun inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetSubRequestContext.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3. () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7. () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.IsListEmpty.11..result.IsListEmpty.6718.0.1. () Int)
(declare-fun lockStatus_2.17 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1. () Int)
(declare-fun inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1 () Int)
(declare-fun inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0 () Int)
(declare-fun lockStatus_1.17 () Int)
(declare-fun inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1. () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6. () Int)
(declare-fun inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun k.136 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.InitializeListHead.2.myNondetVar_0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun lockStatus_3.17 () Int)
(declare-fun inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1. () Int)
(declare-fun inline.IsListEmpty.10..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.IsListEmpty.11.myNondetVar_0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2. () Int)
(declare-fun inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.InsertTailList.2.myNondetVar_0 () Int)
(declare-fun inline.IsListEmpty.10.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8. () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel () Int)
(declare-fun lockStatus_0.21 () Int)
(declare-fun lockStatus_4.21 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun errorReached.86 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetSubRequestContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.4 () Int)
(declare-fun inline.WdfRequestCancelSentRequest.0..callresult..747.98.2. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun lockStatus_2.21 () Int)
(declare-fun inline.RemoveHeadList.4.myNondetVar_0.1 () Int)
(declare-fun lockStatus_1.21 () Int)
(declare-fun k.142 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.2 () Int)
(declare-fun inline.InitializeListHead.2.myNondetVar_0.0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun lockStatus_3.21 () Int)
(declare-fun inline.IsListEmpty.11.myNondetVar_0.0 () Int)
(declare-fun inline.InsertTailList.2.myNondetVar_0.0 () Int)
(declare-fun inline.IsListEmpty.10.myNondetVar_0.0 () Int)
(declare-fun lockStatus_4.19 () Int)
(declare-fun k.140 () Int)
(declare-fun lockStatus_3.19 () Int)
(declare-fun lockStatus_0.19 () Int)
(declare-fun lockStatus_1.19 () Int)
(declare-fun lockStatus_2.19 () Int)
(declare-fun lockStatus_4.20 () Int)
(declare-fun k.141 () Int)
(declare-fun lockStatus_3.20 () Int)
(declare-fun lockStatus_0.20 () Int)
(declare-fun call47296formal.ret.0 () Int)
(declare-fun lockStatus_1.20 () Int)
(declare-fun lockStatus_2.20 () Int)
(declare-fun k.138 () Int)
(declare-fun call47079formal.ret.0 () Int)
(declare-fun errorReached.85 () Int)
(declare-fun k.139 () Int)
(declare-fun lockStatus_4.18 () Int)
(declare-fun k.137 () Int)
(declare-fun lockStatus_3.18 () Int)
(declare-fun lockStatus_0.18 () Int)
(declare-fun call46880formal.ret.0 () Int)
(declare-fun lockStatus_1.18 () Int)
(declare-fun lockStatus_2.18 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.1 () Int)
(declare-fun k.134 () Int)
(declare-fun errorReached.82 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2. () Int)
(declare-fun k.135 () Int)
(declare-fun errorReached.83 () Int)
(declare-fun call46677formal.ret.0 () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.127.0.GetRequestContext () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.4.myNondetVar_0 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetRequestContext.4..Handle.1.127.0.GetRequestContext1 () Int)
(declare-fun inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13. () Int)
(declare-fun reqCancelSet_0.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.GetSubRequestContext.1.myNondetVar_0 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3. () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5. () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..result.userContextSwitch.7656.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1 () Int)
(declare-fun inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2. () Int)
(declare-fun inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..result.sdv_WdfRequestGetFileObject.7046.0.1. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9. () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1. () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.GetFileContext.4.myNondetVar_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.1.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1. () Int)
(declare-fun inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urb.7.63.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2. () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..pipeInfo.17.73.31.ReadWriteBulkEndPoints () Int)
(declare-fun inline.RtlULongSub.0..result.RtlULongSub.7128.0.1. () Int)
(declare-fun inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26. () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2. () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun inline.InitializeListHead.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0 () Int)
(declare-fun inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2. () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun k.133 () Int)
(declare-fun k.5 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..pipeInfo.9.65.31.ReadWriteIsochEndPoints () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine () Int)
(declare-fun reqCompleted_1.1 () Int)
(declare-fun inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2. () Int)
(declare-fun reqCancelSet_3.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3. () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..result.sdv_WdfIoQueueGetDevice.76.56.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2. () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints1 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..requestMdl.6.62.41.ReadWriteBulkEndPoints () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25. () Int)
(declare-fun reqCompleted_3.1 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20. () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3. () Int)
(declare-fun lockStatus_2 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1. () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3. () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15. () Int)
(declare-fun inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..objectAttribs.18.74.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.InitializeListHead.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3. () Int)
(declare-fun inline.GetRequestContext.0..result.GetRequestContext.127.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5 () Int)
(declare-fun inline.IsListEmpty.9..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun reqCancelSet_1.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10. () Int)
(declare-fun inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun lockStatus_4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4. () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1. () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..result.userContextSwitch.7656.4.1. () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19. () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..totalLength.5.61.28.ReadWriteIsochEndPoints () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent () Int)
(declare-fun inline.GetFileContext.1..Handle.1.107.0.GetFileContext () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..result.userContextSwitch.7051.4.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1. () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2. () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..result.sdv_WdfRequestGetFileObject.81.56.4. () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus () Int)
(declare-fun inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.userContextSwitch.8640.2.2. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.tempBoogie0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted () Int)
(declare-fun reqCancelSet_4.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3. () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1 () Int)
(declare-fun lockStatus_1 () Int)
(declare-fun inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1 () Int)
(declare-fun lockStatus_0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject1 () Int)
(declare-fun reqCancelSet_2.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2. () Int)
(declare-fun inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9. () Int)
(declare-fun inline.IsListEmpty.9.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.userContextSwitch.8640.2.2. () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11. () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.2..result.userContextSwitch.7656.4.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2. () Int)
(declare-fun inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2. () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1. () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2. () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17. () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..0 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14. () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22. () Int)
(declare-fun inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1.myNondetVar_0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.GetSubRequestContext.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1. () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3. () Int)
(declare-fun inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1. () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints1 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun lockStatus_3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24. () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7. () Int)
(declare-fun inline.ResetPipe.0..status.2.461.22.ResetPipe () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11. () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2. () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15. () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2. () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2. () Int)
(declare-fun reqCompleted_4.1 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18. () Int)
(declare-fun inline.GetRequestContext.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1. () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1. () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1. () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0 () Int)
(declare-fun inline.GetFileContext.2.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5. () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation () Int)
(declare-fun inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2. () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached () Int)
(declare-fun inline.GetFileContext.1..result.GetFileContext.107.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2. () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20. () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1. () Int)
(declare-fun inline.GetDeviceContext.2.myNondetVar_0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet () Int)
(declare-fun inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1. () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1. () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1. () Int)
(declare-fun inline.GetDeviceContext.0.myNondetVar_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..totalLength.9.65.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.GetFileContext.1.myNondetVar_0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21. () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1.myNondetVar_0 () Int)
(declare-fun inline.GetFileContext.1..Handle.1.107.0.GetFileContext1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun reqCompleted_0.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.GetFileContext.2..Handle.1.107.0.GetFileContext () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints1 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3. () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13. () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.0..result.sdv_WdfIoQueueGetDevice.6817.0.1. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0.myNondetVar_0 () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext1 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1. () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun reqCompleted_2.1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..result.userContextSwitch.7051.4.2. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urbMemory.8.64.28.ReadWriteBulkEndPoints () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation () Int)
(declare-fun inline.GetFileContext.2..Handle.1.107.0.GetFileContext1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints () Int)
(declare-fun errorReached.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7. () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1. () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2. () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22. () Int)
(declare-fun inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1. () Int)
(declare-fun inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2. () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1. () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress () Int)
(declare-fun inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1. () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0 () Int)
(declare-fun inline.GetFileContext.3.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3. () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1. () Int)
(declare-fun inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl () Int)
(declare-fun k.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1. () Int)
(declare-fun errorReached.2 () Int)
(declare-fun reqCompleted_2.0 () Int)
(declare-fun reqCompleted_4.0 () Int)
(declare-fun reqCancelSet_3.0 () Int)
(declare-fun reqCompleted_0.0 () Int)
(declare-fun reqCancelSet_2.0 () Int)
(declare-fun reqCancelSet_4.0 () Int)
(declare-fun k.4 () Int)
(declare-fun reqCompleted_1.0 () Int)
(declare-fun reqCancelSet_1.0 () Int)
(declare-fun call24750formal.ret.0 () Int)
(declare-fun reqCompleted_3.0 () Int)
(declare-fun reqCancelSet_0.0 () Int)
(declare-fun errorReached.3 () Int)
(declare-fun reqCancelSet_0.3 () Int)
(declare-fun k.7 () Int)
(declare-fun reqCompleted_1.3 () Int)
(declare-fun reqCancelSet_3.3 () Int)
(declare-fun reqCompleted_3.3 () Int)
(declare-fun reqCancelSet_1.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1 () Int)
(declare-fun reqCancelSet_4.3 () Int)
(declare-fun reqCancelSet_2.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.2..result.userContextSwitch.7656.4.1..0 () Int)
(declare-fun inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.6 () Int)
(declare-fun reqCompleted_4.3 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation () Int)
(declare-fun reqCompleted_0.3 () Int)
(declare-fun reqCompleted_2.3 () Int)
(declare-fun errorReached.6 () Int)
(declare-fun reqCompleted_2.2 () Int)
(declare-fun reqCompleted_4.2 () Int)
(declare-fun reqCancelSet_3.2 () Int)
(declare-fun reqCompleted_0.2 () Int)
(declare-fun reqCancelSet_2.2 () Int)
(declare-fun reqCancelSet_4.2 () Int)
(declare-fun call27641formal.ret.0 () Int)
(declare-fun k.6 () Int)
(declare-fun reqCompleted_1.2 () Int)
(declare-fun reqCancelSet_1.2 () Int)
(declare-fun reqCompleted_3.2 () Int)
(declare-fun reqCancelSet_0.2 () Int)
(declare-fun errorReached.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..1 () Int)
(declare-fun reqCancelSet_0.25 () Int)
(declare-fun reqSent_2.9 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.GetSubRequestContext.1.myNondetVar_0.2 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.0 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.6 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.2 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..2 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.3 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.4 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..1 () Int)
(declare-fun myNondetVar_0.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.11 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.GetFileContext.4.myNondetVar_0.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_1.7 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.5 () Int)
(declare-fun inline.GetDeviceContext.1.myNondetVar_0.2 () Int)
(declare-fun reqCompleteSet_2.9 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.5 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 () Int)
(declare-fun inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..3 () Int)
(declare-fun inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.2 () Int)
(declare-fun inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..4 () Int)
(declare-fun inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..1 () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..3 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun inline.InitializeListHead.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun k.132 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0.2 () Int)
(declare-fun call27893formal.new.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 () Int)
(declare-fun reqCompleted_1.19 () Int)
(declare-fun inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 () Int)
(declare-fun reqCompleteSet_4.9 () Int)
(declare-fun reqCancelSet_3.25 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.2 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.2 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..1 () Int)
(declare-fun reqCompleted_3.19 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..1 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..0 () Int)
(declare-fun lockStatus_2.16 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..2 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun reqCompleteSet_1.9 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..2 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.27 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.3 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.InitializeListHead.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.10 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.2 () Int)
(declare-fun inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.15 () Int)
(declare-fun reqCancelSet_1.25 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun lockStatus_4.16 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..1 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.6 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..result.userContextSwitch.7656.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..1 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.8 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1..2 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.userContextSwitch.8640.2.2..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.3 () Int)
(declare-fun reqCancelSet_4.25 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.7 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.4 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.0 () Int)
(declare-fun lockStatus_1.16 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun lockStatus_0.16 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..1 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.1 () Int)
(declare-fun reqCancelSet_2.25 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1..2 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3 () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.6 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.1 () Int)
(declare-fun inline.IsListEmpty.9.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.userContextSwitch.8640.2.2..1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..1 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun reqSent_3.9 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.2 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.2 () Int)
(declare-fun reqCompleteSet_3.9 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2..2 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.1 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.2 () Int)
(declare-fun inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.2 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..1 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.1 () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1.myNondetVar_0.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.GetSubRequestContext.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..1 () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext.1 () Int)
(declare-fun inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..1 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.10 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun lockStatus_3.16 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..1 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.ResetPipe.0..status.2.461.22.ResetPipe.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..1 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..1 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.3 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..1 () Int)
(declare-fun reqCompleted_4.19 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.4 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..4 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2 () Int)
(declare-fun reqSent_1.9 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.6 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..0 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.3 () Int)
(declare-fun inline.GetFileContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..1 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.1 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 () Int)
(declare-fun inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..1 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun reqSent_4.9 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0.7 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..1 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.11 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.4 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.2 () Int)
(declare-fun reqCompleteSet_0.9 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..1 () Int)
(declare-fun inline.GetDeviceContext.2.myNondetVar_0.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.3 () Int)
(declare-fun inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.3 () Int)
(declare-fun inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..2 () Int)
(declare-fun inline.GetDeviceContext.0.myNondetVar_0.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.55 () Int)
(declare-fun inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..1 () Int)
(declare-fun reqSent_0.9 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.2 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1..2 () Int)
(declare-fun reqCompleted_0.19 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.55 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.4 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.6 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.2 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3..2 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.49 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..0 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.3 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_1.7 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..1 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.3 () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..3 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.3 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun reqCompleted_2.19 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.2..result.userContextSwitch.7051.4.2..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.3 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.6 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 () Int)
(declare-fun errorReached.81 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..1 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..1 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..1 () Int)
(declare-fun inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2..2 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.3 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.GetFileContext.3.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.3 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.63 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..3 () Int)
(declare-fun inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..0 () Int)
(declare-fun reqCancelSet_0.16 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 () Int)
(declare-fun inline.GetSubRequestContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.0 () Int)
(declare-fun lockStatus_2.8 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.2 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..0 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.10 () Int)
(declare-fun inline.GetFileContext.4.myNondetVar_0.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_1.6 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.4 () Int)
(declare-fun reqCompleteSet_2.5 () Int)
(declare-fun call36600formal.new.0 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..1 () Int)
(declare-fun call36576formal.new.0 () Int)
(declare-fun inline.WdfUsbTargetPipeResetSynchronously.0..callresult..1901.112.2. () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.1 () Int)
(declare-fun reqSent_2.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..2 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.4 () Int)
(declare-fun k.93 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..1 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1 () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 () Int)
(declare-fun reqCompleted_1.13 () Int)
(declare-fun reqCompleteSet_4.5 () Int)
(declare-fun reqCancelSet_3.16 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.1 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..0 () Int)
(declare-fun reqCompleted_3.13 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..0 () Int)
(declare-fun call36579formal.new.0 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..1 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun reqCompleteSet_1.5 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.GetRequestContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.1 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.InitializeListHead.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.9 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.1 () Int)
(declare-fun inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun reqCancelSet_1.16 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun lockStatus_4.8 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.14 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.2.myNondetVar_0.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.1 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.2 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.userContextSwitch.8640.2.2..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.2 () Int)
(declare-fun reqCancelSet_4.16 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.2 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.5 () Int)
(declare-fun inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun lockStatus_1.8 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun lockStatus_0.8 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0.1 () Int)
(declare-fun reqCancelSet_2.16 () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.5 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..0 () Int)
(declare-fun inline.IsListEmpty.9.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..1 () Int)
(declare-fun call37222formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..0 () Int)
(declare-fun reqSent_3.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun call36591formal.new.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.0 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.1 () Int)
(declare-fun reqCompleteSet_3.5 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1..1 () Int)
(declare-fun call36582formal.new.0 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.1 () Int)
(declare-fun call37210formal.new.0 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.0 () Int)
(declare-fun inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1.myNondetVar_0.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.2 () Int)
(declare-fun inline.GetFileContext.4..Handle.1.107.0.GetFileContext.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun lockStatus_3.8 () Int)
(declare-fun inline.ResetPipe.0..status.2.461.22.ResetPipe.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..0 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.2 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.2 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..0 () Int)
(declare-fun reqCompleted_4.13 () Int)
(declare-fun inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun reqSent_1.5 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun call36597formal.new.0 () Int)
(declare-fun reqSent_4.5 () Int)
(declare-fun call36588formal.new.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0.6 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.3 () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.1 () Int)
(declare-fun reqCompleteSet_0.5 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..2 () Int)
(declare-fun call36603formal.new.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.54 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..0 () Int)
(declare-fun reqSent_0.5 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.2 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1..1 () Int)
(declare-fun reqCompleted_0.13 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.48 () Int)
(declare-fun call36585formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun reqCompleted_2.13 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.2 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun call36594formal.new.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun errorReached.62 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.1 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.0 () Int)
(declare-fun inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..0 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.2 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..2 () Int)
(declare-fun inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.0 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.3 () Int)
(declare-fun lockStatus_4.7 () Int)
(declare-fun lockStatus_0.7 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..1 () Int)
(declare-fun errorReached.57 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.1 () Int)
(declare-fun reqCancelSet_2.11 () Int)
(declare-fun inline.IsListEmpty.9.myNondetVar_0.2 () Int)
(declare-fun reqCancelSet_3.11 () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.0 () Int)
(declare-fun lockStatus_2.7 () Int)
(declare-fun inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun lockStatus_3.7 () Int)
(declare-fun inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.0 () Int)
(declare-fun reqCancelSet_0.11 () Int)
(declare-fun k.88 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun lockStatus_1.7 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..0 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.42 () Int)
(declare-fun inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun reqCancelSet_1.11 () Int)
(declare-fun reqCancelSet_4.11 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..0 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.9 () Int)
(declare-fun inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.1 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.1 () Int)
(declare-fun reqCompleted_3.10 () Int)
(declare-fun errorReached.60 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1..0 () Int)
(declare-fun reqCancelSet_2.13 () Int)
(declare-fun reqCancelSet_3.13 () Int)
(declare-fun reqCompleted_0.10 () Int)
(declare-fun reqCancelSet_0.13 () Int)
(declare-fun reqCompleted_1.10 () Int)
(declare-fun k.91 () Int)
(declare-fun reqCompleted_2.10 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.47 () Int)
(declare-fun reqCancelSet_1.13 () Int)
(declare-fun reqCancelSet_4.13 () Int)
(declare-fun reqCompleted_4.10 () Int)
(declare-fun reqCompleted_2.9 () Int)
(declare-fun reqCompleted_4.9 () Int)
(declare-fun reqCompleted_0.9 () Int)
(declare-fun reqCancelSet_2.12 () Int)
(declare-fun errorReached.58 () Int)
(declare-fun call43408formal.ret.0 () Int)
(declare-fun reqCancelSet_4.12 () Int)
(declare-fun k.89 () Int)
(declare-fun reqCompleted_1.9 () Int)
(declare-fun reqCancelSet_1.12 () Int)
(declare-fun reqCompleted_3.9 () Int)
(declare-fun reqCancelSet_0.12 () Int)
(declare-fun reqCancelSet_3.12 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.46 () Int)
(declare-fun reqCompleted_3.12 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1..0 () Int)
(declare-fun errorReached.61 () Int)
(declare-fun reqCancelSet_2.15 () Int)
(declare-fun reqCancelSet_3.15 () Int)
(declare-fun reqCompleted_0.12 () Int)
(declare-fun reqCancelSet_0.15 () Int)
(declare-fun reqCompleted_1.12 () Int)
(declare-fun k.92 () Int)
(declare-fun reqCompleted_2.12 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.45 () Int)
(declare-fun reqCancelSet_1.15 () Int)
(declare-fun reqCancelSet_4.15 () Int)
(declare-fun reqCompleted_4.12 () Int)
(declare-fun reqCompleted_2.11 () Int)
(declare-fun reqCompleted_4.11 () Int)
(declare-fun reqCancelSet_3.14 () Int)
(declare-fun reqCompleted_0.11 () Int)
(declare-fun reqCancelSet_2.14 () Int)
(declare-fun reqCancelSet_4.14 () Int)
(declare-fun call43674formal.ret.0 () Int)
(declare-fun reqCompleted_1.11 () Int)
(declare-fun reqCancelSet_1.14 () Int)
(declare-fun reqCompleted_3.11 () Int)
(declare-fun k.90 () Int)
(declare-fun reqCancelSet_0.14 () Int)
(declare-fun errorReached.59 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.44 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.43 () Int)
(declare-fun lockStatus_4.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.41 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.39 () Int)
(declare-fun lockStatus_0.2 () Int)
(declare-fun lockStatus_2.2 () Int)
(declare-fun lockStatus_3.2 () Int)
(declare-fun lockStatus_1.2 () Int)
(declare-fun k.83 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.0 () Int)
(declare-fun inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.8 () Int)
(declare-fun lockStatus_4.6 () Int)
(declare-fun inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.40 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun lockStatus_0.6 () Int)
(declare-fun inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun lockStatus_2.6 () Int)
(declare-fun lockStatus_3.6 () Int)
(declare-fun inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..0 () Int)
(declare-fun inline.IsListEmpty.9.myNondetVar_0.1 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.0 () Int)
(declare-fun inline.IsListEmpty.8.myNondetVar_0.0 () Int)
(declare-fun lockStatus_1.6 () Int)
(declare-fun k.87 () Int)
(declare-fun lockStatus_4.4 () Int)
(declare-fun k.85 () Int)
(declare-fun lockStatus_3.4 () Int)
(declare-fun lockStatus_0.4 () Int)
(declare-fun lockStatus_1.4 () Int)
(declare-fun lockStatus_2.4 () Int)
(declare-fun lockStatus_4.5 () Int)
(declare-fun k.86 () Int)
(declare-fun lockStatus_3.5 () Int)
(declare-fun lockStatus_0.5 () Int)
(declare-fun lockStatus_1.5 () Int)
(declare-fun call43162formal.ret.0 () Int)
(declare-fun lockStatus_2.5 () Int)
(declare-fun inline.RemoveHeadList.3.myNondetVar_0.1 () Int)
(declare-fun inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.6 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.5 () Int)
(declare-fun inline.IsListEmpty.9.myNondetVar_0.0 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.2 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.4 () Int)
(declare-fun inline.DoSubRequestCleanup.1.myNondetVar_0.3 () Int)
(declare-fun lockStatus_4.3 () Int)
(declare-fun k.84 () Int)
(declare-fun lockStatus_3.3 () Int)
(declare-fun lockStatus_0.3 () Int)
(declare-fun lockStatus_1.3 () Int)
(declare-fun call42925formal.ret.0 () Int)
(declare-fun lockStatus_2.3 () Int)
(declare-fun inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.IsListEmpty.7.myNondetVar_0.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.38 () Int)
(declare-fun errorReached.38 () Int)
(declare-fun k.45 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun call37328formal.ret.0 () Int)
(declare-fun call37411formal.ret.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.0 () Int)
(declare-fun k.46 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.42 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..0 () Int)
(declare-fun inline.GetFileContext.4.myNondetVar_0.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.4 () Int)
(declare-fun call37937formal.ret.0 () Int)
(declare-fun k.52 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 () Int)
(declare-fun errorReached.43 () Int)
(declare-fun call38101formal.ret.0 () Int)
(declare-fun k.54 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..0 () Int)
(declare-fun call38431formal.ret.0 () Int)
(declare-fun call38264formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 () Int)
(declare-fun errorReached.44 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun k.56 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.17 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun call38832formal.ret.0 () Int)
(declare-fun k.60 () Int)
(declare-fun inline.GetSubRequestContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.7 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.9 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.14 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.8 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.6 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.16 () Int)
(declare-fun call39008formal.ret.0 () Int)
(declare-fun inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.8 () Int)
(declare-fun k.61 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.15 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.12 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.10 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.11 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.13 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.34 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.2..callresult..2008.114.2. () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_1.5 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.35 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.1 () Int)
(declare-fun k.72 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.9 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.33 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.32 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.31 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.27 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.26 () Int)
(declare-fun k.67 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.23 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.53 () Int)
(declare-fun call40754formal.ret.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.7 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..1 () Int)
(declare-fun errorReached.51 () Int)
(declare-fun reqCompleteSet_2.4 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1..0 () Int)
(declare-fun reqCompleteSet_1.4 () Int)
(declare-fun k.73 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.2 () Int)
(declare-fun reqCompleteSet_4.4 () Int)
(declare-fun reqCompleteSet_3.4 () Int)
(declare-fun reqCompleteSet_0.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.35 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.52 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.38 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.37 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.36 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.39 () Int)
(declare-fun k.71 () Int)
(declare-fun reqCancelSet_3.10 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.45 () Int)
(declare-fun reqSent_2.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.51 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0 () Int)
(declare-fun reqSent_1.4 () Int)
(declare-fun call41385formal.ret.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun reqCancelSet_4.10 () Int)
(declare-fun inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun errorReached.56 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2..0 () Int)
(declare-fun reqSent_4.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.37 () Int)
(declare-fun reqCancelSet_1.10 () Int)
(declare-fun inline.IsListEmpty.5.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3..0 () Int)
(declare-fun inline.InsertTailList.1.myNondetVar_0.0 () Int)
(declare-fun reqSent_3.4 () Int)
(declare-fun reqCancelSet_0.10 () Int)
(declare-fun k.82 () Int)
(declare-fun reqCancelSet_2.10 () Int)
(declare-fun call41718formal.ret.0 () Int)
(declare-fun reqSent_0.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun k.80 () Int)
(declare-fun errorReached.55 () Int)
(declare-fun k.81 () Int)
(declare-fun call41764formal.ret.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.50 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.49 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.47 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.48 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.46 () Int)
(declare-fun k.79 () Int)
(declare-fun inline.IsListEmpty.6.myNondetVar_0.0 () Int)
(declare-fun inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.RemoveHeadList.2.myNondetVar_0.1 () Int)
(declare-fun k.77 () Int)
(declare-fun errorReached.53 () Int)
(declare-fun k.78 () Int)
(declare-fun call41410formal.ret.0 () Int)
(declare-fun errorReached.54 () Int)
(declare-fun reqSent_3.3 () Int)
(declare-fun reqSent_2.3 () Int)
(declare-fun reqSent_1.3 () Int)
(declare-fun reqSent_4.3 () Int)
(declare-fun reqSent_0.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.42 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.41 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.40 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.43 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.44 () Int)
(declare-fun k.76 () Int)
(declare-fun k.75 () Int)
(declare-fun call40947formal.ret.0 () Int)
(declare-fun reqCancelSet_2.9 () Int)
(declare-fun reqCancelSet_4.9 () Int)
(declare-fun k.74 () Int)
(declare-fun errorReached.52 () Int)
(declare-fun reqCancelSet_1.9 () Int)
(declare-fun reqCancelSet_0.9 () Int)
(declare-fun reqCancelSet_3.9 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.30 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.29 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.28 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.25 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.24 () Int)
(declare-fun k.70 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.6 () Int)
(declare-fun k.68 () Int)
(declare-fun reqCompleteSet_2.3 () Int)
(declare-fun reqCompleteSet_4.3 () Int)
(declare-fun reqCompleteSet_1.3 () Int)
(declare-fun call40466formal.ret.0 () Int)
(declare-fun reqCompleteSet_0.3 () Int)
(declare-fun k.69 () Int)
(declare-fun errorReached.50 () Int)
(declare-fun reqCompleteSet_3.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.20 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.21 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.19 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.18 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.22 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_1.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_1.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_1.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_1.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.34 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.27 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.3 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.25 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.32 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.8 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.26 () Int)
(declare-fun BIT_BOR (Int Int) Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.17 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.16 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.15 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.14 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.13 () Int)
(declare-fun inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun k.57 () Int)
(declare-fun errorReached.45 () Int)
(declare-fun call38643formal.ret.0 () Int)
(declare-fun k.58 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.4 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.2 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.1 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0.myVar_0.3 () Int)
(declare-fun inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun k.55 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 () Int)
(declare-fun k.50 () Int)
(declare-fun errorReached.41 () Int)
(declare-fun k.51 () Int)
(declare-fun call37940formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 () Int)
(declare-fun k.53 () Int)
(declare-fun call38104formal.ret.0 () Int)
(declare-fun inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.0 () Int)
(declare-fun k.48 () Int)
(declare-fun errorReached.39 () Int)
(declare-fun k.49 () Int)
(declare-fun errorReached.40 () Int)
(declare-fun call37670formal.ret.0 () Int)
(declare-fun k.47 () Int)
(declare-fun call37517formal.ret.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun errorReached.36 () Int)
(declare-fun k.43 () Int)
(declare-fun errorReached.37 () Int)
(declare-fun call37046formal.ret.0 () Int)
(declare-fun k.44 () Int)
(declare-fun k.38 () Int)
(declare-fun errorReached.28 () Int)
(declare-fun k.42 () Int)
(declare-fun call36812formal.ret.0 () Int)
(declare-fun errorReached.35 () Int)
(declare-fun k.34 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun reqCancelSet_0.24 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_1.6 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun lockStatus_2.15 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.4 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..1 () Int)
(declare-fun call28967formal.new.0 () Int)
(declare-fun call28952formal.new.0 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..0 () Int)
(declare-fun inline.GetDeviceContext.1.myNondetVar_0.1 () Int)
(declare-fun reqCompleteSet_2.8 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.3 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..2 () Int)
(declare-fun inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun reqSent_2.8 () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.InitializeListHead.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun k.131 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.1 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.5 () Int)
(declare-fun inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..0 () Int)
(declare-fun call28946formal.new.0 () Int)
(declare-fun call28961formal.new.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun reqCompleted_1.18 () Int)
(declare-fun reqCompleteSet_4.8 () Int)
(declare-fun reqCancelSet_3.24 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.1 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.GetRequestContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.1 () Int)
(declare-fun reqCompleted_3.18 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun reqCompleteSet_1.8 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.26 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.2 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..0 () Int)
(declare-fun call28958formal.new.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..0 () Int)
(declare-fun reqCancelSet_1.24 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.1 () Int)
(declare-fun lockStatus_4.15 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..0 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.7 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.2 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun reqCancelSet_4.24 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 () Int)
(declare-fun inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.5 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun call28970formal.new.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 () Int)
(declare-fun inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..3 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.3 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.10 () Int)
(declare-fun lockStatus_1.15 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun lockStatus_0.15 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..0 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.0 () Int)
(declare-fun reqCancelSet_2.24 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1..1 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.userContextSwitch.8640.2.2..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun reqSent_3.8 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2 () Int)
(declare-fun reqCompleteSet_3.8 () Int)
(declare-fun inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..0 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..2 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.0 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..0 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun call28943formal.new.0 () Int)
(declare-fun inline.GetSubRequestContext.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.9 () Int)
(declare-fun lockStatus_3.15 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..0 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..1 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.3 () Int)
(declare-fun reqCompleted_4.18 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..3 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1 () Int)
(declare-fun reqSent_1.8 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.5 () Int)
(declare-fun inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..0 () Int)
(declare-fun inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..0 () Int)
(declare-fun reqSent_4.8 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0.5 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..0 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun reqCompleteSet_0.8 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..0 () Int)
(declare-fun inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.2 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..1 () Int)
(declare-fun inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.4 () Int)
(declare-fun reqSent_0.8 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0.myNondetVar_0.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..1 () Int)
(declare-fun reqCompleted_0.18 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.54 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.1 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..2 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..0 () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.5 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.2 () Int)
(declare-fun inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.2 () Int)
(declare-fun call28949formal.new.0 () Int)
(declare-fun reqCompleted_2.18 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..2 () Int)
(declare-fun call28964formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 () Int)
(declare-fun call28940formal.new.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..0 () Int)
(declare-fun inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..0 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 () Int)
(declare-fun errorReached.80 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..0 () Int)
(declare-fun call28955formal.new.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2..1 () Int)
(declare-fun inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.2 () Int)
(declare-fun inline.GetFileContext.3.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.62 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 () Int)
(declare-fun lockStatus_0.14 () Int)
(declare-fun lockStatus_4.14 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.9 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.2 () Int)
(declare-fun errorReached.75 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..1 () Int)
(declare-fun reqCancelSet_2.19 () Int)
(declare-fun reqCancelSet_0.19 () Int)
(declare-fun reqCancelSet_3.19 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun lockStatus_2.14 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.0 () Int)
(declare-fun k.126 () Int)
(declare-fun lockStatus_1.14 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 () Int)
(declare-fun inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.0 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.0 () Int)
(declare-fun reqCancelSet_1.19 () Int)
(declare-fun reqCancelSet_4.19 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1 () Int)
(declare-fun lockStatus_3.14 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..1 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..0 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.56 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..0 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2 () Int)
(declare-fun reqCompleted_3.15 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1..0 () Int)
(declare-fun errorReached.77 () Int)
(declare-fun reqCancelSet_2.21 () Int)
(declare-fun reqCancelSet_0.21 () Int)
(declare-fun reqCancelSet_3.21 () Int)
(declare-fun reqCompleted_0.15 () Int)
(declare-fun reqCompleted_1.15 () Int)
(declare-fun k.128 () Int)
(declare-fun reqCompleted_2.15 () Int)
(declare-fun reqCancelSet_1.21 () Int)
(declare-fun reqCancelSet_4.21 () Int)
(declare-fun reqCompleted_4.15 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.59 () Int)
(declare-fun reqCompleted_2.14 () Int)
(declare-fun reqCompleted_4.14 () Int)
(declare-fun reqCancelSet_3.20 () Int)
(declare-fun reqCompleted_0.14 () Int)
(declare-fun reqCancelSet_2.20 () Int)
(declare-fun call29902formal.ret.0 () Int)
(declare-fun reqCancelSet_4.20 () Int)
(declare-fun k.127 () Int)
(declare-fun reqCompleted_1.14 () Int)
(declare-fun reqCancelSet_1.20 () Int)
(declare-fun reqCompleted_3.14 () Int)
(declare-fun reqCancelSet_0.20 () Int)
(declare-fun errorReached.76 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.58 () Int)
(declare-fun reqCompleted_3.17 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1..0 () Int)
(declare-fun errorReached.79 () Int)
(declare-fun reqCancelSet_2.23 () Int)
(declare-fun reqCancelSet_0.23 () Int)
(declare-fun reqCancelSet_3.23 () Int)
(declare-fun reqCompleted_0.17 () Int)
(declare-fun reqCompleted_1.17 () Int)
(declare-fun k.130 () Int)
(declare-fun reqCompleted_2.17 () Int)
(declare-fun reqCancelSet_1.23 () Int)
(declare-fun reqCancelSet_4.23 () Int)
(declare-fun reqCompleted_4.17 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.61 () Int)
(declare-fun reqCompleted_2.16 () Int)
(declare-fun reqCompleted_4.16 () Int)
(declare-fun reqCompleted_0.16 () Int)
(declare-fun reqCancelSet_2.22 () Int)
(declare-fun errorReached.78 () Int)
(declare-fun call30168formal.ret.0 () Int)
(declare-fun reqCancelSet_4.22 () Int)
(declare-fun k.129 () Int)
(declare-fun reqCompleted_1.16 () Int)
(declare-fun reqCancelSet_1.22 () Int)
(declare-fun reqCompleted_3.16 () Int)
(declare-fun reqCancelSet_0.22 () Int)
(declare-fun reqCancelSet_3.22 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.60 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.57 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.55 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.54 () Int)
(declare-fun lockStatus_4.9 () Int)
(declare-fun lockStatus_2.9 () Int)
(declare-fun lockStatus_3.9 () Int)
(declare-fun lockStatus_0.9 () Int)
(declare-fun lockStatus_1.9 () Int)
(declare-fun k.121 () Int)
(declare-fun inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.53 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.2 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0 () Int)
(declare-fun inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.0 () Int)
(declare-fun inline.IsListEmpty.1.myNondetVar_0.0 () Int)
(declare-fun lockStatus_4.13 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.0 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.8 () Int)
(declare-fun inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0 () Int)
(declare-fun lockStatus_2.13 () Int)
(declare-fun lockStatus_3.13 () Int)
(declare-fun inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..0 () Int)
(declare-fun lockStatus_0.13 () Int)
(declare-fun lockStatus_1.13 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1 () Int)
(declare-fun inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0 () Int)
(declare-fun k.125 () Int)
(declare-fun lockStatus_4.11 () Int)
(declare-fun k.123 () Int)
(declare-fun lockStatus_2.11 () Int)
(declare-fun lockStatus_0.11 () Int)
(declare-fun lockStatus_3.11 () Int)
(declare-fun lockStatus_1.11 () Int)
(declare-fun lockStatus_4.12 () Int)
(declare-fun k.124 () Int)
(declare-fun lockStatus_2.12 () Int)
(declare-fun lockStatus_0.12 () Int)
(declare-fun lockStatus_3.12 () Int)
(declare-fun call29656formal.ret.0 () Int)
(declare-fun lockStatus_1.12 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.6 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.5 () Int)
(declare-fun inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.IsListEmpty.2.myNondetVar_0.0 () Int)
(declare-fun inline.RemoveHeadList.0.myNondetVar_0.1 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.2 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.4 () Int)
(declare-fun inline.DoSubRequestCleanup.0.myNondetVar_0.3 () Int)
(declare-fun lockStatus_4.10 () Int)
(declare-fun k.122 () Int)
(declare-fun lockStatus_3.10 () Int)
(declare-fun lockStatus_0.10 () Int)
(declare-fun call29419formal.ret.0 () Int)
(declare-fun lockStatus_1.10 () Int)
(declare-fun lockStatus_2.10 () Int)
(declare-fun inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.IsListEmpty.0.myNondetVar_0.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.52 () Int)
(declare-fun inline.GetDeviceContext.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun call30637formal.ret.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun errorReached.34 () Int)
(declare-fun call30625formal.new.0 () Int)
(declare-fun k.41 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun call30731formal.ret.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun call30814formal.ret.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.0 () Int)
(declare-fun k.62 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..0 () Int)
(declare-fun inline.GetFileContext.3.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun errorReached.64 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun k.97 () Int)
(declare-fun call31401formal.ret.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..0 () Int)
(declare-fun call31565formal.ret.0 () Int)
(declare-fun errorReached.63 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.2 () Int)
(declare-fun k.95 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..0 () Int)
(declare-fun call31728formal.ret.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..0 () Int)
(declare-fun call31921formal.ret.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 () Int)
(declare-fun errorReached.65 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.3 () Int)
(declare-fun k.99 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.5 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun call32322formal.ret.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.11 () Int)
(declare-fun k.103 () Int)
(declare-fun inline.GetSubRequestContext.0.myNondetVar_0.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.9 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.8 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.10 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.7 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.6 () Int)
(declare-fun call32543formal.ret.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.2 () Int)
(declare-fun inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.6 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.12 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.17 () Int)
(declare-fun k.104 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.14 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.12 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.13 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.15 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.16 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.5 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.1..callresult..2008.114.2. () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_1.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.7 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.8 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.1 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.1 () Int)
(declare-fun inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..1 () Int)
(declare-fun inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.1 () Int)
(declare-fun inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.20 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.47 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.41 () Int)
(declare-fun k.106 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..1 () Int)
(declare-fun inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.7 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.26 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.24 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.23 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.19 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.18 () Int)
(declare-fun k.105 () Int)
(declare-fun call34383formal.ret.0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.28 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.4 () Int)
(declare-fun errorReached.69 () Int)
(declare-fun reqCompleteSet_2.7 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0.myNondetVar_0.1 () Int)
(declare-fun reqCompleteSet_1.7 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.40 () Int)
(declare-fun reqCompleteSet_3.7 () Int)
(declare-fun k.111 () Int)
(declare-fun reqCompleteSet_4.7 () Int)
(declare-fun reqCompleteSet_0.7 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.34 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.38 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.39 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.37 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.36 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.35 () Int)
(declare-fun k.110 () Int)
(declare-fun reqCancelSet_3.18 () Int)
(declare-fun reqSent_2.7 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.53 () Int)
(declare-fun call35347formal.ret.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun reqSent_1.7 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.47 () Int)
(declare-fun reqCancelSet_4.18 () Int)
(declare-fun errorReached.74 () Int)
(declare-fun inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun reqCancelSet_1.18 () Int)
(declare-fun call35014formal.ret.0 () Int)
(declare-fun reqSent_3.7 () Int)
(declare-fun inline.IsListEmpty.3.myNondetVar_0.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.51 () Int)
(declare-fun inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0 () Int)
(declare-fun k.120 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun reqCancelSet_2.18 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0 () Int)
(declare-fun reqSent_4.7 () Int)
(declare-fun reqCancelSet_0.18 () Int)
(declare-fun reqSent_0.7 () Int)
(declare-fun inline.InsertTailList.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun k.118 () Int)
(declare-fun errorReached.73 () Int)
(declare-fun k.119 () Int)
(declare-fun call35393formal.ret.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.50 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.51 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.49 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.48 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.52 () Int)
(declare-fun k.117 () Int)
(declare-fun inline.IsListEmpty.4.myNondetVar_0.0 () Int)
(declare-fun inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0 () Int)
(declare-fun inline.RemoveHeadList.1.myNondetVar_0.1 () Int)
(declare-fun k.115 () Int)
(declare-fun errorReached.71 () Int)
(declare-fun k.116 () Int)
(declare-fun errorReached.72 () Int)
(declare-fun call35039formal.ret.0 () Int)
(declare-fun reqSent_3.6 () Int)
(declare-fun reqSent_2.6 () Int)
(declare-fun reqSent_4.6 () Int)
(declare-fun reqSent_0.6 () Int)
(declare-fun reqSent_1.6 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.43 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.45 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.42 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.44 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.46 () Int)
(declare-fun k.114 () Int)
(declare-fun k.113 () Int)
(declare-fun call34576formal.ret.0 () Int)
(declare-fun reqCancelSet_2.17 () Int)
(declare-fun reqCancelSet_4.17 () Int)
(declare-fun k.112 () Int)
(declare-fun errorReached.70 () Int)
(declare-fun reqCancelSet_1.17 () Int)
(declare-fun reqCancelSet_0.17 () Int)
(declare-fun reqCancelSet_3.17 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.30 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.33 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.29 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.32 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.31 () Int)
(declare-fun k.109 () Int)
(declare-fun k.107 () Int)
(declare-fun reqCompleteSet_2.6 () Int)
(declare-fun reqCompleteSet_4.6 () Int)
(declare-fun reqCompleteSet_1.6 () Int)
(declare-fun reqCompleteSet_0.6 () Int)
(declare-fun k.108 () Int)
(declare-fun call34126formal.ret.0 () Int)
(declare-fun errorReached.68 () Int)
(declare-fun reqCompleteSet_3.6 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.27 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.25 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.21 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.22 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.20 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_1.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_1.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_1.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_1.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.10 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.46 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.33 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.32 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.18 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.42 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.31 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.9 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.23 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.22 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.21 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.20 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.19 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.15 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.14 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.11 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.8 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.10 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.5 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.4 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.9 () Int)
(declare-fun inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun k.100 () Int)
(declare-fun call32133formal.ret.0 () Int)
(declare-fun errorReached.66 () Int)
(declare-fun k.101 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.3 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.1 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.myVar_0.4 () Int)
(declare-fun inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun k.98 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.2 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 () Int)
(declare-fun k.66 () Int)
(declare-fun errorReached.49 () Int)
(declare-fun call31404formal.ret.0 () Int)
(declare-fun k.96 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.0 () Int)
(declare-fun k.94 () Int)
(declare-fun call31568formal.ret.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.0 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun BINARY_BOTH_INT (Int Int) Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun k.64 () Int)
(declare-fun errorReached.47 () Int)
(declare-fun call31073formal.ret.0 () Int)
(declare-fun k.65 () Int)
(declare-fun errorReached.48 () Int)
(declare-fun k.63 () Int)
(declare-fun call30920formal.ret.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun k.39 () Int)
(declare-fun errorReached.32 () Int)
(declare-fun k.40 () Int)
(declare-fun call30461formal.ret.0 () Int)
(declare-fun errorReached.33 () Int)
(declare-fun inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.0 () Int)
(declare-fun k.37 () Int)
(declare-fun errorReached.31 () Int)
(declare-fun call29086formal.ret.0 () Int)
(declare-fun reqCancelSet_0.8 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.0 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.3 () Int)
(declare-fun k.36 () Int)
(declare-fun reqCompleted_1.8 () Int)
(declare-fun reqCancelSet_3.8 () Int)
(declare-fun reqCompleted_3.8 () Int)
(declare-fun reqCancelSet_1.8 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.3..result.userContextSwitch.7656.4.1..0 () Int)
(declare-fun reqCancelSet_4.8 () Int)
(declare-fun reqCancelSet_2.8 () Int)
(declare-fun reqCompleted_4.8 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0.4 () Int)
(declare-fun reqCompleted_0.8 () Int)
(declare-fun reqCompleted_2.8 () Int)
(declare-fun errorReached.30 () Int)
(declare-fun reqCompleted_2.7 () Int)
(declare-fun reqCompleted_4.7 () Int)
(declare-fun reqCompleted_0.7 () Int)
(declare-fun reqCancelSet_2.7 () Int)
(declare-fun call28564formal.ret.0 () Int)
(declare-fun reqCancelSet_4.7 () Int)
(declare-fun k.35 () Int)
(declare-fun errorReached.29 () Int)
(declare-fun reqCancelSet_1.7 () Int)
(declare-fun reqCompleted_1.7 () Int)
(declare-fun reqCompleted_3.7 () Int)
(declare-fun reqCancelSet_0.7 () Int)
(declare-fun reqCancelSet_3.7 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.2 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.1 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0.2 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.0 () Int)
(declare-fun inline.ReadWriteIsochEndPoints.0.myNondetVar_0.1 () Int)
(declare-fun errorReached.22 () Int)
(declare-fun k.28 () Int)
(declare-fun errorReached.27 () Int)
(declare-fun call28329formal.ret.0 () Int)
(declare-fun k.29 () Int)
(declare-fun k.26 () Int)
(declare-fun errorReached.21 () Int)
(declare-fun k.27 () Int)
(declare-fun call28176formal.ret.0 () Int)
(declare-fun k.25 () Int)
(declare-fun errorReached.20 () Int)
(declare-fun call27998formal.ret.0 () Int)
(declare-fun inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.5 () Int)
(declare-fun reqCancelSet_0.6 () Int)
(declare-fun reqSent_2.2 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..result.userContextSwitch.7656.4.1..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 () Int)
(declare-fun inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.0 () Int)
(declare-fun reqCompleteSet_2.2 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 () Int)
(declare-fun call25072formal.new.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun call25066formal.new.0 () Int)
(declare-fun inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..0 () Int)
(declare-fun k.33 () Int)
(declare-fun reqCompleted_1.6 () Int)
(declare-fun reqCompleteSet_4.2 () Int)
(declare-fun reqCancelSet_3.6 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..0 () Int)
(declare-fun call25069formal.new.0 () Int)
(declare-fun reqCompleted_3.6 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun reqCompleteSet_1.2 () Int)
(declare-fun call25063formal.new.0 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 () Int)
(declare-fun inline.GetRequestContext.0..result.GetRequestContext.127.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun reqCancelSet_1.6 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..0 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 () Int)
(declare-fun inline.GetFileContext.1..Handle.1.107.0.GetFileContext.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..0 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..result.userContextSwitch.7051.4.2..1 () Int)
(declare-fun inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.tempBoogie0.4 () Int)
(declare-fun reqCancelSet_4.6 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun reqCancelSet_2.6 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 () Int)
(declare-fun reqSent_3.2 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0 () Int)
(declare-fun reqCompleteSet_3.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 () Int)
(declare-fun inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.4 () Int)
(declare-fun inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..0 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..0 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1 () Int)
(declare-fun inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..0 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 () Int)
(declare-fun inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..0 () Int)
(declare-fun reqCompleted_4.6 () Int)
(declare-fun inline.GetRequestContext.0.myNondetVar_0.1 () Int)
(declare-fun reqSent_1.2 () Int)
(declare-fun reqSent_4.2 () Int)
(declare-fun inline.GetFileContext.1..result.GetFileContext.107.0.1..0 () Int)
(declare-fun reqCompleteSet_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 () Int)
(declare-fun inline.GetFileContext.1.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 () Int)
(declare-fun reqSent_0.2 () Int)
(declare-fun inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 () Int)
(declare-fun reqCompleted_0.6 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..1 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 () Int)
(declare-fun reqCompleted_2.6 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 () Int)
(declare-fun call25075formal.new.0 () Int)
(declare-fun errorReached.26 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 () Int)
(declare-fun inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.18 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..1 () Int)
(declare-fun reqCompleted_2.5 () Int)
(declare-fun reqCompleted_4.5 () Int)
(declare-fun reqCompleted_0.5 () Int)
(declare-fun reqCancelSet_2.5 () Int)
(declare-fun errorReached.25 () Int)
(declare-fun inline.sdv_WdfRequestCompleteWithInformation.1..result.userContextSwitch.7656.4.1..0 () Int)
(declare-fun reqCancelSet_4.5 () Int)
(declare-fun k.32 () Int)
(declare-fun reqCompleted_1.5 () Int)
(declare-fun reqCancelSet_1.5 () Int)
(declare-fun reqCompleted_3.5 () Int)
(declare-fun reqCancelSet_0.5 () Int)
(declare-fun reqCancelSet_3.5 () Int)
(declare-fun k.30 () Int)
(declare-fun errorReached.23 () Int)
(declare-fun reqCancelSet_3.4 () Int)
(declare-fun reqCompleted_4.4 () Int)
(declare-fun reqCompleted_0.4 () Int)
(declare-fun reqCancelSet_2.4 () Int)
(declare-fun call25216formal.ret.0 () Int)
(declare-fun reqCancelSet_4.4 () Int)
(declare-fun k.31 () Int)
(declare-fun reqCompleted_1.4 () Int)
(declare-fun reqCompleted_2.4 () Int)
(declare-fun reqCancelSet_1.4 () Int)
(declare-fun reqCompleted_3.4 () Int)
(declare-fun reqCancelSet_0.4 () Int)
(declare-fun errorReached.24 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun call25950formal.ret.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.5 () Int)
(declare-fun k.15 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.1..result.userContextSwitch.7051.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2 () Int)
(declare-fun inline.GetFileContext.1.myNondetVar_0.0 () Int)
(declare-fun errorReached.11 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 () Int)
(declare-fun k.14 () Int)
(declare-fun call26114formal.ret.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 () Int)
(declare-fun errorReached.10 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 () Int)
(declare-fun call26373formal.ret.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.tempBoogie0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0 () Int)
(declare-fun inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.6 () Int)
(declare-fun call26427formal.ret.0 () Int)
(declare-fun k.16 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 () Int)
(declare-fun errorReached.12 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.4 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 () Int)
(declare-fun call26522formal.ret.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.7 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.5 () Int)
(declare-fun inline.WdfUsbTargetPipeFormatRequestForUrb.0..callresult..2008.114.2. () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.16 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.6 () Int)
(declare-fun reqSent_1.1 () Int)
(declare-fun reqSent_0.1 () Int)
(declare-fun inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 () Int)
(declare-fun reqSent_2.1 () Int)
(declare-fun reqSent_3.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.17 () Int)
(declare-fun k.24 () Int)
(declare-fun call27127formal.ret.0 () Int)
(declare-fun call27378formal.ret.0 () Int)
(declare-fun errorReached.19 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun reqCompleteSet_3.1 () Int)
(declare-fun inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0 () Int)
(declare-fun reqCompleteSet_2.1 () Int)
(declare-fun reqCompleteSet_1.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 () Int)
(declare-fun reqCompleteSet_0.1 () Int)
(declare-fun reqSent_4.1 () Int)
(declare-fun inline.GetRequestContext.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0 () Int)
(declare-fun reqCompleteSet_4.1 () Int)
(declare-fun inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun k.22 () Int)
(declare-fun errorReached.18 () Int)
(declare-fun k.23 () Int)
(declare-fun call27424formal.ret.0 () Int)
(declare-fun k.20 () Int)
(declare-fun errorReached.16 () Int)
(declare-fun call27152formal.ret.0 () Int)
(declare-fun k.21 () Int)
(declare-fun errorReached.17 () Int)
(declare-fun reqSent_3.0 () Int)
(declare-fun reqSent_2.0 () Int)
(declare-fun reqSent_4.0 () Int)
(declare-fun reqSent_0.0 () Int)
(declare-fun reqSent_1.0 () Int)
(declare-fun errorReached.14 () Int)
(declare-fun k.18 () Int)
(declare-fun errorReached.15 () Int)
(declare-fun call26932formal.ret.0 () Int)
(declare-fun k.19 () Int)
(declare-fun reqCompleteSet_2.0 () Int)
(declare-fun reqCompleteSet_4.0 () Int)
(declare-fun reqCompleteSet_1.0 () Int)
(declare-fun reqCompleteSet_0.0 () Int)
(declare-fun k.17 () Int)
(declare-fun call26711formal.ret.0 () Int)
(declare-fun errorReached.13 () Int)
(declare-fun reqCompleteSet_3.0 () Int)
(declare-fun inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.tempBoogie0.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.tempBoogie0.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.3 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 () Int)
(declare-fun k.11 () Int)
(declare-fun errorReached.9 () Int)
(declare-fun k.12 () Int)
(declare-fun call25953formal.ret.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.tempBoogie0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.0 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 () Int)
(declare-fun k.13 () Int)
(declare-fun call26117formal.ret.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.3 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.4 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.2 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0.myNondetVar_0.1 () Int)
(declare-fun k.9 () Int)
(declare-fun errorReached.7 () Int)
(declare-fun k.10 () Int)
(declare-fun call25677formal.ret.0 () Int)
(declare-fun errorReached.8 () Int)
(declare-fun call25505formal.ret.0 () Int)
(declare-fun k.8 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.0 () Int)
(declare-fun inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.1 () Int)
(declare-fun inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.3 () Int)
(declare-fun inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.2 () Int)
(declare-fun inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.1 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2..0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2. () Int)
(declare-fun errorReached.0 () Int)
(declare-fun inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 () Int)
(declare-fun k.1 () Int)
(declare-fun call24543formal.ret.0 () Int)
(declare-fun errorReached.1 () Int)
(declare-fun k.2 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.0..result.userContextSwitch.7051.4.2..0 () Int)
(declare-fun inline.sdv_WdfRequestGetFileObject.0..result.userContextSwitch.7051.4.2. () Int)
(declare-fun k.0 () Int)
(declare-fun call24390formal.ret.0 () Int)
(declare-fun call24335formal.new.0 () Int)
(assert (let ((?v_0 (MapType0Type intType boolType))) (and (= (Ctor intType) 0) (= (Ctor boolType) 1) (forall ((?arg0 Int)) (! (= (U_2_int (int_2_U ?arg0)) ?arg0) :pattern ((int_2_U ?arg0)) )) (forall ((?x boogieU)) (! (=> (= (type ?x) intType) (= (int_2_U (U_2_int ?x)) ?x)) :pattern ((int_2_U (U_2_int ?x))) )) (forall ((?arg00 Int)) (! (= (type (int_2_U ?arg00)) intType) :pattern ((int_2_U ?arg00)) )) (forall ((?arg01 TermBool)) (! (= (= (U_2_bool (bool_2_U ?arg01)) boolTrue) (= ?arg01 boolTrue)) :pattern ((bool_2_U ?arg01)) )) (forall ((?x0 boogieU)) (! (=> (= (type ?x0) boolType) (= (bool_2_U (U_2_bool ?x0)) ?x0)) :pattern ((bool_2_U (U_2_bool ?x0))) )) (forall ((?arg02 TermBool)) (! (= (type (bool_2_U ?arg02)) boolType) :pattern ((bool_2_U ?arg02)) )) (= (Ctor nameType) 2) (= (type UNALLOCATED) nameType) (= (type ALLOCATED) nameType) (= (type FREED) nameType) (= (type BYTE) nameType) (= (type T.unused_WDFCOLLECTION__) nameType) (= (type T.unused_WDFDEVICE__) nameType) (= (type T.unused_WDFDRIVER__) nameType) (= (type T.unused_WDFFILEOBJECT__) nameType) (= (type T.unused_WDFIOTARGET__) nameType) (= (type T.unused_WDFMEMORY__) nameType) (= (type T.unused_WDFQUEUE__) nameType) (= (type T.unused_WDFREQUEST__) nameType) (= (type T.unused_WDFSPINLOCK__) nameType) (= (type T.unused_WDFUSBDEVICE__) nameType) (= (type T.unused_WDFUSBINTERFACE__) nameType) (= (type T.unused_WDFUSBPIPE__) nameType) (= (type T.unused_WDFWORKITEM__) nameType) (= (type T.OperationID__ACCESS_STATE) nameType) (= (type T.SecurityEvaluated__ACCESS_STATE) nameType) (= (type T.GenerateAudit__ACCESS_STATE) nameType) (= (type T.GenerateOnClose__ACCESS_STATE) nameType) (= (type T.PrivilegesAllocated__ACCESS_STATE) nameType) (= (type T.Flags__ACCESS_STATE) nameType) (= (type T.RemainingDesiredAccess__ACCESS_STATE) nameType) (= (type T.PreviouslyGrantedAccess__ACCESS_STATE) nameType) (= (type T.OriginalDesiredAccess__ACCESS_STATE) nameType) (= (type T.SubjectSecurityContext__ACCESS_STATE) nameType) (= (type T.SecurityDescriptor__ACCESS_STATE) nameType) (= (type T.AuxData__ACCESS_STATE) nameType) (= (type T.Privileges__ACCESS_STATE) nameType) (= (type T.AuditPrivileges__ACCESS_STATE) nameType) (= (type T.ObjectName__ACCESS_STATE) nameType) (= (type T.ObjectTypeName__ACCESS_STATE) nameType) (= (type T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.Version__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Revision__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Count__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T.Count__CM_RESOURCE_LIST) nameType) (= (type T.List__CM_RESOURCE_LIST) nameType) (= (type T.Size__DEVICE_CAPABILITIES) nameType) (= (type T.Version__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceD1__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceD2__DEVICE_CAPABILITIES) nameType) (= (type T.LockSupported__DEVICE_CAPABILITIES) nameType) (= (type T.EjectSupported__DEVICE_CAPABILITIES) nameType) (= (type T.Removable__DEVICE_CAPABILITIES) nameType) (= (type T.DockDevice__DEVICE_CAPABILITIES) nameType) (= (type T.UniqueID__DEVICE_CAPABILITIES) nameType) (= (type T.SilentInstall__DEVICE_CAPABILITIES) nameType) (= (type T.RawDeviceOK__DEVICE_CAPABILITIES) nameType) (= (type T.SurpriseRemovalOK__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD0__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD1__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD2__DEVICE_CAPABILITIES) nameType) (= (type T.WakeFromD3__DEVICE_CAPABILITIES) nameType) (= (type T.HardwareDisabled__DEVICE_CAPABILITIES) nameType) (= (type T.NonDynamic__DEVICE_CAPABILITIES) nameType) (= (type T.WarmEjectSupported__DEVICE_CAPABILITIES) nameType) (= (type T.NoDisplayInUI__DEVICE_CAPABILITIES) nameType) (= (type T.Reserved__DEVICE_CAPABILITIES) nameType) (= (type T.Address__DEVICE_CAPABILITIES) nameType) (= (type T.UINumber__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceState__DEVICE_CAPABILITIES) nameType) (= (type T.SystemWake__DEVICE_CAPABILITIES) nameType) (= (type T.DeviceWake__DEVICE_CAPABILITIES) nameType) (= (type T.D1Latency__DEVICE_CAPABILITIES) nameType) (= (type T.D2Latency__DEVICE_CAPABILITIES) nameType) (= (type T.D3Latency__DEVICE_CAPABILITIES) nameType) (= (type T.UsbDeviceDescriptor__DEVICE_CONTEXT) nameType) (= (type T.UsbConfigurationDescriptor__DEVICE_CONTEXT) nameType) (= (type T.WdfUsbTargetDevice__DEVICE_CONTEXT) nameType) (= (type T.WaitWakeEnable__DEVICE_CONTEXT) nameType) (= (type T.IsDeviceHighSpeed__DEVICE_CONTEXT) nameType) (= (type T.UsbInterface__DEVICE_CONTEXT) nameType) (= (type T.NumberConfiguredPipes__DEVICE_CONTEXT) nameType) (= (type T.Type__DEVICE_OBJECT) nameType) (= (type T.Size__DEVICE_OBJECT) nameType) (= (type T.ReferenceCount__DEVICE_OBJECT) nameType) (= (type T.DriverObject__DEVICE_OBJECT) nameType) (= (type T.NextDevice__DEVICE_OBJECT) nameType) (= (type T.AttachedDevice__DEVICE_OBJECT) nameType) (= (type T.CurrentIrp__DEVICE_OBJECT) nameType) (= (type T.Timer__DEVICE_OBJECT) nameType) (= (type T.Flags__DEVICE_OBJECT) nameType) (= (type T.Characteristics__DEVICE_OBJECT) nameType) (= (type T.Vpb__DEVICE_OBJECT) nameType) (= (type T.DeviceExtension__DEVICE_OBJECT) nameType) (= (type T.DeviceType__DEVICE_OBJECT) nameType) (= (type T.StackSize__DEVICE_OBJECT) nameType) (= (type T.Queue__DEVICE_OBJECT) nameType) (= (type T.AlignmentRequirement__DEVICE_OBJECT) nameType) (= (type T.DeviceQueue__DEVICE_OBJECT) nameType) (= (type T.Dpc__DEVICE_OBJECT) nameType) (= (type T.ActiveThreadCount__DEVICE_OBJECT) nameType) (= (type T.SecurityDescriptor__DEVICE_OBJECT) nameType) (= (type T.DeviceLock__DEVICE_OBJECT) nameType) (= (type T.SectorSize__DEVICE_OBJECT) nameType) (= (type T.Spare1__DEVICE_OBJECT) nameType) (= (type T.DeviceObjectExtension__DEVICE_OBJECT) nameType) (= (type T.Reserved__DEVICE_OBJECT) nameType) (= (type T.Type__DEVOBJ_EXTENSION) nameType) (= (type T.Size__DEVOBJ_EXTENSION) nameType) (= (type T.DeviceObject__DEVOBJ_EXTENSION) nameType) (= (type T.__unnamed_4_dfcb1314__DISPATCHER_HEADER) nameType) (= (type T.SignalState__DISPATCHER_HEADER) nameType) (= (type T.WaitListHead__DISPATCHER_HEADER) nameType) (= (type T.DriverObject__DRIVER_EXTENSION) nameType) (= (type T.AddDevice__DRIVER_EXTENSION) nameType) (= (type T.Count__DRIVER_EXTENSION) nameType) (= (type T.ServiceKeyName__DRIVER_EXTENSION) nameType) (= (type T.Type__DRIVER_OBJECT) nameType) (= (type T.Size__DRIVER_OBJECT) nameType) (= (type T.DeviceObject__DRIVER_OBJECT) nameType) (= (type T.Flags__DRIVER_OBJECT) nameType) (= (type T.DriverStart__DRIVER_OBJECT) nameType) (= (type T.DriverSize__DRIVER_OBJECT) nameType) (= (type T.DriverSection__DRIVER_OBJECT) nameType) (= (type T.DriverExtension__DRIVER_OBJECT) nameType) (= (type T.DriverName__DRIVER_OBJECT) nameType) (= (type T.HardwareDatabase__DRIVER_OBJECT) nameType) (= (type T.FastIoDispatch__DRIVER_OBJECT) nameType) (= (type T.DriverInit__DRIVER_OBJECT) nameType) (= (type T.DriverStartIo__DRIVER_OBJECT) nameType) (= (type T.DriverUnload__DRIVER_OBJECT) nameType) (= (type T.MajorFunction__DRIVER_OBJECT) nameType) (= (type T.SystemResourcesList__ERESOURCE) nameType) (= (type T.OwnerTable__ERESOURCE) nameType) (= (type T.ActiveCount__ERESOURCE) nameType) (= (type T.Flag__ERESOURCE) nameType) (= (type T.SharedWaiters__ERESOURCE) nameType) (= (type T.ExclusiveWaiters__ERESOURCE) nameType) (= (type T.OwnerEntry__ERESOURCE) nameType) (= (type T.ActiveEntries__ERESOURCE) nameType) (= (type T.ContentionCount__ERESOURCE) nameType) (= (type T.NumberOfSharedWaiters__ERESOURCE) nameType) (= (type T.NumberOfExclusiveWaiters__ERESOURCE) nameType) (= (type T.__unnamed_4_9d516d2b__ERESOURCE) nameType) (= (type T.SpinLock__ERESOURCE) nameType) (= (type T.SizeOfFastIoDispatch__FAST_IO_DISPATCH) nameType) (= (type T.FastIoCheckIfPossible__FAST_IO_DISPATCH) nameType) (= (type T.FastIoRead__FAST_IO_DISPATCH) nameType) (= (type T.FastIoWrite__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryBasicInfo__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryStandardInfo__FAST_IO_DISPATCH) nameType) (= (type T.FastIoLock__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockSingle__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockAll__FAST_IO_DISPATCH) nameType) (= (type T.FastIoUnlockAllByKey__FAST_IO_DISPATCH) nameType) (= (type T.FastIoDeviceControl__FAST_IO_DISPATCH) nameType) (= (type T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH) nameType) (= (type T.FastIoDetachDevice__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH) nameType) (= (type T.AcquireForModWrite__FAST_IO_DISPATCH) nameType) (= (type T.MdlRead__FAST_IO_DISPATCH) nameType) (= (type T.MdlReadComplete__FAST_IO_DISPATCH) nameType) (= (type T.PrepareMdlWrite__FAST_IO_DISPATCH) nameType) (= (type T.MdlWriteComplete__FAST_IO_DISPATCH) nameType) (= (type T.FastIoReadCompressed__FAST_IO_DISPATCH) nameType) (= (type T.FastIoWriteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.MdlReadCompleteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH) nameType) (= (type T.FastIoQueryOpen__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseForModWrite__FAST_IO_DISPATCH) nameType) (= (type T.AcquireForCcFlush__FAST_IO_DISPATCH) nameType) (= (type T.ReleaseForCcFlush__FAST_IO_DISPATCH) nameType) (= (type T.CreationTime__FILE_BASIC_INFORMATION) nameType) (= (type T.LastAccessTime__FILE_BASIC_INFORMATION) nameType) (= (type T.LastWriteTime__FILE_BASIC_INFORMATION) nameType) (= (type T.ChangeTime__FILE_BASIC_INFORMATION) nameType) (= (type T.FileAttributes__FILE_BASIC_INFORMATION) nameType) (= (type T.Pipe__FILE_CONTEXT) nameType) (= (type T.CreationTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.Type__FILE_OBJECT) nameType) (= (type T.Size__FILE_OBJECT) nameType) (= (type T.DeviceObject__FILE_OBJECT) nameType) (= (type T.Vpb__FILE_OBJECT) nameType) (= (type T.FsContext__FILE_OBJECT) nameType) (= (type T.FsContext2__FILE_OBJECT) nameType) (= (type T.SectionObjectPointer__FILE_OBJECT) nameType) (= (type T.PrivateCacheMap__FILE_OBJECT) nameType) (= (type T.FinalStatus__FILE_OBJECT) nameType) (= (type T.RelatedFileObject__FILE_OBJECT) nameType) (= (type T.LockOperation__FILE_OBJECT) nameType) (= (type T.DeletePending__FILE_OBJECT) nameType) (= (type T.ReadAccess__FILE_OBJECT) nameType) (= (type T.WriteAccess__FILE_OBJECT) nameType) (= (type T.DeleteAccess__FILE_OBJECT) nameType) (= (type T.SharedRead__FILE_OBJECT) nameType) (= (type T.SharedWrite__FILE_OBJECT) nameType) (= (type T.SharedDelete__FILE_OBJECT) nameType) (= (type T.Flags__FILE_OBJECT) nameType) (= (type T.FileName__FILE_OBJECT) nameType) (= (type T.CurrentByteOffset__FILE_OBJECT) nameType) (= (type T.Waiters__FILE_OBJECT) nameType) (= (type T.Busy__FILE_OBJECT) nameType) (= (type T.LastLock__FILE_OBJECT) nameType) (= (type T.Lock__FILE_OBJECT) nameType) (= (type T.Event__FILE_OBJECT) nameType) (= (type T.CompletionContext__FILE_OBJECT) nameType) (= (type T.IrpListLock__FILE_OBJECT) nameType) (= (type T.IrpList__FILE_OBJECT) nameType) (= (type T.FileObjectExtension__FILE_OBJECT) nameType) (= (type T.AllocationSize__FILE_STANDARD_INFORMATION) nameType) (= (type T.EndOfFile__FILE_STANDARD_INFORMATION) nameType) (= (type T.NumberOfLinks__FILE_STANDARD_INFORMATION) nameType) (= (type T.DeletePending__FILE_STANDARD_INFORMATION) nameType) (= (type T.Directory__FILE_STANDARD_INFORMATION) nameType) (= (type T.Data1__GUID) nameType) (= (type T.Data2__GUID) nameType) (= (type T.Data3__GUID) nameType) (= (type T.Data4__GUID) nameType) (= (type T.PrivilegeCount__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Control__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Privilege__INITIAL_PRIVILEGE_SET) nameType) (= (type T.Size__INTERFACE) nameType) (= (type T.Version__INTERFACE) nameType) (= (type T.Context__INTERFACE) nameType) (= (type T.InterfaceReference__INTERFACE) nameType) (= (type T.InterfaceDereference__INTERFACE) nameType) (= (type T.Port__IO_COMPLETION_CONTEXT) nameType) (= (type T.Key__IO_COMPLETION_CONTEXT) nameType) (= (type T.Option__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Type__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.ShareDisposition__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Spare1__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Flags__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Spare2__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.u__IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.Version__IO_RESOURCE_LIST) nameType) (= (type T.Revision__IO_RESOURCE_LIST) nameType) (= (type T.Count__IO_RESOURCE_LIST) nameType) (= (type T.Descriptors__IO_RESOURCE_LIST) nameType) (= (type T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.List__IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.SecurityQos__IO_SECURITY_CONTEXT) nameType) (= (type T.AccessState__IO_SECURITY_CONTEXT) nameType) (= (type T.DesiredAccess__IO_SECURITY_CONTEXT) nameType) (= (type T.FullCreateOptions__IO_SECURITY_CONTEXT) nameType) (= (type T.MajorFunction__IO_STACK_LOCATION) nameType) (= (type T.MinorFunction__IO_STACK_LOCATION) nameType) (= (type T.Flags__IO_STACK_LOCATION) nameType) (= (type T.Control__IO_STACK_LOCATION) nameType) (= (type T.Parameters__IO_STACK_LOCATION) nameType) (= (type T.DeviceObject__IO_STACK_LOCATION) nameType) (= (type T.FileObject__IO_STACK_LOCATION) nameType) (= (type T.CompletionRoutine__IO_STACK_LOCATION) nameType) (= (type T.Context__IO_STACK_LOCATION) nameType) (= (type T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK) nameType) (= (type T.Information__IO_STATUS_BLOCK) nameType) (= (type T.Type__IRP) nameType) (= (type T.Size__IRP) nameType) (= (type T.MdlAddress__IRP) nameType) (= (type T.Flags__IRP) nameType) (= (type T.AssociatedIrp__IRP) nameType) (= (type T.ThreadListEntry__IRP) nameType) (= (type T.IoStatus__IRP) nameType) (= (type T.RequestorMode__IRP) nameType) (= (type T.PendingReturned__IRP) nameType) (= (type T.StackCount__IRP) nameType) (= (type T.CurrentLocation__IRP) nameType) (= (type T.Cancel__IRP) nameType) (= (type T.CancelIrql__IRP) nameType) (= (type T.ApcEnvironment__IRP) nameType) (= (type T.AllocationFlags__IRP) nameType) (= (type T.UserIosb__IRP) nameType) (= (type T.UserEvent__IRP) nameType) (= (type T.Overlay__IRP) nameType) (= (type T.CancelRoutine__IRP) nameType) (= (type T.UserBuffer__IRP) nameType) (= (type T.Tail__IRP) nameType) (= (type T.Type__KAPC) nameType) (= (type T.SpareByte0__KAPC) nameType) (= (type T.Size__KAPC) nameType) (= (type T.SpareByte1__KAPC) nameType) (= (type T.SpareLong0__KAPC) nameType) (= (type T.Thread__KAPC) nameType) (= (type T.ApcListEntry__KAPC) nameType) (= (type T.KernelRoutine__KAPC) nameType) (= (type T.RundownRoutine__KAPC) nameType) (= (type T.NormalRoutine__KAPC) nameType) (= (type T.NormalContext__KAPC) nameType) (= (type T.SystemArgument1__KAPC) nameType) (= (type T.SystemArgument2__KAPC) nameType) (= (type T.ApcStateIndex__KAPC) nameType) (= (type T.ApcMode__KAPC) nameType) (= (type T.Inserted__KAPC) nameType) (= (type T.Type__KDEVICE_QUEUE) nameType) (= (type T.Size__KDEVICE_QUEUE) nameType) (= (type T.DeviceListHead__KDEVICE_QUEUE) nameType) (= (type T.Lock__KDEVICE_QUEUE) nameType) (= (type T.Busy__KDEVICE_QUEUE) nameType) (= (type T.DeviceListEntry__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.SortKey__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.Inserted__KDEVICE_QUEUE_ENTRY) nameType) (= (type T.Type__KDPC) nameType) (= (type T.Importance__KDPC) nameType) (= (type T.Number__KDPC) nameType) (= (type T.DpcListEntry__KDPC) nameType) (= (type T.DeferredRoutine__KDPC) nameType) (= (type T.DeferredContext__KDPC) nameType) (= (type T.SystemArgument1__KDPC) nameType) (= (type T.SystemArgument2__KDPC) nameType) (= (type T.DpcData__KDPC) nameType) (= (type T.Header__KEVENT) nameType) (= (type T.Header__KSEMAPHORE) nameType) (= (type T.Limit__KSEMAPHORE) nameType) (= (type T.__unnamed_8_bb154058__LARGE_INTEGER) nameType) (= (type T.u__LARGE_INTEGER) nameType) (= (type T.QuadPart__LARGE_INTEGER) nameType) (= (type T.Flink__LIST_ENTRY) nameType) (= (type T.Blink__LIST_ENTRY) nameType) (= (type T.LowPart__LUID) nameType) (= (type T.HighPart__LUID) nameType) (= (type T.Luid__LUID_AND_ATTRIBUTES) nameType) (= (type T.Attributes__LUID_AND_ATTRIBUTES) nameType) (= (type T.Next__MDL) nameType) (= (type T.Size__MDL) nameType) (= (type T.MdlFlags__MDL) nameType) (= (type T.Process__MDL) nameType) (= (type T.MappedSystemVa__MDL) nameType) (= (type T.StartVa__MDL) nameType) (= (type T.ByteCount__MDL) nameType) (= (type T.ByteOffset__MDL) nameType) (= (type T.OwnerThread__OWNER_ENTRY) nameType) (= (type T.__unnamed_4_c406319a__OWNER_ENTRY) nameType) (= (type T.SequenceD1__POWER_SEQUENCE) nameType) (= (type T.SequenceD2__POWER_SEQUENCE) nameType) (= (type T.SequenceD3__POWER_SEQUENCE) nameType) (= (type T.SystemState__POWER_STATE) nameType) (= (type T.DeviceState__POWER_STATE) nameType) (= (type T.PrivilegeCount__PRIVILEGE_SET) nameType) (= (type T.Control__PRIVILEGE_SET) nameType) (= (type T.Privilege__PRIVILEGE_SET) nameType) (= (type T.UrbMemory__REQUEST_CONTEXT) nameType) (= (type T.Mdl__REQUEST_CONTEXT) nameType) (= (type T.Length__REQUEST_CONTEXT) nameType) (= (type T.Numxfer__REQUEST_CONTEXT) nameType) (= (type T.VirtualAddress__REQUEST_CONTEXT) nameType) (= (type T.SubRequestCollection__REQUEST_CONTEXT) nameType) (= (type T.SubRequestCollectionLock__REQUEST_CONTEXT) nameType) (= (type T.Read__REQUEST_CONTEXT) nameType) (= (type T.DataSectionObject__SECTION_OBJECT_POINTERS) nameType) (= (type T.SharedCacheMap__SECTION_OBJECT_POINTERS) nameType) (= (type T.ImageSectionObject__SECTION_OBJECT_POINTERS) nameType) (= (type T.Length__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.ClientToken__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.PrimaryToken__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT) nameType) (= (type T.UserRequest__SUB_REQUEST_CONTEXT) nameType) (= (type T.SubUrb__SUB_REQUEST_CONTEXT) nameType) (= (type T.SubMdl__SUB_REQUEST_CONTEXT) nameType) (= (type T.ListEntry__SUB_REQUEST_CONTEXT) nameType) (= (type T.__unnamed_4_f525de8d__SYSTEM_POWER_STATE_CONTEXT) nameType) (= (type T.Length__UNICODE_STRING) nameType) (= (type T.MaximumLength__UNICODE_STRING) nameType) (= (type T.Buffer__UNICODE_STRING) nameType) (= (type T.__unnamed_96_e511a626__URB) nameType) (= (type T.Hdr__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.hca__URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T.Hdr__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved0__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.TransferBufferLength__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.TransferBuffer__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.UrbLink__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.hca__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved1__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.Index__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.DescriptorType__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.LanguageId__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved2__URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T.Hdr__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved2__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved3__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved4__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved5__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.UrbLink__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.hca__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved0__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.FeatureSelector__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Index__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Reserved1__URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T.Hdr__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.Reserved__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.Reserved0__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.TransferBufferLength__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.TransferBuffer__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.UrbLink__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.hca__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.Reserved1__URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T.Hdr__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.Reserved__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.Reserved0__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.TransferBufferLength__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.TransferBuffer__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.UrbLink__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.hca__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.Reserved1__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.Interface__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.Reserved2__URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T.Hdr__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.Reserved__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.Reserved0__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.TransferBufferLength__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.TransferBuffer__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.UrbLink__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.hca__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.Reserved1__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.Index__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.Reserved2__URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T.Hdr__URB_CONTROL_TRANSFER) nameType) (= (type T.PipeHandle__URB_CONTROL_TRANSFER) nameType) (= (type T.TransferFlags__URB_CONTROL_TRANSFER) nameType) (= (type T.TransferBufferLength__URB_CONTROL_TRANSFER) nameType) (= (type T.TransferBuffer__URB_CONTROL_TRANSFER) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_TRANSFER) nameType) (= (type T.UrbLink__URB_CONTROL_TRANSFER) nameType) (= (type T.hca__URB_CONTROL_TRANSFER) nameType) (= (type T.SetupPacket__URB_CONTROL_TRANSFER) nameType) (= (type T.Hdr__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.PipeHandle__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.TransferFlags__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.TransferBufferLength__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.TransferBuffer__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.Timeout__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.hca__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.SetupPacket__URB_CONTROL_TRANSFER_EX) nameType) (= (type T.Hdr__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.Reserved__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.TransferFlags__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.TransferBufferLength__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.TransferBuffer__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.TransferBufferMDL__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.UrbLink__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.hca__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.RequestTypeReservedBits__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.Request__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.Value__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.Index__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.Reserved1__URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T.Hdr__URB_FRAME_LENGTH_CONTROL) nameType) (= (type T.Hdr__URB_GET_CURRENT_FRAME_NUMBER) nameType) (= (type T.FrameNumber__URB_GET_CURRENT_FRAME_NUMBER) nameType) (= (type T.Hdr__URB_GET_FRAME_LENGTH) nameType) (= (type T.FrameLength__URB_GET_FRAME_LENGTH) nameType) (= (type T.FrameNumber__URB_GET_FRAME_LENGTH) nameType) (= (type T.Reserved8__URB_HCD_AREA) nameType) (= (type T.Length__URB_HEADER) nameType) (= (type T.Function__URB_HEADER) nameType) (= (type T.Status__URB_HEADER) nameType) (= (type T.UsbdDeviceHandle__URB_HEADER) nameType) (= (type T.UsbdFlags__URB_HEADER) nameType) (= (type T.Hdr__URB_ISOCH_TRANSFER) nameType) (= (type T.PipeHandle__URB_ISOCH_TRANSFER) nameType) (= (type T.TransferFlags__URB_ISOCH_TRANSFER) nameType) (= (type T.TransferBufferLength__URB_ISOCH_TRANSFER) nameType) (= (type T.TransferBuffer__URB_ISOCH_TRANSFER) nameType) (= (type T.TransferBufferMDL__URB_ISOCH_TRANSFER) nameType) (= (type T.UrbLink__URB_ISOCH_TRANSFER) nameType) (= (type T.hca__URB_ISOCH_TRANSFER) nameType) (= (type T.StartFrame__URB_ISOCH_TRANSFER) nameType) (= (type T.NumberOfPackets__URB_ISOCH_TRANSFER) nameType) (= (type T.ErrorCount__URB_ISOCH_TRANSFER) nameType) (= (type T.IsoPacket__URB_ISOCH_TRANSFER) nameType) (= (type T.Hdr__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved0__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.TransferBufferLength__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.TransferBuffer__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.TransferBufferMDL__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.UrbLink__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.hca__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Recipient__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved1__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved2__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.InterfaceNumber__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.MS_PageIndex__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.MS_FeatureDescriptorIndex__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Reserved3__URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T.Hdr__URB_PIPE_IO_POLICY) nameType) (= (type T.PipeHandle__URB_PIPE_IO_POLICY) nameType) (= (type T.UsbIoParamters__URB_PIPE_IO_POLICY) nameType) (= (type T.Hdr__URB_PIPE_REQUEST) nameType) (= (type T.PipeHandle__URB_PIPE_REQUEST) nameType) (= (type T.Reserved__URB_PIPE_REQUEST) nameType) (= (type T.Hdr__URB_SELECT_CONFIGURATION) nameType) (= (type T.ConfigurationDescriptor__URB_SELECT_CONFIGURATION) nameType) (= (type T.ConfigurationHandle__URB_SELECT_CONFIGURATION) nameType) (= (type T.Interface__URB_SELECT_CONFIGURATION) nameType) (= (type T.Hdr__URB_SELECT_INTERFACE) nameType) (= (type T.ConfigurationHandle__URB_SELECT_INTERFACE) nameType) (= (type T.Interface__URB_SELECT_INTERFACE) nameType) (= (type T.Hdr__URB_SET_FRAME_LENGTH) nameType) (= (type T.FrameLengthDelta__URB_SET_FRAME_LENGTH) nameType) (= (type T.Length__USBD_INTERFACE_INFORMATION) nameType) (= (type T.InterfaceNumber__USBD_INTERFACE_INFORMATION) nameType) (= (type T.AlternateSetting__USBD_INTERFACE_INFORMATION) nameType) (= (type T.Class__USBD_INTERFACE_INFORMATION) nameType) (= (type T.SubClass__USBD_INTERFACE_INFORMATION) nameType) (= (type T.Protocol__USBD_INTERFACE_INFORMATION) nameType) (= (type T.Reserved__USBD_INTERFACE_INFORMATION) nameType) (= (type T.InterfaceHandle__USBD_INTERFACE_INFORMATION) nameType) (= (type T.NumberOfPipes__USBD_INTERFACE_INFORMATION) nameType) (= (type T.Pipes__USBD_INTERFACE_INFORMATION) nameType) (= (type T.Offset__USBD_ISO_PACKET_DESCRIPTOR) nameType) (= (type T.Length__USBD_ISO_PACKET_DESCRIPTOR) nameType) (= (type T.Status__USBD_ISO_PACKET_DESCRIPTOR) nameType) (= (type T.MaximumPacketSize__USBD_PIPE_INFORMATION) nameType) (= (type T.EndpointAddress__USBD_PIPE_INFORMATION) nameType) (= (type T.Interval__USBD_PIPE_INFORMATION) nameType) (= (type T.PipeType__USBD_PIPE_INFORMATION) nameType) (= (type T.PipeHandle__USBD_PIPE_INFORMATION) nameType) (= (type T.MaximumTransferSize__USBD_PIPE_INFORMATION) nameType) (= (type T.PipeFlags__USBD_PIPE_INFORMATION) nameType) (= (type T.bLength__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.bDescriptorType__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.wTotalLength__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.bNumInterfaces__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.bConfigurationValue__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.iConfiguration__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.bmAttributes__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.MaxPower__USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.bLength__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bDescriptorType__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bcdUSB__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bDeviceClass__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bDeviceSubClass__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bDeviceProtocol__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bMaxPacketSize0__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.idVendor__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.idProduct__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bcdDevice__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.iManufacturer__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.iProduct__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.iSerialNumber__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.bNumConfigurations__USB_DEVICE_DESCRIPTOR) nameType) (= (type T.UsbIoPriority__USB_IO_PARAMETERS) nameType) (= (type T.UsbMaxPendingIrps__USB_IO_PARAMETERS) nameType) (= (type T.UsbMaxControllerTransfer__USB_IO_PARAMETERS) nameType) (= (type T.Type__VPB) nameType) (= (type T.Size__VPB) nameType) (= (type T.Flags__VPB) nameType) (= (type T.VolumeLabelLength__VPB) nameType) (= (type T.DeviceObject__VPB) nameType) (= (type T.RealDevice__VPB) nameType) (= (type T.SerialNumber__VPB) nameType) (= (type T.ReferenceCount__VPB) nameType) (= (type T.VolumeLabel__VPB) nameType) (= (type T.WaitQueueEntry__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceRoutine__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceContext__WAIT_CONTEXT_BLOCK) nameType) (= (type T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK) nameType) (= (type T.DeviceObject__WAIT_CONTEXT_BLOCK) nameType) (= (type T.CurrentIrp__WAIT_CONTEXT_BLOCK) nameType) (= (type T.BufferChainingDpc__WAIT_CONTEXT_BLOCK) nameType) (= (type T.BufferOffset__WDFMEMORY_OFFSET) nameType) (= (type T.BufferLength__WDFMEMORY_OFFSET) nameType) (= (type T.Driver__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverFlags__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverTag__WDF_DRIVER_GLOBALS) nameType) (= (type T.DriverName__WDF_DRIVER_GLOBALS) nameType) (= (type T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS) nameType) (= (type T.Size__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.EvtCleanupCallback__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.EvtDestroyCallback__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.ExecutionLevel__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.SynchronizationScope__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.ParentObject__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.ContextSizeOverride__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.ContextTypeInfo__WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.Size__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Type__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Parameters__WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.Size__WDF_REQUEST_PARAMETERS) nameType) (= (type T.MinorFunction__WDF_REQUEST_PARAMETERS) nameType) (= (type T.Type__WDF_REQUEST_PARAMETERS) nameType) (= (type T.Parameters__WDF_REQUEST_PARAMETERS) nameType) (= (type T.Size__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Flags__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Timeout__WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.Size__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.MaximumPacketSize__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.EndpointAddress__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.Interval__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.SettingIndex__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.PipeType__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.MaximumTransferSize__WDF_USB_PIPE_INFORMATION) nameType) (= (type T.Size__WDF_WORKITEM_CONFIG) nameType) (= (type T.EvtWorkItemFunc__WDF_WORKITEM_CONFIG) nameType) (= (type T.AutomaticSerialization__WDF_WORKITEM_CONFIG) nameType) (= (type T.Device__WORKITEM_CONTEXT) nameType) (= (type T.Pipe__WORKITEM_CONTEXT) nameType) (= (type T.Generic___unnamed_12_00aa0978) nameType) (= (type T.Port___unnamed_12_00aa0978) nameType) (= (type T.Interrupt___unnamed_12_00aa0978) nameType) (= (type T.MessageInterrupt___unnamed_12_00aa0978) nameType) (= (type T.Memory___unnamed_12_00aa0978) nameType) (= (type T.Dma___unnamed_12_00aa0978) nameType) (= (type T.DevicePrivate___unnamed_12_00aa0978) nameType) (= (type T.BusNumber___unnamed_12_00aa0978) nameType) (= (type T.DeviceSpecificData___unnamed_12_00aa0978) nameType) (= (type T.Memory40___unnamed_12_00aa0978) nameType) (= (type T.Memory48___unnamed_12_00aa0978) nameType) (= (type T.Memory64___unnamed_12_00aa0978) nameType) (= (type T.Level___unnamed_12_011610e6) nameType) (= (type T.Vector___unnamed_12_011610e6) nameType) (= (type T.Affinity___unnamed_12_011610e6) nameType) (= (type T.__unnamed_12_a04f3ec2___unnamed_12_135b00bd) nameType) (= (type T.Data___unnamed_12_2349179a) nameType) (= (type T.Data___unnamed_12_508ad0f8) nameType) (= (type T.DataSize___unnamed_12_5a101f58) nameType) (= (type T.Reserved1___unnamed_12_5a101f58) nameType) (= (type T.Reserved2___unnamed_12_5a101f58) nameType) (= (type T.Start___unnamed_12_5c984402) nameType) (= (type T.Length40___unnamed_12_5c984402) nameType) (= (type T.Reserved___unnamed_12_6851572b) nameType) (= (type T.MessageCount___unnamed_12_6851572b) nameType) (= (type T.Vector___unnamed_12_6851572b) nameType) (= (type T.Affinity___unnamed_12_6851572b) nameType) (= (type T.Start___unnamed_12_91f117a1) nameType) (= (type T.Length___unnamed_12_91f117a1) nameType) (= (type T.Reserved___unnamed_12_91f117a1) nameType) (= (type T.Buffer___unnamed_12_9675b19c) nameType) (= (type T.Offset___unnamed_12_9675b19c) nameType) (= (type T.Length___unnamed_12_9675b19c) nameType) (= (type T.Priority___unnamed_12_99988665) nameType) (= (type T.Reserved1___unnamed_12_99988665) nameType) (= (type T.Reserved2___unnamed_12_99988665) nameType) (= (type T.Channel___unnamed_12_9b023e7e) nameType) (= (type T.Port___unnamed_12_9b023e7e) nameType) (= (type T.Reserved1___unnamed_12_9b023e7e) nameType) (= (type T.Raw___unnamed_12_a04f3ec2) nameType) (= (type T.Translated___unnamed_12_a04f3ec2) nameType) (= (type T.Buffer___unnamed_12_a41ee278) nameType) (= (type T.Length___unnamed_12_a41ee278) nameType) (= (type T.Offset___unnamed_12_a41ee278) nameType) (= (type T.Start___unnamed_12_aae97e0b) nameType) (= (type T.Length___unnamed_12_aae97e0b) nameType) (= (type T.ListEntry___unnamed_12_b0fe679d) nameType) (= (type T.__unnamed_4_ac2f5fe2___unnamed_12_b0fe679d) nameType) (= (type T.Level___unnamed_12_b4709d3d) nameType) (= (type T.Vector___unnamed_12_b4709d3d) nameType) (= (type T.Affinity___unnamed_12_b4709d3d) nameType) (= (type T.Start___unnamed_12_c07928f7) nameType) (= (type T.Length48___unnamed_12_c07928f7) nameType) (= (type T.Start___unnamed_12_c13de773) nameType) (= (type T.Length___unnamed_12_c13de773) nameType) (= (type T.Buffer___unnamed_12_e5e4e6f3) nameType) (= (type T.Length___unnamed_12_e5e4e6f3) nameType) (= (type T.Offset___unnamed_12_e5e4e6f3) nameType) (= (type T.Start___unnamed_12_e7dc8c54) nameType) (= (type T.Length___unnamed_12_e7dc8c54) nameType) (= (type T.Start___unnamed_12_f4e6bbc2) nameType) (= (type T.Length64___unnamed_12_f4e6bbc2) nameType) (= (type T.InterfaceType___unnamed_16_08405228) nameType) (= (type T.Size___unnamed_16_08405228) nameType) (= (type T.Version___unnamed_16_08405228) nameType) (= (type T.Interface___unnamed_16_08405228) nameType) (= (type T.InterfaceSpecificData___unnamed_16_08405228) nameType) (= (type T.Length___unnamed_16_0c179b13) nameType) (= (type T.StartSid___unnamed_16_0c179b13) nameType) (= (type T.SidList___unnamed_16_0c179b13) nameType) (= (type T.SidListLength___unnamed_16_0c179b13) nameType) (= (type T.Length___unnamed_16_160c71e3) nameType) (= (type T.Key___unnamed_16_160c71e3) nameType) (= (type T.DeviceOffset___unnamed_16_160c71e3) nameType) (= (type T.Argument1___unnamed_16_28d48018) nameType) (= (type T.Argument2___unnamed_16_28d48018) nameType) (= (type T.Argument3___unnamed_16_28d48018) nameType) (= (type T.Argument4___unnamed_16_28d48018) nameType) (= (type T.Length___unnamed_16_30754a00) nameType) (= (type T.Key___unnamed_16_30754a00) nameType) (= (type T.DeviceOffset___unnamed_16_30754a00) nameType) (= (type T.Length___unnamed_16_3538eb2e) nameType) (= (type T.MinBusNumber___unnamed_16_3538eb2e) nameType) (= (type T.MaxBusNumber___unnamed_16_3538eb2e) nameType) (= (type T.Reserved___unnamed_16_3538eb2e) nameType) (= (type T.Create___unnamed_16_3be92f23) nameType) (= (type T.Read___unnamed_16_3be92f23) nameType) (= (type T.Write___unnamed_16_3be92f23) nameType) (= (type T.DeviceIoControl___unnamed_16_3be92f23) nameType) (= (type T.Others___unnamed_16_3be92f23) nameType) (= (type T.Length___unnamed_16_4692f360) nameType) (= (type T.Key___unnamed_16_4692f360) nameType) (= (type T.ByteOffset___unnamed_16_4692f360) nameType) (= (type T.OutputBufferLength___unnamed_16_47a80b6e) nameType) (= (type T.InputBufferLength___unnamed_16_47a80b6e) nameType) (= (type T.FsControlCode___unnamed_16_47a80b6e) nameType) (= (type T.Type3InputBuffer___unnamed_16_47a80b6e) nameType) (= (type T.__unnamed_4_4008e71b___unnamed_16_4a376f0e) nameType) (= (type T.Type___unnamed_16_4a376f0e) nameType) (= (type T.State___unnamed_16_4a376f0e) nameType) (= (type T.ShutdownType___unnamed_16_4a376f0e) nameType) (= (type T.Create___unnamed_16_50547125) nameType) (= (type T.Read___unnamed_16_50547125) nameType) (= (type T.Write___unnamed_16_50547125) nameType) (= (type T.QueryDirectory___unnamed_16_50547125) nameType) (= (type T.NotifyDirectory___unnamed_16_50547125) nameType) (= (type T.QueryFile___unnamed_16_50547125) nameType) (= (type T.SetFile___unnamed_16_50547125) nameType) (= (type T.QueryEa___unnamed_16_50547125) nameType) (= (type T.SetEa___unnamed_16_50547125) nameType) (= (type T.QueryVolume___unnamed_16_50547125) nameType) (= (type T.SetVolume___unnamed_16_50547125) nameType) (= (type T.FileSystemControl___unnamed_16_50547125) nameType) (= (type T.LockControl___unnamed_16_50547125) nameType) (= (type T.DeviceIoControl___unnamed_16_50547125) nameType) (= (type T.QuerySecurity___unnamed_16_50547125) nameType) (= (type T.SetSecurity___unnamed_16_50547125) nameType) (= (type T.MountVolume___unnamed_16_50547125) nameType) (= (type T.VerifyVolume___unnamed_16_50547125) nameType) (= (type T.Scsi___unnamed_16_50547125) nameType) (= (type T.QueryQuota___unnamed_16_50547125) nameType) (= (type T.SetQuota___unnamed_16_50547125) nameType) (= (type T.QueryDeviceRelations___unnamed_16_50547125) nameType) (= (type T.QueryInterface___unnamed_16_50547125) nameType) (= (type T.DeviceCapabilities___unnamed_16_50547125) nameType) (= (type T.FilterResourceRequirements___unnamed_16_50547125) nameType) (= (type T.ReadWriteConfig___unnamed_16_50547125) nameType) (= (type T.SetLock___unnamed_16_50547125) nameType) (= (type T.QueryId___unnamed_16_50547125) nameType) (= (type T.QueryDeviceText___unnamed_16_50547125) nameType) (= (type T.UsageNotification___unnamed_16_50547125) nameType) (= (type T.WaitWake___unnamed_16_50547125) nameType) (= (type T.PowerSequence___unnamed_16_50547125) nameType) (= (type T.Power___unnamed_16_50547125) nameType) (= (type T.StartDevice___unnamed_16_50547125) nameType) (= (type T.WMI___unnamed_16_50547125) nameType) (= (type T.Others___unnamed_16_50547125) nameType) (= (type T.WhichSpace___unnamed_16_70b335ff) nameType) (= (type T.Buffer___unnamed_16_70b335ff) nameType) (= (type T.Offset___unnamed_16_70b335ff) nameType) (= (type T.Length___unnamed_16_70b335ff) nameType) (= (type T.SecurityContext___unnamed_16_758cc376) nameType) (= (type T.Options___unnamed_16_758cc376) nameType) (= (type T.FileAttributes___unnamed_16_758cc376) nameType) (= (type T.ShareAccess___unnamed_16_758cc376) nameType) (= (type T.EaLength___unnamed_16_758cc376) nameType) (= (type T.OutputBufferLength___unnamed_16_7b663246) nameType) (= (type T.InputBufferLength___unnamed_16_7b663246) nameType) (= (type T.IoControlCode___unnamed_16_7b663246) nameType) (= (type T.Type3InputBuffer___unnamed_16_7b663246) nameType) (= (type T.OutputBufferLength___unnamed_16_8c4e1e25) nameType) (= (type T.InputBufferLength___unnamed_16_8c4e1e25) nameType) (= (type T.IoControlCode___unnamed_16_8c4e1e25) nameType) (= (type T.Type3InputBuffer___unnamed_16_8c4e1e25) nameType) (= (type T.Length___unnamed_16_8fdea1e0) nameType) (= (type T.Key___unnamed_16_8fdea1e0) nameType) (= (type T.ByteOffset___unnamed_16_8fdea1e0) nameType) (= (type T.DriverContext___unnamed_16_90864369) nameType) (= (type T.Length___unnamed_16_98fa84c9) nameType) (= (type T.EaList___unnamed_16_98fa84c9) nameType) (= (type T.EaListLength___unnamed_16_98fa84c9) nameType) (= (type T.EaIndex___unnamed_16_98fa84c9) nameType) (= (type T.Argument1___unnamed_16_b19c652e) nameType) (= (type T.Argument2___unnamed_16_b19c652e) nameType) (= (type T.Argument3___unnamed_16_b19c652e) nameType) (= (type T.Argument4___unnamed_16_b19c652e) nameType) (= (type T.Length___unnamed_16_cbf64d77) nameType) (= (type T.FileName___unnamed_16_cbf64d77) nameType) (= (type T.FileInformationClass___unnamed_16_cbf64d77) nameType) (= (type T.FileIndex___unnamed_16_cbf64d77) nameType) (= (type T.Length___unnamed_16_d07eb79e) nameType) (= (type T.FileInformationClass___unnamed_16_d07eb79e) nameType) (= (type T.FileObject___unnamed_16_d07eb79e) nameType) (= (type T.__unnamed_4_b65679a6___unnamed_16_d07eb79e) nameType) (= (type T.Arg1___unnamed_16_d8ea3f48) nameType) (= (type T.Arg2___unnamed_16_d8ea3f48) nameType) (= (type T.IoControlCode___unnamed_16_d8ea3f48) nameType) (= (type T.Arg4___unnamed_16_d8ea3f48) nameType) (= (type T.ProviderId___unnamed_16_ec1b1a74) nameType) (= (type T.DataPath___unnamed_16_ec1b1a74) nameType) (= (type T.BufferSize___unnamed_16_ec1b1a74) nameType) (= (type T.Buffer___unnamed_16_ec1b1a74) nameType) (= (type T.Length___unnamed_16_f0deee7d) nameType) (= (type T.Key___unnamed_16_f0deee7d) nameType) (= (type T.ByteOffset___unnamed_16_f0deee7d) nameType) (= (type T.SecurityContext___unnamed_16_f26424fc) nameType) (= (type T.Options___unnamed_16_f26424fc) nameType) (= (type T.FileAttributes___unnamed_16_f26424fc) nameType) (= (type T.ShareAccess___unnamed_16_f26424fc) nameType) (= (type T.EaLength___unnamed_16_f26424fc) nameType) (= (type T.DeviceQueueEntry___unnamed_16_f8ddfcfe) nameType) (= (type T.__unnamed_16_90864369___unnamed_16_f8ddfcfe) nameType) (= (type T.Lock___unnamed_1_26d71ac8) nameType) (= (type T.Abandoned___unnamed_1_7fe4cdbd) nameType) (= (type T.Absolute___unnamed_1_7fe4cdbd) nameType) (= (type T.NpxIrql___unnamed_1_7fe4cdbd) nameType) (= (type T.Signalling___unnamed_1_7fe4cdbd) nameType) (= (type T.Size___unnamed_1_a19e9f98) nameType) (= (type T.Hand___unnamed_1_a19e9f98) nameType) (= (type T.Inserted___unnamed_1_a536060f) nameType) (= (type T.DebugActive___unnamed_1_a536060f) nameType) (= (type T.DpcActive___unnamed_1_a536060f) nameType) (= (type T.MinimumVector___unnamed_20_f8440734) nameType) (= (type T.MaximumVector___unnamed_20_f8440734) nameType) (= (type T.AffinityPolicy___unnamed_20_f8440734) nameType) (= (type T.PriorityPolicy___unnamed_20_f8440734) nameType) (= (type T.TargetedProcessors___unnamed_20_f8440734) nameType) (= (type T.Length64___unnamed_24_06d73087) nameType) (= (type T.Alignment64___unnamed_24_06d73087) nameType) (= (type T.MinimumAddress___unnamed_24_06d73087) nameType) (= (type T.MaximumAddress___unnamed_24_06d73087) nameType) (= (type T.Length___unnamed_24_22419524) nameType) (= (type T.Alignment___unnamed_24_22419524) nameType) (= (type T.MinimumAddress___unnamed_24_22419524) nameType) (= (type T.MaximumAddress___unnamed_24_22419524) nameType) (= (type T.Length40___unnamed_24_36b7e766) nameType) (= (type T.Alignment40___unnamed_24_36b7e766) nameType) (= (type T.MinimumAddress___unnamed_24_36b7e766) nameType) (= (type T.MaximumAddress___unnamed_24_36b7e766) nameType) (= (type T.Length___unnamed_24_370204c2) nameType) (= (type T.Alignment___unnamed_24_370204c2) nameType) (= (type T.MinimumAddress___unnamed_24_370204c2) nameType) (= (type T.MaximumAddress___unnamed_24_370204c2) nameType) (= (type T.IoControlCode___unnamed_24_52bbd12f) nameType) (= (type T.Input___unnamed_24_52bbd12f) nameType) (= (type T.Output___unnamed_24_52bbd12f) nameType) (= (type T.Length48___unnamed_24_76cd2bdb) nameType) (= (type T.Alignment48___unnamed_24_76cd2bdb) nameType) (= (type T.MinimumAddress___unnamed_24_76cd2bdb) nameType) (= (type T.MaximumAddress___unnamed_24_76cd2bdb) nameType) (= (type T.Write___unnamed_24_a2447d05) nameType) (= (type T.Read___unnamed_24_a2447d05) nameType) (= (type T.Ioctl___unnamed_24_a2447d05) nameType) (= (type T.Others___unnamed_24_a2447d05) nameType) (= (type T.Usb___unnamed_24_a2447d05) nameType) (= (type T.Length___unnamed_24_b8ad6aa7) nameType) (= (type T.Alignment___unnamed_24_b8ad6aa7) nameType) (= (type T.MinimumAddress___unnamed_24_b8ad6aa7) nameType) (= (type T.MaximumAddress___unnamed_24_b8ad6aa7) nameType) (= (type T.Port___unnamed_24_ba07fbe7) nameType) (= (type T.Memory___unnamed_24_ba07fbe7) nameType) (= (type T.Interrupt___unnamed_24_ba07fbe7) nameType) (= (type T.Dma___unnamed_24_ba07fbe7) nameType) (= (type T.Generic___unnamed_24_ba07fbe7) nameType) (= (type T.DevicePrivate___unnamed_24_ba07fbe7) nameType) (= (type T.BusNumber___unnamed_24_ba07fbe7) nameType) (= (type T.ConfigData___unnamed_24_ba07fbe7) nameType) (= (type T.Memory40___unnamed_24_ba07fbe7) nameType) (= (type T.Memory48___unnamed_24_ba07fbe7) nameType) (= (type T.Memory64___unnamed_24_ba07fbe7) nameType) (= (type T.ReplaceIfExists___unnamed_2_8290e1b0) nameType) (= (type T.AdvanceOnly___unnamed_2_8290e1b0) nameType) (= (type T.__unnamed_16_f8ddfcfe___unnamed_40_cfd29ebe) nameType) (= (type T.Thread___unnamed_40_cfd29ebe) nameType) (= (type T.AuxiliaryBuffer___unnamed_40_cfd29ebe) nameType) (= (type T.__unnamed_12_b0fe679d___unnamed_40_cfd29ebe) nameType) (= (type T.OriginalFileObject___unnamed_40_cfd29ebe) nameType) (= (type T.ListEntry___unnamed_40_dbe30577) nameType) (= (type T.Wcb___unnamed_40_dbe30577) nameType) (= (type T.InitialPrivilegeSet___unnamed_44_d7e89117) nameType) (= (type T.PrivilegeSet___unnamed_44_d7e89117) nameType) (= (type T.Overlay___unnamed_48_5a9f979b) nameType) (= (type T.Apc___unnamed_48_5a9f979b) nameType) (= (type T.CompletionKey___unnamed_48_5a9f979b) nameType) (= (type T.MasterIrp___unnamed_4_0a20c9fb) nameType) (= (type T.IrpCount___unnamed_4_0a20c9fb) nameType) (= (type T.SystemBuffer___unnamed_4_0a20c9fb) nameType) (= (type T.Length___unnamed_4_27fec054) nameType) (= (type T.PowerState___unnamed_4_342578c3) nameType) (= (type T.Capabilities___unnamed_4_36e06717) nameType) (= (type T.PowerSequence___unnamed_4_3e8985b1) nameType) (= (type T.SystemContext___unnamed_4_4008e71b) nameType) (= (type T.SystemPowerStateContext___unnamed_4_4008e71b) nameType) (= (type T.UserApcRoutine___unnamed_4_41bc16eb) nameType) (= (type T.IssuingProcess___unnamed_4_41bc16eb) nameType) (= (type T.Ptr___unnamed_4_442e007e) nameType) (= (type T.Value___unnamed_4_442e007e) nameType) (= (type T.Status___unnamed_4_6a857cdd) nameType) (= (type T.Pointer___unnamed_4_6a857cdd) nameType) (= (type T.Reserved1___unnamed_4_82d41359) nameType) (= (type T.TargetSystemState___unnamed_4_82d41359) nameType) (= (type T.EffectiveSystemState___unnamed_4_82d41359) nameType) (= (type T.CurrentSystemState___unnamed_4_82d41359) nameType) (= (type T.IgnoreHibernationPath___unnamed_4_82d41359) nameType) (= (type T.PseudoTransition___unnamed_4_82d41359) nameType) (= (type T.Reserved2___unnamed_4_82d41359) nameType) (= (type T.Srb___unnamed_4_94f0c80c) nameType) (= (type T.Type___unnamed_4_9b388132) nameType) (= (type T.Address___unnamed_4_9d516d2b) nameType) (= (type T.CreatorBackTraceIndex___unnamed_4_9d516d2b) nameType) (= (type T.CurrentStackLocation___unnamed_4_ac2f5fe2) nameType) (= (type T.PacketType___unnamed_4_ac2f5fe2) nameType) (= (type T.Type___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_a19e9f98___unnamed_4_b1953259) nameType) (= (type T.__unnamed_1_a536060f___unnamed_4_b1953259) nameType) (= (type T.Ptr___unnamed_4_b617aa5a) nameType) (= (type T.Value___unnamed_4_b617aa5a) nameType) (= (type T.__unnamed_2_8290e1b0___unnamed_4_b65679a6) nameType) (= (type T.ClusterCount___unnamed_4_b65679a6) nameType) (= (type T.DeleteHandle___unnamed_4_b65679a6) nameType) (= (type T.OwnerCount___unnamed_4_c406319a) nameType) (= (type T.TableSize___unnamed_4_c406319a) nameType) (= (type T.Ptr___unnamed_4_d6f0159b) nameType) (= (type T.Value___unnamed_4_d6f0159b) nameType) (= (type T.Completion___unnamed_4_de25a30d) nameType) (= (type T.__unnamed_4_b1953259___unnamed_4_dfcb1314) nameType) (= (type T.Lock___unnamed_4_dfcb1314) nameType) (= (type T.Length___unnamed_4_e60fbc3e) nameType) (= (type T.__unnamed_4_82d41359___unnamed_4_f525de8d) nameType) (= (type T.ContextAsUlong___unnamed_4_f525de8d) nameType) (= (type T.IoResourceRequirementList___unnamed_4_f571b1b9) nameType) (= (type T.IdType___unnamed_4_fad32fd4) nameType) (= (type T.Ptr___unnamed_4_fbcc5fb9) nameType) (= (type T.Value___unnamed_4_fbcc5fb9) nameType) (= (type T.Buffer___unnamed_8_20ce6f92) nameType) (= (type T.Offset___unnamed_8_20ce6f92) nameType) (= (type T.AsynchronousParameters___unnamed_8_2c71b416) nameType) (= (type T.AllocationSize___unnamed_8_2c71b416) nameType) (= (type T.AllocatedResources___unnamed_8_305df57c) nameType) (= (type T.AllocatedResourcesTranslated___unnamed_8_305df57c) nameType) (= (type T.LowPart___unnamed_8_4aac83fd) nameType) (= (type T.HighPart___unnamed_8_4aac83fd) nameType) (= (type T.Length___unnamed_8_5c8f0abe) nameType) (= (type T.FileInformationClass___unnamed_8_5c8f0abe) nameType) (= (type T.Length___unnamed_8_872f0ca6) nameType) (= (type T.FsInformationClass___unnamed_8_872f0ca6) nameType) (= (type T.Vpb___unnamed_8_89024868) nameType) (= (type T.DeviceObject___unnamed_8_89024868) nameType) (= (type T.SecurityInformation___unnamed_8_8bfbe2a4) nameType) (= (type T.Length___unnamed_8_8bfbe2a4) nameType) (= (type T.MinimumChannel___unnamed_8_9b5da84f) nameType) (= (type T.MaximumChannel___unnamed_8_9b5da84f) nameType) (= (type T.DeviceTextType___unnamed_8_9da0b827) nameType) (= (type T.LocaleId___unnamed_8_9da0b827) nameType) (= (type T.LowPart___unnamed_8_bb154058) nameType) (= (type T.HighPart___unnamed_8_bb154058) nameType) (= (type T.InPath___unnamed_8_cdc8e4c0) nameType) (= (type T.Reserved___unnamed_8_cdc8e4c0) nameType) (= (type T.Type___unnamed_8_cdc8e4c0) nameType) (= (type T.__unnamed_4_41bc16eb___unnamed_8_d0cda093) nameType) (= (type T.UserApcContext___unnamed_8_d0cda093) nameType) (= (type T.Length___unnamed_8_da064ae3) nameType) (= (type T.FsInformationClass___unnamed_8_da064ae3) nameType) (= (type T.Length___unnamed_8_e1457eff) nameType) (= (type T.CompletionFilter___unnamed_8_e1457eff) nameType) (= (type T.Vpb___unnamed_8_f62d54e1) nameType) (= (type T.DeviceObject___unnamed_8_f62d54e1) nameType) (= (type T.SecurityInformation___unnamed_8_f825c111) nameType) (= (type T.SecurityDescriptor___unnamed_8_f825c111) nameType) (= (type T.UrbHeader___unnamed_96_e511a626) nameType) (= (type T.UrbSelectInterface___unnamed_96_e511a626) nameType) (= (type T.UrbSelectConfiguration___unnamed_96_e511a626) nameType) (= (type T.UrbPipeRequest___unnamed_96_e511a626) nameType) (= (type T.UrbFrameLengthControl___unnamed_96_e511a626) nameType) (= (type T.UrbGetFrameLength___unnamed_96_e511a626) nameType) (= (type T.UrbSetFrameLength___unnamed_96_e511a626) nameType) (= (type T.UrbGetCurrentFrameNumber___unnamed_96_e511a626) nameType) (= (type T.UrbControlTransfer___unnamed_96_e511a626) nameType) (= (type T.UrbControlTransferEx___unnamed_96_e511a626) nameType) (= (type T.UrbPipeIoPolicy___unnamed_96_e511a626) nameType) (= (type T.UrbBulkOrInterruptTransfer___unnamed_96_e511a626) nameType) (= (type T.UrbIsochronousTransfer___unnamed_96_e511a626) nameType) (= (type T.UrbControlDescriptorRequest___unnamed_96_e511a626) nameType) (= (type T.UrbControlGetStatusRequest___unnamed_96_e511a626) nameType) (= (type T.UrbControlFeatureRequest___unnamed_96_e511a626) nameType) (= (type T.UrbControlVendorClassRequest___unnamed_96_e511a626) nameType) (= (type T.UrbControlGetInterfaceRequest___unnamed_96_e511a626) nameType) (= (type T.UrbControlGetConfigurationRequest___unnamed_96_e511a626) nameType) (= (type T.UrbOSFeatureDescriptorRequest___unnamed_96_e511a626) nameType) (= (type T.A1_CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_IO_RESOURCE_DESCRIPTOR) nameType) (= (type T.A1_IO_RESOURCE_LIST) nameType) (= (type T.A1_LUID_AND_ATTRIBUTES) nameType) (= (type T.A1_USBD_ISO_PACKET_DESCRIPTOR) nameType) (= (type T.A1_USBD_PIPE_INFORMATION) nameType) (= (type T.A28PFDRIVER_DISPATCH) nameType) (= (type T.A32CHAR) nameType) (= (type T.A32UINT2) nameType) (= (type T.A3UCHAR) nameType) (= (type T.A3UINT4) nameType) (= (type T.A3_LUID_AND_ATTRIBUTES) nameType) (= (type T.A4PVOID) nameType) (= (type T.A4UCHAR) nameType) (= (type T.A5CHAR) nameType) (= (type T.A6CHAR) nameType) (= (type T.A7_DEVICE_POWER_STATE) nameType) (= (type T.A8PVOID) nameType) (= (type T.A8UCHAR) nameType) (= (type T.BUS_QUERY_ID_TYPE) nameType) (= (type T.CHAR) nameType) (= (type T.DEVICE_TEXT_TYPE) nameType) (= (type T.F0) nameType) (= (type T.F1) nameType) (= (type T.F10) nameType) (= (type T.F11) nameType) (= (type T.F12) nameType) (= (type T.F13) nameType) (= (type T.F14) nameType) (= (type T.F15) nameType) (= (type T.F16) nameType) (= (type T.F17) nameType) (= (type T.F18) nameType) (= (type T.F19) nameType) (= (type T.F2) nameType) (= (type T.F20) nameType) (= (type T.F21) nameType) (= (type T.F22) nameType) (= (type T.F23) nameType) (= (type T.F24) nameType) (= (type T.F25) nameType) (= (type T.F26) nameType) (= (type T.F27) nameType) (= (type T.F28) nameType) (= (type T.F29) nameType) (= (type T.F3) nameType) (= (type T.F30) nameType) (= (type T.F31) nameType) (= (type T.F32) nameType) (= (type T.F33) nameType) (= (type T.F34) nameType) (= (type T.F35) nameType) (= (type T.F36) nameType) (= (type T.F37) nameType) (= (type T.F4) nameType) (= (type T.F5) nameType) (= (type T.F6) nameType) (= (type T.F7) nameType) (= (type T.F8) nameType) (= (type T.F9) nameType) (= (type T.FDRIVER_ADD_DEVICE) nameType) (= (type T.FDRIVER_CANCEL) nameType) (= (type T.FDRIVER_DISPATCH) nameType) (= (type T.FDRIVER_INITIALIZE) nameType) (= (type T.FDRIVER_STARTIO) nameType) (= (type T.FDRIVER_UNLOAD) nameType) (= (type T.FEVT_WDF_OBJECT_CONTEXT_CLEANUP) nameType) (= (type T.FEVT_WDF_OBJECT_CONTEXT_DESTROY) nameType) (= (type T.FEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.FEVT_WDF_WORKITEM) nameType) (= (type T.FFAST_IO_ACQUIRE_FILE) nameType) (= (type T.FFAST_IO_ACQUIRE_FOR_CCFLUSH) nameType) (= (type T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE) nameType) (= (type T.FFAST_IO_CHECK_IF_POSSIBLE) nameType) (= (type T.FFAST_IO_DETACH_DEVICE) nameType) (= (type T.FFAST_IO_DEVICE_CONTROL) nameType) (= (type T.FFAST_IO_LOCK) nameType) (= (type T.FFAST_IO_MDL_READ) nameType) (= (type T.FFAST_IO_MDL_READ_COMPLETE) nameType) (= (type T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED) nameType) (= (type T.FFAST_IO_MDL_WRITE_COMPLETE) nameType) (= (type T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED) nameType) (= (type T.FFAST_IO_PREPARE_MDL_WRITE) nameType) (= (type T.FFAST_IO_QUERY_BASIC_INFO) nameType) (= (type T.FFAST_IO_QUERY_NETWORK_OPEN_INFO) nameType) (= (type T.FFAST_IO_QUERY_OPEN) nameType) (= (type T.FFAST_IO_QUERY_STANDARD_INFO) nameType) (= (type T.FFAST_IO_READ) nameType) (= (type T.FFAST_IO_READ_COMPRESSED) nameType) (= (type T.FFAST_IO_RELEASE_FILE) nameType) (= (type T.FFAST_IO_RELEASE_FOR_CCFLUSH) nameType) (= (type T.FFAST_IO_RELEASE_FOR_MOD_WRITE) nameType) (= (type T.FFAST_IO_UNLOCK_ALL) nameType) (= (type T.FFAST_IO_UNLOCK_ALL_BY_KEY) nameType) (= (type T.FFAST_IO_UNLOCK_SINGLE) nameType) (= (type T.FFAST_IO_WRITE) nameType) (= (type T.FFAST_IO_WRITE_COMPRESSED) nameType) (= (type T.FIO_COMPLETION_ROUTINE) nameType) (= (type T.INT2) nameType) (= (type T.INT4) nameType) (= (type T.INT8) nameType) (= (type T.PA5CHAR) nameType) (= (type T.PA6CHAR) nameType) (= (type T.PCHAR) nameType) (= (type T.PF0) nameType) (= (type T.PF1) nameType) (= (type T.PF27) nameType) (= (type T.PF28) nameType) (= (type T.PF29) nameType) (= (type T.PF31) nameType) (= (type T.PF32) nameType) (= (type T.PF33) nameType) (= (type T.PF35) nameType) (= (type T.PF36) nameType) (= (type T.PF37) nameType) (= (type T.PFDRIVER_ADD_DEVICE) nameType) (= (type T.PFDRIVER_CANCEL) nameType) (= (type T.PFDRIVER_DISPATCH) nameType) (= (type T.PFDRIVER_INITIALIZE) nameType) (= (type T.PFDRIVER_STARTIO) nameType) (= (type T.PFDRIVER_UNLOAD) nameType) (= (type T.PFEVT_WDF_OBJECT_CONTEXT_CLEANUP) nameType) (= (type T.PFEVT_WDF_OBJECT_CONTEXT_DESTROY) nameType) (= (type T.PFEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.PFEVT_WDF_WORKITEM) nameType) (= (type T.PFFAST_IO_ACQUIRE_FILE) nameType) (= (type T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH) nameType) (= (type T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE) nameType) (= (type T.PFFAST_IO_CHECK_IF_POSSIBLE) nameType) (= (type T.PFFAST_IO_DETACH_DEVICE) nameType) (= (type T.PFFAST_IO_DEVICE_CONTROL) nameType) (= (type T.PFFAST_IO_LOCK) nameType) (= (type T.PFFAST_IO_MDL_READ) nameType) (= (type T.PFFAST_IO_MDL_READ_COMPLETE) nameType) (= (type T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED) nameType) (= (type T.PFFAST_IO_MDL_WRITE_COMPLETE) nameType) (= (type T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED) nameType) (= (type T.PFFAST_IO_PREPARE_MDL_WRITE) nameType) (= (type T.PFFAST_IO_QUERY_BASIC_INFO) nameType) (= (type T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO) nameType) (= (type T.PFFAST_IO_QUERY_OPEN) nameType) (= (type T.PFFAST_IO_QUERY_STANDARD_INFO) nameType) (= (type T.PFFAST_IO_READ) nameType) (= (type T.PFFAST_IO_READ_COMPRESSED) nameType) (= (type T.PFFAST_IO_RELEASE_FILE) nameType) (= (type T.PFFAST_IO_RELEASE_FOR_CCFLUSH) nameType) (= (type T.PFFAST_IO_RELEASE_FOR_MOD_WRITE) nameType) (= (type T.PFFAST_IO_UNLOCK_ALL) nameType) (= (type T.PFFAST_IO_UNLOCK_ALL_BY_KEY) nameType) (= (type T.PFFAST_IO_UNLOCK_SINGLE) nameType) (= (type T.PFFAST_IO_WRITE) nameType) (= (type T.PFFAST_IO_WRITE_COMPRESSED) nameType) (= (type T.PFIO_COMPLETION_ROUTINE) nameType) (= (type T.PINT4) nameType) (= (type T.POWER_ACTION) nameType) (= (type T.PPCHAR) nameType) (= (type T.PPF32) nameType) (= (type T.PPFEVT_WDF_REQUEST_CANCEL) nameType) (= (type T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE) nameType) (= (type T.PPFEVT_WDF_WORKITEM) nameType) (= (type T.PPINT4) nameType) (= (type T.PPPVOID) nameType) (= (type T.PPPWDFCOLLECTION__) nameType) (= (type T.PPPWDFMEMORY__) nameType) (= (type T.PPPWDFREQUEST__) nameType) (= (type T.PPPWDFSPINLOCK__) nameType) (= (type T.PPPWDFWORKITEM__) nameType) (= (type T.PPP_MDL) nameType) (= (type T.PPUCHAR) nameType) (= (type T.PPUINT4) nameType) (= (type T.PPVOID) nameType) (= (type T.PPWDFCOLLECTION__) nameType) (= (type T.PPWDFDEVICE__) nameType) (= (type T.PPWDFFILEOBJECT__) nameType) (= (type T.PPWDFIOTARGET__) nameType) (= (type T.PPWDFMEMORY__) nameType) (= (type T.PPWDFQUEUE__) nameType) (= (type T.PPWDFREQUEST__) nameType) (= (type T.PPWDFSPINLOCK__) nameType) (= (type T.PPWDFUSBDEVICE__) nameType) (= (type T.PPWDFUSBINTERFACE__) nameType) (= (type T.PPWDFUSBPIPE__) nameType) (= (type T.PPWDFWORKITEM__) nameType) (= (type T.PP_DEVICE_CONTEXT) nameType) (= (type T.PP_ERESOURCE) nameType) (= (type T.PP_FILE_CONTEXT) nameType) (= (type T.PP_IRP) nameType) (= (type T.PP_LIST_ENTRY) nameType) (= (type T.PP_MDL) nameType) (= (type T.PP_REQUEST_CONTEXT) nameType) (= (type T.PP_SUB_REQUEST_CONTEXT) nameType) (= (type T.PP_URB) nameType) (= (type T.PP_WDFMEMORY_OFFSET) nameType) (= (type T.PP_WDF_DRIVER_GLOBALS) nameType) (= (type T.PP_WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.PP_WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.PP_WDF_REQUEST_PARAMETERS) nameType) (= (type T.PP_WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.PP_WDF_USB_PIPE_INFORMATION) nameType) (= (type T.PP_WDF_WORKITEM_CONFIG) nameType) (= (type T.PP_WORKITEM_CONTEXT) nameType) (= (type T.PUCHAR) nameType) (= (type T.PUINT2) nameType) (= (type T.PUINT4) nameType) (= (type T.PVOID) nameType) (= (type T.PWDFCOLLECTION__) nameType) (= (type T.PWDFDEVICE__) nameType) (= (type T.PWDFDRIVER__) nameType) (= (type T.PWDFFILEOBJECT__) nameType) (= (type T.PWDFIOTARGET__) nameType) (= (type T.PWDFMEMORY__) nameType) (= (type T.PWDFQUEUE__) nameType) (= (type T.PWDFREQUEST__) nameType) (= (type T.PWDFSPINLOCK__) nameType) (= (type T.PWDFUSBDEVICE__) nameType) (= (type T.PWDFUSBINTERFACE__) nameType) (= (type T.PWDFUSBPIPE__) nameType) (= (type T.PWDFWORKITEM__) nameType) (= (type T.P_ACCESS_STATE) nameType) (= (type T.P_CM_RESOURCE_LIST) nameType) (= (type T.P_COMPRESSED_DATA_INFO) nameType) (= (type T.P_DEVICE_CAPABILITIES) nameType) (= (type T.P_DEVICE_CONTEXT) nameType) (= (type T.P_DEVICE_OBJECT) nameType) (= (type T.P_DEVOBJ_EXTENSION) nameType) (= (type T.P_DRIVER_EXTENSION) nameType) (= (type T.P_DRIVER_OBJECT) nameType) (= (type T.P_EPROCESS) nameType) (= (type T.P_ERESOURCE) nameType) (= (type T.P_FAST_IO_DISPATCH) nameType) (= (type T.P_FILE_BASIC_INFORMATION) nameType) (= (type T.P_FILE_CONTEXT) nameType) (= (type T.P_FILE_GET_QUOTA_INFORMATION) nameType) (= (type T.P_FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T.P_FILE_OBJECT) nameType) (= (type T.P_FILE_STANDARD_INFORMATION) nameType) (= (type T.P_GUID) nameType) (= (type T.P_INTERFACE) nameType) (= (type T.P_IO_COMPLETION_CONTEXT) nameType) (= (type T.P_IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T.P_IO_SECURITY_CONTEXT) nameType) (= (type T.P_IO_STACK_LOCATION) nameType) (= (type T.P_IO_STATUS_BLOCK) nameType) (= (type T.P_IO_TIMER) nameType) (= (type T.P_IRP) nameType) (= (type T.P_KAPC) nameType) (= (type T.P_KDPC) nameType) (= (type T.P_KEVENT) nameType) (= (type T.P_KPROCESS) nameType) (= (type T.P_KSEMAPHORE) nameType) (= (type T.P_KTHREAD) nameType) (= (type T.P_LARGE_INTEGER) nameType) (= (type T.P_LIST_ENTRY) nameType) (= (type T.P_MDL) nameType) (= (type T.P_OWNER_ENTRY) nameType) (= (type T.P_POOL_TYPE) nameType) (= (type T.P_POWER_SEQUENCE) nameType) (= (type T.P_REQUEST_CONTEXT) nameType) (= (type T.P_SCSI_REQUEST_BLOCK) nameType) (= (type T.P_SECTION_OBJECT_POINTERS) nameType) (= (type T.P_SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T.P_SUB_REQUEST_CONTEXT) nameType) (= (type T.P_UNICODE_STRING) nameType) (= (type T.P_URB) nameType) (= (type T.P_USBD_ISO_PACKET_DESCRIPTOR) nameType) (= (type T.P_USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T.P_VPB) nameType) (= (type T.P_WDFMEMORY_OFFSET) nameType) (= (type T.P_WDF_DRIVER_GLOBALS) nameType) (= (type T.P_WDF_IO_TARGET_SENT_IO_ACTION) nameType) (= (type T.P_WDF_OBJECT_ATTRIBUTES) nameType) (= (type T.P_WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T.P_WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.P_WDF_REQUEST_PARAMETERS) nameType) (= (type T.P_WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T.P_WDF_REQUEST_TYPE) nameType) (= (type T.P_WDF_USB_PIPE_INFORMATION) nameType) (= (type T.P_WDF_USB_REQUEST_COMPLETION_PARAMS) nameType) (= (type T.P_WDF_WORKITEM_CONFIG) nameType) (= (type T.P_WORKITEM_CONTEXT) nameType) (= (type T.UCHAR) nameType) (= (type T.UINT2) nameType) (= (type T.UINT4) nameType) (= (type T.VOID) nameType) (= (type T.WDFCOLLECTION__) nameType) (= (type T.WDFDEVICE__) nameType) (= (type T.WDFDRIVER__) nameType) (= (type T.WDFFILEOBJECT__) nameType) (= (type T.WDFIOTARGET__) nameType) (= (type T.WDFMEMORY__) nameType) (= (type T.WDFQUEUE__) nameType) (= (type T.WDFREQUEST__) nameType) (= (type T.WDFSPINLOCK__) nameType) (= (type T.WDFUSBDEVICE__) nameType) (= (type T.WDFUSBINTERFACE__) nameType) (= (type T.WDFUSBPIPE__) nameType) (= (type T.WDFWORKITEM__) nameType) (= (type T._ACCESS_STATE) nameType) (= (type T._CM_FULL_RESOURCE_DESCRIPTOR) nameType) (= (type T._CM_PARTIAL_RESOURCE_DESCRIPTOR) nameType) (= (type T._CM_PARTIAL_RESOURCE_LIST) nameType) (= (type T._CM_RESOURCE_LIST) nameType) (= (type T._COMPRESSED_DATA_INFO) nameType) (= (type T._DEVICE_CAPABILITIES) nameType) (= (type T._DEVICE_CONTEXT) nameType) (= (type T._DEVICE_OBJECT) nameType) (= (type T._DEVICE_POWER_STATE) nameType) (= (type T._DEVICE_RELATION_TYPE) nameType) (= (type T._DEVICE_USAGE_NOTIFICATION_TYPE) nameType) (= (type T._DEVOBJ_EXTENSION) nameType) (= (type T._DISPATCHER_HEADER) nameType) (= (type T._DRIVER_EXTENSION) nameType) (= (type T._DRIVER_OBJECT) nameType) (= (type T._EPROCESS) nameType) (= (type T._ERESOURCE) nameType) (= (type T._FAST_IO_DISPATCH) nameType) (= (type T._FILE_BASIC_INFORMATION) nameType) (= (type T._FILE_CONTEXT) nameType) (= (type T._FILE_GET_QUOTA_INFORMATION) nameType) (= (type T._FILE_INFORMATION_CLASS) nameType) (= (type T._FILE_NETWORK_OPEN_INFORMATION) nameType) (= (type T._FILE_OBJECT) nameType) (= (type T._FILE_STANDARD_INFORMATION) nameType) (= (type T._FSINFOCLASS) nameType) (= (type T._GUID) nameType) (= (type T._INITIAL_PRIVILEGE_SET) nameType) (= (type T._INTERFACE) nameType) (= (type T._INTERFACE_TYPE) nameType) (= (type T._IO_ALLOCATION_ACTION) nameType) (= (type T._IO_COMPLETION_CONTEXT) nameType) (= (type T._IO_RESOURCE_DESCRIPTOR) nameType) (= (type T._IO_RESOURCE_LIST) nameType) (= (type T._IO_RESOURCE_REQUIREMENTS_LIST) nameType) (= (type T._IO_SECURITY_CONTEXT) nameType) (= (type T._IO_STACK_LOCATION) nameType) (= (type T._IO_STATUS_BLOCK) nameType) (= (type T._IO_TIMER) nameType) (= (type T._IRP) nameType) (= (type T._IRQ_DEVICE_POLICY) nameType) (= (type T._IRQ_PRIORITY) nameType) (= (type T._KAPC) nameType) (= (type T._KDEVICE_QUEUE) nameType) (= (type T._KDEVICE_QUEUE_ENTRY) nameType) (= (type T._KDPC) nameType) (= (type T._KEVENT) nameType) (= (type T._KPROCESS) nameType) (= (type T._KSEMAPHORE) nameType) (= (type T._KTHREAD) nameType) (= (type T._LARGE_INTEGER) nameType) (= (type T._LIST_ENTRY) nameType) (= (type T._LUID) nameType) (= (type T._LUID_AND_ATTRIBUTES) nameType) (= (type T._MDL) nameType) (= (type T._OWNER_ENTRY) nameType) (= (type T._POOL_TYPE) nameType) (= (type T._POWER_SEQUENCE) nameType) (= (type T._POWER_STATE) nameType) (= (type T._POWER_STATE_TYPE) nameType) (= (type T._PRIVILEGE_SET) nameType) (= (type T._REQUEST_CONTEXT) nameType) (= (type T._SCSI_REQUEST_BLOCK) nameType) (= (type T._SECTION_OBJECT_POINTERS) nameType) (= (type T._SECURITY_IMPERSONATION_LEVEL) nameType) (= (type T._SECURITY_QUALITY_OF_SERVICE) nameType) (= (type T._SECURITY_SUBJECT_CONTEXT) nameType) (= (type T._SUB_REQUEST_CONTEXT) nameType) (= (type T._SYSTEM_POWER_STATE) nameType) (= (type T._SYSTEM_POWER_STATE_CONTEXT) nameType) (= (type T._UNICODE_STRING) nameType) (= (type T._URB) nameType) (= (type T._URB_BULK_OR_INTERRUPT_TRANSFER) nameType) (= (type T._URB_CONTROL_DESCRIPTOR_REQUEST) nameType) (= (type T._URB_CONTROL_FEATURE_REQUEST) nameType) (= (type T._URB_CONTROL_GET_CONFIGURATION_REQUEST) nameType) (= (type T._URB_CONTROL_GET_INTERFACE_REQUEST) nameType) (= (type T._URB_CONTROL_GET_STATUS_REQUEST) nameType) (= (type T._URB_CONTROL_TRANSFER) nameType) (= (type T._URB_CONTROL_TRANSFER_EX) nameType) (= (type T._URB_CONTROL_VENDOR_OR_CLASS_REQUEST) nameType) (= (type T._URB_FRAME_LENGTH_CONTROL) nameType) (= (type T._URB_GET_CURRENT_FRAME_NUMBER) nameType) (= (type T._URB_GET_FRAME_LENGTH) nameType) (= (type T._URB_HCD_AREA) nameType) (= (type T._URB_HEADER) nameType) (= (type T._URB_ISOCH_TRANSFER) nameType) (= (type T._URB_OS_FEATURE_DESCRIPTOR_REQUEST) nameType) (= (type T._URB_PIPE_IO_POLICY) nameType) (= (type T._URB_PIPE_REQUEST) nameType) (= (type T._URB_SELECT_CONFIGURATION) nameType) (= (type T._URB_SELECT_INTERFACE) nameType) (= (type T._URB_SET_FRAME_LENGTH) nameType) (= (type T._USBD_INTERFACE_INFORMATION) nameType) (= (type T._USBD_ISO_PACKET_DESCRIPTOR) nameType) (= (type T._USBD_PIPE_INFORMATION) nameType) (= (type T._USBD_PIPE_TYPE) nameType) (= (type T._USB_CONFIGURATION_DESCRIPTOR) nameType) (= (type T._USB_DEVICE_DESCRIPTOR) nameType) (= (type T._USB_IO_PARAMETERS) nameType) (= (type T._USB_IO_PRIORITY) nameType) (= (type T._VPB) nameType) (= (type T._WAIT_CONTEXT_BLOCK) nameType) (= (type T._WDFMEMORY_OFFSET) nameType) (= (type T._WDF_DRIVER_GLOBALS) nameType) (= (type T._WDF_EXECUTION_LEVEL) nameType) (= (type T._WDF_IO_TARGET_SENT_IO_ACTION) nameType) (= (type T._WDF_OBJECT_ATTRIBUTES) nameType) (= (type T._WDF_OBJECT_CONTEXT_TYPE_INFO) nameType) (= (type T._WDF_REQUEST_COMPLETION_PARAMS) nameType) (= (type T._WDF_REQUEST_PARAMETERS) nameType) (= (type T._WDF_REQUEST_SEND_OPTIONS) nameType) (= (type T._WDF_REQUEST_TYPE) nameType) (= (type T._WDF_SYNCHRONIZATION_SCOPE) nameType) (= (type T._WDF_USB_PIPE_INFORMATION) nameType) (= (type T._WDF_USB_PIPE_TYPE) nameType) (= (type T._WDF_USB_REQUEST_COMPLETION_PARAMS) nameType) (= (type T._WDF_WORKITEM_CONFIG) nameType) (= (type T._WORKITEM_CONTEXT) nameType) (= (type T.__unnamed_12_00aa0978) nameType) (= (type T.__unnamed_12_011610e6) nameType) (= (type T.__unnamed_12_135b00bd) nameType) (= (type T.__unnamed_12_2349179a) nameType) (= (type T.__unnamed_12_508ad0f8) nameType) (= (type T.__unnamed_12_5a101f58) nameType) (= (type T.__unnamed_12_5c984402) nameType) (= (type T.__unnamed_12_6851572b) nameType) (= (type T.__unnamed_12_91f117a1) nameType) (= (type T.__unnamed_12_9675b19c) nameType) (= (type T.__unnamed_12_99988665) nameType) (= (type T.__unnamed_12_9b023e7e) nameType) (= (type T.__unnamed_12_a04f3ec2) nameType) (= (type T.__unnamed_12_a41ee278) nameType) (= (type T.__unnamed_12_aae97e0b) nameType) (= (type T.__unnamed_12_b0fe679d) nameType) (= (type T.__unnamed_12_b4709d3d) nameType) (= (type T.__unnamed_12_c07928f7) nameType) (= (type T.__unnamed_12_c13de773) nameType) (= (type T.__unnamed_12_e5e4e6f3) nameType) (= (type T.__unnamed_12_e7dc8c54) nameType) (= (type T.__unnamed_12_f4e6bbc2) nameType) (= (type T.__unnamed_16_08405228) nameType) (= (type T.__unnamed_16_0c179b13) nameType) (= (type T.__unnamed_16_160c71e3) nameType) (= (type T.__unnamed_16_28d48018) nameType) (= (type T.__unnamed_16_30754a00) nameType) (= (type T.__unnamed_16_3538eb2e) nameType) (= (type T.__unnamed_16_3be92f23) nameType) (= (type T.__unnamed_16_4692f360) nameType) (= (type T.__unnamed_16_47a80b6e) nameType) (= (type T.__unnamed_16_4a376f0e) nameType) (= (type T.__unnamed_16_50547125) nameType) (= (type T.__unnamed_16_70b335ff) nameType) (= (type T.__unnamed_16_758cc376) nameType) (= (type T.__unnamed_16_7b663246) nameType) (= (type T.__unnamed_16_8c4e1e25) nameType) (= (type T.__unnamed_16_8fdea1e0) nameType) (= (type T.__unnamed_16_90864369) nameType) (= (type T.__unnamed_16_98fa84c9) nameType) (= (type T.__unnamed_16_b19c652e) nameType) (= (type T.__unnamed_16_cbf64d77) nameType) (= (type T.__unnamed_16_d07eb79e) nameType) (= (type T.__unnamed_16_d8ea3f48) nameType) (= (type T.__unnamed_16_ec1b1a74) nameType) (= (type T.__unnamed_16_f0deee7d) nameType) (= (type T.__unnamed_16_f26424fc) nameType) (= (type T.__unnamed_16_f8ddfcfe) nameType) (= (type T.__unnamed_1_26d71ac8) nameType) (= (type T.__unnamed_1_7fe4cdbd) nameType) (= (type T.__unnamed_1_a19e9f98) nameType) (= (type T.__unnamed_1_a536060f) nameType) (= (type T.__unnamed_20_f8440734) nameType) (= (type T.__unnamed_24_06d73087) nameType) (= (type T.__unnamed_24_22419524) nameType) (= (type T.__unnamed_24_36b7e766) nameType) (= (type T.__unnamed_24_370204c2) nameType) (= (type T.__unnamed_24_52bbd12f) nameType) (= (type T.__unnamed_24_76cd2bdb) nameType) (= (type T.__unnamed_24_a2447d05) nameType) (= (type T.__unnamed_24_b8ad6aa7) nameType) (= (type T.__unnamed_24_ba07fbe7) nameType) (= (type T.__unnamed_2_8290e1b0) nameType) (= (type T.__unnamed_40_cfd29ebe) nameType) (= (type T.__unnamed_40_dbe30577) nameType) (= (type T.__unnamed_44_d7e89117) nameType) (= (type T.__unnamed_48_5a9f979b) nameType) (= (type T.__unnamed_4_0a20c9fb) nameType) (= (type T.__unnamed_4_27fec054) nameType) (= (type T.__unnamed_4_342578c3) nameType) (= (type T.__unnamed_4_36e06717) nameType) (= (type T.__unnamed_4_3e8985b1) nameType) (= (type T.__unnamed_4_4008e71b) nameType) (= (type T.__unnamed_4_41bc16eb) nameType) (= (type T.__unnamed_4_442e007e) nameType) (= (type T.__unnamed_4_6a857cdd) nameType) (= (type T.__unnamed_4_82d41359) nameType) (= (type T.__unnamed_4_94f0c80c) nameType) (= (type T.__unnamed_4_9b388132) nameType) (= (type T.__unnamed_4_9d516d2b) nameType) (= (type T.__unnamed_4_ac2f5fe2) nameType) (= (type T.__unnamed_4_b1953259) nameType) (= (type T.__unnamed_4_b617aa5a) nameType) (= (type T.__unnamed_4_b65679a6) nameType) (= (type T.__unnamed_4_c406319a) nameType) (= (type T.__unnamed_4_d6f0159b) nameType) (= (type T.__unnamed_4_de25a30d) nameType) (= (type T.__unnamed_4_dfcb1314) nameType) (= (type T.__unnamed_4_e60fbc3e) nameType) (= (type T.__unnamed_4_f525de8d) nameType) (= (type T.__unnamed_4_f571b1b9) nameType) (= (type T.__unnamed_4_fad32fd4) nameType) (= (type T.__unnamed_4_fbcc5fb9) nameType) (= (type T.__unnamed_8_20ce6f92) nameType) (= (type T.__unnamed_8_2c71b416) nameType) (= (type T.__unnamed_8_305df57c) nameType) (= (type T.__unnamed_8_4aac83fd) nameType) (= (type T.__unnamed_8_5c8f0abe) nameType) (= (type T.__unnamed_8_872f0ca6) nameType) (= (type T.__unnamed_8_89024868) nameType) (= (type T.__unnamed_8_8bfbe2a4) nameType) (= (type T.__unnamed_8_9b5da84f) nameType) (= (type T.__unnamed_8_9da0b827) nameType) (= (type T.__unnamed_8_bb154058) nameType) (= (type T.__unnamed_8_cdc8e4c0) nameType) (= (type T.__unnamed_8_d0cda093) nameType) (= (type T.__unnamed_8_da064ae3) nameType) (= (type T.__unnamed_8_e1457eff) nameType) (= (type T.__unnamed_8_f62d54e1) nameType) (= (type T.__unnamed_8_f825c111) nameType) (= (type T.__unnamed_96_e511a626) nameType) (= (Ctor byteType) 3) (forall ((?arg03 boogieT) (?arg1 boogieT)) (= (Ctor (MapType0Type ?arg03 ?arg1)) 4)) (forall ((?arg04 boogieT) (?arg10 boogieT)) (! (= (MapType0TypeInv0 (MapType0Type ?arg04 ?arg10)) ?arg04) :pattern ((MapType0Type ?arg04 ?arg10)) )) (forall ((?arg05 boogieT) (?arg11 boogieT)) (! (= (MapType0TypeInv1 (MapType0Type ?arg05 ?arg11)) ?arg11) :pattern ((MapType0Type ?arg05 ?arg11)) )) (forall ((?arg06 boogieU) (?arg12 boogieU)) (! (= (type (MapType0Select ?arg06 ?arg12)) (MapType0TypeInv1 (type ?arg06))) :pattern ((MapType0Select ?arg06 ?arg12)) )) (forall ((?arg07 boogieU) (?arg13 boogieU) (?arg2 boogieU)) (! (= (type (MapType0Store ?arg07 ?arg13 ?arg2)) (MapType0Type (type ?arg13) (type ?arg2))) :pattern ((MapType0Store ?arg07 ?arg13 ?arg2)) )) (forall ((?val boogieU) (?m boogieU) (?x00 boogieU)) (= (MapType0Select (MapType0Store ?m ?x00 ?val) ?x00) ?val)) (forall ((?val0 boogieU) (?m0 boogieU) (?x01 boogieU) (?y0 boogieU)) (or (= ?x01 ?y0) (= (MapType0Select (MapType0Store ?m0 ?x01 ?val0) ?y0) (MapType0Select ?m0 ?y0)))) (forall ((?val1 boogieU) (?m1 boogieU) (?x02 boogieU) (?y00 boogieU)) (or true (= (MapType0Select (MapType0Store ?m1 ?x02 ?val1) ?y00) (MapType0Select ?m1 ?y00)))) (= (type Empty) ?v_0) (= (type SetTrue) ?v_0) (forall ((?arg08 Int)) (! (= (type (Singleton ?arg08)) ?v_0) :pattern ((Singleton ?arg08)) )) (forall ((?arg09 boogieU) (?arg14 boogieU)) (! (= (type (Union ?arg09 ?arg14)) ?v_0) :pattern ((Union ?arg09 ?arg14)) )) (forall ((?arg010 boogieU) (?arg15 boogieU)) (! (= (type (Intersection ?arg010 ?arg15)) ?v_0) :pattern ((Intersection ?arg010 ?arg15)) )) (forall ((?arg011 boogieU) (?arg16 boogieU)) (! (= (type (Difference ?arg011 ?arg16)) ?v_0) :pattern ((Difference ?arg011 ?arg16)) )) (forall ((?arg012 boogieU) (?arg17 Int)) (! (= (type (Inverse ?arg012 ?arg17)) ?v_0) :pattern ((Inverse ?arg012 ?arg17)) )) (forall ((?arg013 boogieU) (?arg18 boogieU)) (! (= (type (Dereference ?arg013 ?arg18)) ?v_0) :pattern ((Dereference ?arg013 ?arg18)) )) (forall ((?arg014 boogieU)) (! (= (type (Unified ?arg014)) (MapType0Type intType intType)) :pattern ((Unified ?arg014)) )) (forall ((?arg015 Int)) (! (= (type (Field ?arg015)) nameType) :pattern ((Field ?arg015)) )) (forall ((?arg016 boogieU) (?arg19 boogieU)) (! (= (type (Values ?arg016 ?arg19)) ?v_0) :pattern ((Values ?arg016 ?arg19)) )) (forall ((?arg017 boogieU)) (! (= (type (T.Ptr ?arg017)) nameType) :pattern ((T.Ptr ?arg017)) )) (forall ((?arg018 boogieU)) (! (= (type (x_S_Blink__LIST_ENTRY ?arg018)) ?v_0) :pattern ((x_S_Blink__LIST_ENTRY ?arg018)) )) (forall ((?arg019 boogieU)) (! (= (type (x_S_Blink__LIST_ENTRYInv ?arg019)) ?v_0) :pattern ((x_S_Blink__LIST_ENTRYInv ?arg019)) )) (forall ((?arg020 boogieU)) (! (= (type (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?arg020)) ?v_0) :pattern ((x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?arg020)) )) (forall ((?arg021 boogieU)) (! (= (type (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?arg021)) ?v_0) :pattern ((x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?arg021)) )) (forall ((?arg022 boogieU)) (! (= (type (x_S_Device__WORKITEM_CONTEXT ?arg022)) ?v_0) :pattern ((x_S_Device__WORKITEM_CONTEXT ?arg022)) )) (forall ((?arg023 boogieU)) (! (= (type (x_S_Device__WORKITEM_CONTEXTInv ?arg023)) ?v_0) :pattern ((x_S_Device__WORKITEM_CONTEXTInv ?arg023)) )) (forall ((?arg024 boogieU)) (! (= (type (x_S_Flink__LIST_ENTRY ?arg024)) ?v_0) :pattern ((x_S_Flink__LIST_ENTRY ?arg024)) )) (forall ((?arg025 boogieU)) (! (= (type (x_S_Flink__LIST_ENTRYInv ?arg025)) ?v_0) :pattern ((x_S_Flink__LIST_ENTRYInv ?arg025)) )) (forall ((?arg026 boogieU)) (! (= (type (x_S_Function__URB_HEADER ?arg026)) ?v_0) :pattern ((x_S_Function__URB_HEADER ?arg026)) )) (forall ((?arg027 boogieU)) (! (= (type (x_S_Function__URB_HEADERInv ?arg027)) ?v_0) :pattern ((x_S_Function__URB_HEADERInv ?arg027)) )) (forall ((?arg028 boogieU)) (! (= (type (x_S_Hdr__URB_ISOCH_TRANSFER ?arg028)) ?v_0) :pattern ((x_S_Hdr__URB_ISOCH_TRANSFER ?arg028)) )) (forall ((?arg029 boogieU)) (! (= (type (x_S_Hdr__URB_ISOCH_TRANSFERInv ?arg029)) ?v_0) :pattern ((x_S_Hdr__URB_ISOCH_TRANSFERInv ?arg029)) )) (forall ((?arg030 boogieU)) (! (= (type (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?arg030)) ?v_0) :pattern ((x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?arg030)) )) (forall ((?arg031 boogieU)) (! (= (type (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?arg031)) ?v_0) :pattern ((x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?arg031)) )) (forall ((?arg032 boogieU)) (! (= (type (x_S_IsDeviceHighSpeed__DEVICE_CONTEXT ?arg032)) ?v_0) :pattern ((x_S_IsDeviceHighSpeed__DEVICE_CONTEXT ?arg032)) )) (forall ((?arg033 boogieU)) (! (= (type (x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv ?arg033)) ?v_0) :pattern ((x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv ?arg033)) )) (forall ((?arg034 boogieU)) (! (= (type (x_S_IsoPacket__URB_ISOCH_TRANSFER ?arg034)) ?v_0) :pattern ((x_S_IsoPacket__URB_ISOCH_TRANSFER ?arg034)) )) (forall ((?arg035 boogieU)) (! (= (type (x_S_IsoPacket__URB_ISOCH_TRANSFERInv ?arg035)) ?v_0) :pattern ((x_S_IsoPacket__URB_ISOCH_TRANSFERInv ?arg035)) )) (forall ((?arg036 boogieU)) (! (= (type (x_S_Length__REQUEST_CONTEXT ?arg036)) ?v_0) :pattern ((x_S_Length__REQUEST_CONTEXT ?arg036)) )) (forall ((?arg037 boogieU)) (! (= (type (x_S_Length__REQUEST_CONTEXTInv ?arg037)) ?v_0) :pattern ((x_S_Length__REQUEST_CONTEXTInv ?arg037)) )) (forall ((?arg038 boogieU)) (! (= (type (x_S_Length__URB_HEADER ?arg038)) ?v_0) :pattern ((x_S_Length__URB_HEADER ?arg038)) )) (forall ((?arg039 boogieU)) (! (= (type (x_S_Length__URB_HEADERInv ?arg039)) ?v_0) :pattern ((x_S_Length__URB_HEADERInv ?arg039)) )) (forall ((?arg040 boogieU)) (! (= (type (x_S_Length__USBD_ISO_PACKET_DESCRIPTOR ?arg040)) ?v_0) :pattern ((x_S_Length__USBD_ISO_PACKET_DESCRIPTOR ?arg040)) )) (forall ((?arg041 boogieU)) (! (= (type (x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv ?arg041)) ?v_0) :pattern ((x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv ?arg041)) )) (forall ((?arg042 boogieU)) (! (= (type (x_S_ListEntry__SUB_REQUEST_CONTEXT ?arg042)) ?v_0) :pattern ((x_S_ListEntry__SUB_REQUEST_CONTEXT ?arg042)) )) (forall ((?arg043 boogieU)) (! (= (type (x_S_ListEntry__SUB_REQUEST_CONTEXTInv ?arg043)) ?v_0) :pattern ((x_S_ListEntry__SUB_REQUEST_CONTEXTInv ?arg043)) )) (forall ((?arg044 boogieU)) (! (= (type (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?arg044)) ?v_0) :pattern ((x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?arg044)) )) (forall ((?arg045 boogieU)) (! (= (type (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?arg045)) ?v_0) :pattern ((x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?arg045)) )) (forall ((?arg046 boogieU)) (! (= (type (x_S_Mdl__REQUEST_CONTEXT ?arg046)) ?v_0) :pattern ((x_S_Mdl__REQUEST_CONTEXT ?arg046)) )) (forall ((?arg047 boogieU)) (! (= (type (x_S_Mdl__REQUEST_CONTEXTInv ?arg047)) ?v_0) :pattern ((x_S_Mdl__REQUEST_CONTEXTInv ?arg047)) )) (forall ((?arg048 boogieU)) (! (= (type (x_S_NumberConfiguredPipes__DEVICE_CONTEXT ?arg048)) ?v_0) :pattern ((x_S_NumberConfiguredPipes__DEVICE_CONTEXT ?arg048)) )) (forall ((?arg049 boogieU)) (! (= (type (x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv ?arg049)) ?v_0) :pattern ((x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv ?arg049)) )) (forall ((?arg050 boogieU)) (! (= (type (x_S_NumberOfPackets__URB_ISOCH_TRANSFER ?arg050)) ?v_0) :pattern ((x_S_NumberOfPackets__URB_ISOCH_TRANSFER ?arg050)) )) (forall ((?arg051 boogieU)) (! (= (type (x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv ?arg051)) ?v_0) :pattern ((x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv ?arg051)) )) (forall ((?arg052 boogieU)) (! (= (type (x_S_Numxfer__REQUEST_CONTEXT ?arg052)) ?v_0) :pattern ((x_S_Numxfer__REQUEST_CONTEXT ?arg052)) )) (forall ((?arg053 boogieU)) (! (= (type (x_S_Numxfer__REQUEST_CONTEXTInv ?arg053)) ?v_0) :pattern ((x_S_Numxfer__REQUEST_CONTEXTInv ?arg053)) )) (forall ((?arg054 boogieU)) (! (= (type (x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR ?arg054)) ?v_0) :pattern ((x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR ?arg054)) )) (forall ((?arg055 boogieU)) (! (= (type (x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv ?arg055)) ?v_0) :pattern ((x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv ?arg055)) )) (forall ((?arg056 boogieU)) (! (= (type (x_S_ParentObject__WDF_OBJECT_ATTRIBUTES ?arg056)) ?v_0) :pattern ((x_S_ParentObject__WDF_OBJECT_ATTRIBUTES ?arg056)) )) (forall ((?arg057 boogieU)) (! (= (type (x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv ?arg057)) ?v_0) :pattern ((x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv ?arg057)) )) (forall ((?arg058 boogieU)) (! (= (type (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?arg058)) ?v_0) :pattern ((x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?arg058)) )) (forall ((?arg059 boogieU)) (! (= (type (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg059)) ?v_0) :pattern ((x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg059)) )) (forall ((?arg060 boogieU)) (! (= (type (x_S_PipeHandle__URB_ISOCH_TRANSFER ?arg060)) ?v_0) :pattern ((x_S_PipeHandle__URB_ISOCH_TRANSFER ?arg060)) )) (forall ((?arg061 boogieU)) (! (= (type (x_S_PipeHandle__URB_ISOCH_TRANSFERInv ?arg061)) ?v_0) :pattern ((x_S_PipeHandle__URB_ISOCH_TRANSFERInv ?arg061)) )) (forall ((?arg062 boogieU)) (! (= (type (x_S_PipeType__WDF_USB_PIPE_INFORMATION ?arg062)) ?v_0) :pattern ((x_S_PipeType__WDF_USB_PIPE_INFORMATION ?arg062)) )) (forall ((?arg063 boogieU)) (! (= (type (x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv ?arg063)) ?v_0) :pattern ((x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv ?arg063)) )) (forall ((?arg064 boogieU)) (! (= (type (x_S_Pipe__FILE_CONTEXT ?arg064)) ?v_0) :pattern ((x_S_Pipe__FILE_CONTEXT ?arg064)) )) (forall ((?arg065 boogieU)) (! (= (type (x_S_Pipe__FILE_CONTEXTInv ?arg065)) ?v_0) :pattern ((x_S_Pipe__FILE_CONTEXTInv ?arg065)) )) (forall ((?arg066 boogieU)) (! (= (type (x_S_Pipe__WORKITEM_CONTEXT ?arg066)) ?v_0) :pattern ((x_S_Pipe__WORKITEM_CONTEXT ?arg066)) )) (forall ((?arg067 boogieU)) (! (= (type (x_S_Pipe__WORKITEM_CONTEXTInv ?arg067)) ?v_0) :pattern ((x_S_Pipe__WORKITEM_CONTEXTInv ?arg067)) )) (forall ((?arg068 boogieU)) (! (= (type (x_S_Read__REQUEST_CONTEXT ?arg068)) ?v_0) :pattern ((x_S_Read__REQUEST_CONTEXT ?arg068)) )) (forall ((?arg069 boogieU)) (! (= (type (x_S_Read__REQUEST_CONTEXTInv ?arg069)) ?v_0) :pattern ((x_S_Read__REQUEST_CONTEXTInv ?arg069)) )) (forall ((?arg070 boogieU)) (! (= (type (x_S_Size__WDF_USB_PIPE_INFORMATION ?arg070)) ?v_0) :pattern ((x_S_Size__WDF_USB_PIPE_INFORMATION ?arg070)) )) (forall ((?arg071 boogieU)) (! (= (type (x_S_Size__WDF_USB_PIPE_INFORMATIONInv ?arg071)) ?v_0) :pattern ((x_S_Size__WDF_USB_PIPE_INFORMATIONInv ?arg071)) )) (forall ((?arg072 boogieU)) (! (= (type (x_S_Status___unnamed_4_6a857cdd ?arg072)) ?v_0) :pattern ((x_S_Status___unnamed_4_6a857cdd ?arg072)) )) (forall ((?arg073 boogieU)) (! (= (type (x_S_Status___unnamed_4_6a857cddInv ?arg073)) ?v_0) :pattern ((x_S_Status___unnamed_4_6a857cddInv ?arg073)) )) (forall ((?arg074 boogieU)) (! (= (type (x_S_SubMdl__SUB_REQUEST_CONTEXT ?arg074)) ?v_0) :pattern ((x_S_SubMdl__SUB_REQUEST_CONTEXT ?arg074)) )) (forall ((?arg075 boogieU)) (! (= (type (x_S_SubMdl__SUB_REQUEST_CONTEXTInv ?arg075)) ?v_0) :pattern ((x_S_SubMdl__SUB_REQUEST_CONTEXTInv ?arg075)) )) (forall ((?arg076 boogieU)) (! (= (type (x_S_SubRequestCollectionLock__REQUEST_CONTEXT ?arg076)) ?v_0) :pattern ((x_S_SubRequestCollectionLock__REQUEST_CONTEXT ?arg076)) )) (forall ((?arg077 boogieU)) (! (= (type (x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv ?arg077)) ?v_0) :pattern ((x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv ?arg077)) )) (forall ((?arg078 boogieU)) (! (= (type (x_S_SubRequestCollection__REQUEST_CONTEXT ?arg078)) ?v_0) :pattern ((x_S_SubRequestCollection__REQUEST_CONTEXT ?arg078)) )) (forall ((?arg079 boogieU)) (! (= (type (x_S_SubRequestCollection__REQUEST_CONTEXTInv ?arg079)) ?v_0) :pattern ((x_S_SubRequestCollection__REQUEST_CONTEXTInv ?arg079)) )) (forall ((?arg080 boogieU)) (! (= (type (x_S_SubUrb__SUB_REQUEST_CONTEXT ?arg080)) ?v_0) :pattern ((x_S_SubUrb__SUB_REQUEST_CONTEXT ?arg080)) )) (forall ((?arg081 boogieU)) (! (= (type (x_S_SubUrb__SUB_REQUEST_CONTEXTInv ?arg081)) ?v_0) :pattern ((x_S_SubUrb__SUB_REQUEST_CONTEXTInv ?arg081)) )) (forall ((?arg082 boogieU)) (! (= (type (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?arg082)) ?v_0) :pattern ((x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?arg082)) )) (forall ((?arg083 boogieU)) (! (= (type (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg083)) ?v_0) :pattern ((x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg083)) )) (forall ((?arg084 boogieU)) (! (= (type (x_S_TransferBufferLength__URB_ISOCH_TRANSFER ?arg084)) ?v_0) :pattern ((x_S_TransferBufferLength__URB_ISOCH_TRANSFER ?arg084)) )) (forall ((?arg085 boogieU)) (! (= (type (x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv ?arg085)) ?v_0) :pattern ((x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv ?arg085)) )) (forall ((?arg086 boogieU)) (! (= (type (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?arg086)) ?v_0) :pattern ((x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?arg086)) )) (forall ((?arg087 boogieU)) (! (= (type (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg087)) ?v_0) :pattern ((x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg087)) )) (forall ((?arg088 boogieU)) (! (= (type (x_S_TransferBufferMDL__URB_ISOCH_TRANSFER ?arg088)) ?v_0) :pattern ((x_S_TransferBufferMDL__URB_ISOCH_TRANSFER ?arg088)) )) (forall ((?arg089 boogieU)) (! (= (type (x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv ?arg089)) ?v_0) :pattern ((x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv ?arg089)) )) (forall ((?arg090 boogieU)) (! (= (type (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?arg090)) ?v_0) :pattern ((x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?arg090)) )) (forall ((?arg091 boogieU)) (! (= (type (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg091)) ?v_0) :pattern ((x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg091)) )) (forall ((?arg092 boogieU)) (! (= (type (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?arg092)) ?v_0) :pattern ((x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?arg092)) )) (forall ((?arg093 boogieU)) (! (= (type (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg093)) ?v_0) :pattern ((x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg093)) )) (forall ((?arg094 boogieU)) (! (= (type (x_S_TransferFlags__URB_ISOCH_TRANSFER ?arg094)) ?v_0) :pattern ((x_S_TransferFlags__URB_ISOCH_TRANSFER ?arg094)) )) (forall ((?arg095 boogieU)) (! (= (type (x_S_TransferFlags__URB_ISOCH_TRANSFERInv ?arg095)) ?v_0) :pattern ((x_S_TransferFlags__URB_ISOCH_TRANSFERInv ?arg095)) )) (forall ((?arg096 boogieU)) (! (= (type (x_S_Type__WDF_REQUEST_PARAMETERS ?arg096)) ?v_0) :pattern ((x_S_Type__WDF_REQUEST_PARAMETERS ?arg096)) )) (forall ((?arg097 boogieU)) (! (= (type (x_S_Type__WDF_REQUEST_PARAMETERSInv ?arg097)) ?v_0) :pattern ((x_S_Type__WDF_REQUEST_PARAMETERSInv ?arg097)) )) (forall ((?arg098 boogieU)) (! (= (type (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?arg098)) ?v_0) :pattern ((x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?arg098)) )) (forall ((?arg099 boogieU)) (! (= (type (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?arg099)) ?v_0) :pattern ((x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?arg099)) )) (forall ((?arg0100 boogieU)) (! (= (type (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?arg0100)) ?v_0) :pattern ((x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?arg0100)) )) (forall ((?arg0101 boogieU)) (! (= (type (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?arg0101)) ?v_0) :pattern ((x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?arg0101)) )) (forall ((?arg0102 boogieU)) (! (= (type (x_S_UrbHeader___unnamed_96_e511a626 ?arg0102)) ?v_0) :pattern ((x_S_UrbHeader___unnamed_96_e511a626 ?arg0102)) )) (forall ((?arg0103 boogieU)) (! (= (type (x_S_UrbHeader___unnamed_96_e511a626Inv ?arg0103)) ?v_0) :pattern ((x_S_UrbHeader___unnamed_96_e511a626Inv ?arg0103)) )) (forall ((?arg0104 boogieU)) (! (= (type (x_S_UrbIsochronousTransfer___unnamed_96_e511a626 ?arg0104)) ?v_0) :pattern ((x_S_UrbIsochronousTransfer___unnamed_96_e511a626 ?arg0104)) )) (forall ((?arg0105 boogieU)) (! (= (type (x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv ?arg0105)) ?v_0) :pattern ((x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv ?arg0105)) )) (forall ((?arg0106 boogieU)) (! (= (type (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?arg0106)) ?v_0) :pattern ((x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?arg0106)) )) (forall ((?arg0107 boogieU)) (! (= (type (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg0107)) ?v_0) :pattern ((x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?arg0107)) )) (forall ((?arg0108 boogieU)) (! (= (type (x_S_UrbLink__URB_ISOCH_TRANSFER ?arg0108)) ?v_0) :pattern ((x_S_UrbLink__URB_ISOCH_TRANSFER ?arg0108)) )) (forall ((?arg0109 boogieU)) (! (= (type (x_S_UrbLink__URB_ISOCH_TRANSFERInv ?arg0109)) ?v_0) :pattern ((x_S_UrbLink__URB_ISOCH_TRANSFERInv ?arg0109)) )) (forall ((?arg0110 boogieU)) (! (= (type (x_S_UrbMemory__REQUEST_CONTEXT ?arg0110)) ?v_0) :pattern ((x_S_UrbMemory__REQUEST_CONTEXT ?arg0110)) )) (forall ((?arg0111 boogieU)) (! (= (type (x_S_UrbMemory__REQUEST_CONTEXTInv ?arg0111)) ?v_0) :pattern ((x_S_UrbMemory__REQUEST_CONTEXTInv ?arg0111)) )) (forall ((?arg0112 boogieU)) (! (= (type (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT ?arg0112)) ?v_0) :pattern ((x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT ?arg0112)) )) (forall ((?arg0113 boogieU)) (! (= (type (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?arg0113)) ?v_0) :pattern ((x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?arg0113)) )) (forall ((?arg0114 boogieU)) (! (= (type (x_S_UsbInterface__DEVICE_CONTEXT ?arg0114)) ?v_0) :pattern ((x_S_UsbInterface__DEVICE_CONTEXT ?arg0114)) )) (forall ((?arg0115 boogieU)) (! (= (type (x_S_UsbInterface__DEVICE_CONTEXTInv ?arg0115)) ?v_0) :pattern ((x_S_UsbInterface__DEVICE_CONTEXTInv ?arg0115)) )) (forall ((?arg0116 boogieU)) (! (= (type (x_S_UserRequest__SUB_REQUEST_CONTEXT ?arg0116)) ?v_0) :pattern ((x_S_UserRequest__SUB_REQUEST_CONTEXT ?arg0116)) )) (forall ((?arg0117 boogieU)) (! (= (type (x_S_UserRequest__SUB_REQUEST_CONTEXTInv ?arg0117)) ?v_0) :pattern ((x_S_UserRequest__SUB_REQUEST_CONTEXTInv ?arg0117)) )) (forall ((?arg0118 boogieU)) (! (= (type (x_S_VirtualAddress__REQUEST_CONTEXT ?arg0118)) ?v_0) :pattern ((x_S_VirtualAddress__REQUEST_CONTEXT ?arg0118)) )) (forall ((?arg0119 boogieU)) (! (= (type (x_S_VirtualAddress__REQUEST_CONTEXTInv ?arg0119)) ?v_0) :pattern ((x_S_VirtualAddress__REQUEST_CONTEXTInv ?arg0119)) )) (forall ((?arg0120 boogieU)) (! (= (type (x_S_WdfUsbTargetDevice__DEVICE_CONTEXT ?arg0120)) ?v_0) :pattern ((x_S_WdfUsbTargetDevice__DEVICE_CONTEXT ?arg0120)) )) (forall ((?arg0121 boogieU)) (! (= (type (x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv ?arg0121)) ?v_0) :pattern ((x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv ?arg0121)) )) (forall ((?arg0122 boogieU)) (! (= (type (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?arg0122)) ?v_0) :pattern ((x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?arg0122)) )) (forall ((?arg0123 boogieU)) (! (= (type (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?arg0123)) ?v_0) :pattern ((x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?arg0123)) )) (forall ((?arg0124 boogieU)) (! (= (type (x_S___unnamed_96_e511a626__URB ?arg0124)) ?v_0) :pattern ((x_S___unnamed_96_e511a626__URB ?arg0124)) )) (forall ((?arg0125 boogieU)) (! (= (type (x_S___unnamed_96_e511a626__URBInv ?arg0125)) ?v_0) :pattern ((x_S___unnamed_96_e511a626__URBInv ?arg0125)) )) (forall ((?arg0126 boogieU)) (! (= (type (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?arg0126)) ?v_0) :pattern ((x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?arg0126)) )) (forall ((?arg0127 boogieU)) (! (= (type (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?arg0127)) ?v_0) :pattern ((x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?arg0127)) )))))
(assert (and (forall ((?x1 boogieU)) (UOrdering2 ?x1 ?x1)) (forall ((?x2 boogieU) (?y boogieU) (?z boogieU)) (! (let ((?v_0 (type ?x2))) (=> (and (= (type ?y) ?v_0) (= (type ?z) ?v_0)) (=> (and (UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) (UOrdering2 ?x2 ?z)))) :pattern ((UOrdering2 ?x2 ?y) (UOrdering2 ?y ?z)) )) (forall ((?x3 boogieU) (?y1 boogieU)) (! (=> (= (type ?y1) (type ?x3)) (=> (and (UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) (= ?x3 ?y1))) :pattern ((UOrdering2 ?x3 ?y1) (UOrdering2 ?y1 ?x3)) )) (distinct UNALLOCATED ALLOCATED FREED BYTE T.unused_WDFCOLLECTION__ T.unused_WDFDEVICE__ T.unused_WDFDRIVER__ T.unused_WDFFILEOBJECT__ T.unused_WDFIOTARGET__ T.unused_WDFMEMORY__ T.unused_WDFQUEUE__ T.unused_WDFREQUEST__ T.unused_WDFSPINLOCK__ T.unused_WDFUSBDEVICE__ T.unused_WDFUSBINTERFACE__ T.unused_WDFUSBPIPE__ T.unused_WDFWORKITEM__ T.OperationID__ACCESS_STATE T.SecurityEvaluated__ACCESS_STATE T.GenerateAudit__ACCESS_STATE T.GenerateOnClose__ACCESS_STATE T.PrivilegesAllocated__ACCESS_STATE T.Flags__ACCESS_STATE T.RemainingDesiredAccess__ACCESS_STATE T.PreviouslyGrantedAccess__ACCESS_STATE T.OriginalDesiredAccess__ACCESS_STATE T.SubjectSecurityContext__ACCESS_STATE T.SecurityDescriptor__ACCESS_STATE T.AuxData__ACCESS_STATE T.Privileges__ACCESS_STATE T.AuditPrivileges__ACCESS_STATE T.ObjectName__ACCESS_STATE T.ObjectTypeName__ACCESS_STATE T.InterfaceType__CM_FULL_RESOURCE_DESCRIPTOR T.BusNumber__CM_FULL_RESOURCE_DESCRIPTOR T.PartialResourceList__CM_FULL_RESOURCE_DESCRIPTOR T.Type__CM_PARTIAL_RESOURCE_DESCRIPTOR T.ShareDisposition__CM_PARTIAL_RESOURCE_DESCRIPTOR T.Flags__CM_PARTIAL_RESOURCE_DESCRIPTOR T.u__CM_PARTIAL_RESOURCE_DESCRIPTOR T.Version__CM_PARTIAL_RESOURCE_LIST T.Revision__CM_PARTIAL_RESOURCE_LIST T.Count__CM_PARTIAL_RESOURCE_LIST T.PartialDescriptors__CM_PARTIAL_RESOURCE_LIST T.Count__CM_RESOURCE_LIST T.List__CM_RESOURCE_LIST T.Size__DEVICE_CAPABILITIES T.Version__DEVICE_CAPABILITIES T.DeviceD1__DEVICE_CAPABILITIES T.DeviceD2__DEVICE_CAPABILITIES T.LockSupported__DEVICE_CAPABILITIES T.EjectSupported__DEVICE_CAPABILITIES T.Removable__DEVICE_CAPABILITIES T.DockDevice__DEVICE_CAPABILITIES T.UniqueID__DEVICE_CAPABILITIES T.SilentInstall__DEVICE_CAPABILITIES T.RawDeviceOK__DEVICE_CAPABILITIES T.SurpriseRemovalOK__DEVICE_CAPABILITIES T.WakeFromD0__DEVICE_CAPABILITIES T.WakeFromD1__DEVICE_CAPABILITIES T.WakeFromD2__DEVICE_CAPABILITIES T.WakeFromD3__DEVICE_CAPABILITIES T.HardwareDisabled__DEVICE_CAPABILITIES T.NonDynamic__DEVICE_CAPABILITIES T.WarmEjectSupported__DEVICE_CAPABILITIES T.NoDisplayInUI__DEVICE_CAPABILITIES T.Reserved__DEVICE_CAPABILITIES T.Address__DEVICE_CAPABILITIES T.UINumber__DEVICE_CAPABILITIES T.DeviceState__DEVICE_CAPABILITIES T.SystemWake__DEVICE_CAPABILITIES T.DeviceWake__DEVICE_CAPABILITIES T.D1Latency__DEVICE_CAPABILITIES T.D2Latency__DEVICE_CAPABILITIES T.D3Latency__DEVICE_CAPABILITIES T.UsbDeviceDescriptor__DEVICE_CONTEXT T.UsbConfigurationDescriptor__DEVICE_CONTEXT T.WdfUsbTargetDevice__DEVICE_CONTEXT T.WaitWakeEnable__DEVICE_CONTEXT T.IsDeviceHighSpeed__DEVICE_CONTEXT T.UsbInterface__DEVICE_CONTEXT T.NumberConfiguredPipes__DEVICE_CONTEXT T.Type__DEVICE_OBJECT T.Size__DEVICE_OBJECT T.ReferenceCount__DEVICE_OBJECT T.DriverObject__DEVICE_OBJECT T.NextDevice__DEVICE_OBJECT T.AttachedDevice__DEVICE_OBJECT T.CurrentIrp__DEVICE_OBJECT T.Timer__DEVICE_OBJECT T.Flags__DEVICE_OBJECT T.Characteristics__DEVICE_OBJECT T.Vpb__DEVICE_OBJECT T.DeviceExtension__DEVICE_OBJECT T.DeviceType__DEVICE_OBJECT T.StackSize__DEVICE_OBJECT T.Queue__DEVICE_OBJECT T.AlignmentRequirement__DEVICE_OBJECT T.DeviceQueue__DEVICE_OBJECT T.Dpc__DEVICE_OBJECT T.ActiveThreadCount__DEVICE_OBJECT T.SecurityDescriptor__DEVICE_OBJECT T.DeviceLock__DEVICE_OBJECT T.SectorSize__DEVICE_OBJECT T.Spare1__DEVICE_OBJECT T.DeviceObjectExtension__DEVICE_OBJECT T.Reserved__DEVICE_OBJECT T.Type__DEVOBJ_EXTENSION T.Size__DEVOBJ_EXTENSION T.DeviceObject__DEVOBJ_EXTENSION T.__unnamed_4_dfcb1314__DISPATCHER_HEADER T.SignalState__DISPATCHER_HEADER T.WaitListHead__DISPATCHER_HEADER T.DriverObject__DRIVER_EXTENSION T.AddDevice__DRIVER_EXTENSION T.Count__DRIVER_EXTENSION T.ServiceKeyName__DRIVER_EXTENSION T.Type__DRIVER_OBJECT T.Size__DRIVER_OBJECT T.DeviceObject__DRIVER_OBJECT T.Flags__DRIVER_OBJECT T.DriverStart__DRIVER_OBJECT T.DriverSize__DRIVER_OBJECT T.DriverSection__DRIVER_OBJECT T.DriverExtension__DRIVER_OBJECT T.DriverName__DRIVER_OBJECT T.HardwareDatabase__DRIVER_OBJECT T.FastIoDispatch__DRIVER_OBJECT T.DriverInit__DRIVER_OBJECT T.DriverStartIo__DRIVER_OBJECT T.DriverUnload__DRIVER_OBJECT T.MajorFunction__DRIVER_OBJECT T.SystemResourcesList__ERESOURCE T.OwnerTable__ERESOURCE T.ActiveCount__ERESOURCE T.Flag__ERESOURCE T.SharedWaiters__ERESOURCE T.ExclusiveWaiters__ERESOURCE T.OwnerEntry__ERESOURCE T.ActiveEntries__ERESOURCE T.ContentionCount__ERESOURCE T.NumberOfSharedWaiters__ERESOURCE T.NumberOfExclusiveWaiters__ERESOURCE T.__unnamed_4_9d516d2b__ERESOURCE T.SpinLock__ERESOURCE T.SizeOfFastIoDispatch__FAST_IO_DISPATCH T.FastIoCheckIfPossible__FAST_IO_DISPATCH T.FastIoRead__FAST_IO_DISPATCH T.FastIoWrite__FAST_IO_DISPATCH T.FastIoQueryBasicInfo__FAST_IO_DISPATCH T.FastIoQueryStandardInfo__FAST_IO_DISPATCH T.FastIoLock__FAST_IO_DISPATCH T.FastIoUnlockSingle__FAST_IO_DISPATCH T.FastIoUnlockAll__FAST_IO_DISPATCH T.FastIoUnlockAllByKey__FAST_IO_DISPATCH T.FastIoDeviceControl__FAST_IO_DISPATCH T.AcquireFileForNtCreateSection__FAST_IO_DISPATCH T.ReleaseFileForNtCreateSection__FAST_IO_DISPATCH T.FastIoDetachDevice__FAST_IO_DISPATCH T.FastIoQueryNetworkOpenInfo__FAST_IO_DISPATCH T.AcquireForModWrite__FAST_IO_DISPATCH T.MdlRead__FAST_IO_DISPATCH T.MdlReadComplete__FAST_IO_DISPATCH T.PrepareMdlWrite__FAST_IO_DISPATCH T.MdlWriteComplete__FAST_IO_DISPATCH T.FastIoReadCompressed__FAST_IO_DISPATCH T.FastIoWriteCompressed__FAST_IO_DISPATCH T.MdlReadCompleteCompressed__FAST_IO_DISPATCH T.MdlWriteCompleteCompressed__FAST_IO_DISPATCH T.FastIoQueryOpen__FAST_IO_DISPATCH T.ReleaseForModWrite__FAST_IO_DISPATCH T.AcquireForCcFlush__FAST_IO_DISPATCH T.ReleaseForCcFlush__FAST_IO_DISPATCH T.CreationTime__FILE_BASIC_INFORMATION T.LastAccessTime__FILE_BASIC_INFORMATION T.LastWriteTime__FILE_BASIC_INFORMATION T.ChangeTime__FILE_BASIC_INFORMATION T.FileAttributes__FILE_BASIC_INFORMATION T.Pipe__FILE_CONTEXT T.CreationTime__FILE_NETWORK_OPEN_INFORMATION T.LastAccessTime__FILE_NETWORK_OPEN_INFORMATION T.LastWriteTime__FILE_NETWORK_OPEN_INFORMATION T.ChangeTime__FILE_NETWORK_OPEN_INFORMATION T.AllocationSize__FILE_NETWORK_OPEN_INFORMATION T.EndOfFile__FILE_NETWORK_OPEN_INFORMATION T.FileAttributes__FILE_NETWORK_OPEN_INFORMATION T.Type__FILE_OBJECT T.Size__FILE_OBJECT T.DeviceObject__FILE_OBJECT T.Vpb__FILE_OBJECT T.FsContext__FILE_OBJECT T.FsContext2__FILE_OBJECT T.SectionObjectPointer__FILE_OBJECT T.PrivateCacheMap__FILE_OBJECT T.FinalStatus__FILE_OBJECT T.RelatedFileObject__FILE_OBJECT T.LockOperation__FILE_OBJECT T.DeletePending__FILE_OBJECT T.ReadAccess__FILE_OBJECT T.WriteAccess__FILE_OBJECT T.DeleteAccess__FILE_OBJECT T.SharedRead__FILE_OBJECT T.SharedWrite__FILE_OBJECT T.SharedDelete__FILE_OBJECT T.Flags__FILE_OBJECT T.FileName__FILE_OBJECT T.CurrentByteOffset__FILE_OBJECT T.Waiters__FILE_OBJECT T.Busy__FILE_OBJECT T.LastLock__FILE_OBJECT T.Lock__FILE_OBJECT T.Event__FILE_OBJECT T.CompletionContext__FILE_OBJECT T.IrpListLock__FILE_OBJECT T.IrpList__FILE_OBJECT T.FileObjectExtension__FILE_OBJECT T.AllocationSize__FILE_STANDARD_INFORMATION T.EndOfFile__FILE_STANDARD_INFORMATION T.NumberOfLinks__FILE_STANDARD_INFORMATION T.DeletePending__FILE_STANDARD_INFORMATION T.Directory__FILE_STANDARD_INFORMATION T.Data1__GUID T.Data2__GUID T.Data3__GUID T.Data4__GUID T.PrivilegeCount__INITIAL_PRIVILEGE_SET T.Control__INITIAL_PRIVILEGE_SET T.Privilege__INITIAL_PRIVILEGE_SET T.Size__INTERFACE T.Version__INTERFACE T.Context__INTERFACE T.InterfaceReference__INTERFACE T.InterfaceDereference__INTERFACE T.Port__IO_COMPLETION_CONTEXT T.Key__IO_COMPLETION_CONTEXT T.Option__IO_RESOURCE_DESCRIPTOR T.Type__IO_RESOURCE_DESCRIPTOR T.ShareDisposition__IO_RESOURCE_DESCRIPTOR T.Spare1__IO_RESOURCE_DESCRIPTOR T.Flags__IO_RESOURCE_DESCRIPTOR T.Spare2__IO_RESOURCE_DESCRIPTOR T.u__IO_RESOURCE_DESCRIPTOR T.Version__IO_RESOURCE_LIST T.Revision__IO_RESOURCE_LIST T.Count__IO_RESOURCE_LIST T.Descriptors__IO_RESOURCE_LIST T.ListSize__IO_RESOURCE_REQUIREMENTS_LIST T.InterfaceType__IO_RESOURCE_REQUIREMENTS_LIST T.BusNumber__IO_RESOURCE_REQUIREMENTS_LIST T.SlotNumber__IO_RESOURCE_REQUIREMENTS_LIST T.Reserved__IO_RESOURCE_REQUIREMENTS_LIST T.AlternativeLists__IO_RESOURCE_REQUIREMENTS_LIST T.List__IO_RESOURCE_REQUIREMENTS_LIST T.SecurityQos__IO_SECURITY_CONTEXT T.AccessState__IO_SECURITY_CONTEXT T.DesiredAccess__IO_SECURITY_CONTEXT T.FullCreateOptions__IO_SECURITY_CONTEXT T.MajorFunction__IO_STACK_LOCATION T.MinorFunction__IO_STACK_LOCATION T.Flags__IO_STACK_LOCATION T.Control__IO_STACK_LOCATION T.Parameters__IO_STACK_LOCATION T.DeviceObject__IO_STACK_LOCATION T.FileObject__IO_STACK_LOCATION T.CompletionRoutine__IO_STACK_LOCATION T.Context__IO_STACK_LOCATION T.__unnamed_4_6a857cdd__IO_STATUS_BLOCK T.Information__IO_STATUS_BLOCK T.Type__IRP T.Size__IRP T.MdlAddress__IRP T.Flags__IRP T.AssociatedIrp__IRP T.ThreadListEntry__IRP T.IoStatus__IRP T.RequestorMode__IRP T.PendingReturned__IRP T.StackCount__IRP T.CurrentLocation__IRP T.Cancel__IRP T.CancelIrql__IRP T.ApcEnvironment__IRP T.AllocationFlags__IRP T.UserIosb__IRP T.UserEvent__IRP T.Overlay__IRP T.CancelRoutine__IRP T.UserBuffer__IRP T.Tail__IRP T.Type__KAPC T.SpareByte0__KAPC T.Size__KAPC T.SpareByte1__KAPC T.SpareLong0__KAPC T.Thread__KAPC T.ApcListEntry__KAPC T.KernelRoutine__KAPC T.RundownRoutine__KAPC T.NormalRoutine__KAPC T.NormalContext__KAPC T.SystemArgument1__KAPC T.SystemArgument2__KAPC T.ApcStateIndex__KAPC T.ApcMode__KAPC T.Inserted__KAPC T.Type__KDEVICE_QUEUE T.Size__KDEVICE_QUEUE T.DeviceListHead__KDEVICE_QUEUE T.Lock__KDEVICE_QUEUE T.Busy__KDEVICE_QUEUE T.DeviceListEntry__KDEVICE_QUEUE_ENTRY T.SortKey__KDEVICE_QUEUE_ENTRY T.Inserted__KDEVICE_QUEUE_ENTRY T.Type__KDPC T.Importance__KDPC T.Number__KDPC T.DpcListEntry__KDPC T.DeferredRoutine__KDPC T.DeferredContext__KDPC T.SystemArgument1__KDPC T.SystemArgument2__KDPC T.DpcData__KDPC T.Header__KEVENT T.Header__KSEMAPHORE T.Limit__KSEMAPHORE T.__unnamed_8_bb154058__LARGE_INTEGER T.u__LARGE_INTEGER T.QuadPart__LARGE_INTEGER T.Flink__LIST_ENTRY T.Blink__LIST_ENTRY T.LowPart__LUID T.HighPart__LUID T.Luid__LUID_AND_ATTRIBUTES T.Attributes__LUID_AND_ATTRIBUTES T.Next__MDL T.Size__MDL T.MdlFlags__MDL T.Process__MDL T.MappedSystemVa__MDL T.StartVa__MDL T.ByteCount__MDL T.ByteOffset__MDL T.OwnerThread__OWNER_ENTRY T.__unnamed_4_c406319a__OWNER_ENTRY T.SequenceD1__POWER_SEQUENCE T.SequenceD2__POWER_SEQUENCE T.SequenceD3__POWER_SEQUENCE T.SystemState__POWER_STATE T.DeviceState__POWER_STATE T.PrivilegeCount__PRIVILEGE_SET T.Control__PRIVILEGE_SET T.Privilege__PRIVILEGE_SET T.UrbMemory__REQUEST_CONTEXT T.Mdl__REQUEST_CONTEXT T.Length__REQUEST_CONTEXT T.Numxfer__REQUEST_CONTEXT T.VirtualAddress__REQUEST_CONTEXT T.SubRequestCollection__REQUEST_CONTEXT T.SubRequestCollectionLock__REQUEST_CONTEXT T.Read__REQUEST_CONTEXT T.DataSectionObject__SECTION_OBJECT_POINTERS T.SharedCacheMap__SECTION_OBJECT_POINTERS T.ImageSectionObject__SECTION_OBJECT_POINTERS T.Length__SECURITY_QUALITY_OF_SERVICE T.ImpersonationLevel__SECURITY_QUALITY_OF_SERVICE T.ContextTrackingMode__SECURITY_QUALITY_OF_SERVICE T.EffectiveOnly__SECURITY_QUALITY_OF_SERVICE T.ClientToken__SECURITY_SUBJECT_CONTEXT T.ImpersonationLevel__SECURITY_SUBJECT_CONTEXT T.PrimaryToken__SECURITY_SUBJECT_CONTEXT T.ProcessAuditId__SECURITY_SUBJECT_CONTEXT T.UserRequest__SUB_REQUEST_CONTEXT T.SubUrb__SUB_REQUEST_CONTEXT T.SubMdl__SUB_REQUEST_CONTEXT T.ListEntry__SUB_REQUEST_CONTEXT T.__unnamed_4_f525de8d__SYSTEM_POWER_STATE_CONTEXT T.Length__UNICODE_STRING T.MaximumLength__UNICODE_STRING T.Buffer__UNICODE_STRING T.__unnamed_96_e511a626__URB T.Hdr__URB_BULK_OR_INTERRUPT_TRANSFER T.PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER T.TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER T.TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER T.TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER T.TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER T.UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER T.hca__URB_BULK_OR_INTERRUPT_TRANSFER T.Hdr__URB_CONTROL_DESCRIPTOR_REQUEST T.Reserved__URB_CONTROL_DESCRIPTOR_REQUEST T.Reserved0__URB_CONTROL_DESCRIPTOR_REQUEST T.TransferBufferLength__URB_CONTROL_DESCRIPTOR_REQUEST T.TransferBuffer__URB_CONTROL_DESCRIPTOR_REQUEST T.TransferBufferMDL__URB_CONTROL_DESCRIPTOR_REQUEST T.UrbLink__URB_CONTROL_DESCRIPTOR_REQUEST T.hca__URB_CONTROL_DESCRIPTOR_REQUEST T.Reserved1__URB_CONTROL_DESCRIPTOR_REQUEST T.Index__URB_CONTROL_DESCRIPTOR_REQUEST T.DescriptorType__URB_CONTROL_DESCRIPTOR_REQUEST T.LanguageId__URB_CONTROL_DESCRIPTOR_REQUEST T.Reserved2__URB_CONTROL_DESCRIPTOR_REQUEST T.Hdr__URB_CONTROL_FEATURE_REQUEST T.Reserved__URB_CONTROL_FEATURE_REQUEST T.Reserved2__URB_CONTROL_FEATURE_REQUEST T.Reserved3__URB_CONTROL_FEATURE_REQUEST T.Reserved4__URB_CONTROL_FEATURE_REQUEST T.Reserved5__URB_CONTROL_FEATURE_REQUEST T.UrbLink__URB_CONTROL_FEATURE_REQUEST T.hca__URB_CONTROL_FEATURE_REQUEST T.Reserved0__URB_CONTROL_FEATURE_REQUEST T.FeatureSelector__URB_CONTROL_FEATURE_REQUEST T.Index__URB_CONTROL_FEATURE_REQUEST T.Reserved1__URB_CONTROL_FEATURE_REQUEST T.Hdr__URB_CONTROL_GET_CONFIGURATION_REQUEST T.Reserved__URB_CONTROL_GET_CONFIGURATION_REQUEST T.Reserved0__URB_CONTROL_GET_CONFIGURATION_REQUEST T.TransferBufferLength__URB_CONTROL_GET_CONFIGURATION_REQUEST T.TransferBuffer__URB_CONTROL_GET_CONFIGURATION_REQUEST T.TransferBufferMDL__URB_CONTROL_GET_CONFIGURATION_REQUEST T.UrbLink__URB_CONTROL_GET_CONFIGURATION_REQUEST T.hca__URB_CONTROL_GET_CONFIGURATION_REQUEST T.Reserved1__URB_CONTROL_GET_CONFIGURATION_REQUEST T.Hdr__URB_CONTROL_GET_INTERFACE_REQUEST T.Reserved__URB_CONTROL_GET_INTERFACE_REQUEST T.Reserved0__URB_CONTROL_GET_INTERFACE_REQUEST T.TransferBufferLength__URB_CONTROL_GET_INTERFACE_REQUEST T.TransferBuffer__URB_CONTROL_GET_INTERFACE_REQUEST T.TransferBufferMDL__URB_CONTROL_GET_INTERFACE_REQUEST T.UrbLink__URB_CONTROL_GET_INTERFACE_REQUEST T.hca__URB_CONTROL_GET_INTERFACE_REQUEST T.Reserved1__URB_CONTROL_GET_INTERFACE_REQUEST T.Interface__URB_CONTROL_GET_INTERFACE_REQUEST T.Reserved2__URB_CONTROL_GET_INTERFACE_REQUEST T.Hdr__URB_CONTROL_GET_STATUS_REQUEST T.Reserved__URB_CONTROL_GET_STATUS_REQUEST T.Reserved0__URB_CONTROL_GET_STATUS_REQUEST T.TransferBufferLength__URB_CONTROL_GET_STATUS_REQUEST T.TransferBuffer__URB_CONTROL_GET_STATUS_REQUEST T.TransferBufferMDL__URB_CONTROL_GET_STATUS_REQUEST T.UrbLink__URB_CONTROL_GET_STATUS_REQUEST T.hca__URB_CONTROL_GET_STATUS_REQUEST T.Reserved1__URB_CONTROL_GET_STATUS_REQUEST T.Index__URB_CONTROL_GET_STATUS_REQUEST T.Reserved2__URB_CONTROL_GET_STATUS_REQUEST T.Hdr__URB_CONTROL_TRANSFER T.PipeHandle__URB_CONTROL_TRANSFER T.TransferFlags__URB_CONTROL_TRANSFER T.TransferBufferLength__URB_CONTROL_TRANSFER T.TransferBuffer__URB_CONTROL_TRANSFER T.TransferBufferMDL__URB_CONTROL_TRANSFER T.UrbLink__URB_CONTROL_TRANSFER T.hca__URB_CONTROL_TRANSFER T.SetupPacket__URB_CONTROL_TRANSFER T.Hdr__URB_CONTROL_TRANSFER_EX T.PipeHandle__URB_CONTROL_TRANSFER_EX T.TransferFlags__URB_CONTROL_TRANSFER_EX T.TransferBufferLength__URB_CONTROL_TRANSFER_EX T.TransferBuffer__URB_CONTROL_TRANSFER_EX T.TransferBufferMDL__URB_CONTROL_TRANSFER_EX T.Timeout__URB_CONTROL_TRANSFER_EX T.hca__URB_CONTROL_TRANSFER_EX T.SetupPacket__URB_CONTROL_TRANSFER_EX T.Hdr__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.Reserved__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.TransferFlags__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.TransferBufferLength__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.TransferBuffer__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.TransferBufferMDL__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.UrbLink__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.hca__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.RequestTypeReservedBits__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.Request__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.Value__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.Index__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.Reserved1__URB_CONTROL_VENDOR_OR_CLASS_REQUEST T.Hdr__URB_FRAME_LENGTH_CONTROL T.Hdr__URB_GET_CURRENT_FRAME_NUMBER T.FrameNumber__URB_GET_CURRENT_FRAME_NUMBER T.Hdr__URB_GET_FRAME_LENGTH T.FrameLength__URB_GET_FRAME_LENGTH T.FrameNumber__URB_GET_FRAME_LENGTH T.Reserved8__URB_HCD_AREA T.Length__URB_HEADER T.Function__URB_HEADER T.Status__URB_HEADER T.UsbdDeviceHandle__URB_HEADER T.UsbdFlags__URB_HEADER T.Hdr__URB_ISOCH_TRANSFER T.PipeHandle__URB_ISOCH_TRANSFER T.TransferFlags__URB_ISOCH_TRANSFER T.TransferBufferLength__URB_ISOCH_TRANSFER T.TransferBuffer__URB_ISOCH_TRANSFER T.TransferBufferMDL__URB_ISOCH_TRANSFER T.UrbLink__URB_ISOCH_TRANSFER T.hca__URB_ISOCH_TRANSFER T.StartFrame__URB_ISOCH_TRANSFER T.NumberOfPackets__URB_ISOCH_TRANSFER T.ErrorCount__URB_ISOCH_TRANSFER T.IsoPacket__URB_ISOCH_TRANSFER T.Hdr__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Reserved__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Reserved0__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.TransferBufferLength__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.TransferBuffer__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.TransferBufferMDL__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.UrbLink__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.hca__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Recipient__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Reserved1__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Reserved2__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.InterfaceNumber__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.MS_PageIndex__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.MS_FeatureDescriptorIndex__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Reserved3__URB_OS_FEATURE_DESCRIPTOR_REQUEST T.Hdr__URB_PIPE_IO_POLICY T.PipeHandle__URB_PIPE_IO_POLICY T.UsbIoParamters__URB_PIPE_IO_POLICY T.Hdr__URB_PIPE_REQUEST T.PipeHandle__URB_PIPE_REQUEST T.Reserved__URB_PIPE_REQUEST T.Hdr__URB_SELECT_CONFIGURATION T.ConfigurationDescriptor__URB_SELECT_CONFIGURATION T.ConfigurationHandle__URB_SELECT_CONFIGURATION T.Interface__URB_SELECT_CONFIGURATION T.Hdr__URB_SELECT_INTERFACE T.ConfigurationHandle__URB_SELECT_INTERFACE T.Interface__URB_SELECT_INTERFACE T.Hdr__URB_SET_FRAME_LENGTH T.FrameLengthDelta__URB_SET_FRAME_LENGTH T.Length__USBD_INTERFACE_INFORMATION T.InterfaceNumber__USBD_INTERFACE_INFORMATION T.AlternateSetting__USBD_INTERFACE_INFORMATION T.Class__USBD_INTERFACE_INFORMATION T.SubClass__USBD_INTERFACE_INFORMATION T.Protocol__USBD_INTERFACE_INFORMATION T.Reserved__USBD_INTERFACE_INFORMATION T.InterfaceHandle__USBD_INTERFACE_INFORMATION T.NumberOfPipes__USBD_INTERFACE_INFORMATION T.Pipes__USBD_INTERFACE_INFORMATION T.Offset__USBD_ISO_PACKET_DESCRIPTOR T.Length__USBD_ISO_PACKET_DESCRIPTOR T.Status__USBD_ISO_PACKET_DESCRIPTOR T.MaximumPacketSize__USBD_PIPE_INFORMATION T.EndpointAddress__USBD_PIPE_INFORMATION T.Interval__USBD_PIPE_INFORMATION T.PipeType__USBD_PIPE_INFORMATION T.PipeHandle__USBD_PIPE_INFORMATION T.MaximumTransferSize__USBD_PIPE_INFORMATION T.PipeFlags__USBD_PIPE_INFORMATION T.bLength__USB_CONFIGURATION_DESCRIPTOR T.bDescriptorType__USB_CONFIGURATION_DESCRIPTOR T.wTotalLength__USB_CONFIGURATION_DESCRIPTOR T.bNumInterfaces__USB_CONFIGURATION_DESCRIPTOR T.bConfigurationValue__USB_CONFIGURATION_DESCRIPTOR T.iConfiguration__USB_CONFIGURATION_DESCRIPTOR T.bmAttributes__USB_CONFIGURATION_DESCRIPTOR T.MaxPower__USB_CONFIGURATION_DESCRIPTOR T.bLength__USB_DEVICE_DESCRIPTOR T.bDescriptorType__USB_DEVICE_DESCRIPTOR T.bcdUSB__USB_DEVICE_DESCRIPTOR T.bDeviceClass__USB_DEVICE_DESCRIPTOR T.bDeviceSubClass__USB_DEVICE_DESCRIPTOR T.bDeviceProtocol__USB_DEVICE_DESCRIPTOR T.bMaxPacketSize0__USB_DEVICE_DESCRIPTOR T.idVendor__USB_DEVICE_DESCRIPTOR T.idProduct__USB_DEVICE_DESCRIPTOR T.bcdDevice__USB_DEVICE_DESCRIPTOR T.iManufacturer__USB_DEVICE_DESCRIPTOR T.iProduct__USB_DEVICE_DESCRIPTOR T.iSerialNumber__USB_DEVICE_DESCRIPTOR T.bNumConfigurations__USB_DEVICE_DESCRIPTOR T.UsbIoPriority__USB_IO_PARAMETERS T.UsbMaxPendingIrps__USB_IO_PARAMETERS T.UsbMaxControllerTransfer__USB_IO_PARAMETERS T.Type__VPB T.Size__VPB T.Flags__VPB T.VolumeLabelLength__VPB T.DeviceObject__VPB T.RealDevice__VPB T.SerialNumber__VPB T.ReferenceCount__VPB T.VolumeLabel__VPB T.WaitQueueEntry__WAIT_CONTEXT_BLOCK T.DeviceRoutine__WAIT_CONTEXT_BLOCK T.DeviceContext__WAIT_CONTEXT_BLOCK T.NumberOfMapRegisters__WAIT_CONTEXT_BLOCK T.DeviceObject__WAIT_CONTEXT_BLOCK T.CurrentIrp__WAIT_CONTEXT_BLOCK T.BufferChainingDpc__WAIT_CONTEXT_BLOCK T.BufferOffset__WDFMEMORY_OFFSET T.BufferLength__WDFMEMORY_OFFSET T.Driver__WDF_DRIVER_GLOBALS T.DriverFlags__WDF_DRIVER_GLOBALS T.DriverTag__WDF_DRIVER_GLOBALS T.DriverName__WDF_DRIVER_GLOBALS T.DisplaceDriverUnload__WDF_DRIVER_GLOBALS T.Size__WDF_OBJECT_ATTRIBUTES T.EvtCleanupCallback__WDF_OBJECT_ATTRIBUTES T.EvtDestroyCallback__WDF_OBJECT_ATTRIBUTES T.ExecutionLevel__WDF_OBJECT_ATTRIBUTES T.SynchronizationScope__WDF_OBJECT_ATTRIBUTES T.ParentObject__WDF_OBJECT_ATTRIBUTES T.ContextSizeOverride__WDF_OBJECT_ATTRIBUTES T.ContextTypeInfo__WDF_OBJECT_ATTRIBUTES T.Size__WDF_OBJECT_CONTEXT_TYPE_INFO T.ContextName__WDF_OBJECT_CONTEXT_TYPE_INFO T.ContextSize__WDF_OBJECT_CONTEXT_TYPE_INFO T.UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO T.EvtDriverGetUniqueContextType__WDF_OBJECT_CONTEXT_TYPE_INFO T.Size__WDF_REQUEST_COMPLETION_PARAMS T.Type__WDF_REQUEST_COMPLETION_PARAMS T.IoStatus__WDF_REQUEST_COMPLETION_PARAMS T.Parameters__WDF_REQUEST_COMPLETION_PARAMS T.Size__WDF_REQUEST_PARAMETERS T.MinorFunction__WDF_REQUEST_PARAMETERS T.Type__WDF_REQUEST_PARAMETERS T.Parameters__WDF_REQUEST_PARAMETERS T.Size__WDF_REQUEST_SEND_OPTIONS T.Flags__WDF_REQUEST_SEND_OPTIONS T.Timeout__WDF_REQUEST_SEND_OPTIONS T.Size__WDF_USB_PIPE_INFORMATION T.MaximumPacketSize__WDF_USB_PIPE_INFORMATION T.EndpointAddress__WDF_USB_PIPE_INFORMATION T.Interval__WDF_USB_PIPE_INFORMATION T.SettingIndex__WDF_USB_PIPE_INFORMATION T.PipeType__WDF_USB_PIPE_INFORMATION T.MaximumTransferSize__WDF_USB_PIPE_INFORMATION T.Size__WDF_WORKITEM_CONFIG T.EvtWorkItemFunc__WDF_WORKITEM_CONFIG T.AutomaticSerialization__WDF_WORKITEM_CONFIG T.Device__WORKITEM_CONTEXT T.Pipe__WORKITEM_CONTEXT T.Generic___unnamed_12_00aa0978 T.Port___unnamed_12_00aa0978 T.Interrupt___unnamed_12_00aa0978 T.MessageInterrupt___unnamed_12_00aa0978 T.Memory___unnamed_12_00aa0978 T.Dma___unnamed_12_00aa0978 T.DevicePrivate___unnamed_12_00aa0978 T.BusNumber___unnamed_12_00aa0978 T.DeviceSpecificData___unnamed_12_00aa0978 T.Memory40___unnamed_12_00aa0978 T.Memory48___unnamed_12_00aa0978 T.Memory64___unnamed_12_00aa0978 T.Level___unnamed_12_011610e6 T.Vector___unnamed_12_011610e6 T.Affinity___unnamed_12_011610e6 T.__unnamed_12_a04f3ec2___unnamed_12_135b00bd T.Data___unnamed_12_2349179a T.Data___unnamed_12_508ad0f8 T.DataSize___unnamed_12_5a101f58 T.Reserved1___unnamed_12_5a101f58 T.Reserved2___unnamed_12_5a101f58 T.Start___unnamed_12_5c984402 T.Length40___unnamed_12_5c984402 T.Reserved___unnamed_12_6851572b T.MessageCount___unnamed_12_6851572b T.Vector___unnamed_12_6851572b T.Affinity___unnamed_12_6851572b T.Start___unnamed_12_91f117a1 T.Length___unnamed_12_91f117a1 T.Reserved___unnamed_12_91f117a1 T.Buffer___unnamed_12_9675b19c T.Offset___unnamed_12_9675b19c T.Length___unnamed_12_9675b19c T.Priority___unnamed_12_99988665 T.Reserved1___unnamed_12_99988665 T.Reserved2___unnamed_12_99988665 T.Channel___unnamed_12_9b023e7e T.Port___unnamed_12_9b023e7e T.Reserved1___unnamed_12_9b023e7e T.Raw___unnamed_12_a04f3ec2 T.Translated___unnamed_12_a04f3ec2 T.Buffer___unnamed_12_a41ee278 T.Length___unnamed_12_a41ee278 T.Offset___unnamed_12_a41ee278 T.Start___unnamed_12_aae97e0b T.Length___unnamed_12_aae97e0b T.ListEntry___unnamed_12_b0fe679d T.__unnamed_4_ac2f5fe2___unnamed_12_b0fe679d T.Level___unnamed_12_b4709d3d T.Vector___unnamed_12_b4709d3d T.Affinity___unnamed_12_b4709d3d T.Start___unnamed_12_c07928f7 T.Length48___unnamed_12_c07928f7 T.Start___unnamed_12_c13de773 T.Length___unnamed_12_c13de773 T.Buffer___unnamed_12_e5e4e6f3 T.Length___unnamed_12_e5e4e6f3 T.Offset___unnamed_12_e5e4e6f3 T.Start___unnamed_12_e7dc8c54 T.Length___unnamed_12_e7dc8c54 T.Start___unnamed_12_f4e6bbc2 T.Length64___unnamed_12_f4e6bbc2 T.InterfaceType___unnamed_16_08405228 T.Size___unnamed_16_08405228 T.Version___unnamed_16_08405228 T.Interface___unnamed_16_08405228 T.InterfaceSpecificData___unnamed_16_08405228 T.Length___unnamed_16_0c179b13 T.StartSid___unnamed_16_0c179b13 T.SidList___unnamed_16_0c179b13 T.SidListLength___unnamed_16_0c179b13 T.Length___unnamed_16_160c71e3 T.Key___unnamed_16_160c71e3 T.DeviceOffset___unnamed_16_160c71e3 T.Argument1___unnamed_16_28d48018 T.Argument2___unnamed_16_28d48018 T.Argument3___unnamed_16_28d48018 T.Argument4___unnamed_16_28d48018 T.Length___unnamed_16_30754a00 T.Key___unnamed_16_30754a00 T.DeviceOffset___unnamed_16_30754a00 T.Length___unnamed_16_3538eb2e T.MinBusNumber___unnamed_16_3538eb2e T.MaxBusNumber___unnamed_16_3538eb2e T.Reserved___unnamed_16_3538eb2e T.Create___unnamed_16_3be92f23 T.Read___unnamed_16_3be92f23 T.Write___unnamed_16_3be92f23 T.DeviceIoControl___unnamed_16_3be92f23 T.Others___unnamed_16_3be92f23 T.Length___unnamed_16_4692f360 T.Key___unnamed_16_4692f360 T.ByteOffset___unnamed_16_4692f360 T.OutputBufferLength___unnamed_16_47a80b6e T.InputBufferLength___unnamed_16_47a80b6e T.FsControlCode___unnamed_16_47a80b6e T.Type3InputBuffer___unnamed_16_47a80b6e T.__unnamed_4_4008e71b___unnamed_16_4a376f0e T.Type___unnamed_16_4a376f0e T.State___unnamed_16_4a376f0e T.ShutdownType___unnamed_16_4a376f0e T.Create___unnamed_16_50547125 T.Read___unnamed_16_50547125 T.Write___unnamed_16_50547125 T.QueryDirectory___unnamed_16_50547125 T.NotifyDirectory___unnamed_16_50547125 T.QueryFile___unnamed_16_50547125 T.SetFile___unnamed_16_50547125 T.QueryEa___unnamed_16_50547125 T.SetEa___unnamed_16_50547125 T.QueryVolume___unnamed_16_50547125 T.SetVolume___unnamed_16_50547125 T.FileSystemControl___unnamed_16_50547125 T.LockControl___unnamed_16_50547125 T.DeviceIoControl___unnamed_16_50547125 T.QuerySecurity___unnamed_16_50547125 T.SetSecurity___unnamed_16_50547125 T.MountVolume___unnamed_16_50547125 T.VerifyVolume___unnamed_16_50547125 T.Scsi___unnamed_16_50547125 T.QueryQuota___unnamed_16_50547125 T.SetQuota___unnamed_16_50547125 T.QueryDeviceRelations___unnamed_16_50547125 T.QueryInterface___unnamed_16_50547125 T.DeviceCapabilities___unnamed_16_50547125 T.FilterResourceRequirements___unnamed_16_50547125 T.ReadWriteConfig___unnamed_16_50547125 T.SetLock___unnamed_16_50547125 T.QueryId___unnamed_16_50547125 T.QueryDeviceText___unnamed_16_50547125 T.UsageNotification___unnamed_16_50547125 T.WaitWake___unnamed_16_50547125 T.PowerSequence___unnamed_16_50547125 T.Power___unnamed_16_50547125 T.StartDevice___unnamed_16_50547125 T.WMI___unnamed_16_50547125 T.Others___unnamed_16_50547125 T.WhichSpace___unnamed_16_70b335ff T.Buffer___unnamed_16_70b335ff T.Offset___unnamed_16_70b335ff T.Length___unnamed_16_70b335ff T.SecurityContext___unnamed_16_758cc376 T.Options___unnamed_16_758cc376 T.FileAttributes___unnamed_16_758cc376 T.ShareAccess___unnamed_16_758cc376 T.EaLength___unnamed_16_758cc376 T.OutputBufferLength___unnamed_16_7b663246 T.InputBufferLength___unnamed_16_7b663246 T.IoControlCode___unnamed_16_7b663246 T.Type3InputBuffer___unnamed_16_7b663246 T.OutputBufferLength___unnamed_16_8c4e1e25 T.InputBufferLength___unnamed_16_8c4e1e25 T.IoControlCode___unnamed_16_8c4e1e25 T.Type3InputBuffer___unnamed_16_8c4e1e25 T.Length___unnamed_16_8fdea1e0 T.Key___unnamed_16_8fdea1e0 T.ByteOffset___unnamed_16_8fdea1e0 T.DriverContext___unnamed_16_90864369 T.Length___unnamed_16_98fa84c9 T.EaList___unnamed_16_98fa84c9 T.EaListLength___unnamed_16_98fa84c9 T.EaIndex___unnamed_16_98fa84c9 T.Argument1___unnamed_16_b19c652e T.Argument2___unnamed_16_b19c652e T.Argument3___unnamed_16_b19c652e T.Argument4___unnamed_16_b19c652e T.Length___unnamed_16_cbf64d77 T.FileName___unnamed_16_cbf64d77 T.FileInformationClass___unnamed_16_cbf64d77 T.FileIndex___unnamed_16_cbf64d77 T.Length___unnamed_16_d07eb79e T.FileInformationClass___unnamed_16_d07eb79e T.FileObject___unnamed_16_d07eb79e T.__unnamed_4_b65679a6___unnamed_16_d07eb79e T.Arg1___unnamed_16_d8ea3f48 T.Arg2___unnamed_16_d8ea3f48 T.IoControlCode___unnamed_16_d8ea3f48 T.Arg4___unnamed_16_d8ea3f48 T.ProviderId___unnamed_16_ec1b1a74 T.DataPath___unnamed_16_ec1b1a74 T.BufferSize___unnamed_16_ec1b1a74 T.Buffer___unnamed_16_ec1b1a74 T.Length___unnamed_16_f0deee7d T.Key___unnamed_16_f0deee7d T.ByteOffset___unnamed_16_f0deee7d T.SecurityContext___unnamed_16_f26424fc T.Options___unnamed_16_f26424fc T.FileAttributes___unnamed_16_f26424fc T.ShareAccess___unnamed_16_f26424fc T.EaLength___unnamed_16_f26424fc T.DeviceQueueEntry___unnamed_16_f8ddfcfe T.__unnamed_16_90864369___unnamed_16_f8ddfcfe T.Lock___unnamed_1_26d71ac8 T.Abandoned___unnamed_1_7fe4cdbd T.Absolute___unnamed_1_7fe4cdbd T.NpxIrql___unnamed_1_7fe4cdbd T.Signalling___unnamed_1_7fe4cdbd T.Size___unnamed_1_a19e9f98 T.Hand___unnamed_1_a19e9f98 T.Inserted___unnamed_1_a536060f T.DebugActive___unnamed_1_a536060f T.DpcActive___unnamed_1_a536060f T.MinimumVector___unnamed_20_f8440734 T.MaximumVector___unnamed_20_f8440734 T.AffinityPolicy___unnamed_20_f8440734 T.PriorityPolicy___unnamed_20_f8440734 T.TargetedProcessors___unnamed_20_f8440734 T.Length64___unnamed_24_06d73087 T.Alignment64___unnamed_24_06d73087 T.MinimumAddress___unnamed_24_06d73087 T.MaximumAddress___unnamed_24_06d73087 T.Length___unnamed_24_22419524 T.Alignment___unnamed_24_22419524 T.MinimumAddress___unnamed_24_22419524 T.MaximumAddress___unnamed_24_22419524 T.Length40___unnamed_24_36b7e766 T.Alignment40___unnamed_24_36b7e766 T.MinimumAddress___unnamed_24_36b7e766 T.MaximumAddress___unnamed_24_36b7e766 T.Length___unnamed_24_370204c2 T.Alignment___unnamed_24_370204c2 T.MinimumAddress___unnamed_24_370204c2 T.MaximumAddress___unnamed_24_370204c2 T.IoControlCode___unnamed_24_52bbd12f T.Input___unnamed_24_52bbd12f T.Output___unnamed_24_52bbd12f T.Length48___unnamed_24_76cd2bdb T.Alignment48___unnamed_24_76cd2bdb T.MinimumAddress___unnamed_24_76cd2bdb T.MaximumAddress___unnamed_24_76cd2bdb T.Write___unnamed_24_a2447d05 T.Read___unnamed_24_a2447d05 T.Ioctl___unnamed_24_a2447d05 T.Others___unnamed_24_a2447d05 T.Usb___unnamed_24_a2447d05 T.Length___unnamed_24_b8ad6aa7 T.Alignment___unnamed_24_b8ad6aa7 T.MinimumAddress___unnamed_24_b8ad6aa7 T.MaximumAddress___unnamed_24_b8ad6aa7 T.Port___unnamed_24_ba07fbe7 T.Memory___unnamed_24_ba07fbe7 T.Interrupt___unnamed_24_ba07fbe7 T.Dma___unnamed_24_ba07fbe7 T.Generic___unnamed_24_ba07fbe7 T.DevicePrivate___unnamed_24_ba07fbe7 T.BusNumber___unnamed_24_ba07fbe7 T.ConfigData___unnamed_24_ba07fbe7 T.Memory40___unnamed_24_ba07fbe7 T.Memory48___unnamed_24_ba07fbe7 T.Memory64___unnamed_24_ba07fbe7 T.ReplaceIfExists___unnamed_2_8290e1b0 T.AdvanceOnly___unnamed_2_8290e1b0 T.__unnamed_16_f8ddfcfe___unnamed_40_cfd29ebe T.Thread___unnamed_40_cfd29ebe T.AuxiliaryBuffer___unnamed_40_cfd29ebe T.__unnamed_12_b0fe679d___unnamed_40_cfd29ebe T.OriginalFileObject___unnamed_40_cfd29ebe T.ListEntry___unnamed_40_dbe30577 T.Wcb___unnamed_40_dbe30577 T.InitialPrivilegeSet___unnamed_44_d7e89117 T.PrivilegeSet___unnamed_44_d7e89117 T.Overlay___unnamed_48_5a9f979b T.Apc___unnamed_48_5a9f979b T.CompletionKey___unnamed_48_5a9f979b T.MasterIrp___unnamed_4_0a20c9fb T.IrpCount___unnamed_4_0a20c9fb T.SystemBuffer___unnamed_4_0a20c9fb T.Length___unnamed_4_27fec054 T.PowerState___unnamed_4_342578c3 T.Capabilities___unnamed_4_36e06717 T.PowerSequence___unnamed_4_3e8985b1 T.SystemContext___unnamed_4_4008e71b T.SystemPowerStateContext___unnamed_4_4008e71b T.UserApcRoutine___unnamed_4_41bc16eb T.IssuingProcess___unnamed_4_41bc16eb T.Ptr___unnamed_4_442e007e T.Value___unnamed_4_442e007e T.Status___unnamed_4_6a857cdd T.Pointer___unnamed_4_6a857cdd T.Reserved1___unnamed_4_82d41359 T.TargetSystemState___unnamed_4_82d41359 T.EffectiveSystemState___unnamed_4_82d41359 T.CurrentSystemState___unnamed_4_82d41359 T.IgnoreHibernationPath___unnamed_4_82d41359 T.PseudoTransition___unnamed_4_82d41359 T.Reserved2___unnamed_4_82d41359 T.Srb___unnamed_4_94f0c80c T.Type___unnamed_4_9b388132 T.Address___unnamed_4_9d516d2b T.CreatorBackTraceIndex___unnamed_4_9d516d2b T.CurrentStackLocation___unnamed_4_ac2f5fe2 T.PacketType___unnamed_4_ac2f5fe2 T.Type___unnamed_4_b1953259 T.__unnamed_1_7fe4cdbd___unnamed_4_b1953259 T.__unnamed_1_a19e9f98___unnamed_4_b1953259 T.__unnamed_1_a536060f___unnamed_4_b1953259 T.Ptr___unnamed_4_b617aa5a T.Value___unnamed_4_b617aa5a T.__unnamed_2_8290e1b0___unnamed_4_b65679a6 T.ClusterCount___unnamed_4_b65679a6 T.DeleteHandle___unnamed_4_b65679a6 T.OwnerCount___unnamed_4_c406319a T.TableSize___unnamed_4_c406319a T.Ptr___unnamed_4_d6f0159b T.Value___unnamed_4_d6f0159b T.Completion___unnamed_4_de25a30d T.__unnamed_4_b1953259___unnamed_4_dfcb1314 T.Lock___unnamed_4_dfcb1314 T.Length___unnamed_4_e60fbc3e T.__unnamed_4_82d41359___unnamed_4_f525de8d T.ContextAsUlong___unnamed_4_f525de8d T.IoResourceRequirementList___unnamed_4_f571b1b9 T.IdType___unnamed_4_fad32fd4 T.Ptr___unnamed_4_fbcc5fb9 T.Value___unnamed_4_fbcc5fb9 T.Buffer___unnamed_8_20ce6f92 T.Offset___unnamed_8_20ce6f92 T.AsynchronousParameters___unnamed_8_2c71b416 T.AllocationSize___unnamed_8_2c71b416 T.AllocatedResources___unnamed_8_305df57c T.AllocatedResourcesTranslated___unnamed_8_305df57c T.LowPart___unnamed_8_4aac83fd T.HighPart___unnamed_8_4aac83fd T.Length___unnamed_8_5c8f0abe T.FileInformationClass___unnamed_8_5c8f0abe T.Length___unnamed_8_872f0ca6 T.FsInformationClass___unnamed_8_872f0ca6 T.Vpb___unnamed_8_89024868 T.DeviceObject___unnamed_8_89024868 T.SecurityInformation___unnamed_8_8bfbe2a4 T.Length___unnamed_8_8bfbe2a4 T.MinimumChannel___unnamed_8_9b5da84f T.MaximumChannel___unnamed_8_9b5da84f T.DeviceTextType___unnamed_8_9da0b827 T.LocaleId___unnamed_8_9da0b827 T.LowPart___unnamed_8_bb154058 T.HighPart___unnamed_8_bb154058 T.InPath___unnamed_8_cdc8e4c0 T.Reserved___unnamed_8_cdc8e4c0 T.Type___unnamed_8_cdc8e4c0 T.__unnamed_4_41bc16eb___unnamed_8_d0cda093 T.UserApcContext___unnamed_8_d0cda093 T.Length___unnamed_8_da064ae3 T.FsInformationClass___unnamed_8_da064ae3 T.Length___unnamed_8_e1457eff T.CompletionFilter___unnamed_8_e1457eff T.Vpb___unnamed_8_f62d54e1 T.DeviceObject___unnamed_8_f62d54e1 T.SecurityInformation___unnamed_8_f825c111 T.SecurityDescriptor___unnamed_8_f825c111 T.UrbHeader___unnamed_96_e511a626 T.UrbSelectInterface___unnamed_96_e511a626 T.UrbSelectConfiguration___unnamed_96_e511a626 T.UrbPipeRequest___unnamed_96_e511a626 T.UrbFrameLengthControl___unnamed_96_e511a626 T.UrbGetFrameLength___unnamed_96_e511a626 T.UrbSetFrameLength___unnamed_96_e511a626 T.UrbGetCurrentFrameNumber___unnamed_96_e511a626 T.UrbControlTransfer___unnamed_96_e511a626 T.UrbControlTransferEx___unnamed_96_e511a626 T.UrbPipeIoPolicy___unnamed_96_e511a626 T.UrbBulkOrInterruptTransfer___unnamed_96_e511a626 T.UrbIsochronousTransfer___unnamed_96_e511a626 T.UrbControlDescriptorRequest___unnamed_96_e511a626 T.UrbControlGetStatusRequest___unnamed_96_e511a626 T.UrbControlFeatureRequest___unnamed_96_e511a626 T.UrbControlVendorClassRequest___unnamed_96_e511a626 T.UrbControlGetInterfaceRequest___unnamed_96_e511a626 T.UrbControlGetConfigurationRequest___unnamed_96_e511a626 T.UrbOSFeatureDescriptorRequest___unnamed_96_e511a626 T.A1_CM_FULL_RESOURCE_DESCRIPTOR T.A1_CM_PARTIAL_RESOURCE_DESCRIPTOR T.A1_IO_RESOURCE_DESCRIPTOR T.A1_IO_RESOURCE_LIST T.A1_LUID_AND_ATTRIBUTES T.A1_USBD_ISO_PACKET_DESCRIPTOR T.A1_USBD_PIPE_INFORMATION T.A28PFDRIVER_DISPATCH T.A32CHAR T.A32UINT2 T.A3UCHAR T.A3UINT4 T.A3_LUID_AND_ATTRIBUTES T.A4PVOID T.A4UCHAR T.A5CHAR T.A6CHAR T.A7_DEVICE_POWER_STATE T.A8PVOID T.A8UCHAR T.BUS_QUERY_ID_TYPE T.CHAR T.DEVICE_TEXT_TYPE T.F0 T.F1 T.F10 T.F11 T.F12 T.F13 T.F14 T.F15 T.F16 T.F17 T.F18 T.F19 T.F2 T.F20 T.F21 T.F22 T.F23 T.F24 T.F25 T.F26 T.F27 T.F28 T.F29 T.F3 T.F30 T.F31 T.F32 T.F33 T.F34 T.F35 T.F36 T.F37 T.F4 T.F5 T.F6 T.F7 T.F8 T.F9 T.FDRIVER_ADD_DEVICE T.FDRIVER_CANCEL T.FDRIVER_DISPATCH T.FDRIVER_INITIALIZE T.FDRIVER_STARTIO T.FDRIVER_UNLOAD T.FEVT_WDF_OBJECT_CONTEXT_CLEANUP T.FEVT_WDF_OBJECT_CONTEXT_DESTROY T.FEVT_WDF_REQUEST_CANCEL T.FEVT_WDF_REQUEST_COMPLETION_ROUTINE T.FEVT_WDF_WORKITEM T.FFAST_IO_ACQUIRE_FILE T.FFAST_IO_ACQUIRE_FOR_CCFLUSH T.FFAST_IO_ACQUIRE_FOR_MOD_WRITE T.FFAST_IO_CHECK_IF_POSSIBLE T.FFAST_IO_DETACH_DEVICE T.FFAST_IO_DEVICE_CONTROL T.FFAST_IO_LOCK T.FFAST_IO_MDL_READ T.FFAST_IO_MDL_READ_COMPLETE T.FFAST_IO_MDL_READ_COMPLETE_COMPRESSED T.FFAST_IO_MDL_WRITE_COMPLETE T.FFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED T.FFAST_IO_PREPARE_MDL_WRITE T.FFAST_IO_QUERY_BASIC_INFO T.FFAST_IO_QUERY_NETWORK_OPEN_INFO T.FFAST_IO_QUERY_OPEN T.FFAST_IO_QUERY_STANDARD_INFO T.FFAST_IO_READ T.FFAST_IO_READ_COMPRESSED T.FFAST_IO_RELEASE_FILE T.FFAST_IO_RELEASE_FOR_CCFLUSH T.FFAST_IO_RELEASE_FOR_MOD_WRITE T.FFAST_IO_UNLOCK_ALL T.FFAST_IO_UNLOCK_ALL_BY_KEY T.FFAST_IO_UNLOCK_SINGLE T.FFAST_IO_WRITE T.FFAST_IO_WRITE_COMPRESSED T.FIO_COMPLETION_ROUTINE T.INT2 T.INT4 T.INT8 T.PA5CHAR T.PA6CHAR T.PCHAR T.PF0 T.PF1 T.PF27 T.PF28 T.PF29 T.PF31 T.PF32 T.PF33 T.PF35 T.PF36 T.PF37 T.PFDRIVER_ADD_DEVICE T.PFDRIVER_CANCEL T.PFDRIVER_DISPATCH T.PFDRIVER_INITIALIZE T.PFDRIVER_STARTIO T.PFDRIVER_UNLOAD T.PFEVT_WDF_OBJECT_CONTEXT_CLEANUP T.PFEVT_WDF_OBJECT_CONTEXT_DESTROY T.PFEVT_WDF_REQUEST_CANCEL T.PFEVT_WDF_REQUEST_COMPLETION_ROUTINE T.PFEVT_WDF_WORKITEM T.PFFAST_IO_ACQUIRE_FILE T.PFFAST_IO_ACQUIRE_FOR_CCFLUSH T.PFFAST_IO_ACQUIRE_FOR_MOD_WRITE T.PFFAST_IO_CHECK_IF_POSSIBLE T.PFFAST_IO_DETACH_DEVICE T.PFFAST_IO_DEVICE_CONTROL T.PFFAST_IO_LOCK T.PFFAST_IO_MDL_READ T.PFFAST_IO_MDL_READ_COMPLETE T.PFFAST_IO_MDL_READ_COMPLETE_COMPRESSED T.PFFAST_IO_MDL_WRITE_COMPLETE T.PFFAST_IO_MDL_WRITE_COMPLETE_COMPRESSED T.PFFAST_IO_PREPARE_MDL_WRITE T.PFFAST_IO_QUERY_BASIC_INFO T.PFFAST_IO_QUERY_NETWORK_OPEN_INFO T.PFFAST_IO_QUERY_OPEN T.PFFAST_IO_QUERY_STANDARD_INFO T.PFFAST_IO_READ T.PFFAST_IO_READ_COMPRESSED T.PFFAST_IO_RELEASE_FILE T.PFFAST_IO_RELEASE_FOR_CCFLUSH T.PFFAST_IO_RELEASE_FOR_MOD_WRITE T.PFFAST_IO_UNLOCK_ALL T.PFFAST_IO_UNLOCK_ALL_BY_KEY T.PFFAST_IO_UNLOCK_SINGLE T.PFFAST_IO_WRITE T.PFFAST_IO_WRITE_COMPRESSED T.PFIO_COMPLETION_ROUTINE T.PINT4 T.POWER_ACTION T.PPCHAR T.PPF32 T.PPFEVT_WDF_REQUEST_CANCEL T.PPFEVT_WDF_REQUEST_COMPLETION_ROUTINE T.PPFEVT_WDF_WORKITEM T.PPINT4 T.PPPVOID T.PPPWDFCOLLECTION__ T.PPPWDFMEMORY__ T.PPPWDFREQUEST__ T.PPPWDFSPINLOCK__ T.PPPWDFWORKITEM__ T.PPP_MDL T.PPUCHAR T.PPUINT4 T.PPVOID T.PPWDFCOLLECTION__ T.PPWDFDEVICE__ T.PPWDFFILEOBJECT__ T.PPWDFIOTARGET__ T.PPWDFMEMORY__ T.PPWDFQUEUE__ T.PPWDFREQUEST__ T.PPWDFSPINLOCK__ T.PPWDFUSBDEVICE__ T.PPWDFUSBINTERFACE__ T.PPWDFUSBPIPE__ T.PPWDFWORKITEM__ T.PP_DEVICE_CONTEXT T.PP_ERESOURCE T.PP_FILE_CONTEXT T.PP_IRP T.PP_LIST_ENTRY T.PP_MDL T.PP_REQUEST_CONTEXT T.PP_SUB_REQUEST_CONTEXT T.PP_URB T.PP_WDFMEMORY_OFFSET T.PP_WDF_DRIVER_GLOBALS T.PP_WDF_OBJECT_ATTRIBUTES T.PP_WDF_OBJECT_CONTEXT_TYPE_INFO T.PP_WDF_REQUEST_COMPLETION_PARAMS T.PP_WDF_REQUEST_PARAMETERS T.PP_WDF_REQUEST_SEND_OPTIONS T.PP_WDF_USB_PIPE_INFORMATION T.PP_WDF_WORKITEM_CONFIG T.PP_WORKITEM_CONTEXT T.PUCHAR T.PUINT2 T.PUINT4 T.PVOID T.PWDFCOLLECTION__ T.PWDFDEVICE__ T.PWDFDRIVER__ T.PWDFFILEOBJECT__ T.PWDFIOTARGET__ T.PWDFMEMORY__ T.PWDFQUEUE__ T.PWDFREQUEST__ T.PWDFSPINLOCK__ T.PWDFUSBDEVICE__ T.PWDFUSBINTERFACE__ T.PWDFUSBPIPE__ T.PWDFWORKITEM__ T.P_ACCESS_STATE T.P_CM_RESOURCE_LIST T.P_COMPRESSED_DATA_INFO T.P_DEVICE_CAPABILITIES T.P_DEVICE_CONTEXT T.P_DEVICE_OBJECT T.P_DEVOBJ_EXTENSION T.P_DRIVER_EXTENSION T.P_DRIVER_OBJECT T.P_EPROCESS T.P_ERESOURCE T.P_FAST_IO_DISPATCH T.P_FILE_BASIC_INFORMATION T.P_FILE_CONTEXT T.P_FILE_GET_QUOTA_INFORMATION T.P_FILE_NETWORK_OPEN_INFORMATION T.P_FILE_OBJECT T.P_FILE_STANDARD_INFORMATION T.P_GUID T.P_INTERFACE T.P_IO_COMPLETION_CONTEXT T.P_IO_RESOURCE_REQUIREMENTS_LIST T.P_IO_SECURITY_CONTEXT T.P_IO_STACK_LOCATION T.P_IO_STATUS_BLOCK T.P_IO_TIMER T.P_IRP T.P_KAPC T.P_KDPC T.P_KEVENT T.P_KPROCESS T.P_KSEMAPHORE T.P_KTHREAD T.P_LARGE_INTEGER T.P_LIST_ENTRY T.P_MDL T.P_OWNER_ENTRY T.P_POOL_TYPE T.P_POWER_SEQUENCE T.P_REQUEST_CONTEXT T.P_SCSI_REQUEST_BLOCK T.P_SECTION_OBJECT_POINTERS T.P_SECURITY_QUALITY_OF_SERVICE T.P_SUB_REQUEST_CONTEXT T.P_UNICODE_STRING T.P_URB T.P_USBD_ISO_PACKET_DESCRIPTOR T.P_USB_CONFIGURATION_DESCRIPTOR T.P_VPB T.P_WDFMEMORY_OFFSET T.P_WDF_DRIVER_GLOBALS T.P_WDF_IO_TARGET_SENT_IO_ACTION T.P_WDF_OBJECT_ATTRIBUTES T.P_WDF_OBJECT_CONTEXT_TYPE_INFO T.P_WDF_REQUEST_COMPLETION_PARAMS T.P_WDF_REQUEST_PARAMETERS T.P_WDF_REQUEST_SEND_OPTIONS T.P_WDF_REQUEST_TYPE T.P_WDF_USB_PIPE_INFORMATION T.P_WDF_USB_REQUEST_COMPLETION_PARAMS T.P_WDF_WORKITEM_CONFIG T.P_WORKITEM_CONTEXT T.UCHAR T.UINT2 T.UINT4 T.VOID T.WDFCOLLECTION__ T.WDFDEVICE__ T.WDFDRIVER__ T.WDFFILEOBJECT__ T.WDFIOTARGET__ T.WDFMEMORY__ T.WDFQUEUE__ T.WDFREQUEST__ T.WDFSPINLOCK__ T.WDFUSBDEVICE__ T.WDFUSBINTERFACE__ T.WDFUSBPIPE__ T.WDFWORKITEM__ T._ACCESS_STATE T._CM_FULL_RESOURCE_DESCRIPTOR T._CM_PARTIAL_RESOURCE_DESCRIPTOR T._CM_PARTIAL_RESOURCE_LIST T._CM_RESOURCE_LIST T._COMPRESSED_DATA_INFO T._DEVICE_CAPABILITIES T._DEVICE_CONTEXT T._DEVICE_OBJECT T._DEVICE_POWER_STATE T._DEVICE_RELATION_TYPE T._DEVICE_USAGE_NOTIFICATION_TYPE T._DEVOBJ_EXTENSION T._DISPATCHER_HEADER T._DRIVER_EXTENSION T._DRIVER_OBJECT T._EPROCESS T._ERESOURCE T._FAST_IO_DISPATCH T._FILE_BASIC_INFORMATION T._FILE_CONTEXT T._FILE_GET_QUOTA_INFORMATION T._FILE_INFORMATION_CLASS T._FILE_NETWORK_OPEN_INFORMATION T._FILE_OBJECT T._FILE_STANDARD_INFORMATION T._FSINFOCLASS T._GUID T._INITIAL_PRIVILEGE_SET T._INTERFACE T._INTERFACE_TYPE T._IO_ALLOCATION_ACTION T._IO_COMPLETION_CONTEXT T._IO_RESOURCE_DESCRIPTOR T._IO_RESOURCE_LIST T._IO_RESOURCE_REQUIREMENTS_LIST T._IO_SECURITY_CONTEXT T._IO_STACK_LOCATION T._IO_STATUS_BLOCK T._IO_TIMER T._IRP T._IRQ_DEVICE_POLICY T._IRQ_PRIORITY T._KAPC T._KDEVICE_QUEUE T._KDEVICE_QUEUE_ENTRY T._KDPC T._KEVENT T._KPROCESS T._KSEMAPHORE T._KTHREAD T._LARGE_INTEGER T._LIST_ENTRY T._LUID T._LUID_AND_ATTRIBUTES T._MDL T._OWNER_ENTRY T._POOL_TYPE T._POWER_SEQUENCE T._POWER_STATE T._POWER_STATE_TYPE T._PRIVILEGE_SET T._REQUEST_CONTEXT T._SCSI_REQUEST_BLOCK T._SECTION_OBJECT_POINTERS T._SECURITY_IMPERSONATION_LEVEL T._SECURITY_QUALITY_OF_SERVICE T._SECURITY_SUBJECT_CONTEXT T._SUB_REQUEST_CONTEXT T._SYSTEM_POWER_STATE T._SYSTEM_POWER_STATE_CONTEXT T._UNICODE_STRING T._URB T._URB_BULK_OR_INTERRUPT_TRANSFER T._URB_CONTROL_DESCRIPTOR_REQUEST T._URB_CONTROL_FEATURE_REQUEST T._URB_CONTROL_GET_CONFIGURATION_REQUEST T._URB_CONTROL_GET_INTERFACE_REQUEST T._URB_CONTROL_GET_STATUS_REQUEST T._URB_CONTROL_TRANSFER T._URB_CONTROL_TRANSFER_EX T._URB_CONTROL_VENDOR_OR_CLASS_REQUEST T._URB_FRAME_LENGTH_CONTROL T._URB_GET_CURRENT_FRAME_NUMBER T._URB_GET_FRAME_LENGTH T._URB_HCD_AREA T._URB_HEADER T._URB_ISOCH_TRANSFER T._URB_OS_FEATURE_DESCRIPTOR_REQUEST T._URB_PIPE_IO_POLICY T._URB_PIPE_REQUEST T._URB_SELECT_CONFIGURATION T._URB_SELECT_INTERFACE T._URB_SET_FRAME_LENGTH T._USBD_INTERFACE_INFORMATION T._USBD_ISO_PACKET_DESCRIPTOR T._USBD_PIPE_INFORMATION T._USBD_PIPE_TYPE T._USB_CONFIGURATION_DESCRIPTOR T._USB_DEVICE_DESCRIPTOR T._USB_IO_PARAMETERS T._USB_IO_PRIORITY T._VPB T._WAIT_CONTEXT_BLOCK T._WDFMEMORY_OFFSET T._WDF_DRIVER_GLOBALS T._WDF_EXECUTION_LEVEL T._WDF_IO_TARGET_SENT_IO_ACTION T._WDF_OBJECT_ATTRIBUTES T._WDF_OBJECT_CONTEXT_TYPE_INFO T._WDF_REQUEST_COMPLETION_PARAMS T._WDF_REQUEST_PARAMETERS T._WDF_REQUEST_SEND_OPTIONS T._WDF_REQUEST_TYPE T._WDF_SYNCHRONIZATION_SCOPE T._WDF_USB_PIPE_INFORMATION T._WDF_USB_PIPE_TYPE T._WDF_USB_REQUEST_COMPLETION_PARAMS T._WDF_WORKITEM_CONFIG T._WORKITEM_CONTEXT T.__unnamed_12_00aa0978 T.__unnamed_12_011610e6 T.__unnamed_12_135b00bd T.__unnamed_12_2349179a T.__unnamed_12_508ad0f8 T.__unnamed_12_5a101f58 T.__unnamed_12_5c984402 T.__unnamed_12_6851572b T.__unnamed_12_91f117a1 T.__unnamed_12_9675b19c T.__unnamed_12_99988665 T.__unnamed_12_9b023e7e T.__unnamed_12_a04f3ec2 T.__unnamed_12_a41ee278 T.__unnamed_12_aae97e0b T.__unnamed_12_b0fe679d T.__unnamed_12_b4709d3d T.__unnamed_12_c07928f7 T.__unnamed_12_c13de773 T.__unnamed_12_e5e4e6f3 T.__unnamed_12_e7dc8c54 T.__unnamed_12_f4e6bbc2 T.__unnamed_16_08405228 T.__unnamed_16_0c179b13 T.__unnamed_16_160c71e3 T.__unnamed_16_28d48018 T.__unnamed_16_30754a00 T.__unnamed_16_3538eb2e T.__unnamed_16_3be92f23 T.__unnamed_16_4692f360 T.__unnamed_16_47a80b6e T.__unnamed_16_4a376f0e T.__unnamed_16_50547125 T.__unnamed_16_70b335ff T.__unnamed_16_758cc376 T.__unnamed_16_7b663246 T.__unnamed_16_8c4e1e25 T.__unnamed_16_8fdea1e0 T.__unnamed_16_90864369 T.__unnamed_16_98fa84c9 T.__unnamed_16_b19c652e T.__unnamed_16_cbf64d77 T.__unnamed_16_d07eb79e T.__unnamed_16_d8ea3f48 T.__unnamed_16_ec1b1a74 T.__unnamed_16_f0deee7d T.__unnamed_16_f26424fc T.__unnamed_16_f8ddfcfe T.__unnamed_1_26d71ac8 T.__unnamed_1_7fe4cdbd T.__unnamed_1_a19e9f98 T.__unnamed_1_a536060f T.__unnamed_20_f8440734 T.__unnamed_24_06d73087 T.__unnamed_24_22419524 T.__unnamed_24_36b7e766 T.__unnamed_24_370204c2 T.__unnamed_24_52bbd12f T.__unnamed_24_76cd2bdb T.__unnamed_24_a2447d05 T.__unnamed_24_b8ad6aa7 T.__unnamed_24_ba07fbe7 T.__unnamed_2_8290e1b0 T.__unnamed_40_cfd29ebe T.__unnamed_40_dbe30577 T.__unnamed_44_d7e89117 T.__unnamed_48_5a9f979b T.__unnamed_4_0a20c9fb T.__unnamed_4_27fec054 T.__unnamed_4_342578c3 T.__unnamed_4_36e06717 T.__unnamed_4_3e8985b1 T.__unnamed_4_4008e71b T.__unnamed_4_41bc16eb T.__unnamed_4_442e007e T.__unnamed_4_6a857cdd T.__unnamed_4_82d41359 T.__unnamed_4_94f0c80c T.__unnamed_4_9b388132 T.__unnamed_4_9d516d2b T.__unnamed_4_ac2f5fe2 T.__unnamed_4_b1953259 T.__unnamed_4_b617aa5a T.__unnamed_4_b65679a6 T.__unnamed_4_c406319a T.__unnamed_4_d6f0159b T.__unnamed_4_de25a30d T.__unnamed_4_dfcb1314 T.__unnamed_4_e60fbc3e T.__unnamed_4_f525de8d T.__unnamed_4_f571b1b9 T.__unnamed_4_fad32fd4 T.__unnamed_4_fbcc5fb9 T.__unnamed_8_20ce6f92 T.__unnamed_8_2c71b416 T.__unnamed_8_305df57c T.__unnamed_8_4aac83fd T.__unnamed_8_5c8f0abe T.__unnamed_8_872f0ca6 T.__unnamed_8_89024868 T.__unnamed_8_8bfbe2a4 T.__unnamed_8_9b5da84f T.__unnamed_8_9da0b827 T.__unnamed_8_bb154058 T.__unnamed_8_cdc8e4c0 T.__unnamed_8_d0cda093 T.__unnamed_8_da064ae3 T.__unnamed_8_e1457eff T.__unnamed_8_f62d54e1 T.__unnamed_8_f825c111 T.__unnamed_96_e511a626 (int_2_U ReadWriteCompletion) (int_2_U ReadWriteWorkItem) (int_2_U SubRequestCompletionRoutine) (int_2_U UsbSamp_EvtRequestCancel) (int_2_U WdfDriverGlobals) (int_2_U x_WDF_DEVICE_CONTEXT_TYPE_INFO) (int_2_U x_WDF_FILE_CONTEXT_TYPE_INFO) (int_2_U x_WDF_REQUEST_CONTEXT_TYPE_INFO) (int_2_U x_WDF_SUB_REQUEST_CONTEXT_TYPE_INFO) (int_2_U x_WDF_WORKITEM_CONTEXT_TYPE_INFO) (int_2_U hbuffer) (int_2_U hdctx) (int_2_U hdevcollection_count) (int_2_U hdevice) (int_2_U hln) (int_2_U hlock) (int_2_U hmdl) (int_2_U hqctx) (int_2_U hqueue) (int_2_U hrctx) (int_2_U hrequest) (int_2_U htctx) (int_2_U htimer) (int_2_U hwork_item) (int_2_U notused_4hbuffer) (int_2_U notused_4hfileobj) (int_2_U notused_4hmdl) (int_2_U notused_4hwork_item) (int_2_U notused_4wdfobject1) (int_2_U notused_4wdmobject1) (int_2_U notused_ctx) (int_2_U notused_hrequest) (int_2_U pnotused) (int_2_U BOOGIE_LARGE_INT_4294967295)) (forall ((?b0 boogieU) (?c0 boogieU)) (! (=> (and (= (type ?b0) byteType) (= (type ?c0) byteType)) (=> (= (OneByteToInt ?b0) (OneByteToInt ?c0)) (= ?b0 ?c0))) :pattern ((OneByteToInt ?b0) (OneByteToInt ?c0)) )) (forall ((?b00 boogieU) (?b1 boogieU) (?c00 boogieU) (?c1 boogieU)) (! (=> (and (= (type ?b00) byteType) (= (type ?b1) byteType) (= (type ?c00) byteType) (= (type ?c1) byteType)) (=> (= (TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) (and (= ?b00 ?c00) (= ?b1 ?c1)))) :pattern ((TwoBytesToInt ?b00 ?b1) (TwoBytesToInt ?c00 ?c1)) )) (forall ((?b01 boogieU) (?b10 boogieU) (?b2 boogieU) (?b3 boogieU) (?c01 boogieU) (?c10 boogieU) (?c2 boogieU) (?c3 boogieU)) (! (=> (and (= (type ?b01) byteType) (= (type ?b10) byteType) (= (type ?b2) byteType) (= (type ?b3) byteType) (= (type ?c01) byteType) (= (type ?c10) byteType) (= (type ?c2) byteType) (= (type ?c3) byteType)) (=> (= (FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) (and (= ?b01 ?c01) (= ?b10 ?c10) (= ?b2 ?c2) (= ?b3 ?c3)))) :pattern ((FourBytesToInt ?b01 ?b10 ?b2 ?b3) (FourBytesToInt ?c01 ?c10 ?c2 ?c3)) )) (forall ((?x4 boogieU)) (=> (= (type ?x4) intType) (not (= (U_2_bool (MapType0Select Empty ?x4)) boolTrue)))) (forall ((?x5 boogieU)) (=> (= (type ?x5) intType) (= (U_2_bool (MapType0Select SetTrue ?x5)) boolTrue))) (forall ((?x6 boogieU) (?y2 Int)) (! (=> (= (type ?x6) intType) (= (= (U_2_bool (MapType0Select (Singleton ?y2) ?x6)) boolTrue) (= (U_2_int ?x6) ?y2))) :pattern ((MapType0Select (Singleton ?y2) ?x6)) )) (forall ((?y3 Int)) (! (= (U_2_bool (MapType0Select (Singleton ?y3) (int_2_U ?y3))) boolTrue) :pattern ((Singleton ?y3)) )) (forall ((?x7 boogieU) (?S boogieU) (?T boogieU)) (! (let ((?v_1 (MapType0Type intType boolType))) (=> (and (= (type ?x7) intType) (= (type ?S) ?v_1) (= (type ?T) ?v_1)) (= (= (U_2_bool (MapType0Select (Union ?S ?T) ?x7)) boolTrue) (or (= (U_2_bool (MapType0Select ?S ?x7)) boolTrue) (= (U_2_bool (MapType0Select ?T ?x7)) boolTrue))))) :pattern ((MapType0Select (Union ?S ?T) ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?S ?x7))  :pattern ((Union ?S ?T) (MapType0Select ?T ?x7)) )) (forall ((?x8 boogieU) (?S0 boogieU) (?T0 boogieU)) (! (let ((?v_2 (MapType0Type intType boolType))) (=> (and (= (type ?x8) intType) (= (type ?S0) ?v_2) (= (type ?T0) ?v_2)) (= (= (U_2_bool (MapType0Select (Intersection ?S0 ?T0) ?x8)) boolTrue) (and (= (U_2_bool (MapType0Select ?S0 ?x8)) boolTrue) (= (U_2_bool (MapType0Select ?T0 ?x8)) boolTrue))))) :pattern ((MapType0Select (Intersection ?S0 ?T0) ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?S0 ?x8))  :pattern ((Intersection ?S0 ?T0) (MapType0Select ?T0 ?x8)) )) (forall ((?x9 boogieU) (?S1 boogieU) (?T1 boogieU)) (! (let ((?v_3 (MapType0Type intType boolType))) (=> (and (= (type ?x9) intType) (= (type ?S1) ?v_3) (= (type ?T1) ?v_3)) (= (= (U_2_bool (MapType0Select (Difference ?S1 ?T1) ?x9)) boolTrue) (and (= (U_2_bool (MapType0Select ?S1 ?x9)) boolTrue) (not (= (U_2_bool (MapType0Select ?T1 ?x9)) boolTrue)))))) :pattern ((MapType0Select (Difference ?S1 ?T1) ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?S1 ?x9))  :pattern ((Difference ?S1 ?T1) (MapType0Select ?T1 ?x9)) )) (forall ((?S2 boogieU) (?T2 boogieU)) (! (let ((?v_4 (MapType0Type intType boolType))) (=> (and (= (type ?S2) ?v_4) (= (type ?T2) ?v_4)) (= (= (Equal ?S2 ?T2) boolTrue) (and (= (Subset ?S2 ?T2) boolTrue) (= (Subset ?T2 ?S2) boolTrue))))) :pattern ((Equal ?S2 ?T2)) )) (forall ((?x10 boogieU) (?S3 boogieU) (?T3 boogieU)) (! (let ((?v_5 (MapType0Type intType boolType))) (=> (and (= (type ?x10) intType) (= (type ?S3) ?v_5) (= (type ?T3) ?v_5)) (=> (and (= (U_2_bool (MapType0Select ?S3 ?x10)) boolTrue) (= (Subset ?S3 ?T3) boolTrue)) (= (U_2_bool (MapType0Select ?T3 ?x10)) boolTrue)))) :pattern ((MapType0Select ?S3 ?x10) (Subset ?S3 ?T3))  :pattern ((MapType0Select ?T3 ?x10) (Subset ?S3 ?T3)) )) (forall ((?S4 boogieU) (?T4 boogieU)) (! (let ((?v_6 (MapType0Type intType boolType))) (=> (and (= (type ?S4) ?v_6) (= (type ?T4) ?v_6)) (or (= (Subset ?S4 ?T4) boolTrue) (exists ((?x11 Int)) (let ((?v_7 (int_2_U ?x11))) (and (= (U_2_bool (MapType0Select ?S4 ?v_7)) boolTrue) (not (= (U_2_bool (MapType0Select ?T4 ?v_7)) boolTrue)))))))) :pattern ((Subset ?S4 ?T4)) )) (forall ((?x12 boogieU) (?S5 boogieU) (?T5 boogieU)) (! (let ((?v_8 (MapType0Type intType boolType))) (=> (and (= (type ?x12) intType) (= (type ?S5) ?v_8) (= (type ?T5) ?v_8)) (not (and (= (U_2_bool (MapType0Select ?S5 ?x12)) boolTrue) (= (Disjoint ?S5 ?T5) boolTrue) (= (U_2_bool (MapType0Select ?T5 ?x12)) boolTrue))))) :pattern ((MapType0Select ?S5 ?x12) (Disjoint ?S5 ?T5))  :pattern ((MapType0Select ?T5 ?x12) (Disjoint ?S5 ?T5)) )) (forall ((?S6 boogieU) (?T6 boogieU)) (! (let ((?v_9 (MapType0Type intType boolType))) (=> (and (= (type ?S6) ?v_9) (= (type ?T6) ?v_9)) (or (= (Disjoint ?S6 ?T6) boolTrue) (exists ((?x13 Int)) (let ((?v_10 (int_2_U ?x13))) (and (= (U_2_bool (MapType0Select ?S6 ?v_10)) boolTrue) (= (U_2_bool (MapType0Select ?T6 ?v_10)) boolTrue))))))) :pattern ((Disjoint ?S6 ?T6)) )) (forall ((?f boogieU) (?x14 boogieU)) (! (=> (and (= (type ?f) (MapType0Type intType intType)) (= (type ?x14) intType)) (= (U_2_bool (MapType0Select (Inverse ?f (U_2_int (MapType0Select ?f ?x14))) ?x14)) boolTrue)) :pattern ((Inverse ?f (U_2_int (MapType0Select ?f ?x14)))) )) (forall ((?f0 boogieU) (?x15 boogieU) (?y4 Int)) (! (=> (and (= (type ?f0) (MapType0Type intType intType)) (= (type ?x15) intType)) (=> (= (U_2_bool (MapType0Select (Inverse ?f0 ?y4) ?x15)) boolTrue) (= (U_2_int (MapType0Select ?f0 ?x15)) ?y4))) :pattern ((Inverse ?f0 ?y4) (MapType0Select ?f0 ?x15)) )) (forall ((?f1 boogieU) (?x16 boogieU) (?y5 boogieU)) (! (let ((?v_11 (U_2_int ?y5))) (=> (and (= (type ?f1) (MapType0Type intType intType)) (= (type ?x16) intType) (= (type ?y5) intType)) (= (Equal (Inverse (MapType0Store ?f1 ?x16 ?y5) ?v_11) (Union (Inverse ?f1 ?v_11) (Singleton (U_2_int ?x16)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f1 ?x16 ?y5) (U_2_int ?y5))) )) (forall ((?f2 boogieU) (?x17 boogieU) (?y6 boogieU) (?z0 Int)) (! (=> (and (= (type ?f2) (MapType0Type intType intType)) (= (type ?x17) intType) (= (type ?y6) intType)) (or (= (U_2_int ?y6) ?z0) (= (Equal (Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0) (Difference (Inverse ?f2 ?z0) (Singleton (U_2_int ?x17)))) boolTrue))) :pattern ((Inverse (MapType0Store ?f2 ?x17 ?y6) ?z0)) )) (forall ((?x18 boogieU) (?S7 boogieU) (?M boogieU)) (! (=> (and (= (type ?x18) intType) (= (type ?S7) (MapType0Type intType boolType)) (= (type ?M) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select (Dereference ?S7 ?M) ?x18)) boolTrue) (exists ((?y7 Int)) (let ((?v_12 (int_2_U ?y7))) (and (= (U_2_int ?x18) (U_2_int (MapType0Select ?M ?v_12))) (= (U_2_bool (MapType0Select ?S7 ?v_12)) boolTrue)))))) :pattern ((MapType0Select (Dereference ?S7 ?M) ?x18)) )) (forall ((?x19 boogieU) (?S8 boogieU) (?M0 boogieU)) (! (=> (and (= (type ?x19) intType) (= (type ?S8) (MapType0Type intType boolType)) (= (type ?M0) (MapType0Type intType intType))) (=> (= (U_2_bool (MapType0Select ?S8 ?x19)) boolTrue) (= (U_2_bool (MapType0Select (Dereference ?S8 ?M0) (MapType0Select ?M0 ?x19))) boolTrue))) :pattern ((MapType0Select ?M0 ?x19) (MapType0Select ?S8 ?x19) (Dereference ?S8 ?M0)) )) (forall ((?x20 boogieU) (?y8 boogieU) (?S9 boogieU) (?M1 boogieU)) (! (=> (and (= (type ?x20) intType) (= (type ?y8) intType) (= (type ?S9) (MapType0Type intType boolType)) (= (type ?M1) (MapType0Type intType intType))) (=> (not (= (U_2_bool (MapType0Select ?S9 ?x20)) boolTrue)) (= (Equal (Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8)) (Dereference ?S9 ?M1)) boolTrue))) :pattern ((Dereference ?S9 (MapType0Store ?M1 ?x20 ?y8))) )) (forall ((?x21 boogieU) (?y9 boogieU) (?S10 boogieU) (?M2 boogieU)) (! (let ((?v_13 (U_2_int (MapType0Select ?M2 ?x21)))) (=> (and (= (type ?x21) intType) (= (type ?y9) intType) (= (type ?S10) (MapType0Type intType boolType)) (= (type ?M2) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S10 ?x21)) boolTrue) (= (Equal (Intersection (Inverse ?M2 ?v_13) ?S10) (Singleton (U_2_int ?x21))) boolTrue)) (= (Equal (Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9)) (Union (Difference (Dereference ?S10 ?M2) (Singleton ?v_13)) (Singleton (U_2_int ?y9)))) boolTrue)))) :pattern ((Dereference ?S10 (MapType0Store ?M2 ?x21 ?y9))) )) (forall ((?x22 boogieU) (?y10 boogieU) (?S11 boogieU) (?M3 boogieU)) (! (=> (and (= (type ?x22) intType) (= (type ?y10) intType) (= (type ?S11) (MapType0Type intType boolType)) (= (type ?M3) (MapType0Type intType intType))) (=> (and (= (U_2_bool (MapType0Select ?S11 ?x22)) boolTrue) (not (= (Equal (Intersection (Inverse ?M3 (U_2_int (MapType0Select ?M3 ?x22))) ?S11) (Singleton (U_2_int ?x22))) boolTrue))) (= (Equal (Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10)) (Union (Dereference ?S11 ?M3) (Singleton (U_2_int ?y10)))) boolTrue))) :pattern ((Dereference ?S11 (MapType0Store ?M3 ?x22 ?y10))) )) (forall ((?M4 boogieU) (?x23 boogieU)) (! (=> (and (= (type ?M4) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x23) intType)) (= (U_2_int (MapType0Select (Unified ?M4) ?x23)) (U_2_int (MapType0Select (MapType0Select ?M4 (Field (U_2_int ?x23))) ?x23)))) :pattern ((MapType0Select (Unified ?M4) ?x23)) )) (forall ((?M5 boogieU) (?x24 boogieU) (?y11 boogieU)) (! (let ((?v_14 (Field (U_2_int ?x24)))) (=> (and (= (type ?M5) (MapType0Type nameType (MapType0Type intType intType))) (= (type ?x24) intType) (= (type ?y11) intType)) (= (Unified (MapType0Store ?M5 ?v_14 (MapType0Store (MapType0Select ?M5 ?v_14) ?x24 ?y11))) (MapType0Store (Unified ?M5) ?x24 ?y11)))) :pattern ((Unified (MapType0Store ?M5 (Field (U_2_int ?x24)) (MapType0Store (MapType0Select ?M5 (Field (U_2_int ?x24))) ?x24 ?y11)))) )) (forall ((?v boogieU) (?t boogieU) (?m2 boogieU)) (! (=> (and (= (type ?v) intType) (= (type ?t) nameType) (= (type ?m2) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (U_2_bool (MapType0Select (Values ?t ?m2) ?v)) boolTrue) (= (HasType (U_2_int ?v) ?t ?m2) boolTrue))) :pattern ((MapType0Select (Values ?t ?m2) ?v)) )) (forall ((?v0 Int) (?t0 boogieU) (?m3 boogieU)) (! (=> (and (= (type ?t0) nameType) (= (type ?m3) (MapType0Type nameType (MapType0Type intType intType)))) (=> (= (HasType ?v0 ?t0 ?m3) boolTrue) (= (U_2_bool (MapType0Select (Values ?t0 ?m3) (int_2_U ?v0))) boolTrue))) :pattern ((HasType ?v0 ?t0 ?m3) (Values ?t0 ?m3)) )) (forall ((?a Int) (?t1 boogieU)) (! (let ((?v_15 (T.Ptr ?t1))) (=> (= (type ?t1) nameType) (= (= (Match ?a ?v_15) boolTrue) (= (Field ?a) ?v_15)))) :pattern ((Match ?a (T.Ptr ?t1))) )) (forall ((?v1 Int) (?t2 boogieU) (?m4 boogieU)) (! (=> (and (= (type ?t2) nameType) (= (type ?m4) (MapType0Type nameType (MapType0Type intType intType)))) (= (= (HasType ?v1 (T.Ptr ?t2) ?m4) boolTrue) (or (= ?v1 0) (and (> ?v1 0) (= (Match ?v1 ?t2) boolTrue))))) :pattern ((HasType ?v1 (T.Ptr ?t2) ?m4)) )) (forall ((?v2 Int) (?t3 boogieU) (?m10 boogieU) (?m20 boogieU)) (! (let ((?v_16 (MapType0Type nameType (MapType0Type intType intType)))) (=> (and (= (type ?t3) nameType) (= (type ?m10) ?v_16) (= (type ?m20) ?v_16)) (= (= (HasType ?v2 ?t3 ?m10) boolTrue) (= (HasType ?v2 ?t3 ?m20) boolTrue)))) :pattern ((HasType ?v2 ?t3 ?m10) (HasType ?v2 ?t3 ?m20)) )) (forall ((?x25 Int)) (! (= (Blink__LIST_ENTRYInv (Blink__LIST_ENTRY ?x25)) ?x25) :pattern ((Blink__LIST_ENTRYInv (Blink__LIST_ENTRY ?x25))) )) (forall ((?x26 Int)) (! (= (Blink__LIST_ENTRY (Blink__LIST_ENTRYInv ?x26)) ?x26) :pattern ((Blink__LIST_ENTRYInv ?x26)) )) (forall ((?x27 boogieU) (?S12 boogieU)) (! (=> (and (= (type ?x27) intType) (= (type ?S12) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRY ?S12) ?x27)) boolTrue) (= (U_2_bool (MapType0Select ?S12 (int_2_U (Blink__LIST_ENTRYInv (U_2_int ?x27))))) boolTrue))) :pattern ((MapType0Select (x_S_Blink__LIST_ENTRY ?S12) ?x27)) )) (forall ((?x28 boogieU) (?S13 boogieU)) (! (=> (and (= (type ?x28) intType) (= (type ?S13) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRYInv ?S13) ?x28)) boolTrue) (= (U_2_bool (MapType0Select ?S13 (int_2_U (Blink__LIST_ENTRY (U_2_int ?x28))))) boolTrue))) :pattern ((MapType0Select (x_S_Blink__LIST_ENTRYInv ?S13) ?x28)) )) (forall ((?x29 boogieU) (?S14 boogieU)) (! (=> (and (= (type ?x29) intType) (= (type ?S14) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S14 ?x29)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRY ?S14) (int_2_U (Blink__LIST_ENTRY (U_2_int ?x29))))) boolTrue))) :pattern ((MapType0Select ?S14 ?x29) (x_S_Blink__LIST_ENTRY ?S14)) )) (forall ((?x30 boogieU) (?S15 boogieU)) (! (=> (and (= (type ?x30) intType) (= (type ?S15) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S15 ?x30)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Blink__LIST_ENTRYInv ?S15) (int_2_U (Blink__LIST_ENTRYInv (U_2_int ?x30))))) boolTrue))) :pattern ((MapType0Select ?S15 ?x30) (x_S_Blink__LIST_ENTRYInv ?S15)) )) (forall ((?x31 Int)) (! (= (Blink__LIST_ENTRY ?x31) (+ ?x31 4)) :pattern ((Blink__LIST_ENTRY ?x31)) )) (forall ((?x32 Int)) (! (= (Blink__LIST_ENTRYInv ?x32) (- ?x32 4)) :pattern ((Blink__LIST_ENTRYInv ?x32)) )) (forall ((?x33 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x33 4 1) (Blink__LIST_ENTRYInv ?x33)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x33 4 1)) )) (forall ((?x34 Int)) (! (= (MINUS_LEFT_PTR ?x34 1 4) (Blink__LIST_ENTRYInv ?x34)) :pattern ((MINUS_LEFT_PTR ?x34 1 4)) )) (forall ((?x35 Int)) (! (= (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv (ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?x35)) ?x35) :pattern ((ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv (ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?x35))) )) (forall ((?x36 Int)) (! (= (ContextTypeInfo__WDF_OBJECT_ATTRIBUTES (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?x36)) ?x36) :pattern ((ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?x36)) )) (forall ((?x37 boogieU) (?S16 boogieU)) (! (=> (and (= (type ?x37) intType) (= (type ?S16) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?S16) ?x37)) boolTrue) (= (U_2_bool (MapType0Select ?S16 (int_2_U (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv (U_2_int ?x37))))) boolTrue))) :pattern ((MapType0Select (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?S16) ?x37)) )) (forall ((?x38 boogieU) (?S17 boogieU)) (! (=> (and (= (type ?x38) intType) (= (type ?S17) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?S17) ?x38)) boolTrue) (= (U_2_bool (MapType0Select ?S17 (int_2_U (ContextTypeInfo__WDF_OBJECT_ATTRIBUTES (U_2_int ?x38))))) boolTrue))) :pattern ((MapType0Select (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?S17) ?x38)) )) (forall ((?x39 boogieU) (?S18 boogieU)) (! (=> (and (= (type ?x39) intType) (= (type ?S18) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S18 ?x39)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?S18) (int_2_U (ContextTypeInfo__WDF_OBJECT_ATTRIBUTES (U_2_int ?x39))))) boolTrue))) :pattern ((MapType0Select ?S18 ?x39) (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?S18)) )) (forall ((?x40 boogieU) (?S19 boogieU)) (! (=> (and (= (type ?x40) intType) (= (type ?S19) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S19 ?x40)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?S19) (int_2_U (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv (U_2_int ?x40))))) boolTrue))) :pattern ((MapType0Select ?S19 ?x40) (x_S_ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?S19)) )) (forall ((?x41 Int)) (! (= (ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?x41) (+ ?x41 28)) :pattern ((ContextTypeInfo__WDF_OBJECT_ATTRIBUTES ?x41)) )) (forall ((?x42 Int)) (! (= (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?x42) (- ?x42 28)) :pattern ((ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?x42)) )) (forall ((?x43 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x43 28 1) (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?x43)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x43 28 1)) )) (forall ((?x44 Int)) (! (= (MINUS_LEFT_PTR ?x44 1 28) (ContextTypeInfo__WDF_OBJECT_ATTRIBUTESInv ?x44)) :pattern ((MINUS_LEFT_PTR ?x44 1 28)) )) (forall ((?x45 Int)) (! (= (Device__WORKITEM_CONTEXTInv (Device__WORKITEM_CONTEXT ?x45)) ?x45) :pattern ((Device__WORKITEM_CONTEXTInv (Device__WORKITEM_CONTEXT ?x45))) )) (forall ((?x46 Int)) (! (= (Device__WORKITEM_CONTEXT (Device__WORKITEM_CONTEXTInv ?x46)) ?x46) :pattern ((Device__WORKITEM_CONTEXTInv ?x46)) )) (forall ((?x47 boogieU) (?S20 boogieU)) (! (=> (and (= (type ?x47) intType) (= (type ?S20) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Device__WORKITEM_CONTEXT ?S20) ?x47)) boolTrue) (= (U_2_bool (MapType0Select ?S20 (int_2_U (Device__WORKITEM_CONTEXTInv (U_2_int ?x47))))) boolTrue))) :pattern ((MapType0Select (x_S_Device__WORKITEM_CONTEXT ?S20) ?x47)) )) (forall ((?x48 boogieU) (?S21 boogieU)) (! (=> (and (= (type ?x48) intType) (= (type ?S21) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Device__WORKITEM_CONTEXTInv ?S21) ?x48)) boolTrue) (= (U_2_bool (MapType0Select ?S21 (int_2_U (Device__WORKITEM_CONTEXT (U_2_int ?x48))))) boolTrue))) :pattern ((MapType0Select (x_S_Device__WORKITEM_CONTEXTInv ?S21) ?x48)) )) (forall ((?x49 boogieU) (?S22 boogieU)) (! (=> (and (= (type ?x49) intType) (= (type ?S22) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S22 ?x49)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Device__WORKITEM_CONTEXT ?S22) (int_2_U (Device__WORKITEM_CONTEXT (U_2_int ?x49))))) boolTrue))) :pattern ((MapType0Select ?S22 ?x49) (x_S_Device__WORKITEM_CONTEXT ?S22)) )) (forall ((?x50 boogieU) (?S23 boogieU)) (! (=> (and (= (type ?x50) intType) (= (type ?S23) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S23 ?x50)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Device__WORKITEM_CONTEXTInv ?S23) (int_2_U (Device__WORKITEM_CONTEXTInv (U_2_int ?x50))))) boolTrue))) :pattern ((MapType0Select ?S23 ?x50) (x_S_Device__WORKITEM_CONTEXTInv ?S23)) )) (forall ((?x51 Int)) (! (= (Device__WORKITEM_CONTEXT ?x51) (+ ?x51 0)) :pattern ((Device__WORKITEM_CONTEXT ?x51)) )) (forall ((?x52 Int)) (! (= (Device__WORKITEM_CONTEXTInv ?x52) (- ?x52 0)) :pattern ((Device__WORKITEM_CONTEXTInv ?x52)) )) (forall ((?x53 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x53 0 1) (Device__WORKITEM_CONTEXTInv ?x53)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x53 0 1)) )) (forall ((?x54 Int)) (! (= (MINUS_LEFT_PTR ?x54 1 0) (Device__WORKITEM_CONTEXTInv ?x54)) :pattern ((MINUS_LEFT_PTR ?x54 1 0)) )) (forall ((?x55 Int)) (! (= (Flink__LIST_ENTRYInv (Flink__LIST_ENTRY ?x55)) ?x55) :pattern ((Flink__LIST_ENTRYInv (Flink__LIST_ENTRY ?x55))) )) (forall ((?x56 Int)) (! (= (Flink__LIST_ENTRY (Flink__LIST_ENTRYInv ?x56)) ?x56) :pattern ((Flink__LIST_ENTRYInv ?x56)) )) (forall ((?x57 boogieU) (?S24 boogieU)) (! (=> (and (= (type ?x57) intType) (= (type ?S24) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRY ?S24) ?x57)) boolTrue) (= (U_2_bool (MapType0Select ?S24 (int_2_U (Flink__LIST_ENTRYInv (U_2_int ?x57))))) boolTrue))) :pattern ((MapType0Select (x_S_Flink__LIST_ENTRY ?S24) ?x57)) )) (forall ((?x58 boogieU) (?S25 boogieU)) (! (=> (and (= (type ?x58) intType) (= (type ?S25) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRYInv ?S25) ?x58)) boolTrue) (= (U_2_bool (MapType0Select ?S25 (int_2_U (Flink__LIST_ENTRY (U_2_int ?x58))))) boolTrue))) :pattern ((MapType0Select (x_S_Flink__LIST_ENTRYInv ?S25) ?x58)) )) (forall ((?x59 boogieU) (?S26 boogieU)) (! (=> (and (= (type ?x59) intType) (= (type ?S26) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S26 ?x59)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRY ?S26) (int_2_U (Flink__LIST_ENTRY (U_2_int ?x59))))) boolTrue))) :pattern ((MapType0Select ?S26 ?x59) (x_S_Flink__LIST_ENTRY ?S26)) )) (forall ((?x60 boogieU) (?S27 boogieU)) (! (=> (and (= (type ?x60) intType) (= (type ?S27) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S27 ?x60)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Flink__LIST_ENTRYInv ?S27) (int_2_U (Flink__LIST_ENTRYInv (U_2_int ?x60))))) boolTrue))) :pattern ((MapType0Select ?S27 ?x60) (x_S_Flink__LIST_ENTRYInv ?S27)) )) (forall ((?x61 Int)) (! (= (Flink__LIST_ENTRY ?x61) (+ ?x61 0)) :pattern ((Flink__LIST_ENTRY ?x61)) )) (forall ((?x62 Int)) (! (= (Flink__LIST_ENTRYInv ?x62) (- ?x62 0)) :pattern ((Flink__LIST_ENTRYInv ?x62)) )) (forall ((?x63 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x63 0 1) (Flink__LIST_ENTRYInv ?x63)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x63 0 1)) )) (forall ((?x64 Int)) (! (= (MINUS_LEFT_PTR ?x64 1 0) (Flink__LIST_ENTRYInv ?x64)) :pattern ((MINUS_LEFT_PTR ?x64 1 0)) )) (forall ((?x65 Int)) (! (= (Function__URB_HEADERInv (Function__URB_HEADER ?x65)) ?x65) :pattern ((Function__URB_HEADERInv (Function__URB_HEADER ?x65))) )) (forall ((?x66 Int)) (! (= (Function__URB_HEADER (Function__URB_HEADERInv ?x66)) ?x66) :pattern ((Function__URB_HEADERInv ?x66)) )) (forall ((?x67 boogieU) (?S28 boogieU)) (! (=> (and (= (type ?x67) intType) (= (type ?S28) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Function__URB_HEADER ?S28) ?x67)) boolTrue) (= (U_2_bool (MapType0Select ?S28 (int_2_U (Function__URB_HEADERInv (U_2_int ?x67))))) boolTrue))) :pattern ((MapType0Select (x_S_Function__URB_HEADER ?S28) ?x67)) )) (forall ((?x68 boogieU) (?S29 boogieU)) (! (=> (and (= (type ?x68) intType) (= (type ?S29) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Function__URB_HEADERInv ?S29) ?x68)) boolTrue) (= (U_2_bool (MapType0Select ?S29 (int_2_U (Function__URB_HEADER (U_2_int ?x68))))) boolTrue))) :pattern ((MapType0Select (x_S_Function__URB_HEADERInv ?S29) ?x68)) )) (forall ((?x69 boogieU) (?S30 boogieU)) (! (=> (and (= (type ?x69) intType) (= (type ?S30) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S30 ?x69)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Function__URB_HEADER ?S30) (int_2_U (Function__URB_HEADER (U_2_int ?x69))))) boolTrue))) :pattern ((MapType0Select ?S30 ?x69) (x_S_Function__URB_HEADER ?S30)) )) (forall ((?x70 boogieU) (?S31 boogieU)) (! (=> (and (= (type ?x70) intType) (= (type ?S31) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S31 ?x70)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Function__URB_HEADERInv ?S31) (int_2_U (Function__URB_HEADERInv (U_2_int ?x70))))) boolTrue))) :pattern ((MapType0Select ?S31 ?x70) (x_S_Function__URB_HEADERInv ?S31)) )) (forall ((?x71 Int)) (! (= (Function__URB_HEADER ?x71) (+ ?x71 2)) :pattern ((Function__URB_HEADER ?x71)) )) (forall ((?x72 Int)) (! (= (Function__URB_HEADERInv ?x72) (- ?x72 2)) :pattern ((Function__URB_HEADERInv ?x72)) )) (forall ((?x73 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x73 2 1) (Function__URB_HEADERInv ?x73)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x73 2 1)) )) (forall ((?x74 Int)) (! (= (MINUS_LEFT_PTR ?x74 1 2) (Function__URB_HEADERInv ?x74)) :pattern ((MINUS_LEFT_PTR ?x74 1 2)) )) (forall ((?x75 Int)) (! (= (Hdr__URB_ISOCH_TRANSFERInv (Hdr__URB_ISOCH_TRANSFER ?x75)) ?x75) :pattern ((Hdr__URB_ISOCH_TRANSFERInv (Hdr__URB_ISOCH_TRANSFER ?x75))) )) (forall ((?x76 Int)) (! (= (Hdr__URB_ISOCH_TRANSFER (Hdr__URB_ISOCH_TRANSFERInv ?x76)) ?x76) :pattern ((Hdr__URB_ISOCH_TRANSFERInv ?x76)) )) (forall ((?x77 boogieU) (?S32 boogieU)) (! (=> (and (= (type ?x77) intType) (= (type ?S32) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Hdr__URB_ISOCH_TRANSFER ?S32) ?x77)) boolTrue) (= (U_2_bool (MapType0Select ?S32 (int_2_U (Hdr__URB_ISOCH_TRANSFERInv (U_2_int ?x77))))) boolTrue))) :pattern ((MapType0Select (x_S_Hdr__URB_ISOCH_TRANSFER ?S32) ?x77)) )) (forall ((?x78 boogieU) (?S33 boogieU)) (! (=> (and (= (type ?x78) intType) (= (type ?S33) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Hdr__URB_ISOCH_TRANSFERInv ?S33) ?x78)) boolTrue) (= (U_2_bool (MapType0Select ?S33 (int_2_U (Hdr__URB_ISOCH_TRANSFER (U_2_int ?x78))))) boolTrue))) :pattern ((MapType0Select (x_S_Hdr__URB_ISOCH_TRANSFERInv ?S33) ?x78)) )) (forall ((?x79 boogieU) (?S34 boogieU)) (! (=> (and (= (type ?x79) intType) (= (type ?S34) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S34 ?x79)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Hdr__URB_ISOCH_TRANSFER ?S34) (int_2_U (Hdr__URB_ISOCH_TRANSFER (U_2_int ?x79))))) boolTrue))) :pattern ((MapType0Select ?S34 ?x79) (x_S_Hdr__URB_ISOCH_TRANSFER ?S34)) )) (forall ((?x80 boogieU) (?S35 boogieU)) (! (=> (and (= (type ?x80) intType) (= (type ?S35) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S35 ?x80)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Hdr__URB_ISOCH_TRANSFERInv ?S35) (int_2_U (Hdr__URB_ISOCH_TRANSFERInv (U_2_int ?x80))))) boolTrue))) :pattern ((MapType0Select ?S35 ?x80) (x_S_Hdr__URB_ISOCH_TRANSFERInv ?S35)) )) (forall ((?x81 Int)) (! (= (Hdr__URB_ISOCH_TRANSFER ?x81) (+ ?x81 0)) :pattern ((Hdr__URB_ISOCH_TRANSFER ?x81)) )) (forall ((?x82 Int)) (! (= (Hdr__URB_ISOCH_TRANSFERInv ?x82) (- ?x82 0)) :pattern ((Hdr__URB_ISOCH_TRANSFERInv ?x82)) )) (forall ((?x83 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x83 0 1) (Hdr__URB_ISOCH_TRANSFERInv ?x83)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x83 0 1)) )) (forall ((?x84 Int)) (! (= (MINUS_LEFT_PTR ?x84 1 0) (Hdr__URB_ISOCH_TRANSFERInv ?x84)) :pattern ((MINUS_LEFT_PTR ?x84 1 0)) )) (forall ((?x85 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x85)) ?x85) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x85))) )) (forall ((?x86 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x86)) ?x86) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x86)) )) (forall ((?x87 boogieU) (?S36 boogieU)) (! (=> (and (= (type ?x87) intType) (= (type ?S36) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S36) ?x87)) boolTrue) (= (U_2_bool (MapType0Select ?S36 (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (U_2_int ?x87))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S36) ?x87)) )) (forall ((?x88 boogieU) (?S37 boogieU)) (! (=> (and (= (type ?x88) intType) (= (type ?S37) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S37) ?x88)) boolTrue) (= (U_2_bool (MapType0Select ?S37 (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (U_2_int ?x88))))) boolTrue))) :pattern ((MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S37) ?x88)) )) (forall ((?x89 boogieU) (?S38 boogieU)) (! (=> (and (= (type ?x89) intType) (= (type ?S38) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S38 ?x89)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S38) (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMS (U_2_int ?x89))))) boolTrue))) :pattern ((MapType0Select ?S38 ?x89) (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?S38)) )) (forall ((?x90 boogieU) (?S39 boogieU)) (! (=> (and (= (type ?x90) intType) (= (type ?S39) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S39 ?x90)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S39) (int_2_U (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv (U_2_int ?x90))))) boolTrue))) :pattern ((MapType0Select ?S39 ?x90) (x_S_IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?S39)) )) (forall ((?x91 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x91) (+ ?x91 8)) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMS ?x91)) )) (forall ((?x92 Int)) (! (= (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x92) (- ?x92 8)) :pattern ((IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x92)) )) (forall ((?x93 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x93 8 1) (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x93)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x93 8 1)) )) (forall ((?x94 Int)) (! (= (MINUS_LEFT_PTR ?x94 1 8) (IoStatus__WDF_REQUEST_COMPLETION_PARAMSInv ?x94)) :pattern ((MINUS_LEFT_PTR ?x94 1 8)) )) (forall ((?x95 Int)) (! (= (IsDeviceHighSpeed__DEVICE_CONTEXTInv (IsDeviceHighSpeed__DEVICE_CONTEXT ?x95)) ?x95) :pattern ((IsDeviceHighSpeed__DEVICE_CONTEXTInv (IsDeviceHighSpeed__DEVICE_CONTEXT ?x95))) )) (forall ((?x96 Int)) (! (= (IsDeviceHighSpeed__DEVICE_CONTEXT (IsDeviceHighSpeed__DEVICE_CONTEXTInv ?x96)) ?x96) :pattern ((IsDeviceHighSpeed__DEVICE_CONTEXTInv ?x96)) )) (forall ((?x97 boogieU) (?S40 boogieU)) (! (=> (and (= (type ?x97) intType) (= (type ?S40) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsDeviceHighSpeed__DEVICE_CONTEXT ?S40) ?x97)) boolTrue) (= (U_2_bool (MapType0Select ?S40 (int_2_U (IsDeviceHighSpeed__DEVICE_CONTEXTInv (U_2_int ?x97))))) boolTrue))) :pattern ((MapType0Select (x_S_IsDeviceHighSpeed__DEVICE_CONTEXT ?S40) ?x97)) )) (forall ((?x98 boogieU) (?S41 boogieU)) (! (=> (and (= (type ?x98) intType) (= (type ?S41) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv ?S41) ?x98)) boolTrue) (= (U_2_bool (MapType0Select ?S41 (int_2_U (IsDeviceHighSpeed__DEVICE_CONTEXT (U_2_int ?x98))))) boolTrue))) :pattern ((MapType0Select (x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv ?S41) ?x98)) )) (forall ((?x99 boogieU) (?S42 boogieU)) (! (=> (and (= (type ?x99) intType) (= (type ?S42) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S42 ?x99)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsDeviceHighSpeed__DEVICE_CONTEXT ?S42) (int_2_U (IsDeviceHighSpeed__DEVICE_CONTEXT (U_2_int ?x99))))) boolTrue))) :pattern ((MapType0Select ?S42 ?x99) (x_S_IsDeviceHighSpeed__DEVICE_CONTEXT ?S42)) )) (forall ((?x100 boogieU) (?S43 boogieU)) (! (=> (and (= (type ?x100) intType) (= (type ?S43) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S43 ?x100)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv ?S43) (int_2_U (IsDeviceHighSpeed__DEVICE_CONTEXTInv (U_2_int ?x100))))) boolTrue))) :pattern ((MapType0Select ?S43 ?x100) (x_S_IsDeviceHighSpeed__DEVICE_CONTEXTInv ?S43)) )) (forall ((?x101 Int)) (! (= (IsDeviceHighSpeed__DEVICE_CONTEXT ?x101) (+ ?x101 32)) :pattern ((IsDeviceHighSpeed__DEVICE_CONTEXT ?x101)) )) (forall ((?x102 Int)) (! (= (IsDeviceHighSpeed__DEVICE_CONTEXTInv ?x102) (- ?x102 32)) :pattern ((IsDeviceHighSpeed__DEVICE_CONTEXTInv ?x102)) )) (forall ((?x103 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x103 32 1) (IsDeviceHighSpeed__DEVICE_CONTEXTInv ?x103)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x103 32 1)) )) (forall ((?x104 Int)) (! (= (MINUS_LEFT_PTR ?x104 1 32) (IsDeviceHighSpeed__DEVICE_CONTEXTInv ?x104)) :pattern ((MINUS_LEFT_PTR ?x104 1 32)) )) (forall ((?x105 Int)) (! (= (IsoPacket__URB_ISOCH_TRANSFERInv (IsoPacket__URB_ISOCH_TRANSFER ?x105)) ?x105) :pattern ((IsoPacket__URB_ISOCH_TRANSFERInv (IsoPacket__URB_ISOCH_TRANSFER ?x105))) )) (forall ((?x106 Int)) (! (= (IsoPacket__URB_ISOCH_TRANSFER (IsoPacket__URB_ISOCH_TRANSFERInv ?x106)) ?x106) :pattern ((IsoPacket__URB_ISOCH_TRANSFERInv ?x106)) )) (forall ((?x107 boogieU) (?S44 boogieU)) (! (=> (and (= (type ?x107) intType) (= (type ?S44) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsoPacket__URB_ISOCH_TRANSFER ?S44) ?x107)) boolTrue) (= (U_2_bool (MapType0Select ?S44 (int_2_U (IsoPacket__URB_ISOCH_TRANSFERInv (U_2_int ?x107))))) boolTrue))) :pattern ((MapType0Select (x_S_IsoPacket__URB_ISOCH_TRANSFER ?S44) ?x107)) )) (forall ((?x108 boogieU) (?S45 boogieU)) (! (=> (and (= (type ?x108) intType) (= (type ?S45) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_IsoPacket__URB_ISOCH_TRANSFERInv ?S45) ?x108)) boolTrue) (= (U_2_bool (MapType0Select ?S45 (int_2_U (IsoPacket__URB_ISOCH_TRANSFER (U_2_int ?x108))))) boolTrue))) :pattern ((MapType0Select (x_S_IsoPacket__URB_ISOCH_TRANSFERInv ?S45) ?x108)) )) (forall ((?x109 boogieU) (?S46 boogieU)) (! (=> (and (= (type ?x109) intType) (= (type ?S46) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S46 ?x109)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsoPacket__URB_ISOCH_TRANSFER ?S46) (int_2_U (IsoPacket__URB_ISOCH_TRANSFER (U_2_int ?x109))))) boolTrue))) :pattern ((MapType0Select ?S46 ?x109) (x_S_IsoPacket__URB_ISOCH_TRANSFER ?S46)) )) (forall ((?x110 boogieU) (?S47 boogieU)) (! (=> (and (= (type ?x110) intType) (= (type ?S47) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S47 ?x110)) boolTrue) (= (U_2_bool (MapType0Select (x_S_IsoPacket__URB_ISOCH_TRANSFERInv ?S47) (int_2_U (IsoPacket__URB_ISOCH_TRANSFERInv (U_2_int ?x110))))) boolTrue))) :pattern ((MapType0Select ?S47 ?x110) (x_S_IsoPacket__URB_ISOCH_TRANSFERInv ?S47)) )) (forall ((?x111 Int)) (! (= (IsoPacket__URB_ISOCH_TRANSFER ?x111) (+ ?x111 84)) :pattern ((IsoPacket__URB_ISOCH_TRANSFER ?x111)) )) (forall ((?x112 Int)) (! (= (IsoPacket__URB_ISOCH_TRANSFERInv ?x112) (- ?x112 84)) :pattern ((IsoPacket__URB_ISOCH_TRANSFERInv ?x112)) )) (forall ((?x113 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x113 84 1) (IsoPacket__URB_ISOCH_TRANSFERInv ?x113)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x113 84 1)) )) (forall ((?x114 Int)) (! (= (MINUS_LEFT_PTR ?x114 1 84) (IsoPacket__URB_ISOCH_TRANSFERInv ?x114)) :pattern ((MINUS_LEFT_PTR ?x114 1 84)) )) (forall ((?x115 Int)) (! (= (Length__REQUEST_CONTEXTInv (Length__REQUEST_CONTEXT ?x115)) ?x115) :pattern ((Length__REQUEST_CONTEXTInv (Length__REQUEST_CONTEXT ?x115))) )) (forall ((?x116 Int)) (! (= (Length__REQUEST_CONTEXT (Length__REQUEST_CONTEXTInv ?x116)) ?x116) :pattern ((Length__REQUEST_CONTEXTInv ?x116)) )) (forall ((?x117 boogieU) (?S48 boogieU)) (! (=> (and (= (type ?x117) intType) (= (type ?S48) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__REQUEST_CONTEXT ?S48) ?x117)) boolTrue) (= (U_2_bool (MapType0Select ?S48 (int_2_U (Length__REQUEST_CONTEXTInv (U_2_int ?x117))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__REQUEST_CONTEXT ?S48) ?x117)) )) (forall ((?x118 boogieU) (?S49 boogieU)) (! (=> (and (= (type ?x118) intType) (= (type ?S49) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__REQUEST_CONTEXTInv ?S49) ?x118)) boolTrue) (= (U_2_bool (MapType0Select ?S49 (int_2_U (Length__REQUEST_CONTEXT (U_2_int ?x118))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__REQUEST_CONTEXTInv ?S49) ?x118)) )) (forall ((?x119 boogieU) (?S50 boogieU)) (! (=> (and (= (type ?x119) intType) (= (type ?S50) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S50 ?x119)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__REQUEST_CONTEXT ?S50) (int_2_U (Length__REQUEST_CONTEXT (U_2_int ?x119))))) boolTrue))) :pattern ((MapType0Select ?S50 ?x119) (x_S_Length__REQUEST_CONTEXT ?S50)) )) (forall ((?x120 boogieU) (?S51 boogieU)) (! (=> (and (= (type ?x120) intType) (= (type ?S51) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S51 ?x120)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__REQUEST_CONTEXTInv ?S51) (int_2_U (Length__REQUEST_CONTEXTInv (U_2_int ?x120))))) boolTrue))) :pattern ((MapType0Select ?S51 ?x120) (x_S_Length__REQUEST_CONTEXTInv ?S51)) )) (forall ((?x121 Int)) (! (= (Length__REQUEST_CONTEXT ?x121) (+ ?x121 8)) :pattern ((Length__REQUEST_CONTEXT ?x121)) )) (forall ((?x122 Int)) (! (= (Length__REQUEST_CONTEXTInv ?x122) (- ?x122 8)) :pattern ((Length__REQUEST_CONTEXTInv ?x122)) )) (forall ((?x123 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x123 8 1) (Length__REQUEST_CONTEXTInv ?x123)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x123 8 1)) )) (forall ((?x124 Int)) (! (= (MINUS_LEFT_PTR ?x124 1 8) (Length__REQUEST_CONTEXTInv ?x124)) :pattern ((MINUS_LEFT_PTR ?x124 1 8)) )) (forall ((?x125 Int)) (! (= (Length__URB_HEADERInv (Length__URB_HEADER ?x125)) ?x125) :pattern ((Length__URB_HEADERInv (Length__URB_HEADER ?x125))) )) (forall ((?x126 Int)) (! (= (Length__URB_HEADER (Length__URB_HEADERInv ?x126)) ?x126) :pattern ((Length__URB_HEADERInv ?x126)) )) (forall ((?x127 boogieU) (?S52 boogieU)) (! (=> (and (= (type ?x127) intType) (= (type ?S52) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__URB_HEADER ?S52) ?x127)) boolTrue) (= (U_2_bool (MapType0Select ?S52 (int_2_U (Length__URB_HEADERInv (U_2_int ?x127))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__URB_HEADER ?S52) ?x127)) )) (forall ((?x128 boogieU) (?S53 boogieU)) (! (=> (and (= (type ?x128) intType) (= (type ?S53) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__URB_HEADERInv ?S53) ?x128)) boolTrue) (= (U_2_bool (MapType0Select ?S53 (int_2_U (Length__URB_HEADER (U_2_int ?x128))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__URB_HEADERInv ?S53) ?x128)) )) (forall ((?x129 boogieU) (?S54 boogieU)) (! (=> (and (= (type ?x129) intType) (= (type ?S54) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S54 ?x129)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__URB_HEADER ?S54) (int_2_U (Length__URB_HEADER (U_2_int ?x129))))) boolTrue))) :pattern ((MapType0Select ?S54 ?x129) (x_S_Length__URB_HEADER ?S54)) )) (forall ((?x130 boogieU) (?S55 boogieU)) (! (=> (and (= (type ?x130) intType) (= (type ?S55) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S55 ?x130)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__URB_HEADERInv ?S55) (int_2_U (Length__URB_HEADERInv (U_2_int ?x130))))) boolTrue))) :pattern ((MapType0Select ?S55 ?x130) (x_S_Length__URB_HEADERInv ?S55)) )) (forall ((?x131 Int)) (! (= (Length__URB_HEADER ?x131) (+ ?x131 0)) :pattern ((Length__URB_HEADER ?x131)) )) (forall ((?x132 Int)) (! (= (Length__URB_HEADERInv ?x132) (- ?x132 0)) :pattern ((Length__URB_HEADERInv ?x132)) )) (forall ((?x133 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x133 0 1) (Length__URB_HEADERInv ?x133)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x133 0 1)) )) (forall ((?x134 Int)) (! (= (MINUS_LEFT_PTR ?x134 1 0) (Length__URB_HEADERInv ?x134)) :pattern ((MINUS_LEFT_PTR ?x134 1 0)) )) (forall ((?x135 Int)) (! (= (Length__USBD_ISO_PACKET_DESCRIPTORInv (Length__USBD_ISO_PACKET_DESCRIPTOR ?x135)) ?x135) :pattern ((Length__USBD_ISO_PACKET_DESCRIPTORInv (Length__USBD_ISO_PACKET_DESCRIPTOR ?x135))) )) (forall ((?x136 Int)) (! (= (Length__USBD_ISO_PACKET_DESCRIPTOR (Length__USBD_ISO_PACKET_DESCRIPTORInv ?x136)) ?x136) :pattern ((Length__USBD_ISO_PACKET_DESCRIPTORInv ?x136)) )) (forall ((?x137 boogieU) (?S56 boogieU)) (! (=> (and (= (type ?x137) intType) (= (type ?S56) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__USBD_ISO_PACKET_DESCRIPTOR ?S56) ?x137)) boolTrue) (= (U_2_bool (MapType0Select ?S56 (int_2_U (Length__USBD_ISO_PACKET_DESCRIPTORInv (U_2_int ?x137))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__USBD_ISO_PACKET_DESCRIPTOR ?S56) ?x137)) )) (forall ((?x138 boogieU) (?S57 boogieU)) (! (=> (and (= (type ?x138) intType) (= (type ?S57) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv ?S57) ?x138)) boolTrue) (= (U_2_bool (MapType0Select ?S57 (int_2_U (Length__USBD_ISO_PACKET_DESCRIPTOR (U_2_int ?x138))))) boolTrue))) :pattern ((MapType0Select (x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv ?S57) ?x138)) )) (forall ((?x139 boogieU) (?S58 boogieU)) (! (=> (and (= (type ?x139) intType) (= (type ?S58) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S58 ?x139)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__USBD_ISO_PACKET_DESCRIPTOR ?S58) (int_2_U (Length__USBD_ISO_PACKET_DESCRIPTOR (U_2_int ?x139))))) boolTrue))) :pattern ((MapType0Select ?S58 ?x139) (x_S_Length__USBD_ISO_PACKET_DESCRIPTOR ?S58)) )) (forall ((?x140 boogieU) (?S59 boogieU)) (! (=> (and (= (type ?x140) intType) (= (type ?S59) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S59 ?x140)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv ?S59) (int_2_U (Length__USBD_ISO_PACKET_DESCRIPTORInv (U_2_int ?x140))))) boolTrue))) :pattern ((MapType0Select ?S59 ?x140) (x_S_Length__USBD_ISO_PACKET_DESCRIPTORInv ?S59)) )) (forall ((?x141 Int)) (! (= (Length__USBD_ISO_PACKET_DESCRIPTOR ?x141) (+ ?x141 4)) :pattern ((Length__USBD_ISO_PACKET_DESCRIPTOR ?x141)) )) (forall ((?x142 Int)) (! (= (Length__USBD_ISO_PACKET_DESCRIPTORInv ?x142) (- ?x142 4)) :pattern ((Length__USBD_ISO_PACKET_DESCRIPTORInv ?x142)) )) (forall ((?x143 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x143 4 1) (Length__USBD_ISO_PACKET_DESCRIPTORInv ?x143)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x143 4 1)) )) (forall ((?x144 Int)) (! (= (MINUS_LEFT_PTR ?x144 1 4) (Length__USBD_ISO_PACKET_DESCRIPTORInv ?x144)) :pattern ((MINUS_LEFT_PTR ?x144 1 4)) )) (forall ((?x145 Int)) (! (= (ListEntry__SUB_REQUEST_CONTEXTInv (ListEntry__SUB_REQUEST_CONTEXT ?x145)) ?x145) :pattern ((ListEntry__SUB_REQUEST_CONTEXTInv (ListEntry__SUB_REQUEST_CONTEXT ?x145))) )) (forall ((?x146 Int)) (! (= (ListEntry__SUB_REQUEST_CONTEXT (ListEntry__SUB_REQUEST_CONTEXTInv ?x146)) ?x146) :pattern ((ListEntry__SUB_REQUEST_CONTEXTInv ?x146)) )) (forall ((?x147 boogieU) (?S60 boogieU)) (! (=> (and (= (type ?x147) intType) (= (type ?S60) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ListEntry__SUB_REQUEST_CONTEXT ?S60) ?x147)) boolTrue) (= (U_2_bool (MapType0Select ?S60 (int_2_U (ListEntry__SUB_REQUEST_CONTEXTInv (U_2_int ?x147))))) boolTrue))) :pattern ((MapType0Select (x_S_ListEntry__SUB_REQUEST_CONTEXT ?S60) ?x147)) )) (forall ((?x148 boogieU) (?S61 boogieU)) (! (=> (and (= (type ?x148) intType) (= (type ?S61) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ListEntry__SUB_REQUEST_CONTEXTInv ?S61) ?x148)) boolTrue) (= (U_2_bool (MapType0Select ?S61 (int_2_U (ListEntry__SUB_REQUEST_CONTEXT (U_2_int ?x148))))) boolTrue))) :pattern ((MapType0Select (x_S_ListEntry__SUB_REQUEST_CONTEXTInv ?S61) ?x148)) )) (forall ((?x149 boogieU) (?S62 boogieU)) (! (=> (and (= (type ?x149) intType) (= (type ?S62) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S62 ?x149)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ListEntry__SUB_REQUEST_CONTEXT ?S62) (int_2_U (ListEntry__SUB_REQUEST_CONTEXT (U_2_int ?x149))))) boolTrue))) :pattern ((MapType0Select ?S62 ?x149) (x_S_ListEntry__SUB_REQUEST_CONTEXT ?S62)) )) (forall ((?x150 boogieU) (?S63 boogieU)) (! (=> (and (= (type ?x150) intType) (= (type ?S63) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S63 ?x150)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ListEntry__SUB_REQUEST_CONTEXTInv ?S63) (int_2_U (ListEntry__SUB_REQUEST_CONTEXTInv (U_2_int ?x150))))) boolTrue))) :pattern ((MapType0Select ?S63 ?x150) (x_S_ListEntry__SUB_REQUEST_CONTEXTInv ?S63)) )) (forall ((?x151 Int)) (! (= (ListEntry__SUB_REQUEST_CONTEXT ?x151) (+ ?x151 12)) :pattern ((ListEntry__SUB_REQUEST_CONTEXT ?x151)) )) (forall ((?x152 Int)) (! (= (ListEntry__SUB_REQUEST_CONTEXTInv ?x152) (- ?x152 12)) :pattern ((ListEntry__SUB_REQUEST_CONTEXTInv ?x152)) )) (forall ((?x153 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x153 12 1) (ListEntry__SUB_REQUEST_CONTEXTInv ?x153)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x153 12 1)) )) (forall ((?x154 Int)) (! (= (MINUS_LEFT_PTR ?x154 1 12) (ListEntry__SUB_REQUEST_CONTEXTInv ?x154)) :pattern ((MINUS_LEFT_PTR ?x154 1 12)) )) (forall ((?x155 Int)) (! (= (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv (MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?x155)) ?x155) :pattern ((MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv (MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?x155))) )) (forall ((?x156 Int)) (! (= (MaximumPacketSize__WDF_USB_PIPE_INFORMATION (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?x156)) ?x156) :pattern ((MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?x156)) )) (forall ((?x157 boogieU) (?S64 boogieU)) (! (=> (and (= (type ?x157) intType) (= (type ?S64) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?S64) ?x157)) boolTrue) (= (U_2_bool (MapType0Select ?S64 (int_2_U (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv (U_2_int ?x157))))) boolTrue))) :pattern ((MapType0Select (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?S64) ?x157)) )) (forall ((?x158 boogieU) (?S65 boogieU)) (! (=> (and (= (type ?x158) intType) (= (type ?S65) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?S65) ?x158)) boolTrue) (= (U_2_bool (MapType0Select ?S65 (int_2_U (MaximumPacketSize__WDF_USB_PIPE_INFORMATION (U_2_int ?x158))))) boolTrue))) :pattern ((MapType0Select (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?S65) ?x158)) )) (forall ((?x159 boogieU) (?S66 boogieU)) (! (=> (and (= (type ?x159) intType) (= (type ?S66) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S66 ?x159)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?S66) (int_2_U (MaximumPacketSize__WDF_USB_PIPE_INFORMATION (U_2_int ?x159))))) boolTrue))) :pattern ((MapType0Select ?S66 ?x159) (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?S66)) )) (forall ((?x160 boogieU) (?S67 boogieU)) (! (=> (and (= (type ?x160) intType) (= (type ?S67) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S67 ?x160)) boolTrue) (= (U_2_bool (MapType0Select (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?S67) (int_2_U (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv (U_2_int ?x160))))) boolTrue))) :pattern ((MapType0Select ?S67 ?x160) (x_S_MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?S67)) )) (forall ((?x161 Int)) (! (= (MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?x161) (+ ?x161 4)) :pattern ((MaximumPacketSize__WDF_USB_PIPE_INFORMATION ?x161)) )) (forall ((?x162 Int)) (! (= (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?x162) (- ?x162 4)) :pattern ((MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?x162)) )) (forall ((?x163 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x163 4 1) (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?x163)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x163 4 1)) )) (forall ((?x164 Int)) (! (= (MINUS_LEFT_PTR ?x164 1 4) (MaximumPacketSize__WDF_USB_PIPE_INFORMATIONInv ?x164)) :pattern ((MINUS_LEFT_PTR ?x164 1 4)) )) (forall ((?x165 Int)) (! (= (Mdl__REQUEST_CONTEXTInv (Mdl__REQUEST_CONTEXT ?x165)) ?x165) :pattern ((Mdl__REQUEST_CONTEXTInv (Mdl__REQUEST_CONTEXT ?x165))) )) (forall ((?x166 Int)) (! (= (Mdl__REQUEST_CONTEXT (Mdl__REQUEST_CONTEXTInv ?x166)) ?x166) :pattern ((Mdl__REQUEST_CONTEXTInv ?x166)) )) (forall ((?x167 boogieU) (?S68 boogieU)) (! (=> (and (= (type ?x167) intType) (= (type ?S68) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Mdl__REQUEST_CONTEXT ?S68) ?x167)) boolTrue) (= (U_2_bool (MapType0Select ?S68 (int_2_U (Mdl__REQUEST_CONTEXTInv (U_2_int ?x167))))) boolTrue))) :pattern ((MapType0Select (x_S_Mdl__REQUEST_CONTEXT ?S68) ?x167)) )) (forall ((?x168 boogieU) (?S69 boogieU)) (! (=> (and (= (type ?x168) intType) (= (type ?S69) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Mdl__REQUEST_CONTEXTInv ?S69) ?x168)) boolTrue) (= (U_2_bool (MapType0Select ?S69 (int_2_U (Mdl__REQUEST_CONTEXT (U_2_int ?x168))))) boolTrue))) :pattern ((MapType0Select (x_S_Mdl__REQUEST_CONTEXTInv ?S69) ?x168)) )) (forall ((?x169 boogieU) (?S70 boogieU)) (! (=> (and (= (type ?x169) intType) (= (type ?S70) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S70 ?x169)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Mdl__REQUEST_CONTEXT ?S70) (int_2_U (Mdl__REQUEST_CONTEXT (U_2_int ?x169))))) boolTrue))) :pattern ((MapType0Select ?S70 ?x169) (x_S_Mdl__REQUEST_CONTEXT ?S70)) )) (forall ((?x170 boogieU) (?S71 boogieU)) (! (=> (and (= (type ?x170) intType) (= (type ?S71) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S71 ?x170)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Mdl__REQUEST_CONTEXTInv ?S71) (int_2_U (Mdl__REQUEST_CONTEXTInv (U_2_int ?x170))))) boolTrue))) :pattern ((MapType0Select ?S71 ?x170) (x_S_Mdl__REQUEST_CONTEXTInv ?S71)) )) (forall ((?x171 Int)) (! (= (Mdl__REQUEST_CONTEXT ?x171) (+ ?x171 4)) :pattern ((Mdl__REQUEST_CONTEXT ?x171)) )) (forall ((?x172 Int)) (! (= (Mdl__REQUEST_CONTEXTInv ?x172) (- ?x172 4)) :pattern ((Mdl__REQUEST_CONTEXTInv ?x172)) )) (forall ((?x173 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x173 4 1) (Mdl__REQUEST_CONTEXTInv ?x173)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x173 4 1)) )) (forall ((?x174 Int)) (! (= (MINUS_LEFT_PTR ?x174 1 4) (Mdl__REQUEST_CONTEXTInv ?x174)) :pattern ((MINUS_LEFT_PTR ?x174 1 4)) )) (forall ((?x175 Int)) (! (= (NumberConfiguredPipes__DEVICE_CONTEXTInv (NumberConfiguredPipes__DEVICE_CONTEXT ?x175)) ?x175) :pattern ((NumberConfiguredPipes__DEVICE_CONTEXTInv (NumberConfiguredPipes__DEVICE_CONTEXT ?x175))) )) (forall ((?x176 Int)) (! (= (NumberConfiguredPipes__DEVICE_CONTEXT (NumberConfiguredPipes__DEVICE_CONTEXTInv ?x176)) ?x176) :pattern ((NumberConfiguredPipes__DEVICE_CONTEXTInv ?x176)) )) (forall ((?x177 boogieU) (?S72 boogieU)) (! (=> (and (= (type ?x177) intType) (= (type ?S72) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberConfiguredPipes__DEVICE_CONTEXT ?S72) ?x177)) boolTrue) (= (U_2_bool (MapType0Select ?S72 (int_2_U (NumberConfiguredPipes__DEVICE_CONTEXTInv (U_2_int ?x177))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberConfiguredPipes__DEVICE_CONTEXT ?S72) ?x177)) )) (forall ((?x178 boogieU) (?S73 boogieU)) (! (=> (and (= (type ?x178) intType) (= (type ?S73) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv ?S73) ?x178)) boolTrue) (= (U_2_bool (MapType0Select ?S73 (int_2_U (NumberConfiguredPipes__DEVICE_CONTEXT (U_2_int ?x178))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv ?S73) ?x178)) )) (forall ((?x179 boogieU) (?S74 boogieU)) (! (=> (and (= (type ?x179) intType) (= (type ?S74) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S74 ?x179)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberConfiguredPipes__DEVICE_CONTEXT ?S74) (int_2_U (NumberConfiguredPipes__DEVICE_CONTEXT (U_2_int ?x179))))) boolTrue))) :pattern ((MapType0Select ?S74 ?x179) (x_S_NumberConfiguredPipes__DEVICE_CONTEXT ?S74)) )) (forall ((?x180 boogieU) (?S75 boogieU)) (! (=> (and (= (type ?x180) intType) (= (type ?S75) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S75 ?x180)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv ?S75) (int_2_U (NumberConfiguredPipes__DEVICE_CONTEXTInv (U_2_int ?x180))))) boolTrue))) :pattern ((MapType0Select ?S75 ?x180) (x_S_NumberConfiguredPipes__DEVICE_CONTEXTInv ?S75)) )) (forall ((?x181 Int)) (! (= (NumberConfiguredPipes__DEVICE_CONTEXT ?x181) (+ ?x181 40)) :pattern ((NumberConfiguredPipes__DEVICE_CONTEXT ?x181)) )) (forall ((?x182 Int)) (! (= (NumberConfiguredPipes__DEVICE_CONTEXTInv ?x182) (- ?x182 40)) :pattern ((NumberConfiguredPipes__DEVICE_CONTEXTInv ?x182)) )) (forall ((?x183 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x183 40 1) (NumberConfiguredPipes__DEVICE_CONTEXTInv ?x183)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x183 40 1)) )) (forall ((?x184 Int)) (! (= (MINUS_LEFT_PTR ?x184 1 40) (NumberConfiguredPipes__DEVICE_CONTEXTInv ?x184)) :pattern ((MINUS_LEFT_PTR ?x184 1 40)) )) (forall ((?x185 Int)) (! (= (NumberOfPackets__URB_ISOCH_TRANSFERInv (NumberOfPackets__URB_ISOCH_TRANSFER ?x185)) ?x185) :pattern ((NumberOfPackets__URB_ISOCH_TRANSFERInv (NumberOfPackets__URB_ISOCH_TRANSFER ?x185))) )) (forall ((?x186 Int)) (! (= (NumberOfPackets__URB_ISOCH_TRANSFER (NumberOfPackets__URB_ISOCH_TRANSFERInv ?x186)) ?x186) :pattern ((NumberOfPackets__URB_ISOCH_TRANSFERInv ?x186)) )) (forall ((?x187 boogieU) (?S76 boogieU)) (! (=> (and (= (type ?x187) intType) (= (type ?S76) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberOfPackets__URB_ISOCH_TRANSFER ?S76) ?x187)) boolTrue) (= (U_2_bool (MapType0Select ?S76 (int_2_U (NumberOfPackets__URB_ISOCH_TRANSFERInv (U_2_int ?x187))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberOfPackets__URB_ISOCH_TRANSFER ?S76) ?x187)) )) (forall ((?x188 boogieU) (?S77 boogieU)) (! (=> (and (= (type ?x188) intType) (= (type ?S77) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv ?S77) ?x188)) boolTrue) (= (U_2_bool (MapType0Select ?S77 (int_2_U (NumberOfPackets__URB_ISOCH_TRANSFER (U_2_int ?x188))))) boolTrue))) :pattern ((MapType0Select (x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv ?S77) ?x188)) )) (forall ((?x189 boogieU) (?S78 boogieU)) (! (=> (and (= (type ?x189) intType) (= (type ?S78) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S78 ?x189)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberOfPackets__URB_ISOCH_TRANSFER ?S78) (int_2_U (NumberOfPackets__URB_ISOCH_TRANSFER (U_2_int ?x189))))) boolTrue))) :pattern ((MapType0Select ?S78 ?x189) (x_S_NumberOfPackets__URB_ISOCH_TRANSFER ?S78)) )) (forall ((?x190 boogieU) (?S79 boogieU)) (! (=> (and (= (type ?x190) intType) (= (type ?S79) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S79 ?x190)) boolTrue) (= (U_2_bool (MapType0Select (x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv ?S79) (int_2_U (NumberOfPackets__URB_ISOCH_TRANSFERInv (U_2_int ?x190))))) boolTrue))) :pattern ((MapType0Select ?S79 ?x190) (x_S_NumberOfPackets__URB_ISOCH_TRANSFERInv ?S79)) )) (forall ((?x191 Int)) (! (= (NumberOfPackets__URB_ISOCH_TRANSFER ?x191) (+ ?x191 76)) :pattern ((NumberOfPackets__URB_ISOCH_TRANSFER ?x191)) )) (forall ((?x192 Int)) (! (= (NumberOfPackets__URB_ISOCH_TRANSFERInv ?x192) (- ?x192 76)) :pattern ((NumberOfPackets__URB_ISOCH_TRANSFERInv ?x192)) )) (forall ((?x193 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x193 76 1) (NumberOfPackets__URB_ISOCH_TRANSFERInv ?x193)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x193 76 1)) )) (forall ((?x194 Int)) (! (= (MINUS_LEFT_PTR ?x194 1 76) (NumberOfPackets__URB_ISOCH_TRANSFERInv ?x194)) :pattern ((MINUS_LEFT_PTR ?x194 1 76)) )) (forall ((?x195 Int)) (! (= (Numxfer__REQUEST_CONTEXTInv (Numxfer__REQUEST_CONTEXT ?x195)) ?x195) :pattern ((Numxfer__REQUEST_CONTEXTInv (Numxfer__REQUEST_CONTEXT ?x195))) )) (forall ((?x196 Int)) (! (= (Numxfer__REQUEST_CONTEXT (Numxfer__REQUEST_CONTEXTInv ?x196)) ?x196) :pattern ((Numxfer__REQUEST_CONTEXTInv ?x196)) )) (forall ((?x197 boogieU) (?S80 boogieU)) (! (=> (and (= (type ?x197) intType) (= (type ?S80) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Numxfer__REQUEST_CONTEXT ?S80) ?x197)) boolTrue) (= (U_2_bool (MapType0Select ?S80 (int_2_U (Numxfer__REQUEST_CONTEXTInv (U_2_int ?x197))))) boolTrue))) :pattern ((MapType0Select (x_S_Numxfer__REQUEST_CONTEXT ?S80) ?x197)) )) (forall ((?x198 boogieU) (?S81 boogieU)) (! (=> (and (= (type ?x198) intType) (= (type ?S81) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Numxfer__REQUEST_CONTEXTInv ?S81) ?x198)) boolTrue) (= (U_2_bool (MapType0Select ?S81 (int_2_U (Numxfer__REQUEST_CONTEXT (U_2_int ?x198))))) boolTrue))) :pattern ((MapType0Select (x_S_Numxfer__REQUEST_CONTEXTInv ?S81) ?x198)) )) (forall ((?x199 boogieU) (?S82 boogieU)) (! (=> (and (= (type ?x199) intType) (= (type ?S82) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S82 ?x199)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Numxfer__REQUEST_CONTEXT ?S82) (int_2_U (Numxfer__REQUEST_CONTEXT (U_2_int ?x199))))) boolTrue))) :pattern ((MapType0Select ?S82 ?x199) (x_S_Numxfer__REQUEST_CONTEXT ?S82)) )) (forall ((?x200 boogieU) (?S83 boogieU)) (! (=> (and (= (type ?x200) intType) (= (type ?S83) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S83 ?x200)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Numxfer__REQUEST_CONTEXTInv ?S83) (int_2_U (Numxfer__REQUEST_CONTEXTInv (U_2_int ?x200))))) boolTrue))) :pattern ((MapType0Select ?S83 ?x200) (x_S_Numxfer__REQUEST_CONTEXTInv ?S83)) )) (forall ((?x201 Int)) (! (= (Numxfer__REQUEST_CONTEXT ?x201) (+ ?x201 12)) :pattern ((Numxfer__REQUEST_CONTEXT ?x201)) )) (forall ((?x202 Int)) (! (= (Numxfer__REQUEST_CONTEXTInv ?x202) (- ?x202 12)) :pattern ((Numxfer__REQUEST_CONTEXTInv ?x202)) )) (forall ((?x203 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x203 12 1) (Numxfer__REQUEST_CONTEXTInv ?x203)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x203 12 1)) )) (forall ((?x204 Int)) (! (= (MINUS_LEFT_PTR ?x204 1 12) (Numxfer__REQUEST_CONTEXTInv ?x204)) :pattern ((MINUS_LEFT_PTR ?x204 1 12)) )) (forall ((?x205 Int)) (! (= (Offset__USBD_ISO_PACKET_DESCRIPTORInv (Offset__USBD_ISO_PACKET_DESCRIPTOR ?x205)) ?x205) :pattern ((Offset__USBD_ISO_PACKET_DESCRIPTORInv (Offset__USBD_ISO_PACKET_DESCRIPTOR ?x205))) )) (forall ((?x206 Int)) (! (= (Offset__USBD_ISO_PACKET_DESCRIPTOR (Offset__USBD_ISO_PACKET_DESCRIPTORInv ?x206)) ?x206) :pattern ((Offset__USBD_ISO_PACKET_DESCRIPTORInv ?x206)) )) (forall ((?x207 boogieU) (?S84 boogieU)) (! (=> (and (= (type ?x207) intType) (= (type ?S84) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR ?S84) ?x207)) boolTrue) (= (U_2_bool (MapType0Select ?S84 (int_2_U (Offset__USBD_ISO_PACKET_DESCRIPTORInv (U_2_int ?x207))))) boolTrue))) :pattern ((MapType0Select (x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR ?S84) ?x207)) )) (forall ((?x208 boogieU) (?S85 boogieU)) (! (=> (and (= (type ?x208) intType) (= (type ?S85) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv ?S85) ?x208)) boolTrue) (= (U_2_bool (MapType0Select ?S85 (int_2_U (Offset__USBD_ISO_PACKET_DESCRIPTOR (U_2_int ?x208))))) boolTrue))) :pattern ((MapType0Select (x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv ?S85) ?x208)) )) (forall ((?x209 boogieU) (?S86 boogieU)) (! (=> (and (= (type ?x209) intType) (= (type ?S86) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S86 ?x209)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR ?S86) (int_2_U (Offset__USBD_ISO_PACKET_DESCRIPTOR (U_2_int ?x209))))) boolTrue))) :pattern ((MapType0Select ?S86 ?x209) (x_S_Offset__USBD_ISO_PACKET_DESCRIPTOR ?S86)) )) (forall ((?x210 boogieU) (?S87 boogieU)) (! (=> (and (= (type ?x210) intType) (= (type ?S87) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S87 ?x210)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv ?S87) (int_2_U (Offset__USBD_ISO_PACKET_DESCRIPTORInv (U_2_int ?x210))))) boolTrue))) :pattern ((MapType0Select ?S87 ?x210) (x_S_Offset__USBD_ISO_PACKET_DESCRIPTORInv ?S87)) )) (forall ((?x211 Int)) (! (= (Offset__USBD_ISO_PACKET_DESCRIPTOR ?x211) (+ ?x211 0)) :pattern ((Offset__USBD_ISO_PACKET_DESCRIPTOR ?x211)) )) (forall ((?x212 Int)) (! (= (Offset__USBD_ISO_PACKET_DESCRIPTORInv ?x212) (- ?x212 0)) :pattern ((Offset__USBD_ISO_PACKET_DESCRIPTORInv ?x212)) )) (forall ((?x213 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x213 0 1) (Offset__USBD_ISO_PACKET_DESCRIPTORInv ?x213)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x213 0 1)) )) (forall ((?x214 Int)) (! (= (MINUS_LEFT_PTR ?x214 1 0) (Offset__USBD_ISO_PACKET_DESCRIPTORInv ?x214)) :pattern ((MINUS_LEFT_PTR ?x214 1 0)) )) (forall ((?x215 Int)) (! (= (ParentObject__WDF_OBJECT_ATTRIBUTESInv (ParentObject__WDF_OBJECT_ATTRIBUTES ?x215)) ?x215) :pattern ((ParentObject__WDF_OBJECT_ATTRIBUTESInv (ParentObject__WDF_OBJECT_ATTRIBUTES ?x215))) )) (forall ((?x216 Int)) (! (= (ParentObject__WDF_OBJECT_ATTRIBUTES (ParentObject__WDF_OBJECT_ATTRIBUTESInv ?x216)) ?x216) :pattern ((ParentObject__WDF_OBJECT_ATTRIBUTESInv ?x216)) )) (forall ((?x217 boogieU) (?S88 boogieU)) (! (=> (and (= (type ?x217) intType) (= (type ?S88) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ParentObject__WDF_OBJECT_ATTRIBUTES ?S88) ?x217)) boolTrue) (= (U_2_bool (MapType0Select ?S88 (int_2_U (ParentObject__WDF_OBJECT_ATTRIBUTESInv (U_2_int ?x217))))) boolTrue))) :pattern ((MapType0Select (x_S_ParentObject__WDF_OBJECT_ATTRIBUTES ?S88) ?x217)) )) (forall ((?x218 boogieU) (?S89 boogieU)) (! (=> (and (= (type ?x218) intType) (= (type ?S89) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv ?S89) ?x218)) boolTrue) (= (U_2_bool (MapType0Select ?S89 (int_2_U (ParentObject__WDF_OBJECT_ATTRIBUTES (U_2_int ?x218))))) boolTrue))) :pattern ((MapType0Select (x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv ?S89) ?x218)) )) (forall ((?x219 boogieU) (?S90 boogieU)) (! (=> (and (= (type ?x219) intType) (= (type ?S90) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S90 ?x219)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ParentObject__WDF_OBJECT_ATTRIBUTES ?S90) (int_2_U (ParentObject__WDF_OBJECT_ATTRIBUTES (U_2_int ?x219))))) boolTrue))) :pattern ((MapType0Select ?S90 ?x219) (x_S_ParentObject__WDF_OBJECT_ATTRIBUTES ?S90)) )) (forall ((?x220 boogieU) (?S91 boogieU)) (! (=> (and (= (type ?x220) intType) (= (type ?S91) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S91 ?x220)) boolTrue) (= (U_2_bool (MapType0Select (x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv ?S91) (int_2_U (ParentObject__WDF_OBJECT_ATTRIBUTESInv (U_2_int ?x220))))) boolTrue))) :pattern ((MapType0Select ?S91 ?x220) (x_S_ParentObject__WDF_OBJECT_ATTRIBUTESInv ?S91)) )) (forall ((?x221 Int)) (! (= (ParentObject__WDF_OBJECT_ATTRIBUTES ?x221) (+ ?x221 20)) :pattern ((ParentObject__WDF_OBJECT_ATTRIBUTES ?x221)) )) (forall ((?x222 Int)) (! (= (ParentObject__WDF_OBJECT_ATTRIBUTESInv ?x222) (- ?x222 20)) :pattern ((ParentObject__WDF_OBJECT_ATTRIBUTESInv ?x222)) )) (forall ((?x223 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x223 20 1) (ParentObject__WDF_OBJECT_ATTRIBUTESInv ?x223)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x223 20 1)) )) (forall ((?x224 Int)) (! (= (MINUS_LEFT_PTR ?x224 1 20) (ParentObject__WDF_OBJECT_ATTRIBUTESInv ?x224)) :pattern ((MINUS_LEFT_PTR ?x224 1 20)) )) (forall ((?x225 Int)) (! (= (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?x225)) ?x225) :pattern ((PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?x225))) )) (forall ((?x226 Int)) (! (= (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x226)) ?x226) :pattern ((PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x226)) )) (forall ((?x227 boogieU) (?S92 boogieU)) (! (=> (and (= (type ?x227) intType) (= (type ?S92) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?S92) ?x227)) boolTrue) (= (U_2_bool (MapType0Select ?S92 (int_2_U (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x227))))) boolTrue))) :pattern ((MapType0Select (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?S92) ?x227)) )) (forall ((?x228 boogieU) (?S93 boogieU)) (! (=> (and (= (type ?x228) intType) (= (type ?S93) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S93) ?x228)) boolTrue) (= (U_2_bool (MapType0Select ?S93 (int_2_U (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x228))))) boolTrue))) :pattern ((MapType0Select (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S93) ?x228)) )) (forall ((?x229 boogieU) (?S94 boogieU)) (! (=> (and (= (type ?x229) intType) (= (type ?S94) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S94 ?x229)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?S94) (int_2_U (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x229))))) boolTrue))) :pattern ((MapType0Select ?S94 ?x229) (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?S94)) )) (forall ((?x230 boogieU) (?S95 boogieU)) (! (=> (and (= (type ?x230) intType) (= (type ?S95) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S95 ?x230)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S95) (int_2_U (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x230))))) boolTrue))) :pattern ((MapType0Select ?S95 ?x230) (x_S_PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S95)) )) (forall ((?x231 Int)) (! (= (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?x231) (+ ?x231 16)) :pattern ((PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFER ?x231)) )) (forall ((?x232 Int)) (! (= (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x232) (- ?x232 16)) :pattern ((PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x232)) )) (forall ((?x233 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x233 16 1) (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x233)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x233 16 1)) )) (forall ((?x234 Int)) (! (= (MINUS_LEFT_PTR ?x234 1 16) (PipeHandle__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x234)) :pattern ((MINUS_LEFT_PTR ?x234 1 16)) )) (forall ((?x235 Int)) (! (= (PipeHandle__URB_ISOCH_TRANSFERInv (PipeHandle__URB_ISOCH_TRANSFER ?x235)) ?x235) :pattern ((PipeHandle__URB_ISOCH_TRANSFERInv (PipeHandle__URB_ISOCH_TRANSFER ?x235))) )) (forall ((?x236 Int)) (! (= (PipeHandle__URB_ISOCH_TRANSFER (PipeHandle__URB_ISOCH_TRANSFERInv ?x236)) ?x236) :pattern ((PipeHandle__URB_ISOCH_TRANSFERInv ?x236)) )) (forall ((?x237 boogieU) (?S96 boogieU)) (! (=> (and (= (type ?x237) intType) (= (type ?S96) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_ISOCH_TRANSFER ?S96) ?x237)) boolTrue) (= (U_2_bool (MapType0Select ?S96 (int_2_U (PipeHandle__URB_ISOCH_TRANSFERInv (U_2_int ?x237))))) boolTrue))) :pattern ((MapType0Select (x_S_PipeHandle__URB_ISOCH_TRANSFER ?S96) ?x237)) )) (forall ((?x238 boogieU) (?S97 boogieU)) (! (=> (and (= (type ?x238) intType) (= (type ?S97) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_ISOCH_TRANSFERInv ?S97) ?x238)) boolTrue) (= (U_2_bool (MapType0Select ?S97 (int_2_U (PipeHandle__URB_ISOCH_TRANSFER (U_2_int ?x238))))) boolTrue))) :pattern ((MapType0Select (x_S_PipeHandle__URB_ISOCH_TRANSFERInv ?S97) ?x238)) )) (forall ((?x239 boogieU) (?S98 boogieU)) (! (=> (and (= (type ?x239) intType) (= (type ?S98) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S98 ?x239)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_ISOCH_TRANSFER ?S98) (int_2_U (PipeHandle__URB_ISOCH_TRANSFER (U_2_int ?x239))))) boolTrue))) :pattern ((MapType0Select ?S98 ?x239) (x_S_PipeHandle__URB_ISOCH_TRANSFER ?S98)) )) (forall ((?x240 boogieU) (?S99 boogieU)) (! (=> (and (= (type ?x240) intType) (= (type ?S99) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S99 ?x240)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PipeHandle__URB_ISOCH_TRANSFERInv ?S99) (int_2_U (PipeHandle__URB_ISOCH_TRANSFERInv (U_2_int ?x240))))) boolTrue))) :pattern ((MapType0Select ?S99 ?x240) (x_S_PipeHandle__URB_ISOCH_TRANSFERInv ?S99)) )) (forall ((?x241 Int)) (! (= (PipeHandle__URB_ISOCH_TRANSFER ?x241) (+ ?x241 16)) :pattern ((PipeHandle__URB_ISOCH_TRANSFER ?x241)) )) (forall ((?x242 Int)) (! (= (PipeHandle__URB_ISOCH_TRANSFERInv ?x242) (- ?x242 16)) :pattern ((PipeHandle__URB_ISOCH_TRANSFERInv ?x242)) )) (forall ((?x243 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x243 16 1) (PipeHandle__URB_ISOCH_TRANSFERInv ?x243)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x243 16 1)) )) (forall ((?x244 Int)) (! (= (MINUS_LEFT_PTR ?x244 1 16) (PipeHandle__URB_ISOCH_TRANSFERInv ?x244)) :pattern ((MINUS_LEFT_PTR ?x244 1 16)) )) (forall ((?x245 Int)) (! (= (PipeType__WDF_USB_PIPE_INFORMATIONInv (PipeType__WDF_USB_PIPE_INFORMATION ?x245)) ?x245) :pattern ((PipeType__WDF_USB_PIPE_INFORMATIONInv (PipeType__WDF_USB_PIPE_INFORMATION ?x245))) )) (forall ((?x246 Int)) (! (= (PipeType__WDF_USB_PIPE_INFORMATION (PipeType__WDF_USB_PIPE_INFORMATIONInv ?x246)) ?x246) :pattern ((PipeType__WDF_USB_PIPE_INFORMATIONInv ?x246)) )) (forall ((?x247 boogieU) (?S100 boogieU)) (! (=> (and (= (type ?x247) intType) (= (type ?S100) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PipeType__WDF_USB_PIPE_INFORMATION ?S100) ?x247)) boolTrue) (= (U_2_bool (MapType0Select ?S100 (int_2_U (PipeType__WDF_USB_PIPE_INFORMATIONInv (U_2_int ?x247))))) boolTrue))) :pattern ((MapType0Select (x_S_PipeType__WDF_USB_PIPE_INFORMATION ?S100) ?x247)) )) (forall ((?x248 boogieU) (?S101 boogieU)) (! (=> (and (= (type ?x248) intType) (= (type ?S101) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv ?S101) ?x248)) boolTrue) (= (U_2_bool (MapType0Select ?S101 (int_2_U (PipeType__WDF_USB_PIPE_INFORMATION (U_2_int ?x248))))) boolTrue))) :pattern ((MapType0Select (x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv ?S101) ?x248)) )) (forall ((?x249 boogieU) (?S102 boogieU)) (! (=> (and (= (type ?x249) intType) (= (type ?S102) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S102 ?x249)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PipeType__WDF_USB_PIPE_INFORMATION ?S102) (int_2_U (PipeType__WDF_USB_PIPE_INFORMATION (U_2_int ?x249))))) boolTrue))) :pattern ((MapType0Select ?S102 ?x249) (x_S_PipeType__WDF_USB_PIPE_INFORMATION ?S102)) )) (forall ((?x250 boogieU) (?S103 boogieU)) (! (=> (and (= (type ?x250) intType) (= (type ?S103) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S103 ?x250)) boolTrue) (= (U_2_bool (MapType0Select (x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv ?S103) (int_2_U (PipeType__WDF_USB_PIPE_INFORMATIONInv (U_2_int ?x250))))) boolTrue))) :pattern ((MapType0Select ?S103 ?x250) (x_S_PipeType__WDF_USB_PIPE_INFORMATIONInv ?S103)) )) (forall ((?x251 Int)) (! (= (PipeType__WDF_USB_PIPE_INFORMATION ?x251) (+ ?x251 12)) :pattern ((PipeType__WDF_USB_PIPE_INFORMATION ?x251)) )) (forall ((?x252 Int)) (! (= (PipeType__WDF_USB_PIPE_INFORMATIONInv ?x252) (- ?x252 12)) :pattern ((PipeType__WDF_USB_PIPE_INFORMATIONInv ?x252)) )) (forall ((?x253 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x253 12 1) (PipeType__WDF_USB_PIPE_INFORMATIONInv ?x253)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x253 12 1)) )) (forall ((?x254 Int)) (! (= (MINUS_LEFT_PTR ?x254 1 12) (PipeType__WDF_USB_PIPE_INFORMATIONInv ?x254)) :pattern ((MINUS_LEFT_PTR ?x254 1 12)) )) (forall ((?x255 Int)) (! (= (Pipe__FILE_CONTEXTInv (Pipe__FILE_CONTEXT ?x255)) ?x255) :pattern ((Pipe__FILE_CONTEXTInv (Pipe__FILE_CONTEXT ?x255))) )) (forall ((?x256 Int)) (! (= (Pipe__FILE_CONTEXT (Pipe__FILE_CONTEXTInv ?x256)) ?x256) :pattern ((Pipe__FILE_CONTEXTInv ?x256)) )) (forall ((?x257 boogieU) (?S104 boogieU)) (! (=> (and (= (type ?x257) intType) (= (type ?S104) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Pipe__FILE_CONTEXT ?S104) ?x257)) boolTrue) (= (U_2_bool (MapType0Select ?S104 (int_2_U (Pipe__FILE_CONTEXTInv (U_2_int ?x257))))) boolTrue))) :pattern ((MapType0Select (x_S_Pipe__FILE_CONTEXT ?S104) ?x257)) )) (forall ((?x258 boogieU) (?S105 boogieU)) (! (=> (and (= (type ?x258) intType) (= (type ?S105) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Pipe__FILE_CONTEXTInv ?S105) ?x258)) boolTrue) (= (U_2_bool (MapType0Select ?S105 (int_2_U (Pipe__FILE_CONTEXT (U_2_int ?x258))))) boolTrue))) :pattern ((MapType0Select (x_S_Pipe__FILE_CONTEXTInv ?S105) ?x258)) )) (forall ((?x259 boogieU) (?S106 boogieU)) (! (=> (and (= (type ?x259) intType) (= (type ?S106) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S106 ?x259)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Pipe__FILE_CONTEXT ?S106) (int_2_U (Pipe__FILE_CONTEXT (U_2_int ?x259))))) boolTrue))) :pattern ((MapType0Select ?S106 ?x259) (x_S_Pipe__FILE_CONTEXT ?S106)) )) (forall ((?x260 boogieU) (?S107 boogieU)) (! (=> (and (= (type ?x260) intType) (= (type ?S107) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S107 ?x260)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Pipe__FILE_CONTEXTInv ?S107) (int_2_U (Pipe__FILE_CONTEXTInv (U_2_int ?x260))))) boolTrue))) :pattern ((MapType0Select ?S107 ?x260) (x_S_Pipe__FILE_CONTEXTInv ?S107)) )) (forall ((?x261 Int)) (! (= (Pipe__FILE_CONTEXT ?x261) (+ ?x261 0)) :pattern ((Pipe__FILE_CONTEXT ?x261)) )) (forall ((?x262 Int)) (! (= (Pipe__FILE_CONTEXTInv ?x262) (- ?x262 0)) :pattern ((Pipe__FILE_CONTEXTInv ?x262)) )) (forall ((?x263 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x263 0 1) (Pipe__FILE_CONTEXTInv ?x263)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x263 0 1)) )) (forall ((?x264 Int)) (! (= (MINUS_LEFT_PTR ?x264 1 0) (Pipe__FILE_CONTEXTInv ?x264)) :pattern ((MINUS_LEFT_PTR ?x264 1 0)) )) (forall ((?x265 Int)) (! (= (Pipe__WORKITEM_CONTEXTInv (Pipe__WORKITEM_CONTEXT ?x265)) ?x265) :pattern ((Pipe__WORKITEM_CONTEXTInv (Pipe__WORKITEM_CONTEXT ?x265))) )) (forall ((?x266 Int)) (! (= (Pipe__WORKITEM_CONTEXT (Pipe__WORKITEM_CONTEXTInv ?x266)) ?x266) :pattern ((Pipe__WORKITEM_CONTEXTInv ?x266)) )) (forall ((?x267 boogieU) (?S108 boogieU)) (! (=> (and (= (type ?x267) intType) (= (type ?S108) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Pipe__WORKITEM_CONTEXT ?S108) ?x267)) boolTrue) (= (U_2_bool (MapType0Select ?S108 (int_2_U (Pipe__WORKITEM_CONTEXTInv (U_2_int ?x267))))) boolTrue))) :pattern ((MapType0Select (x_S_Pipe__WORKITEM_CONTEXT ?S108) ?x267)) )) (forall ((?x268 boogieU) (?S109 boogieU)) (! (=> (and (= (type ?x268) intType) (= (type ?S109) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Pipe__WORKITEM_CONTEXTInv ?S109) ?x268)) boolTrue) (= (U_2_bool (MapType0Select ?S109 (int_2_U (Pipe__WORKITEM_CONTEXT (U_2_int ?x268))))) boolTrue))) :pattern ((MapType0Select (x_S_Pipe__WORKITEM_CONTEXTInv ?S109) ?x268)) )) (forall ((?x269 boogieU) (?S110 boogieU)) (! (=> (and (= (type ?x269) intType) (= (type ?S110) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S110 ?x269)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Pipe__WORKITEM_CONTEXT ?S110) (int_2_U (Pipe__WORKITEM_CONTEXT (U_2_int ?x269))))) boolTrue))) :pattern ((MapType0Select ?S110 ?x269) (x_S_Pipe__WORKITEM_CONTEXT ?S110)) )) (forall ((?x270 boogieU) (?S111 boogieU)) (! (=> (and (= (type ?x270) intType) (= (type ?S111) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S111 ?x270)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Pipe__WORKITEM_CONTEXTInv ?S111) (int_2_U (Pipe__WORKITEM_CONTEXTInv (U_2_int ?x270))))) boolTrue))) :pattern ((MapType0Select ?S111 ?x270) (x_S_Pipe__WORKITEM_CONTEXTInv ?S111)) )) (forall ((?x271 Int)) (! (= (Pipe__WORKITEM_CONTEXT ?x271) (+ ?x271 4)) :pattern ((Pipe__WORKITEM_CONTEXT ?x271)) )) (forall ((?x272 Int)) (! (= (Pipe__WORKITEM_CONTEXTInv ?x272) (- ?x272 4)) :pattern ((Pipe__WORKITEM_CONTEXTInv ?x272)) )) (forall ((?x273 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x273 4 1) (Pipe__WORKITEM_CONTEXTInv ?x273)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x273 4 1)) )) (forall ((?x274 Int)) (! (= (MINUS_LEFT_PTR ?x274 1 4) (Pipe__WORKITEM_CONTEXTInv ?x274)) :pattern ((MINUS_LEFT_PTR ?x274 1 4)) )) (forall ((?x275 Int)) (! (= (Read__REQUEST_CONTEXTInv (Read__REQUEST_CONTEXT ?x275)) ?x275) :pattern ((Read__REQUEST_CONTEXTInv (Read__REQUEST_CONTEXT ?x275))) )) (forall ((?x276 Int)) (! (= (Read__REQUEST_CONTEXT (Read__REQUEST_CONTEXTInv ?x276)) ?x276) :pattern ((Read__REQUEST_CONTEXTInv ?x276)) )) (forall ((?x277 boogieU) (?S112 boogieU)) (! (=> (and (= (type ?x277) intType) (= (type ?S112) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Read__REQUEST_CONTEXT ?S112) ?x277)) boolTrue) (= (U_2_bool (MapType0Select ?S112 (int_2_U (Read__REQUEST_CONTEXTInv (U_2_int ?x277))))) boolTrue))) :pattern ((MapType0Select (x_S_Read__REQUEST_CONTEXT ?S112) ?x277)) )) (forall ((?x278 boogieU) (?S113 boogieU)) (! (=> (and (= (type ?x278) intType) (= (type ?S113) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Read__REQUEST_CONTEXTInv ?S113) ?x278)) boolTrue) (= (U_2_bool (MapType0Select ?S113 (int_2_U (Read__REQUEST_CONTEXT (U_2_int ?x278))))) boolTrue))) :pattern ((MapType0Select (x_S_Read__REQUEST_CONTEXTInv ?S113) ?x278)) )) (forall ((?x279 boogieU) (?S114 boogieU)) (! (=> (and (= (type ?x279) intType) (= (type ?S114) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S114 ?x279)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Read__REQUEST_CONTEXT ?S114) (int_2_U (Read__REQUEST_CONTEXT (U_2_int ?x279))))) boolTrue))) :pattern ((MapType0Select ?S114 ?x279) (x_S_Read__REQUEST_CONTEXT ?S114)) )) (forall ((?x280 boogieU) (?S115 boogieU)) (! (=> (and (= (type ?x280) intType) (= (type ?S115) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S115 ?x280)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Read__REQUEST_CONTEXTInv ?S115) (int_2_U (Read__REQUEST_CONTEXTInv (U_2_int ?x280))))) boolTrue))) :pattern ((MapType0Select ?S115 ?x280) (x_S_Read__REQUEST_CONTEXTInv ?S115)) )) (forall ((?x281 Int)) (! (= (Read__REQUEST_CONTEXT ?x281) (+ ?x281 28)) :pattern ((Read__REQUEST_CONTEXT ?x281)) )) (forall ((?x282 Int)) (! (= (Read__REQUEST_CONTEXTInv ?x282) (- ?x282 28)) :pattern ((Read__REQUEST_CONTEXTInv ?x282)) )) (forall ((?x283 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x283 28 1) (Read__REQUEST_CONTEXTInv ?x283)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x283 28 1)) )) (forall ((?x284 Int)) (! (= (MINUS_LEFT_PTR ?x284 1 28) (Read__REQUEST_CONTEXTInv ?x284)) :pattern ((MINUS_LEFT_PTR ?x284 1 28)) )) (forall ((?x285 Int)) (! (= (Size__WDF_USB_PIPE_INFORMATIONInv (Size__WDF_USB_PIPE_INFORMATION ?x285)) ?x285) :pattern ((Size__WDF_USB_PIPE_INFORMATIONInv (Size__WDF_USB_PIPE_INFORMATION ?x285))) )) (forall ((?x286 Int)) (! (= (Size__WDF_USB_PIPE_INFORMATION (Size__WDF_USB_PIPE_INFORMATIONInv ?x286)) ?x286) :pattern ((Size__WDF_USB_PIPE_INFORMATIONInv ?x286)) )) (forall ((?x287 boogieU) (?S116 boogieU)) (! (=> (and (= (type ?x287) intType) (= (type ?S116) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Size__WDF_USB_PIPE_INFORMATION ?S116) ?x287)) boolTrue) (= (U_2_bool (MapType0Select ?S116 (int_2_U (Size__WDF_USB_PIPE_INFORMATIONInv (U_2_int ?x287))))) boolTrue))) :pattern ((MapType0Select (x_S_Size__WDF_USB_PIPE_INFORMATION ?S116) ?x287)) )) (forall ((?x288 boogieU) (?S117 boogieU)) (! (=> (and (= (type ?x288) intType) (= (type ?S117) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Size__WDF_USB_PIPE_INFORMATIONInv ?S117) ?x288)) boolTrue) (= (U_2_bool (MapType0Select ?S117 (int_2_U (Size__WDF_USB_PIPE_INFORMATION (U_2_int ?x288))))) boolTrue))) :pattern ((MapType0Select (x_S_Size__WDF_USB_PIPE_INFORMATIONInv ?S117) ?x288)) )) (forall ((?x289 boogieU) (?S118 boogieU)) (! (=> (and (= (type ?x289) intType) (= (type ?S118) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S118 ?x289)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Size__WDF_USB_PIPE_INFORMATION ?S118) (int_2_U (Size__WDF_USB_PIPE_INFORMATION (U_2_int ?x289))))) boolTrue))) :pattern ((MapType0Select ?S118 ?x289) (x_S_Size__WDF_USB_PIPE_INFORMATION ?S118)) )) (forall ((?x290 boogieU) (?S119 boogieU)) (! (=> (and (= (type ?x290) intType) (= (type ?S119) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S119 ?x290)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Size__WDF_USB_PIPE_INFORMATIONInv ?S119) (int_2_U (Size__WDF_USB_PIPE_INFORMATIONInv (U_2_int ?x290))))) boolTrue))) :pattern ((MapType0Select ?S119 ?x290) (x_S_Size__WDF_USB_PIPE_INFORMATIONInv ?S119)) )) (forall ((?x291 Int)) (! (= (Size__WDF_USB_PIPE_INFORMATION ?x291) (+ ?x291 0)) :pattern ((Size__WDF_USB_PIPE_INFORMATION ?x291)) )) (forall ((?x292 Int)) (! (= (Size__WDF_USB_PIPE_INFORMATIONInv ?x292) (- ?x292 0)) :pattern ((Size__WDF_USB_PIPE_INFORMATIONInv ?x292)) )) (forall ((?x293 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x293 0 1) (Size__WDF_USB_PIPE_INFORMATIONInv ?x293)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x293 0 1)) )) (forall ((?x294 Int)) (! (= (MINUS_LEFT_PTR ?x294 1 0) (Size__WDF_USB_PIPE_INFORMATIONInv ?x294)) :pattern ((MINUS_LEFT_PTR ?x294 1 0)) )) (forall ((?x295 Int)) (! (= (Status___unnamed_4_6a857cddInv (Status___unnamed_4_6a857cdd ?x295)) ?x295) :pattern ((Status___unnamed_4_6a857cddInv (Status___unnamed_4_6a857cdd ?x295))) )) (forall ((?x296 Int)) (! (= (Status___unnamed_4_6a857cdd (Status___unnamed_4_6a857cddInv ?x296)) ?x296) :pattern ((Status___unnamed_4_6a857cddInv ?x296)) )) (forall ((?x297 boogieU) (?S120 boogieU)) (! (=> (and (= (type ?x297) intType) (= (type ?S120) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S120) ?x297)) boolTrue) (= (U_2_bool (MapType0Select ?S120 (int_2_U (Status___unnamed_4_6a857cddInv (U_2_int ?x297))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S120) ?x297)) )) (forall ((?x298 boogieU) (?S121 boogieU)) (! (=> (and (= (type ?x298) intType) (= (type ?S121) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S121) ?x298)) boolTrue) (= (U_2_bool (MapType0Select ?S121 (int_2_U (Status___unnamed_4_6a857cdd (U_2_int ?x298))))) boolTrue))) :pattern ((MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S121) ?x298)) )) (forall ((?x299 boogieU) (?S122 boogieU)) (! (=> (and (= (type ?x299) intType) (= (type ?S122) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S122 ?x299)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cdd ?S122) (int_2_U (Status___unnamed_4_6a857cdd (U_2_int ?x299))))) boolTrue))) :pattern ((MapType0Select ?S122 ?x299) (x_S_Status___unnamed_4_6a857cdd ?S122)) )) (forall ((?x300 boogieU) (?S123 boogieU)) (! (=> (and (= (type ?x300) intType) (= (type ?S123) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S123 ?x300)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Status___unnamed_4_6a857cddInv ?S123) (int_2_U (Status___unnamed_4_6a857cddInv (U_2_int ?x300))))) boolTrue))) :pattern ((MapType0Select ?S123 ?x300) (x_S_Status___unnamed_4_6a857cddInv ?S123)) )) (forall ((?x301 Int)) (! (= (Status___unnamed_4_6a857cdd ?x301) (+ ?x301 0)) :pattern ((Status___unnamed_4_6a857cdd ?x301)) )) (forall ((?x302 Int)) (! (= (Status___unnamed_4_6a857cddInv ?x302) (- ?x302 0)) :pattern ((Status___unnamed_4_6a857cddInv ?x302)) )) (forall ((?x303 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1) (Status___unnamed_4_6a857cddInv ?x303)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x303 0 1)) )) (forall ((?x304 Int)) (! (= (MINUS_LEFT_PTR ?x304 1 0) (Status___unnamed_4_6a857cddInv ?x304)) :pattern ((MINUS_LEFT_PTR ?x304 1 0)) )) (forall ((?x305 Int)) (! (= (SubMdl__SUB_REQUEST_CONTEXTInv (SubMdl__SUB_REQUEST_CONTEXT ?x305)) ?x305) :pattern ((SubMdl__SUB_REQUEST_CONTEXTInv (SubMdl__SUB_REQUEST_CONTEXT ?x305))) )) (forall ((?x306 Int)) (! (= (SubMdl__SUB_REQUEST_CONTEXT (SubMdl__SUB_REQUEST_CONTEXTInv ?x306)) ?x306) :pattern ((SubMdl__SUB_REQUEST_CONTEXTInv ?x306)) )) (forall ((?x307 boogieU) (?S124 boogieU)) (! (=> (and (= (type ?x307) intType) (= (type ?S124) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubMdl__SUB_REQUEST_CONTEXT ?S124) ?x307)) boolTrue) (= (U_2_bool (MapType0Select ?S124 (int_2_U (SubMdl__SUB_REQUEST_CONTEXTInv (U_2_int ?x307))))) boolTrue))) :pattern ((MapType0Select (x_S_SubMdl__SUB_REQUEST_CONTEXT ?S124) ?x307)) )) (forall ((?x308 boogieU) (?S125 boogieU)) (! (=> (and (= (type ?x308) intType) (= (type ?S125) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubMdl__SUB_REQUEST_CONTEXTInv ?S125) ?x308)) boolTrue) (= (U_2_bool (MapType0Select ?S125 (int_2_U (SubMdl__SUB_REQUEST_CONTEXT (U_2_int ?x308))))) boolTrue))) :pattern ((MapType0Select (x_S_SubMdl__SUB_REQUEST_CONTEXTInv ?S125) ?x308)) )) (forall ((?x309 boogieU) (?S126 boogieU)) (! (=> (and (= (type ?x309) intType) (= (type ?S126) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S126 ?x309)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubMdl__SUB_REQUEST_CONTEXT ?S126) (int_2_U (SubMdl__SUB_REQUEST_CONTEXT (U_2_int ?x309))))) boolTrue))) :pattern ((MapType0Select ?S126 ?x309) (x_S_SubMdl__SUB_REQUEST_CONTEXT ?S126)) )) (forall ((?x310 boogieU) (?S127 boogieU)) (! (=> (and (= (type ?x310) intType) (= (type ?S127) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S127 ?x310)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubMdl__SUB_REQUEST_CONTEXTInv ?S127) (int_2_U (SubMdl__SUB_REQUEST_CONTEXTInv (U_2_int ?x310))))) boolTrue))) :pattern ((MapType0Select ?S127 ?x310) (x_S_SubMdl__SUB_REQUEST_CONTEXTInv ?S127)) )) (forall ((?x311 Int)) (! (= (SubMdl__SUB_REQUEST_CONTEXT ?x311) (+ ?x311 8)) :pattern ((SubMdl__SUB_REQUEST_CONTEXT ?x311)) )) (forall ((?x312 Int)) (! (= (SubMdl__SUB_REQUEST_CONTEXTInv ?x312) (- ?x312 8)) :pattern ((SubMdl__SUB_REQUEST_CONTEXTInv ?x312)) )) (forall ((?x313 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x313 8 1) (SubMdl__SUB_REQUEST_CONTEXTInv ?x313)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x313 8 1)) )) (forall ((?x314 Int)) (! (= (MINUS_LEFT_PTR ?x314 1 8) (SubMdl__SUB_REQUEST_CONTEXTInv ?x314)) :pattern ((MINUS_LEFT_PTR ?x314 1 8)) )) (forall ((?x315 Int)) (! (= (SubRequestCollectionLock__REQUEST_CONTEXTInv (SubRequestCollectionLock__REQUEST_CONTEXT ?x315)) ?x315) :pattern ((SubRequestCollectionLock__REQUEST_CONTEXTInv (SubRequestCollectionLock__REQUEST_CONTEXT ?x315))) )) (forall ((?x316 Int)) (! (= (SubRequestCollectionLock__REQUEST_CONTEXT (SubRequestCollectionLock__REQUEST_CONTEXTInv ?x316)) ?x316) :pattern ((SubRequestCollectionLock__REQUEST_CONTEXTInv ?x316)) )) (forall ((?x317 boogieU) (?S128 boogieU)) (! (=> (and (= (type ?x317) intType) (= (type ?S128) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubRequestCollectionLock__REQUEST_CONTEXT ?S128) ?x317)) boolTrue) (= (U_2_bool (MapType0Select ?S128 (int_2_U (SubRequestCollectionLock__REQUEST_CONTEXTInv (U_2_int ?x317))))) boolTrue))) :pattern ((MapType0Select (x_S_SubRequestCollectionLock__REQUEST_CONTEXT ?S128) ?x317)) )) (forall ((?x318 boogieU) (?S129 boogieU)) (! (=> (and (= (type ?x318) intType) (= (type ?S129) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv ?S129) ?x318)) boolTrue) (= (U_2_bool (MapType0Select ?S129 (int_2_U (SubRequestCollectionLock__REQUEST_CONTEXT (U_2_int ?x318))))) boolTrue))) :pattern ((MapType0Select (x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv ?S129) ?x318)) )) (forall ((?x319 boogieU) (?S130 boogieU)) (! (=> (and (= (type ?x319) intType) (= (type ?S130) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S130 ?x319)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubRequestCollectionLock__REQUEST_CONTEXT ?S130) (int_2_U (SubRequestCollectionLock__REQUEST_CONTEXT (U_2_int ?x319))))) boolTrue))) :pattern ((MapType0Select ?S130 ?x319) (x_S_SubRequestCollectionLock__REQUEST_CONTEXT ?S130)) )) (forall ((?x320 boogieU) (?S131 boogieU)) (! (=> (and (= (type ?x320) intType) (= (type ?S131) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S131 ?x320)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv ?S131) (int_2_U (SubRequestCollectionLock__REQUEST_CONTEXTInv (U_2_int ?x320))))) boolTrue))) :pattern ((MapType0Select ?S131 ?x320) (x_S_SubRequestCollectionLock__REQUEST_CONTEXTInv ?S131)) )) (forall ((?x321 Int)) (! (= (SubRequestCollectionLock__REQUEST_CONTEXT ?x321) (+ ?x321 24)) :pattern ((SubRequestCollectionLock__REQUEST_CONTEXT ?x321)) )) (forall ((?x322 Int)) (! (= (SubRequestCollectionLock__REQUEST_CONTEXTInv ?x322) (- ?x322 24)) :pattern ((SubRequestCollectionLock__REQUEST_CONTEXTInv ?x322)) )) (forall ((?x323 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x323 24 1) (SubRequestCollectionLock__REQUEST_CONTEXTInv ?x323)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x323 24 1)) )) (forall ((?x324 Int)) (! (= (MINUS_LEFT_PTR ?x324 1 24) (SubRequestCollectionLock__REQUEST_CONTEXTInv ?x324)) :pattern ((MINUS_LEFT_PTR ?x324 1 24)) )) (forall ((?x325 Int)) (! (= (SubRequestCollection__REQUEST_CONTEXTInv (SubRequestCollection__REQUEST_CONTEXT ?x325)) ?x325) :pattern ((SubRequestCollection__REQUEST_CONTEXTInv (SubRequestCollection__REQUEST_CONTEXT ?x325))) )) (forall ((?x326 Int)) (! (= (SubRequestCollection__REQUEST_CONTEXT (SubRequestCollection__REQUEST_CONTEXTInv ?x326)) ?x326) :pattern ((SubRequestCollection__REQUEST_CONTEXTInv ?x326)) )) (forall ((?x327 boogieU) (?S132 boogieU)) (! (=> (and (= (type ?x327) intType) (= (type ?S132) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubRequestCollection__REQUEST_CONTEXT ?S132) ?x327)) boolTrue) (= (U_2_bool (MapType0Select ?S132 (int_2_U (SubRequestCollection__REQUEST_CONTEXTInv (U_2_int ?x327))))) boolTrue))) :pattern ((MapType0Select (x_S_SubRequestCollection__REQUEST_CONTEXT ?S132) ?x327)) )) (forall ((?x328 boogieU) (?S133 boogieU)) (! (=> (and (= (type ?x328) intType) (= (type ?S133) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubRequestCollection__REQUEST_CONTEXTInv ?S133) ?x328)) boolTrue) (= (U_2_bool (MapType0Select ?S133 (int_2_U (SubRequestCollection__REQUEST_CONTEXT (U_2_int ?x328))))) boolTrue))) :pattern ((MapType0Select (x_S_SubRequestCollection__REQUEST_CONTEXTInv ?S133) ?x328)) )) (forall ((?x329 boogieU) (?S134 boogieU)) (! (=> (and (= (type ?x329) intType) (= (type ?S134) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S134 ?x329)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubRequestCollection__REQUEST_CONTEXT ?S134) (int_2_U (SubRequestCollection__REQUEST_CONTEXT (U_2_int ?x329))))) boolTrue))) :pattern ((MapType0Select ?S134 ?x329) (x_S_SubRequestCollection__REQUEST_CONTEXT ?S134)) )) (forall ((?x330 boogieU) (?S135 boogieU)) (! (=> (and (= (type ?x330) intType) (= (type ?S135) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S135 ?x330)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubRequestCollection__REQUEST_CONTEXTInv ?S135) (int_2_U (SubRequestCollection__REQUEST_CONTEXTInv (U_2_int ?x330))))) boolTrue))) :pattern ((MapType0Select ?S135 ?x330) (x_S_SubRequestCollection__REQUEST_CONTEXTInv ?S135)) )) (forall ((?x331 Int)) (! (= (SubRequestCollection__REQUEST_CONTEXT ?x331) (+ ?x331 20)) :pattern ((SubRequestCollection__REQUEST_CONTEXT ?x331)) )) (forall ((?x332 Int)) (! (= (SubRequestCollection__REQUEST_CONTEXTInv ?x332) (- ?x332 20)) :pattern ((SubRequestCollection__REQUEST_CONTEXTInv ?x332)) )) (forall ((?x333 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x333 20 1) (SubRequestCollection__REQUEST_CONTEXTInv ?x333)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x333 20 1)) )) (forall ((?x334 Int)) (! (= (MINUS_LEFT_PTR ?x334 1 20) (SubRequestCollection__REQUEST_CONTEXTInv ?x334)) :pattern ((MINUS_LEFT_PTR ?x334 1 20)) )) (forall ((?x335 Int)) (! (= (SubUrb__SUB_REQUEST_CONTEXTInv (SubUrb__SUB_REQUEST_CONTEXT ?x335)) ?x335) :pattern ((SubUrb__SUB_REQUEST_CONTEXTInv (SubUrb__SUB_REQUEST_CONTEXT ?x335))) )) (forall ((?x336 Int)) (! (= (SubUrb__SUB_REQUEST_CONTEXT (SubUrb__SUB_REQUEST_CONTEXTInv ?x336)) ?x336) :pattern ((SubUrb__SUB_REQUEST_CONTEXTInv ?x336)) )) (forall ((?x337 boogieU) (?S136 boogieU)) (! (=> (and (= (type ?x337) intType) (= (type ?S136) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubUrb__SUB_REQUEST_CONTEXT ?S136) ?x337)) boolTrue) (= (U_2_bool (MapType0Select ?S136 (int_2_U (SubUrb__SUB_REQUEST_CONTEXTInv (U_2_int ?x337))))) boolTrue))) :pattern ((MapType0Select (x_S_SubUrb__SUB_REQUEST_CONTEXT ?S136) ?x337)) )) (forall ((?x338 boogieU) (?S137 boogieU)) (! (=> (and (= (type ?x338) intType) (= (type ?S137) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_SubUrb__SUB_REQUEST_CONTEXTInv ?S137) ?x338)) boolTrue) (= (U_2_bool (MapType0Select ?S137 (int_2_U (SubUrb__SUB_REQUEST_CONTEXT (U_2_int ?x338))))) boolTrue))) :pattern ((MapType0Select (x_S_SubUrb__SUB_REQUEST_CONTEXTInv ?S137) ?x338)) )) (forall ((?x339 boogieU) (?S138 boogieU)) (! (=> (and (= (type ?x339) intType) (= (type ?S138) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S138 ?x339)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubUrb__SUB_REQUEST_CONTEXT ?S138) (int_2_U (SubUrb__SUB_REQUEST_CONTEXT (U_2_int ?x339))))) boolTrue))) :pattern ((MapType0Select ?S138 ?x339) (x_S_SubUrb__SUB_REQUEST_CONTEXT ?S138)) )) (forall ((?x340 boogieU) (?S139 boogieU)) (! (=> (and (= (type ?x340) intType) (= (type ?S139) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S139 ?x340)) boolTrue) (= (U_2_bool (MapType0Select (x_S_SubUrb__SUB_REQUEST_CONTEXTInv ?S139) (int_2_U (SubUrb__SUB_REQUEST_CONTEXTInv (U_2_int ?x340))))) boolTrue))) :pattern ((MapType0Select ?S139 ?x340) (x_S_SubUrb__SUB_REQUEST_CONTEXTInv ?S139)) )) (forall ((?x341 Int)) (! (= (SubUrb__SUB_REQUEST_CONTEXT ?x341) (+ ?x341 4)) :pattern ((SubUrb__SUB_REQUEST_CONTEXT ?x341)) )) (forall ((?x342 Int)) (! (= (SubUrb__SUB_REQUEST_CONTEXTInv ?x342) (- ?x342 4)) :pattern ((SubUrb__SUB_REQUEST_CONTEXTInv ?x342)) )) (forall ((?x343 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x343 4 1) (SubUrb__SUB_REQUEST_CONTEXTInv ?x343)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x343 4 1)) )) (forall ((?x344 Int)) (! (= (MINUS_LEFT_PTR ?x344 1 4) (SubUrb__SUB_REQUEST_CONTEXTInv ?x344)) :pattern ((MINUS_LEFT_PTR ?x344 1 4)) )) (forall ((?x345 Int)) (! (= (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?x345)) ?x345) :pattern ((TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?x345))) )) (forall ((?x346 Int)) (! (= (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x346)) ?x346) :pattern ((TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x346)) )) (forall ((?x347 boogieU) (?S140 boogieU)) (! (=> (and (= (type ?x347) intType) (= (type ?S140) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?S140) ?x347)) boolTrue) (= (U_2_bool (MapType0Select ?S140 (int_2_U (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x347))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?S140) ?x347)) )) (forall ((?x348 boogieU) (?S141 boogieU)) (! (=> (and (= (type ?x348) intType) (= (type ?S141) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S141) ?x348)) boolTrue) (= (U_2_bool (MapType0Select ?S141 (int_2_U (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x348))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S141) ?x348)) )) (forall ((?x349 boogieU) (?S142 boogieU)) (! (=> (and (= (type ?x349) intType) (= (type ?S142) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S142 ?x349)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?S142) (int_2_U (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x349))))) boolTrue))) :pattern ((MapType0Select ?S142 ?x349) (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?S142)) )) (forall ((?x350 boogieU) (?S143 boogieU)) (! (=> (and (= (type ?x350) intType) (= (type ?S143) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S143 ?x350)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S143) (int_2_U (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x350))))) boolTrue))) :pattern ((MapType0Select ?S143 ?x350) (x_S_TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S143)) )) (forall ((?x351 Int)) (! (= (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?x351) (+ ?x351 24)) :pattern ((TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFER ?x351)) )) (forall ((?x352 Int)) (! (= (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x352) (- ?x352 24)) :pattern ((TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x352)) )) (forall ((?x353 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x353 24 1) (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x353)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x353 24 1)) )) (forall ((?x354 Int)) (! (= (MINUS_LEFT_PTR ?x354 1 24) (TransferBufferLength__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x354)) :pattern ((MINUS_LEFT_PTR ?x354 1 24)) )) (forall ((?x355 Int)) (! (= (TransferBufferLength__URB_ISOCH_TRANSFERInv (TransferBufferLength__URB_ISOCH_TRANSFER ?x355)) ?x355) :pattern ((TransferBufferLength__URB_ISOCH_TRANSFERInv (TransferBufferLength__URB_ISOCH_TRANSFER ?x355))) )) (forall ((?x356 Int)) (! (= (TransferBufferLength__URB_ISOCH_TRANSFER (TransferBufferLength__URB_ISOCH_TRANSFERInv ?x356)) ?x356) :pattern ((TransferBufferLength__URB_ISOCH_TRANSFERInv ?x356)) )) (forall ((?x357 boogieU) (?S144 boogieU)) (! (=> (and (= (type ?x357) intType) (= (type ?S144) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_ISOCH_TRANSFER ?S144) ?x357)) boolTrue) (= (U_2_bool (MapType0Select ?S144 (int_2_U (TransferBufferLength__URB_ISOCH_TRANSFERInv (U_2_int ?x357))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferLength__URB_ISOCH_TRANSFER ?S144) ?x357)) )) (forall ((?x358 boogieU) (?S145 boogieU)) (! (=> (and (= (type ?x358) intType) (= (type ?S145) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv ?S145) ?x358)) boolTrue) (= (U_2_bool (MapType0Select ?S145 (int_2_U (TransferBufferLength__URB_ISOCH_TRANSFER (U_2_int ?x358))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv ?S145) ?x358)) )) (forall ((?x359 boogieU) (?S146 boogieU)) (! (=> (and (= (type ?x359) intType) (= (type ?S146) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S146 ?x359)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_ISOCH_TRANSFER ?S146) (int_2_U (TransferBufferLength__URB_ISOCH_TRANSFER (U_2_int ?x359))))) boolTrue))) :pattern ((MapType0Select ?S146 ?x359) (x_S_TransferBufferLength__URB_ISOCH_TRANSFER ?S146)) )) (forall ((?x360 boogieU) (?S147 boogieU)) (! (=> (and (= (type ?x360) intType) (= (type ?S147) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S147 ?x360)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv ?S147) (int_2_U (TransferBufferLength__URB_ISOCH_TRANSFERInv (U_2_int ?x360))))) boolTrue))) :pattern ((MapType0Select ?S147 ?x360) (x_S_TransferBufferLength__URB_ISOCH_TRANSFERInv ?S147)) )) (forall ((?x361 Int)) (! (= (TransferBufferLength__URB_ISOCH_TRANSFER ?x361) (+ ?x361 24)) :pattern ((TransferBufferLength__URB_ISOCH_TRANSFER ?x361)) )) (forall ((?x362 Int)) (! (= (TransferBufferLength__URB_ISOCH_TRANSFERInv ?x362) (- ?x362 24)) :pattern ((TransferBufferLength__URB_ISOCH_TRANSFERInv ?x362)) )) (forall ((?x363 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x363 24 1) (TransferBufferLength__URB_ISOCH_TRANSFERInv ?x363)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x363 24 1)) )) (forall ((?x364 Int)) (! (= (MINUS_LEFT_PTR ?x364 1 24) (TransferBufferLength__URB_ISOCH_TRANSFERInv ?x364)) :pattern ((MINUS_LEFT_PTR ?x364 1 24)) )) (forall ((?x365 Int)) (! (= (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?x365)) ?x365) :pattern ((TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?x365))) )) (forall ((?x366 Int)) (! (= (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x366)) ?x366) :pattern ((TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x366)) )) (forall ((?x367 boogieU) (?S148 boogieU)) (! (=> (and (= (type ?x367) intType) (= (type ?S148) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?S148) ?x367)) boolTrue) (= (U_2_bool (MapType0Select ?S148 (int_2_U (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x367))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?S148) ?x367)) )) (forall ((?x368 boogieU) (?S149 boogieU)) (! (=> (and (= (type ?x368) intType) (= (type ?S149) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S149) ?x368)) boolTrue) (= (U_2_bool (MapType0Select ?S149 (int_2_U (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x368))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S149) ?x368)) )) (forall ((?x369 boogieU) (?S150 boogieU)) (! (=> (and (= (type ?x369) intType) (= (type ?S150) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S150 ?x369)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?S150) (int_2_U (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x369))))) boolTrue))) :pattern ((MapType0Select ?S150 ?x369) (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?S150)) )) (forall ((?x370 boogieU) (?S151 boogieU)) (! (=> (and (= (type ?x370) intType) (= (type ?S151) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S151 ?x370)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S151) (int_2_U (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x370))))) boolTrue))) :pattern ((MapType0Select ?S151 ?x370) (x_S_TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S151)) )) (forall ((?x371 Int)) (! (= (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?x371) (+ ?x371 32)) :pattern ((TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFER ?x371)) )) (forall ((?x372 Int)) (! (= (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x372) (- ?x372 32)) :pattern ((TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x372)) )) (forall ((?x373 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x373 32 1) (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x373)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x373 32 1)) )) (forall ((?x374 Int)) (! (= (MINUS_LEFT_PTR ?x374 1 32) (TransferBufferMDL__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x374)) :pattern ((MINUS_LEFT_PTR ?x374 1 32)) )) (forall ((?x375 Int)) (! (= (TransferBufferMDL__URB_ISOCH_TRANSFERInv (TransferBufferMDL__URB_ISOCH_TRANSFER ?x375)) ?x375) :pattern ((TransferBufferMDL__URB_ISOCH_TRANSFERInv (TransferBufferMDL__URB_ISOCH_TRANSFER ?x375))) )) (forall ((?x376 Int)) (! (= (TransferBufferMDL__URB_ISOCH_TRANSFER (TransferBufferMDL__URB_ISOCH_TRANSFERInv ?x376)) ?x376) :pattern ((TransferBufferMDL__URB_ISOCH_TRANSFERInv ?x376)) )) (forall ((?x377 boogieU) (?S152 boogieU)) (! (=> (and (= (type ?x377) intType) (= (type ?S152) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_ISOCH_TRANSFER ?S152) ?x377)) boolTrue) (= (U_2_bool (MapType0Select ?S152 (int_2_U (TransferBufferMDL__URB_ISOCH_TRANSFERInv (U_2_int ?x377))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferMDL__URB_ISOCH_TRANSFER ?S152) ?x377)) )) (forall ((?x378 boogieU) (?S153 boogieU)) (! (=> (and (= (type ?x378) intType) (= (type ?S153) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv ?S153) ?x378)) boolTrue) (= (U_2_bool (MapType0Select ?S153 (int_2_U (TransferBufferMDL__URB_ISOCH_TRANSFER (U_2_int ?x378))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv ?S153) ?x378)) )) (forall ((?x379 boogieU) (?S154 boogieU)) (! (=> (and (= (type ?x379) intType) (= (type ?S154) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S154 ?x379)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_ISOCH_TRANSFER ?S154) (int_2_U (TransferBufferMDL__URB_ISOCH_TRANSFER (U_2_int ?x379))))) boolTrue))) :pattern ((MapType0Select ?S154 ?x379) (x_S_TransferBufferMDL__URB_ISOCH_TRANSFER ?S154)) )) (forall ((?x380 boogieU) (?S155 boogieU)) (! (=> (and (= (type ?x380) intType) (= (type ?S155) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S155 ?x380)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv ?S155) (int_2_U (TransferBufferMDL__URB_ISOCH_TRANSFERInv (U_2_int ?x380))))) boolTrue))) :pattern ((MapType0Select ?S155 ?x380) (x_S_TransferBufferMDL__URB_ISOCH_TRANSFERInv ?S155)) )) (forall ((?x381 Int)) (! (= (TransferBufferMDL__URB_ISOCH_TRANSFER ?x381) (+ ?x381 32)) :pattern ((TransferBufferMDL__URB_ISOCH_TRANSFER ?x381)) )) (forall ((?x382 Int)) (! (= (TransferBufferMDL__URB_ISOCH_TRANSFERInv ?x382) (- ?x382 32)) :pattern ((TransferBufferMDL__URB_ISOCH_TRANSFERInv ?x382)) )) (forall ((?x383 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x383 32 1) (TransferBufferMDL__URB_ISOCH_TRANSFERInv ?x383)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x383 32 1)) )) (forall ((?x384 Int)) (! (= (MINUS_LEFT_PTR ?x384 1 32) (TransferBufferMDL__URB_ISOCH_TRANSFERInv ?x384)) :pattern ((MINUS_LEFT_PTR ?x384 1 32)) )) (forall ((?x385 Int)) (! (= (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?x385)) ?x385) :pattern ((TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?x385))) )) (forall ((?x386 Int)) (! (= (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x386)) ?x386) :pattern ((TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x386)) )) (forall ((?x387 boogieU) (?S156 boogieU)) (! (=> (and (= (type ?x387) intType) (= (type ?S156) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?S156) ?x387)) boolTrue) (= (U_2_bool (MapType0Select ?S156 (int_2_U (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x387))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?S156) ?x387)) )) (forall ((?x388 boogieU) (?S157 boogieU)) (! (=> (and (= (type ?x388) intType) (= (type ?S157) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S157) ?x388)) boolTrue) (= (U_2_bool (MapType0Select ?S157 (int_2_U (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x388))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S157) ?x388)) )) (forall ((?x389 boogieU) (?S158 boogieU)) (! (=> (and (= (type ?x389) intType) (= (type ?S158) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S158 ?x389)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?S158) (int_2_U (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x389))))) boolTrue))) :pattern ((MapType0Select ?S158 ?x389) (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?S158)) )) (forall ((?x390 boogieU) (?S159 boogieU)) (! (=> (and (= (type ?x390) intType) (= (type ?S159) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S159 ?x390)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S159) (int_2_U (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x390))))) boolTrue))) :pattern ((MapType0Select ?S159 ?x390) (x_S_TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S159)) )) (forall ((?x391 Int)) (! (= (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?x391) (+ ?x391 28)) :pattern ((TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFER ?x391)) )) (forall ((?x392 Int)) (! (= (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x392) (- ?x392 28)) :pattern ((TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x392)) )) (forall ((?x393 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x393 28 1) (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x393)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x393 28 1)) )) (forall ((?x394 Int)) (! (= (MINUS_LEFT_PTR ?x394 1 28) (TransferBuffer__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x394)) :pattern ((MINUS_LEFT_PTR ?x394 1 28)) )) (forall ((?x395 Int)) (! (= (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?x395)) ?x395) :pattern ((TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?x395))) )) (forall ((?x396 Int)) (! (= (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x396)) ?x396) :pattern ((TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x396)) )) (forall ((?x397 boogieU) (?S160 boogieU)) (! (=> (and (= (type ?x397) intType) (= (type ?S160) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?S160) ?x397)) boolTrue) (= (U_2_bool (MapType0Select ?S160 (int_2_U (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x397))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?S160) ?x397)) )) (forall ((?x398 boogieU) (?S161 boogieU)) (! (=> (and (= (type ?x398) intType) (= (type ?S161) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S161) ?x398)) boolTrue) (= (U_2_bool (MapType0Select ?S161 (int_2_U (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x398))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S161) ?x398)) )) (forall ((?x399 boogieU) (?S162 boogieU)) (! (=> (and (= (type ?x399) intType) (= (type ?S162) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S162 ?x399)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?S162) (int_2_U (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x399))))) boolTrue))) :pattern ((MapType0Select ?S162 ?x399) (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?S162)) )) (forall ((?x400 boogieU) (?S163 boogieU)) (! (=> (and (= (type ?x400) intType) (= (type ?S163) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S163 ?x400)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S163) (int_2_U (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x400))))) boolTrue))) :pattern ((MapType0Select ?S163 ?x400) (x_S_TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S163)) )) (forall ((?x401 Int)) (! (= (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?x401) (+ ?x401 20)) :pattern ((TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFER ?x401)) )) (forall ((?x402 Int)) (! (= (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x402) (- ?x402 20)) :pattern ((TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x402)) )) (forall ((?x403 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x403 20 1) (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x403)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x403 20 1)) )) (forall ((?x404 Int)) (! (= (MINUS_LEFT_PTR ?x404 1 20) (TransferFlags__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x404)) :pattern ((MINUS_LEFT_PTR ?x404 1 20)) )) (forall ((?x405 Int)) (! (= (TransferFlags__URB_ISOCH_TRANSFERInv (TransferFlags__URB_ISOCH_TRANSFER ?x405)) ?x405) :pattern ((TransferFlags__URB_ISOCH_TRANSFERInv (TransferFlags__URB_ISOCH_TRANSFER ?x405))) )) (forall ((?x406 Int)) (! (= (TransferFlags__URB_ISOCH_TRANSFER (TransferFlags__URB_ISOCH_TRANSFERInv ?x406)) ?x406) :pattern ((TransferFlags__URB_ISOCH_TRANSFERInv ?x406)) )) (forall ((?x407 boogieU) (?S164 boogieU)) (! (=> (and (= (type ?x407) intType) (= (type ?S164) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_ISOCH_TRANSFER ?S164) ?x407)) boolTrue) (= (U_2_bool (MapType0Select ?S164 (int_2_U (TransferFlags__URB_ISOCH_TRANSFERInv (U_2_int ?x407))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferFlags__URB_ISOCH_TRANSFER ?S164) ?x407)) )) (forall ((?x408 boogieU) (?S165 boogieU)) (! (=> (and (= (type ?x408) intType) (= (type ?S165) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_ISOCH_TRANSFERInv ?S165) ?x408)) boolTrue) (= (U_2_bool (MapType0Select ?S165 (int_2_U (TransferFlags__URB_ISOCH_TRANSFER (U_2_int ?x408))))) boolTrue))) :pattern ((MapType0Select (x_S_TransferFlags__URB_ISOCH_TRANSFERInv ?S165) ?x408)) )) (forall ((?x409 boogieU) (?S166 boogieU)) (! (=> (and (= (type ?x409) intType) (= (type ?S166) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S166 ?x409)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_ISOCH_TRANSFER ?S166) (int_2_U (TransferFlags__URB_ISOCH_TRANSFER (U_2_int ?x409))))) boolTrue))) :pattern ((MapType0Select ?S166 ?x409) (x_S_TransferFlags__URB_ISOCH_TRANSFER ?S166)) )) (forall ((?x410 boogieU) (?S167 boogieU)) (! (=> (and (= (type ?x410) intType) (= (type ?S167) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S167 ?x410)) boolTrue) (= (U_2_bool (MapType0Select (x_S_TransferFlags__URB_ISOCH_TRANSFERInv ?S167) (int_2_U (TransferFlags__URB_ISOCH_TRANSFERInv (U_2_int ?x410))))) boolTrue))) :pattern ((MapType0Select ?S167 ?x410) (x_S_TransferFlags__URB_ISOCH_TRANSFERInv ?S167)) )) (forall ((?x411 Int)) (! (= (TransferFlags__URB_ISOCH_TRANSFER ?x411) (+ ?x411 20)) :pattern ((TransferFlags__URB_ISOCH_TRANSFER ?x411)) )) (forall ((?x412 Int)) (! (= (TransferFlags__URB_ISOCH_TRANSFERInv ?x412) (- ?x412 20)) :pattern ((TransferFlags__URB_ISOCH_TRANSFERInv ?x412)) )) (forall ((?x413 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x413 20 1) (TransferFlags__URB_ISOCH_TRANSFERInv ?x413)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x413 20 1)) )) (forall ((?x414 Int)) (! (= (MINUS_LEFT_PTR ?x414 1 20) (TransferFlags__URB_ISOCH_TRANSFERInv ?x414)) :pattern ((MINUS_LEFT_PTR ?x414 1 20)) )) (forall ((?x415 Int)) (! (= (Type__WDF_REQUEST_PARAMETERSInv (Type__WDF_REQUEST_PARAMETERS ?x415)) ?x415) :pattern ((Type__WDF_REQUEST_PARAMETERSInv (Type__WDF_REQUEST_PARAMETERS ?x415))) )) (forall ((?x416 Int)) (! (= (Type__WDF_REQUEST_PARAMETERS (Type__WDF_REQUEST_PARAMETERSInv ?x416)) ?x416) :pattern ((Type__WDF_REQUEST_PARAMETERSInv ?x416)) )) (forall ((?x417 boogieU) (?S168 boogieU)) (! (=> (and (= (type ?x417) intType) (= (type ?S168) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Type__WDF_REQUEST_PARAMETERS ?S168) ?x417)) boolTrue) (= (U_2_bool (MapType0Select ?S168 (int_2_U (Type__WDF_REQUEST_PARAMETERSInv (U_2_int ?x417))))) boolTrue))) :pattern ((MapType0Select (x_S_Type__WDF_REQUEST_PARAMETERS ?S168) ?x417)) )) (forall ((?x418 boogieU) (?S169 boogieU)) (! (=> (and (= (type ?x418) intType) (= (type ?S169) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_Type__WDF_REQUEST_PARAMETERSInv ?S169) ?x418)) boolTrue) (= (U_2_bool (MapType0Select ?S169 (int_2_U (Type__WDF_REQUEST_PARAMETERS (U_2_int ?x418))))) boolTrue))) :pattern ((MapType0Select (x_S_Type__WDF_REQUEST_PARAMETERSInv ?S169) ?x418)) )) (forall ((?x419 boogieU) (?S170 boogieU)) (! (=> (and (= (type ?x419) intType) (= (type ?S170) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S170 ?x419)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Type__WDF_REQUEST_PARAMETERS ?S170) (int_2_U (Type__WDF_REQUEST_PARAMETERS (U_2_int ?x419))))) boolTrue))) :pattern ((MapType0Select ?S170 ?x419) (x_S_Type__WDF_REQUEST_PARAMETERS ?S170)) )) (forall ((?x420 boogieU) (?S171 boogieU)) (! (=> (and (= (type ?x420) intType) (= (type ?S171) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S171 ?x420)) boolTrue) (= (U_2_bool (MapType0Select (x_S_Type__WDF_REQUEST_PARAMETERSInv ?S171) (int_2_U (Type__WDF_REQUEST_PARAMETERSInv (U_2_int ?x420))))) boolTrue))) :pattern ((MapType0Select ?S171 ?x420) (x_S_Type__WDF_REQUEST_PARAMETERSInv ?S171)) )) (forall ((?x421 Int)) (! (= (Type__WDF_REQUEST_PARAMETERS ?x421) (+ ?x421 4)) :pattern ((Type__WDF_REQUEST_PARAMETERS ?x421)) )) (forall ((?x422 Int)) (! (= (Type__WDF_REQUEST_PARAMETERSInv ?x422) (- ?x422 4)) :pattern ((Type__WDF_REQUEST_PARAMETERSInv ?x422)) )) (forall ((?x423 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x423 4 1) (Type__WDF_REQUEST_PARAMETERSInv ?x423)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x423 4 1)) )) (forall ((?x424 Int)) (! (= (MINUS_LEFT_PTR ?x424 1 4) (Type__WDF_REQUEST_PARAMETERSInv ?x424)) :pattern ((MINUS_LEFT_PTR ?x424 1 4)) )) (forall ((?x425 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x425)) ?x425) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x425))) )) (forall ((?x426 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x426)) ?x426) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x426)) )) (forall ((?x427 boogieU) (?S172 boogieU)) (! (=> (and (= (type ?x427) intType) (= (type ?S172) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S172) ?x427)) boolTrue) (= (U_2_bool (MapType0Select ?S172 (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (U_2_int ?x427))))) boolTrue))) :pattern ((MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S172) ?x427)) )) (forall ((?x428 boogieU) (?S173 boogieU)) (! (=> (and (= (type ?x428) intType) (= (type ?S173) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S173) ?x428)) boolTrue) (= (U_2_bool (MapType0Select ?S173 (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (U_2_int ?x428))))) boolTrue))) :pattern ((MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S173) ?x428)) )) (forall ((?x429 boogieU) (?S174 boogieU)) (! (=> (and (= (type ?x429) intType) (= (type ?S174) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S174 ?x429)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S174) (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO (U_2_int ?x429))))) boolTrue))) :pattern ((MapType0Select ?S174 ?x429) (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?S174)) )) (forall ((?x430 boogieU) (?S175 boogieU)) (! (=> (and (= (type ?x430) intType) (= (type ?S175) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S175 ?x430)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S175) (int_2_U (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv (U_2_int ?x430))))) boolTrue))) :pattern ((MapType0Select ?S175 ?x430) (x_S_UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?S175)) )) (forall ((?x431 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x431) (+ ?x431 12)) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFO ?x431)) )) (forall ((?x432 Int)) (! (= (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x432) (- ?x432 12)) :pattern ((UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x432)) )) (forall ((?x433 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x433 12 1) (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x433)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x433 12 1)) )) (forall ((?x434 Int)) (! (= (MINUS_LEFT_PTR ?x434 1 12) (UniqueType__WDF_OBJECT_CONTEXT_TYPE_INFOInv ?x434)) :pattern ((MINUS_LEFT_PTR ?x434 1 12)) )) (forall ((?x435 Int)) (! (= (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv (UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?x435)) ?x435) :pattern ((UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv (UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?x435))) )) (forall ((?x436 Int)) (! (= (UrbBulkOrInterruptTransfer___unnamed_96_e511a626 (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?x436)) ?x436) :pattern ((UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?x436)) )) (forall ((?x437 boogieU) (?S176 boogieU)) (! (=> (and (= (type ?x437) intType) (= (type ?S176) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?S176) ?x437)) boolTrue) (= (U_2_bool (MapType0Select ?S176 (int_2_U (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv (U_2_int ?x437))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?S176) ?x437)) )) (forall ((?x438 boogieU) (?S177 boogieU)) (! (=> (and (= (type ?x438) intType) (= (type ?S177) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?S177) ?x438)) boolTrue) (= (U_2_bool (MapType0Select ?S177 (int_2_U (UrbBulkOrInterruptTransfer___unnamed_96_e511a626 (U_2_int ?x438))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?S177) ?x438)) )) (forall ((?x439 boogieU) (?S178 boogieU)) (! (=> (and (= (type ?x439) intType) (= (type ?S178) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S178 ?x439)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?S178) (int_2_U (UrbBulkOrInterruptTransfer___unnamed_96_e511a626 (U_2_int ?x439))))) boolTrue))) :pattern ((MapType0Select ?S178 ?x439) (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?S178)) )) (forall ((?x440 boogieU) (?S179 boogieU)) (! (=> (and (= (type ?x440) intType) (= (type ?S179) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S179 ?x440)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?S179) (int_2_U (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv (U_2_int ?x440))))) boolTrue))) :pattern ((MapType0Select ?S179 ?x440) (x_S_UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?S179)) )) (forall ((?x441 Int)) (! (= (UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?x441) (+ ?x441 0)) :pattern ((UrbBulkOrInterruptTransfer___unnamed_96_e511a626 ?x441)) )) (forall ((?x442 Int)) (! (= (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?x442) (- ?x442 0)) :pattern ((UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?x442)) )) (forall ((?x443 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x443 0 1) (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?x443)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x443 0 1)) )) (forall ((?x444 Int)) (! (= (MINUS_LEFT_PTR ?x444 1 0) (UrbBulkOrInterruptTransfer___unnamed_96_e511a626Inv ?x444)) :pattern ((MINUS_LEFT_PTR ?x444 1 0)) )) (forall ((?x445 Int)) (! (= (UrbHeader___unnamed_96_e511a626Inv (UrbHeader___unnamed_96_e511a626 ?x445)) ?x445) :pattern ((UrbHeader___unnamed_96_e511a626Inv (UrbHeader___unnamed_96_e511a626 ?x445))) )) (forall ((?x446 Int)) (! (= (UrbHeader___unnamed_96_e511a626 (UrbHeader___unnamed_96_e511a626Inv ?x446)) ?x446) :pattern ((UrbHeader___unnamed_96_e511a626Inv ?x446)) )) (forall ((?x447 boogieU) (?S180 boogieU)) (! (=> (and (= (type ?x447) intType) (= (type ?S180) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbHeader___unnamed_96_e511a626 ?S180) ?x447)) boolTrue) (= (U_2_bool (MapType0Select ?S180 (int_2_U (UrbHeader___unnamed_96_e511a626Inv (U_2_int ?x447))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbHeader___unnamed_96_e511a626 ?S180) ?x447)) )) (forall ((?x448 boogieU) (?S181 boogieU)) (! (=> (and (= (type ?x448) intType) (= (type ?S181) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbHeader___unnamed_96_e511a626Inv ?S181) ?x448)) boolTrue) (= (U_2_bool (MapType0Select ?S181 (int_2_U (UrbHeader___unnamed_96_e511a626 (U_2_int ?x448))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbHeader___unnamed_96_e511a626Inv ?S181) ?x448)) )) (forall ((?x449 boogieU) (?S182 boogieU)) (! (=> (and (= (type ?x449) intType) (= (type ?S182) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S182 ?x449)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbHeader___unnamed_96_e511a626 ?S182) (int_2_U (UrbHeader___unnamed_96_e511a626 (U_2_int ?x449))))) boolTrue))) :pattern ((MapType0Select ?S182 ?x449) (x_S_UrbHeader___unnamed_96_e511a626 ?S182)) )) (forall ((?x450 boogieU) (?S183 boogieU)) (! (=> (and (= (type ?x450) intType) (= (type ?S183) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S183 ?x450)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbHeader___unnamed_96_e511a626Inv ?S183) (int_2_U (UrbHeader___unnamed_96_e511a626Inv (U_2_int ?x450))))) boolTrue))) :pattern ((MapType0Select ?S183 ?x450) (x_S_UrbHeader___unnamed_96_e511a626Inv ?S183)) )) (forall ((?x451 Int)) (! (= (UrbHeader___unnamed_96_e511a626 ?x451) (+ ?x451 0)) :pattern ((UrbHeader___unnamed_96_e511a626 ?x451)) )) (forall ((?x452 Int)) (! (= (UrbHeader___unnamed_96_e511a626Inv ?x452) (- ?x452 0)) :pattern ((UrbHeader___unnamed_96_e511a626Inv ?x452)) )) (forall ((?x453 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x453 0 1) (UrbHeader___unnamed_96_e511a626Inv ?x453)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x453 0 1)) )) (forall ((?x454 Int)) (! (= (MINUS_LEFT_PTR ?x454 1 0) (UrbHeader___unnamed_96_e511a626Inv ?x454)) :pattern ((MINUS_LEFT_PTR ?x454 1 0)) )) (forall ((?x455 Int)) (! (= (UrbIsochronousTransfer___unnamed_96_e511a626Inv (UrbIsochronousTransfer___unnamed_96_e511a626 ?x455)) ?x455) :pattern ((UrbIsochronousTransfer___unnamed_96_e511a626Inv (UrbIsochronousTransfer___unnamed_96_e511a626 ?x455))) )) (forall ((?x456 Int)) (! (= (UrbIsochronousTransfer___unnamed_96_e511a626 (UrbIsochronousTransfer___unnamed_96_e511a626Inv ?x456)) ?x456) :pattern ((UrbIsochronousTransfer___unnamed_96_e511a626Inv ?x456)) )) (forall ((?x457 boogieU) (?S184 boogieU)) (! (=> (and (= (type ?x457) intType) (= (type ?S184) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbIsochronousTransfer___unnamed_96_e511a626 ?S184) ?x457)) boolTrue) (= (U_2_bool (MapType0Select ?S184 (int_2_U (UrbIsochronousTransfer___unnamed_96_e511a626Inv (U_2_int ?x457))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbIsochronousTransfer___unnamed_96_e511a626 ?S184) ?x457)) )) (forall ((?x458 boogieU) (?S185 boogieU)) (! (=> (and (= (type ?x458) intType) (= (type ?S185) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv ?S185) ?x458)) boolTrue) (= (U_2_bool (MapType0Select ?S185 (int_2_U (UrbIsochronousTransfer___unnamed_96_e511a626 (U_2_int ?x458))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv ?S185) ?x458)) )) (forall ((?x459 boogieU) (?S186 boogieU)) (! (=> (and (= (type ?x459) intType) (= (type ?S186) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S186 ?x459)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbIsochronousTransfer___unnamed_96_e511a626 ?S186) (int_2_U (UrbIsochronousTransfer___unnamed_96_e511a626 (U_2_int ?x459))))) boolTrue))) :pattern ((MapType0Select ?S186 ?x459) (x_S_UrbIsochronousTransfer___unnamed_96_e511a626 ?S186)) )) (forall ((?x460 boogieU) (?S187 boogieU)) (! (=> (and (= (type ?x460) intType) (= (type ?S187) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S187 ?x460)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv ?S187) (int_2_U (UrbIsochronousTransfer___unnamed_96_e511a626Inv (U_2_int ?x460))))) boolTrue))) :pattern ((MapType0Select ?S187 ?x460) (x_S_UrbIsochronousTransfer___unnamed_96_e511a626Inv ?S187)) )) (forall ((?x461 Int)) (! (= (UrbIsochronousTransfer___unnamed_96_e511a626 ?x461) (+ ?x461 0)) :pattern ((UrbIsochronousTransfer___unnamed_96_e511a626 ?x461)) )) (forall ((?x462 Int)) (! (= (UrbIsochronousTransfer___unnamed_96_e511a626Inv ?x462) (- ?x462 0)) :pattern ((UrbIsochronousTransfer___unnamed_96_e511a626Inv ?x462)) )) (forall ((?x463 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x463 0 1) (UrbIsochronousTransfer___unnamed_96_e511a626Inv ?x463)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x463 0 1)) )) (forall ((?x464 Int)) (! (= (MINUS_LEFT_PTR ?x464 1 0) (UrbIsochronousTransfer___unnamed_96_e511a626Inv ?x464)) :pattern ((MINUS_LEFT_PTR ?x464 1 0)) )) (forall ((?x465 Int)) (! (= (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?x465)) ?x465) :pattern ((UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?x465))) )) (forall ((?x466 Int)) (! (= (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x466)) ?x466) :pattern ((UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x466)) )) (forall ((?x467 boogieU) (?S188 boogieU)) (! (=> (and (= (type ?x467) intType) (= (type ?S188) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?S188) ?x467)) boolTrue) (= (U_2_bool (MapType0Select ?S188 (int_2_U (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x467))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?S188) ?x467)) )) (forall ((?x468 boogieU) (?S189 boogieU)) (! (=> (and (= (type ?x468) intType) (= (type ?S189) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S189) ?x468)) boolTrue) (= (U_2_bool (MapType0Select ?S189 (int_2_U (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x468))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S189) ?x468)) )) (forall ((?x469 boogieU) (?S190 boogieU)) (! (=> (and (= (type ?x469) intType) (= (type ?S190) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S190 ?x469)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?S190) (int_2_U (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER (U_2_int ?x469))))) boolTrue))) :pattern ((MapType0Select ?S190 ?x469) (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?S190)) )) (forall ((?x470 boogieU) (?S191 boogieU)) (! (=> (and (= (type ?x470) intType) (= (type ?S191) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S191 ?x470)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S191) (int_2_U (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv (U_2_int ?x470))))) boolTrue))) :pattern ((MapType0Select ?S191 ?x470) (x_S_UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?S191)) )) (forall ((?x471 Int)) (! (= (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?x471) (+ ?x471 36)) :pattern ((UrbLink__URB_BULK_OR_INTERRUPT_TRANSFER ?x471)) )) (forall ((?x472 Int)) (! (= (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x472) (- ?x472 36)) :pattern ((UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x472)) )) (forall ((?x473 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x473 36 1) (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x473)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x473 36 1)) )) (forall ((?x474 Int)) (! (= (MINUS_LEFT_PTR ?x474 1 36) (UrbLink__URB_BULK_OR_INTERRUPT_TRANSFERInv ?x474)) :pattern ((MINUS_LEFT_PTR ?x474 1 36)) )) (forall ((?x475 Int)) (! (= (UrbLink__URB_ISOCH_TRANSFERInv (UrbLink__URB_ISOCH_TRANSFER ?x475)) ?x475) :pattern ((UrbLink__URB_ISOCH_TRANSFERInv (UrbLink__URB_ISOCH_TRANSFER ?x475))) )) (forall ((?x476 Int)) (! (= (UrbLink__URB_ISOCH_TRANSFER (UrbLink__URB_ISOCH_TRANSFERInv ?x476)) ?x476) :pattern ((UrbLink__URB_ISOCH_TRANSFERInv ?x476)) )) (forall ((?x477 boogieU) (?S192 boogieU)) (! (=> (and (= (type ?x477) intType) (= (type ?S192) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_ISOCH_TRANSFER ?S192) ?x477)) boolTrue) (= (U_2_bool (MapType0Select ?S192 (int_2_U (UrbLink__URB_ISOCH_TRANSFERInv (U_2_int ?x477))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbLink__URB_ISOCH_TRANSFER ?S192) ?x477)) )) (forall ((?x478 boogieU) (?S193 boogieU)) (! (=> (and (= (type ?x478) intType) (= (type ?S193) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_ISOCH_TRANSFERInv ?S193) ?x478)) boolTrue) (= (U_2_bool (MapType0Select ?S193 (int_2_U (UrbLink__URB_ISOCH_TRANSFER (U_2_int ?x478))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbLink__URB_ISOCH_TRANSFERInv ?S193) ?x478)) )) (forall ((?x479 boogieU) (?S194 boogieU)) (! (=> (and (= (type ?x479) intType) (= (type ?S194) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S194 ?x479)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_ISOCH_TRANSFER ?S194) (int_2_U (UrbLink__URB_ISOCH_TRANSFER (U_2_int ?x479))))) boolTrue))) :pattern ((MapType0Select ?S194 ?x479) (x_S_UrbLink__URB_ISOCH_TRANSFER ?S194)) )) (forall ((?x480 boogieU) (?S195 boogieU)) (! (=> (and (= (type ?x480) intType) (= (type ?S195) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S195 ?x480)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbLink__URB_ISOCH_TRANSFERInv ?S195) (int_2_U (UrbLink__URB_ISOCH_TRANSFERInv (U_2_int ?x480))))) boolTrue))) :pattern ((MapType0Select ?S195 ?x480) (x_S_UrbLink__URB_ISOCH_TRANSFERInv ?S195)) )) (forall ((?x481 Int)) (! (= (UrbLink__URB_ISOCH_TRANSFER ?x481) (+ ?x481 36)) :pattern ((UrbLink__URB_ISOCH_TRANSFER ?x481)) )) (forall ((?x482 Int)) (! (= (UrbLink__URB_ISOCH_TRANSFERInv ?x482) (- ?x482 36)) :pattern ((UrbLink__URB_ISOCH_TRANSFERInv ?x482)) )) (forall ((?x483 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x483 36 1) (UrbLink__URB_ISOCH_TRANSFERInv ?x483)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x483 36 1)) )) (forall ((?x484 Int)) (! (= (MINUS_LEFT_PTR ?x484 1 36) (UrbLink__URB_ISOCH_TRANSFERInv ?x484)) :pattern ((MINUS_LEFT_PTR ?x484 1 36)) )) (forall ((?x485 Int)) (! (= (UrbMemory__REQUEST_CONTEXTInv (UrbMemory__REQUEST_CONTEXT ?x485)) ?x485) :pattern ((UrbMemory__REQUEST_CONTEXTInv (UrbMemory__REQUEST_CONTEXT ?x485))) )) (forall ((?x486 Int)) (! (= (UrbMemory__REQUEST_CONTEXT (UrbMemory__REQUEST_CONTEXTInv ?x486)) ?x486) :pattern ((UrbMemory__REQUEST_CONTEXTInv ?x486)) )) (forall ((?x487 boogieU) (?S196 boogieU)) (! (=> (and (= (type ?x487) intType) (= (type ?S196) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbMemory__REQUEST_CONTEXT ?S196) ?x487)) boolTrue) (= (U_2_bool (MapType0Select ?S196 (int_2_U (UrbMemory__REQUEST_CONTEXTInv (U_2_int ?x487))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbMemory__REQUEST_CONTEXT ?S196) ?x487)) )) (forall ((?x488 boogieU) (?S197 boogieU)) (! (=> (and (= (type ?x488) intType) (= (type ?S197) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UrbMemory__REQUEST_CONTEXTInv ?S197) ?x488)) boolTrue) (= (U_2_bool (MapType0Select ?S197 (int_2_U (UrbMemory__REQUEST_CONTEXT (U_2_int ?x488))))) boolTrue))) :pattern ((MapType0Select (x_S_UrbMemory__REQUEST_CONTEXTInv ?S197) ?x488)) )) (forall ((?x489 boogieU) (?S198 boogieU)) (! (=> (and (= (type ?x489) intType) (= (type ?S198) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S198 ?x489)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbMemory__REQUEST_CONTEXT ?S198) (int_2_U (UrbMemory__REQUEST_CONTEXT (U_2_int ?x489))))) boolTrue))) :pattern ((MapType0Select ?S198 ?x489) (x_S_UrbMemory__REQUEST_CONTEXT ?S198)) )) (forall ((?x490 boogieU) (?S199 boogieU)) (! (=> (and (= (type ?x490) intType) (= (type ?S199) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S199 ?x490)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UrbMemory__REQUEST_CONTEXTInv ?S199) (int_2_U (UrbMemory__REQUEST_CONTEXTInv (U_2_int ?x490))))) boolTrue))) :pattern ((MapType0Select ?S199 ?x490) (x_S_UrbMemory__REQUEST_CONTEXTInv ?S199)) )) (forall ((?x491 Int)) (! (= (UrbMemory__REQUEST_CONTEXT ?x491) (+ ?x491 0)) :pattern ((UrbMemory__REQUEST_CONTEXT ?x491)) )) (forall ((?x492 Int)) (! (= (UrbMemory__REQUEST_CONTEXTInv ?x492) (- ?x492 0)) :pattern ((UrbMemory__REQUEST_CONTEXTInv ?x492)) )) (forall ((?x493 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x493 0 1) (UrbMemory__REQUEST_CONTEXTInv ?x493)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x493 0 1)) )) (forall ((?x494 Int)) (! (= (MINUS_LEFT_PTR ?x494 1 0) (UrbMemory__REQUEST_CONTEXTInv ?x494)) :pattern ((MINUS_LEFT_PTR ?x494 1 0)) )) (forall ((?x495 Int)) (! (= (UsbConfigurationDescriptor__DEVICE_CONTEXTInv (UsbConfigurationDescriptor__DEVICE_CONTEXT ?x495)) ?x495) :pattern ((UsbConfigurationDescriptor__DEVICE_CONTEXTInv (UsbConfigurationDescriptor__DEVICE_CONTEXT ?x495))) )) (forall ((?x496 Int)) (! (= (UsbConfigurationDescriptor__DEVICE_CONTEXT (UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?x496)) ?x496) :pattern ((UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?x496)) )) (forall ((?x497 boogieU) (?S200 boogieU)) (! (=> (and (= (type ?x497) intType) (= (type ?S200) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT ?S200) ?x497)) boolTrue) (= (U_2_bool (MapType0Select ?S200 (int_2_U (UsbConfigurationDescriptor__DEVICE_CONTEXTInv (U_2_int ?x497))))) boolTrue))) :pattern ((MapType0Select (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT ?S200) ?x497)) )) (forall ((?x498 boogieU) (?S201 boogieU)) (! (=> (and (= (type ?x498) intType) (= (type ?S201) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?S201) ?x498)) boolTrue) (= (U_2_bool (MapType0Select ?S201 (int_2_U (UsbConfigurationDescriptor__DEVICE_CONTEXT (U_2_int ?x498))))) boolTrue))) :pattern ((MapType0Select (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?S201) ?x498)) )) (forall ((?x499 boogieU) (?S202 boogieU)) (! (=> (and (= (type ?x499) intType) (= (type ?S202) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S202 ?x499)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT ?S202) (int_2_U (UsbConfigurationDescriptor__DEVICE_CONTEXT (U_2_int ?x499))))) boolTrue))) :pattern ((MapType0Select ?S202 ?x499) (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXT ?S202)) )) (forall ((?x500 boogieU) (?S203 boogieU)) (! (=> (and (= (type ?x500) intType) (= (type ?S203) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S203 ?x500)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?S203) (int_2_U (UsbConfigurationDescriptor__DEVICE_CONTEXTInv (U_2_int ?x500))))) boolTrue))) :pattern ((MapType0Select ?S203 ?x500) (x_S_UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?S203)) )) (forall ((?x501 Int)) (! (= (UsbConfigurationDescriptor__DEVICE_CONTEXT ?x501) (+ ?x501 20)) :pattern ((UsbConfigurationDescriptor__DEVICE_CONTEXT ?x501)) )) (forall ((?x502 Int)) (! (= (UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?x502) (- ?x502 20)) :pattern ((UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?x502)) )) (forall ((?x503 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x503 20 1) (UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?x503)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x503 20 1)) )) (forall ((?x504 Int)) (! (= (MINUS_LEFT_PTR ?x504 1 20) (UsbConfigurationDescriptor__DEVICE_CONTEXTInv ?x504)) :pattern ((MINUS_LEFT_PTR ?x504 1 20)) )) (forall ((?x505 Int)) (! (= (UsbInterface__DEVICE_CONTEXTInv (UsbInterface__DEVICE_CONTEXT ?x505)) ?x505) :pattern ((UsbInterface__DEVICE_CONTEXTInv (UsbInterface__DEVICE_CONTEXT ?x505))) )) (forall ((?x506 Int)) (! (= (UsbInterface__DEVICE_CONTEXT (UsbInterface__DEVICE_CONTEXTInv ?x506)) ?x506) :pattern ((UsbInterface__DEVICE_CONTEXTInv ?x506)) )) (forall ((?x507 boogieU) (?S204 boogieU)) (! (=> (and (= (type ?x507) intType) (= (type ?S204) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UsbInterface__DEVICE_CONTEXT ?S204) ?x507)) boolTrue) (= (U_2_bool (MapType0Select ?S204 (int_2_U (UsbInterface__DEVICE_CONTEXTInv (U_2_int ?x507))))) boolTrue))) :pattern ((MapType0Select (x_S_UsbInterface__DEVICE_CONTEXT ?S204) ?x507)) )) (forall ((?x508 boogieU) (?S205 boogieU)) (! (=> (and (= (type ?x508) intType) (= (type ?S205) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UsbInterface__DEVICE_CONTEXTInv ?S205) ?x508)) boolTrue) (= (U_2_bool (MapType0Select ?S205 (int_2_U (UsbInterface__DEVICE_CONTEXT (U_2_int ?x508))))) boolTrue))) :pattern ((MapType0Select (x_S_UsbInterface__DEVICE_CONTEXTInv ?S205) ?x508)) )) (forall ((?x509 boogieU) (?S206 boogieU)) (! (=> (and (= (type ?x509) intType) (= (type ?S206) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S206 ?x509)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UsbInterface__DEVICE_CONTEXT ?S206) (int_2_U (UsbInterface__DEVICE_CONTEXT (U_2_int ?x509))))) boolTrue))) :pattern ((MapType0Select ?S206 ?x509) (x_S_UsbInterface__DEVICE_CONTEXT ?S206)) )) (forall ((?x510 boogieU) (?S207 boogieU)) (! (=> (and (= (type ?x510) intType) (= (type ?S207) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S207 ?x510)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UsbInterface__DEVICE_CONTEXTInv ?S207) (int_2_U (UsbInterface__DEVICE_CONTEXTInv (U_2_int ?x510))))) boolTrue))) :pattern ((MapType0Select ?S207 ?x510) (x_S_UsbInterface__DEVICE_CONTEXTInv ?S207)) )) (forall ((?x511 Int)) (! (= (UsbInterface__DEVICE_CONTEXT ?x511) (+ ?x511 36)) :pattern ((UsbInterface__DEVICE_CONTEXT ?x511)) )) (forall ((?x512 Int)) (! (= (UsbInterface__DEVICE_CONTEXTInv ?x512) (- ?x512 36)) :pattern ((UsbInterface__DEVICE_CONTEXTInv ?x512)) )) (forall ((?x513 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x513 36 1) (UsbInterface__DEVICE_CONTEXTInv ?x513)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x513 36 1)) )) (forall ((?x514 Int)) (! (= (MINUS_LEFT_PTR ?x514 1 36) (UsbInterface__DEVICE_CONTEXTInv ?x514)) :pattern ((MINUS_LEFT_PTR ?x514 1 36)) )) (forall ((?x515 Int)) (! (= (UserRequest__SUB_REQUEST_CONTEXTInv (UserRequest__SUB_REQUEST_CONTEXT ?x515)) ?x515) :pattern ((UserRequest__SUB_REQUEST_CONTEXTInv (UserRequest__SUB_REQUEST_CONTEXT ?x515))) )) (forall ((?x516 Int)) (! (= (UserRequest__SUB_REQUEST_CONTEXT (UserRequest__SUB_REQUEST_CONTEXTInv ?x516)) ?x516) :pattern ((UserRequest__SUB_REQUEST_CONTEXTInv ?x516)) )) (forall ((?x517 boogieU) (?S208 boogieU)) (! (=> (and (= (type ?x517) intType) (= (type ?S208) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UserRequest__SUB_REQUEST_CONTEXT ?S208) ?x517)) boolTrue) (= (U_2_bool (MapType0Select ?S208 (int_2_U (UserRequest__SUB_REQUEST_CONTEXTInv (U_2_int ?x517))))) boolTrue))) :pattern ((MapType0Select (x_S_UserRequest__SUB_REQUEST_CONTEXT ?S208) ?x517)) )) (forall ((?x518 boogieU) (?S209 boogieU)) (! (=> (and (= (type ?x518) intType) (= (type ?S209) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_UserRequest__SUB_REQUEST_CONTEXTInv ?S209) ?x518)) boolTrue) (= (U_2_bool (MapType0Select ?S209 (int_2_U (UserRequest__SUB_REQUEST_CONTEXT (U_2_int ?x518))))) boolTrue))) :pattern ((MapType0Select (x_S_UserRequest__SUB_REQUEST_CONTEXTInv ?S209) ?x518)) )) (forall ((?x519 boogieU) (?S210 boogieU)) (! (=> (and (= (type ?x519) intType) (= (type ?S210) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S210 ?x519)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UserRequest__SUB_REQUEST_CONTEXT ?S210) (int_2_U (UserRequest__SUB_REQUEST_CONTEXT (U_2_int ?x519))))) boolTrue))) :pattern ((MapType0Select ?S210 ?x519) (x_S_UserRequest__SUB_REQUEST_CONTEXT ?S210)) )) (forall ((?x520 boogieU) (?S211 boogieU)) (! (=> (and (= (type ?x520) intType) (= (type ?S211) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S211 ?x520)) boolTrue) (= (U_2_bool (MapType0Select (x_S_UserRequest__SUB_REQUEST_CONTEXTInv ?S211) (int_2_U (UserRequest__SUB_REQUEST_CONTEXTInv (U_2_int ?x520))))) boolTrue))) :pattern ((MapType0Select ?S211 ?x520) (x_S_UserRequest__SUB_REQUEST_CONTEXTInv ?S211)) )) (forall ((?x521 Int)) (! (= (UserRequest__SUB_REQUEST_CONTEXT ?x521) (+ ?x521 0)) :pattern ((UserRequest__SUB_REQUEST_CONTEXT ?x521)) )) (forall ((?x522 Int)) (! (= (UserRequest__SUB_REQUEST_CONTEXTInv ?x522) (- ?x522 0)) :pattern ((UserRequest__SUB_REQUEST_CONTEXTInv ?x522)) )) (forall ((?x523 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x523 0 1) (UserRequest__SUB_REQUEST_CONTEXTInv ?x523)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x523 0 1)) )) (forall ((?x524 Int)) (! (= (MINUS_LEFT_PTR ?x524 1 0) (UserRequest__SUB_REQUEST_CONTEXTInv ?x524)) :pattern ((MINUS_LEFT_PTR ?x524 1 0)) )) (forall ((?x525 Int)) (! (= (VirtualAddress__REQUEST_CONTEXTInv (VirtualAddress__REQUEST_CONTEXT ?x525)) ?x525) :pattern ((VirtualAddress__REQUEST_CONTEXTInv (VirtualAddress__REQUEST_CONTEXT ?x525))) )) (forall ((?x526 Int)) (! (= (VirtualAddress__REQUEST_CONTEXT (VirtualAddress__REQUEST_CONTEXTInv ?x526)) ?x526) :pattern ((VirtualAddress__REQUEST_CONTEXTInv ?x526)) )) (forall ((?x527 boogieU) (?S212 boogieU)) (! (=> (and (= (type ?x527) intType) (= (type ?S212) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_VirtualAddress__REQUEST_CONTEXT ?S212) ?x527)) boolTrue) (= (U_2_bool (MapType0Select ?S212 (int_2_U (VirtualAddress__REQUEST_CONTEXTInv (U_2_int ?x527))))) boolTrue))) :pattern ((MapType0Select (x_S_VirtualAddress__REQUEST_CONTEXT ?S212) ?x527)) )) (forall ((?x528 boogieU) (?S213 boogieU)) (! (=> (and (= (type ?x528) intType) (= (type ?S213) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_VirtualAddress__REQUEST_CONTEXTInv ?S213) ?x528)) boolTrue) (= (U_2_bool (MapType0Select ?S213 (int_2_U (VirtualAddress__REQUEST_CONTEXT (U_2_int ?x528))))) boolTrue))) :pattern ((MapType0Select (x_S_VirtualAddress__REQUEST_CONTEXTInv ?S213) ?x528)) )) (forall ((?x529 boogieU) (?S214 boogieU)) (! (=> (and (= (type ?x529) intType) (= (type ?S214) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S214 ?x529)) boolTrue) (= (U_2_bool (MapType0Select (x_S_VirtualAddress__REQUEST_CONTEXT ?S214) (int_2_U (VirtualAddress__REQUEST_CONTEXT (U_2_int ?x529))))) boolTrue))) :pattern ((MapType0Select ?S214 ?x529) (x_S_VirtualAddress__REQUEST_CONTEXT ?S214)) )) (forall ((?x530 boogieU) (?S215 boogieU)) (! (=> (and (= (type ?x530) intType) (= (type ?S215) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S215 ?x530)) boolTrue) (= (U_2_bool (MapType0Select (x_S_VirtualAddress__REQUEST_CONTEXTInv ?S215) (int_2_U (VirtualAddress__REQUEST_CONTEXTInv (U_2_int ?x530))))) boolTrue))) :pattern ((MapType0Select ?S215 ?x530) (x_S_VirtualAddress__REQUEST_CONTEXTInv ?S215)) )) (forall ((?x531 Int)) (! (= (VirtualAddress__REQUEST_CONTEXT ?x531) (+ ?x531 16)) :pattern ((VirtualAddress__REQUEST_CONTEXT ?x531)) )) (forall ((?x532 Int)) (! (= (VirtualAddress__REQUEST_CONTEXTInv ?x532) (- ?x532 16)) :pattern ((VirtualAddress__REQUEST_CONTEXTInv ?x532)) )) (forall ((?x533 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x533 16 1) (VirtualAddress__REQUEST_CONTEXTInv ?x533)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x533 16 1)) )) (forall ((?x534 Int)) (! (= (MINUS_LEFT_PTR ?x534 1 16) (VirtualAddress__REQUEST_CONTEXTInv ?x534)) :pattern ((MINUS_LEFT_PTR ?x534 1 16)) )) (forall ((?x535 Int)) (! (= (WdfUsbTargetDevice__DEVICE_CONTEXTInv (WdfUsbTargetDevice__DEVICE_CONTEXT ?x535)) ?x535) :pattern ((WdfUsbTargetDevice__DEVICE_CONTEXTInv (WdfUsbTargetDevice__DEVICE_CONTEXT ?x535))) )) (forall ((?x536 Int)) (! (= (WdfUsbTargetDevice__DEVICE_CONTEXT (WdfUsbTargetDevice__DEVICE_CONTEXTInv ?x536)) ?x536) :pattern ((WdfUsbTargetDevice__DEVICE_CONTEXTInv ?x536)) )) (forall ((?x537 boogieU) (?S216 boogieU)) (! (=> (and (= (type ?x537) intType) (= (type ?S216) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WdfUsbTargetDevice__DEVICE_CONTEXT ?S216) ?x537)) boolTrue) (= (U_2_bool (MapType0Select ?S216 (int_2_U (WdfUsbTargetDevice__DEVICE_CONTEXTInv (U_2_int ?x537))))) boolTrue))) :pattern ((MapType0Select (x_S_WdfUsbTargetDevice__DEVICE_CONTEXT ?S216) ?x537)) )) (forall ((?x538 boogieU) (?S217 boogieU)) (! (=> (and (= (type ?x538) intType) (= (type ?S217) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv ?S217) ?x538)) boolTrue) (= (U_2_bool (MapType0Select ?S217 (int_2_U (WdfUsbTargetDevice__DEVICE_CONTEXT (U_2_int ?x538))))) boolTrue))) :pattern ((MapType0Select (x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv ?S217) ?x538)) )) (forall ((?x539 boogieU) (?S218 boogieU)) (! (=> (and (= (type ?x539) intType) (= (type ?S218) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S218 ?x539)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WdfUsbTargetDevice__DEVICE_CONTEXT ?S218) (int_2_U (WdfUsbTargetDevice__DEVICE_CONTEXT (U_2_int ?x539))))) boolTrue))) :pattern ((MapType0Select ?S218 ?x539) (x_S_WdfUsbTargetDevice__DEVICE_CONTEXT ?S218)) )) (forall ((?x540 boogieU) (?S219 boogieU)) (! (=> (and (= (type ?x540) intType) (= (type ?S219) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S219 ?x540)) boolTrue) (= (U_2_bool (MapType0Select (x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv ?S219) (int_2_U (WdfUsbTargetDevice__DEVICE_CONTEXTInv (U_2_int ?x540))))) boolTrue))) :pattern ((MapType0Select ?S219 ?x540) (x_S_WdfUsbTargetDevice__DEVICE_CONTEXTInv ?S219)) )) (forall ((?x541 Int)) (! (= (WdfUsbTargetDevice__DEVICE_CONTEXT ?x541) (+ ?x541 24)) :pattern ((WdfUsbTargetDevice__DEVICE_CONTEXT ?x541)) )) (forall ((?x542 Int)) (! (= (WdfUsbTargetDevice__DEVICE_CONTEXTInv ?x542) (- ?x542 24)) :pattern ((WdfUsbTargetDevice__DEVICE_CONTEXTInv ?x542)) )) (forall ((?x543 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x543 24 1) (WdfUsbTargetDevice__DEVICE_CONTEXTInv ?x543)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x543 24 1)) )) (forall ((?x544 Int)) (! (= (MINUS_LEFT_PTR ?x544 1 24) (WdfUsbTargetDevice__DEVICE_CONTEXTInv ?x544)) :pattern ((MINUS_LEFT_PTR ?x544 1 24)) )) (forall ((?x545 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x545)) ?x545) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x545))) )) (forall ((?x546 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x546)) ?x546) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x546)) )) (forall ((?x547 boogieU) (?S220 boogieU)) (! (=> (and (= (type ?x547) intType) (= (type ?S220) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S220) ?x547)) boolTrue) (= (U_2_bool (MapType0Select ?S220 (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (U_2_int ?x547))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S220) ?x547)) )) (forall ((?x548 boogieU) (?S221 boogieU)) (! (=> (and (= (type ?x548) intType) (= (type ?S221) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S221) ?x548)) boolTrue) (= (U_2_bool (MapType0Select ?S221 (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (U_2_int ?x548))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S221) ?x548)) )) (forall ((?x549 boogieU) (?S222 boogieU)) (! (=> (and (= (type ?x549) intType) (= (type ?S222) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S222 ?x549)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S222) (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK (U_2_int ?x549))))) boolTrue))) :pattern ((MapType0Select ?S222 ?x549) (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCK ?S222)) )) (forall ((?x550 boogieU) (?S223 boogieU)) (! (=> (and (= (type ?x550) intType) (= (type ?S223) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S223 ?x550)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S223) (int_2_U (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv (U_2_int ?x550))))) boolTrue))) :pattern ((MapType0Select ?S223 ?x550) (x_S___unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?S223)) )) (forall ((?x551 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x551) (+ ?x551 0)) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCK ?x551)) )) (forall ((?x552 Int)) (! (= (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x552) (- ?x552 0)) :pattern ((x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x552)) )) (forall ((?x553 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x553 0 1) (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x553)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x553 0 1)) )) (forall ((?x554 Int)) (! (= (MINUS_LEFT_PTR ?x554 1 0) (x__unnamed_4_6a857cdd__IO_STATUS_BLOCKInv ?x554)) :pattern ((MINUS_LEFT_PTR ?x554 1 0)) )) (forall ((?x555 Int)) (! (= (x__unnamed_96_e511a626__URBInv (x__unnamed_96_e511a626__URB ?x555)) ?x555) :pattern ((x__unnamed_96_e511a626__URBInv (x__unnamed_96_e511a626__URB ?x555))) )) (forall ((?x556 Int)) (! (= (x__unnamed_96_e511a626__URB (x__unnamed_96_e511a626__URBInv ?x556)) ?x556) :pattern ((x__unnamed_96_e511a626__URBInv ?x556)) )) (forall ((?x557 boogieU) (?S224 boogieU)) (! (=> (and (= (type ?x557) intType) (= (type ?S224) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_96_e511a626__URB ?S224) ?x557)) boolTrue) (= (U_2_bool (MapType0Select ?S224 (int_2_U (x__unnamed_96_e511a626__URBInv (U_2_int ?x557))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_96_e511a626__URB ?S224) ?x557)) )) (forall ((?x558 boogieU) (?S225 boogieU)) (! (=> (and (= (type ?x558) intType) (= (type ?S225) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S___unnamed_96_e511a626__URBInv ?S225) ?x558)) boolTrue) (= (U_2_bool (MapType0Select ?S225 (int_2_U (x__unnamed_96_e511a626__URB (U_2_int ?x558))))) boolTrue))) :pattern ((MapType0Select (x_S___unnamed_96_e511a626__URBInv ?S225) ?x558)) )) (forall ((?x559 boogieU) (?S226 boogieU)) (! (=> (and (= (type ?x559) intType) (= (type ?S226) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S226 ?x559)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_96_e511a626__URB ?S226) (int_2_U (x__unnamed_96_e511a626__URB (U_2_int ?x559))))) boolTrue))) :pattern ((MapType0Select ?S226 ?x559) (x_S___unnamed_96_e511a626__URB ?S226)) )) (forall ((?x560 boogieU) (?S227 boogieU)) (! (=> (and (= (type ?x560) intType) (= (type ?S227) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S227 ?x560)) boolTrue) (= (U_2_bool (MapType0Select (x_S___unnamed_96_e511a626__URBInv ?S227) (int_2_U (x__unnamed_96_e511a626__URBInv (U_2_int ?x560))))) boolTrue))) :pattern ((MapType0Select ?S227 ?x560) (x_S___unnamed_96_e511a626__URBInv ?S227)) )) (forall ((?x561 Int)) (! (= (x__unnamed_96_e511a626__URB ?x561) (+ ?x561 0)) :pattern ((x__unnamed_96_e511a626__URB ?x561)) )) (forall ((?x562 Int)) (! (= (x__unnamed_96_e511a626__URBInv ?x562) (- ?x562 0)) :pattern ((x__unnamed_96_e511a626__URBInv ?x562)) )) (forall ((?x563 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x563 0 1) (x__unnamed_96_e511a626__URBInv ?x563)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x563 0 1)) )) (forall ((?x564 Int)) (! (= (MINUS_LEFT_PTR ?x564 1 0) (x__unnamed_96_e511a626__URBInv ?x564)) :pattern ((MINUS_LEFT_PTR ?x564 1 0)) )) (forall ((?x565 Int)) (! (= (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv (wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?x565)) ?x565) :pattern ((wTotalLength__USB_CONFIGURATION_DESCRIPTORInv (wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?x565))) )) (forall ((?x566 Int)) (! (= (wTotalLength__USB_CONFIGURATION_DESCRIPTOR (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?x566)) ?x566) :pattern ((wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?x566)) )) (forall ((?x567 boogieU) (?S228 boogieU)) (! (=> (and (= (type ?x567) intType) (= (type ?S228) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?S228) ?x567)) boolTrue) (= (U_2_bool (MapType0Select ?S228 (int_2_U (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv (U_2_int ?x567))))) boolTrue))) :pattern ((MapType0Select (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?S228) ?x567)) )) (forall ((?x568 boogieU) (?S229 boogieU)) (! (=> (and (= (type ?x568) intType) (= (type ?S229) (MapType0Type intType boolType))) (= (= (U_2_bool (MapType0Select (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?S229) ?x568)) boolTrue) (= (U_2_bool (MapType0Select ?S229 (int_2_U (wTotalLength__USB_CONFIGURATION_DESCRIPTOR (U_2_int ?x568))))) boolTrue))) :pattern ((MapType0Select (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?S229) ?x568)) )) (forall ((?x569 boogieU) (?S230 boogieU)) (! (=> (and (= (type ?x569) intType) (= (type ?S230) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S230 ?x569)) boolTrue) (= (U_2_bool (MapType0Select (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?S230) (int_2_U (wTotalLength__USB_CONFIGURATION_DESCRIPTOR (U_2_int ?x569))))) boolTrue))) :pattern ((MapType0Select ?S230 ?x569) (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?S230)) )) (forall ((?x570 boogieU) (?S231 boogieU)) (! (=> (and (= (type ?x570) intType) (= (type ?S231) (MapType0Type intType boolType))) (=> (= (U_2_bool (MapType0Select ?S231 ?x570)) boolTrue) (= (U_2_bool (MapType0Select (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?S231) (int_2_U (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv (U_2_int ?x570))))) boolTrue))) :pattern ((MapType0Select ?S231 ?x570) (x_S_wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?S231)) )) (forall ((?x571 Int)) (! (= (wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?x571) (+ ?x571 2)) :pattern ((wTotalLength__USB_CONFIGURATION_DESCRIPTOR ?x571)) )) (forall ((?x572 Int)) (! (= (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?x572) (- ?x572 2)) :pattern ((wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?x572)) )) (forall ((?x573 Int)) (! (= (MINUS_BOTH_PTR_OR_BOTH_INT ?x573 2 1) (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?x573)) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?x573 2 1)) )) (forall ((?x574 Int)) (! (= (MINUS_LEFT_PTR ?x574 1 2) (wTotalLength__USB_CONFIGURATION_DESCRIPTORInv ?x574)) :pattern ((MINUS_LEFT_PTR ?x574 1 2)) )) (forall ((?a0 Int) (?b Int) (?size Int)) (! (let ((?v_17 (- ?a0 ?b)) (?v_18 (MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size))) (and (<= (* ?size ?v_18) ?v_17) (< ?v_17 (* ?size (+ ?v_18 1))))) :pattern ((MINUS_BOTH_PTR_OR_BOTH_INT ?a0 ?b ?size)) )) (forall ((?a1 Int) (?a_size Int) (?b4 Int)) (! (= (MINUS_LEFT_PTR ?a1 ?a_size ?b4) (- ?a1 (* ?a_size ?b4))) :pattern ((MINUS_LEFT_PTR ?a1 ?a_size ?b4)) )) (forall ((?a2 Int) (?a_size0 Int) (?b5 Int)) (! (= (PLUS ?a2 ?a_size0 ?b5) (+ ?a2 (* ?a_size0 ?b5))) :pattern ((PLUS ?a2 ?a_size0 ?b5)) )) (forall ((?a3 Int) (?b6 Int)) (! (= (MULT ?a3 ?b6) (* ?a3 ?b6)) :pattern ((MULT ?a3 ?b6)) )) (forall ((?a4 Int) (?b7 Int)) (! (let ((?v_19 (DIV ?a4 ?b7))) (=> (and (>= ?a4 0) (> ?b7 0)) (and (<= (* ?b7 ?v_19) ?a4) (< ?a4 (* ?b7 (+ ?v_19 1)))))) :pattern ((DIV ?a4 ?b7)) )) (forall ((?a5 Int) (?b8 Int)) (! (let ((?v_20 (DIV ?a5 ?b8))) (=> (and (>= ?a5 0) (< ?b8 0)) (and (<= (* ?b8 ?v_20) ?a5) (< ?a5 (* ?b8 (- ?v_20 1)))))) :pattern ((DIV ?a5 ?b8)) )) (forall ((?a6 Int) (?b9 Int)) (! (let ((?v_21 (DIV ?a6 ?b9))) (=> (and (< ?a6 0) (> ?b9 0)) (and (>= (* ?b9 ?v_21) ?a6) (> ?a6 (* ?b9 (- ?v_21 1)))))) :pattern ((DIV ?a6 ?b9)) )) (forall ((?a7 Int) (?b11 Int)) (! (let ((?v_22 (DIV ?a7 ?b11))) (=> (and (< ?a7 0) (< ?b11 0)) (and (>= (* ?b11 ?v_22) ?a7) (> ?a7 (* ?b11 (+ ?v_22 1)))))) :pattern ((DIV ?a7 ?b11)) )) (= (POW2 1) boolTrue) (= (POW2 2) boolTrue) (= (POW2 4) boolTrue) (= (POW2 8) boolTrue) (= (POW2 16) boolTrue) (= (POW2 32) boolTrue) (= (POW2 64) boolTrue) (= (POW2 128) boolTrue) (= (POW2 256) boolTrue) (= (POW2 512) boolTrue) (= (POW2 1024) boolTrue) (= (POW2 2048) boolTrue) (= (POW2 4096) boolTrue) (= (POW2 8192) boolTrue) (= (POW2 16384) boolTrue) (= (POW2 32768) boolTrue) (= (POW2 65536) boolTrue) (= (POW2 131072) boolTrue) (= (POW2 262144) boolTrue) (= (POW2 524288) boolTrue) (= (POW2 1048576) boolTrue) (= (POW2 2097152) boolTrue) (= (POW2 4194304) boolTrue) (= (POW2 8388608) boolTrue) (= (POW2 16777216) boolTrue) (= (POW2 33554432) boolTrue) (forall ((?a8 TermBool) (?b12 Int) (?c Int)) (! (=> (= ?a8 boolTrue) (= (choose ?a8 ?b12 ?c) ?b12)) :pattern ((choose ?a8 ?b12 ?c)) )) (forall ((?a9 TermBool) (?b13 Int) (?c4 Int)) (! (=> (not (= ?a9 boolTrue)) (= (choose ?a9 ?b13 ?c4) ?c4)) :pattern ((choose ?a9 ?b13 ?c4)) )) (forall ((?a10 Int) (?b14 Int)) (! (=> (= ?a10 ?b14) (= (BIT_BAND ?a10 ?b14) ?a10)) :pattern ((BIT_BAND ?a10 ?b14)) )) (forall ((?a11 Int) (?b15 Int)) (! (=> (and (= (POW2 ?a11) boolTrue) (= (POW2 ?b15) boolTrue) (not (= ?a11 ?b15))) (= (BIT_BAND ?a11 ?b15) 0)) :pattern ((BIT_BAND ?a11 ?b15)) )) (forall ((?a12 Int) (?b16 Int)) (! (=> (or (= ?a12 0) (= ?b16 0)) (= (BIT_BAND ?a12 ?b16) 0)) :pattern ((BIT_BAND ?a12 ?b16)) )) (forall ((?a13 TermBool)) (! (= (= ?a13 boolTrue) (not (= (LIFT ?a13) 0))) :pattern ((LIFT ?a13)) )) (forall ((?a14 Int)) (! (=> (= ?a14 0) (not (= (NOT ?a14) 0))) :pattern ((NOT ?a14)) )) (forall ((?a15 Int)) (! (=> (not (= ?a15 0)) (= (NOT ?a15) 0)) :pattern ((NOT ?a15)) )) (forall ((?a16 Int)) (! (=> (= ?a16 0) (not (= (NULL_CHECK ?a16) 0))) :pattern ((NULL_CHECK ?a16)) )) (forall ((?a17 Int)) (! (=> (not (= ?a17 0)) (= (NULL_CHECK ?a17) 0)) :pattern ((NULL_CHECK ?a17)) )) (not (= ReadWriteCompletion 0)) (not (= ReadWriteWorkItem 0)) (not (= SubRequestCompletionRoutine 0)) (not (= UsbSamp_EvtRequestCancel 0)) (not (= WdfDriverGlobals 0)) (not (= x_WDF_DEVICE_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_FILE_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_REQUEST_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_SUB_REQUEST_CONTEXT_TYPE_INFO 0)) (not (= x_WDF_WORKITEM_CONTEXT_TYPE_INFO 0)) (not (= hbuffer 0)) (not (= hdctx 0)) (not (= hdevcollection_count 0)) (not (= hdevice 0)) (not (= hln 0)) (not (= hlock 0)) (not (= hmdl 0)) (not (= hqctx 0)) (not (= hqueue 0)) (not (= hrctx 0)) (not (= hrequest 0)) (not (= htctx 0)) (not (= htimer 0)) (not (= hwork_item 0)) (not (= notused_4hbuffer 0)) (not (= notused_4hfileobj 0)) (not (= notused_4hmdl 0)) (not (= notused_4hwork_item 0)) (not (= notused_4wdfobject1 0)) (not (= notused_4wdmobject1 0)) (not (= notused_ctx 0)) (not (= notused_hrequest 0)) (not (= pnotused 0))))
(assert (let ((?v_0 (MapType0Type intType intType)) (?v_1 (MapType0Type intType nameType))) (and (= (type Mem_1_T.PWDFREQUEST__.14) ?v_0) (= (type Mem_1_T.PWDFREQUEST__.13) ?v_0) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.4) ?v_1) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.3) ?v_1) (= (type alloc.50) ?v_1) (= (type alloc.49) ?v_1) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.4) ?v_1) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.3) ?v_1) (= (type Mem_3_T.PWDFREQUEST__.14) ?v_0) (= (type Mem_3_T.PWDFREQUEST__.13) ?v_0) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.4) ?v_1) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.3) ?v_1) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.4) ?v_1) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.3) ?v_1) (= (type Mem_2_T.PWDFREQUEST__.14) ?v_0) (= (type Mem_2_T.PWDFREQUEST__.13) ?v_0) (= (type Mem_4_T.PWDFREQUEST__.14) ?v_0) (= (type Mem_4_T.PWDFREQUEST__.13) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.14) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.13) ?v_0) (= (type Mem_s_1_T.PWDFREQUEST__) ?v_0) (= (type Mem_s_2_T.PWDFREQUEST__) ?v_0) (= (type Mem_s_3_T.PWDFREQUEST__) ?v_0) (= (type Mem_s_4_T.PWDFREQUEST__) ?v_0) (= (type alloc.34) ?v_1) (= (type alloc.48) ?v_1) (= (type alloc.46) ?v_1) (= (type alloc.47) ?v_1) (= (type alloc.41) ?v_1) (= (type alloc.45) ?v_1) (= (type alloc.44) ?v_1) (= (type alloc.42) ?v_1) (= (type alloc.43) ?v_1) (= (type alloc.39) ?v_1) (= (type alloc.38) ?v_1) (= (type alloc.40) ?v_1) (= (type alloc.37) ?v_1) (= (type alloc.36) ?v_1) (= (type alloc.35) ?v_1) (= (type alloc.32) ?v_1) (= (type alloc.33) ?v_1) (= (type alloc.5) ?v_1) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc) ?v_1) (= (type Mem_2_T.PWDFREQUEST__) ?v_0) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc) ?v_1) (= (type Mem_1_T.PWDFREQUEST__) ?v_0) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc) ?v_1) (= (type Mem_4_T.PWDFREQUEST__) ?v_0) (= (type Mem_0_T.PWDFREQUEST__) ?v_0) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc) ?v_1) (= (type Mem_3_T.PWDFREQUEST__) ?v_0) (= (type alloc.1) ?v_1) (= (type alloc.0) ?v_1) (= (type alloc.2) ?v_1) (= (type alloc.3) ?v_1) (= (type alloc.4) ?v_1) (= (type alloc.31) ?v_1) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.2) ?v_1) (= (type Mem_2_T.PWDFREQUEST__.12) ?v_0) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.2) ?v_1) (= (type Mem_1_T.PWDFREQUEST__.12) ?v_0) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.2) ?v_1) (= (type Mem_4_T.PWDFREQUEST__.12) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.12) ?v_0) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.2) ?v_1) (= (type Mem_3_T.PWDFREQUEST__.12) ?v_0) (= (type alloc.6) ?v_1) (= (type alloc.30) ?v_1) (= (type Mem_2_T.PWDFREQUEST__.11) ?v_0) (= (type Mem_1_T.PWDFREQUEST__.11) ?v_0) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.1) ?v_1) (= (type Mem_4_T.PWDFREQUEST__.11) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.11) ?v_0) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.1) ?v_1) (= (type Mem_3_T.PWDFREQUEST__.11) ?v_0) (= (type alloc.17) ?v_1) (= (type alloc.29) ?v_1) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.0) ?v_1) (= (type Mem_4_T.PWDFREQUEST__.8) ?v_0) (= (type Mem_1_T.PWDFREQUEST__.8) ?v_0) (= (type inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.0) ?v_1) (= (type Mem_0_T.PWDFREQUEST__.8) ?v_0) (= (type Mem_3_T.PWDFREQUEST__.8) ?v_0) (= (type Mem_2_T.PWDFREQUEST__.8) ?v_0) (= (type Mem_4_T.PWDFREQUEST__.10) ?v_0) (= (type Mem_1_T.PWDFREQUEST__.10) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.10) ?v_0) (= (type Mem_3_T.PWDFREQUEST__.10) ?v_0) (= (type Mem_2_T.PWDFREQUEST__.10) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.9) ?v_0) (= (type Mem_1_T.PWDFREQUEST__.9) ?v_0) (= (type Mem_2_T.PWDFREQUEST__.9) ?v_0) (= (type Mem_3_T.PWDFREQUEST__.9) ?v_0) (= (type Mem_4_T.PWDFREQUEST__.9) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.7) ?v_0) (= (type Mem_1_T.PWDFREQUEST__.7) ?v_0) (= (type Mem_2_T.PWDFREQUEST__.7) ?v_0) (= (type Mem_3_T.PWDFREQUEST__.7) ?v_0) (= (type Mem_4_T.PWDFREQUEST__.7) ?v_0) (= (type alloc.7) ?v_1) (= (type alloc.8) ?v_1) (= (type alloc.9) ?v_1) (= (type alloc.10) ?v_1) (= (type alloc.11) ?v_1) (= (type alloc.12) ?v_1) (= (type alloc.13) ?v_1) (= (type alloc.14) ?v_1) (= (type alloc.15) ?v_1) (= (type alloc.16) ?v_1) (= (type alloc.28) ?v_1) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.1) ?v_1) (= (type Mem_2_T.PWDFREQUEST__.6) ?v_0) (= (type Mem_1_T.PWDFREQUEST__.6) ?v_0) (= (type Mem_4_T.PWDFREQUEST__.6) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.6) ?v_0) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.1) ?v_1) (= (type Mem_3_T.PWDFREQUEST__.6) ?v_0) (= (type Mem_4_T.PWDFREQUEST__.3) ?v_0) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.0) ?v_1) (= (type Mem_1_T.PWDFREQUEST__.3) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.3) ?v_0) (= (type Mem_3_T.PWDFREQUEST__.3) ?v_0) (= (type inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.0) ?v_1) (= (type Mem_2_T.PWDFREQUEST__.3) ?v_0) (= (type Mem_4_T.PWDFREQUEST__.5) ?v_0) (= (type Mem_1_T.PWDFREQUEST__.5) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.5) ?v_0) (= (type Mem_3_T.PWDFREQUEST__.5) ?v_0) (= (type Mem_2_T.PWDFREQUEST__.5) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.4) ?v_0) (= (type Mem_1_T.PWDFREQUEST__.4) ?v_0) (= (type Mem_2_T.PWDFREQUEST__.4) ?v_0) (= (type Mem_3_T.PWDFREQUEST__.4) ?v_0) (= (type Mem_4_T.PWDFREQUEST__.4) ?v_0) (= (type Mem_1_T.PWDFREQUEST__.1) ?v_0) (= (type Mem_2_T.PWDFREQUEST__.1) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.2) ?v_0) (= (type Mem_3_T.PWDFREQUEST__.1) ?v_0) (= (type Mem_4_T.PWDFREQUEST__.1) ?v_0) (= (type Mem_0_T.PWDFREQUEST__.1) ?v_0) (= (type Mem_1_T.PWDFREQUEST__.2) ?v_0) (= (type Mem_2_T.PWDFREQUEST__.2) ?v_0) (= (type Mem_3_T.PWDFREQUEST__.2) ?v_0) (= (type Mem_4_T.PWDFREQUEST__.2) ?v_0) (= (type alloc.27) ?v_1) (= (type Mem_0_T.PWDFREQUEST__.0) ?v_0) (= (type Mem_1_T.PWDFREQUEST__.0) ?v_0) (= (type Mem_2_T.PWDFREQUEST__.0) ?v_0) (= (type Mem_3_T.PWDFREQUEST__.0) ?v_0) (= (type Mem_4_T.PWDFREQUEST__.0) ?v_0) (= (type alloc.18) ?v_1) (= (type alloc.19) ?v_1) (= (type alloc.20) ?v_1) (= (type alloc.21) ?v_1) (= (type alloc.22) ?v_1) (= (type alloc.23) ?v_1) (= (type alloc.24) ?v_1) (= (type alloc.25) ?v_1) (= (type alloc.26) ?v_1) (= (type alloc) ?v_1))))
(assert (let ((?v_1610 (int_2_U notused_4wdfobject1)) (?v_1924 (int_2_U notused_hrequest)) (?v_2135 (= k.59 k.59)) (?v_2136 (= errorReached.46 errorReached.46)) (?v_0 (= 0 0)) (?v_2134 (= k.59 0))) (let ((?v_2972 (=> ?v_2134 (= reqCompleted_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0))) (?v_2143 (= k.59 1))) (let ((?v_2973 (=> ?v_2143 (= reqCompleted_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0))) (?v_2145 (= k.59 2))) (let ((?v_2974 (=> ?v_2145 (= reqCompleted_2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0))) (?v_2147 (= k.59 3))) (let ((?v_2975 (=> ?v_2147 (= reqCompleted_3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0))) (?v_2149 (= k.59 4))) (let ((?v_2976 (=> ?v_2149 (= reqCompleted_4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0))) (?v_2977 (=> ?v_2134 (= lockStatus_0.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0))) (?v_2978 (=> ?v_2143 (= lockStatus_1.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0))) (?v_2979 (=> ?v_2145 (= lockStatus_2.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0))) (?v_2980 (=> ?v_2147 (= lockStatus_3.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0))) (?v_2981 (=> ?v_2149 (= lockStatus_4.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0))) (?v_2982 (=> ?v_2134 (= reqCancelSet_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0))) (?v_2983 (=> ?v_2143 (= reqCancelSet_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0))) (?v_2984 (=> ?v_2145 (= reqCancelSet_2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0))) (?v_2985 (=> ?v_2147 (= reqCancelSet_3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0))) (?v_2986 (=> ?v_2149 (= reqCancelSet_4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0))) (?v_2987 (=> ?v_2134 (= reqCancelStarted_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0))) (?v_2988 (=> ?v_2143 (= reqCancelStarted_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0))) (?v_2989 (=> ?v_2145 (= reqCancelStarted_2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0))) (?v_2990 (=> ?v_2147 (= reqCancelStarted_3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0))) (?v_2991 (=> ?v_2149 (= reqCancelStarted_4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0))) (?v_2992 (=> ?v_2134 (= reqCompleteSet_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0))) (?v_2993 (=> ?v_2143 (= reqCompleteSet_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0))) (?v_2994 (=> ?v_2145 (= reqCompleteSet_2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0))) (?v_2995 (=> ?v_2147 (= reqCompleteSet_3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0))) (?v_2996 (=> ?v_2149 (= reqCompleteSet_4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0))) (?v_2997 (=> ?v_2134 (= reqSent_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0))) (?v_2998 (=> ?v_2143 (= reqSent_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0))) (?v_2999 (=> ?v_2145 (= reqSent_2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0))) (?v_3000 (=> ?v_2147 (= reqSent_3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0))) (?v_3001 (=> ?v_2149 (= reqSent_4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0))) (?v_1783 (=> false true))) (let ((?v_3003 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.1 (PLUS inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.0 1 1)) (=> true (and ?v_2135 (=> ?v_2135 (and ?v_2136 (=> ?v_2136 (and ?v_0 (=> ?v_0 (and ?v_2972 (=> ?v_2972 (and ?v_2973 (=> ?v_2973 (and ?v_2974 (=> ?v_2974 (and ?v_2975 (=> ?v_2975 (and ?v_2976 (=> ?v_2976 (and ?v_2977 (=> ?v_2977 (and ?v_2978 (=> ?v_2978 (and ?v_2979 (=> ?v_2979 (and ?v_2980 (=> ?v_2980 (and ?v_2981 (=> ?v_2981 (and ?v_2982 (=> ?v_2982 (and ?v_2983 (=> ?v_2983 (and ?v_2984 (=> ?v_2984 (and ?v_2985 (=> ?v_2985 (and ?v_2986 (=> ?v_2986 (and ?v_2987 (=> ?v_2987 (and ?v_2988 (=> ?v_2988 (and ?v_2989 (=> ?v_2989 (and ?v_2990 (=> ?v_2990 (and ?v_2991 (=> ?v_2991 (and ?v_2992 (=> ?v_2992 (and ?v_2993 (=> ?v_2993 (and ?v_2994 (=> ?v_2994 (and ?v_2995 (=> ?v_2995 (and ?v_2996 (=> ?v_2996 (and ?v_2997 (=> ?v_2997 (and ?v_2998 (=> ?v_2998 (and ?v_2999 (=> ?v_2999 (and ?v_3000 (=> ?v_3000 (and ?v_3001 (=> ?v_3001 (=> (forall ((?f3 Int)) (! (let ((?v_4058 (MapType0Select alloc.28 (int_2_U (Base ?f3))))) (or (= ?v_4058 UNALLOCATED) (= ?v_4058 ?v_4058))) :pattern ((MapType0Select alloc.28 (int_2_U (Base ?f3)))) )) ?v_1783))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3002 (< inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.2 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.2)) (?v_3004 (< inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.0 call42688formal.ret.0)) (?v_2137 (=> ?v_2134 (= reqCompleted_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0))) (?v_2138 (=> ?v_2143 (= reqCompleted_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0))) (?v_2139 (=> ?v_2145 (= reqCompleted_2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0))) (?v_2140 (=> ?v_2147 (= reqCompleted_3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0))) (?v_2141 (=> ?v_2149 (= reqCompleted_4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0))) (?v_2142 (=> ?v_2134 (= lockStatus_0.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0))) (?v_2144 (=> ?v_2143 (= lockStatus_1.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0))) (?v_2146 (=> ?v_2145 (= lockStatus_2.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0))) (?v_2148 (=> ?v_2147 (= lockStatus_3.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0))) (?v_2150 (=> ?v_2149 (= lockStatus_4.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0))) (?v_2151 (=> ?v_2134 (= reqCancelSet_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0))) (?v_2152 (=> ?v_2143 (= reqCancelSet_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0))) (?v_2153 (=> ?v_2145 (= reqCancelSet_2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0))) (?v_2154 (=> ?v_2147 (= reqCancelSet_3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0))) (?v_2155 (=> ?v_2149 (= reqCancelSet_4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0))) (?v_2156 (=> ?v_2134 (= reqCancelStarted_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0))) (?v_2157 (=> ?v_2143 (= reqCancelStarted_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0))) (?v_2158 (=> ?v_2145 (= reqCancelStarted_2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0))) (?v_2159 (=> ?v_2147 (= reqCancelStarted_3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0))) (?v_2160 (=> ?v_2149 (= reqCancelStarted_4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0))) (?v_2161 (=> ?v_2134 (= reqCompleteSet_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0))) (?v_2162 (=> ?v_2143 (= reqCompleteSet_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0))) (?v_2163 (=> ?v_2145 (= reqCompleteSet_2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0))) (?v_2164 (=> ?v_2147 (= reqCompleteSet_3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0))) (?v_2165 (=> ?v_2149 (= reqCompleteSet_4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0))) (?v_2166 (=> ?v_2134 (= reqSent_0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0))) (?v_2167 (=> ?v_2143 (= reqSent_1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0))) (?v_2168 (=> ?v_2145 (= reqSent_2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0))) (?v_2169 (=> ?v_2147 (= reqSent_3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0))) (?v_2170 (=> ?v_2149 (= reqSent_4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0)))) (let ((?v_2172 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.4 (PLUS inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.2 1 1)) (=> true (and ?v_2135 (=> ?v_2135 (and ?v_2136 (=> ?v_2136 (and ?v_0 (=> ?v_0 (and ?v_2137 (=> ?v_2137 (and ?v_2138 (=> ?v_2138 (and ?v_2139 (=> ?v_2139 (and ?v_2140 (=> ?v_2140 (and ?v_2141 (=> ?v_2141 (and ?v_2142 (=> ?v_2142 (and ?v_2144 (=> ?v_2144 (and ?v_2146 (=> ?v_2146 (and ?v_2148 (=> ?v_2148 (and ?v_2150 (=> ?v_2150 (and ?v_2151 (=> ?v_2151 (and ?v_2152 (=> ?v_2152 (and ?v_2153 (=> ?v_2153 (and ?v_2154 (=> ?v_2154 (and ?v_2155 (=> ?v_2155 (and ?v_2156 (=> ?v_2156 (and ?v_2157 (=> ?v_2157 (and ?v_2158 (=> ?v_2158 (and ?v_2159 (=> ?v_2159 (and ?v_2160 (=> ?v_2160 (and ?v_2161 (=> ?v_2161 (and ?v_2162 (=> ?v_2162 (and ?v_2163 (=> ?v_2163 (and ?v_2164 (=> ?v_2164 (and ?v_2165 (=> ?v_2165 (and ?v_2166 (=> ?v_2166 (and ?v_2167 (=> ?v_2167 (and ?v_2168 (=> ?v_2168 (and ?v_2169 (=> ?v_2169 (and ?v_2170 (=> ?v_2170 (=> (forall ((?f4 Int)) (! (let ((?v_4059 (MapType0Select alloc.28 (int_2_U (Base ?f4))))) (or (= ?v_4059 UNALLOCATED) (= ?v_4059 ?v_4059))) :pattern ((MapType0Select alloc.28 (int_2_U (Base ?f4)))) )) ?v_1783))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2171 (< inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.2 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.4)) (?v_2173 (< inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.2 call40060formal.ret.0)) (?v_1269 (= k.102 k.102)) (?v_1270 (= errorReached.67 errorReached.67)) (?v_1268 (= k.102 0))) (let ((?v_1753 (=> ?v_1268 (= reqCompleted_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0))) (?v_1277 (= k.102 1))) (let ((?v_1754 (=> ?v_1277 (= reqCompleted_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0))) (?v_1279 (= k.102 2))) (let ((?v_1755 (=> ?v_1279 (= reqCompleted_2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0))) (?v_1281 (= k.102 3))) (let ((?v_1756 (=> ?v_1281 (= reqCompleted_3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0))) (?v_1283 (= k.102 4))) (let ((?v_1757 (=> ?v_1283 (= reqCompleted_4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0))) (?v_1758 (=> ?v_1268 (= lockStatus_0.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0))) (?v_1759 (=> ?v_1277 (= lockStatus_1.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0))) (?v_1760 (=> ?v_1279 (= lockStatus_2.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0))) (?v_1761 (=> ?v_1281 (= lockStatus_3.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0))) (?v_1762 (=> ?v_1283 (= lockStatus_4.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0))) (?v_1763 (=> ?v_1268 (= reqCancelSet_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0))) (?v_1764 (=> ?v_1277 (= reqCancelSet_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0))) (?v_1765 (=> ?v_1279 (= reqCancelSet_2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0))) (?v_1766 (=> ?v_1281 (= reqCancelSet_3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0))) (?v_1767 (=> ?v_1283 (= reqCancelSet_4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0))) (?v_1768 (=> ?v_1268 (= reqCancelStarted_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0))) (?v_1769 (=> ?v_1277 (= reqCancelStarted_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0))) (?v_1770 (=> ?v_1279 (= reqCancelStarted_2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0))) (?v_1771 (=> ?v_1281 (= reqCancelStarted_3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0))) (?v_1772 (=> ?v_1283 (= reqCancelStarted_4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0))) (?v_1773 (=> ?v_1268 (= reqCompleteSet_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0))) (?v_1774 (=> ?v_1277 (= reqCompleteSet_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0))) (?v_1775 (=> ?v_1279 (= reqCompleteSet_2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0))) (?v_1776 (=> ?v_1281 (= reqCompleteSet_3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0))) (?v_1777 (=> ?v_1283 (= reqCompleteSet_4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0))) (?v_1778 (=> ?v_1268 (= reqSent_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0))) (?v_1779 (=> ?v_1277 (= reqSent_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0))) (?v_1780 (=> ?v_1279 (= reqSent_2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0))) (?v_1781 (=> ?v_1281 (= reqSent_3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0))) (?v_1782 (=> ?v_1283 (= reqSent_4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0)))) (let ((?v_1786 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.1 (PLUS inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.0 1 1)) (=> true (and ?v_1269 (=> ?v_1269 (and ?v_1270 (=> ?v_1270 (and ?v_0 (=> ?v_0 (and ?v_1753 (=> ?v_1753 (and ?v_1754 (=> ?v_1754 (and ?v_1755 (=> ?v_1755 (and ?v_1756 (=> ?v_1756 (and ?v_1757 (=> ?v_1757 (and ?v_1758 (=> ?v_1758 (and ?v_1759 (=> ?v_1759 (and ?v_1760 (=> ?v_1760 (and ?v_1761 (=> ?v_1761 (and ?v_1762 (=> ?v_1762 (and ?v_1763 (=> ?v_1763 (and ?v_1764 (=> ?v_1764 (and ?v_1765 (=> ?v_1765 (and ?v_1766 (=> ?v_1766 (and ?v_1767 (=> ?v_1767 (and ?v_1768 (=> ?v_1768 (and ?v_1769 (=> ?v_1769 (and ?v_1770 (=> ?v_1770 (and ?v_1771 (=> ?v_1771 (and ?v_1772 (=> ?v_1772 (and ?v_1773 (=> ?v_1773 (and ?v_1774 (=> ?v_1774 (and ?v_1775 (=> ?v_1775 (and ?v_1776 (=> ?v_1776 (and ?v_1777 (=> ?v_1777 (and ?v_1778 (=> ?v_1778 (and ?v_1779 (=> ?v_1779 (and ?v_1780 (=> ?v_1780 (and ?v_1781 (=> ?v_1781 (and ?v_1782 (=> ?v_1782 (=> (forall ((?f5 Int)) (! (let ((?v_4060 (MapType0Select alloc.29 (int_2_U (Base ?f5))))) (or (= ?v_4060 UNALLOCATED) (= ?v_4060 ?v_4060))) :pattern ((MapType0Select alloc.29 (int_2_U (Base ?f5)))) )) ?v_1783))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1788 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.2)) (?v_1789 (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.2)) (?v_1787 (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.2 0)) (?v_1785 (PLUS inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 1 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.2)) (?v_1784 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.2 0)) (?v_1790 (< inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.0 call36327formal.ret.0)) (?v_1271 (=> ?v_1268 (= reqCompleted_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0))) (?v_1272 (=> ?v_1277 (= reqCompleted_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0))) (?v_1273 (=> ?v_1279 (= reqCompleted_2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0))) (?v_1274 (=> ?v_1281 (= reqCompleted_3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0))) (?v_1275 (=> ?v_1283 (= reqCompleted_4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0))) (?v_1276 (=> ?v_1268 (= lockStatus_0.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0))) (?v_1278 (=> ?v_1277 (= lockStatus_1.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0))) (?v_1280 (=> ?v_1279 (= lockStatus_2.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0))) (?v_1282 (=> ?v_1281 (= lockStatus_3.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0))) (?v_1284 (=> ?v_1283 (= lockStatus_4.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0))) (?v_1285 (=> ?v_1268 (= reqCancelSet_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0))) (?v_1286 (=> ?v_1277 (= reqCancelSet_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0))) (?v_1287 (=> ?v_1279 (= reqCancelSet_2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0))) (?v_1288 (=> ?v_1281 (= reqCancelSet_3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0))) (?v_1289 (=> ?v_1283 (= reqCancelSet_4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0))) (?v_1290 (=> ?v_1268 (= reqCancelStarted_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0))) (?v_1291 (=> ?v_1277 (= reqCancelStarted_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0))) (?v_1292 (=> ?v_1279 (= reqCancelStarted_2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0))) (?v_1293 (=> ?v_1281 (= reqCancelStarted_3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0))) (?v_1294 (=> ?v_1283 (= reqCancelStarted_4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0))) (?v_1295 (=> ?v_1268 (= reqCompleteSet_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0))) (?v_1296 (=> ?v_1277 (= reqCompleteSet_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0))) (?v_1297 (=> ?v_1279 (= reqCompleteSet_2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0))) (?v_1298 (=> ?v_1281 (= reqCompleteSet_3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0))) (?v_1299 (=> ?v_1283 (= reqCompleteSet_4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0))) (?v_1300 (=> ?v_1268 (= reqSent_0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0))) (?v_1301 (=> ?v_1277 (= reqSent_1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0))) (?v_1302 (=> ?v_1279 (= reqSent_2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0))) (?v_1303 (=> ?v_1281 (= reqSent_3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0))) (?v_1304 (=> ?v_1283 (= reqSent_4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0)))) (let ((?v_1309 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.4 (PLUS inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.2 1 1)) (=> true (and ?v_1269 (=> ?v_1269 (and ?v_1270 (=> ?v_1270 (and ?v_0 (=> ?v_0 (and ?v_1271 (=> ?v_1271 (and ?v_1272 (=> ?v_1272 (and ?v_1273 (=> ?v_1273 (and ?v_1274 (=> ?v_1274 (and ?v_1275 (=> ?v_1275 (and ?v_1276 (=> ?v_1276 (and ?v_1278 (=> ?v_1278 (and ?v_1280 (=> ?v_1280 (and ?v_1282 (=> ?v_1282 (and ?v_1284 (=> ?v_1284 (and ?v_1285 (=> ?v_1285 (and ?v_1286 (=> ?v_1286 (and ?v_1287 (=> ?v_1287 (and ?v_1288 (=> ?v_1288 (and ?v_1289 (=> ?v_1289 (and ?v_1290 (=> ?v_1290 (and ?v_1291 (=> ?v_1291 (and ?v_1292 (=> ?v_1292 (and ?v_1293 (=> ?v_1293 (and ?v_1294 (=> ?v_1294 (and ?v_1295 (=> ?v_1295 (and ?v_1296 (=> ?v_1296 (and ?v_1297 (=> ?v_1297 (and ?v_1298 (=> ?v_1298 (and ?v_1299 (=> ?v_1299 (and ?v_1300 (=> ?v_1300 (and ?v_1301 (=> ?v_1301 (and ?v_1302 (=> ?v_1302 (and ?v_1303 (=> ?v_1303 (and ?v_1304 (=> ?v_1304 (=> (forall ((?f6 Int)) (! (let ((?v_4061 (MapType0Select alloc.29 (int_2_U (Base ?f6))))) (or (= ?v_4061 UNALLOCATED) (= ?v_4061 ?v_4061))) :pattern ((MapType0Select alloc.29 (int_2_U (Base ?f6)))) )) ?v_1783))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1311 (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.2 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.0)) (?v_1312 (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.5 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.3)) (?v_1313 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.2 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.0)) (?v_1314 (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.4 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.0)) (?v_1315 (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.6 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.4)) (?v_1316 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.2 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.0))) (let ((?v_1317 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..2 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..0) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.2 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.8 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.5) (=> (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..2 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..0) ?v_1309))))) (?v_1310 (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.4 0)) (?v_1308 (PLUS inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 1 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.4)) (?v_1307 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.5 0)) (?v_1306 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.50 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.45) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.5 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.3) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.25 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.19) (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.45) (=> (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.4 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.3) (=> ?v_1315 (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.45) (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.19) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..2 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.3) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.8 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.6) (=> (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..2 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.3) ?v_1309))))))))))))))) (?v_1305 (<= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.45)) (?v_1318 (< inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.2 call33603formal.ret.0)) (?v_24 (not (not (= errorReached.107 0))))) (let ((?v_26 (=> true (=> (= Mem_0_T.PWDFREQUEST__.13 Mem_s_1_T.PWDFREQUEST__) (=> (= Mem_1_T.PWDFREQUEST__.13 Mem_s_2_T.PWDFREQUEST__) (=> (= Mem_2_T.PWDFREQUEST__.13 Mem_s_3_T.PWDFREQUEST__) (=> (= Mem_3_T.PWDFREQUEST__.13 Mem_s_4_T.PWDFREQUEST__) (=> (= reqCompleted_0.24 reqCompleted_s_1) (=> (= reqCompleted_1.24 reqCompleted_s_2) (=> (= reqCompleted_2.24 reqCompleted_s_3) (=> (= reqCompleted_3.24 reqCompleted_s_4) (=> (= lockStatus_0.23 lockStatus_s_1) (=> (= lockStatus_1.23 lockStatus_s_2) (=> (= lockStatus_2.23 lockStatus_s_3) (=> (= lockStatus_3.23 lockStatus_s_4) (=> (= reqCancelSet_0.30 reqCancelSet_s_1) (=> (= reqCancelSet_1.30 reqCancelSet_s_2) (=> (= reqCancelSet_2.30 reqCancelSet_s_3) (=> (= reqCancelSet_3.30 reqCancelSet_s_4) (=> (= reqCancelStarted_0.1 reqCancelStarted_s_1) (=> (= reqCancelStarted_1.1 reqCancelStarted_s_2) (=> (= reqCancelStarted_2.1 reqCancelStarted_s_3) (=> (= reqCancelStarted_3.1 reqCancelStarted_s_4) (=> (= reqCompleteSet_0.15 reqCompleteSet_s_1) (=> (= reqCompleteSet_1.15 reqCompleteSet_s_2) (=> (= reqCompleteSet_2.15 reqCompleteSet_s_3) (=> (= reqCompleteSet_3.15 reqCompleteSet_s_4) (=> (= reqSent_0.15 reqSent_s_1) (=> (= reqSent_1.15 reqSent_s_2) (=> (= reqSent_2.15 reqSent_s_3) (=> (= reqSent_3.15 reqSent_s_4) (and ?v_24 (=> ?v_24 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..3) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..3 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2) (=> (= inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.6 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.5) (=> (= x.result.userContextSwitch.8830.0.3..0 call43995formal.ret.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3) (=> (= inline.RemoveHeadList.4.myNondetVar_0.4 inline.RemoveHeadList.4.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2) (=> (= inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..2 inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..1) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3) (=> (= inline.sdv_WdfRequestGetFileObject.2..result.sdv_WdfRequestGetFileObject.7046.0.1..1 inline.sdv_WdfRequestGetFileObject.2..result.sdv_WdfRequestGetFileObject.7046.0.1..0) (=> (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= inline.IsListEmpty.3.myNondetVar_0.4 inline.IsListEmpty.3.myNondetVar_0.3) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..2 inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..1) (=> (= inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2..4 inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2..3) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.4 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.3) (=> (= inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..3 inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..2) (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..2 inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..1) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.4 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.3) (=> (= inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1.1 inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1.0) (=> (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.4) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.3 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.2) (=> (= inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints1.1 inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints1.0) (=> (= reqCompleteSet_4.16 reqCompleteSet_4.15) (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.13 inline.DoSubRequestCleanup.1.myNondetVar_0.12) (=> (= inline.ReadWriteBulkEndPoints.0..totalLength.9.65.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..totalLength.9.65.28.ReadWriteBulkEndPoints.0) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.3 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2) (=> (= inline.IsListEmpty.9.myNondetVar_0.6 inline.IsListEmpty.9.myNondetVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.4) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..2) (=> (= inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2..4 inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2..3) (=> (= inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0) (=> (= reqCancelStarted_3.2 reqCancelStarted_3.1) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..5 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..4) (=> (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.2 inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..3) (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.57 inline.PerformFullSpeedIsochTransfer.0.myVar_0.56) (=> (= inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..3 inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..2) (=> (= lockStatus_1.24 lockStatus_1.23) (=> (= inline.IsListEmpty.8.myNondetVar_0.5 inline.IsListEmpty.8.myNondetVar_0.4) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..2 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..1) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1..1 inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1..0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..3 inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..3 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..2) (=> (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext.3 inline.GetFileContext.3..Handle.1.107.0.GetFileContext.2) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..4 inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..3) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..4) (=> (= inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel1.1 inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel1.0) (=> (= inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2..4 inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2..3) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.2) (=> (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.6 inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.5) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3) (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.InsertTailList.1.myNondetVar_0.4 inline.InsertTailList.1.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..4 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..3) (=> (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.2 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.1) (=> (= inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.GetFileContext.2..Handle.1.107.0.GetFileContext1.1 inline.GetFileContext.2..Handle.1.107.0.GetFileContext1.0) (=> (= reqCompleted_1.25 reqCompleted_1.24) (=> (= inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.2) (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.InitializeListHead.0.myNondetVar_0.3 inline.InitializeListHead.0.myNondetVar_0.2) (=> (= inline.GetSubRequestContext.0.myNondetVar_0.4 inline.GetSubRequestContext.0.myNondetVar_0.3) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.7 inline.QueuePassiveLevelCallback.0.myNondetVar_0.6) (=> (= inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.3 inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.2) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..3 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.3 inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.2) (=> (= inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..2 inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..1) (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.3 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.2) (=> (= inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..2) (=> (= inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject.0) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2) (=> (= inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..2 inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..1) (=> (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= reqSent_3.16 reqSent_3.15) (=> (= x.result.nondet.8813.0.2..0 call43930formal.ret.0) (=> (= inline.sdv_WdfCollectionAdd.1.myNondetVar_0.5 inline.sdv_WdfCollectionAdd.1.myNondetVar_0.4) (=> (= inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints.1 inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints.0) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.3 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.2) (=> (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.3 inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.1) (=> (= lockStatus_2.24 lockStatus_2.23) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3) (=> (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.3 inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.3) (=> (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.3 inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2) (=> (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.20 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.19) (=> (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.3 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.2) (=> (= inline.GetDeviceContext.0.myNondetVar_0.2 inline.GetDeviceContext.0.myNondetVar_0.1) (=> (= inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..2 inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..1) (=> (= Mem_1_T.PWDFREQUEST__.14 Mem_1_T.PWDFREQUEST__.13) (=> (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext.2 inline.GetFileContext.1..Handle.1.107.0.GetFileContext.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2) (=> (= inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.3) (=> (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.2 inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.1) (=> (= inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..3 inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..2) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..2 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..4 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.4 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.3) (=> (= inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.4 inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.3) (=> (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.2 inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.4) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3) (=> (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.6 inline.ReadWriteBulkEndPoints.0.tempBoogie0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.3) (=> (= inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..3 inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..2) (=> (= inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..3 inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.12 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.11) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..3) (=> (= inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.2 inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..4 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..3) (=> (= inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..3 inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..2) (=> (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.3 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.2) (=> (= inline.GetSubRequestContext.2.myNondetVar_0.3 inline.GetSubRequestContext.2.myNondetVar_0.2) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..2 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..4) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.4) (=> (= inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..3 inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.3) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..3 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.3 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2) (=> (= inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..4 inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..3) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.4) (=> (= inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.1) (=> (= inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints.0) (=> (= inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints.1 inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.1) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..3 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.8 inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.7) (=> (= inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..3 inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2) (=> (= inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..2 inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..1) (=> (= inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.GetDeviceContext.2.myNondetVar_0.3 inline.GetDeviceContext.2.myNondetVar_0.2) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..4) (=> (= inline.RemoveHeadList.3.myNondetVar_0.7 inline.RemoveHeadList.3.myNondetVar_0.6) (=> (= inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.1) (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.9 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.8) (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1..4 inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1..3) (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.57 inline.PerformHighSpeedIsochTransfer.0.myVar_0.56) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.3 inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3) (=> (= inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..4 inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..3) (=> (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.2 inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..3 inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.4) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.3 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.2 inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..3 inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..2) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..4 inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..3) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.4 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.3) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.4 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.7 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.6) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..3) (=> (= alloc.50 alloc.49) (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..4) (=> (= inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..3 inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2) (=> (= inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext.1 inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.3 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.4) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.3) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.7 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.6) (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.13 inline.DoSubRequestCleanup.0.myNondetVar_0.12) (=> (= Mem_3_T.PWDFREQUEST__.14 Mem_3_T.PWDFREQUEST__.13) (=> (= errorReached.108 errorReached.107) (=> (= inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.2) (=> (= inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.2) (=> (= inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3) (=> (= inline.sdv_WdfRequestGetParameters.0..result.userContextSwitch.7695.4.1..2 inline.sdv_WdfRequestGetParameters.0..result.userContextSwitch.7695.4.1..1) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.5 inline.GetWorkItemContext.0.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.3 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.2) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.51 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.50) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..3 inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..2) (=> (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.2 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2) (=> (= inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters.1 inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..5 inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..4) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.4) (=> (= inline.ReadWriteIsochEndPoints.0..totalLength.5.61.28.ReadWriteIsochEndPoints.1 inline.ReadWriteIsochEndPoints.0..totalLength.5.61.28.ReadWriteIsochEndPoints.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.4) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..5 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..4) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..2) (=> (= inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.2 inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.1) (=> (= reqCompleted_3.25 reqCompleted_3.24) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3) (=> (= inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2 inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1) (=> (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.3 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..2) (=> (= reqCancelStarted_2.2 reqCancelStarted_2.1) (=> (= inline.GetFileContext.3.myNondetVar_0.4 inline.GetFileContext.3.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..2 inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..1) (=> (= inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.5 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.4) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..3 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..2) (=> (= inline.ReadWriteIsochEndPoints.0..result.sdv_WdfIoQueueGetDevice.76.56.2..1 inline.ReadWriteIsochEndPoints.0..result.sdv_WdfIoQueueGetDevice.76.56.2..0) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.4 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.3) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..3 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..2) (=> (= inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.2 inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..4 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2) (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..2 inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..1) (=> (= inline.IsListEmpty.2.myNondetVar_0.6 inline.IsListEmpty.2.myNondetVar_0.5) (=> (= inline.GetSubRequestContext.1.myNondetVar_0.4 inline.GetSubRequestContext.1.myNondetVar_0.3) (=> (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..6 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..5) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..3 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.7 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.6) (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.3 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2) (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2) (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..5 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4) (=> (= inline.IsListEmpty.7.myNondetVar_0.5 inline.IsListEmpty.7.myNondetVar_0.4) (=> (= inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.3 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2) (=> (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.2 inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.4) (=> (= inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..2 inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..1) (=> (= inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.3 inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.ReadWriteBulkEndPoints.0..objectAttribs.18.74.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..objectAttribs.18.74.28.ReadWriteBulkEndPoints.0) (=> (= inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.3 inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.2) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1..4 inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1..3) (=> (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.3 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.9 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.8) (=> (= inline.GetRequestContext.0.myNondetVar_0.3 inline.GetRequestContext.0.myNondetVar_0.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.3) (=> (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..2 inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.2 inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.10 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.9) (=> (= inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.9 inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.8) (=> (= inline.ResetPipe.0..status.2.461.22.ResetPipe.3 inline.ResetPipe.0..status.2.461.22.ResetPipe.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.29 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.28) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5) (=> (= inline.IsListEmpty.1.myNondetVar_0.5 inline.IsListEmpty.1.myNondetVar_0.4) (=> (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.2 inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.3 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2) (=> (= inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..3 inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..2) (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..4 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.3 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3) (=> (= inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..3 inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2) (=> (= x.result.nondet.8830.0.4..0 call43998formal.ret.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.9 inline.PerformFullSpeedIsochTransfer.0.myVar_1.8) (=> (= inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..2 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..1) (=> (= inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..3 inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.1) (=> (= reqCancelSet_3.31 reqCancelSet_3.30) (=> (= reqSent_1.16 reqSent_1.15) (=> (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.3 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.2) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..5 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..4) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.3 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.4) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5) (=> (= inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..4 inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..3) (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.8 inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.7) (=> (= inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.5 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3) (=> (= inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext.1 inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..2) (=> (= inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.3 inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.2) (=> (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2 inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1) (=> (= inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..3 inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..2) (=> (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= reqCompleted_2.25 reqCompleted_2.24) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.3 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2) (=> (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.3 inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..5 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..4) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.4) (=> (= inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..3 inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..2) (=> (= inline.ReadWriteBulkEndPoints.0..urb.7.63.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..urb.7.63.28.ReadWriteBulkEndPoints.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.3) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.5) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.3 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2) (=> (= inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.3 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.2) (=> (= k.170 k.169) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.6 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.5) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.4) (=> (= inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..3 inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..2) (=> (= inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..2 inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1..4 inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1..3) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.3) (=> (= inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.3 inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..4) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.6 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.5) (=> (= inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..3 inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2) (=> (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.2 inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.3) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.3 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.2) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.4 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.3) (=> (= inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..5 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..4) (=> (= inline.GetRequestContext.4..Handle.1.127.0.GetRequestContext.1 inline.GetRequestContext.4..Handle.1.127.0.GetRequestContext.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.7 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.6) (=> (= Mem_2_T.PWDFREQUEST__.14 Mem_2_T.PWDFREQUEST__.13) (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.3 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.2) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..2 inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..1) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.4 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.4) (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.4 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3) (=> (= inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..3 inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..2) (=> (= Mem_4_T.PWDFREQUEST__.14 Mem_4_T.PWDFREQUEST__.13) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.5 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.4) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..5 inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..4) (=> (= reqSent_0.16 reqSent_0.15) (=> (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.2 inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.1) (=> (= inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..3 inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..2) (=> (= inline.ReadWriteCompletion.0.tempBoogie0.6 inline.ReadWriteCompletion.0.tempBoogie0.5) (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..2) (=> (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.3 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..3 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..2) (=> (= inline.sdv_WdfSpinLockCreate.1..result.userContextSwitch.8640.2.2..3 inline.sdv_WdfSpinLockCreate.1..result.userContextSwitch.8640.2.2..2) (=> (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.3) (=> (= x.result.userContextSwitch.8849.2.5..0 call44083formal.ret.0) (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..2 inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..1) (=> (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.3 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..2) (=> (= inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..4 inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..3) (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..3) (=> (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.8 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.7) (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.6 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.5) (=> (= inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..3 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.5 inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.4) (=> (= inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext1.1 inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext1.0) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.InitializeListHead.2.myNondetVar_0.3 inline.InitializeListHead.2.myNondetVar_0.2) (=> (= inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..3 inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..2) (=> (= inline.ReadWriteBulkEndPoints.0..requestMdl.6.62.41.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..requestMdl.6.62.41.ReadWriteBulkEndPoints.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.4 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.3) (=> (= inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..2 inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..1) (=> (= inline.InitializeListHead.1.myNondetVar_0.3 inline.InitializeListHead.1.myNondetVar_0.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..3 inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..2) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..5 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..4) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.4) (=> (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..3 inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..2) (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1..4 inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1..3) (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.GetRequestContext.4.myNondetVar_0.2 inline.GetRequestContext.4.myNondetVar_0.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.3) (=> (= lockStatus_4.24 lockStatus_4.23) (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.4 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.3) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..3 inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2) (=> (= inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..3 inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..2) (=> (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1.1 inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3) (=> (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.7 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.6) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.4) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3) (=> (= inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1.1 inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1.0) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.2) (=> (= reqCompleteSet_2.16 reqCompleteSet_2.15) (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.4 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.3) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..5 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..4) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..2 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..1) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.3) (=> (= inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.3 inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..3) (=> (= inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.3 inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.2) (=> (= inline.IsListEmpty.5.myNondetVar_0.4 inline.IsListEmpty.5.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..3) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1.1 inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.ReadWriteIsochEndPoints.0..result.sdv_WdfRequestGetFileObject.81.56.4..1 inline.ReadWriteIsochEndPoints.0..result.sdv_WdfRequestGetFileObject.81.56.4..0) (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.3 inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..3 inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..2) (=> (= inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.2 inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.1) (=> (= inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..3 inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.1) (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..3) (=> (= reqCompleted_0.25 reqCompleted_0.24) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..3 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.1) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.4) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.26 inline.ReadWriteCompletion.0.myNondetVar_0.25) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..4 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..3) (=> (= inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..2 inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..1) (=> (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.3 inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2) (=> (= reqCancelStarted_4.2 reqCancelStarted_4.1) (=> (= inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..3 inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..2) (=> (= inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters.1 inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters.0) (=> (= inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3..4 inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3..3) (=> (= x.result.nondet.8849.2.6..0 call44086formal.ret.0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..3 inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.4) (=> (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.3 inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.3) (=> (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.2 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..6 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..3) (=> (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.8 inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.7) (=> (= inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.3) (=> (= inline.RemoveHeadList.0.myNondetVar_0.7 inline.RemoveHeadList.0.myNondetVar_0.6) (=> (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints1.1 inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints1.0) (=> (= inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..3 inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..2) (=> (= inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..3 inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..2) (=> (= reqCancelStarted_1.2 reqCancelStarted_1.1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.3..result.userContextSwitch.7656.4.1..3 inline.sdv_WdfRequestCompleteWithInformation.3..result.userContextSwitch.7656.4.1..2) (=> (= inline.ReadWriteBulkEndPoints.0..pipeInfo.17.73.31.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..pipeInfo.17.73.31.ReadWriteBulkEndPoints.0) (=> (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.2 inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.1) (=> (= inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..3 inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..2) (=> (= reqCompleteSet_1.16 reqCompleteSet_1.15) (=> (= reqCompleted_4.25 reqCompleted_4.24) (=> (= inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.2 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1) (=> (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..6 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..5) (=> (= inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2..4 inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2..3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.IsListEmpty.6.myNondetVar_0.4 inline.IsListEmpty.6.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.3 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2) (=> (= inline.ReadWriteCompletion.0.havoc_stringTemp.2 inline.ReadWriteCompletion.0.havoc_stringTemp.1) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.2 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.IsListEmpty.10.myNondetVar_0.3 inline.IsListEmpty.10.myNondetVar_0.2) (=> (= inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.4 inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.3) (=> (= inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..2 inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..1) (=> (= inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..4 inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..3) (=> (= reqCancelSet_4.31 reqCancelSet_4.30) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..4 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..3) (=> (= inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..3 inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..2) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..5 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..3) (=> (= reqCancelSet_1.31 reqCancelSet_1.30) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..2 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..3 inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..2) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.5 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.4) (=> (= inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..2 inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..1) (=> (= reqSent_2.16 reqSent_2.15) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..2 inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..1) (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.3 inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.2) (=> (= inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..2) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.3 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2) (=> (= inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.4) (=> (= lockStatus_3.24 lockStatus_3.23) (=> (= inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.2) (=> (= inline.IsListEmpty.0.myNondetVar_0.5 inline.IsListEmpty.0.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.3 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..3) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..2 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..1) (=> (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext.3 inline.GetFileContext.4..Handle.1.107.0.GetFileContext.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3) (=> (= reqCompleteSet_3.16 reqCompleteSet_3.15) (=> (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.1) (=> (= inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.2 inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.4) (=> (= inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints1.1 inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints1.0) (=> (= inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..2) (=> (= inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..3 inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..2) (=> (= inline.sdv_WdfIoQueueGetDevice.0..result.sdv_WdfIoQueueGetDevice.6817.0.1..1 inline.sdv_WdfIoQueueGetDevice.0..result.sdv_WdfIoQueueGetDevice.6817.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..4) (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.3 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2) (=> (= inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..3 inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.2) (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.6 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.5) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..3 inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..2) (=> (= inline.GetRequestContext.1.myNondetVar_0.3 inline.GetRequestContext.1.myNondetVar_0.2) (=> (= inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..2 inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0) (=> (= inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..3 inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..6 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5) (=> (= inline.GetFileContext.2.myNondetVar_0.2 inline.GetFileContext.2.myNondetVar_0.1) (=> (= inline.GetRequestContext.0..result.GetRequestContext.127.0.1..2 inline.GetRequestContext.0..result.GetRequestContext.127.0.1..1) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.3 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2) (=> (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.3 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.2) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.4 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..6 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..5) (=> (= inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints.0) (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..3 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..2) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..4 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..3) (=> (= inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..2 inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..1) (=> (= inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2 inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1) (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.17 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.16) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.4) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.4 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.3) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..3 inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..2) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.4 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.3) (=> (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.2 inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.1) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> (= inline.RemoveHeadList.1.myNondetVar_0.5 inline.RemoveHeadList.1.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..5 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..4) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.2) (=> (= inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.2 inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.1) (=> (= inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..3 inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..2) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..3 inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2) (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.3 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.3) (=> (= inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.2 inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.1) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.3 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.2) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3) (=> (= inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..2 inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..3 inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..2) (=> (= inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints1.1 inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints1.0) (=> (= inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.3 inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..2) (=> (= inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..2 inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.7 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.6) (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.3 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2) (=> (= inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..3 inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..2) (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..result.userContextSwitch.7656.4.1..3 inline.sdv_WdfRequestCompleteWithInformation.1..result.userContextSwitch.7656.4.1..2) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..4 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..3) (=> (= inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..3 inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..2) (=> (= inline.ReadWriteCompletion.0.myNondetVar_2.4 inline.ReadWriteCompletion.0.myNondetVar_2.3) (=> (= inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2..4 inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2..3) (=> (= inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints1.1 inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints1.0) (=> (= raiseException.0 0) (=> (= inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..3 inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..2) (=> (= x.result.userContextSwitch.8813.0.1..0 call43927formal.ret.0) (=> (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.3 inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.2) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.4 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3) (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.3 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.2) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..4 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..3) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..3 inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..2) (=> (= inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2 inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2) (=> (= inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..2 inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..1) (=> (= inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2..1 inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfRequestGetFileObject.2..result.userContextSwitch.7051.4.2..2 inline.sdv_WdfRequestGetFileObject.2..result.userContextSwitch.7051.4.2..1) (=> (= inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..2) (=> (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.3 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.1) (=> (= inline.GetRequestContext.3.myNondetVar_0.2 inline.GetRequestContext.3.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.2) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..4 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..3) (=> (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.2 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.8 inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.7) (=> (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.3 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.2) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..2 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3) (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.8 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.7) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.4 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..2 inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3) (=> (= Mem_0_T.PWDFREQUEST__.14 Mem_0_T.PWDFREQUEST__.13) (=> (= inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.2 inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.1) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..6 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.7 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.6) (=> (= inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..3 inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..2) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.2) (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..3) (=> (= inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..3 inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..2) (=> (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.9 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.8) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..3) (=> (= inline.IsListEmpty.4.myNondetVar_0.4 inline.IsListEmpty.4.myNondetVar_0.3) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.3) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.5 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.4) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.3) (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..3) (=> (= reqCompleteSet_0.16 reqCompleteSet_0.15) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.3 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.5 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.4) (=> (= inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1..4 inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1..3) (=> (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.1) (=> (= inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..4 inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..3) (=> (= reqCancelStarted_0.2 reqCancelStarted_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..2) (=> (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.3 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.12 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.11) (=> (= inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..2 inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..1) (=> (= inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..3 inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4) (=> (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..1) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.65 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.64) (=> (= inline.sdv_WdfRequestCompleteWithInformation.2..result.userContextSwitch.7656.4.1..2 inline.sdv_WdfRequestCompleteWithInformation.2..result.userContextSwitch.7656.4.1..1) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.3 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2) (=> (= inline.GetRequestContext.4..Handle.1.127.0.GetRequestContext1.1 inline.GetRequestContext.4..Handle.1.127.0.GetRequestContext1.0) (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.3 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2) (=> (= inline.IsListEmpty.11.myNondetVar_0.3 inline.IsListEmpty.11.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT.1 inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT.0) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.5 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.4) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.6 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.5) (=> (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.2 inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.1) (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..3 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2) (=> (= inline.sdv_WdfSpinLockCreate.0..result.userContextSwitch.8640.2.2..3 inline.sdv_WdfSpinLockCreate.0..result.userContextSwitch.8640.2.2..2) (=> (= inline.sdv_WdfRequestGetFileObject.1..result.userContextSwitch.7051.4.2..3 inline.sdv_WdfRequestGetFileObject.1..result.userContextSwitch.7051.4.2..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.6 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.5) (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.4 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.3) (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.3 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..4) (=> (= inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.3 inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.2) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.2 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1..4 inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1..3) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..3 inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..2) (=> (= inline.GetRequestContext.2.myNondetVar_0.3 inline.GetRequestContext.2.myNondetVar_0.2) (=> (= inline.GetFileContext.4.myNondetVar_0.4 inline.GetFileContext.4.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..4 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..3) (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.9 inline.PerformHighSpeedIsochTransfer.0.myVar_1.8) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..3) (=> (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.2 inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.4 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.3) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..3 inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2) (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.3 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.4 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3) (=> (= inline.sdv_WdfCollectionAdd.0.myNondetVar_0.5 inline.sdv_WdfCollectionAdd.0.myNondetVar_0.4) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.3 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.2) (=> (= inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..3 inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..2) (=> (= inline.ReadWriteIsochEndPoints.0..pipeInfo.9.65.31.ReadWriteIsochEndPoints.1 inline.ReadWriteIsochEndPoints.0..pipeInfo.9.65.31.ReadWriteIsochEndPoints.0) (=> (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..3 inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.4 inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.3) (=> (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.5 inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.4) (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..5 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..4) (=> (= inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext1.1 inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext1.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..2 inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.4 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.3) (=> (= inline.ReadWriteBulkEndPoints.0..urbMemory.8.64.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..urbMemory.8.64.28.ReadWriteBulkEndPoints.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..3 inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..2) (=> (= inline.InsertTailList.0.myNondetVar_0.4 inline.InsertTailList.0.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..2) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.4 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.3) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.3) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..2) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..5 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..4) (=> (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.3 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.2) (=> (= inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3..4 inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3..3) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.4) (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= inline.ReadWriteCompletion.0.myNondetVar_1.4 inline.ReadWriteCompletion.0.myNondetVar_1.3) (=> (= inline.InsertTailList.2.myNondetVar_0.3 inline.InsertTailList.2.myNondetVar_0.2) (=> (= reqSent_4.16 reqSent_4.15) (=> (= inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..2) (=> (= lockStatus_0.24 lockStatus_0.23) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..5 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..4) (=> (= inline.GetFileContext.1..result.GetFileContext.107.0.1..2 inline.GetFileContext.1..result.GetFileContext.107.0.1..1) (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1..4 inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1..3) (=> (= inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..2) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.2) (=> (= reqCancelSet_0.31 reqCancelSet_0.30) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..6 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..5) (=> (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..5 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..4) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.3 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2) (=> (= inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion.0) (=> (= inline.GetFileContext.2..Handle.1.107.0.GetFileContext.1 inline.GetFileContext.2..Handle.1.107.0.GetFileContext.0) (=> (= inline.GetDeviceContext.1.myNondetVar_0.4 inline.GetDeviceContext.1.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= reqCancelSet_2.31 reqCancelSet_2.30) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..3 inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..2) (=> (= inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints.1 inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.5 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.4) (=> (= inline.RemoveHeadList.2.myNondetVar_0.5 inline.RemoveHeadList.2.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2) (=> (= inline.GetFileContext.1.myNondetVar_0.3 inline.GetFileContext.1.myNondetVar_0.2) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..2 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.1) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..3 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..2) (=> (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.3 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.2) (=> (= inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..2 inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints1.1 inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints1.0) (=> (= inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.3 inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) true))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_25 (= call44086formal.ret.0 0))) (let ((?v_46 (=> true (=> (<= 0 k.169) (=> (< k.169 5) (and (=> true (=> (not ?v_25) ?v_26)) (=> true (=> ?v_25 ?v_26)))))))) (let ((?v_49 (=> true (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1) (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1) (=> (= reqCompleted_4.24 reqCompleted_4.23) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2) (=> (= inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1.0 hrequest) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.1) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.2 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.1) (=> (= inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1) (=> (= reqSent_0.15 reqSent_0.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2) (=> (= inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion.0 call44225formal.new.0) (=> (= reqCompleted_3.24 reqCompleted_3.23) (=> (= reqSent_2.15 reqSent_2.14) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1.0 call44225formal.new.0) (=> (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..2 inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..1) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..1) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.1) (=> (= inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion.0 call44228formal.new.0) (=> (= reqCancelSet_1.30 reqCancelSet_1.29) (=> (= inline.GetRequestContext.3.myNondetVar_0.1 inline.GetRequestContext.3.myNondetVar_0.0) (=> (= reqCancelSet_0.30 reqCancelSet_0.29) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT.0 call44264formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..3) (=> (= reqSent_1.15 reqSent_1.14) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..3 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..2) (=> (= inline.ReadWriteCompletion.0.tempBoogie0.5 inline.ReadWriteCompletion.0.tempBoogie0.4) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.5 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2..0 call44310formal.new.0) (=> (= reqCompleted_2.24 reqCompleted_2.23) (=> (= reqSent_3.15 reqSent_3.14) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.3 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.2) (=> (= inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2) (=> (= reqCompleted_0.24 reqCompleted_0.23) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2..3 inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2..2) (=> (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..2 inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..1) (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..4 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..3) (=> (= errorReached.107 errorReached.106) (=> (= inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext1.0 hrequest) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..3 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..2) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..2 inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..1) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1..0 call44264formal.new.0) (=> (= inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0) (=> (= inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1.0 call44225formal.new.0) (=> (= inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2) (=> (= inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion.0 hrequest) (=> (= inline.ReadWriteCompletion.0.myNondetVar_1.3 inline.ReadWriteCompletion.0.myNondetVar_1.2) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= reqCancelSet_3.30 reqCancelSet_3.29) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1..3 inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1..2) (=> (= inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.2 inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.1) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0) (=> (= reqCompleteSet_3.15 reqCompleteSet_3.14) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= reqCancelSet_4.30 reqCancelSet_4.29) (=> (= reqCompleted_1.24 reqCompleted_1.23) (=> (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.2 inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.1) (=> (= reqCompleteSet_2.15 reqCompleteSet_2.14) (=> (= inline.ReadWriteCompletion.0.havoc_stringTemp.1 inline.ReadWriteCompletion.0.havoc_stringTemp.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..3) (=> (= reqCompleteSet_1.15 reqCompleteSet_1.14) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..3 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..2) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.5) (=> (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..2 inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..3) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2) (=> (= inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters.0 call44310formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2) (=> (= reqCancelSet_2.30 reqCancelSet_2.29) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.2 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.1) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.4 inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.3) (=> (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.1) (=> (= reqSent_4.15 reqSent_4.14) (=> (= inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.25 inline.ReadWriteCompletion.0.myNondetVar_0.24) (=> (= inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.0) (=> (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.1) (=> (= k.168 k.167) (=> (= inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= reqCompleteSet_4.15 reqCompleteSet_4.14) (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.3 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.2) (=> (= inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.sdv_WdfRequestGetParameters.0..result.userContextSwitch.7695.4.1..1 inline.sdv_WdfRequestGetParameters.0..result.userContextSwitch.7695.4.1..0) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.3 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.2) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.6 inline.QueuePassiveLevelCallback.0.myNondetVar_0.5) (=> (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= alloc.49 alloc.48) (=> (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= reqCompleteSet_0.15 reqCompleteSet_0.14) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..2 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..1) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..1) (=> (= inline.ReadWriteCompletion.0.myNondetVar_2.3 inline.ReadWriteCompletion.0.myNondetVar_2.2) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.4 inline.GetWorkItemContext.0.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..2 inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..1) (=> true (=> true ?v_46)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_85 (=> true (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0) (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1) (=> (= inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..0) (=> (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.0) (=> (= inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0) (=> (= reqSent_0.14 reqSent_0.13) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= reqCompleted_3.23 reqCompleted_3.22) (=> (= reqSent_2.14 reqSent_2.13) (=> (= reqSent_3.14 reqSent_3.13) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.0) (=> (= reqCancelSet_1.29 reqCancelSet_1.28) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..0) (=> (= reqCancelSet_4.29 reqCancelSet_4.28) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..2) (=> (= reqSent_1.14 reqSent_1.13) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= k.167 k.166) (=> (= inline.ReadWriteCompletion.0.tempBoogie0.4 inline.ReadWriteCompletion.0.tempBoogie0.3) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.4 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.3) (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.2 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.1) (=> (= reqCompleted_2.23 reqCompleted_2.22) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.2 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.1) (=> (= inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1) (=> (= reqCompleted_0.23 reqCompleted_0.22) (=> (= reqCompleted_4.23 reqCompleted_4.22) (=> (= inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2..2 inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2..1) (=> (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..1 inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..0) (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..3 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..2) (=> (= errorReached.106 errorReached.105) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..1) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..1 inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..0) (=> (= inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3..1) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..2 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..1) (=> (= inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1) (=> (= inline.ReadWriteCompletion.0.myNondetVar_1.2 inline.ReadWriteCompletion.0.myNondetVar_1.1) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.0) (=> (= reqCancelSet_3.29 reqCancelSet_3.28) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1..2 inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1..1) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1) (=> (= inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.1 inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.0) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 hrequest) (=> (= reqCompleteSet_3.14 reqCompleteSet_3.13) (=> (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..1 inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..0) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> (= reqCompleted_1.23 reqCompleted_1.22) (=> (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.0) (=> (= reqCompleteSet_2.14 reqCompleteSet_2.13) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..2) (=> (= reqCompleteSet_1.14 reqCompleteSet_1.13) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..1 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.1 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.0) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.3 inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2) (=> (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.0) (=> (= reqSent_4.14 reqSent_4.13) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.24 inline.ReadWriteCompletion.0.myNondetVar_0.23) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.1 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.0) (=> (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.0) (=> (= reqCancelSet_0.29 reqCancelSet_0.28) (=> (= reqCompleteSet_4.14 reqCompleteSet_4.13) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.0) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.2 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.1) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.5 inline.QueuePassiveLevelCallback.0.myNondetVar_0.4) (=> (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.0) (=> (= alloc.48 alloc.47) (=> (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= reqCompleteSet_0.14 reqCompleteSet_0.13) (=> (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..1 inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..0) (=> (= inline.ReadWriteCompletion.0.myNondetVar_2.2 inline.ReadWriteCompletion.0.myNondetVar_2.1) (=> (= reqCancelSet_2.29 reqCancelSet_2.28) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..0) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.3 inline.GetWorkItemContext.0.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..1 inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..0) (=> true (=> true (=> true ?v_49)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_33 (= hrequest hrequest))) (let ((?v_99 (not ?v_33)) (?v_54 (=> true (=> (= reqCompleted_2.22 reqCompleted_2.21) (=> (= reqCompleted_4.22 reqCompleted_4.21) (=> (= reqCancelSet_3.28 reqCancelSet_3.27) (=> (= reqCompleted_0.22 reqCompleted_0.21) (=> (= reqCancelSet_2.28 reqCancelSet_2.27) (=> (= reqCancelSet_4.28 reqCancelSet_4.27) (=> (= k.166 k.165) (=> (= reqCompleted_1.22 reqCompleted_1.21) (=> (= reqCancelSet_1.28 reqCancelSet_1.27) (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0 call45905formal.ret.0) (=> (= reqCompleted_3.22 reqCompleted_3.21) (=> (= reqCancelSet_0.28 reqCancelSet_0.27) (=> (= errorReached.105 errorReached.104) ?v_85)))))))))))))))) (let ((?v_60 (=> true ?v_54)) (?v_56 (= reqCancelSet_0.27 reqCancelSet_0.26)) (?v_51 (= reqCancelSet_4.27 reqCancelSet_4.26)) (?v_52 (= reqCancelSet_2.27 reqCancelSet_2.26)) (?v_57 (= reqCancelSet_1.27 reqCancelSet_1.26)) (?v_53 (= reqCancelSet_3.27 reqCancelSet_3.26))) (let ((?v_58 (=> ?v_53 ?v_60))) (let ((?v_62 (=> ?v_57 ?v_58))) (let ((?v_63 (=> ?v_52 ?v_62)) (?v_61 (= k.165 4))) (let ((?v_77 (not ?v_61)) (?v_59 (= k.165 3))) (let ((?v_74 (not ?v_59)) (?v_55 (= k.165 2))) (let ((?v_72 (not ?v_55)) (?v_50 (= k.165 1))) (let ((?v_69 (not ?v_50)) (?v_48 (= k.165 0))) (let ((?v_64 (not ?v_48))) (let ((?v_68 (and (=> true (=> ?v_48 (=> true (=> (= reqCancelSet_0.27 0) (=> ?v_51 (=> ?v_52 (=> ?v_57 (=> ?v_53 ?v_54)))))))) (=> true (=> ?v_64 (and (=> true (=> ?v_50 (=> true (=> ?v_56 (=> ?v_51 (=> ?v_52 (=> (= reqCancelSet_1.27 0) ?v_58))))))) (=> true (=> ?v_69 (and (=> true (=> ?v_55 (=> true (=> ?v_56 (=> ?v_51 (=> (= reqCancelSet_2.27 0) ?v_62)))))) (=> true (=> ?v_72 (and (=> true (=> ?v_59 (=> true (=> ?v_56 (=> ?v_51 (=> ?v_52 (=> ?v_57 (=> (= reqCancelSet_3.27 0) ?v_60)))))))) (=> true (=> ?v_74 (and (=> true (=> ?v_61 (=> true (=> ?v_56 (=> (= reqCancelSet_4.27 0) ?v_63))))) (=> true (=> ?v_77 (=> true (=> ?v_56 (=> ?v_51 ?v_63)))))))))))))))))))) (let ((?v_76 (=> true (=> true ?v_68))) (?v_65 (= reqCompleted_3.21 reqCompleted_3.20)) (?v_70 (= reqCompleted_1.21 reqCompleted_1.20)) (?v_66 (= reqCompleted_2.21 reqCompleted_2.20)) (?v_75 (= reqCompleted_0.21 reqCompleted_0.20)) (?v_67 (= reqCompleted_4.21 reqCompleted_4.20))) (let ((?v_71 (=> ?v_75 (=> ?v_67 ?v_76)))) (let ((?v_73 (=> ?v_66 ?v_71))) (let ((?v_78 (=> ?v_70 ?v_73))) (let ((?v_84 (and (=> true (=> ?v_48 (=> true (=> ?v_65 (=> ?v_70 (=> ?v_66 (=> (= reqCompleted_0.21 1) (=> ?v_67 ?v_68)))))))) (=> true (=> ?v_64 (and (=> true (=> ?v_50 (=> true (=> ?v_65 (=> (= reqCompleted_1.21 1) ?v_73))))) (=> true (=> ?v_69 (and (=> true (=> ?v_55 (=> true (=> ?v_65 (=> ?v_70 (=> (= reqCompleted_2.21 1) ?v_71)))))) (=> true (=> ?v_72 (and (=> true (=> ?v_59 (=> true (=> (= reqCompleted_3.21 1) ?v_78)))) (=> true (=> ?v_74 (and (=> true (=> ?v_61 (=> true (=> ?v_65 (=> ?v_70 (=> ?v_66 (=> ?v_75 (=> (= reqCompleted_4.21 1) ?v_76)))))))) (=> true (=> ?v_77 (=> true (=> ?v_65 ?v_78)))))))))))))))))) (?v_79 (= reqCompleted_0.20 0)) (?v_80 (= reqCompleted_1.20 0)) (?v_81 (= reqCompleted_2.20 0)) (?v_82 (= reqCompleted_3.20 0)) (?v_83 (= reqCompleted_4.20 0))) (let ((?v_37 (not ?v_79)) (?v_38 (not ?v_80)) (?v_39 (not ?v_81)) (?v_40 (not ?v_82)) (?v_41 (not ?v_83))) (let ((?v_193 (and (=> true (=> ?v_33 (=> true (=> (<= k.164 k.165) (=> (< k.165 5) (and (=> true (=> (=> ?v_48 ?v_37) (=> (=> ?v_50 ?v_38) (=> (=> ?v_55 ?v_39) (=> (=> ?v_59 ?v_40) (=> (=> ?v_61 ?v_41) (=> true (=> (= errorReached.104 1) ?v_84)))))))) (=> true (=> (=> ?v_48 ?v_79) (=> (=> ?v_50 ?v_80) (=> (=> ?v_55 ?v_81) (=> (=> ?v_59 ?v_82) (=> (=> ?v_61 ?v_83) (=> true (=> (= errorReached.104 errorReached.103) (=> true ?v_84))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= reqCompleted_2.22 reqCompleted_2.20) (=> (= reqCompleted_4.22 reqCompleted_4.20) (=> (= reqCancelSet_3.28 reqCancelSet_3.26) (=> (= reqCompleted_0.22 reqCompleted_0.20) (=> (= reqCancelSet_2.28 reqCancelSet_2.26) (=> (= reqCancelSet_4.28 reqCancelSet_4.26) (=> (= k.166 k.164) (=> (= reqCompleted_1.22 reqCompleted_1.20) (=> (= reqCancelSet_1.28 reqCancelSet_1.26) (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..0 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1.) (=> (= reqCompleted_3.22 reqCompleted_3.20) (=> (= reqCancelSet_0.28 reqCancelSet_0.26) (=> (= errorReached.105 errorReached.103) (=> true (=> true (=> true ?v_85))))))))))))))))))))) (?v_238 (= inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.)) (?v_254 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_195 (= inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1.)) (?v_196 (= inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2.)) (?v_197 (= reqSent_0.13 reqSent_0.10)) (?v_198 (= reqSent_2.13 reqSent_2.10)) (?v_199 (= reqSent_3.13 reqSent_3.10)) (?v_200 (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_201 (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..0 inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10.)) (?v_255 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3.)) (?v_256 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2.)) (?v_202 (= reqSent_1.13 reqSent_1.10)) (?v_257 (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5.)) (?v_258 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_276 (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion)) (?v_203 (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_259 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3.)) (?v_260 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_204 (= inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus)) (?v_261 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0)) (?v_262 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_205 (= inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2..1 inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2.)) (?v_240 (= inline.ReadWriteCompletion.0.myNondetVar_1.1 inline.ReadWriteCompletion.0.myNondetVar_1)) (?v_263 (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6.)) (?v_206 (= inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..0 inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3.)) (?v_207 (= inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3.)) (?v_208 (= inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_264 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_209 (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend)) (?v_210 (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_211 (= inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1..1 inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1.)) (?v_212 (= inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2.)) (?v_213 (= reqCompleteSet_3.13 reqCompleteSet_3.10)) (?v_214 (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_215 (= reqCompleteSet_2.13 reqCompleteSet_2.10)) (?v_265 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2.)) (?v_216 (= reqCompleteSet_1.13 reqCompleteSet_1.10)) (?v_266 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0)) (?v_267 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_268 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_277 (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2 inline.ReadWriteCompletion.0.myNondetVar_0.3)) (?v_217 (= reqSent_4.13 reqSent_4.10)) (?v_269 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_218 (= reqCompleteSet_4.13 reqCompleteSet_4.10)) (?v_219 (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_220 (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1.)) (?v_221 (= reqCompleteSet_0.13 reqCompleteSet_0.10)) (?v_278 (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..0 inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7.)) (?v_222 (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..0 inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8.)) (?v_279 (= inline.ReadWriteCompletion.0.myNondetVar_2.1 inline.ReadWriteCompletion.0.myNondetVar_2))) (let ((?v_280 (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..0 inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_193))))))))))))))))))) (let ((?v_297 (=> true (=> ?v_238 (=> ?v_254 (=> ?v_195 (=> (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.0 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1) (=> ?v_196 (=> ?v_197 (=> (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..0 call46232formal.ret.0) (=> ?v_198 (=> ?v_199 (=> ?v_200 (=> ?v_201 (=> ?v_255 (=> ?v_256 (=> ?v_202 (=> ?v_257 (=> ?v_258 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= k.164 k.152) (=> (= inline.ReadWriteCompletion.0.tempBoogie0.3 inline.ReadWriteCompletion.0.tempBoogie0) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.3 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.2) (=> ?v_276 (=> ?v_203 (=> ?v_259 (=> ?v_260 (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.1 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.0) (=> ?v_204 (=> ?v_261 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer) (=> ?v_262 (=> ?v_205 (=> ?v_240 (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..2 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1) (=> (= errorReached.103 errorReached.94) (=> ?v_263 (=> ?v_206 (=> ?v_207 (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..1 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..0) (=> ?v_208 (=> ?v_264 (=> ?v_209 (=> ?v_210 (=> ?v_211 (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0) (=> ?v_212 (=> (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.0 call46232formal.ret.0) (=> (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.0 call46168formal.new.0) (=> ?v_213 (=> (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..0 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1) (=> ?v_214 (=> ?v_215 (=> ?v_265 (=> ?v_216 (=> ?v_266 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1) (=> ?v_267 (=> ?v_268 (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.0 call46214formal.new.0) (=> ?v_277 (=> (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.0 inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_217 (=> ?v_269 (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.22 inline.ReadWriteCompletion.0.myNondetVar_0.3) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.0 call46168formal.new.0) (=> (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.0 call46165formal.new.0) (=> ?v_218 (=> ?v_219 (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.1 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.0) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.4 inline.QueuePassiveLevelCallback.0.myNondetVar_0.3) (=> (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.0 call46162formal.new.0) (=> (= alloc.47 alloc.45) (=> ?v_220 (=> ?v_221 (=> ?v_278 (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..0 call46214formal.new.0) (=> ?v_222 (=> ?v_279 (=> (= inline.GetWorkItemContext.0.myNondetVar_0.2 inline.GetWorkItemContext.0.myNondetVar_0.1) ?v_280))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_296 (<= 0 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1))) (let ((?v_288 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..0 0) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.0 inline.QueuePassiveLevelCallback.0.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.0 inline.QueuePassiveLevelCallback.0.myNondetVar_0.1) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.3 inline.QueuePassiveLevelCallback.0.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.QueuePassiveLevelCallback.0.myNondetVar_0.1) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.1 inline.GetWorkItemContext.0.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.QueuePassiveLevelCallback.0.myNondetVar_0.1) (=> (= k.152 k.151) (=> (= errorReached.94 errorReached.93) ?v_297)))))))))))))) (let ((?v_293 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_288)))))))))))))))))) (?v_290 (= k.151 k.149)) (?v_291 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.)) (?v_292 (= errorReached.93 errorReached.91)) (?v_295 (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.1 hdevice)) (?v_294 (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.1 hqueue)) (?v_289 (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.1 htimer)) (?v_287 (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.1 hrequest)) (?v_286 (=> true (=> (= k.151 k.150) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..0 call46357formal.ret.0) (=> (= errorReached.93 errorReached.92) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_288)))))) (?v_281 (= k.150 0)) (?v_282 (= k.150 1)) (?v_283 (= k.150 2)) (?v_284 (= k.150 3)) (?v_285 (= k.150 4))) (let ((?v_299 (and (=> true (=> ?v_296 (and (=> true (=> ?v_287 (=> true (=> (<= k.149 k.150) (=> (< k.150 5) (and (=> true (=> (=> ?v_281 ?v_37) (=> (=> ?v_282 ?v_38) (=> (=> ?v_283 ?v_39) (=> (=> ?v_284 ?v_40) (=> (=> ?v_285 ?v_41) (=> true (=> (= errorReached.92 1) ?v_286)))))))) (=> true (=> (=> ?v_281 ?v_79) (=> (=> ?v_282 ?v_80) (=> (=> ?v_283 ?v_81) (=> (=> ?v_284 ?v_82) (=> (=> ?v_285 ?v_83) (=> true (=> (= errorReached.92 errorReached.91) (=> true ?v_286))))))))))))))) (=> true (=> (not ?v_287) (and (=> true (=> ?v_289 (=> true (=> ?v_290 (=> ?v_291 (=> ?v_292 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_293))))))) (=> true (=> (not ?v_289) (and (=> true (=> ?v_294 (=> true (=> ?v_290 (=> ?v_291 (=> ?v_292 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_293))))))) (=> true (=> (not ?v_294) (and (=> true (=> ?v_295 (=> true (=> ?v_290 (=> ?v_291 (=> ?v_292 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_293))))))) (=> true (=> (not ?v_295) (=> true (=> ?v_290 (=> ?v_291 (=> ?v_292 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_293))))))))))))))))))) (=> true (=> (not ?v_296) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..0 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.0 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.0 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.3 inline.QueuePassiveLevelCallback.0.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.1 inline.GetWorkItemContext.0.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= k.152 k.149) (=> (= errorReached.94 errorReached.91) (=> true (=> true (=> true ?v_297))))))))))))))))))) (?v_298 (= call46232formal.ret.0 0)) (?v_1321 (- 0 1073741823)) (?v_31 (>= 0 0)) (?v_275 (int_2_U call46214formal.new.0)) (?v_17 (>= 32 0)) (?v_271 (int_2_U call46162formal.new.0)) (?v_20 (>= 4 0)) (?v_272 (int_2_U call46165formal.new.0)) (?v_273 (>= 12 0)) (?v_274 (int_2_U call46168formal.new.0)) (?v_270 (<= 0 inline.ReadWriteCompletion.0.myNondetVar_0.3)) (?v_145 (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.0 inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback)) (?v_146 (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..0 inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2.)) (?v_151 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_239 (= inline.ReadWriteCompletion.0.tempBoogie0.3 inline.ReadWriteCompletion.0.tempBoogie0.0)) (?v_153 (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.3 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0)) (?v_157 (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.1 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1)) (?v_159 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_160 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.0 call44694formal.new.0)) (?v_163 (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..2 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1.)) (?v_165 (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..1 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1.)) (?v_167 (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.1 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0)) (?v_168 (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.0 inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate)) (?v_169 (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.0 inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback)) (?v_170 (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..0 inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2.)) (?v_171 (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.0 0)) (?v_174 (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.)) (?v_177 (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.0 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT)) (?v_178 (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.0 inline.ReadWriteCompletion.0.myNondetVar_0.5)) (?v_179 (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_181 (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..0 call44694formal.new.0)) (?v_183 (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.0 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1)) (?v_184 (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.0 inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback)) (?v_185 (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.1 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext)) (?v_186 (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.4 inline.QueuePassiveLevelCallback.0.myNondetVar_0)) (?v_187 (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.0 inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback)) (?v_188 (= alloc.47 alloc.46)) (?v_190 (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..0 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1.)) (?v_192 (= inline.GetWorkItemContext.0.myNondetVar_0.2 inline.GetWorkItemContext.0.myNondetVar_0))) (let ((?v_223 (=> ?v_192 ?v_280))) (let ((?v_241 (=> ?v_183 (=> ?v_184 (=> ?v_218 (=> ?v_219 (=> ?v_185 (=> ?v_186 (=> ?v_187 (=> ?v_188 (=> ?v_220 (=> ?v_221 (=> ?v_278 (=> ?v_190 (=> ?v_222 (=> ?v_279 ?v_223))))))))))))))) (?v_154 (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0)) (?v_237 (<= 0 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_194 (<= 0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_143 (= inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 inline.WdfUsbTargetPipeFormatRequestForUrb.3..callresult..2008.114.2.)) (?v_144 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_147 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..0)) (?v_148 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..1)) (?v_149 (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..0)) (?v_150 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2)) (?v_152 (= inline.ReadWriteCompletion.0.tempBoogie0.3 inline.ReadWriteCompletion.0.tempBoogie0.2)) (?v_155 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..0)) (?v_156 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_158 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.3)) (?v_161 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0)) (?v_162 (= inline.ReadWriteCompletion.0.myNondetVar_1.1 inline.ReadWriteCompletion.0.myNondetVar_1.0)) (?v_164 (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..0)) (?v_166 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_172 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..1)) (?v_173 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.3)) (?v_175 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_176 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0)) (?v_180 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2)) (?v_182 (= inline.ReadWriteCompletion.0.myNondetVar_0.22 inline.ReadWriteCompletion.0.myNondetVar_0.21)) (?v_189 (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..0 inline.WdfUsbTargetPipeFormatRequestForUrb.3..callresult..2008.114.2.)) (?v_191 (= inline.ReadWriteCompletion.0.myNondetVar_2.1 inline.ReadWriteCompletion.0.myNondetVar_2.0)) (?v_753 (- 0 1073741670)) (?v_142 (<= 0 inline.WdfUsbTargetPipeFormatRequestForUrb.3..callresult..2008.114.2.))) (let ((?v_88 (=> true (=> ?v_143 (=> ?v_144 (=> (= inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..0 call45463formal.ret.0) (=> ?v_145 (=> (= inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..0 call45463formal.ret.0) (=> (= reqSent_0.13 reqSent_0.12) (=> ?v_146 (=> (= reqSent_2.13 reqSent_2.12) (=> (= reqSent_3.13 reqSent_3.12) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 hrequest) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..0 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_147 (=> ?v_148 (=> (= reqSent_1.13 reqSent_1.12) (=> ?v_149 (=> ?v_150 (=> ?v_151 (=> (= k.164 k.163) (=> ?v_152 (=> ?v_153 (=> ?v_154 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 hrequest) (=> ?v_155 (=> ?v_156 (=> ?v_157 (=> (= inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.0 call45714formal.ret.0) (=> ?v_158 (=> ?v_159 (=> ?v_160 (=> ?v_161 (=> (= inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2..1 inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2..0) (=> ?v_162 (=> ?v_163 (=> (= errorReached.103 errorReached.102) (=> ?v_164 (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..0 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3..0) (=> ?v_165 (=> (= inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.0 call45463formal.ret.0) (=> ?v_166 (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.0 hrequest) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 hrequest) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1..1 inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1..0) (=> ?v_167 (=> (= inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..0 call45714formal.ret.0) (=> ?v_168 (=> ?v_169 (=> (= reqCompleteSet_3.13 reqCompleteSet_3.12) (=> ?v_170 (=> ?v_171 (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.0 hrequest) (=> (= reqCompleteSet_2.13 reqCompleteSet_2.12) (=> ?v_172 (=> (= reqCompleteSet_1.13 reqCompleteSet_1.12) (=> ?v_173 (=> ?v_174 (=> ?v_175 (=> ?v_176 (=> ?v_177 (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_178 (=> ?v_179 (=> (= reqSent_4.13 reqSent_4.12) (=> ?v_180 (=> ?v_181 (=> ?v_182 (=> ?v_183 (=> ?v_184 (=> (= reqCompleteSet_4.13 reqCompleteSet_4.12) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.0 hrequest) (=> ?v_185 (=> ?v_186 (=> ?v_187 (=> ?v_188 (=> (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= reqCompleteSet_0.13 reqCompleteSet_0.12) (=> ?v_189 (=> ?v_190 (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..0 call45463formal.ret.0) (=> ?v_191 (=> ?v_192 (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..0 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..1) ?v_193)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_87 (- 0 1073741637)) (?v_86 (= call45714formal.ret.0 0))) (let ((?v_90 (=> true (=> (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_88))) (?v_89 (= call45714formal.ret.0 1))) (let ((?v_98 (and (=> true (=> (not ?v_86) (=> (not ?v_89) ?v_90))) (=> true (=> ?v_86 (=> true (=> (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..0 ?v_87) (=> true (=> (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_88)))))))))))))) (=> true (=> ?v_89 (=> true ?v_90)))))) (let ((?v_100 (=> (= errorReached.102 errorReached.101) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_98))))))))) (?v_96 (= k.163 k.162)) (?v_97 (= inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2..0 call45760formal.ret.0)) (?v_91 (= k.162 0)) (?v_92 (= k.162 1)) (?v_93 (= k.162 2)) (?v_94 (= k.162 3)) (?v_95 (= k.162 4)) (?v_47 (= call45463formal.ret.0 0))) (let ((?v_45 (not ?v_47))) (let ((?v_118 (and (=> true (=> ?v_45 (=> true (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 inline.WdfUsbTargetPipeFormatRequestForUrb.3..callresult..2008.114.2.) (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..1 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0) (=> (= inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..1 call45463formal.ret.0) (=> (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback) (=> (= inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..1 call45463formal.ret.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 hrequest) (=> (= reqSent_0.14 reqSent_0.12) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= reqCompleted_3.23 reqCompleted_3.20) (=> (= reqSent_2.14 reqSent_2.12) (=> (= reqSent_3.14 reqSent_3.12) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1) (=> (= reqCancelSet_1.29 reqCancelSet_1.26) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..1 inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10.) (=> (= reqCancelSet_4.29 reqCancelSet_4.26) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..1) (=> (= reqSent_1.14 reqSent_1.12) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= k.167 k.161) (=> (= inline.ReadWriteCompletion.0.tempBoogie0.4 inline.ReadWriteCompletion.0.tempBoogie0.2) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.4 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0) (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.2 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0) (=> (= reqCompleted_2.23 reqCompleted_2.20) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.2 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1) (=> (= inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.1 call44694formal.new.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0) (=> (= reqCompleted_0.23 reqCompleted_0.20) (=> (= reqCompleted_4.23 reqCompleted_4.20) (=> (= inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2..2 inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2.) (=> (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..1 inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2.) (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..3 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1.) (=> (= errorReached.106 errorReached.101) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..0) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..1 inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3.) (=> (= inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3..0) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..2 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1.) (=> (= inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.1 call45463formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0) (=> (= inline.ReadWriteCompletion.0.myNondetVar_1.2 inline.ReadWriteCompletion.0.myNondetVar_1.0) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.1 hrequest) (=> (= reqCancelSet_3.29 reqCancelSet_3.26) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1..2 inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1..0) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.2 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.0) (=> (= inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2.) (=> (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.1 inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.0 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= reqCompleteSet_3.14 reqCompleteSet_3.12) (=> (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..1 inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2.) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.1 0) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.1 hrequest) (=> (= reqCompleted_1.23 reqCompleted_1.20) (=> (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0.myNondetVar_0.5) (=> (= reqCompleteSet_2.14 reqCompleteSet_2.12) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..1) (=> (= reqCompleteSet_1.14 reqCompleteSet_1.12) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.0 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..1 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.1 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.3 inline.WdfUsbTargetPipeFormatRequestForUrb.3..callresult..2008.114.2.) (=> (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback) (=> (= reqSent_4.14 reqSent_4.12) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..1 call44694formal.new.0) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.24 inline.ReadWriteCompletion.0.myNondetVar_0.21) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.1 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1) (=> (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback) (=> (= reqCancelSet_0.29 reqCancelSet_0.26) (=> (= reqCompleteSet_4.14 reqCompleteSet_4.12) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.2 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.5 inline.QueuePassiveLevelCallback.0.myNondetVar_0) (=> (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.1 inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback) (=> (= alloc.48 alloc.46) (=> (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1.) (=> (= reqCompleteSet_0.14 reqCompleteSet_0.12) (=> (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..1 inline.WdfUsbTargetPipeFormatRequestForUrb.3..callresult..2008.114.2.) (=> (= inline.ReadWriteCompletion.0.myNondetVar_2.2 inline.ReadWriteCompletion.0.myNondetVar_2.0) (=> (= reqCancelSet_2.29 reqCancelSet_2.26) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..1 call45463formal.ret.0) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.3 inline.GetWorkItemContext.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..1 inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1.) ?v_49)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_47 (and (=> true (=> ?v_33 (=> true (=> (<= k.161 k.162) (=> (< k.162 5) (and (=> true (=> (=> ?v_91 ?v_37) (=> (=> ?v_92 ?v_38) (=> (=> ?v_93 ?v_39) (=> (=> ?v_94 ?v_40) (=> (=> ?v_95 ?v_41) (=> true (=> ?v_96 (=> ?v_97 (=> (= errorReached.102 1) ?v_98)))))))))) (=> true (=> (=> ?v_91 ?v_79) (=> (=> ?v_92 ?v_80) (=> (=> ?v_93 ?v_81) (=> (=> ?v_94 ?v_82) (=> (=> ?v_95 ?v_83) (=> true (=> ?v_96 (=> ?v_97 ?v_100))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= k.163 k.161) (=> (= inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2..0 inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2.) ?v_100))))))))))) (let ((?v_125 (=> true (=> true (=> true (=> true (=> true ?v_118)))))) (?v_120 (= reqSent_3.12 reqSent_3.10)) (?v_121 (= reqSent_2.12 reqSent_2.10)) (?v_122 (= reqSent_4.12 reqSent_4.10)) (?v_123 (= reqSent_0.12 reqSent_0.10)) (?v_124 (= reqSent_1.12 reqSent_1.10)) (?v_115 (= inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3..0 call45488formal.ret.0)) (?v_116 (= k.161 k.160)) (?v_117 (= errorReached.101 errorReached.100))) (let ((?v_105 (=> true (=> (= reqSent_3.12 reqSent_3.11) (=> (= reqSent_2.12 reqSent_2.11) (=> ?v_115 (=> (= reqSent_4.12 reqSent_4.11) (=> ?v_116 (=> (= reqSent_0.12 reqSent_0.11) (=> (= reqSent_1.12 reqSent_1.11) (=> ?v_117 ?v_118))))))))))) (let ((?v_113 (=> true ?v_105)) (?v_107 (= reqSent_1.11 reqSent_1.10)) (?v_102 (= reqSent_3.11 reqSent_3.10)) (?v_108 (= reqSent_0.11 reqSent_0.10)) (?v_103 (= reqSent_2.11 reqSent_2.10)) (?v_104 (= reqSent_4.11 reqSent_4.10))) (let ((?v_109 (=> ?v_104 ?v_113))) (let ((?v_111 (=> ?v_108 (=> ?v_103 ?v_109)))) (let ((?v_114 (=> ?v_102 ?v_111)) (?v_112 (= k.160 4)) (?v_110 (= k.160 3)) (?v_106 (= k.160 2)) (?v_101 (= k.160 1)) (?v_44 (= k.160 0))) (let ((?v_119 (and (=> true (=> ?v_45 (and (=> true (=> ?v_44 (=> true (=> ?v_107 (=> ?v_102 (=> (= reqSent_0.11 1) (=> ?v_103 (=> ?v_104 ?v_105)))))))) (=> true (=> (not ?v_44) (and (=> true (=> ?v_101 (=> true (=> (= reqSent_1.11 1) ?v_114)))) (=> true (=> (not ?v_101) (and (=> true (=> ?v_106 (=> true (=> ?v_107 (=> ?v_102 (=> ?v_108 (=> (= reqSent_2.11 1) ?v_109))))))) (=> true (=> (not ?v_106) (and (=> true (=> ?v_110 (=> true (=> ?v_107 (=> (= reqSent_3.11 1) ?v_111))))) (=> true (=> (not ?v_110) (and (=> true (=> ?v_112 (=> true (=> ?v_107 (=> ?v_102 (=> ?v_108 (=> ?v_103 (=> (= reqSent_4.11 1) ?v_113)))))))) (=> true (=> (not ?v_112) (=> true (=> ?v_107 ?v_114))))))))))))))))))) (=> true (=> ?v_47 (=> true (=> ?v_120 (=> ?v_121 (=> ?v_115 (=> ?v_122 (=> ?v_116 (=> ?v_123 (=> ?v_124 (=> ?v_117 ?v_125)))))))))))))) (let ((?v_141 (and (=> true (=> ?v_33 (=> true (=> (<= k.159 k.160) (=> (< k.160 5) (and (=> true (=> (=> ?v_44 ?v_37) (=> (=> ?v_101 ?v_38) (=> (=> ?v_106 ?v_39) (=> (=> ?v_110 ?v_40) (=> (=> ?v_112 ?v_41) (=> true (=> (= errorReached.100 1) ?v_119)))))))) (=> true (=> (=> ?v_44 ?v_79) (=> (=> ?v_101 ?v_80) (=> (=> ?v_106 ?v_81) (=> (=> ?v_110 ?v_82) (=> (=> ?v_112 ?v_83) (=> true (=> (= errorReached.100 errorReached.99) (=> true ?v_119))))))))))))))) (=> true (=> ?v_99 (=> true (=> ?v_120 (=> ?v_121 (=> (= inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3..0 inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3.) (=> ?v_122 (=> (= k.161 k.159) (=> ?v_123 (=> ?v_124 (=> (= errorReached.101 errorReached.99) ?v_125)))))))))))))) (let ((?v_130 (=> true (=> (= reqCompleteSet_2.12 reqCompleteSet_2.11) (=> (= reqCompleteSet_4.12 reqCompleteSet_4.11) (=> (= reqCompleteSet_1.12 reqCompleteSet_1.11) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1..0 call45272formal.ret.0) (=> (= reqCompleteSet_0.12 reqCompleteSet_0.11) (=> (= k.159 k.158) (=> (= errorReached.99 errorReached.98) (=> (= reqCompleteSet_3.12 reqCompleteSet_3.11) ?v_141))))))))))) (let ((?v_134 (=> true ?v_130)) (?v_132 (= reqCompleteSet_1.11 reqCompleteSet_1.10)) (?v_127 (= reqCompleteSet_3.11 reqCompleteSet_3.10)) (?v_128 (= reqCompleteSet_4.11 reqCompleteSet_4.10)) (?v_133 (= reqCompleteSet_0.11 reqCompleteSet_0.10)) (?v_129 (= reqCompleteSet_2.11 reqCompleteSet_2.10))) (let ((?v_138 (=> ?v_133 (=> ?v_129 ?v_134)))) (let ((?v_136 (=> ?v_128 ?v_138))) (let ((?v_139 (=> ?v_127 ?v_136)) (?v_137 (= k.158 4)) (?v_135 (= k.158 3)) (?v_131 (= k.158 2)) (?v_126 (= k.158 1)) (?v_43 (= k.158 0))) (let ((?v_140 (and (=> true (=> ?v_43 (=> true (=> ?v_132 (=> ?v_127 (=> ?v_128 (=> (= reqCompleteSet_0.11 1) (=> ?v_129 ?v_130)))))))) (=> true (=> (not ?v_43) (and (=> true (=> ?v_126 (=> true (=> (= reqCompleteSet_1.11 1) ?v_139)))) (=> true (=> (not ?v_126) (and (=> true (=> ?v_131 (=> true (=> ?v_132 (=> ?v_127 (=> ?v_128 (=> ?v_133 (=> (= reqCompleteSet_2.11 1) ?v_134)))))))) (=> true (=> (not ?v_131) (and (=> true (=> ?v_135 (=> true (=> ?v_132 (=> (= reqCompleteSet_3.11 1) ?v_136))))) (=> true (=> (not ?v_135) (and (=> true (=> ?v_137 (=> true (=> ?v_132 (=> ?v_127 (=> (= reqCompleteSet_4.11 1) ?v_138)))))) (=> true (=> (not ?v_137) (=> true (=> ?v_132 ?v_139))))))))))))))))))) (let ((?v_236 (=> true (=> (= inline.ReadWriteCompletion.0.tempBoogie0.1 (PLUS inline.ReadWriteCompletion.0.myNondetVar_0.19 1 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0)) (=> true (=> (= inline.ReadWriteCompletion.0.tempBoogie0.2 (MINUS_BOTH_PTR_OR_BOTH_INT inline.ReadWriteCompletion.0.myNondetVar_0.20 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0 1)) (and (=> true (=> ?v_142 (and (=> true (=> ?v_33 (=> true (=> (<= k.157 k.158) (=> (< k.158 5) (and (=> true (=> (=> ?v_43 ?v_37) (=> (=> ?v_126 ?v_38) (=> (=> ?v_131 ?v_39) (=> (=> ?v_135 ?v_40) (=> (=> ?v_137 ?v_41) (=> true (=> (= errorReached.98 1) ?v_140)))))))) (=> true (=> (=> ?v_43 ?v_79) (=> (=> ?v_126 ?v_80) (=> (=> ?v_131 ?v_81) (=> (=> ?v_135 ?v_82) (=> (=> ?v_137 ?v_83) (=> true (=> (= errorReached.98 errorReached.97) (=> true ?v_140))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= reqCompleteSet_2.12 reqCompleteSet_2.10) (=> (= reqCompleteSet_4.12 reqCompleteSet_4.10) (=> (= reqCompleteSet_1.12 reqCompleteSet_1.10) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1..0 inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1.) (=> (= reqCompleteSet_0.12 reqCompleteSet_0.10) (=> (= k.159 k.157) (=> (= errorReached.99 errorReached.97) (=> (= reqCompleteSet_3.12 reqCompleteSet_3.10) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_141))))))))))))))))))))))))))))))) (=> true (=> (not ?v_142) (=> true (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.1 ?v_753) (=> true (=> ?v_143 (=> ?v_144 (=> ?v_195 (=> ?v_145 (=> ?v_196 (=> ?v_197 (=> ?v_146 (=> ?v_198 (=> ?v_199 (=> ?v_200 (=> ?v_201 (=> ?v_147 (=> ?v_148 (=> ?v_202 (=> ?v_149 (=> ?v_150 (=> ?v_151 (=> (= k.164 k.157) (=> ?v_152 (=> ?v_153 (=> ?v_154 (=> ?v_203 (=> ?v_155 (=> ?v_156 (=> ?v_157 (=> ?v_204 (=> ?v_158 (=> ?v_159 (=> ?v_160 (=> ?v_161 (=> ?v_205 (=> ?v_162 (=> ?v_163 (=> (= errorReached.103 errorReached.97) (=> ?v_164 (=> ?v_206 (=> ?v_207 (=> ?v_165 (=> ?v_208 (=> ?v_166 (=> ?v_209 (=> ?v_210 (=> ?v_211 (=> ?v_167 (=> ?v_212 (=> ?v_168 (=> ?v_169 (=> ?v_213 (=> ?v_170 (=> ?v_171 (=> ?v_214 (=> ?v_215 (=> ?v_172 (=> ?v_216 (=> ?v_173 (=> ?v_174 (=> ?v_175 (=> ?v_176 (=> ?v_177 (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2 inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.1) (=> ?v_178 (=> ?v_179 (=> ?v_217 (=> ?v_180 (=> ?v_181 (=> ?v_182 (=> ?v_183 (=> ?v_184 (=> ?v_218 (=> ?v_219 (=> ?v_185 (=> ?v_186 (=> ?v_187 (=> ?v_188 (=> ?v_220 (=> ?v_221 (=> ?v_189 (=> ?v_190 (=> ?v_222 (=> ?v_191 ?v_223)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_243 (and (=> true (=> ?v_237 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.2) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.17 inline.ReadWriteCompletion.0.myNondetVar_0.16) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..0) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..0 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3.) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= errorReached.97 errorReached.96) (=> (= k.157 k.156) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 call44836formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..0 call44836formal.ret.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_236)))))))))))))))))))))))))))))) (=> true (=> (not ?v_237) (=> true (=> ?v_238 (=> ?v_254 (=> ?v_195 (=> ?v_145 (=> ?v_196 (=> ?v_197 (=> ?v_146 (=> ?v_198 (=> ?v_199 (=> ?v_200 (=> ?v_201 (=> ?v_255 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..0) (=> ?v_202 (=> ?v_257 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_151 (=> (= k.164 k.156) (=> ?v_239 (=> ?v_153 (=> ?v_154 (=> ?v_203 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..1 call44836formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 hrequest) (=> ?v_157 (=> ?v_204 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.2) (=> ?v_159 (=> ?v_160 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 hrequest) (=> ?v_205 (=> ?v_240 (=> ?v_163 (=> (= errorReached.103 errorReached.96) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_206 (=> ?v_207 (=> ?v_165 (=> ?v_208 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 call44836formal.ret.0) (=> ?v_209 (=> ?v_210 (=> ?v_211 (=> ?v_167 (=> ?v_212 (=> ?v_168 (=> ?v_169 (=> ?v_213 (=> ?v_170 (=> ?v_171 (=> ?v_214 (=> ?v_215 (=> ?v_265 (=> ?v_216 (=> ?v_266 (=> ?v_174 (=> ?v_267 (=> ?v_268 (=> ?v_177 (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_178 (=> ?v_179 (=> ?v_217 (=> ?v_269 (=> ?v_181 (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.22 inline.ReadWriteCompletion.0.myNondetVar_0.16) ?v_241))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_242 (= call44836formal.ret.0 0))) (let ((?v_251 (and (=> true (=> (not ?v_242) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 ?v_87) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.1) ?v_243))))))) (=> true (=> ?v_242 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true ?v_243))))))))))))) (let ((?v_252 (=> (= errorReached.96 errorReached.91) (=> true (=> true (=> true ?v_251))))) (?v_249 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..0 call44839formal.ret.0)) (?v_250 (= k.156 k.155)) (?v_244 (= k.155 0)) (?v_245 (= k.155 1)) (?v_246 (= k.155 2)) (?v_247 (= k.155 3)) (?v_248 (= k.155 4)) (?v_225 (and (=> true (=> ?v_194 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.17 inline.ReadWriteCompletion.0.myNondetVar_0.15) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2.) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..0 call45000formal.ret.0) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 call45000formal.ret.0) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..0 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6.) (=> (= errorReached.97 errorReached.95) (=> (= k.157 k.154) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3.) ?v_236))))))))))))))))))))))) (=> true (=> (not ?v_194) (=> true (=> ?v_238 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 call45000formal.ret.0) (=> ?v_195 (=> ?v_145 (=> ?v_196 (=> ?v_197 (=> ?v_146 (=> ?v_198 (=> ?v_199 (=> ?v_200 (=> ?v_201 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..1 call45000formal.ret.0) (=> ?v_256 (=> ?v_202 (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_258 (=> ?v_151 (=> (= k.164 k.154) (=> ?v_239 (=> ?v_153 (=> ?v_154 (=> ?v_203 (=> ?v_259 (=> ?v_260 (=> ?v_157 (=> ?v_204 (=> ?v_261 (=> ?v_159 (=> ?v_160 (=> ?v_262 (=> ?v_205 (=> ?v_240 (=> ?v_163 (=> (= errorReached.103 errorReached.95) (=> ?v_263 (=> ?v_206 (=> ?v_207 (=> ?v_165 (=> ?v_208 (=> ?v_264 (=> ?v_209 (=> ?v_210 (=> ?v_211 (=> ?v_167 (=> ?v_212 (=> ?v_168 (=> ?v_169 (=> ?v_213 (=> ?v_170 (=> ?v_171 (=> ?v_214 (=> ?v_215 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..0) (=> ?v_216 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.2) (=> ?v_174 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 hrequest) (=> ?v_177 (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_178 (=> ?v_179 (=> ?v_217 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_181 (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.22 inline.ReadWriteCompletion.0.myNondetVar_0.15) ?v_241))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_224 (= call45000formal.ret.0 0))) (let ((?v_233 (and (=> true (=> (not ?v_224) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 ?v_87) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.1) ?v_225))))))) (=> true (=> ?v_224 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true ?v_225))))))))))))) (let ((?v_235 (=> true (=> true (=> true ?v_233)))) (?v_234 (= errorReached.95 errorReached.91)) (?v_231 (= k.154 k.153)) (?v_232 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..0 call45003formal.ret.0)) (?v_226 (= k.153 0)) (?v_227 (= k.153 1)) (?v_228 (= k.153 2)) (?v_229 (= k.153 3)) (?v_230 (= k.153 4))) (let ((?v_253 (and (=> true (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.15 3) (and (=> true (=> ?v_33 (=> true (=> (<= k.149 k.153) (=> (< k.153 5) (and (=> true (=> (=> ?v_226 ?v_37) (=> (=> ?v_227 ?v_38) (=> (=> ?v_228 ?v_39) (=> (=> ?v_229 ?v_40) (=> (=> ?v_230 ?v_41) (=> true (=> ?v_231 (=> (= errorReached.95 1) (=> ?v_232 ?v_233)))))))))) (=> true (=> (=> ?v_226 ?v_79) (=> (=> ?v_227 ?v_80) (=> (=> ?v_228 ?v_81) (=> (=> ?v_229 ?v_82) (=> (=> ?v_230 ?v_83) (=> true (=> ?v_231 (=> ?v_234 (=> ?v_232 ?v_235)))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= k.154 k.149) (=> ?v_234 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2.) ?v_235))))))))) (=> true (=> (not (= inline.ReadWriteCompletion.0.myNondetVar_0.16 3)) (and (=> true (=> ?v_33 (=> true (=> (<= k.149 k.155) (=> (< k.155 5) (and (=> true (=> (=> ?v_244 ?v_37) (=> (=> ?v_245 ?v_38) (=> (=> ?v_246 ?v_39) (=> (=> ?v_247 ?v_40) (=> (=> ?v_248 ?v_41) (=> true (=> ?v_249 (=> ?v_250 (=> (= errorReached.96 1) ?v_251)))))))))) (=> true (=> (=> ?v_244 ?v_79) (=> (=> ?v_245 ?v_80) (=> (=> ?v_246 ?v_81) (=> (=> ?v_247 ?v_82) (=> (=> ?v_248 ?v_83) (=> true (=> ?v_249 (=> ?v_250 ?v_252))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2.) (=> (= k.156 k.149) ?v_252)))))))))) (?v_42 (int_2_U call44694formal.new.0))) (let ((?v_306 (and (=> true (=> ?v_270 (=> true (and ?v_31 (=> ?v_31 (=> (> call44694formal.new.0 0) (=> (forall ((?x583 Int)) (! (=> (and (<= call44694formal.new.0 ?x583) (< ?x583 (+ call44694formal.new.0 0))) (= (Base ?x583) call44694formal.new.0)) :pattern ((Base ?x583)) )) (=> (forall ((?x584 boogieU)) (! (=> (= (type ?x584) intType) (or (= (U_2_int ?x584) call44694formal.new.0) (= (MapType0Select alloc.41 ?x584) (MapType0Select alloc.46 ?x584)))) :pattern ((MapType0Select alloc.46 ?x584)) )) (=> (and (= (MapType0Select alloc.41 ?v_42) UNALLOCATED) (= (MapType0Select alloc.46 ?v_42) ALLOCATED)) (=> true (=> (= inline.ReadWriteCompletion.0.tempBoogie0.0 (PLUS inline.ReadWriteCompletion.0.myNondetVar_0.6 1 inline.ReadWriteCompletion.0.myNondetVar_0.5)) (and (=> true (=> (not (= inline.ReadWriteCompletion.0.myNondetVar_0.9 0)) (and (=> true (=> (< 256 inline.ReadWriteCompletion.0.myNondetVar_0.12) (=> true (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.13 inline.ReadWriteCompletion.0.myNondetVar_0.12) (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0 256) ?v_253))))) (=> true (=> (not (< 256 inline.ReadWriteCompletion.0.myNondetVar_0.10)) (=> true (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.13 inline.ReadWriteCompletion.0.myNondetVar_0.11) (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.0 inline.ReadWriteCompletion.0.myNondetVar_0.11) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_253))))))))))))))) (=> true (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.7 0) (=> true (=> ?v_238 (=> ?v_254 (=> ?v_195 (=> ?v_145 (=> ?v_196 (=> ?v_197 (=> ?v_146 (=> ?v_198 (=> ?v_199 (=> ?v_200 (=> ?v_201 (=> ?v_255 (=> ?v_256 (=> ?v_202 (=> ?v_257 (=> ?v_258 (=> ?v_151 (=> (= k.164 k.149) (=> ?v_239 (=> ?v_153 (=> ?v_276 (=> ?v_203 (=> ?v_259 (=> ?v_260 (=> ?v_157 (=> ?v_204 (=> ?v_261 (=> ?v_159 (=> ?v_160 (=> ?v_262 (=> ?v_205 (=> ?v_240 (=> ?v_163 (=> (= errorReached.103 errorReached.91) (=> ?v_263 (=> ?v_206 (=> ?v_207 (=> ?v_165 (=> ?v_208 (=> ?v_264 (=> ?v_209 (=> ?v_210 (=> ?v_211 (=> ?v_167 (=> ?v_212 (=> ?v_168 (=> ?v_169 (=> ?v_213 (=> ?v_170 (=> ?v_171 (=> ?v_214 (=> ?v_215 (=> ?v_265 (=> ?v_216 (=> ?v_266 (=> ?v_174 (=> ?v_267 (=> ?v_268 (=> ?v_177 (=> ?v_277 (=> ?v_178 (=> ?v_179 (=> ?v_217 (=> ?v_269 (=> ?v_181 (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.22 inline.ReadWriteCompletion.0.myNondetVar_0.8) ?v_241))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_270) (=> true (and ?v_17 (=> ?v_17 (=> (> call46162formal.new.0 0) (=> (forall ((?x577 Int)) (! (=> (and (<= call46162formal.new.0 ?x577) (< ?x577 (+ call46162formal.new.0 32))) (= (Base ?x577) call46162formal.new.0)) :pattern ((Base ?x577)) )) (=> (forall ((?x578 boogieU)) (! (=> (= (type ?x578) intType) (or (= (U_2_int ?x578) call46162formal.new.0) (= (MapType0Select alloc.41 ?x578) (MapType0Select alloc.42 ?x578)))) :pattern ((MapType0Select alloc.42 ?x578)) )) (=> (and (= (MapType0Select alloc.41 ?v_271) UNALLOCATED) (= (MapType0Select alloc.42 ?v_271) ALLOCATED)) (and ?v_20 (=> ?v_20 (=> (> call46165formal.new.0 0) (=> (forall ((?x579 Int)) (! (=> (and (<= call46165formal.new.0 ?x579) (< ?x579 (+ call46165formal.new.0 4))) (= (Base ?x579) call46165formal.new.0)) :pattern ((Base ?x579)) )) (=> (forall ((?x580 boogieU)) (! (=> (= (type ?x580) intType) (or (= (U_2_int ?x580) call46165formal.new.0) (= (MapType0Select alloc.42 ?x580) (MapType0Select alloc.43 ?x580)))) :pattern ((MapType0Select alloc.43 ?x580)) )) (=> (and (= (MapType0Select alloc.42 ?v_272) UNALLOCATED) (= (MapType0Select alloc.43 ?v_272) ALLOCATED)) (and ?v_273 (=> ?v_273 (=> (> call46168formal.new.0 0) (=> (forall ((?x581 Int)) (! (=> (and (<= call46168formal.new.0 ?x581) (< ?x581 (+ call46168formal.new.0 12))) (= (Base ?x581) call46168formal.new.0)) :pattern ((Base ?x581)) )) (=> (forall ((?x582 boogieU)) (! (=> (= (type ?x582) intType) (or (= (U_2_int ?x582) call46168formal.new.0) (= (MapType0Select alloc.43 ?x582) (MapType0Select alloc.44 ?x582)))) :pattern ((MapType0Select alloc.44 ?x582)) )) (=> (and (= (MapType0Select alloc.43 ?v_274) UNALLOCATED) (= (MapType0Select alloc.44 ?v_274) ALLOCATED)) (=> true (and ?v_31 (=> ?v_31 (=> (> call46214formal.new.0 0) (=> (forall ((?x575 Int)) (! (=> (and (<= call46214formal.new.0 ?x575) (< ?x575 (+ call46214formal.new.0 0))) (= (Base ?x575) call46214formal.new.0)) :pattern ((Base ?x575)) )) (=> (forall ((?x576 boogieU)) (! (=> (= (type ?x576) intType) (or (= (U_2_int ?x576) call46214formal.new.0) (= (MapType0Select alloc.44 ?x576) (MapType0Select alloc.45 ?x576)))) :pattern ((MapType0Select alloc.45 ?x576)) )) (=> (and (= (MapType0Select alloc.44 ?v_275) UNALLOCATED) (= (MapType0Select alloc.45 ?v_275) ALLOCATED)) (and (=> true (=> (not ?v_298) (=> true (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..0 ?v_1321) (=> true (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.2 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.0) (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..0) ?v_299))))))) (=> true (=> ?v_298 (=> true (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.2 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.1) (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_299))))))))))))))))))))))))))))))))))))))))) (?v_308 (= k.149 k.147)) (?v_309 (= errorReached.91 errorReached.89))) (let ((?v_310 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_306))))))))))))) (?v_312 (= hrequest hdevice))) (let ((?v_443 (not ?v_312)) (?v_311 (= hrequest hqueue))) (let ((?v_442 (not ?v_311)) (?v_307 (= hrequest htimer))) (let ((?v_437 (not ?v_307)) (?v_305 (=> true (=> (= k.149 k.148) (=> (= errorReached.91 errorReached.90) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..0 call44499formal.ret.0) ?v_306)))))) (?v_300 (= k.148 0)) (?v_301 (= k.148 1)) (?v_302 (= k.148 2)) (?v_303 (= k.148 3)) (?v_304 (= k.148 4))) (let ((?v_314 (and (=> true (=> ?v_33 (=> true (=> (<= k.147 k.148) (=> (< k.148 5) (and (=> true (=> (=> ?v_300 ?v_37) (=> (=> ?v_301 ?v_38) (=> (=> ?v_302 ?v_39) (=> (=> ?v_303 ?v_40) (=> (=> ?v_304 ?v_41) (=> true (=> (= errorReached.90 1) ?v_305)))))))) (=> true (=> (=> ?v_300 ?v_79) (=> (=> ?v_301 ?v_80) (=> (=> ?v_302 ?v_81) (=> (=> ?v_303 ?v_82) (=> (=> ?v_304 ?v_83) (=> true (=> (= errorReached.90 errorReached.89) (=> true ?v_305))))))))))))))) (=> true (=> ?v_99 (and (=> true (=> ?v_307 (=> true (=> ?v_308 (=> ?v_309 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_310)))))) (=> true (=> ?v_437 (and (=> true (=> ?v_311 (=> true (=> ?v_308 (=> ?v_309 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_310)))))) (=> true (=> ?v_442 (and (=> true (=> ?v_312 (=> true (=> ?v_308 (=> ?v_309 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_310)))))) (=> true (=> ?v_443 (=> true (=> ?v_308 (=> ?v_309 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_310))))))))))))))))) (?v_35 (>= 1 0)) (?v_313 (int_2_U call44428formal.new.0)) (?v_36 (int_2_U call44436formal.new.0)) (?v_34 (int_2_U call44310formal.new.0))) (let ((?v_322 (=> true (and ?v_31 (=> ?v_31 (=> (> call44310formal.new.0 0) (=> (forall ((?x589 Int)) (! (=> (and (<= call44310formal.new.0 ?x589) (< ?x589 (+ call44310formal.new.0 0))) (= (Base ?x589) call44310formal.new.0)) :pattern ((Base ?x589)) )) (=> (forall ((?x590 boogieU)) (! (=> (= (type ?x590) intType) (or (= (U_2_int ?x590) call44310formal.new.0) (= (MapType0Select alloc.37 ?x590) (MapType0Select alloc.38 ?x590)))) :pattern ((MapType0Select alloc.38 ?x590)) )) (=> (and (= (MapType0Select alloc.37 ?v_34) UNALLOCATED) (= (MapType0Select alloc.38 ?v_34) ALLOCATED)) (and (=> true (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.0 3) (=> true (and ?v_35 (=> ?v_35 (=> (> call44436formal.new.0 0) (=> (forall ((?x587 Int)) (! (=> (and (<= call44436formal.new.0 ?x587) (< ?x587 (+ call44436formal.new.0 1))) (= (Base ?x587) call44436formal.new.0)) :pattern ((Base ?x587)) )) (=> (forall ((?x588 boogieU)) (! (=> (= (type ?x588) intType) (or (= (U_2_int ?x588) call44436formal.new.0) (= (MapType0Select alloc.38 ?x588) (MapType0Select alloc.39 ?x588)))) :pattern ((MapType0Select alloc.39 ?x588)) )) (=> (and (= (MapType0Select alloc.38 ?v_36) UNALLOCATED) (= (MapType0Select alloc.39 ?v_36) ALLOCATED)) (=> true (=> (= alloc.41 alloc.39) (=> (= inline.ReadWriteCompletion.0.havoc_stringTemp.0 call44436formal.new.0) (=> (= inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.0 call44436formal.new.0) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.2 inline.ReadWriteCompletion.0.myNondetVar_0.0) ?v_314)))))))))))))) (=> true (=> (not (= inline.ReadWriteCompletion.0.myNondetVar_0.1 3)) (=> true (and ?v_35 (=> ?v_35 (=> (> call44428formal.new.0 0) (=> (forall ((?x585 Int)) (! (=> (and (<= call44428formal.new.0 ?x585) (< ?x585 (+ call44428formal.new.0 1))) (= (Base ?x585) call44428formal.new.0)) :pattern ((Base ?x585)) )) (=> (forall ((?x586 boogieU)) (! (=> (= (type ?x586) intType) (or (= (U_2_int ?x586) call44428formal.new.0) (= (MapType0Select alloc.38 ?x586) (MapType0Select alloc.40 ?x586)))) :pattern ((MapType0Select alloc.40 ?x586)) )) (=> (and (= (MapType0Select alloc.38 ?v_313) UNALLOCATED) (= (MapType0Select alloc.40 ?v_313) ALLOCATED)) (=> true (=> (= alloc.41 alloc.40) (=> (= inline.ReadWriteCompletion.0.havoc_stringTemp.0 call44428formal.new.0) (=> (= inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.0 call44428formal.new.0) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.2 inline.ReadWriteCompletion.0.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_314))))))))))))))))))))))))))))))) (let ((?v_323 (=> (= errorReached.89 errorReached.88) ?v_322)) (?v_320 (= inline.sdv_WdfRequestGetParameters.0..result.userContextSwitch.7695.4.1..0 call44313formal.ret.0)) (?v_321 (= k.147 k.146)) (?v_315 (= k.146 0)) (?v_316 (= k.146 1)) (?v_317 (= k.146 2)) (?v_318 (= k.146 3)) (?v_319 (= k.146 4)) (?v_32 (int_2_U call44264formal.new.0)) (?v_28 (>= 24 0)) (?v_29 (int_2_U call44225formal.new.0)) (?v_30 (int_2_U call44228formal.new.0)) (?v_27 (= call43998formal.ret.0 0))) (let ((?v_329 (=> true (=> (<= 0 k.145) (=> (< k.145 5) (and (=> true (=> (not ?v_27) (=> true (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 inline.WdfUsbTargetPipeFormatRequestForUrb.3..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.) (=> (= inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1..2 inline.sdv_WdfRequestComplete.0..result.userContextSwitch.7639.4.1.) (=> (= reqCompleted_4.24 reqCompleted_4.20) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1.0 inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters1) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1.2 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT1) (=> (= inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.3..result.sdv_WdfRequestSend.7757.0.1.) (=> (= inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..status.3.779.35.QueuePassiveLevelCallback) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine) (=> (= reqSent_0.15 reqSent_0.10) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.3 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion.0 inline.ReadWriteCompletion.0..params.13.272.28.ReadWriteCompletion) (=> (= reqCompleted_3.24 reqCompleted_3.20) (=> (= reqSent_2.15 reqSent_2.10) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1.0 inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT1) (=> (= inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7..2 inline.ReadWriteCompletion.0..result.WdfUsbTargetPipeFormatRequestForUrb.361.48.7.) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestGetStatus.378.36.10.) (=> (= inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.3..Request.1.7776.18.sdv_WdfRequestGetStatus1) (=> (= inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion.0 inline.ReadWriteCompletion.0..requestMdl.5.264.28.ReadWriteCompletion) (=> (= reqCancelSet_1.30 reqCancelSet_1.26) (=> (= inline.GetRequestContext.3.myNondetVar_0.1 inline.GetRequestContext.3.myNondetVar_0) (=> (= reqCancelSet_0.30 reqCancelSet_0.26) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT.0 inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..Parameters.1.7682.32.sdv_WDF_REQUEST_PARAMETERS_INIT) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.SdvMakeChoice.7222.18.3.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.userContextSwitch.7243.4.2.) (=> (= reqSent_1.15 reqSent_1.10) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5..3 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.332.47.5.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.3 inline.sdv_WdfObjectGetTypedContextWorker.14..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..result.SdvMakeChoice.7246.18.3.) (=> (= inline.ReadWriteCompletion.0.tempBoogie0.5 inline.ReadWriteCompletion.0.tempBoogie0) (=> (= inline.sdv_WdfWorkItemCreate.0.myNondetVar_0.5 inline.sdv_WdfWorkItemCreate.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2..0 inline.sdv_WdfRequestGetParameters.0..result.malloc.7697.45.2.) (=> (= reqCompleted_2.24 reqCompleted_2.20) (=> (= reqSent_3.15 reqSent_3.10) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1.3 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext1) (=> (= inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.12..choice.1.6131.6.sdv_SetReturnStatus) (=> (= inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters.0 inline.sdv_WdfRequestGetParameters.0..Request.1.7690.18.sdv_WdfRequestGetParameters) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveInputWdmMdl.3.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..4 inline.sdv_WdfObjectGetTypedContextWorker.14..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1) (=> (= reqCompleted_0.24 reqCompleted_0.20) (=> (= inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0.3 inline.sdv_WdfMemoryGetBuffer.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2..3 inline.sdv_WdfRequestGetStatus.3..result.userContextSwitch.7780.4.2.) (=> (= inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2..2 inline.sdv_WdfWorkItemCreate.0..result.SdvMakeChoice.6927.22.2.) (=> (= inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1..4 inline.sdv_WdfWorkItemCreate.0..result.sdv_WdfWorkItemCreate.6921.0.1.) (=> (= errorReached.107 errorReached.88) (=> (= inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext1.0 inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext1) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6..3 inline.ReadWriteCompletion.0..result.sdv_WdfRequestRetrieveInputWdmMdl.338.46.6.) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3..2 inline.sdv_WdfRequestGetStatus.3..result.sdv_SetReturnStatus.7782.27.3.) (=> (= inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1..0 inline.sdv_WDF_REQUEST_PARAMETERS_INIT.0..result.malloc.7685.45.1.) (=> (= inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.3..result.userContextSwitch.7765.4.3.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.13..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1.0 inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters1) (=> (= inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.3..retVal.4.7763.10.sdv_WdfRequestSend) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.3..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion.0 inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion) (=> (= inline.ReadWriteCompletion.0.myNondetVar_1.3 inline.ReadWriteCompletion.0.myNondetVar_1) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend) (=> (= reqCancelSet_3.30 reqCancelSet_3.26) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1..3 inline.sdv_WdfRequestSetCompletionRoutine.3..result.userContextSwitch.7028.4.1.) (=> (= inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.12..result.SdvMakeChoice.6131.28.2.) (=> (= inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate.2 inline.sdv_WdfWorkItemCreate.0..x.4.6927.5.sdv_WdfWorkItemCreate) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete) (=> (= reqCompleteSet_3.15 reqCompleteSet_3.10) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.3..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1) (=> (= inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.3..Request.1.7758.18.sdv_WdfRequestSend1) (=> (= reqCancelSet_4.30 reqCancelSet_4.26) (=> (= reqCompleted_1.24 reqCompleted_1.20) (=> (= inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion.2 inline.ReadWriteCompletion.0..bytesReadWritten.12.271.28.ReadWriteCompletion) (=> (= reqCompleteSet_2.15 reqCompleteSet_2.10) (=> (= inline.ReadWriteCompletion.0.havoc_stringTemp.1 inline.ReadWriteCompletion.0.havoc_stringTemp) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.userContextSwitch.7219.4.2.) (=> (= reqCompleteSet_1.15 reqCompleteSet_1.10) (=> (= inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1..3 inline.QueuePassiveLevelCallback.0..result.QueuePassiveLevelCallback.760.0.1.) (=> (= inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1.1 inline.sdv_WdfRequestComplete.0..Request.1.7634.18.sdv_WdfRequestComplete1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3.myNondetVar_0) (=> (= inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2..2 inline.QueuePassiveLevelCallback.0..result.sdv_WdfWorkItemCreate.791.30.2.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2..4 inline.sdv_WdfObjectGetTypedContextWorker.14..result.userContextSwitch.6841.4.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters.0 inline.sdv_WdfRequestGetParameters.0..Parameters.2.7691.32.sdv_WdfRequestGetParameters) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1) (=> (= reqCancelSet_2.30 reqCancelSet_2.26) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT.2 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..Config.1.6914.29.sdv_WDF_WORKITEM_CONFIG_INIT) (=> (= inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion.4 inline.ReadWriteCompletion.0..status.8.267.27.ReadWriteCompletion) (=> (= inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..workitemConfig.6.782.36.QueuePassiveLevelCallback) (=> (= reqSent_4.15 reqSent_4.10) (=> (= inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1.0 inline.ReadWriteCompletion.0..Request.1.238.35.ReadWriteCompletion1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.3..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.) (=> (= inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2..2 inline.sdv_WdfMemoryGetBuffer.0..result.malloc.7264.29.2.) (=> (= inline.ReadWriteCompletion.0.myNondetVar_0.25 inline.ReadWriteCompletion.0.myNondetVar_0) (=> (= inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion.1 inline.ReadWriteCompletion.0..operation.11.270.28.ReadWriteCompletion) (=> (= inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..hWorkItem.7.783.36.QueuePassiveLevelCallback) (=> (= k.168 k.145) (=> (= inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext.0 inline.GetRequestContext.3..Handle.1.127.0.GetRequestContext) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= reqCompleteSet_4.15 reqCompleteSet_4.10) (=> (= inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion.3 inline.ReadWriteCompletion.0..stageLength.7.266.28.ReadWriteCompletion) (=> (= inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.3..result.SdvMakeChoice.7763.32.2.) (=> (= inline.sdv_WdfRequestGetParameters.0..result.userContextSwitch.7695.4.1..1 inline.sdv_WdfRequestGetParameters.0..result.userContextSwitch.7695.4.1.) (=> (= inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext.3 inline.GetWorkItemContext.0..Handle.1.135.0.GetWorkItemContext) (=> (= inline.QueuePassiveLevelCallback.0.myNondetVar_0.6 inline.QueuePassiveLevelCallback.0.myNondetVar_0) (=> (= inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback.2 inline.QueuePassiveLevelCallback.0..attributes.5.781.36.QueuePassiveLevelCallback) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.13..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= alloc.49 alloc.34) (=> (= inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.12..result.sdv_SetReturnStatus.6129.0.1.) (=> (= reqCompleteSet_0.15 reqCompleteSet_0.10) (=> (= inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1.2 inline.sdv_WdfMemoryGetBuffer.0..BufferSize.2.7261.25.sdv_WdfMemoryGetBuffer1) (=> (= inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1..2 inline.sdv_WDF_WORKITEM_CONFIG_INIT.0..result.malloc.6918.38.1.) (=> (= inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8..2 inline.ReadWriteCompletion.0..result.sdv_WdfRequestSend.376.23.8.) (=> (= inline.ReadWriteCompletion.0.myNondetVar_2.3 inline.ReadWriteCompletion.0.myNondetVar_2) (=> (= inline.GetWorkItemContext.0.myNondetVar_0.4 inline.GetWorkItemContext.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1..2 inline.sdv_WdfRequestGetStatus.3..result.sdv_WdfRequestGetStatus.7775.0.1.) ?v_46)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_27 (=> true (=> (=> (= k.145 0) (and (not (= reqCompleteSet_0.10 0)) (not (= reqSent_0.10 0)))) (=> (=> (= k.145 1) (and (not (= reqCompleteSet_1.10 0)) (not (= reqSent_1.10 0)))) (=> (=> (= k.145 2) (and (not (= reqCompleteSet_2.10 0)) (not (= reqSent_2.10 0)))) (=> (=> (= k.145 3) (and (not (= reqCompleteSet_3.10 0)) (not (= reqSent_3.10 0)))) (=> (=> (= k.145 4) (and (not (= reqCompleteSet_4.10 0)) (not (= reqSent_4.10 0)))) (=> true (and ?v_28 (=> ?v_28 (=> (> call44225formal.new.0 0) (=> (forall ((?x593 Int)) (! (=> (and (<= call44225formal.new.0 ?x593) (< ?x593 (+ call44225formal.new.0 24))) (= (Base ?x593) call44225formal.new.0)) :pattern ((Base ?x593)) )) (=> (forall ((?x594 boogieU)) (! (=> (= (type ?x594) intType) (or (= (U_2_int ?x594) call44225formal.new.0) (= (MapType0Select alloc.34 ?x594) (MapType0Select alloc.35 ?x594)))) :pattern ((MapType0Select alloc.35 ?x594)) )) (=> (and (= (MapType0Select alloc.34 ?v_29) UNALLOCATED) (= (MapType0Select alloc.35 ?v_29) ALLOCATED)) (and ?v_20 (=> ?v_20 (=> (> call44228formal.new.0 0) (=> (forall ((?x595 Int)) (! (=> (and (<= call44228formal.new.0 ?x595) (< ?x595 (+ call44228formal.new.0 4))) (= (Base ?x595) call44228formal.new.0)) :pattern ((Base ?x595)) )) (=> (forall ((?x596 boogieU)) (! (=> (= (type ?x596) intType) (or (= (U_2_int ?x596) call44228formal.new.0) (= (MapType0Select alloc.35 ?x596) (MapType0Select alloc.36 ?x596)))) :pattern ((MapType0Select alloc.36 ?x596)) )) (=> (and (= (MapType0Select alloc.35 ?v_30) UNALLOCATED) (= (MapType0Select alloc.36 ?v_30) ALLOCATED)) (=> true (and ?v_31 (=> ?v_31 (=> (> call44264formal.new.0 0) (=> (forall ((?x591 Int)) (! (=> (and (<= call44264formal.new.0 ?x591) (< ?x591 (+ call44264formal.new.0 0))) (= (Base ?x591) call44264formal.new.0)) :pattern ((Base ?x591)) )) (=> (forall ((?x592 boogieU)) (! (=> (= (type ?x592) intType) (or (= (U_2_int ?x592) call44264formal.new.0) (= (MapType0Select alloc.36 ?x592) (MapType0Select alloc.37 ?x592)))) :pattern ((MapType0Select alloc.37 ?x592)) )) (=> (and (= (MapType0Select alloc.36 ?v_32) UNALLOCATED) (= (MapType0Select alloc.37 ?v_32) ALLOCATED)) (and (=> true (=> ?v_33 (=> true (=> (<= k.145 k.146) (=> (< k.146 5) (and (=> true (=> (=> ?v_315 ?v_37) (=> (=> ?v_316 ?v_38) (=> (=> ?v_317 ?v_39) (=> (=> ?v_318 ?v_40) (=> (=> ?v_319 ?v_41) (=> true (=> ?v_320 (=> ?v_321 (=> (= errorReached.89 1) ?v_322)))))))))) (=> true (=> (=> ?v_315 ?v_79) (=> (=> ?v_316 ?v_80) (=> (=> ?v_317 ?v_81) (=> (=> ?v_318 ?v_82) (=> (=> ?v_319 ?v_83) (=> true (=> ?v_320 (=> ?v_321 ?v_323))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= inline.sdv_WdfRequestGetParameters.0..result.userContextSwitch.7695.4.1..0 inline.sdv_WdfRequestGetParameters.0..result.userContextSwitch.7695.4.1.) (=> (= k.147 k.145) ?v_323)))))))))))))))))))))))))))))))))))))))) (let ((?v_365 (=> true (=> (= reqCancelStarted_1.1 reqCancelStarted_1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.0) (=> (= lockStatus_4.23 lockStatus_4.22) (=> (= reqCancelStarted_0.1 reqCancelStarted_0.0) (=> (= inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0) (=> (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.1 inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.0) (=> (= inline.GetRequestContext.4..Handle.1.127.0.GetRequestContext.0 hrequest) (=> (= lockStatus_0.23 lockStatus_0.22) (=> (= inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel1.0 hrequest) (=> (= reqCancelStarted_3.1 reqCancelStarted_3.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= errorReached.88 errorReached.87) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..1 inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1) (=> (= inline.GetSubRequestContext.2.myNondetVar_0.2 inline.GetSubRequestContext.2.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0) (=> (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.6 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.5) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..1 inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..1 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..1 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..0) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1) (=> (= inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..1) (=> (= lockStatus_2.23 lockStatus_2.22) (=> (= inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..1 inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..0) (=> (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.1 inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.0) (=> (= alloc.34 alloc.33) (=> (= inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..1 inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0) (=> (= lockStatus_1.23 lockStatus_1.22) (=> (= inline.GetRequestContext.4.myNondetVar_0.1 inline.GetRequestContext.4.myNondetVar_0.0) (=> (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..1 inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..1 inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..0) (=> (= inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel.0 hrequest) (=> (= reqCancelStarted_4.1 reqCancelStarted_4.0) (=> (= reqCancelStarted_2.1 reqCancelStarted_2.0) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..1 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..0) (=> (= inline.RemoveHeadList.4.myNondetVar_0.3 inline.RemoveHeadList.4.myNondetVar_0.2) (=> (= k.144 k.143) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0) (=> (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.InitializeListHead.2.myNondetVar_0.2 inline.InitializeListHead.2.myNondetVar_0.1) (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.2 inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.1) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.GetRequestContext.4..Handle.1.127.0.GetRequestContext1.0 hrequest) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= lockStatus_3.23 lockStatus_3.22) (=> (= inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..1) (=> (= inline.IsListEmpty.11.myNondetVar_0.2 inline.IsListEmpty.11.myNondetVar_0.1) (=> (= inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..1 inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..0) (=> (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.InsertTailList.2.myNondetVar_0.2 inline.InsertTailList.2.myNondetVar_0.1) (=> (= inline.IsListEmpty.10.myNondetVar_0.2 inline.IsListEmpty.10.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..1 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..0) (=> (= inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel.0 call46604formal.new.0) (=> true (=> true ?v_329)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_429 (=> true (=> true (=> true ?v_365)))) (?v_415 (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1)) (?v_416 (= inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..0 inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5.)) (?v_417 (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1.)) (?v_418 (= inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..0 inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7.)) (?v_419 (= inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.0 inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel)) (?v_420 (= inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.11..result.IsListEmpty.6718.0.1.)) (?v_421 (= inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..0 inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1.)) (?v_422 (= inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..0 inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1.)) (?v_423 (= inline.RemoveHeadList.4.myNondetVar_0.2 inline.RemoveHeadList.4.myNondetVar_0)) (?v_424 (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..0 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6.)) (?v_425 (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList)) (?v_426 (= inline.IsListEmpty.11.myNondetVar_0.1 inline.IsListEmpty.11.myNondetVar_0)) (?v_427 (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty)) (?v_428 (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..0 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8.)) (?v_331 (= lockStatus_0.22 lockStatus_0.21)) (?v_332 (= lockStatus_4.22 lockStatus_4.21)) (?v_333 (= inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_334 (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.0 notused_4wdfobject1)) (?v_335 (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..0 inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..0)) (?v_336 (= errorReached.87 errorReached.86)) (?v_337 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0)) (?v_338 (= inline.GetSubRequestContext.2.myNondetVar_0.1 inline.GetSubRequestContext.2.myNondetVar_0.0)) (?v_339 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 notused_4wdfobject1)) (?v_340 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.4)) (?v_341 (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.5 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.4)) (?v_342 (= inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_343 (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0)) (?v_344 (= lockStatus_2.22 lockStatus_2.21)) (?v_345 (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.0 notused_4wdfobject1)) (?v_346 (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 notused_4wdfobject1)) (?v_347 (= lockStatus_1.22 lockStatus_1.21)) (?v_348 (= inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_349 (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_350 (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.0 call46604formal.new.0)) (?v_351 (= k.143 k.142)) (?v_352 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.2)) (?v_353 (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.0 call46604formal.new.0)) (?v_354 (= inline.InitializeListHead.2.myNondetVar_0.1 inline.InitializeListHead.2.myNondetVar_0.0)) (?v_355 (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0)) (?v_356 (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.2)) (?v_357 (= lockStatus_3.22 lockStatus_3.21)) (?v_358 (= inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..0 notused_4wdfobject1)) (?v_359 (= inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..0)) (?v_360 (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..0 notused_4wdfobject1)) (?v_361 (= inline.InsertTailList.2.myNondetVar_0.1 inline.InsertTailList.2.myNondetVar_0.0)) (?v_362 (= inline.IsListEmpty.10.myNondetVar_0.1 inline.IsListEmpty.10.myNondetVar_0.0)) (?v_363 (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.4)) (?v_364 (= inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.0 notused_4wdfobject1))) (let ((?v_367 (=> true (=> ?v_331 (=> (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.0 call46604formal.new.0) (=> ?v_332 (=> ?v_333 (=> ?v_334 (=> ?v_335 (=> ?v_336 (=> (= inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> ?v_337 (=> ?v_338 (=> ?v_339 (=> ?v_340 (=> ?v_341 (=> ?v_342 (=> (= inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..0 inline.WdfRequestCancelSentRequest.0..callresult..747.98.2.) (=> (= inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> ?v_343 (=> (= inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..0) (=> ?v_344 (=> (= inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..0 notused_4wdfobject1) (=> ?v_345 (=> (= inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..0 inline.WdfRequestCancelSentRequest.0..callresult..747.98.2.) (=> ?v_346 (=> (= inline.RemoveHeadList.4.myNondetVar_0.2 inline.RemoveHeadList.4.myNondetVar_0.1) (=> ?v_347 (=> ?v_348 (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..0 notused_4wdfobject1) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.0 inline.RemoveHeadList.4.myNondetVar_0.0) (=> ?v_349 (=> ?v_350 (=> ?v_351 (=> ?v_352 (=> ?v_353 (=> ?v_354 (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.0) (=> ?v_355 (=> ?v_356 (=> ?v_357 (=> ?v_358 (=> ?v_359 (=> (= inline.IsListEmpty.11.myNondetVar_0.1 inline.IsListEmpty.11.myNondetVar_0.0) (=> ?v_360 (=> (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.0 call46604formal.new.0) (=> ?v_361 (=> ?v_362 (=> ?v_363 (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..0 inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..0) (=> ?v_364 ?v_429))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1241 (not ?v_0)) (?v_366 (= inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_369 (=> true (=> (= inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.11.myNondetVar_0.0 call46604formal.new.0))) (and (=> true (=> (not ?v_366) ?v_367)) (=> true (=> ?v_366 (=> true (=> ?v_1241 ?v_367)))))))) (?v_368 (= inline.WdfRequestCancelSentRequest.0..callresult..747.98.2. 0)) (?v_330 (= inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_386 (=> true (=> (= inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.10.myNondetVar_0.0 call46604formal.new.0))) (and (=> true (=> (not ?v_330) (=> true (=> ?v_331 (=> ?v_415 (=> ?v_332 (=> ?v_333 (=> ?v_334 (=> ?v_335 (=> ?v_336 (=> ?v_416 (=> ?v_417 (=> ?v_337 (=> ?v_338 (=> ?v_339 (=> ?v_340 (=> ?v_341 (=> ?v_342 (=> ?v_418 (=> ?v_419 (=> ?v_343 (=> ?v_420 (=> ?v_344 (=> ?v_421 (=> ?v_345 (=> ?v_422 (=> ?v_346 (=> ?v_423 (=> ?v_347 (=> ?v_348 (=> ?v_424 (=> ?v_425 (=> ?v_349 (=> ?v_350 (=> ?v_351 (=> ?v_352 (=> ?v_353 (=> ?v_354 (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_355 (=> ?v_356 (=> ?v_357 (=> ?v_358 (=> ?v_359 (=> ?v_426 (=> ?v_360 (=> ?v_427 (=> ?v_361 (=> ?v_362 (=> ?v_363 (=> ?v_428 (=> ?v_364 ?v_365)))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_330 (=> true (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.0 (MINUS_LEFT_PTR inline.RemoveHeadList.4.myNondetVar_0.0 1 12)) (and (=> true (=> (not ?v_368) ?v_369)) (=> true (=> ?v_368 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_369)))))))))))))))))))) (?v_385 (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.4 hlock))) (let ((?v_374 (=> true (=> (= lockStatus_4.21 lockStatus_4.20) (=> (= k.142 k.141) (=> (= lockStatus_3.21 lockStatus_3.20) (=> (= lockStatus_0.21 lockStatus_0.20) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 call47296formal.ret.0) (=> (= lockStatus_1.21 lockStatus_1.20) (=> (= lockStatus_2.21 lockStatus_2.20) ?v_386)))))))))) (let ((?v_378 (=> true ?v_374)) (?v_371 (= lockStatus_4.20 lockStatus_4.19)) (?v_372 (= lockStatus_3.20 lockStatus_3.19)) (?v_376 (= lockStatus_0.20 lockStatus_0.19)) (?v_377 (= lockStatus_1.20 lockStatus_1.19)) (?v_373 (= lockStatus_2.20 lockStatus_2.19))) (let ((?v_380 (=> ?v_373 ?v_378))) (let ((?v_382 (=> ?v_376 (=> ?v_377 ?v_380)))) (let ((?v_384 (=> ?v_372 ?v_382)) (?v_383 (= k.141 4)) (?v_381 (= k.141 3)) (?v_379 (= k.141 2)) (?v_375 (= k.141 1)) (?v_370 (= k.141 0))) (let ((?v_394 (and (=> true (=> ?v_385 (=> true (=> (<= k.140 k.141) (=> (< k.141 5) (and (=> true (=> ?v_370 (=> true (=> ?v_371 (=> ?v_372 (=> (= lockStatus_0.20 0) (=> ?v_377 (=> ?v_373 ?v_374)))))))) (=> true (=> (not ?v_370) (and (=> true (=> ?v_375 (=> true (=> ?v_371 (=> ?v_372 (=> ?v_376 (=> (= lockStatus_1.20 0) ?v_380))))))) (=> true (=> (not ?v_375) (and (=> true (=> ?v_379 (=> true (=> ?v_371 (=> ?v_372 (=> ?v_376 (=> ?v_377 (=> (= lockStatus_2.20 0) ?v_378)))))))) (=> true (=> (not ?v_379) (and (=> true (=> ?v_381 (=> true (=> ?v_371 (=> (= lockStatus_3.20 0) ?v_382))))) (=> true (=> (not ?v_381) (and (=> true (=> ?v_383 (=> true (=> (= lockStatus_4.20 0) ?v_384)))) (=> true (=> (not ?v_383) (=> true (=> ?v_371 ?v_384)))))))))))))))))))))) (=> true (=> (not ?v_385) (=> true (=> (= lockStatus_4.21 lockStatus_4.19) (=> (= k.142 k.140) (=> (= lockStatus_3.21 lockStatus_3.19) (=> (= lockStatus_0.21 lockStatus_0.19) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.21 lockStatus_1.19) (=> (= lockStatus_2.21 lockStatus_2.19) (=> true (=> true (=> true (=> true (=> true (=> true ?v_386))))))))))))))))))) (let ((?v_396 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.) (=> (= errorReached.86 errorReached.84) (=> (= k.140 k.138) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_394)))))))))))))))))))))))))))))))))) (?v_398 (= notused_4wdfobject1 hdevice)) (?v_397 (= notused_4wdfobject1 hqueue)) (?v_395 (= notused_4wdfobject1 htimer)) (?v_393 (= notused_4wdfobject1 hrequest)) (?v_392 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..0 call47079formal.ret.0) (=> (= errorReached.86 errorReached.85) (=> (= k.140 k.139) ?v_394)))))) (?v_387 (= k.139 0)) (?v_388 (= k.139 1)) (?v_389 (= k.139 2)) (?v_390 (= k.139 3)) (?v_391 (= k.139 4))) (let ((?v_414 (and (=> true (=> ?v_393 (=> true (=> (<= k.138 k.139) (=> (< k.139 5) (and (=> true (=> (=> ?v_387 ?v_37) (=> (=> ?v_388 ?v_38) (=> (=> ?v_389 ?v_39) (=> (=> ?v_390 ?v_40) (=> (=> ?v_391 ?v_41) (=> true (=> (= errorReached.85 1) ?v_392)))))))) (=> true (=> (=> ?v_387 ?v_79) (=> (=> ?v_388 ?v_80) (=> (=> ?v_389 ?v_81) (=> (=> ?v_390 ?v_82) (=> (=> ?v_391 ?v_83) (=> true (=> (= errorReached.85 errorReached.84) (=> true ?v_392))))))))))))))) (=> true (=> (not ?v_393) (and (=> true (=> ?v_395 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_396)))) (=> true (=> (not ?v_395) (and (=> true (=> ?v_397 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_396)))) (=> true (=> (not ?v_397) (and (=> true (=> ?v_398 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_396)))) (=> true (=> (not ?v_398) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_396))))))))))))))) (?v_413 (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.2 hlock))) (let ((?v_403 (=> true (=> (= lockStatus_4.19 lockStatus_4.18) (=> (= k.138 k.137) (=> (= lockStatus_3.19 lockStatus_3.18) (=> (= lockStatus_0.19 lockStatus_0.18) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0 call46880formal.ret.0) (=> (= lockStatus_1.19 lockStatus_1.18) (=> (= lockStatus_2.19 lockStatus_2.18) ?v_414)))))))))) (let ((?v_407 (=> true ?v_403)) (?v_400 (= lockStatus_4.18 lockStatus_4.17)) (?v_401 (= lockStatus_3.18 lockStatus_3.17)) (?v_405 (= lockStatus_0.18 lockStatus_0.17)) (?v_406 (= lockStatus_1.18 lockStatus_1.17)) (?v_402 (= lockStatus_2.18 lockStatus_2.17))) (let ((?v_409 (=> ?v_402 ?v_407))) (let ((?v_411 (=> ?v_405 (=> ?v_406 ?v_409)))) (let ((?v_412 (=> ?v_401 ?v_411)) (?v_410 (= k.137 4)) (?v_408 (= k.137 3)) (?v_404 (= k.137 2)) (?v_399 (= k.137 1)) (?v_328 (= k.137 0))) (let ((?v_436 (and (=> true (=> (not (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.1 0)) (and (=> true (=> ?v_413 (=> true (=> (<= k.136 k.137) (=> (< k.137 5) (=> true (=> (=> ?v_328 (= lockStatus_0.17 0)) (=> (=> ?v_399 (= lockStatus_1.17 0)) (=> (=> ?v_404 (= lockStatus_2.17 0)) (=> (=> ?v_408 (= lockStatus_3.17 0)) (=> (=> ?v_410 (= lockStatus_4.17 0)) (and (=> true (=> ?v_328 (=> true (=> ?v_400 (=> ?v_401 (=> (= lockStatus_0.18 1) (=> ?v_406 (=> ?v_402 ?v_403)))))))) (=> true (=> (not ?v_328) (and (=> true (=> ?v_399 (=> true (=> ?v_400 (=> ?v_401 (=> ?v_405 (=> (= lockStatus_1.18 1) ?v_409))))))) (=> true (=> (not ?v_399) (and (=> true (=> ?v_404 (=> true (=> ?v_400 (=> ?v_401 (=> ?v_405 (=> ?v_406 (=> (= lockStatus_2.18 1) ?v_407)))))))) (=> true (=> (not ?v_404) (and (=> true (=> ?v_408 (=> true (=> ?v_400 (=> (= lockStatus_3.18 1) ?v_411))))) (=> true (=> (not ?v_408) (and (=> true (=> ?v_410 (=> true (=> (= lockStatus_4.18 1) ?v_412)))) (=> true (=> (not ?v_410) (=> true (=> ?v_400 ?v_412)))))))))))))))))))))))))))) (=> true (=> (not ?v_413) (=> true (=> (= lockStatus_4.19 lockStatus_4.17) (=> (= k.138 k.136) (=> (= lockStatus_3.19 lockStatus_3.17) (=> (= lockStatus_0.19 lockStatus_0.17) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.19 lockStatus_1.17) (=> (= lockStatus_2.19 lockStatus_2.17) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_414))))))))))))))))))))))))))))))) (=> true (=> (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.0 0) (=> true (=> (= lockStatus_0.22 lockStatus_0.17) (=> ?v_415 (=> (= lockStatus_4.22 lockStatus_4.17) (=> (= inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2.) (=> (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.0 inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..0 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4.) (=> (= errorReached.87 errorReached.84) (=> ?v_416 (=> ?v_417 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.) (=> (= inline.GetSubRequestContext.2.myNondetVar_0.1 inline.GetSubRequestContext.2.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.5 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..0 inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3.) (=> ?v_418 (=> ?v_419 (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.) (=> ?v_420 (=> (= lockStatus_2.22 lockStatus_2.17) (=> ?v_421 (=> (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.0 inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1) (=> ?v_422 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> ?v_423 (=> (= lockStatus_1.22 lockStatus_1.17) (=> (= inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..0 inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1.) (=> ?v_424 (=> ?v_425 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1) (=> (= k.143 k.136) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty) (=> (= inline.InitializeListHead.2.myNondetVar_0.1 inline.InitializeListHead.2.myNondetVar_0) (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= lockStatus_3.22 lockStatus_3.17) (=> (= inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..0 inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1.) (=> (= inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.10..result.IsListEmpty.6718.0.1.) (=> ?v_426 (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..0 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2.) (=> ?v_427 (=> (= inline.InsertTailList.2.myNondetVar_0.1 inline.InsertTailList.2.myNondetVar_0) (=> (= inline.IsListEmpty.10.myNondetVar_0.1 inline.IsListEmpty.10.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> ?v_428 (=> (= inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.0 inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel) ?v_429))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_441 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_436)))))))))) (?v_438 (= k.136 k.134)) (?v_439 (= errorReached.84 errorReached.82)) (?v_440 (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.)) (?v_435 (=> true (=> (= k.136 k.135) (=> (= errorReached.84 errorReached.83) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..0 call46677formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_436)))))) (?v_430 (= k.135 0)) (?v_431 (= k.135 1)) (?v_432 (= k.135 2)) (?v_433 (= k.135 3)) (?v_434 (= k.135 4)) (?v_326 (>= 8 0)) (?v_327 (int_2_U call46604formal.new.0))) (let ((?v_448 (=> true (and ?v_326 (=> ?v_326 (=> (> call46604formal.new.0 0) (=> (forall ((?x597 Int)) (! (=> (and (<= call46604formal.new.0 ?x597) (< ?x597 (+ call46604formal.new.0 8))) (= (Base ?x597) call46604formal.new.0)) :pattern ((Base ?x597)) )) (=> (forall ((?x598 boogieU)) (! (=> (= (type ?x598) intType) (or (= (U_2_int ?x598) call46604formal.new.0) (= (MapType0Select alloc.32 ?x598) (MapType0Select alloc.33 ?x598)))) :pattern ((MapType0Select alloc.33 ?x598)) )) (=> (and (= (MapType0Select alloc.32 ?v_327) UNALLOCATED) (= (MapType0Select alloc.33 ?v_327) ALLOCATED)) (and (=> true (=> ?v_33 (=> true (=> (<= k.134 k.135) (=> (< k.135 5) (and (=> true (=> (=> ?v_430 ?v_37) (=> (=> ?v_431 ?v_38) (=> (=> ?v_432 ?v_39) (=> (=> ?v_433 ?v_40) (=> (=> ?v_434 ?v_41) (=> true (=> (= errorReached.83 1) ?v_435)))))))) (=> true (=> (=> ?v_430 ?v_79) (=> (=> ?v_431 ?v_80) (=> (=> ?v_432 ?v_81) (=> (=> ?v_433 ?v_82) (=> (=> ?v_434 ?v_83) (=> true (=> (= errorReached.83 errorReached.82) (=> true ?v_435))))))))))))))) (=> true (=> ?v_99 (and (=> true (=> ?v_307 (=> true (=> ?v_438 (=> ?v_439 (=> ?v_440 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_441))))))) (=> true (=> ?v_437 (and (=> true (=> ?v_311 (=> true (=> ?v_438 (=> ?v_439 (=> ?v_440 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_441))))))) (=> true (=> ?v_442 (and (=> true (=> ?v_312 (=> true (=> ?v_438 (=> ?v_439 (=> ?v_440 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_441))))))) (=> true (=> ?v_443 (=> true (=> ?v_438 (=> ?v_439 (=> ?v_440 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_441)))))))))))))))))))))))))) (let ((?v_452 (=> true (=> true (=> true ?v_448)))) (?v_445 (= reqCancelStarted_2.0 reqCancelStarted_2)) (?v_450 (= reqCancelStarted_0.0 reqCancelStarted_0)) (?v_446 (= reqCancelStarted_4.0 reqCancelStarted_4)) (?v_447 (= reqCancelStarted_3.0 reqCancelStarted_3)) (?v_451 (= reqCancelStarted_1.0 reqCancelStarted_1))) (let ((?v_454 (=> ?v_451 ?v_452))) (let ((?v_456 (=> ?v_447 ?v_454))) (let ((?v_457 (=> ?v_450 (=> ?v_446 ?v_456))) (?v_455 (= k.134 4)) (?v_453 (= k.134 3)) (?v_449 (= k.134 2)) (?v_444 (= k.134 1)) (?v_325 (= k.134 0)) (?v_324 (= call43930formal.ret.0 0))) (let ((?v_830 (=> true (=> (<= 0 k.134) (=> (< k.134 5) (and (=> true (=> (not ?v_324) (=> true (=> (= reqCancelStarted_1.1 reqCancelStarted_1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty1) (=> (= lockStatus_4.23 lockStatus_4.17) (=> (= reqCancelStarted_0.1 reqCancelStarted_0) (=> (= inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 inline.GetSubRequestContext.2..result.sdv_WdfObjectGetTypedContextWorker.151.0.2.) (=> (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext.1 inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext) (=> (= inline.GetRequestContext.4..Handle.1.127.0.GetRequestContext.0 inline.GetRequestContext.4..Handle.1.127.0.GetRequestContext) (=> (= lockStatus_0.23 lockStatus_0.17) (=> (= inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel1.0 inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel1) (=> (= reqCancelStarted_3.1 reqCancelStarted_3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= errorReached.88 errorReached.82) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5..1 inline.UsbSamp_EvtRequestCancel.0..result.RemoveHeadList.1512.34.5.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.15..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1..1 inline.RemoveHeadList.4..result.RemoveHeadList.6743.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.16..result.userContextSwitch.6841.4.2.) (=> (= inline.GetSubRequestContext.2.myNondetVar_0.2 inline.GetSubRequestContext.2.myNondetVar_0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0.6 inline.UsbSamp_EvtRequestCancel.0.myNondetVar_0) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3..1 inline.UsbSamp_EvtRequestCancel.0..result.GetSubRequestContext.1499.44.3.) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2..1 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfCollectionGetItem.1497.41.2.) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6..1 inline.UsbSamp_EvtRequestCancel.0..result.sdv_WdfObjectContextGetObject.1516.46.6.) (=> (= inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.2..result.userContextSwitch.8650.4.1.) (=> (= inline.IsListEmpty.11..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.11..result.IsListEmpty.6718.0.1.) (=> (= lockStatus_2.23 lockStatus_2.17) (=> (= inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1..1 inline.sdv_WdfObjectContextGetObject.4..result.sdv_WdfObjectContextGetObject.6826.0.1.) (=> (= inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1.1 inline.GetSubRequestContext.2..Handle.1.151.0.GetSubRequestContext1) (=> (= alloc.34 alloc.32) (=> (= inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1..1 inline.WdfRequestCancelSentRequest.0..result.WdfRequestCancelSentRequest.742.0.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.userContextSwitch.6841.4.2.) (=> (= lockStatus_1.23 lockStatus_1.17) (=> (= inline.GetRequestContext.4.myNondetVar_0.1 inline.GetRequestContext.4.myNondetVar_0) (=> (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1..1 inline.sdv_WdfCollectionGetItem.0..result.sdv_WdfCollectionGetItem.8394.0.1.) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7..1 inline.UsbSamp_EvtRequestCancel.0..result.WdfRequestCancelSentRequest.1520.39.7.) (=> (= inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel.0 inline.UsbSamp_EvtRequestCancel.0..Request.1.1445.15.UsbSamp_EvtRequestCancel) (=> (= reqCancelStarted_4.1 reqCancelStarted_4) (=> (= reqCancelStarted_2.1 reqCancelStarted_2) (=> (= inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList.1 inline.RemoveHeadList.4..Entry.3.6748.16.RemoveHeadList) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.16..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4..1 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1510.19.4.) (=> (= inline.RemoveHeadList.4.myNondetVar_0.3 inline.RemoveHeadList.4.myNondetVar_0) (=> (= k.144 k.134) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.10..ListHead.1.6719.26.IsListEmpty) (=> (= inline.InitializeListHead.2.myNondetVar_0.2 inline.InitializeListHead.2.myNondetVar_0) (=> (= inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel.2 inline.UsbSamp_EvtRequestCancel.0..subReqContext.4.1464.28.UsbSamp_EvtRequestCancel) (=> (= inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.2..result.userContextSwitch.8661.4.1.) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.15..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> (= inline.GetRequestContext.4..Handle.1.127.0.GetRequestContext1.0 inline.GetRequestContext.4..Handle.1.127.0.GetRequestContext1) (=> (= inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.2..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= lockStatus_3.23 lockStatus_3.17) (=> (= inline.IsListEmpty.10..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.10..result.IsListEmpty.6718.0.1.) (=> (= inline.IsListEmpty.11.myNondetVar_0.2 inline.IsListEmpty.11.myNondetVar_0) (=> (= inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1..1 inline.GetSubRequestContext.2..result.GetSubRequestContext.151.0.1.) (=> (= inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.11..ListHead.1.6719.26.IsListEmpty) (=> (= inline.InsertTailList.2.myNondetVar_0.2 inline.InsertTailList.2.myNondetVar_0) (=> (= inline.IsListEmpty.10.myNondetVar_0.2 inline.IsListEmpty.10.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.2..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8..1 inline.UsbSamp_EvtRequestCancel.0..result.IsListEmpty.1526.24.8.) (=> (= inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..thisEntry.7.1467.28.UsbSamp_EvtRequestCancel) (=> (= inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel.1 inline.UsbSamp_EvtRequestCancel.0..subRequest.5.1465.28.UsbSamp_EvtRequestCancel) (=> (= inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel.0 inline.UsbSamp_EvtRequestCancel.0..cancelList.3.1463.28.UsbSamp_EvtRequestCancel) ?v_329)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_324 (=> true (=> (=> ?v_325 (not (= reqCancelSet_0.26 0))) (=> (=> ?v_444 (not (= reqCancelSet_1.26 0))) (=> (=> ?v_449 (not (= reqCancelSet_2.26 0))) (=> (=> ?v_453 (not (= reqCancelSet_3.26 0))) (=> (=> ?v_455 (not (= reqCancelSet_4.26 0))) (and (=> true (=> ?v_325 (=> true (=> ?v_445 (=> (= reqCancelStarted_0.0 1) (=> ?v_446 (=> ?v_447 (=> ?v_451 ?v_448)))))))) (=> true (=> (not ?v_325) (and (=> true (=> ?v_444 (=> true (=> ?v_445 (=> ?v_450 (=> ?v_446 (=> ?v_447 (=> (= reqCancelStarted_1.0 1) ?v_452)))))))) (=> true (=> (not ?v_444) (and (=> true (=> ?v_449 (=> true (=> (= reqCancelStarted_2.0 1) ?v_457)))) (=> true (=> (not ?v_449) (and (=> true (=> ?v_453 (=> true (=> ?v_445 (=> ?v_450 (=> ?v_446 (=> (= reqCancelStarted_3.0 1) ?v_454))))))) (=> true (=> (not ?v_453) (and (=> true (=> ?v_455 (=> true (=> ?v_445 (=> ?v_450 (=> (= reqCancelStarted_4.0 1) ?v_456)))))) (=> true (=> (not ?v_455) (=> true (=> ?v_445 ?v_457))))))))))))))))))))))))))))))) (let ((?v_3962 (=> true (=> true (=> true (=> true (=> true ?v_830)))))) (?v_3350 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached)) (?v_3351 (= inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer)) (?v_3352 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3353 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_3354 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3355 (= inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..2 inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13.)) (?v_3996 (= reqSent_2.10 reqSent_2)) (?v_3356 (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.4 inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer)) (?v_3357 (= inline.GetSubRequestContext.1.myNondetVar_0.3 inline.GetSubRequestContext.1.myNondetVar_0)) (?v_3358 (= inline.IsListEmpty.1.myNondetVar_0.4 inline.IsListEmpty.1.myNondetVar_0)) (?v_3359 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3.)) (?v_3360 (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3361 (= inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..2 inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1.)) (?v_3362 (= inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..1 inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3.)) (?v_3363 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_3364 (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.1 inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1)) (?v_3365 (= inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..3 inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5.)) (?v_3366 (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.)) (?v_3367 (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3368 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3369 (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1.)) (?v_3370 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3371 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1.)) (?v_3372 (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.2 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate)) (?v_3373 (= inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer)) (?v_3374 (= inline.sdv_WdfRequestCompleteWithInformation.1..result.userContextSwitch.7656.4.1..2 inline.sdv_WdfRequestCompleteWithInformation.1..result.userContextSwitch.7656.4.1.)) (?v_3375 (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3376 (= inline.RemoveHeadList.0.myNondetVar_0.6 inline.RemoveHeadList.0.myNondetVar_0)) (?v_3377 (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.7 inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer)) (?v_3378 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_3379 (= inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.1 inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl)) (?v_3380 (= inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..3 inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5.)) (?v_3381 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2.)) (?v_3382 (= inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3383 (= inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer)) (?v_3384 (= inline.sdv_WdfRequestGetFileObject.2..result.sdv_WdfRequestGetFileObject.7046.0.1..0 inline.sdv_WdfRequestGetFileObject.2..result.sdv_WdfRequestGetFileObject.7046.0.1.)) (?v_3385 (= inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1..3 inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1.)) (?v_3386 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException)) (?v_3387 (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.1 inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1)) (?v_3388 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9.)) (?v_3389 (= inline.RemoveHeadList.1.myNondetVar_0.4 inline.RemoveHeadList.1.myNondetVar_0)) (?v_3390 (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3391 (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.5 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub)) (?v_3392 (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2.)) (?v_3393 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_3394 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend)) (?v_3395 (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.)) (?v_3396 (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1.)) (?v_3397 (= inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..2 inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2.)) (?v_3398 (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_3399 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_3400 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_3401 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3402 (= inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..2 inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1.)) (?v_3403 (= inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints.0 inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints)) (?v_3404 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21.)) (?v_3405 (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.)) (?v_3406 (= inline.DoSubRequestCleanup.1.myNondetVar_0.12 inline.DoSubRequestCleanup.1.myNondetVar_0)) (?v_3407 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.)) (?v_3408 (= inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..1 inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2.)) (?v_3409 (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2.)) (?v_3410 (= inline.GetFileContext.4.myNondetVar_0.3 inline.GetFileContext.4.myNondetVar_0)) (?v_3411 (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.8 inline.PerformFullSpeedIsochTransfer.0.myVar_1)) (?v_3412 (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_3413 (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3414 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_3415 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0)) (?v_3416 (= inline.GetDeviceContext.1.myNondetVar_0.3 inline.GetDeviceContext.1.myNondetVar_0)) (?v_3417 (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.1 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1)) (?v_3997 (= reqCompleteSet_2.10 reqCompleteSet_2)) (?v_3418 (= inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer)) (?v_3419 (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1.)) (?v_3420 (= inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..3 inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1.)) (?v_3421 (= inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer)) (?v_3422 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0)) (?v_3423 (= inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.)) (?v_3424 (= inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..1 inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1.)) (?v_3425 (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3426 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2.)) (?v_3427 (= inline.ReadWriteBulkEndPoints.0..urb.7.63.28.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0..urb.7.63.28.ReadWriteBulkEndPoints)) (?v_3428 (= inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2 inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2.)) (?v_3429 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3430 (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.3 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup)) (?v_3431 (= inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.2 inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints)) (?v_3432 (= inline.ReadWriteBulkEndPoints.0..pipeInfo.17.73.31.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0..pipeInfo.17.73.31.ReadWriteBulkEndPoints)) (?v_3433 (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..5 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1.)) (?v_3434 (= inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..1 inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2.)) (?v_3435 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted)) (?v_3436 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26.)) (?v_3437 (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext.2 inline.GetFileContext.3..Handle.1.107.0.GetFileContext)) (?v_3438 (= inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2.)) (?v_3439 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2.)) (?v_3440 (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_3441 (= inline.InitializeListHead.0.myNondetVar_0.2 inline.InitializeListHead.0.myNondetVar_0)) (?v_3442 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0)) (?v_3443 (= inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..1 inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2.)) (?v_3444 (= inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2.)) (?v_3445 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_3446 (= inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer)) (?v_3447 (= inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.3 inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup)) (?v_3448 (= inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer)) (?v_3449 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.)) (?v_3450 (= inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer)) (?v_3451 (= inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints.0 inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints)) (?v_3452 (= inline.InsertTailList.1.myNondetVar_0.3 inline.InsertTailList.1.myNondetVar_0)) (?v_3453 (= inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3454 (= inline.ReadWriteIsochEndPoints.0..pipeInfo.9.65.31.ReadWriteIsochEndPoints.0 inline.ReadWriteIsochEndPoints.0..pipeInfo.9.65.31.ReadWriteIsochEndPoints)) (?v_3455 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.)) (?v_3456 (= inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..3 inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1.)) (?v_3457 (= inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2.)) (?v_3458 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23.)) (?v_3459 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10.)) (?v_3460 (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_3461 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1)) (?v_3462 (= inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer)) (?v_3463 (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_3464 (= inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2 inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2.)) (?v_3998 (= reqCompleteSet_4.10 reqCompleteSet_4)) (?v_3465 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3466 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3.)) (?v_3467 (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2.)) (?v_3468 (= inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints1.0 inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints1)) (?v_3469 (= inline.ReadWriteIsochEndPoints.0..result.sdv_WdfIoQueueGetDevice.76.56.2..0 inline.ReadWriteIsochEndPoints.0..result.sdv_WdfIoQueueGetDevice.76.56.2.)) (?v_3470 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_3471 (= inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints)) (?v_3472 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2.)) (?v_3473 (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.2 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject)) (?v_3474 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached)) (?v_3475 (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3476 (= inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints1.0 inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints1)) (?v_3477 (= inline.GetRequestContext.1.myNondetVar_0.2 inline.GetRequestContext.1.myNondetVar_0)) (?v_3478 (= inline.ReadWriteBulkEndPoints.0..requestMdl.6.62.41.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0..requestMdl.6.62.41.ReadWriteBulkEndPoints)) (?v_3479 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2)) (?v_3480 (= inline.IsListEmpty.6.myNondetVar_0.3 inline.IsListEmpty.6.myNondetVar_0)) (?v_3481 (= inline.GetRequestContext.2.myNondetVar_0.2 inline.GetRequestContext.2.myNondetVar_0)) (?v_3482 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25.)) (?v_3483 (= inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..1 inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2.)) (?v_3484 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20.)) (?v_3485 (= inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.2 inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd)) (?v_3486 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_3487 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3488 (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer)) (?v_3489 (= inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..1 inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3.)) (?v_3490 (= lockStatus_2.17 lockStatus_2)) (?v_3491 (= inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..3 inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1.)) (?v_3492 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1)) (?v_3493 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_3494 (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1.)) (?v_3495 (= inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject)) (?v_3999 (= reqCompleteSet_1.10 reqCompleteSet_1)) (?v_3496 (= inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2 inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1.)) (?v_3497 (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3498 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_3499 (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2.)) (?v_3500 (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend)) (?v_3501 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException)) (?v_3502 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3.)) (?v_3503 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.5 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub)) (?v_3504 (= inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer)) (?v_3505 (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3506 (= inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..2 inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15.)) (?v_3507 (= inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3508 (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.28 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0)) (?v_3509 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..2 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28.)) (?v_3510 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..3 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28.)) (?v_3511 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached)) (?v_3512 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k)) (?v_3513 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet)) (?v_3514 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted)) (?v_3515 (= inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..2 inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3.)) (?v_3516 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3517 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException)) (?v_3518 (= inline.ReadWriteBulkEndPoints.0..objectAttribs.18.74.28.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0..objectAttribs.18.74.28.ReadWriteBulkEndPoints)) (?v_3519 (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject)) (?v_3520 (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3521 (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty)) (?v_3522 (= inline.InitializeListHead.1.myNondetVar_0.2 inline.InitializeListHead.1.myNondetVar_0)) (?v_3523 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3524 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_3525 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3.)) (?v_3526 (= inline.GetRequestContext.0..result.GetRequestContext.127.0.1..1 inline.GetRequestContext.0..result.GetRequestContext.127.0.1.)) (?v_3527 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_3528 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent)) (?v_3529 (= inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2.)) (?v_3530 (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3531 (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.11 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer)) (?v_3532 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5)) (?v_3533 (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1.)) (?v_3534 (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.16 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0)) (?v_3535 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_3536 (= inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints)) (?v_3537 (= inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..1 inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10.)) (?v_3538 (= inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3539 (= lockStatus_4.17 lockStatus_4)) (?v_3540 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4.)) (?v_3541 (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.2 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1)) (?v_3542 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer)) (?v_3543 (= inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..1 inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1.)) (?v_3544 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty)) (?v_3545 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend)) (?v_3546 (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.7 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub)) (?v_3547 (= inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer)) (?v_3548 (= inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..2 inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1.)) (?v_3549 (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3550 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3551 (= inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..2 inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3.)) (?v_3552 (= inline.sdv_WdfRequestCompleteWithInformation.3..result.userContextSwitch.7656.4.1..2 inline.sdv_WdfRequestCompleteWithInformation.3..result.userContextSwitch.7656.4.1.)) (?v_3553 (= inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..2 inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1.)) (?v_3554 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_3555 (= inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..2 inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2.)) (?v_3556 (= inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1..3 inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1.)) (?v_3557 (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3558 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3.)) (?v_3559 (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.9 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer)) (?v_3560 (= inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..2 inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19.)) (?v_3561 (= inline.ReadWriteIsochEndPoints.0..totalLength.5.61.28.ReadWriteIsochEndPoints.0 inline.ReadWriteIsochEndPoints.0..totalLength.5.61.28.ReadWriteIsochEndPoints)) (?v_3562 (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1)) (?v_3563 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent)) (?v_3564 (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext.1 inline.GetFileContext.1..Handle.1.107.0.GetFileContext)) (?v_3565 (= inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..1 inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6.)) (?v_3566 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7.)) (?v_3567 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..3 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29.)) (?v_3568 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3569 (= inline.sdv_WdfRequestGetFileObject.1..result.userContextSwitch.7051.4.2..2 inline.sdv_WdfRequestGetFileObject.1..result.userContextSwitch.7051.4.2.)) (?v_3570 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_825 (= inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_3571 (= inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1..3 inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1.)) (?v_3572 (= inline.IsListEmpty.5.myNondetVar_0.3 inline.IsListEmpty.5.myNondetVar_0)) (?v_3573 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet)) (?v_3574 (= inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2..3 inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2.)) (?v_3575 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.)) (?v_3576 (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_3577 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty)) (?v_3578 (= inline.ReadWriteIsochEndPoints.0..result.sdv_WdfRequestGetFileObject.81.56.4..0 inline.ReadWriteIsochEndPoints.0..result.sdv_WdfRequestGetFileObject.81.56.4.)) (?v_3579 (= inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..2 inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1.)) (?v_3580 (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_3581 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted)) (?v_3582 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus)) (?v_3583 (= inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..2 inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1.)) (?v_3584 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8.)) (?v_3585 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3586 (= inline.sdv_WdfSpinLockCreate.1..result.userContextSwitch.8640.2.2..2 inline.sdv_WdfSpinLockCreate.1..result.userContextSwitch.8640.2.2.)) (?v_3587 (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.5 inline.ReadWriteBulkEndPoints.0.tempBoogie0)) (?v_3588 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_3589 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted)) (?v_3590 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus)) (?v_3591 (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer)) (?v_3592 (= inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..1 inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1.)) (?v_3593 (= inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints)) (?v_3594 (= inline.IsListEmpty.2.myNondetVar_0.5 inline.IsListEmpty.2.myNondetVar_0)) (?v_3595 (= inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..2 inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1.)) (?v_3596 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2.)) (?v_3597 (= inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.2 inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl)) (?v_3598 (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2.)) (?v_3599 (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3600 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_3601 (= inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.)) (?v_3602 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3603 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3604 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23.)) (?v_3605 (= inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer)) (?v_3606 (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.)) (?v_3607 (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_3608 (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.8 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer)) (?v_3609 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty)) (?v_3610 (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_3611 (= inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2.)) (?v_3612 (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_3613 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.5 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1)) (?v_4000 (= alloc.32 alloc.0)) (?v_3614 (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1.)) (?v_3615 (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.)) (?v_3616 (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3617 (= inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1 inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress)) (?v_3618 (= inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer)) (?v_3619 (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1)) (?v_3620 (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.1 inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1)) (?v_3621 (= lockStatus_1.17 lockStatus_1)) (?v_3622 (= inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext1.0 inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext1)) (?v_3623 (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3624 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty)) (?v_3625 (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3626 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_3627 (= lockStatus_0.17 lockStatus_0)) (?v_3628 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_3629 (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3630 (= inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints)) (?v_3631 (= inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..2 inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1.)) (?v_3632 (= inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2.)) (?v_3633 (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.2 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext)) (?v_3634 (= inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject1)) (?v_3635 (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3636 (= inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints1.0 inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints1)) (?v_3637 (= inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1..3 inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1.)) (?v_3638 (= inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.2 inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints)) (?v_3639 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty)) (?v_3640 (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.2 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1)) (?v_3641 (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer)) (?v_3642 (= inline.IsListEmpty.7.myNondetVar_0.4 inline.IsListEmpty.7.myNondetVar_0)) (?v_3643 (= inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3644 (= inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..2 inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2.)) (?v_3645 (= inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3646 (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.7 inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer)) (?v_3647 (= inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..2 inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2.)) (?v_3648 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3649 (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.2 inline.GetFileContext.4..Handle.1.107.0.GetFileContext1)) (?v_3650 (= inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..1 inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9.)) (?v_3651 (= inline.IsListEmpty.9.myNondetVar_0.5 inline.IsListEmpty.9.myNondetVar_0)) (?v_3652 (= inline.sdv_WdfSpinLockCreate.0..result.userContextSwitch.8640.2.2..2 inline.sdv_WdfSpinLockCreate.0..result.userContextSwitch.8640.2.2.)) (?v_3653 (= inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.2 inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints)) (?v_3654 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11.)) (?v_3655 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc)) (?v_3656 (= inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..2 inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2.)) (?v_3657 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet)) (?v_3658 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_3659 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent)) (?v_3660 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2.)) (?v_3661 (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.5 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer)) (?v_3662 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1)) (?v_826 (= inline.sdv_WdfRequestCompleteWithInformation.2..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.2..result.userContextSwitch.7656.4.1.)) (?v_3663 (= inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer)) (?v_4001 (= reqSent_3.10 reqSent_3)) (?v_3664 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3665 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3666 (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.2 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1)) (?v_3667 (= inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1 inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1.)) (?v_3668 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException)) (?v_3669 (= inline.IsListEmpty.4.myNondetVar_0.3 inline.IsListEmpty.4.myNondetVar_0)) (?v_4002 (= reqCompleteSet_3.10 reqCompleteSet_3)) (?v_3670 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1)) (?v_3671 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_3672 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k)) (?v_3673 (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3674 (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1)) (?v_3675 (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.3 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup)) (?v_3676 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2.)) (?v_3677 (= inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3678 (= inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2..3 inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2.)) (?v_3679 (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.2 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext)) (?v_3680 (= inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3681 (= inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..1 inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1.)) (?v_3682 (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.2 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1)) (?v_3683 (= inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer)) (?v_3684 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.)) (?v_3685 (= inline.IsListEmpty.8.myNondetVar_0.4 inline.IsListEmpty.8.myNondetVar_0)) (?v_3686 (= inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2.)) (?v_3687 (= inline.InsertTailList.0.myNondetVar_0.3 inline.InsertTailList.0.myNondetVar_0)) (?v_3688 (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.1 inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext)) (?v_3689 (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..4 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17.)) (?v_3690 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3691 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3)) (?v_3692 (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..3 inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1.)) (?v_828 (= inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_3693 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14.)) (?v_3694 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1)) (?v_3695 (= inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints)) (?v_3696 (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_3697 (= inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..2 inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2.)) (?v_3698 (= inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer)) (?v_3699 (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..4 inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18.)) (?v_3700 (= inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer)) (?v_3701 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11.)) (?v_3702 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22.)) (?v_3703 (= Mem_2_T.PWDFREQUEST__.13 Mem_2_T.PWDFREQUEST__)) (?v_3704 (= inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3705 (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_3706 (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.2 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext)) (?v_3707 (= inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer)) (?v_3708 (= inline.sdv_WdfCollectionAdd.1.myNondetVar_0.4 inline.sdv_WdfCollectionAdd.1.myNondetVar_0)) (?v_3709 (= inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer)) (?v_3710 (= inline.GetSubRequestContext.0.myNondetVar_0.3 inline.GetSubRequestContext.0.myNondetVar_0)) (?v_3711 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2.)) (?v_3712 (= inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..1 inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1.)) (?v_3713 (= inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..2 inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1.)) (?v_3714 (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext.2 inline.GetFileContext.4..Handle.1.107.0.GetFileContext)) (?v_3715 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.)) (?v_3716 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.)) (?v_3717 (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer)) (?v_3718 (= inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..1 inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2.)) (?v_3719 (= inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer)) (?v_3720 (= inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3721 (= inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..1 inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1.)) (?v_3722 (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3723 (= inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer)) (?v_3724 (= inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..2 inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1.)) (?v_3725 (= inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2 inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress)) (?v_3726 (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.)) (?v_3727 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.11 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer)) (?v_3728 (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.1 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext)) (?v_3729 (= inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints1.0 inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints1)) (?v_3730 (= inline.RemoveHeadList.3.myNondetVar_0.6 inline.RemoveHeadList.3.myNondetVar_0)) (?v_3731 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_3732 (= lockStatus_3.17 lockStatus_3)) (?v_3733 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24.)) (?v_3734 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_3735 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7.)) (?v_3736 (= inline.ResetPipe.0..status.2.461.22.ResetPipe.2 inline.ResetPipe.0..status.2.461.22.ResetPipe)) (?v_3737 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11.)) (?v_3738 (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.)) (?v_3739 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.)) (?v_3740 (= inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..1 inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2.)) (?v_3741 (= inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..2 inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15.)) (?v_3742 (= inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..3 inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1.)) (?v_3743 (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_3744 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty)) (?v_3745 (= inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..2 inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2.)) (?v_3746 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.)) (?v_3747 (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.)) (?v_3748 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_3749 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet)) (?v_3750 (= inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer)) (?v_3751 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent)) (?v_3752 (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_3753 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3754 (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..4 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4.)) (?v_3755 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13.)) (?v_3756 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus)) (?v_3757 (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.1 inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1)) (?v_3758 (= inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..2 inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2.)) (?v_3759 (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.5 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1)) (?v_3760 (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3761 (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..5 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18.)) (?v_3762 (= inline.GetRequestContext.0.myNondetVar_0.2 inline.GetRequestContext.0.myNondetVar_0)) (?v_3763 (= inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2.)) (?v_3764 (= inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..2 inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1.)) (?v_3765 (= inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..2 inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1.)) (?v_3766 (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.)) (?v_4003 (= reqSent_1.10 reqSent_1)) (?v_3767 (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer)) (?v_3768 (= inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..2 inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1.)) (?v_3769 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_3770 (= inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..1 inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1.)) (?v_3771 (= inline.IsListEmpty.0.myNondetVar_0.4 inline.IsListEmpty.0.myNondetVar_0)) (?v_3772 (= inline.GetFileContext.2.myNondetVar_0.1 inline.GetFileContext.2.myNondetVar_0)) (?v_3773 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3774 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5.)) (?v_3775 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc)) (?v_3776 (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.2 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate)) (?v_3777 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty)) (?v_3778 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k)) (?v_3779 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_3780 (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.1 inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1)) (?v_3781 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.3 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3)) (?v_3782 (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_3783 (= inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..2 inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2.)) (?v_3784 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1)) (?v_3785 (= inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer)) (?v_4004 (= reqSent_4.10 reqSent_4)) (?v_3786 (= inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer)) (?v_3787 (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.1 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1)) (?v_3788 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet)) (?v_3789 (= inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints)) (?v_3790 (= Mem_1_T.PWDFREQUEST__.13 Mem_1_T.PWDFREQUEST__)) (?v_3791 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached)) (?v_3792 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc)) (?v_3793 (= inline.GetFileContext.1..result.GetFileContext.107.0.1..1 inline.GetFileContext.1..result.GetFileContext.107.0.1.)) (?v_3794 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k)) (?v_3795 (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3796 (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.8 inline.ReadWriteIsochEndPoints.0.myNondetVar_0)) (?v_3797 (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.1 inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1)) (?v_3798 (= inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..2 inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2.)) (?v_3799 (= inline.DoSubRequestCleanup.0.myNondetVar_0.12 inline.DoSubRequestCleanup.0.myNondetVar_0)) (?v_3800 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.5 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1)) (?v_3801 (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1.)) (?v_3802 (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.3 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1)) (?v_4005 (= reqCompleteSet_0.10 reqCompleteSet_0)) (?v_3803 (= inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..2 inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20.)) (?v_3804 (= inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1.)) (?v_3805 (= inline.GetDeviceContext.2.myNondetVar_0.2 inline.GetDeviceContext.2.myNondetVar_0)) (?v_3806 (= inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer)) (?v_3807 (= Mem_4_T.PWDFREQUEST__.13 Mem_4_T.PWDFREQUEST__)) (?v_3808 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet)) (?v_3809 (= Mem_0_T.PWDFREQUEST__.13 Mem_0_T.PWDFREQUEST__)) (?v_3810 (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.1 inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext)) (?v_3811 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet)) (?v_3812 (= inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..2 inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1.)) (?v_3813 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_3814 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.)) (?v_3815 (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..3 inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1.)) (?v_3816 (= inline.GetDeviceContext.0.myNondetVar_0.1 inline.GetDeviceContext.0.myNondetVar_0)) (?v_3817 (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..4 inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17.)) (?v_3818 (= inline.ReadWriteBulkEndPoints.0..totalLength.9.65.28.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0..totalLength.9.65.28.ReadWriteBulkEndPoints)) (?v_3819 (= inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints1.0 inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints1)) (?v_3820 (= inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..2 inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3.)) (?v_3821 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4)) (?v_3822 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_3823 (= inline.GetFileContext.1.myNondetVar_0.2 inline.GetFileContext.1.myNondetVar_0)) (?v_3824 (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer)) (?v_3825 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.56 inline.PerformFullSpeedIsochTransfer.0.myVar_0)) (?v_3826 (= inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints)) (?v_3827 (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.1 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext)) (?v_3828 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3829 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..2 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27.)) (?v_3830 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3831 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3.)) (?v_3832 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..2 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21.)) (?v_4006 (= reqSent_0.10 reqSent_0)) (?v_3833 (= inline.sdv_WdfCollectionAdd.0.myNondetVar_0.4 inline.sdv_WdfCollectionAdd.0.myNondetVar_0)) (?v_3834 (= inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.4 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0)) (?v_3835 (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.1 inline.GetFileContext.1..Handle.1.107.0.GetFileContext1)) (?v_3836 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.3 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2)) (?v_3837 (= inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.)) (?v_3838 (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer)) (?v_3839 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8.)) (?v_3840 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2.)) (?v_3841 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1)) (?v_3842 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_3843 (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_3844 (= inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1..3 inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1.)) (?v_3845 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3846 (= inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3847 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3848 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet)) (?v_3849 (= inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..1 inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5.)) (?v_3850 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_3851 (= inline.GetFileContext.2..Handle.1.107.0.GetFileContext.0 inline.GetFileContext.2..Handle.1.107.0.GetFileContext)) (?v_3852 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_3853 (= inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1..3 inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1.)) (?v_3854 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5.)) (?v_3855 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10.)) (?v_3856 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.56 inline.PerformHighSpeedIsochTransfer.0.myVar_0)) (?v_3857 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.3 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5)) (?v_3858 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_3859 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3.)) (?v_3860 (= inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer)) (?v_3861 (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.5 inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints)) (?v_3862 (= inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..2 inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1.)) (?v_3863 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.3 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4)) (?v_3864 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.7 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1)) (?v_3865 (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.3 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1)) (?v_3866 (= inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints1.0 inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints1)) (?v_3867 (= inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3.)) (?v_3868 (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1.)) (?v_3869 (= inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer)) (?v_3870 (= inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..2 inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1.)) (?v_3871 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.50 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0)) (?v_3872 (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_3873 (= inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..2 inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3.)) (?v_3874 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4.)) (?v_3875 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0)) (?v_3876 (= inline.RemoveHeadList.2.myNondetVar_0.4 inline.RemoveHeadList.2.myNondetVar_0)) (?v_3877 (= inline.IsListEmpty.3.myNondetVar_0.3 inline.IsListEmpty.3.myNondetVar_0)) (?v_3878 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_3879 (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..4 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19.)) (?v_3880 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9.)) (?v_3881 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14.)) (?v_3882 (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.8 inline.PerformHighSpeedIsochTransfer.0.myVar_1)) (?v_3883 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..2 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4.)) (?v_3884 (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3885 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2.)) (?v_3886 (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_3887 (= inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..2 inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13.)) (?v_3888 (= inline.sdv_WdfIoQueueGetDevice.0..result.sdv_WdfIoQueueGetDevice.6817.0.1..0 inline.sdv_WdfIoQueueGetDevice.0..result.sdv_WdfIoQueueGetDevice.6817.0.1.)) (?v_3889 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_3890 (= inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.4 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0)) (?v_3891 (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.2 inline.GetFileContext.3..Handle.1.107.0.GetFileContext1)) (?v_3892 (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3893 (= inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2 inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1.)) (?v_3894 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus)) (?v_3895 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2.)) (?v_3896 (= inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer)) (?v_3897 (= inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_3898 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3899 (= inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer)) (?v_3900 (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..4 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4.)) (?v_3901 (= inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer)) (?v_3902 (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_3903 (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.8 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints)) (?v_3904 (= inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer)) (?v_3905 (= inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2..3 inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2.)) (?v_3906 (= inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer)) (?v_3907 (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_3908 (= inline.sdv_WdfRequestGetFileObject.2..result.userContextSwitch.7051.4.2..1 inline.sdv_WdfRequestGetFileObject.2..result.userContextSwitch.7051.4.2.)) (?v_3909 (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.1 inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1)) (?v_3910 (= inline.ReadWriteBulkEndPoints.0..urbMemory.8.64.28.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0..urbMemory.8.64.28.ReadWriteBulkEndPoints)) (?v_3911 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted)) (?v_3912 (= inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..2 inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2.)) (?v_3913 (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer)) (?v_3914 (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_3915 (= inline.GetFileContext.2..Handle.1.107.0.GetFileContext1.0 inline.GetFileContext.2..Handle.1.107.0.GetFileContext1)) (?v_3916 (= inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..2 inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3.)) (?v_3917 (= inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer)) (?v_3918 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty)) (?v_3919 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_3920 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_3921 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc)) (?v_3922 (= inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints.0 inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints)) (?v_3923 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7.)) (?v_3924 (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_3925 (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..4 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1.)) (?v_3926 (= inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2.)) (?v_3927 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1)) (?v_3928 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..2 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22.)) (?v_3929 (= inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext.0 inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext)) (?v_3930 (= inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..2 inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1.)) (?v_3931 (= inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.3 inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup)) (?v_3932 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted)) (?v_3933 (= inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2..3 inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2.)) (?v_3934 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_3935 (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.2 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1)) (?v_3936 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0)) (?v_3937 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted)) (?v_3938 (= inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2 inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress)) (?v_3939 (= inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..1 inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2.)) (?v_3940 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0)) (?v_3941 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_3942 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3943 (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.19 inline.ReadWriteBulkEndPoints.0.myNondetVar_0)) (?v_3944 (= inline.GetFileContext.3.myNondetVar_0.3 inline.GetFileContext.3.myNondetVar_0)) (?v_3945 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2.)) (?v_3946 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_3947 (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.1 inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1)) (?v_3948 (= inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.2 inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd)) (?v_3949 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..2 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3.)) (?v_3950 (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.2 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject)) (?v_3951 (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_3952 (= Mem_3_T.PWDFREQUEST__.13 Mem_3_T.PWDFREQUEST__)) (?v_3953 (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2.)) (?v_3954 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty)) (?v_3955 (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2.)) (?v_3956 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted)) (?v_3957 (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1)) (?v_3958 (= inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer)) (?v_3959 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.64 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0)) (?v_3960 (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..4 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1.)) (?v_3961 (= inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.2 inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl))) (let ((?v_4007 (=> ?v_3923 (=> ?v_3924 (=> ?v_3925 (=> ?v_3926 (=> ?v_3927 (=> ?v_3928 (=> ?v_3929 (=> ?v_3930 (=> ?v_3931 (=> ?v_3932 (=> ?v_3933 (=> ?v_3934 (=> ?v_3935 (=> ?v_3936 (=> ?v_3937 (=> ?v_3938 (=> ?v_3939 (=> ?v_3940 (=> ?v_3941 (=> ?v_3942 (=> ?v_3943 (=> ?v_3944 (=> ?v_3945 (=> ?v_3946 (=> ?v_3947 (=> ?v_3948 (=> ?v_3949 (=> ?v_3950 (=> ?v_3951 (=> ?v_3952 (=> ?v_3953 (=> ?v_3954 (=> ?v_3955 (=> ?v_3956 (=> ?v_3957 (=> ?v_3958 (=> ?v_3959 (=> ?v_3960 (=> ?v_3961 ?v_3962))))))))))))))))))))))))))))))))))))))))) (let ((?v_4038 (=> true (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> (= reqCancelSet_0.26 reqCancelSet_0.1) (=> ?v_3996 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3368 (=> ?v_3369 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> ?v_3409 (=> ?v_3410 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3997 (=> ?v_3418 (=> ?v_3419 (=> ?v_3420 (=> ?v_3421 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> ?v_3430 (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_3438 (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> (= k.133 k.5) (=> ?v_3445 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> (= reqCompleted_1.20 reqCompleted_1.1) (=> ?v_3464 (=> ?v_3998 (=> (= reqCancelSet_3.26 reqCancelSet_3.1) (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> ?v_3474 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> (= reqCompleted_3.20 reqCompleted_3.1) (=> ?v_3483 (=> ?v_3484 (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_3494 (=> ?v_3495 (=> ?v_3999 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> ?v_3518 (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_3523 (=> ?v_3524 (=> ?v_3525 (=> ?v_3526 (=> ?v_3527 (=> ?v_3528 (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> ?v_3535 (=> (= reqCancelSet_1.26 reqCancelSet_1.1) (=> ?v_3536 (=> ?v_3537 (=> ?v_3538 (=> ?v_3539 (=> ?v_3540 (=> ?v_3541 (=> ?v_3542 (=> ?v_3543 (=> ?v_3544 (=> ?v_3545 (=> ?v_3546 (=> ?v_3547 (=> ?v_3548 (=> ?v_3549 (=> ?v_3550 (=> ?v_3551 (=> ?v_3552 (=> ?v_3553 (=> ?v_3554 (=> ?v_3555 (=> ?v_3556 (=> ?v_3557 (=> ?v_3558 (=> ?v_3559 (=> ?v_3560 (=> ?v_3561 (=> ?v_3562 (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> ?v_3563 (=> ?v_3564 (=> ?v_3565 (=> ?v_3566 (=> ?v_3567 (=> ?v_3568 (=> ?v_3569 (=> ?v_3570 (=> ?v_825 (=> ?v_3571 (=> ?v_3572 (=> ?v_3573 (=> ?v_3574 (=> ?v_3575 (=> ?v_3576 (=> ?v_3577 (=> ?v_3578 (=> ?v_3579 (=> ?v_3580 (=> ?v_3581 (=> ?v_3582 (=> ?v_3583 (=> ?v_3584 (=> ?v_3585 (=> ?v_3586 (=> ?v_3587 (=> ?v_3588 (=> ?v_3589 (=> (= reqCancelSet_4.26 reqCancelSet_4.1) (=> ?v_3590 (=> ?v_3591 (=> ?v_3592 (=> ?v_3593 (=> ?v_3594 (=> ?v_3595 (=> ?v_3596 (=> ?v_3597 (=> ?v_3598 (=> ?v_3599 (=> ?v_3600 (=> ?v_3601 (=> ?v_3602 (=> ?v_3603 (=> ?v_3604 (=> ?v_3605 (=> ?v_3606 (=> ?v_3607 (=> ?v_3608 (=> ?v_3609 (=> ?v_3610 (=> ?v_3611 (=> ?v_3612 (=> ?v_3613 (=> ?v_4000 (=> ?v_3614 (=> ?v_3615 (=> ?v_3616 (=> ?v_3617 (=> ?v_3618 (=> ?v_3619 (=> ?v_3620 (=> ?v_3621 (=> ?v_3622 (=> ?v_3623 (=> ?v_3624 (=> ?v_3625 (=> ?v_3626 (=> ?v_3627 (=> ?v_3628 (=> ?v_3629 (=> ?v_3630 (=> ?v_3631 (=> ?v_3632 (=> ?v_3633 (=> ?v_3634 (=> (= reqCancelSet_2.26 reqCancelSet_2.1) (=> ?v_3635 (=> ?v_3636 (=> ?v_3637 (=> ?v_3638 (=> ?v_3639 (=> ?v_3640 (=> ?v_3641 (=> ?v_3642 (=> ?v_3643 (=> ?v_3644 (=> ?v_3645 (=> ?v_3646 (=> ?v_3647 (=> ?v_3648 (=> ?v_3649 (=> ?v_3650 (=> ?v_3651 (=> ?v_3652 (=> ?v_3653 (=> ?v_3654 (=> ?v_3655 (=> ?v_3656 (=> ?v_3657 (=> ?v_3658 (=> ?v_3659 (=> ?v_3660 (=> ?v_3661 (=> ?v_3662 (=> ?v_826 (=> ?v_3663 (=> ?v_4001 (=> ?v_3664 (=> ?v_3665 (=> ?v_3666 (=> ?v_3667 (=> ?v_3668 (=> ?v_3669 (=> ?v_4002 (=> ?v_3670 (=> ?v_3671 (=> ?v_3672 (=> ?v_3673 (=> ?v_3674 (=> ?v_3675 (=> ?v_3676 (=> ?v_3677 (=> ?v_3678 (=> ?v_3679 (=> ?v_3680 (=> ?v_3681 (=> ?v_3682 (=> ?v_3683 (=> ?v_3684 (=> ?v_3685 (=> ?v_3686 (=> ?v_3687 (=> ?v_3688 (=> ?v_3689 (=> ?v_3690 (=> ?v_3691 (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..0) (=> ?v_3692 (=> ?v_828 (=> ?v_3693 (=> ?v_3694 (=> ?v_3695 (=> ?v_3696 (=> ?v_3697 (=> ?v_3698 (=> ?v_3699 (=> ?v_3700 (=> ?v_3701 (=> ?v_3702 (=> ?v_3703 (=> ?v_3704 (=> ?v_3705 (=> ?v_3706 (=> ?v_3707 (=> ?v_3708 (=> ?v_3709 (=> ?v_3710 (=> ?v_3711 (=> ?v_3712 (=> ?v_3713 (=> ?v_3714 (=> ?v_3715 (=> (= inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.8 inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.0) (=> ?v_3716 (=> ?v_3717 (=> ?v_3718 (=> ?v_3719 (=> ?v_3720 (=> ?v_3721 (=> ?v_3722 (=> ?v_3723 (=> ?v_3724 (=> ?v_3725 (=> ?v_3726 (=> ?v_3727 (=> ?v_3728 (=> ?v_3729 (=> ?v_3730 (=> ?v_3731 (=> ?v_3732 (=> ?v_3733 (=> ?v_3734 (=> ?v_3735 (=> ?v_3736 (=> ?v_3737 (=> ?v_3738 (=> ?v_3739 (=> ?v_3740 (=> ?v_3741 (=> ?v_3742 (=> ?v_3743 (=> ?v_3744 (=> ?v_3745 (=> ?v_3746 (=> ?v_3747 (=> ?v_3748 (=> ?v_3749 (=> ?v_3750 (=> ?v_3751 (=> ?v_3752 (=> ?v_3753 (=> ?v_3754 (=> ?v_3755 (=> ?v_3756 (=> ?v_3757 (=> ?v_3758 (=> (= reqCompleted_4.20 reqCompleted_4.1) (=> ?v_3759 (=> ?v_3760 (=> ?v_3761 (=> ?v_3762 (=> ?v_3763 (=> ?v_3764 (=> ?v_3765 (=> ?v_3766 (=> ?v_4003 (=> ?v_3767 (=> ?v_3768 (=> ?v_3769 (=> ?v_3770 (=> ?v_3771 (=> ?v_3772 (=> ?v_3773 (=> ?v_3774 (=> ?v_3775 (=> ?v_3776 (=> ?v_3777 (=> ?v_3778 (=> ?v_3779 (=> ?v_3780 (=> ?v_3781 (=> ?v_3782 (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) (=> ?v_3783 (=> ?v_3784 (=> ?v_3785 (=> ?v_4004 (=> ?v_3786 (=> ?v_3787 (=> ?v_3788 (=> ?v_3789 (=> ?v_3790 (=> ?v_3791 (=> ?v_3792 (=> ?v_3793 (=> ?v_3794 (=> ?v_3795 (=> ?v_3796 (=> ?v_3797 (=> ?v_3798 (=> ?v_3799 (=> ?v_3800 (=> ?v_3801 (=> ?v_3802 (=> ?v_4005 (=> ?v_3803 (=> ?v_3804 (=> ?v_3805 (=> ?v_3806 (=> ?v_3807 (=> ?v_3808 (=> ?v_3809 (=> ?v_3810 (=> ?v_3811 (=> ?v_3812 (=> ?v_3813 (=> ?v_3814 (=> ?v_3815 (=> ?v_3816 (=> ?v_3817 (=> ?v_3818 (=> ?v_3819 (=> ?v_3820 (=> ?v_3821 (=> ?v_3822 (=> ?v_3823 (=> ?v_3824 (=> ?v_3825 (=> ?v_3826 (=> ?v_3827 (=> ?v_3828 (=> ?v_3829 (=> ?v_3830 (=> ?v_3831 (=> ?v_3832 (=> ?v_4006 (=> ?v_3833 (=> ?v_3834 (=> ?v_3835 (=> ?v_3836 (=> ?v_3837 (=> ?v_3838 (=> ?v_3839 (=> ?v_3840 (=> ?v_3841 (=> ?v_3842 (=> ?v_3843 (=> ?v_3844 (=> ?v_3845 (=> (= reqCompleted_0.20 reqCompleted_0.1) (=> ?v_3846 (=> ?v_3847 (=> ?v_3848 (=> ?v_3849 (=> ?v_3850 (=> ?v_3851 (=> ?v_3852 (=> ?v_3853 (=> ?v_3854 (=> ?v_3855 (=> ?v_3856 (=> ?v_3857 (=> ?v_3858 (=> ?v_3859 (=> ?v_3860 (=> ?v_3861 (=> ?v_3862 (=> ?v_3863 (=> ?v_3864 (=> ?v_3865 (=> ?v_3866 (=> ?v_3867 (=> ?v_3868 (=> ?v_3869 (=> ?v_3870 (=> ?v_3871 (=> ?v_3872 (=> ?v_3873 (=> ?v_3874 (=> ?v_3875 (=> ?v_3876 (=> ?v_3877 (=> ?v_3878 (=> ?v_3879 (=> ?v_3880 (=> ?v_3881 (=> ?v_3882 (=> ?v_3883 (=> ?v_3884 (=> ?v_3885 (=> ?v_3886 (=> ?v_3887 (=> ?v_3888 (=> ?v_3889 (=> ?v_3890 (=> ?v_3891 (=> ?v_3892 (=> ?v_3893 (=> ?v_3894 (=> ?v_3895 (=> ?v_3896 (=> ?v_3897 (=> ?v_3898 (=> ?v_3899 (=> (= reqCompleted_2.20 reqCompleted_2.1) (=> ?v_3900 (=> ?v_3901 (=> ?v_3902 (=> ?v_3903 (=> ?v_3904 (=> ?v_3905 (=> ?v_3906 (=> ?v_3907 (=> ?v_3908 (=> ?v_3909 (=> ?v_3910 (=> ?v_3911 (=> ?v_3912 (=> ?v_3913 (=> ?v_3914 (=> ?v_3915 (=> ?v_3916 (=> ?v_3917 (=> ?v_3918 (=> ?v_3919 (=> ?v_3920 (=> ?v_3921 (=> ?v_3922 (=> (= errorReached.82 errorReached.4) ?v_4007)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4012 (=> true (=> (= reqCompleted_2.1 reqCompleted_2.0) (=> (= reqCompleted_4.1 reqCompleted_4.0) (=> (= reqCancelSet_3.1 reqCancelSet_3.0) (=> (= reqCompleted_0.1 reqCompleted_0.0) (=> (= reqCancelSet_2.1 reqCancelSet_2.0) (=> (= reqCancelSet_4.1 reqCancelSet_4.0) (=> (= k.5 k.4) (=> (= reqCompleted_1.1 reqCompleted_1.0) (=> (= reqCancelSet_1.1 reqCancelSet_1.0) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..0 call24750formal.ret.0) (=> (= reqCompleted_3.1 reqCompleted_3.0) (=> (= reqCancelSet_0.1 reqCancelSet_0.0) (=> (= errorReached.4 errorReached.3) ?v_4038)))))))))))))))) (let ((?v_4018 (=> true ?v_4012)) (?v_4014 (= reqCancelSet_0.0 reqCancelSet_0)) (?v_4009 (= reqCancelSet_4.0 reqCancelSet_4)) (?v_4010 (= reqCancelSet_2.0 reqCancelSet_2)) (?v_4015 (= reqCancelSet_1.0 reqCancelSet_1)) (?v_4011 (= reqCancelSet_3.0 reqCancelSet_3))) (let ((?v_4016 (=> ?v_4011 ?v_4018))) (let ((?v_4020 (=> ?v_4015 ?v_4016))) (let ((?v_4021 (=> ?v_4010 ?v_4020)) (?v_4019 (= k.4 4))) (let ((?v_4035 (not ?v_4019)) (?v_4017 (= k.4 3))) (let ((?v_4032 (not ?v_4017)) (?v_4013 (= k.4 2))) (let ((?v_4030 (not ?v_4013)) (?v_4008 (= k.4 1))) (let ((?v_4027 (not ?v_4008)) (?v_3995 (= k.4 0))) (let ((?v_4022 (not ?v_3995))) (let ((?v_4026 (and (=> true (=> ?v_3995 (=> true (=> (= reqCancelSet_0.0 0) (=> ?v_4009 (=> ?v_4010 (=> ?v_4015 (=> ?v_4011 ?v_4012)))))))) (=> true (=> ?v_4022 (and (=> true (=> ?v_4008 (=> true (=> ?v_4014 (=> ?v_4009 (=> ?v_4010 (=> (= reqCancelSet_1.0 0) ?v_4016))))))) (=> true (=> ?v_4027 (and (=> true (=> ?v_4013 (=> true (=> ?v_4014 (=> ?v_4009 (=> (= reqCancelSet_2.0 0) ?v_4020)))))) (=> true (=> ?v_4030 (and (=> true (=> ?v_4017 (=> true (=> ?v_4014 (=> ?v_4009 (=> ?v_4010 (=> ?v_4015 (=> (= reqCancelSet_3.0 0) ?v_4018)))))))) (=> true (=> ?v_4032 (and (=> true (=> ?v_4019 (=> true (=> ?v_4014 (=> (= reqCancelSet_4.0 0) ?v_4021))))) (=> true (=> ?v_4035 (=> true (=> ?v_4014 (=> ?v_4009 ?v_4021)))))))))))))))))))) (let ((?v_4034 (=> true (=> true ?v_4026))) (?v_4023 (= reqCompleted_3.0 reqCompleted_3)) (?v_4028 (= reqCompleted_1.0 reqCompleted_1)) (?v_4024 (= reqCompleted_2.0 reqCompleted_2)) (?v_4033 (= reqCompleted_0.0 reqCompleted_0)) (?v_4025 (= reqCompleted_4.0 reqCompleted_4))) (let ((?v_4029 (=> ?v_4033 (=> ?v_4025 ?v_4034)))) (let ((?v_4031 (=> ?v_4024 ?v_4029))) (let ((?v_4036 (=> ?v_4028 ?v_4031))) (let ((?v_4037 (and (=> true (=> ?v_3995 (=> true (=> ?v_4023 (=> ?v_4028 (=> ?v_4024 (=> (= reqCompleted_0.0 1) (=> ?v_4025 ?v_4026)))))))) (=> true (=> ?v_4022 (and (=> true (=> ?v_4008 (=> true (=> ?v_4023 (=> (= reqCompleted_1.0 1) ?v_4031))))) (=> true (=> ?v_4027 (and (=> true (=> ?v_4013 (=> true (=> ?v_4023 (=> ?v_4028 (=> (= reqCompleted_2.0 1) ?v_4029)))))) (=> true (=> ?v_4030 (and (=> true (=> ?v_4017 (=> true (=> (= reqCompleted_3.0 1) ?v_4036)))) (=> true (=> ?v_4032 (and (=> true (=> ?v_4019 (=> true (=> ?v_4023 (=> ?v_4028 (=> ?v_4024 (=> ?v_4033 (=> (= reqCompleted_4.0 1) ?v_4034)))))))) (=> true (=> ?v_4035 (=> true (=> ?v_4023 ?v_4036)))))))))))))))))) (?v_7 (= reqCompleted_0 0)) (?v_8 (= reqCompleted_1 0)) (?v_9 (= reqCompleted_2 0)) (?v_10 (= reqCompleted_3 0)) (?v_11 (= reqCompleted_4 0))) (let ((?v_12 (not ?v_7)) (?v_13 (not ?v_8)) (?v_14 (not ?v_9)) (?v_15 (not ?v_10)) (?v_16 (not ?v_11)) (?v_3994 (= inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.0 0)) (?v_824 (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_827 (= inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1.)) (?v_829 (= inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 inline.sdv_WdfRequestCompleteWithInformation.0..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation))) (let ((?v_3993 (=> true (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> (= reqCancelSet_0.26 reqCancelSet_0.3) (=> ?v_3996 (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> ?v_3362 (=> ?v_3363 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3368 (=> ?v_3369 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> ?v_3374 (=> ?v_3375 (=> ?v_3376 (=> ?v_3377 (=> ?v_3378 (=> ?v_3379 (=> ?v_3380 (=> ?v_3381 (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_3389 (=> ?v_3390 (=> ?v_3391 (=> ?v_3392 (=> ?v_3393 (=> ?v_3394 (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> ?v_3399 (=> ?v_3400 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3405 (=> ?v_3406 (=> ?v_3407 (=> ?v_3408 (=> ?v_3409 (=> ?v_3410 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> ?v_3414 (=> ?v_3415 (=> ?v_3416 (=> ?v_3417 (=> ?v_3997 (=> ?v_3418 (=> ?v_3419 (=> ?v_3420 (=> ?v_3421 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> ?v_3425 (=> ?v_3426 (=> ?v_3427 (=> ?v_3428 (=> ?v_3429 (=> ?v_3430 (=> ?v_3431 (=> ?v_3432 (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_3438 (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> ?v_3443 (=> ?v_3444 (=> (= k.133 k.7) (=> ?v_3445 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> (= reqCompleted_1.20 reqCompleted_1.3) (=> ?v_3464 (=> ?v_3998 (=> (= reqCancelSet_3.26 reqCancelSet_3.3) (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> ?v_3471 (=> ?v_3472 (=> ?v_3473 (=> ?v_3474 (=> ?v_3475 (=> ?v_3476 (=> ?v_3477 (=> ?v_3478 (=> ?v_3479 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> (= reqCompleted_3.20 reqCompleted_3.3) (=> ?v_3483 (=> ?v_3484 (=> ?v_3485 (=> ?v_3486 (=> ?v_3487 (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_3494 (=> ?v_3495 (=> ?v_3999 (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> ?v_3518 (=> ?v_3519 (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_3523 (=> ?v_3524 (=> ?v_3525 (=> ?v_3526 (=> ?v_3527 (=> ?v_3528 (=> ?v_3529 (=> ?v_3530 (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> ?v_3535 (=> (= reqCancelSet_1.26 reqCancelSet_1.3) (=> ?v_3536 (=> ?v_3537 (=> ?v_3538 (=> ?v_3539 (=> ?v_3540 (=> ?v_3541 (=> ?v_3542 (=> ?v_3543 (=> ?v_3544 (=> ?v_3545 (=> ?v_3546 (=> ?v_3547 (=> ?v_3548 (=> ?v_3549 (=> ?v_3550 (=> ?v_3551 (=> ?v_3552 (=> ?v_3553 (=> ?v_3554 (=> ?v_3555 (=> ?v_3556 (=> ?v_3557 (=> ?v_3558 (=> ?v_3559 (=> ?v_3560 (=> ?v_3561 (=> ?v_3562 (=> ?v_824 (=> ?v_3563 (=> ?v_3564 (=> ?v_3565 (=> ?v_3566 (=> ?v_3567 (=> ?v_3568 (=> ?v_3569 (=> ?v_3570 (=> (= inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) (=> ?v_3571 (=> ?v_3572 (=> ?v_3573 (=> ?v_3574 (=> ?v_3575 (=> ?v_3576 (=> ?v_3577 (=> ?v_3578 (=> ?v_3579 (=> ?v_3580 (=> ?v_3581 (=> ?v_3582 (=> ?v_3583 (=> ?v_3584 (=> ?v_3585 (=> ?v_3586 (=> ?v_3587 (=> ?v_3588 (=> ?v_3589 (=> (= reqCancelSet_4.26 reqCancelSet_4.3) (=> ?v_3590 (=> ?v_3591 (=> ?v_3592 (=> ?v_3593 (=> ?v_3594 (=> ?v_3595 (=> ?v_3596 (=> ?v_3597 (=> ?v_3598 (=> ?v_3599 (=> ?v_3600 (=> ?v_3601 (=> ?v_3602 (=> ?v_3603 (=> ?v_3604 (=> ?v_3605 (=> ?v_3606 (=> ?v_3607 (=> ?v_3608 (=> ?v_3609 (=> ?v_3610 (=> ?v_3611 (=> ?v_3612 (=> ?v_3613 (=> ?v_4000 (=> ?v_3614 (=> ?v_3615 (=> ?v_3616 (=> ?v_3617 (=> ?v_3618 (=> ?v_3619 (=> ?v_3620 (=> ?v_3621 (=> ?v_3622 (=> ?v_3623 (=> ?v_3624 (=> ?v_3625 (=> ?v_3626 (=> ?v_3627 (=> ?v_3628 (=> ?v_3629 (=> ?v_3630 (=> ?v_3631 (=> ?v_3632 (=> ?v_3633 (=> ?v_3634 (=> (= reqCancelSet_2.26 reqCancelSet_2.3) (=> ?v_3635 (=> ?v_3636 (=> ?v_3637 (=> ?v_3638 (=> ?v_3639 (=> ?v_3640 (=> ?v_3641 (=> ?v_3642 (=> ?v_3643 (=> ?v_3644 (=> ?v_3645 (=> ?v_3646 (=> ?v_3647 (=> ?v_3648 (=> ?v_3649 (=> ?v_3650 (=> ?v_3651 (=> ?v_3652 (=> ?v_3653 (=> ?v_3654 (=> ?v_3655 (=> ?v_3656 (=> ?v_3657 (=> ?v_3658 (=> ?v_3659 (=> ?v_3660 (=> ?v_3661 (=> ?v_3662 (=> (= inline.sdv_WdfRequestCompleteWithInformation.2..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.2..result.userContextSwitch.7656.4.1..0) (=> ?v_3663 (=> ?v_4001 (=> ?v_3664 (=> ?v_3665 (=> ?v_3666 (=> ?v_3667 (=> ?v_3668 (=> ?v_3669 (=> ?v_4002 (=> ?v_3670 (=> ?v_3671 (=> ?v_3672 (=> ?v_3673 (=> ?v_3674 (=> ?v_3675 (=> ?v_3676 (=> ?v_3677 (=> ?v_3678 (=> ?v_3679 (=> ?v_3680 (=> ?v_3681 (=> ?v_3682 (=> ?v_3683 (=> ?v_3684 (=> ?v_3685 (=> ?v_3686 (=> ?v_3687 (=> ?v_3688 (=> ?v_3689 (=> ?v_3690 (=> ?v_3691 (=> ?v_827 (=> ?v_3692 (=> (= inline.sdv_WdfRequestCompleteWithInformation.2..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> ?v_3693 (=> ?v_3694 (=> ?v_3695 (=> ?v_3696 (=> ?v_3697 (=> ?v_3698 (=> ?v_3699 (=> ?v_3700 (=> ?v_3701 (=> ?v_3702 (=> ?v_3703 (=> ?v_3704 (=> ?v_3705 (=> ?v_3706 (=> ?v_3707 (=> ?v_3708 (=> ?v_3709 (=> ?v_3710 (=> ?v_3711 (=> ?v_3712 (=> ?v_3713 (=> ?v_3714 (=> ?v_3715 (=> (= inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.8 inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.6) (=> ?v_3716 (=> ?v_3717 (=> ?v_3718 (=> ?v_3719 (=> ?v_3720 (=> ?v_3721 (=> ?v_3722 (=> ?v_3723 (=> ?v_3724 (=> ?v_3725 (=> ?v_3726 (=> ?v_3727 (=> ?v_3728 (=> ?v_3729 (=> ?v_3730 (=> ?v_3731 (=> ?v_3732 (=> ?v_3733 (=> ?v_3734 (=> ?v_3735 (=> ?v_3736 (=> ?v_3737 (=> ?v_3738 (=> ?v_3739 (=> ?v_3740 (=> ?v_3741 (=> ?v_3742 (=> ?v_3743 (=> ?v_3744 (=> ?v_3745 (=> ?v_3746 (=> ?v_3747 (=> ?v_3748 (=> ?v_3749 (=> ?v_3750 (=> ?v_3751 (=> ?v_3752 (=> ?v_3753 (=> ?v_3754 (=> ?v_3755 (=> ?v_3756 (=> ?v_3757 (=> ?v_3758 (=> (= reqCompleted_4.20 reqCompleted_4.3) (=> ?v_3759 (=> ?v_3760 (=> ?v_3761 (=> ?v_3762 (=> ?v_3763 (=> ?v_3764 (=> ?v_3765 (=> ?v_3766 (=> ?v_4003 (=> ?v_3767 (=> ?v_3768 (=> ?v_3769 (=> ?v_3770 (=> ?v_3771 (=> ?v_3772 (=> ?v_3773 (=> ?v_3774 (=> ?v_3775 (=> ?v_3776 (=> ?v_3777 (=> ?v_3778 (=> ?v_3779 (=> ?v_3780 (=> ?v_3781 (=> ?v_3782 (=> ?v_829 (=> ?v_3783 (=> ?v_3784 (=> ?v_3785 (=> ?v_4004 (=> ?v_3786 (=> ?v_3787 (=> ?v_3788 (=> ?v_3789 (=> ?v_3790 (=> ?v_3791 (=> ?v_3792 (=> ?v_3793 (=> ?v_3794 (=> ?v_3795 (=> ?v_3796 (=> ?v_3797 (=> ?v_3798 (=> ?v_3799 (=> ?v_3800 (=> ?v_3801 (=> ?v_3802 (=> ?v_4005 (=> ?v_3803 (=> ?v_3804 (=> ?v_3805 (=> ?v_3806 (=> ?v_3807 (=> ?v_3808 (=> ?v_3809 (=> ?v_3810 (=> ?v_3811 (=> ?v_3812 (=> ?v_3813 (=> ?v_3814 (=> ?v_3815 (=> ?v_3816 (=> ?v_3817 (=> ?v_3818 (=> ?v_3819 (=> ?v_3820 (=> ?v_3821 (=> ?v_3822 (=> ?v_3823 (=> ?v_3824 (=> ?v_3825 (=> ?v_3826 (=> ?v_3827 (=> ?v_3828 (=> ?v_3829 (=> ?v_3830 (=> ?v_3831 (=> ?v_3832 (=> ?v_4006 (=> ?v_3833 (=> ?v_3834 (=> ?v_3835 (=> ?v_3836 (=> ?v_3837 (=> ?v_3838 (=> ?v_3839 (=> ?v_3840 (=> ?v_3841 (=> ?v_3842 (=> ?v_3843 (=> ?v_3844 (=> ?v_3845 (=> (= reqCompleted_0.20 reqCompleted_0.3) (=> ?v_3846 (=> ?v_3847 (=> ?v_3848 (=> ?v_3849 (=> ?v_3850 (=> ?v_3851 (=> ?v_3852 (=> ?v_3853 (=> ?v_3854 (=> ?v_3855 (=> ?v_3856 (=> ?v_3857 (=> ?v_3858 (=> ?v_3859 (=> ?v_3860 (=> ?v_3861 (=> ?v_3862 (=> ?v_3863 (=> ?v_3864 (=> ?v_3865 (=> ?v_3866 (=> ?v_3867 (=> ?v_3868 (=> ?v_3869 (=> ?v_3870 (=> ?v_3871 (=> ?v_3872 (=> ?v_3873 (=> ?v_3874 (=> ?v_3875 (=> ?v_3876 (=> ?v_3877 (=> ?v_3878 (=> ?v_3879 (=> ?v_3880 (=> ?v_3881 (=> ?v_3882 (=> ?v_3883 (=> ?v_3884 (=> ?v_3885 (=> ?v_3886 (=> ?v_3887 (=> ?v_3888 (=> ?v_3889 (=> ?v_3890 (=> ?v_3891 (=> ?v_3892 (=> ?v_3893 (=> ?v_3894 (=> ?v_3895 (=> ?v_3896 (=> ?v_3897 (=> ?v_3898 (=> ?v_3899 (=> (= reqCompleted_2.20 reqCompleted_2.3) (=> ?v_3900 (=> ?v_3901 (=> ?v_3902 (=> ?v_3903 (=> ?v_3904 (=> ?v_3905 (=> ?v_3906 (=> ?v_3907 (=> ?v_3908 (=> ?v_3909 (=> ?v_3910 (=> ?v_3911 (=> ?v_3912 (=> ?v_3913 (=> ?v_3914 (=> ?v_3915 (=> ?v_3916 (=> ?v_3917 (=> ?v_3918 (=> ?v_3919 (=> ?v_3920 (=> ?v_3921 (=> ?v_3922 (=> (= errorReached.82 errorReached.6) ?v_4007)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3967 (=> true (=> (= reqCompleted_2.3 reqCompleted_2.2) (=> (= reqCompleted_4.3 reqCompleted_4.2) (=> (= reqCancelSet_3.3 reqCancelSet_3.2) (=> (= reqCompleted_0.3 reqCompleted_0.2) (=> (= reqCancelSet_2.3 reqCancelSet_2.2) (=> (= reqCancelSet_4.3 reqCancelSet_4.2) (=> (= inline.sdv_WdfRequestCompleteWithInformation.2..result.userContextSwitch.7656.4.1..0 call27641formal.ret.0) (=> (= k.7 k.6) (=> (= reqCompleted_1.3 reqCompleted_1.2) (=> (= reqCancelSet_1.3 reqCancelSet_1.2) (=> (= reqCompleted_3.3 reqCompleted_3.2) (=> (= reqCancelSet_0.3 reqCancelSet_0.2) (=> (= errorReached.6 errorReached.5) ?v_3993)))))))))))))))) (let ((?v_3973 (=> true ?v_3967)) (?v_3969 (= reqCancelSet_0.2 reqCancelSet_0)) (?v_3964 (= reqCancelSet_4.2 reqCancelSet_4)) (?v_3965 (= reqCancelSet_2.2 reqCancelSet_2)) (?v_3970 (= reqCancelSet_1.2 reqCancelSet_1)) (?v_3966 (= reqCancelSet_3.2 reqCancelSet_3))) (let ((?v_3971 (=> ?v_3966 ?v_3973))) (let ((?v_3975 (=> ?v_3970 ?v_3971))) (let ((?v_3976 (=> ?v_3965 ?v_3975)) (?v_3974 (= k.6 4))) (let ((?v_3990 (not ?v_3974)) (?v_3972 (= k.6 3))) (let ((?v_3987 (not ?v_3972)) (?v_3968 (= k.6 2))) (let ((?v_3985 (not ?v_3968)) (?v_3963 (= k.6 1))) (let ((?v_3982 (not ?v_3963)) (?v_3349 (= k.6 0))) (let ((?v_3977 (not ?v_3349))) (let ((?v_3981 (and (=> true (=> ?v_3349 (=> true (=> (= reqCancelSet_0.2 0) (=> ?v_3964 (=> ?v_3965 (=> ?v_3970 (=> ?v_3966 ?v_3967)))))))) (=> true (=> ?v_3977 (and (=> true (=> ?v_3963 (=> true (=> ?v_3969 (=> ?v_3964 (=> ?v_3965 (=> (= reqCancelSet_1.2 0) ?v_3971))))))) (=> true (=> ?v_3982 (and (=> true (=> ?v_3968 (=> true (=> ?v_3969 (=> ?v_3964 (=> (= reqCancelSet_2.2 0) ?v_3975)))))) (=> true (=> ?v_3985 (and (=> true (=> ?v_3972 (=> true (=> ?v_3969 (=> ?v_3964 (=> ?v_3965 (=> ?v_3970 (=> (= reqCancelSet_3.2 0) ?v_3973)))))))) (=> true (=> ?v_3987 (and (=> true (=> ?v_3974 (=> true (=> ?v_3969 (=> (= reqCancelSet_4.2 0) ?v_3976))))) (=> true (=> ?v_3990 (=> true (=> ?v_3969 (=> ?v_3964 ?v_3976)))))))))))))))))))) (let ((?v_3989 (=> true (=> true ?v_3981))) (?v_3978 (= reqCompleted_3.2 reqCompleted_3)) (?v_3983 (= reqCompleted_1.2 reqCompleted_1)) (?v_3979 (= reqCompleted_2.2 reqCompleted_2)) (?v_3988 (= reqCompleted_0.2 reqCompleted_0)) (?v_3980 (= reqCompleted_4.2 reqCompleted_4))) (let ((?v_3984 (=> ?v_3988 (=> ?v_3980 ?v_3989)))) (let ((?v_3986 (=> ?v_3979 ?v_3984))) (let ((?v_3991 (=> ?v_3983 ?v_3986))) (let ((?v_3992 (and (=> true (=> ?v_3349 (=> true (=> ?v_3978 (=> ?v_3983 (=> ?v_3979 (=> (= reqCompleted_0.2 1) (=> ?v_3980 ?v_3981)))))))) (=> true (=> ?v_3977 (and (=> true (=> ?v_3963 (=> true (=> ?v_3978 (=> (= reqCompleted_1.2 1) ?v_3986))))) (=> true (=> ?v_3982 (and (=> true (=> ?v_3968 (=> true (=> ?v_3978 (=> ?v_3983 (=> (= reqCompleted_2.2 1) ?v_3984)))))) (=> true (=> ?v_3985 (and (=> true (=> ?v_3972 (=> true (=> (= reqCompleted_3.2 1) ?v_3991)))) (=> true (=> ?v_3987 (and (=> true (=> ?v_3974 (=> true (=> ?v_3978 (=> ?v_3983 (=> ?v_3979 (=> ?v_3988 (=> (= reqCompleted_4.2 1) ?v_3989)))))))) (=> true (=> ?v_3990 (=> true (=> ?v_3978 ?v_3991)))))))))))))))))) (?v_1101 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..2 inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..1) (=> (= reqCancelSet_0.26 reqCancelSet_0.25) (=> (= reqSent_2.10 reqSent_2.9) (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.4 inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.3) (=> (= inline.GetSubRequestContext.1.myNondetVar_0.3 inline.GetSubRequestContext.1.myNondetVar_0.2) (=> (= inline.IsListEmpty.1.myNondetVar_0.4 inline.IsListEmpty.1.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..2) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2) (=> (= inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..2 inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..1) (=> ?v_3362 (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.1 inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.0) (=> (= inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..3 inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..2) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..3) (=> (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.2 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.0) (=> ?v_3374 (=> ?v_3375 (=> (= inline.RemoveHeadList.0.myNondetVar_0.6 inline.RemoveHeadList.0.myNondetVar_0.5) (=> (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.7 inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.6) (=> ?v_3378 (=> ?v_3379 (=> (= inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..3 inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..2) (=> ?v_3381 (=> (= inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.0) (=> (= inline.sdv_WdfRequestGetFileObject.2..result.sdv_WdfRequestGetFileObject.7046.0.1..0 notused_4hfileobj) (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1..3 inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1..2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.2) (=> (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.1 inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..2) (=> (= inline.RemoveHeadList.1.myNondetVar_0.4 inline.RemoveHeadList.1.myNondetVar_0.3) (=> ?v_3390 (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.5 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.4) (=> ?v_3392 (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1) (=> ?v_3394 (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2) (=> (= inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..2 inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1) (=> ?v_3399 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..2 inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..1) (=> (= inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints.0 myNondetVar_0.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..1) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..3) (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.12 inline.DoSubRequestCleanup.1.myNondetVar_0.11) (=> ?v_3407 (=> ?v_3408 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0) (=> (= inline.GetFileContext.4.myNondetVar_0.3 inline.GetFileContext.4.myNondetVar_0.2) (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.8 inline.PerformFullSpeedIsochTransfer.0.myVar_1.7) (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 notused_4hfileobj) (=> ?v_3414 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.5) (=> (= inline.GetDeviceContext.1.myNondetVar_0.3 inline.GetDeviceContext.1.myNondetVar_0.2) (=> ?v_3417 (=> (= reqCompleteSet_2.10 reqCompleteSet_2.9) (=> (= inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.0) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..3) (=> (= inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..3 inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.5) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1) (=> (= inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..1 inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..0) (=> ?v_3425 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..3) (=> ?v_3427 (=> (= inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2 inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.3 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.2) (=> ?v_3431 (=> ?v_3432 (=> (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..5 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..4) (=> (= inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..1 inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..1) (=> (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext.2 inline.GetFileContext.3..Handle.1.107.0.GetFileContext.1) (=> (= inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..3) (=> (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= inline.InitializeListHead.0.myNondetVar_0.2 inline.InitializeListHead.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.5) (=> ?v_3443 (=> (= inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..1) (=> (= k.133 k.132) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.2 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.1) (=> (= inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.3 inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.1) (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.0) (=> (= inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints.0 hrequest) (=> (= inline.InsertTailList.1.myNondetVar_0.3 inline.InsertTailList.1.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hdevice) (=> (= inline.ReadWriteIsochEndPoints.0..pipeInfo.9.65.31.ReadWriteIsochEndPoints.0 call27893formal.new.0) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..3 inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..2) (=> (= inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1) (=> (= reqCompleted_1.20 reqCompleted_1.19) (=> (= inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..2 inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1) (=> (= reqCompleteSet_4.10 reqCompleteSet_4.9) (=> (= reqCancelSet_3.26 reqCancelSet_3.25) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..2) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.ReadWriteIsochEndPoints.0..Request.2.38.24.ReadWriteIsochEndPoints1.0 hrequest) (=> (= inline.ReadWriteIsochEndPoints.0..result.sdv_WdfIoQueueGetDevice.76.56.2..0 hdevice) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2) (=> ?v_3471 (=> ?v_3472 (=> (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.2 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.2) (=> (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..3) (=> ?v_3476 (=> (= inline.GetRequestContext.1.myNondetVar_0.2 inline.GetRequestContext.1.myNondetVar_0.1) (=> ?v_3478 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.2) (=> (= inline.IsListEmpty.6.myNondetVar_0.3 inline.IsListEmpty.6.myNondetVar_0.2) (=> (= inline.GetRequestContext.2.myNondetVar_0.2 inline.GetRequestContext.2.myNondetVar_0.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..1) (=> (= reqCompleted_3.20 reqCompleted_3.19) (=> (= inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..1 inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..1) (=> (= inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.2 inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2) (=> ?v_3487 (=> (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.0) (=> (= inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..1 inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..0) (=> (= lockStatus_2.17 lockStatus_2.16) (=> (= inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..3 inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..2) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2) (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..3) (=> (= inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 hrequest) (=> (= reqCompleteSet_1.10 reqCompleteSet_1.9) (=> (= inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2 inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1) (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..2) (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.5 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.4) (=> (= inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.1) (=> (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..2 inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..1) (=> (= inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.28 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.27) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..2 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..3 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.3) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.3) (=> (= inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..2 inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..1) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.2) (=> ?v_3518 (=> ?v_3519 (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.3) (=> (= inline.InitializeListHead.1.myNondetVar_0.2 inline.InitializeListHead.1.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..1) (=> ?v_3526 (=> ?v_3527 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.3) (=> (= inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..1) (=> ?v_3530 (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.11 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.10) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.2) (=> (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..4) (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.16 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.15) (=> ?v_3535 (=> (= reqCancelSet_1.26 reqCancelSet_1.25) (=> ?v_3536 (=> ?v_3537 (=> (= inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= lockStatus_4.17 lockStatus_4.16) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..1) (=> (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.2 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.2) (=> ?v_3543 (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1) (=> (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.7 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.6) (=> (= inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.1) (=> (= inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..2 inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..1) (=> ?v_3549 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..2 inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.3..result.userContextSwitch.7656.4.1..2 inline.sdv_WdfRequestCompleteWithInformation.3..result.userContextSwitch.7656.4.1..1) (=> (= inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..2 inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..1) (=> ?v_3554 (=> (= inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..2 inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1..3 inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 notused_4hfileobj) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..0) (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.9 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.8) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..2 inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..1) (=> (= inline.ReadWriteIsochEndPoints.0..totalLength.5.61.28.ReadWriteIsochEndPoints.0 myNondetVar_0.0) (=> ?v_3562 (=> ?v_824 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.3) (=> ?v_3564 (=> ?v_3565 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..3 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> ?v_3569 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4) (=> ?v_825 (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1..3 inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1..2) (=> (= inline.IsListEmpty.5.myNondetVar_0.3 inline.IsListEmpty.5.myNondetVar_0.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.3) (=> (= inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2..3 inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2..2) (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..3 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2) (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.ReadWriteIsochEndPoints.0..result.sdv_WdfRequestGetFileObject.81.56.4..0 notused_4hfileobj) (=> (= inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..2 inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.3) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.3) (=> ?v_3583 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.sdv_WdfSpinLockCreate.1..result.userContextSwitch.8640.2.2..2 inline.sdv_WdfSpinLockCreate.1..result.userContextSwitch.8640.2.2..1) (=> ?v_3587 (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.2 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.3) (=> (= reqCancelSet_4.26 reqCancelSet_4.25) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.0) (=> ?v_3592 (=> ?v_3593 (=> (= inline.IsListEmpty.2.myNondetVar_0.5 inline.IsListEmpty.2.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..2 inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..1) (=> (= inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.2 inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0) (=> ?v_3599 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2) (=> ?v_3601 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.0) (=> ?v_3606 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.8 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.7) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1) (=> ?v_3610 (=> (= inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1) (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.5 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.4) (=> (= alloc.32 alloc.31) (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2) (=> ?v_3615 (=> (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..3) (=> ?v_3617 (=> (= inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.1) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.1 inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.0) (=> (= lockStatus_1.17 lockStatus_1.16) (=> (= inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext1.0 hdevice) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..3) (=> ?v_3626 (=> (= lockStatus_0.17 lockStatus_0.16) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.2 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> ?v_3630 (=> (= inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..2 inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..1) (=> (= inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..2 inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..1) (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.2 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.1) (=> (= inline.sdv_WdfRequestGetFileObject.2..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 hrequest) (=> (= reqCancelSet_2.26 reqCancelSet_2.25) (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.ReadWriteIsochEndPoints.0..Length.3.39.24.ReadWriteIsochEndPoints1.0 myNondetVar_0.0) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1..3 inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1..2) (=> ?v_3638 (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3) (=> (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.2 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.0) (=> (= inline.IsListEmpty.7.myNondetVar_0.4 inline.IsListEmpty.7.myNondetVar_0.3) (=> (= inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..2 inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..1) (=> (= inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.7 inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.6) (=> (= inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..2 inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.2 inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.1) (=> ?v_3650 (=> (= inline.IsListEmpty.9.myNondetVar_0.5 inline.IsListEmpty.9.myNondetVar_0.4) (=> (= inline.sdv_WdfSpinLockCreate.0..result.userContextSwitch.8640.2.2..2 inline.sdv_WdfSpinLockCreate.0..result.userContextSwitch.8640.2.2..1) (=> (= inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.2 inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.2) (=> (= inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..2 inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.3) (=> ?v_3658 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.3) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..3) (=> (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.5 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.4) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.4 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3) (=> ?v_826 (=> (= inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.2) (=> (= reqSent_3.10 reqSent_3.9) (=> ?v_3664 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.2 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.1) (=> ?v_3667 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.2) (=> (= inline.IsListEmpty.4.myNondetVar_0.3 inline.IsListEmpty.4.myNondetVar_0.2) (=> (= reqCompleteSet_3.10 reqCompleteSet_3.9) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.3 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.3 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..3) (=> (= inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2..3 inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2..2) (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.2 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hdevice) (=> ?v_3681 (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.2 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.0) (=> ?v_3684 (=> (= inline.IsListEmpty.8.myNondetVar_0.4 inline.IsListEmpty.8.myNondetVar_0.3) (=> (= inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.InsertTailList.0.myNondetVar_0.3 inline.InsertTailList.0.myNondetVar_0.2) (=> (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.1 inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..4 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..3) (=> ?v_3690 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.2) (=> ?v_827 (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..3 inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..2) (=> ?v_828 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..1) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.2) (=> ?v_3695 (=> (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.1) (=> (= inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..2 inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..4 inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..3) (=> (= inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.2) (=> ?v_3701 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..1) (=> (= Mem_2_T.PWDFREQUEST__.13 Mem_2_T.PWDFREQUEST__.12) (=> (= inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.2 inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.1) (=> (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.1) (=> (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.2 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.2) (=> (= inline.sdv_WdfCollectionAdd.1.myNondetVar_0.4 inline.sdv_WdfCollectionAdd.1.myNondetVar_0.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.0) (=> (= inline.GetSubRequestContext.0.myNondetVar_0.3 inline.GetSubRequestContext.0.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..2) (=> (= inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..1 inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..0) (=> (= inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..2 inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..1) (=> (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext.2 inline.GetFileContext.4..Handle.1.107.0.GetFileContext.1) (=> ?v_3715 (=> (= inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.8 inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.7) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3) (=> (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.0) (=> ?v_3718 (=> (= inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..2) (=> ?v_3721 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..2 inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..1) (=> (= inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2 inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1) (=> ?v_3726 (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.11 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.10) (=> ?v_3728 (=> ?v_3729 (=> (= inline.RemoveHeadList.3.myNondetVar_0.6 inline.RemoveHeadList.3.myNondetVar_0.5) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2) (=> (= lockStatus_3.17 lockStatus_3.16) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..1) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2) (=> ?v_3735 (=> (= inline.ResetPipe.0..status.2.461.22.ResetPipe.2 inline.ResetPipe.0..status.2.461.22.ResetPipe.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..1) (=> ?v_3738 (=> ?v_3739 (=> ?v_3740 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..2 inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..1) (=> (= inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..3 inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..2) (=> (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..2 inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..1) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..5 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4) (=> ?v_3747 (=> ?v_3748 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.3) (=> (= inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.3) (=> ?v_3752 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..4 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..3) (=> ?v_3755 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.3) (=> (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.1 inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.0) (=> (= inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..2 inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..1) (=> (= reqCompleted_4.20 reqCompleted_4.19) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.5 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.4) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..5 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..4) (=> ?v_3762 (=> (= inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..2 inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..1) (=> (= inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..2 inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..1) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2) (=> (= reqSent_1.10 reqSent_1.9) (=> (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.6) (=> (= inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..2 inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2) (=> (= inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..1 inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..0) (=> (= inline.IsListEmpty.0.myNondetVar_0.4 inline.IsListEmpty.0.myNondetVar_0.3) (=> (= inline.GetFileContext.2.myNondetVar_0.1 inline.GetFileContext.2.myNondetVar_0.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.2) (=> (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.2 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.1) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.1 inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.3 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.2) (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1) (=> ?v_829 (=> (= inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..2 inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..1) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.0) (=> (= reqSent_4.10 reqSent_4.9) (=> (= inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.0) (=> (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.1 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.3) (=> ?v_3789 (=> (= Mem_1_T.PWDFREQUEST__.13 Mem_1_T.PWDFREQUEST__.12) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.2) (=> ?v_3793 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.2) (=> (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.8 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.7) (=> (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.1 inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.0) (=> (= inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..2 inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..1) (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.12 inline.DoSubRequestCleanup.0.myNondetVar_0.11) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.5 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.4) (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2) (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.3 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.2) (=> (= reqCompleteSet_0.10 reqCompleteSet_0.9) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..2 inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..1) (=> (= inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..2 inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..1) (=> (= inline.GetDeviceContext.2.myNondetVar_0.2 inline.GetDeviceContext.2.myNondetVar_0.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.2) (=> (= Mem_4_T.PWDFREQUEST__.13 Mem_4_T.PWDFREQUEST__.12) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.3) (=> (= Mem_0_T.PWDFREQUEST__.13 Mem_0_T.PWDFREQUEST__.12) (=> (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.1 inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.3) (=> (= inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..2 inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..1) (=> ?v_3813 (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..4 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..3 inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..2) (=> (= inline.GetDeviceContext.0.myNondetVar_0.1 inline.GetDeviceContext.0.myNondetVar_0.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..4 inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..3) (=> ?v_3818 (=> (= inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints1.0 4) (=> (= inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..2 inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..1) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2) (=> ?v_3823 (=> (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.56 inline.PerformFullSpeedIsochTransfer.0.myVar_0.55) (=> ?v_3826 (=> (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.1 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.2 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..2 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.2 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1) (=> ?v_3831 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..2 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..1) (=> (= reqSent_0.10 reqSent_0.9) (=> (= inline.sdv_WdfCollectionAdd.0.myNondetVar_0.4 inline.sdv_WdfCollectionAdd.0.myNondetVar_0.3) (=> (= inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.4 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.3) (=> ?v_3835 (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.3 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.2) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..2 inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..3 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..2) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.2 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1..3 inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1..2) (=> ?v_3845 (=> (= reqCompleted_0.20 reqCompleted_0.19) (=> (= inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.0) (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.3) (=> ?v_3849 (=> ?v_3850 (=> (= inline.GetFileContext.2..Handle.1.107.0.GetFileContext.0 notused_4hfileobj) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4) (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1..3 inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..1) (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.56 inline.PerformHighSpeedIsochTransfer.0.myVar_0.55) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.3 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.2) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.3 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.0) (=> (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.5 inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.4) (=> (= inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..2 inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..1) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.3 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.7 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.6) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.3 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.2) (=> ?v_3866 (=> (= inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3..3 inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3..2) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..4 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..3) (=> (= inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.0) (=> (= inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..2 inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..1) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.50 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.49) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.2 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1) (=> (= inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..2 inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..0) (=> ?v_3875 (=> (= inline.RemoveHeadList.2.myNondetVar_0.4 inline.RemoveHeadList.2.myNondetVar_0.3) (=> (= inline.IsListEmpty.3.myNondetVar_0.3 inline.IsListEmpty.3.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..5 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..4 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..3) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..3 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..1) (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.8 inline.PerformHighSpeedIsochTransfer.0.myVar_1.7) (=> ?v_3883 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..2) (=> ?v_3886 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..2 inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..1) (=> (= inline.sdv_WdfIoQueueGetDevice.0..result.sdv_WdfIoQueueGetDevice.6817.0.1..0 hdevice) (=> ?v_3889 (=> (= inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.4 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.3) (=> (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.2 inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.1) (=> (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..4 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..3) (=> (= inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..2 inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.3) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.0) (=> (= inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..3 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.0) (=> (= reqCompleted_2.20 reqCompleted_2.19) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..4 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..3) (=> (= inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.0) (=> (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.2 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.1) (=> ?v_3903 (=> (= inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.0) (=> (= inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2..3 inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.2 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1) (=> (= inline.sdv_WdfRequestGetFileObject.2..result.userContextSwitch.7051.4.2..1 inline.sdv_WdfRequestGetFileObject.2..result.userContextSwitch.7051.4.2..0) (=> (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.1 inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.0) (=> ?v_3910 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.3) (=> (= inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..2 inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.6) (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.2 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1) (=> (= inline.GetFileContext.2..Handle.1.107.0.GetFileContext1.0 notused_4hfileobj) (=> (= inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..2 inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.0) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.3 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.2) (=> (= inline.ReadWriteIsochEndPoints.0..RequestType.4.40.24.ReadWriteIsochEndPoints.0 4) (=> (= errorReached.82 errorReached.81) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.2 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1) (=> (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..4 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..3) (=> (= inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..2 inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..1) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..2 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..1) (=> (= inline.GetDeviceContext.0..Handle.1.96.0.GetDeviceContext.0 hdevice) (=> (= inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..2 inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..1) (=> (= inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.3 inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.3) (=> (= inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2..3 inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2..2) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3) (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.2 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.1) (=> ?v_3936 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.4 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.3) (=> (= inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.2 inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1) (=> ?v_3939 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.6 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.5) (=> ?v_3941 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3943 (=> (= inline.GetFileContext.3.myNondetVar_0.3 inline.GetFileContext.3.myNondetVar_0.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.1 inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.0) (=> (= inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.2 inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.1) (=> ?v_3949 (=> (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.2 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.1) (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.2 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1) (=> (= Mem_3_T.PWDFREQUEST__.13 Mem_3_T.PWDFREQUEST__.12) (=> ?v_3953 (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..3 inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.4 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.3) (=> (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.2 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.64 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.63) (=> (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..4 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..3) (=> (= inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.2 inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.1) ?v_3962))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2423 (=> true (=> true (=> true ?v_1101)))) (?v_2177 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached)) (?v_2178 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2179 (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.7 inline.PerformHighSpeedIsochTransfer.0.myVar_1)) (?v_2180 (= inline.IsListEmpty.1.myNondetVar_0.3 inline.IsListEmpty.1.myNondetVar_0)) (?v_2181 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3.)) (?v_2182 (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_2183 (= inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..1 inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1.)) (?v_2184 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_2185 (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.0 inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1)) (?v_2186 (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.)) (?v_2187 (= inline.RemoveHeadList.0.myNondetVar_0.5 inline.RemoveHeadList.0.myNondetVar_0)) (?v_2188 (= inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..2 inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5.)) (?v_2189 (= inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer)) (?v_2190 (= inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer)) (?v_2191 (= inline.IsListEmpty.3.myNondetVar_0.2 inline.IsListEmpty.3.myNondetVar_0)) (?v_2192 (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.)) (?v_2193 (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1.)) (?v_2194 (= inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.1 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.3)) (?v_2195 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_2196 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21.)) (?v_2197 (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.)) (?v_2198 (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.4 inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints)) (?v_2199 (= inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..1 inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1.)) (?v_2200 (= inline.GetDeviceContext.1.myNondetVar_0.2 inline.GetDeviceContext.1.myNondetVar_0)) (?v_2201 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.4 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub)) (?v_2202 (= inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.)) (?v_2203 (= inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..0 inline.WdfUsbTargetPipeResetSynchronously.0..callresult..1901.112.2.)) (?v_2204 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2.)) (?v_2205 (= inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2.)) (?v_2206 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus)) (?v_2207 (= inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..0 inline.WdfUsbTargetPipeResetSynchronously.0..callresult..1901.112.2.)) (?v_2208 (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext.1 inline.GetFileContext.3..Handle.1.107.0.GetFileContext)) (?v_2209 (= inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2.)) (?v_2210 (= inline.InitializeListHead.0.myNondetVar_0.1 inline.InitializeListHead.0.myNondetVar_0)) (?v_2211 (= inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2.)) (?v_2212 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.)) (?v_2213 (= inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.2 inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup)) (?v_2214 (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.4 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub)) (?v_2215 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.6 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1)) (?v_2216 (= inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..2 inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1.)) (?v_2217 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23.)) (?v_2218 (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_2219 (= inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer)) (?v_2220 (= inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer)) (?v_2221 (= inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer)) (?v_2222 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2223 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2)) (?v_2224 (= inline.RemoveHeadList.1.myNondetVar_0.3 inline.RemoveHeadList.1.myNondetVar_0)) (?v_2225 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_2226 (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject)) (?v_2227 (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2228 (= inline.GetRequestContext.1.myNondetVar_0.1 inline.GetRequestContext.1.myNondetVar_0)) (?v_2229 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3)) (?v_2230 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_2231 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1)) (?v_2232 (= inline.IsListEmpty.4.myNondetVar_0.2 inline.IsListEmpty.4.myNondetVar_0)) (?v_2233 (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_2234 (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus)) (?v_2235 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_2236 (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2.)) (?v_2237 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException)) (?v_2238 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2239 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet)) (?v_2240 (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.27 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0)) (?v_2241 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k)) (?v_2242 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted)) (?v_2243 (= inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..1 inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3.)) (?v_2244 (= inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer)) (?v_2245 (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_2246 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3.)) (?v_2247 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException)) (?v_2248 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4.)) (?v_2249 (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.1 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1)) (?v_2250 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer)) (?v_2251 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty)) (?v_2252 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend)) (?v_2253 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2254 (= inline.sdv_WdfRequestCompleteWithInformation.3..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.3..result.userContextSwitch.7656.4.1.)) (?v_2255 (= inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..1 inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1.)) (?v_2256 (= inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1..2 inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1.)) (?v_2257 (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.8 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer)) (?v_2258 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.)) (?v_2259 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7.)) (?v_2260 (= inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer)) (?v_2261 (= inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..1 inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1.)) (?v_2262 (= inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1..2 inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1.)) (?v_2263 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet)) (?v_2264 (= inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1 inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress)) (?v_2265 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus)) (?v_2266 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8.)) (?v_2267 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2268 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_2269 (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer)) (?v_2270 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_2271 (= inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.1 inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl)) (?v_2272 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_2273 (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.6 inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer)) (?v_2274 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2275 (= inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer)) (?v_2276 (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer)) (?v_2277 (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..4 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1.)) (?v_2278 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty)) (?v_2279 (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_2280 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.4 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1)) (?v_2281 (= inline.DoSubRequestCleanup.0.myNondetVar_0.11 inline.DoSubRequestCleanup.0.myNondetVar_0)) (?v_2282 (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.0 inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1)) (?v_2283 (= inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..1 inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2.)) (?v_2284 (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2285 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_2286 (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2287 (= inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..1 inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1.)) (?v_2288 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1)) (?v_2289 (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.1 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext)) (?v_2290 (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2291 (= inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1..2 inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1.)) (?v_2292 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty)) (?v_2293 (= inline.sdv_WdfSpinLockCreate.0..result.userContextSwitch.8640.2.2..1 inline.sdv_WdfSpinLockCreate.0..result.userContextSwitch.8640.2.2.)) (?v_2294 (= inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus)) (?v_2295 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2296 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent)) (?v_2297 (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer)) (?v_2298 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1)) (?v_2299 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1)) (?v_2300 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11.)) (?v_2301 (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.2 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup)) (?v_2302 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2.)) (?v_2303 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.)) (?v_2304 (= inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2..2 inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2.)) (?v_2305 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_2306 (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.1 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1)) (?v_2307 (= inline.InsertTailList.0.myNondetVar_0.2 inline.InsertTailList.0.myNondetVar_0)) (?v_2308 (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..3 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17.)) (?v_2309 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14.)) (?v_2310 (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1)) (?v_2311 (= inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..1 inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2.)) (?v_2312 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..1 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28.)) (?v_2313 (= inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer)) (?v_2314 (= inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.1 inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd)) (?v_2315 (= inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer)) (?v_2316 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.)) (?v_2317 (= inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer)) (?v_2318 (= inline.GetSubRequestContext.0.myNondetVar_0.2 inline.GetSubRequestContext.0.myNondetVar_0)) (?v_2319 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2.)) (?v_2320 (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer)) (?v_2321 (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2322 (= inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer)) (?v_2323 (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1.)) (?v_2324 (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2325 (= inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer)) (?v_2326 (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2.)) (?v_2327 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.10 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer)) (?v_2328 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24.)) (?v_2329 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1)) (?v_2330 (= inline.ResetPipe.0..status.2.461.22.ResetPipe.1 inline.ResetPipe.0..status.2.461.22.ResetPipe.0)) (?v_2331 (= inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..1 inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15.)) (?v_2332 (= inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..2 inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1.)) (?v_2333 (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_2334 (= inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..1 inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2.)) (?v_2335 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3.)) (?v_2336 (= inline.IsListEmpty.2.myNondetVar_0.4 inline.IsListEmpty.2.myNondetVar_0)) (?v_2337 (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.4 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1)) (?v_2338 (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..4 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18.)) (?v_2339 (= inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus)) (?v_2340 (= inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..1 inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1.)) (?v_2341 (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.)) (?v_2342 (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.6 inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer)) (?v_2343 (= inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..1 inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1.)) (?v_2344 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2345 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5.)) (?v_2346 (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.1 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate)) (?v_2347 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty)) (?v_2348 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k)) (?v_2349 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted)) (?v_2350 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0)) (?v_2351 (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_2352 (= inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..1 inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2.)) (?v_2353 (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.0 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1)) (?v_2354 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached)) (?v_2355 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc)) (?v_2356 (= inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..1 inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2.)) (?v_2357 (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1.)) (?v_2358 (= inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus)) (?v_2359 (= inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..1 inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20.)) (?v_2360 (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.1 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext)) (?v_2361 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet)) (?v_2362 (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..2 inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1.)) (?v_2363 (= inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..1 inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1.)) (?v_2364 (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.0 inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext)) (?v_2365 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0)) (?v_2366 (= inline.sdv_WdfCollectionAdd.0.myNondetVar_0.3 inline.sdv_WdfCollectionAdd.0.myNondetVar_0)) (?v_2367 (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer)) (?v_2368 (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_2369 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..2 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29.)) (?v_2370 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2371 (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.0 inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1)) (?v_2372 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet)) (?v_2373 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_2374 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10.)) (?v_2375 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.55 inline.PerformHighSpeedIsochTransfer.0.myVar_0)) (?v_2376 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5)) (?v_2377 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2.)) (?v_2378 (= inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2.)) (?v_2379 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4)) (?v_2380 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_2381 (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.2 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1)) (?v_2382 (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1.)) (?v_2383 (= inline.IsListEmpty.0.myNondetVar_0.3 inline.IsListEmpty.0.myNondetVar_0)) (?v_2384 (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_2385 (= inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..1 inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3.)) (?v_2386 (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..3 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19.)) (?v_2387 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9.)) (?v_2388 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26.)) (?v_2389 (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_2390 (= inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..1 inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13.)) (?v_2391 (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.6 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub)) (?v_2392 (= inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.3 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0)) (?v_2393 (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.1 inline.GetFileContext.3..Handle.1.107.0.GetFileContext1)) (?v_2394 (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2395 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent)) (?v_2396 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus)) (?v_2397 (= inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer)) (?v_2398 (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..3 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4.)) (?v_2399 (= inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer)) (?v_2400 (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_2401 (= inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer)) (?v_2402 (= inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer)) (?v_2403 (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_2404 (= inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1 inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1.)) (?v_2405 (= inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..1 inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2.)) (?v_2406 (= inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..1 inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1.)) (?v_2407 (= inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..1 inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3.)) (?v_2408 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty)) (?v_2409 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_2410 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc)) (?v_2411 (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_2412 (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..3 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1.)) (?v_2413 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..1 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22.)) (?v_2414 (= inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer)) (?v_2415 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted)) (?v_2416 (= inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2..2 inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2.)) (?v_2417 (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.1 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1)) (?v_2418 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted)) (?v_2419 (= inline.GetFileContext.3.myNondetVar_0.2 inline.GetFileContext.3.myNondetVar_0)) (?v_2420 (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_2421 (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2.)) (?v_2422 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.63 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0))) (let ((?v_2430 (=> true (=> ?v_2177 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1) (=> ?v_2178 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..1 inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..0) (=> (= reqCancelSet_0.25 reqCancelSet_0.16) (=> ?v_2179 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2) (=> (= inline.GetSubRequestContext.1.myNondetVar_0.2 inline.GetSubRequestContext.1.myNondetVar_0.1) (=> ?v_2180 (=> ?v_2181 (=> ?v_2182 (=> ?v_2183 (=> ?v_2184 (=> ?v_2185 (=> ?v_2186 (=> (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hdevice) (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1) (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2) (=> (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.1 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.0) (=> (= lockStatus_2.16 lockStatus_2.8) (=> ?v_2187 (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1) (=> ?v_2188 (=> ?v_2189 (=> ?v_2190 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.1) (=> ?v_2191 (=> (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.0 hdevice) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..0) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0) (=> ?v_2192 (=> ?v_2193 (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0) (=> (= inline.IsListEmpty.7.myNondetVar_0.3 inline.IsListEmpty.7.myNondetVar_0.2) (=> ?v_2194 (=> ?v_2195 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..1 inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..0) (=> ?v_2196 (=> ?v_2197 (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.11 inline.DoSubRequestCleanup.1.myNondetVar_0.10) (=> ?v_2198 (=> ?v_2199 (=> (= inline.GetFileContext.4.myNondetVar_0.2 inline.GetFileContext.4.myNondetVar_0.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.7 inline.PerformFullSpeedIsochTransfer.0.myVar_1.6) (=> (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.4) (=> ?v_2200 (=> (= reqCompleteSet_2.9 reqCompleteSet_2.5) (=> (= inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.0 call36600formal.new.0) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2) (=> (= inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..2 inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.0 call36576formal.new.0) (=> ?v_2201 (=> ?v_2202 (=> ?v_2203 (=> ?v_2204 (=> ?v_2205 (=> ?v_2206 (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.2 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.1) (=> (= reqSent_2.9 reqSent_2.5) (=> ?v_2207 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..0) (=> (= inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..1 inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..0) (=> ?v_2208 (=> ?v_2209 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..2) (=> (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> ?v_2210 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.4) (=> ?v_2211 (=> (= k.132 k.93) (=> (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0) (=> ?v_2212 (=> ?v_2213 (=> (= inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.0) (=> ?v_2214 (=> ?v_2215 (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..1) (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1) (=> ?v_2216 (=> (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.1 inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.0) (=> ?v_2217 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..0) (=> ?v_2218 (=> ?v_2219 (=> ?v_2220 (=> ?v_2221 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0) (=> (= reqCompleted_1.19 reqCompleted_1.13) (=> (= reqCompleteSet_4.9 reqCompleteSet_4.5) (=> (= reqCancelSet_3.25 reqCancelSet_3.16) (=> ?v_2222 (=> ?v_2223 (=> ?v_2224 (=> ?v_2225 (=> ?v_2226 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.1) (=> ?v_2227 (=> ?v_2228 (=> ?v_2229 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.2 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.1) (=> (= inline.IsListEmpty.6.myNondetVar_0.2 inline.IsListEmpty.6.myNondetVar_0.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..0) (=> (= reqCompleted_3.19 reqCompleted_3.13) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..0) (=> (= inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.0 call36579formal.new.0) (=> ?v_2230 (=> (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.0 4) (=> (= inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..2 inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..1) (=> (= inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..2 inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..1) (=> ?v_2231 (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> ?v_2232 (=> ?v_2233 (=> (= reqCompleteSet_1.9 reqCompleteSet_1.5) (=> (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..2) (=> ?v_2234 (=> ?v_2235 (=> ?v_2236 (=> (= inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.0) (=> (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.0) (=> ?v_2237 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..1) (=> ?v_2238 (=> (= inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.0) (=> (= inline.GetRequestContext.2.myNondetVar_0.1 inline.GetRequestContext.2.myNondetVar_0.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..1 inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..0) (=> ?v_2239 (=> (= inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.0) (=> ?v_2240 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..2 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.1) (=> ?v_2241 (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1) (=> ?v_2242 (=> ?v_2243 (=> ?v_2244 (=> (= inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..0 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_2245 (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.2) (=> (= inline.InitializeListHead.1.myNondetVar_0.1 inline.InitializeListHead.1.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1) (=> ?v_2246 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.2) (=> (= inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.10 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.9) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.2 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.1) (=> (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..3) (=> (= reqCancelSet_1.25 reqCancelSet_1.16) (=> (= inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.0) (=> ?v_2247 (=> (= lockStatus_4.16 lockStatus_4.8) (=> ?v_2248 (=> ?v_2249 (=> ?v_2250 (=> ?v_2251 (=> ?v_2252 (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.15 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.14) (=> (= inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..1 inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..0) (=> ?v_2253 (=> ?v_2254 (=> (= inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..1 inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..0) (=> ?v_2255 (=> ?v_2256 (=> (= inline.GetDeviceContext.2.myNondetVar_0.1 inline.GetDeviceContext.2.myNondetVar_0.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..0 hdevice) (=> ?v_2257 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..1 inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..0) (=> ?v_2258 (=> ?v_2259 (=> ?v_2260 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2261 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3) (=> ?v_2262 (=> (= inline.IsListEmpty.5.myNondetVar_0.2 inline.IsListEmpty.5.myNondetVar_0.1) (=> ?v_2263 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.1) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..1 inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..0) (=> ?v_2264 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.2) (=> ?v_2265 (=> ?v_2266 (=> ?v_2267 (=> (= inline.sdv_WdfSpinLockCreate.1..result.userContextSwitch.8640.2.2..1 inline.sdv_WdfSpinLockCreate.1..result.userContextSwitch.8640.2.2..0) (=> ?v_2268 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.2) (=> (= reqCancelSet_4.25 reqCancelSet_4.16) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.2) (=> ?v_2269 (=> ?v_2270 (=> (= inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..1 inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..0) (=> ?v_2271 (=> ?v_2272 (=> ?v_2273 (=> ?v_2274 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_2275 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0) (=> ?v_2276 (=> ?v_2277 (=> ?v_2278 (=> ?v_2279 (=> (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.6 inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.5) (=> ?v_2280 (=> (= alloc.31 alloc.28) (=> ?v_2281 (=> (= inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.2) (=> ?v_2282 (=> (= lockStatus_1.16 lockStatus_1.8) (=> ?v_2283 (=> ?v_2284 (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= lockStatus_0.16 lockStatus_0.8) (=> ?v_2285 (=> ?v_2286 (=> ?v_2287 (=> ?v_2288 (=> (= inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..0) (=> ?v_2289 (=> (= inline.InsertTailList.1.myNondetVar_0.2 inline.InsertTailList.1.myNondetVar_0.1) (=> (= reqCancelSet_2.25 reqCancelSet_2.16) (=> ?v_2290 (=> ?v_2291 (=> ?v_2292 (=> (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.1 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.0 hrequest) (=> (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.0) (=> ?v_2293 (=> (= inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..1 inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..0) (=> ?v_2294 (=> (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.6 inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.5) (=> (= inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..1 inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..0) (=> ?v_2295 (=> (= inline.IsListEmpty.9.myNondetVar_0.4 inline.IsListEmpty.9.myNondetVar_0.3) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..1) (=> (= inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..0 call37222formal.ret.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.1) (=> (= inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..1 inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..0) (=> (= reqSent_3.9 reqSent_3.5) (=> ?v_2296 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..2) (=> ?v_2297 (=> ?v_2298 (=> (= inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.0 call36591formal.new.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.1 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.0) (=> (= inline.RemoveHeadList.2.myNondetVar_0.3 inline.RemoveHeadList.2.myNondetVar_0.2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.1) (=> (= reqCompleteSet_3.9 reqCompleteSet_3.5) (=> ?v_2299 (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> ?v_2300 (=> (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0) (=> ?v_2301 (=> ?v_2302 (=> ?v_2303 (=> (= inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.0) (=> ?v_2304 (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1..2 inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1..1) (=> ?v_2305 (=> ?v_2306 (=> (= inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.0 call36582formal.new.0) (=> (= inline.IsListEmpty.8.myNondetVar_0.3 inline.IsListEmpty.8.myNondetVar_0.2) (=> (= inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..0) (=> ?v_2307 (=> (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.0 hdevice) (=> ?v_2308 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.2 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.1) (=> (= inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..0 call37210formal.new.0) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..2 inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..1) (=> ?v_2309 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..0) (=> ?v_2310 (=> (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.0) (=> ?v_2311 (=> ?v_2312 (=> (= inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..1 inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..0) (=> ?v_2313 (=> ?v_2314 (=> (= Mem_2_T.PWDFREQUEST__.12 Mem_2_T.PWDFREQUEST__.6) (=> (= inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.0) (=> (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.0) (=> (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.1 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.0) (=> ?v_2315 (=> ?v_2316 (=> (= inline.sdv_WdfCollectionAdd.1.myNondetVar_0.3 inline.sdv_WdfCollectionAdd.1.myNondetVar_0.2) (=> ?v_2317 (=> ?v_2318 (=> ?v_2319 (=> (= inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..0 hdevice) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.2) (=> (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext.1 inline.GetFileContext.4..Handle.1.107.0.GetFileContext.0) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2) (=> ?v_2320 (=> ?v_2321 (=> ?v_2322 (=> ?v_2323 (=> (= inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_2324 (=> ?v_2325 (=> ?v_2326 (=> (= inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1 inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0) (=> ?v_2327 (=> (= inline.RemoveHeadList.3.myNondetVar_0.5 inline.RemoveHeadList.3.myNondetVar_0.4) (=> (= inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.0) (=> (= lockStatus_3.16 lockStatus_3.8) (=> ?v_2328 (=> ?v_2329 (=> ?v_2330 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..0) (=> ?v_2331 (=> ?v_2332 (=> ?v_2333 (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0) (=> ?v_2334 (=> (= inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..0) (=> ?v_2335 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.2) (=> (= inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2..2 inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2..1) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.2) (=> ?v_2336 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..3 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.2) (=> (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.0 hrequest) (=> (= inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..1 inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..0) (=> (= reqCompleted_4.19 reqCompleted_4.13) (=> ?v_2337 (=> ?v_2338 (=> (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0) (=> ?v_2339 (=> ?v_2340 (=> ?v_2341 (=> (= reqSent_1.9 reqSent_1.5) (=> ?v_2342 (=> ?v_2343 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1) (=> (= inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..0 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_2344 (=> ?v_2345 (=> ?v_2346 (=> ?v_2347 (=> ?v_2348 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1) (=> (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.0 4) (=> ?v_2349 (=> ?v_2350 (=> ?v_2351 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_2352 (=> (= inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.0 call36597formal.new.0) (=> (= reqSent_4.9 reqSent_4.5) (=> (= inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.0 call36588formal.new.0) (=> ?v_2353 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.2) (=> (= Mem_1_T.PWDFREQUEST__.12 Mem_1_T.PWDFREQUEST__.6) (=> ?v_2354 (=> ?v_2355 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.1) (=> (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.7 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.6) (=> (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.0 myNondetVar_0.0) (=> ?v_2356 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.4 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.3) (=> ?v_2357 (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.2 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.1) (=> ?v_2358 (=> (= reqCompleteSet_0.9 reqCompleteSet_0.5) (=> ?v_2359 (=> (= inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..0) (=> ?v_2360 (=> (= Mem_4_T.PWDFREQUEST__.12 Mem_4_T.PWDFREQUEST__.6) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.2) (=> (= Mem_0_T.PWDFREQUEST__.12 Mem_0_T.PWDFREQUEST__.6) (=> ?v_2361 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2) (=> ?v_2362 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..3 inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..2) (=> (= inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.0 call36603formal.new.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.2 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.1) (=> ?v_2363 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1) (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.55 inline.PerformFullSpeedIsochTransfer.0.myVar_0.54) (=> ?v_2364 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..1 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..0) (=> ?v_2365 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..1 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..0) (=> (= reqSent_0.9 reqSent_0.5) (=> ?v_2366 (=> (= inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.3 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.2) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0) (=> ?v_2367 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1) (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..0) (=> ?v_2368 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1..2 inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1..1) (=> ?v_2369 (=> (= reqCompleted_0.19 reqCompleted_0.13) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..3 inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..2) (=> ?v_2370 (=> ?v_2371 (=> ?v_2372 (=> ?v_2373 (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1..2 inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1..1) (=> ?v_2374 (=> ?v_2375 (=> ?v_2376 (=> ?v_2377 (=> (= inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..1 inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..0) (=> ?v_2378 (=> ?v_2379 (=> ?v_2380 (=> ?v_2381 (=> (= inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3..1) (=> ?v_2382 (=> ?v_2383 (=> (= inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.0 call37222formal.ret.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.49 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.48) (=> ?v_2384 (=> ?v_2385 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..0 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.0 call36585formal.new.0) (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0) (=> (= inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2..2 inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3) (=> ?v_2386 (=> ?v_2387 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..0) (=> ?v_2388 (=> ?v_2389 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1) (=> ?v_2390 (=> ?v_2391 (=> ?v_2392 (=> ?v_2393 (=> ?v_2394 (=> ?v_2395 (=> ?v_2396 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.1) (=> ?v_2397 (=> (= inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> (= reqCompleted_2.19 reqCompleted_2.13) (=> ?v_2398 (=> ?v_2399 (=> ?v_2400 (=> ?v_2401 (=> ?v_2402 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hdevice) (=> ?v_2403 (=> ?v_2404 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.2) (=> ?v_2405 (=> ?v_2406 (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0) (=> ?v_2407 (=> (= inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.0 call36594formal.new.0) (=> ?v_2408 (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> ?v_2409 (=> ?v_2410 (=> (= errorReached.81 errorReached.62) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..0) (=> ?v_2411 (=> ?v_2412 (=> (= inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1) (=> ?v_2413 (=> ?v_2414 (=> (= inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.2 inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.1) (=> ?v_2415 (=> ?v_2416 (=> ?v_2417 (=> ?v_2418 (=> (= inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1 inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_2419 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0) (=> (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.0 hrequest) (=> (= inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.1 inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.0) (=> (= inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..1 inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..0) (=> ?v_2420 (=> (= Mem_3_T.PWDFREQUEST__.12 Mem_3_T.PWDFREQUEST__.6) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1) (=> ?v_2421 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.2) (=> (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.0 hrequest) (=> (= inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..1 inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..0) (=> ?v_2422 (=> (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..3 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..2) (=> (= inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.1 inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.0) ?v_2423)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2463 (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.1)) (?v_2464 (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.1)) (?v_2465 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0)) (?v_2466 (= inline.RemoveHeadList.3.myNondetVar_0.4 inline.RemoveHeadList.3.myNondetVar_0.3)) (?v_2467 (= lockStatus_4.8 lockStatus_4.7)) (?v_2528 (= reqCompleted_3.13 reqCompleted_3)) (?v_2468 (= lockStatus_0.8 lockStatus_0.7)) (?v_2469 (= inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1.)) (?v_2470 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1)) (?v_2471 (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_2472 (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..2 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..1)) (?v_2529 (= errorReached.62 errorReached.57)) (?v_2427 (= inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1.)) (?v_2473 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1)) (?v_2474 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0)) (?v_2475 (= inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.2 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.1)) (?v_2530 (= reqCancelSet_2.16 reqCancelSet_2.11)) (?v_2476 (= inline.IsListEmpty.9.myNondetVar_0.3 inline.IsListEmpty.9.myNondetVar_0.2)) (?v_2531 (= reqCancelSet_3.16 reqCancelSet_3.11)) (?v_2532 (= reqCompleted_0.13 reqCompleted_0)) (?v_2477 (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.1 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.0)) (?v_2478 (= lockStatus_2.8 lockStatus_2.7)) (?v_2479 (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..2)) (?v_2480 (= lockStatus_3.8 lockStatus_3.7)) (?v_2481 (= inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.1 inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.0)) (?v_2533 (= reqCancelSet_0.16 reqCancelSet_0.11)) (?v_2534 (= reqCompleted_1.13 reqCompleted_1)) (?v_2482 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1)) (?v_2483 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0)) (?v_2484 (= lockStatus_1.8 lockStatus_1.7)) (?v_2485 (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..1 inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..0)) (?v_2535 (= reqCompleted_2.13 reqCompleted_2)) (?v_2486 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0)) (?v_2487 (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.1 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.0)) (?v_2488 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0)) (?v_2536 (= reqCancelSet_1.16 reqCancelSet_1.11)) (?v_2537 (= reqCancelSet_4.16 reqCancelSet_4.11)) (?v_2489 (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1)) (?v_2428 (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_2490 (= inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..1 inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..0)) (?v_2491 (= inline.DoSubRequestCleanup.1.myNondetVar_0.10 inline.DoSubRequestCleanup.1.myNondetVar_0.9)) (?v_2492 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0)) (?v_2538 (= reqCompleted_4.13 reqCompleted_4)) (?v_2493 (= inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..1 inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..0)) (?v_2494 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..1 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..0)) (?v_2429 (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_2495 (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation))) (let ((?v_2496 (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0) (=> (= inline.IsListEmpty.7.myNondetVar_0.2 inline.IsListEmpty.7.myNondetVar_0.1) (=> (= inline.IsListEmpty.8.myNondetVar_0.2 inline.IsListEmpty.8.myNondetVar_0.1) (=> true (=> true (=> true ?v_2430))))))))) (let ((?v_2539 (=> ?v_2495 ?v_2496))) (let ((?v_2527 (=> true (=> ?v_2463 (=> ?v_2464 (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 (=> (= reqCompleted_3.13 reqCompleted_3.10) (=> ?v_2468 (=> ?v_2469 (=> ?v_2470 (=> ?v_2471 (=> ?v_2472 (=> (= errorReached.62 errorReached.60) (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1..0) (=> ?v_2473 (=> ?v_2474 (=> ?v_2475 (=> (= reqCancelSet_2.16 reqCancelSet_2.13) (=> ?v_2476 (=> (= reqCancelSet_3.16 reqCancelSet_3.13) (=> (= reqCompleted_0.13 reqCompleted_0.10) (=> ?v_2477 (=> ?v_2478 (=> ?v_2479 (=> ?v_2480 (=> ?v_2481 (=> (= reqCancelSet_0.16 reqCancelSet_0.13) (=> (= reqCompleted_1.13 reqCompleted_1.10) (=> (= k.93 k.91) (=> ?v_2482 (=> ?v_2483 (=> ?v_2484 (=> ?v_2485 (=> (= reqCompleted_2.13 reqCompleted_2.10) (=> ?v_2486 (=> ?v_2487 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.48 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.47) (=> ?v_2488 (=> (= reqCancelSet_1.16 reqCancelSet_1.13) (=> (= reqCancelSet_4.16 reqCancelSet_4.13) (=> ?v_2489 (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> ?v_2490 (=> ?v_2491 (=> ?v_2492 (=> (= reqCompleted_4.13 reqCompleted_4.10) (=> ?v_2493 (=> ?v_2494 (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) ?v_2539))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2501 (=> true (=> (= reqCompleted_2.10 reqCompleted_2.9) (=> (= reqCompleted_4.10 reqCompleted_4.9) (=> (= reqCompleted_0.10 reqCompleted_0.9) (=> (= reqCancelSet_2.13 reqCancelSet_2.12) (=> (= errorReached.60 errorReached.58) (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1..0 call43408formal.ret.0) (=> (= reqCancelSet_4.13 reqCancelSet_4.12) (=> (= k.91 k.89) (=> (= reqCompleted_1.10 reqCompleted_1.9) (=> (= reqCancelSet_1.13 reqCancelSet_1.12) (=> (= reqCompleted_3.10 reqCompleted_3.9) (=> (= reqCancelSet_0.13 reqCancelSet_0.12) (=> (= reqCancelSet_3.13 reqCancelSet_3.12) ?v_2527)))))))))))))))) (let ((?v_2507 (=> true ?v_2501)) (?v_2503 (= reqCancelSet_0.12 reqCancelSet_0.11)) (?v_2498 (= reqCancelSet_4.12 reqCancelSet_4.11)) (?v_2499 (= reqCancelSet_2.12 reqCancelSet_2.11)) (?v_2504 (= reqCancelSet_1.12 reqCancelSet_1.11)) (?v_2500 (= reqCancelSet_3.12 reqCancelSet_3.11))) (let ((?v_2505 (=> ?v_2500 ?v_2507))) (let ((?v_2509 (=> ?v_2504 ?v_2505))) (let ((?v_2510 (=> ?v_2499 ?v_2509)) (?v_2508 (= k.89 4))) (let ((?v_2524 (not ?v_2508)) (?v_2506 (= k.89 3))) (let ((?v_2521 (not ?v_2506)) (?v_2502 (= k.89 2))) (let ((?v_2519 (not ?v_2502)) (?v_2497 (= k.89 1))) (let ((?v_2516 (not ?v_2497)) (?v_2462 (= k.89 0))) (let ((?v_2511 (not ?v_2462))) (let ((?v_2515 (and (=> true (=> ?v_2462 (=> true (=> (= reqCancelSet_0.12 0) (=> ?v_2498 (=> ?v_2499 (=> ?v_2504 (=> ?v_2500 ?v_2501)))))))) (=> true (=> ?v_2511 (and (=> true (=> ?v_2497 (=> true (=> ?v_2503 (=> ?v_2498 (=> ?v_2499 (=> (= reqCancelSet_1.12 0) ?v_2505))))))) (=> true (=> ?v_2516 (and (=> true (=> ?v_2502 (=> true (=> ?v_2503 (=> ?v_2498 (=> (= reqCancelSet_2.12 0) ?v_2509)))))) (=> true (=> ?v_2519 (and (=> true (=> ?v_2506 (=> true (=> ?v_2503 (=> ?v_2498 (=> ?v_2499 (=> ?v_2504 (=> (= reqCancelSet_3.12 0) ?v_2507)))))))) (=> true (=> ?v_2521 (and (=> true (=> ?v_2508 (=> true (=> ?v_2503 (=> (= reqCancelSet_4.12 0) ?v_2510))))) (=> true (=> ?v_2524 (=> true (=> ?v_2503 (=> ?v_2498 ?v_2510)))))))))))))))))))) (let ((?v_2523 (=> true (=> true ?v_2515))) (?v_2512 (= reqCompleted_3.9 reqCompleted_3)) (?v_2517 (= reqCompleted_1.9 reqCompleted_1)) (?v_2513 (= reqCompleted_2.9 reqCompleted_2)) (?v_2522 (= reqCompleted_0.9 reqCompleted_0)) (?v_2514 (= reqCompleted_4.9 reqCompleted_4))) (let ((?v_2518 (=> ?v_2522 (=> ?v_2514 ?v_2523)))) (let ((?v_2520 (=> ?v_2513 ?v_2518))) (let ((?v_2525 (=> ?v_2517 ?v_2520))) (let ((?v_2526 (and (=> true (=> ?v_2462 (=> true (=> ?v_2512 (=> ?v_2517 (=> ?v_2513 (=> (= reqCompleted_0.9 1) (=> ?v_2514 ?v_2515)))))))) (=> true (=> ?v_2511 (and (=> true (=> ?v_2497 (=> true (=> ?v_2512 (=> (= reqCompleted_1.9 1) ?v_2520))))) (=> true (=> ?v_2516 (and (=> true (=> ?v_2502 (=> true (=> ?v_2512 (=> ?v_2517 (=> (= reqCompleted_2.9 1) ?v_2518)))))) (=> true (=> ?v_2519 (and (=> true (=> ?v_2506 (=> true (=> (= reqCompleted_3.9 1) ?v_2525)))) (=> true (=> ?v_2521 (and (=> true (=> ?v_2508 (=> true (=> ?v_2512 (=> ?v_2517 (=> ?v_2513 (=> ?v_2522 (=> (= reqCompleted_4.9 1) ?v_2523)))))))) (=> true (=> ?v_2524 (=> true (=> ?v_2512 ?v_2525)))))))))))))))))) (?v_2461 (=> true (=> ?v_2463 (=> ?v_2464 (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 (=> (= reqCompleted_3.13 reqCompleted_3.12) (=> ?v_2468 (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1..0) (=> ?v_2470 (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> ?v_2472 (=> (= errorReached.62 errorReached.61) (=> ?v_2427 (=> ?v_2473 (=> ?v_2474 (=> ?v_2475 (=> (= reqCancelSet_2.16 reqCancelSet_2.15) (=> ?v_2476 (=> (= reqCancelSet_3.16 reqCancelSet_3.15) (=> (= reqCompleted_0.13 reqCompleted_0.12) (=> ?v_2477 (=> ?v_2478 (=> ?v_2479 (=> ?v_2480 (=> ?v_2481 (=> (= reqCancelSet_0.16 reqCancelSet_0.15) (=> (= reqCompleted_1.13 reqCompleted_1.12) (=> (= k.93 k.92) (=> ?v_2482 (=> ?v_2483 (=> ?v_2484 (=> ?v_2485 (=> (= reqCompleted_2.13 reqCompleted_2.12) (=> ?v_2486 (=> ?v_2487 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.48 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.45) (=> ?v_2488 (=> (= reqCancelSet_1.16 reqCancelSet_1.15) (=> (= reqCancelSet_4.16 reqCancelSet_4.15) (=> ?v_2489 (=> ?v_2428 (=> ?v_2490 (=> ?v_2491 (=> ?v_2492 (=> (= reqCompleted_4.13 reqCompleted_4.12) (=> ?v_2493 (=> ?v_2494 (=> ?v_2429 (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) ?v_2496)))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2435 (=> true (=> (= reqCompleted_2.12 reqCompleted_2.11) (=> (= reqCompleted_4.12 reqCompleted_4.11) (=> (= reqCancelSet_3.15 reqCancelSet_3.14) (=> (= reqCompleted_0.12 reqCompleted_0.11) (=> (= reqCancelSet_2.15 reqCancelSet_2.14) (=> (= reqCancelSet_4.15 reqCancelSet_4.14) (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1..0 call43674formal.ret.0) (=> (= reqCompleted_1.12 reqCompleted_1.11) (=> (= reqCancelSet_1.15 reqCancelSet_1.14) (=> (= reqCompleted_3.12 reqCompleted_3.11) (=> (= k.92 k.90) (=> (= reqCancelSet_0.15 reqCancelSet_0.14) (=> (= errorReached.61 errorReached.59) ?v_2461)))))))))))))))) (let ((?v_2441 (=> true ?v_2435)) (?v_2437 (= reqCancelSet_0.14 reqCancelSet_0.11)) (?v_2432 (= reqCancelSet_4.14 reqCancelSet_4.11)) (?v_2433 (= reqCancelSet_2.14 reqCancelSet_2.11)) (?v_2438 (= reqCancelSet_1.14 reqCancelSet_1.11)) (?v_2434 (= reqCancelSet_3.14 reqCancelSet_3.11))) (let ((?v_2439 (=> ?v_2434 ?v_2441))) (let ((?v_2443 (=> ?v_2438 ?v_2439))) (let ((?v_2444 (=> ?v_2433 ?v_2443)) (?v_2442 (= k.90 4))) (let ((?v_2458 (not ?v_2442)) (?v_2440 (= k.90 3))) (let ((?v_2455 (not ?v_2440)) (?v_2436 (= k.90 2))) (let ((?v_2453 (not ?v_2436)) (?v_2431 (= k.90 1))) (let ((?v_2450 (not ?v_2431)) (?v_2426 (= k.90 0))) (let ((?v_2445 (not ?v_2426))) (let ((?v_2449 (and (=> true (=> ?v_2426 (=> true (=> (= reqCancelSet_0.14 0) (=> ?v_2432 (=> ?v_2433 (=> ?v_2438 (=> ?v_2434 ?v_2435)))))))) (=> true (=> ?v_2445 (and (=> true (=> ?v_2431 (=> true (=> ?v_2437 (=> ?v_2432 (=> ?v_2433 (=> (= reqCancelSet_1.14 0) ?v_2439))))))) (=> true (=> ?v_2450 (and (=> true (=> ?v_2436 (=> true (=> ?v_2437 (=> ?v_2432 (=> (= reqCancelSet_2.14 0) ?v_2443)))))) (=> true (=> ?v_2453 (and (=> true (=> ?v_2440 (=> true (=> ?v_2437 (=> ?v_2432 (=> ?v_2433 (=> ?v_2438 (=> (= reqCancelSet_3.14 0) ?v_2441)))))))) (=> true (=> ?v_2455 (and (=> true (=> ?v_2442 (=> true (=> ?v_2437 (=> (= reqCancelSet_4.14 0) ?v_2444))))) (=> true (=> ?v_2458 (=> true (=> ?v_2437 (=> ?v_2432 ?v_2444)))))))))))))))))))) (let ((?v_2457 (=> true (=> true ?v_2449))) (?v_2446 (= reqCompleted_3.11 reqCompleted_3)) (?v_2451 (= reqCompleted_1.11 reqCompleted_1)) (?v_2447 (= reqCompleted_2.11 reqCompleted_2)) (?v_2456 (= reqCompleted_0.11 reqCompleted_0)) (?v_2448 (= reqCompleted_4.11 reqCompleted_4))) (let ((?v_2452 (=> ?v_2456 (=> ?v_2448 ?v_2457)))) (let ((?v_2454 (=> ?v_2447 ?v_2452))) (let ((?v_2459 (=> ?v_2451 ?v_2454))) (let ((?v_2460 (and (=> true (=> ?v_2426 (=> true (=> ?v_2446 (=> ?v_2451 (=> ?v_2447 (=> (= reqCompleted_0.11 1) (=> ?v_2448 ?v_2449)))))))) (=> true (=> ?v_2445 (and (=> true (=> ?v_2431 (=> true (=> ?v_2446 (=> (= reqCompleted_1.11 1) ?v_2454))))) (=> true (=> ?v_2450 (and (=> true (=> ?v_2436 (=> true (=> ?v_2446 (=> ?v_2451 (=> (= reqCompleted_2.11 1) ?v_2452)))))) (=> true (=> ?v_2453 (and (=> true (=> ?v_2440 (=> true (=> (= reqCompleted_3.11 1) ?v_2459)))) (=> true (=> ?v_2455 (and (=> true (=> ?v_2442 (=> true (=> ?v_2446 (=> ?v_2451 (=> ?v_2447 (=> ?v_2456 (=> (= reqCompleted_4.11 1) ?v_2457)))))))) (=> true (=> ?v_2458 (=> true (=> ?v_2446 ?v_2459))))))))))))))))))) (let ((?v_2580 (and (=> true (=> (not (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.43 0)) (and (=> true (=> (< 0 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.44) (and (=> true (=> ?v_33 (=> true (=> (<= k.88 k.90) (=> (< k.90 5) (and (=> true (=> (=> ?v_2426 ?v_12) (=> (=> ?v_2431 ?v_13) (=> (=> ?v_2436 ?v_14) (=> (=> ?v_2440 ?v_15) (=> (=> ?v_2442 ?v_16) (=> true (=> (= errorReached.59 1) ?v_2460)))))))) (=> true (=> (=> ?v_2426 ?v_7) (=> (=> ?v_2431 ?v_8) (=> (=> ?v_2436 ?v_9) (=> (=> ?v_2440 ?v_10) (=> (=> ?v_2442 ?v_11) (=> true (=> (= errorReached.59 errorReached.57) (=> true ?v_2460))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= reqCompleted_2.12 reqCompleted_2) (=> (= reqCompleted_4.12 reqCompleted_4) (=> (= reqCancelSet_3.15 reqCancelSet_3.11) (=> (= reqCompleted_0.12 reqCompleted_0) (=> (= reqCancelSet_2.15 reqCancelSet_2.11) (=> (= reqCancelSet_4.15 reqCancelSet_4.11) (=> (= inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1..0 inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1.) (=> (= reqCompleted_1.12 reqCompleted_1) (=> (= reqCancelSet_1.15 reqCancelSet_1.11) (=> (= reqCompleted_3.12 reqCompleted_3) (=> (= k.92 k.88) (=> (= reqCancelSet_0.15 reqCancelSet_0.11) (=> (= errorReached.61 errorReached.57) (=> true (=> true (=> true ?v_2461)))))))))))))))))))))) (=> true (=> (not (< 0 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.46)) (and (=> true (=> ?v_33 (=> true (=> (<= k.88 k.89) (=> (< k.89 5) (and (=> true (=> (=> ?v_2462 ?v_12) (=> (=> ?v_2497 ?v_13) (=> (=> ?v_2502 ?v_14) (=> (=> ?v_2506 ?v_15) (=> (=> ?v_2508 ?v_16) (=> true (=> (= errorReached.58 1) ?v_2526)))))))) (=> true (=> (=> ?v_2462 ?v_7) (=> (=> ?v_2497 ?v_8) (=> (=> ?v_2502 ?v_9) (=> (=> ?v_2506 ?v_10) (=> (=> ?v_2508 ?v_11) (=> true (=> (= errorReached.58 errorReached.57) (=> true ?v_2526))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= reqCompleted_2.10 reqCompleted_2) (=> (= reqCompleted_4.10 reqCompleted_4) (=> (= reqCompleted_0.10 reqCompleted_0) (=> (= reqCancelSet_2.13 reqCancelSet_2.11) (=> (= errorReached.60 errorReached.57) (=> (= inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1..0 inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1.) (=> (= reqCancelSet_4.13 reqCancelSet_4.11) (=> (= k.91 k.88) (=> (= reqCompleted_1.10 reqCompleted_1) (=> (= reqCancelSet_1.13 reqCancelSet_1.11) (=> (= reqCompleted_3.10 reqCompleted_3) (=> (= reqCancelSet_0.13 reqCancelSet_0.11) (=> (= reqCancelSet_3.13 reqCancelSet_3.11) (=> true (=> true (=> true ?v_2527))))))))))))))))))))))))) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.42 0) (=> true (=> ?v_2463 (=> ?v_2464 (=> ?v_2465 (=> ?v_2466 (=> ?v_2467 (=> ?v_2528 (=> ?v_2468 (=> ?v_2469 (=> ?v_2470 (=> ?v_2471 (=> ?v_2472 (=> ?v_2529 (=> ?v_2427 (=> ?v_2473 (=> ?v_2474 (=> ?v_2475 (=> ?v_2530 (=> ?v_2476 (=> ?v_2531 (=> ?v_2532 (=> ?v_2477 (=> ?v_2478 (=> ?v_2479 (=> ?v_2480 (=> ?v_2481 (=> ?v_2533 (=> ?v_2534 (=> (= k.93 k.88) (=> ?v_2482 (=> ?v_2483 (=> ?v_2484 (=> ?v_2485 (=> ?v_2535 (=> ?v_2486 (=> ?v_2487 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.48 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.42) (=> ?v_2488 (=> ?v_2536 (=> ?v_2537 (=> ?v_2489 (=> ?v_2428 (=> ?v_2490 (=> ?v_2491 (=> ?v_2492 (=> ?v_2538 (=> ?v_2493 (=> ?v_2494 (=> ?v_2429 ?v_2539)))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2541 (=> true (=> (= inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..0 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.0) (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0) (=> (= inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.0 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.0) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0 call36597formal.new.0) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.DoSubRequestCleanup.1.myNondetVar_0.8) (=> (= lockStatus_4.7 lockStatus_4.6) (=> (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..1) (=> (= inline.RemoveHeadList.3.myNondetVar_0.3 inline.RemoveHeadList.3.myNondetVar_0.2) (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.0 call36597formal.new.0) (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.0 call36597formal.new.0) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.41 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.40) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..0 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0 call36597formal.new.0) (=> (= lockStatus_0.7 lockStatus_0.6) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.0) (=> (= lockStatus_2.7 lockStatus_2.6) (=> (= lockStatus_3.7 lockStatus_3.6) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.DoSubRequestCleanup.1.myNondetVar_0.8) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..1 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..0) (=> (= inline.IsListEmpty.9.myNondetVar_0.2 inline.IsListEmpty.9.myNondetVar_0.1) (=> (= inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..0 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.0) (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.9 inline.DoSubRequestCleanup.1.myNondetVar_0.8) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.DoSubRequestCleanup.1.myNondetVar_0.0) (=> (= inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.1 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.0) (=> (= inline.IsListEmpty.8.myNondetVar_0.1 inline.IsListEmpty.8.myNondetVar_0.0) (=> (= lockStatus_1.7 lockStatus_1.6) (=> (= k.88 k.87) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.DoSubRequestCleanup.1.myNondetVar_0.0) ?v_2580))))))))))))))))))))))))))))))))) (?v_2540 (< 0 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.0))) (let ((?v_2558 (and (=> true (=> ?v_2540 ?v_2541)) (=> true (=> (not ?v_2540) (=> true (=> true (=> true ?v_2541))))))) (?v_2557 (= inline.DoSubRequestCleanup.1.myNondetVar_0.8 hlock))) (let ((?v_2546 (=> true (=> (= lockStatus_4.6 lockStatus_4.5) (=> (= k.87 k.86) (=> (= lockStatus_3.6 lockStatus_3.5) (=> (= lockStatus_0.6 lockStatus_0.5) (=> (= lockStatus_1.6 lockStatus_1.5) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 call43162formal.ret.0) (=> (= lockStatus_2.6 lockStatus_2.5) ?v_2558)))))))))) (let ((?v_2550 (=> true ?v_2546)) (?v_2543 (= lockStatus_4.5 lockStatus_4.4)) (?v_2544 (= lockStatus_3.5 lockStatus_3.4)) (?v_2548 (= lockStatus_0.5 lockStatus_0.4)) (?v_2549 (= lockStatus_1.5 lockStatus_1.4)) (?v_2545 (= lockStatus_2.5 lockStatus_2.4))) (let ((?v_2552 (=> ?v_2545 ?v_2550))) (let ((?v_2554 (=> ?v_2548 (=> ?v_2549 ?v_2552)))) (let ((?v_2556 (=> ?v_2544 ?v_2554)) (?v_2555 (= k.86 4)) (?v_2553 (= k.86 3)) (?v_2551 (= k.86 2)) (?v_2547 (= k.86 1)) (?v_2542 (= k.86 0))) (let ((?v_2560 (and (=> true (=> ?v_2557 (=> true (=> (<= k.85 k.86) (=> (< k.86 5) (and (=> true (=> ?v_2542 (=> true (=> ?v_2543 (=> ?v_2544 (=> (= lockStatus_0.5 0) (=> ?v_2549 (=> ?v_2545 ?v_2546)))))))) (=> true (=> (not ?v_2542) (and (=> true (=> ?v_2547 (=> true (=> ?v_2543 (=> ?v_2544 (=> ?v_2548 (=> (= lockStatus_1.5 0) ?v_2552))))))) (=> true (=> (not ?v_2547) (and (=> true (=> ?v_2551 (=> true (=> ?v_2543 (=> ?v_2544 (=> ?v_2548 (=> ?v_2549 (=> (= lockStatus_2.5 0) ?v_2550)))))))) (=> true (=> (not ?v_2551) (and (=> true (=> ?v_2553 (=> true (=> ?v_2543 (=> (= lockStatus_3.5 0) ?v_2554))))) (=> true (=> (not ?v_2553) (and (=> true (=> ?v_2555 (=> true (=> (= lockStatus_4.5 0) ?v_2556)))) (=> true (=> (not ?v_2555) (=> true (=> ?v_2543 ?v_2556)))))))))))))))))))))) (=> true (=> (not ?v_2557) (=> true (=> (= lockStatus_4.6 lockStatus_4.4) (=> (= k.87 k.85) (=> (= lockStatus_3.6 lockStatus_3.4) (=> (= lockStatus_0.6 lockStatus_0.4) (=> (= lockStatus_1.6 lockStatus_1.4) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_2.6 lockStatus_2.4) (=> true (=> true (=> true (=> true ?v_2558))))))))))))))))) (let ((?v_2562 (=> true (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.0 call36597formal.new.0) (=> (= inline.RemoveHeadList.3.myNondetVar_0.2 inline.RemoveHeadList.3.myNondetVar_0.1) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.0 call36597formal.new.0) (=> (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..0) (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.6 inline.DoSubRequestCleanup.1.myNondetVar_0.5) (=> (= inline.IsListEmpty.9.myNondetVar_0.1 inline.IsListEmpty.9.myNondetVar_0.0) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..0 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2560))))))))))))))))))))) (?v_2561 (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_2563 (=> true (=> (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.9.myNondetVar_0.0 call36597formal.new.0))) (and (=> true (=> (not ?v_2561) ?v_2562)) (=> true (=> ?v_2561 (=> true (=> ?v_1241 ?v_2562)))))))) (?v_2559 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_2579 (=> true (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.8.myNondetVar_0.0 call36597formal.new.0))) (and (=> true (=> (not ?v_2559) (=> true (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty) (=> (= inline.RemoveHeadList.3.myNondetVar_0.2 inline.RemoveHeadList.3.myNondetVar_0) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1.) (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.6 inline.DoSubRequestCleanup.1.myNondetVar_0.0) (=> (= inline.IsListEmpty.9.myNondetVar_0.1 inline.IsListEmpty.9.myNondetVar_0) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..0 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4.) ?v_2560)))))))))) (=> true (=> ?v_2559 (and (=> true (=> (not (= inline.DoSubRequestCleanup.1.myNondetVar_0.3 0)) (=> true (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.5 inline.DoSubRequestCleanup.1.myNondetVar_0.4) ?v_2563)))) (=> true (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.2 0) (=> true (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.5 inline.DoSubRequestCleanup.1.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2563)))))))))))))))))))) (?v_2578 (= inline.DoSubRequestCleanup.1.myNondetVar_0.0 hlock))) (let ((?v_2568 (=> true (=> (= lockStatus_4.4 lockStatus_4.3) (=> (= k.85 k.84) (=> (= lockStatus_3.4 lockStatus_3.3) (=> (= lockStatus_0.4 lockStatus_0.3) (=> (= lockStatus_1.4 lockStatus_1.3) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0 call42925formal.ret.0) (=> (= lockStatus_2.4 lockStatus_2.3) ?v_2579)))))))))) (let ((?v_2572 (=> true ?v_2568)) (?v_2565 (= lockStatus_4.3 lockStatus_4.2)) (?v_2566 (= lockStatus_3.3 lockStatus_3.2)) (?v_2570 (= lockStatus_0.3 lockStatus_0.2)) (?v_2571 (= lockStatus_1.3 lockStatus_1.2)) (?v_2567 (= lockStatus_2.3 lockStatus_2.2))) (let ((?v_2574 (=> ?v_2567 ?v_2572))) (let ((?v_2576 (=> ?v_2570 (=> ?v_2571 ?v_2574)))) (let ((?v_2577 (=> ?v_2566 ?v_2576)) (?v_2575 (= k.84 4)) (?v_2573 (= k.84 3)) (?v_2569 (= k.84 2)) (?v_2564 (= k.84 1)) (?v_2425 (= k.84 0))) (let ((?v_2582 (and (=> true (=> (not (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.40 0)) (and (=> true (=> ?v_2578 (=> true (=> (<= k.83 k.84) (=> (< k.84 5) (=> true (=> (=> ?v_2425 (= lockStatus_0.2 0)) (=> (=> ?v_2564 (= lockStatus_1.2 0)) (=> (=> ?v_2569 (= lockStatus_2.2 0)) (=> (=> ?v_2573 (= lockStatus_3.2 0)) (=> (=> ?v_2575 (= lockStatus_4.2 0)) (and (=> true (=> ?v_2425 (=> true (=> ?v_2565 (=> ?v_2566 (=> (= lockStatus_0.3 1) (=> ?v_2571 (=> ?v_2567 ?v_2568)))))))) (=> true (=> (not ?v_2425) (and (=> true (=> ?v_2564 (=> true (=> ?v_2565 (=> ?v_2566 (=> ?v_2570 (=> (= lockStatus_1.3 1) ?v_2574))))))) (=> true (=> (not ?v_2564) (and (=> true (=> ?v_2569 (=> true (=> ?v_2565 (=> ?v_2566 (=> ?v_2570 (=> ?v_2571 (=> (= lockStatus_2.3 1) ?v_2572)))))))) (=> true (=> (not ?v_2569) (and (=> true (=> ?v_2573 (=> true (=> ?v_2565 (=> (= lockStatus_3.3 1) ?v_2576))))) (=> true (=> (not ?v_2573) (and (=> true (=> ?v_2575 (=> true (=> (= lockStatus_4.3 1) ?v_2577)))) (=> true (=> (not ?v_2575) (=> true (=> ?v_2565 ?v_2577)))))))))))))))))))))))))))) (=> true (=> (not ?v_2578) (=> true (=> (= lockStatus_4.4 lockStatus_4.2) (=> (= k.85 k.83) (=> (= lockStatus_3.4 lockStatus_3.2) (=> (= lockStatus_0.4 lockStatus_0.2) (=> (= lockStatus_1.4 lockStatus_1.2) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_2.4 lockStatus_2.2) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2579))))))))))))))))))) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.39 0) (=> true (=> (= inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..0 inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1.) (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1.) (=> (= inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.0 inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= lockStatus_4.7 lockStatus_4.2) (=> (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1.) (=> (= inline.RemoveHeadList.3.myNondetVar_0.3 inline.RemoveHeadList.3.myNondetVar_0) (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.0 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1) (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.0 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup) (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.41 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.39) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..0 inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1.) (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty) (=> (= lockStatus_0.7 lockStatus_0.2) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1) (=> (= lockStatus_2.7 lockStatus_2.2) (=> (= lockStatus_3.7 lockStatus_3.2) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..1 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4.) (=> (= inline.IsListEmpty.9.myNondetVar_0.2 inline.IsListEmpty.9.myNondetVar_0) (=> (= inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..0 inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5.) (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.9 inline.DoSubRequestCleanup.1.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.1 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0) (=> (= inline.IsListEmpty.8.myNondetVar_0.1 inline.IsListEmpty.8.myNondetVar_0) (=> (= lockStatus_1.7 lockStatus_1.2) (=> (= k.88 k.83) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> true ?v_2580))))))))))))))))))))))))))))))))))))) (?v_2581 (<= 0 inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2)) (?v_2424 (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_2734 (and (=> true (=> ?v_2581 (=> true (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.7.myNondetVar_0.0 call36597formal.new.0))) (and (=> true (=> (not ?v_2424) (=> true (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.1 call36597formal.new.0) (=> (= inline.RemoveHeadList.3.myNondetVar_0.4 inline.RemoveHeadList.3.myNondetVar_0) (=> (= lockStatus_4.8 lockStatus_4.2) (=> ?v_2528 (=> (= lockStatus_0.8 lockStatus_0.2) (=> ?v_2469 (=> (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.) (=> ?v_2471 (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..2 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4.) (=> ?v_2529 (=> ?v_2427 (=> (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.) (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.2 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0) (=> ?v_2530 (=> (= inline.IsListEmpty.9.myNondetVar_0.3 inline.IsListEmpty.9.myNondetVar_0) (=> ?v_2531 (=> ?v_2532 (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.1 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1) (=> (= lockStatus_2.8 lockStatus_2.2) (=> (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1.) (=> (= lockStatus_3.8 lockStatus_3.2) (=> (= inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.1 inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup) (=> ?v_2533 (=> ?v_2534 (=> (= k.93 k.83) (=> (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1.) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= lockStatus_1.8 lockStatus_1.2) (=> (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..1 inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1.) (=> ?v_2535 (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.1 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.48 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.38) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.1 call36597formal.new.0) (=> ?v_2536 (=> ?v_2537 (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0) (=> ?v_2428 (=> (= inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..1 inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1.) (=> (= inline.DoSubRequestCleanup.1.myNondetVar_0.10 inline.DoSubRequestCleanup.1.myNondetVar_0) (=> (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty) (=> ?v_2538 (=> (= inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..1 inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5.) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..1 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0) (=> ?v_2429 (=> ?v_2495 (=> (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.IsListEmpty.7.myNondetVar_0.2 inline.IsListEmpty.7.myNondetVar_0.0) (=> (= inline.IsListEmpty.8.myNondetVar_0.2 inline.IsListEmpty.8.myNondetVar_0) ?v_2430)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_2424 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..0 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0 call36597formal.new.0) (=> (= inline.IsListEmpty.7.myNondetVar_0.1 inline.IsListEmpty.7.myNondetVar_0.0) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..0) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0 call36597formal.new.0) ?v_2582))))))))))))) (=> true (=> (not ?v_2581) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..0 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28.) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty) (=> (= inline.IsListEmpty.7.myNondetVar_0.1 inline.IsListEmpty.7.myNondetVar_0) (=> (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1.) (=> (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1) (=> true (=> true (=> true ?v_2582)))))))))))))) (let ((?v_3032 (=> true ?v_2734)) (?v_3138 (= inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..0 inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1.)) (?v_3139 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2927 (= reqCancelSet_3.11 reqCancelSet_3)) (?v_2857 (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend)) (?v_3043 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus)) (?v_2858 (= inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..0 inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1.)) (?v_3018 (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_3044 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted)) (?v_2741 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty)) (?v_2859 (= reqSent_2.5 reqSent_2)) (?v_3258 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_2743 (= inline.IsListEmpty.6.myNondetVar_0.1 inline.IsListEmpty.6.myNondetVar_0)) (?v_3045 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4)) (?v_3170 (= inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3140 (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.0 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1)) (?v_2598 (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_2744 (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1.)) (?v_3171 (= inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0 inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress)) (?v_3046 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2)) (?v_3222 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0)) (?v_3047 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException)) (?v_3172 (= Mem_4_T.PWDFREQUEST__.6 Mem_4_T.PWDFREQUEST__.1)) (?v_3141 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2.)) (?v_2861 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22.)) (?v_3048 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc)) (?v_2928 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.)) (?v_2862 (= reqSent_1.5 reqSent_1)) (?v_3173 (= Mem_1_T.PWDFREQUEST__.6 Mem_1_T.PWDFREQUEST__.1)) (?v_3142 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.54 inline.PerformFullSpeedIsochTransfer.0.myVar_0)) (?v_3223 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9.)) (?v_3259 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3111 (= inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.0 inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl)) (?v_2929 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1)) (?v_2749 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1)) (?v_3049 (= inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..0 inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19.)) (?v_3050 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached)) (?v_3019 (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_3260 (= inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..0 inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1.)) (?v_2864 (= inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1.)) (?v_3051 (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..2 inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18.)) (?v_3052 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached)) (?v_2617 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25.)) (?v_3261 (= inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.0 0)) (?v_3112 (= inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..0 inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15.)) (?v_2930 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty)) (?v_3262 (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1)) (?v_2931 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_2932 (= reqCancelSet_4.11 reqCancelSet_4)) (?v_3174 (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.0 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate)) (?v_3020 (= inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.0 inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd)) (?v_2626 (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1.)) (?v_2933 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..0 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21.)) (?v_3053 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet)) (?v_3175 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11.)) (?v_3263 (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.9 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer)) (?v_3055 (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.6 inline.PerformFullSpeedIsochTransfer.0.myVar_1)) (?v_3264 (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject)) (?v_3021 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20.)) (?v_3143 (= inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..0 inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1.)) (?v_3224 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_3022 (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..2 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1.)) (?v_3265 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_3113 (= inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..1 inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1.)) (?v_3266 (= errorReached.57 errorReached.38)) (?v_3176 (= inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..0 inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2.)) (?v_3056 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted)) (?v_2643 (= inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2..1 inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2.)) (?v_3177 (= Mem_0_T.PWDFREQUEST__.6 Mem_0_T.PWDFREQUEST__.1)) (?v_3057 (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.5 inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer)) (?v_2866 (= reqSent_4.5 reqSent_4)) (?v_2934 (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1.)) (?v_3058 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent)) (?v_2867 (= inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer)) (?v_2647 (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_3024 (= reqCompleteSet_2.5 reqCompleteSet_2)) (?v_3144 (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.0 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext)) (?v_3059 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted)) (?v_3025 (= inline.sdv_WdfCollectionAdd.1.myNondetVar_0.2 inline.sdv_WdfCollectionAdd.1.myNondetVar_0)) (?v_2935 (= reqCancelSet_1.11 reqCancelSet_1)) (?v_3060 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k)) (?v_3267 (= inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer)) (?v_3178 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10.)) (?v_3145 (= inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2.)) (?v_3268 (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext.0 inline.GetFileContext.4..Handle.1.107.0.GetFileContext)) (?v_3225 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_3061 (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.5 inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer)) (?v_3146 (= inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..0 inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2.)) (?v_2936 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_2937 (= inline.IsListEmpty.5.myNondetVar_0.1 inline.IsListEmpty.5.myNondetVar_0)) (?v_2665 (= inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..0 inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1.)) (?v_3269 (= inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2..1 inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2.)) (?v_3179 (= inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer)) (?v_3063 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet)) (?v_3026 (= inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..0 inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2.)) (?v_3027 (= inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1..1 inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1.)) (?v_2868 (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_2869 (= inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_3180 (= inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0 inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1.)) (?v_3114 (= inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..0 inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2.)) (?v_2756 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..0 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27.)) (?v_3181 (= Mem_3_T.PWDFREQUEST__.6 Mem_3_T.PWDFREQUEST__.1)) (?v_3226 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2.)) (?v_3270 (= inline.GetFileContext.4.myNondetVar_0.1 inline.GetFileContext.4.myNondetVar_0)) (?v_2871 (= inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2.)) (?v_2872 (= inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3.)) (?v_3182 (= inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..0 inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1.)) (?v_3028 (= reqCompleteSet_1.5 reqCompleteSet_1)) (?v_3227 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3.)) (?v_3228 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_3184 (= inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2.)) (?v_3147 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14.)) (?v_3185 (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.0 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1)) (?v_2938 (= inline.InsertTailList.1.myNondetVar_0.1 inline.InsertTailList.1.myNondetVar_0)) (?v_3229 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_3271 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7.)) (?v_3230 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_3272 (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.0 inline.GetFileContext.4..Handle.1.107.0.GetFileContext1)) (?v_3064 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc)) (?v_2874 (= reqSent_3.5 reqSent_3)) (?v_3065 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet)) (?v_2939 (= reqCancelSet_0.11 reqCancelSet_0)) (?v_3066 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet)) (?v_2693 (= inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..0 inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3.)) (?v_3148 (= inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3067 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1)) (?v_3068 (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.0 myNondetVar_0.0)) (?v_3029 (= reqCompleteSet_4.5 reqCompleteSet_4)) (?v_2940 (= reqCancelSet_2.11 reqCancelSet_2)) (?v_3186 (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3149 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_3150 (= inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..0 inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13.)) (?v_3231 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_3069 (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.14 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0)) (?v_3070 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent)) (?v_2706 (= inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus)) (?v_3151 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2708 (= inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2.)) (?v_3030 (= reqCompleteSet_3.5 reqCompleteSet_3)) (?v_3152 (= inline.GetSubRequestContext.1.myNondetVar_0.1 inline.GetSubRequestContext.1.myNondetVar_0)) (?v_3187 (= Mem_2_T.PWDFREQUEST__.6 Mem_2_T.PWDFREQUEST__.1)) (?v_3232 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3.)) (?v_3233 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0)) (?v_3071 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException)) (?v_2763 (= inline.RemoveHeadList.2.myNondetVar_0.2 inline.RemoveHeadList.2.myNondetVar_0)) (?v_3072 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5)) (?v_2876 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23.)) (?v_3188 (= inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..0 inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2.)) (?v_3073 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k)) (?v_3116 (= inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer)) (?v_3234 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_2877 (= reqSent_0.5 reqSent_0)) (?v_3235 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_3074 (= inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.)) (?v_3075 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted)) (?v_3236 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8.)) (?v_3237 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2.)) (?v_3273 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2.)) (?v_3153 (= inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2.)) (?v_3076 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3)) (?v_3154 (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1.)) (?v_3031 (= reqCompleteSet_0.5 reqCompleteSet_0))) (let ((?v_3117 (=> ?v_3031 (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..2 inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17.) ?v_3032))))) (let ((?v_3155 (=> (= inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.1 0) ?v_3117)) (?v_3257 (<= 0 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_2590 (= lockStatus_0.2 lockStatus_0.0)) (?v_2595 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..0 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_2614 (= lockStatus_4.2 lockStatus_4.0)) (?v_2632 (= inline.sdv_WdfSpinLockCreate.1..result.userContextSwitch.8640.2.2..0 call37328formal.ret.0)) (?v_2639 (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_2663 (= lockStatus_1.2 lockStatus_1.0)) (?v_2664 (= lockStatus_2.2 lockStatus_2.0)) (?v_2672 (= inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.0 call37411formal.ret.0)) (?v_2685 (= inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..0 call37411formal.ret.0)) (?v_2700 (= inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..0 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_2709 (= lockStatus_3.2 lockStatus_3.0)) (?v_2728 (= inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..0 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_3221 (<= 0 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_2593 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 notused_4hfileobj)) (?v_2607 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 notused_4hfileobj)) (?v_2613 (= inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..0 notused_4hfileobj)) (?v_2618 (= inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.1)) (?v_2621 (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 hrequest)) (?v_3054 (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.9 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.1)) (?v_2633 (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 hrequest)) (?v_2638 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_2654 (= inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.2)) (?v_2657 (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext.0 notused_4hfileobj)) (?v_2666 (= inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2..1 inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2..0)) (?v_2675 (= inline.GetFileContext.4.myNondetVar_0.1 inline.GetFileContext.4.myNondetVar_0.0)) (?v_3183 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.38 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.4)) (?v_2686 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..0 notused_4hfileobj)) (?v_2688 (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.0 notused_4hfileobj)) (?v_2725 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0)) (?v_3169 (<= 0 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_3137 (<= 0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_2596 (= inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.0 call38431formal.ret.0)) (?v_2599 (= inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0 call38264formal.ret.0)) (?v_2601 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.3)) (?v_2860 (= Mem_4_T.PWDFREQUEST__.6 Mem_4_T.PWDFREQUEST__.3)) (?v_2863 (= Mem_1_T.PWDFREQUEST__.6 Mem_1_T.PWDFREQUEST__.3)) (?v_2606 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..0)) (?v_2624 (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.0 call36594formal.new.0)) (?v_2629 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..0 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_2636 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2)) (?v_2641 (= inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..0 call38264formal.ret.0)) (?v_2865 (= Mem_0_T.PWDFREQUEST__.6 Mem_0_T.PWDFREQUEST__.3)) (?v_2655 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..0 call38264formal.ret.0)) (?v_2658 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0)) (?v_3062 (= inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.0 call38264formal.ret.0)) (?v_2671 (= inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0 call38264formal.ret.0)) (?v_2870 (= Mem_3_T.PWDFREQUEST__.6 Mem_3_T.PWDFREQUEST__.3)) (?v_2674 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..1)) (?v_2676 (= inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..0 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_3115 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.38 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.7)) (?v_2678 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..0)) (?v_2679 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_2680 (= inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..0 call38431formal.ret.0)) (?v_2682 (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.0 call36594formal.new.0)) (?v_2684 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_2687 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_2699 (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_2703 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_2875 (= Mem_2_T.PWDFREQUEST__.6 Mem_2_T.PWDFREQUEST__.3)) (?v_2712 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..0)) (?v_2713 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.3)) (?v_2716 (= inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..0 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_2719 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0)) (?v_2720 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2)) (?v_2723 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..0)) (?v_2724 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..1)) (?v_3110 (<= 0 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_2586 (= inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..0 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_2587 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.5)) (?v_2597 (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.5)) (?v_2603 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0)) (?v_2635 (= inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_3023 (= errorReached.57 errorReached.46)) (?v_2649 (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.5)) (?v_2656 (= inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..0 call38832formal.ret.0)) (?v_2660 (= inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..0 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_2681 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..0 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_2694 (= inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.0 call38832formal.ret.0)) (?v_2701 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.5)) (?v_2702 (= inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..0 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_2707 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_2711 (= inline.GetSubRequestContext.1.myNondetVar_0.1 inline.GetSubRequestContext.1.myNondetVar_0.0)) (?v_2726 (= inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_2729 (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_2878 (= inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.1 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0))) (let ((?v_3077 (=> ?v_2878 ?v_3117))) (let ((?v_3079 (=> true (=> ?v_2586 (=> ?v_2587 (=> ?v_2927 (=> ?v_2857 (=> ?v_3043 (=> ?v_2858 (=> ?v_2590 (=> ?v_3018 (=> ?v_3044 (=> ?v_2741 (=> ?v_2859 (=> ?v_2593 (=> ?v_2743 (=> ?v_3045 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2744 (=> ?v_2599 (=> ?v_3046 (=> ?v_2601 (=> ?v_3047 (=> ?v_2860 (=> ?v_2603 (=> ?v_2861 (=> ?v_3048 (=> ?v_2928 (=> ?v_2862 (=> ?v_2863 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.54 inline.PerformFullSpeedIsochTransfer.0.myVar_0.17) (=> ?v_2606 (=> ?v_2607 (=> ?v_3111 (=> ?v_2929 (=> ?v_2749 (=> ?v_3049 (=> ?v_3050 (=> ?v_3019 (=> ?v_2613 (=> ?v_2864 (=> ?v_2614 (=> ?v_3051 (=> ?v_3052 (=> ?v_2617 (=> ?v_2618 (=> ?v_3112 (=> ?v_2930 (=> ?v_2621 (=> ?v_2931 (=> ?v_2932 (=> ?v_2624 (=> ?v_3020 (=> ?v_2626 (=> ?v_2933 (=> ?v_3053 (=> ?v_2629 (=> ?v_3054 (=> ?v_3055 (=> ?v_2632 (=> ?v_2633 (=> ?v_3021 (=> ?v_2635 (=> ?v_2636 (=> ?v_3022 (=> ?v_2638 (=> ?v_2639 (=> ?v_3113 (=> ?v_3023 (=> ?v_2641 (=> ?v_3056 (=> ?v_2643 (=> ?v_2865 (=> ?v_3057 (=> ?v_2866 (=> ?v_2934 (=> ?v_3058 (=> ?v_2867 (=> ?v_2647 (=> ?v_3024 (=> ?v_2649 (=> ?v_3059 (=> ?v_3025 (=> ?v_2935 (=> ?v_3060 (=> ?v_2654 (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> ?v_2658 (=> ?v_3061 (=> ?v_2660 (=> ?v_2936 (=> ?v_2937 (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_3062 (=> ?v_3063 (=> ?v_3026 (=> ?v_3027 (=> ?v_2868 (=> ?v_2869 (=> ?v_2671 (=> ?v_2672 (=> ?v_3114 (=> ?v_2756 (=> ?v_2870 (=> ?v_2674 (=> ?v_2675 (=> ?v_2871 (=> ?v_2872 (=> ?v_2676 (=> ?v_3028 (=> ?v_3115 (=> ?v_2678 (=> ?v_2679 (=> ?v_2680 (=> ?v_2681 (=> ?v_2682 (=> ?v_2938 (=> ?v_2684 (=> ?v_2685 (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_3064 (=> ?v_2874 (=> ?v_3065 (=> ?v_2939 (=> ?v_3066 (=> ?v_2693 (=> (= k.83 k.60) (=> ?v_2694 (=> ?v_3067 (=> ?v_3068 (=> ?v_3029 (=> ?v_2940 (=> ?v_2699 (=> ?v_2700 (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> ?v_3069 (=> ?v_3070 (=> ?v_2706 (=> ?v_2707 (=> ?v_2708 (=> ?v_2709 (=> ?v_3030 (=> ?v_2711 (=> ?v_2875 (=> ?v_2712 (=> ?v_2713 (=> ?v_3071 (=> ?v_2763 (=> ?v_3072 (=> ?v_2876 (=> ?v_2716 (=> ?v_3073 (=> ?v_3116 (=> ?v_2719 (=> ?v_2877 (=> ?v_2720 (=> ?v_3074 (=> ?v_3075 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> ?v_3076 (=> ?v_2728 (=> ?v_2729 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..1) ?v_3077)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3081 (=> true (=> true (=> true (=> true (=> true (=> true ?v_3079))))))) (?v_3084 (= k.60 4)) (?v_2127 (int_2_U call36594formal.new.0))) (let ((?v_2898 (U_2_int (MapType0Select Mem_4_T.PWDFREQUEST__.3 ?v_2127))) (?v_3083 (= k.60 3)) (?v_2896 (U_2_int (MapType0Select Mem_3_T.PWDFREQUEST__.3 ?v_2127))) (?v_3082 (= k.60 2)) (?v_2893 (U_2_int (MapType0Select Mem_2_T.PWDFREQUEST__.3 ?v_2127))) (?v_3080 (= k.60 1)) (?v_2890 (U_2_int (MapType0Select Mem_1_T.PWDFREQUEST__.3 ?v_2127))) (?v_3078 (= k.60 0)) (?v_2174 (U_2_int (MapType0Select Mem_0_T.PWDFREQUEST__.3 ?v_2127))) (?v_3042 (<= 0 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_2608 (= inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.0 call39008formal.ret.0)) (?v_2619 (= inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..0 inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..0)) (?v_2640 (= inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..1 inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..0)) (?v_2673 (= inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..0 call39008formal.ret.0)) (?v_2718 (= inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.0 inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..0))) (let ((?v_3034 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.1 ?v_753) (=> true (=> ?v_2586 (=> ?v_2587 (=> ?v_2927 (=> ?v_2857 (=> ?v_3043 (=> ?v_2858 (=> ?v_2590 (=> ?v_3018 (=> ?v_3044 (=> ?v_2741 (=> ?v_2859 (=> ?v_2593 (=> ?v_2743 (=> ?v_3045 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2744 (=> ?v_2599 (=> ?v_3046 (=> ?v_2601 (=> ?v_3047 (=> ?v_2860 (=> ?v_2603 (=> ?v_2861 (=> ?v_3048 (=> ?v_2928 (=> ?v_2862 (=> ?v_2863 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.54 inline.PerformFullSpeedIsochTransfer.0.myVar_0.16) (=> ?v_2606 (=> ?v_2607 (=> ?v_2608 (=> ?v_2929 (=> ?v_2749 (=> ?v_3049 (=> ?v_3050 (=> ?v_3019 (=> ?v_2613 (=> ?v_2864 (=> ?v_2614 (=> ?v_3051 (=> ?v_3052 (=> ?v_2617 (=> ?v_2618 (=> ?v_2619 (=> ?v_2930 (=> ?v_2621 (=> ?v_2931 (=> ?v_2932 (=> ?v_2624 (=> ?v_3020 (=> ?v_2626 (=> ?v_2933 (=> ?v_3053 (=> ?v_2629 (=> ?v_3054 (=> ?v_3055 (=> ?v_2632 (=> ?v_2633 (=> ?v_3021 (=> ?v_2635 (=> ?v_2636 (=> ?v_3022 (=> ?v_2638 (=> ?v_2639 (=> ?v_2640 (=> ?v_3023 (=> ?v_2641 (=> ?v_3056 (=> ?v_2643 (=> ?v_2865 (=> ?v_3057 (=> ?v_2866 (=> ?v_2934 (=> ?v_3058 (=> ?v_2867 (=> ?v_2647 (=> ?v_3024 (=> ?v_2649 (=> ?v_3059 (=> ?v_3025 (=> ?v_2935 (=> ?v_3060 (=> ?v_2654 (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> ?v_2658 (=> ?v_3061 (=> ?v_2660 (=> ?v_2936 (=> ?v_2937 (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_3062 (=> ?v_3063 (=> ?v_3026 (=> ?v_3027 (=> ?v_2868 (=> ?v_2869 (=> ?v_2671 (=> ?v_2672 (=> ?v_2673 (=> ?v_2756 (=> ?v_2870 (=> ?v_2674 (=> ?v_2675 (=> ?v_2871 (=> ?v_2872 (=> ?v_2676 (=> ?v_3028 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.38 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.8) (=> ?v_2678 (=> ?v_2679 (=> ?v_2680 (=> ?v_2681 (=> ?v_2682 (=> ?v_2938 (=> ?v_2684 (=> ?v_2685 (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_3064 (=> ?v_2874 (=> ?v_3065 (=> ?v_2939 (=> ?v_3066 (=> ?v_2693 (=> (= k.83 k.61) (=> ?v_2694 (=> ?v_3067 (=> ?v_3068 (=> ?v_3029 (=> ?v_2940 (=> ?v_2699 (=> ?v_2700 (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> ?v_3069 (=> ?v_3070 (=> ?v_2706 (=> ?v_2707 (=> ?v_2708 (=> ?v_2709 (=> ?v_3030 (=> ?v_2711 (=> ?v_2875 (=> ?v_2712 (=> ?v_2713 (=> ?v_3071 (=> ?v_2763 (=> ?v_3072 (=> ?v_2876 (=> ?v_2716 (=> ?v_3073 (=> ?v_2718 (=> ?v_2719 (=> ?v_2877 (=> ?v_2720 (=> ?v_3074 (=> ?v_3075 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> ?v_3076 (=> ?v_2728 (=> ?v_2729 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.1) ?v_3077)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_3036 (=> true (=> true (=> true (=> true (=> true (=> true ?v_3034))))))) (?v_3039 (= k.61 4)) (?v_3038 (= k.61 3)) (?v_3037 (= k.61 2)) (?v_3035 (= k.61 1)) (?v_3033 (= k.61 0)) (?v_2133 (= inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..0 0)) (?v_2589 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.1)) (?v_2592 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.1)) (?v_2594 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.0)) (?v_2600 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.0)) (?v_2602 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.0)) (?v_2604 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.0)) (?v_2610 (= inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..0 inline.WdfUsbTargetPipeFormatRequestForUrb.2..callresult..2008.114.2.)) (?v_2611 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.0)) (?v_2615 (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..2 inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..1)) (?v_2616 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.0)) (?v_2628 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.1)) (?v_2631 (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.6 inline.PerformFullSpeedIsochTransfer.0.myVar_1.5)) (?v_2642 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.1)) (?v_2644 (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.5 inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.3)) (?v_2646 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.1)) (?v_2650 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.1)) (?v_2653 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.0)) (?v_2659 (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.5 inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.3)) (?v_2667 (= inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.0)) (?v_2668 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.1)) (?v_2873 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.38 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.35)) (?v_2689 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.0)) (?v_2690 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.1)) (?v_2692 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.1)) (?v_2696 (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.1)) (?v_2704 (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.14 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.9)) (?v_2705 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.1)) (?v_2714 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.0)) (?v_2715 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.0)) (?v_2717 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.0)) (?v_2721 (= inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 inline.WdfUsbTargetPipeFormatRequestForUrb.2..callresult..2008.114.2.)) (?v_2722 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.1)) (?v_2727 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.0)) (?v_2732 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.1)) (?v_2733 (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..2 inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..1))) (let ((?v_2941 (=> ?v_2732 (=> ?v_2733 ?v_3032)))) (let ((?v_2943 (=> true (=> ?v_2586 (=> ?v_2587 (=> ?v_2927 (=> ?v_2857 (=> ?v_2589 (=> ?v_2858 (=> ?v_2590 (=> ?v_3018 (=> ?v_2592 (=> ?v_2741 (=> ?v_2859 (=> ?v_2593 (=> ?v_2743 (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2744 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2860 (=> ?v_2603 (=> ?v_2861 (=> ?v_2604 (=> ?v_2928 (=> ?v_2862 (=> ?v_2863 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.54 inline.PerformFullSpeedIsochTransfer.0.myVar_0.34) (=> ?v_2606 (=> ?v_2607 (=> ?v_2608 (=> ?v_2929 (=> ?v_2749 (=> ?v_2610 (=> ?v_2611 (=> ?v_3019 (=> ?v_2613 (=> ?v_2864 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> ?v_2619 (=> ?v_2930 (=> ?v_2621 (=> ?v_2931 (=> ?v_2932 (=> ?v_2624 (=> ?v_3020 (=> ?v_2626 (=> ?v_2933 (=> ?v_2628 (=> ?v_2629 (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.9 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.5) (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> ?v_3021 (=> ?v_2635 (=> ?v_2636 (=> ?v_3022 (=> ?v_2638 (=> ?v_2639 (=> ?v_2640 (=> ?v_3023 (=> ?v_2641 (=> ?v_2642 (=> ?v_2643 (=> ?v_2865 (=> ?v_2644 (=> ?v_2866 (=> ?v_2934 (=> ?v_2646 (=> ?v_2867 (=> ?v_2647 (=> ?v_3024 (=> ?v_2649 (=> ?v_2650 (=> ?v_3025 (=> ?v_2935 (=> ?v_2653 (=> ?v_2654 (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> ?v_2658 (=> ?v_2659 (=> ?v_2660 (=> ?v_2936 (=> ?v_2937 (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_2667 (=> ?v_2668 (=> ?v_3026 (=> ?v_3027 (=> ?v_2868 (=> ?v_2869 (=> ?v_2671 (=> ?v_2672 (=> ?v_2673 (=> ?v_2756 (=> ?v_2870 (=> ?v_2674 (=> ?v_2675 (=> ?v_2871 (=> ?v_2872 (=> ?v_2676 (=> ?v_3028 (=> ?v_2873 (=> ?v_2678 (=> ?v_2679 (=> ?v_2680 (=> ?v_2681 (=> ?v_2682 (=> ?v_2938 (=> ?v_2684 (=> ?v_2685 (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_2689 (=> ?v_2874 (=> ?v_2690 (=> ?v_2939 (=> ?v_2692 (=> ?v_2693 (=> (= k.83 k.72) (=> ?v_2694 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.1) (=> ?v_2696 (=> ?v_3029 (=> ?v_2940 (=> ?v_2699 (=> ?v_2700 (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> ?v_2704 (=> ?v_2705 (=> ?v_2706 (=> ?v_2707 (=> ?v_2708 (=> ?v_2709 (=> ?v_3030 (=> ?v_2711 (=> ?v_2875 (=> ?v_2712 (=> ?v_2713 (=> ?v_2714 (=> ?v_2763 (=> ?v_2715 (=> ?v_2876 (=> ?v_2716 (=> ?v_2717 (=> ?v_2718 (=> ?v_2719 (=> ?v_2877 (=> ?v_2720 (=> ?v_2721 (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> ?v_2727 (=> ?v_2728 (=> ?v_2729 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.WdfUsbTargetPipeFormatRequestForUrb.2..callresult..2008.114.2.) (=> ?v_2878 (=> ?v_3031 ?v_2941)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2945 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2943))))))))))))) (?v_2948 (= k.72 4)) (?v_2947 (= k.72 3)) (?v_2946 (= k.72 2)) (?v_2944 (= k.72 1)) (?v_2942 (= k.72 0)) (?v_2926 (<= 0 inline.WdfUsbTargetPipeFormatRequestForUrb.2..callresult..2008.114.2.)) (?v_2591 (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.23)) (?v_2612 (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.23)) (?v_2625 (= inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.0 call40754formal.ret.0)) (?v_2630 (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.9 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.7)) (?v_2634 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..0 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..1)) (?v_2637 (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..2 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..1)) (?v_2648 (= reqCompleteSet_2.5 reqCompleteSet_2.4)) (?v_2651 (= inline.sdv_WdfCollectionAdd.1.myNondetVar_0.2 inline.sdv_WdfCollectionAdd.1.myNondetVar_0.1)) (?v_2669 (= inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..0 call40754formal.ret.0)) (?v_2670 (= inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1..1 inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1..0)) (?v_2677 (= reqCompleteSet_1.5 reqCompleteSet_1.4)) (?v_2695 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.3 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.2)) (?v_2697 (= reqCompleteSet_4.5 reqCompleteSet_4.4)) (?v_2710 (= reqCompleteSet_3.5 reqCompleteSet_3.4)) (?v_2730 (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..1)) (?v_2731 (= reqCompleteSet_0.5 reqCompleteSet_0.4))) (let ((?v_2879 (=> ?v_2731 ?v_2941))) (let ((?v_2881 (=> true (=> ?v_2586 (=> ?v_2587 (=> ?v_2927 (=> ?v_2857 (=> ?v_2589 (=> ?v_2858 (=> ?v_2590 (=> ?v_2591 (=> ?v_2592 (=> ?v_2741 (=> ?v_2859 (=> ?v_2593 (=> ?v_2743 (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2744 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2860 (=> ?v_2603 (=> ?v_2861 (=> ?v_2604 (=> ?v_2928 (=> ?v_2862 (=> ?v_2863 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.54 inline.PerformFullSpeedIsochTransfer.0.myVar_0.53) (=> ?v_2606 (=> ?v_2607 (=> ?v_2608 (=> ?v_2929 (=> ?v_2749 (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> ?v_2613 (=> ?v_2864 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> ?v_2619 (=> ?v_2930 (=> ?v_2621 (=> ?v_2931 (=> ?v_2932 (=> ?v_2624 (=> ?v_2625 (=> ?v_2626 (=> ?v_2933 (=> ?v_2628 (=> ?v_2629 (=> ?v_2630 (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> ?v_2634 (=> ?v_2635 (=> ?v_2636 (=> ?v_2637 (=> ?v_2638 (=> ?v_2639 (=> ?v_2640 (=> (= errorReached.57 errorReached.51) (=> ?v_2641 (=> ?v_2642 (=> ?v_2643 (=> ?v_2865 (=> ?v_2644 (=> ?v_2866 (=> ?v_2934 (=> ?v_2646 (=> ?v_2867 (=> ?v_2647 (=> ?v_2648 (=> ?v_2649 (=> ?v_2650 (=> ?v_2651 (=> ?v_2935 (=> ?v_2653 (=> ?v_2654 (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> ?v_2658 (=> ?v_2659 (=> ?v_2660 (=> ?v_2936 (=> ?v_2937 (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_2667 (=> ?v_2668 (=> ?v_2669 (=> ?v_2670 (=> ?v_2868 (=> ?v_2869 (=> ?v_2671 (=> ?v_2672 (=> ?v_2673 (=> ?v_2756 (=> ?v_2870 (=> ?v_2674 (=> ?v_2675 (=> ?v_2871 (=> ?v_2872 (=> ?v_2676 (=> ?v_2677 (=> ?v_2873 (=> ?v_2678 (=> ?v_2679 (=> ?v_2680 (=> ?v_2681 (=> ?v_2682 (=> ?v_2938 (=> ?v_2684 (=> ?v_2685 (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_2689 (=> ?v_2874 (=> ?v_2690 (=> ?v_2939 (=> ?v_2692 (=> ?v_2693 (=> (= k.83 k.73) (=> ?v_2694 (=> ?v_2695 (=> ?v_2696 (=> ?v_2697 (=> ?v_2940 (=> ?v_2699 (=> ?v_2700 (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> ?v_2704 (=> ?v_2705 (=> ?v_2706 (=> ?v_2707 (=> ?v_2708 (=> ?v_2709 (=> ?v_2710 (=> ?v_2711 (=> ?v_2875 (=> ?v_2712 (=> ?v_2713 (=> ?v_2714 (=> ?v_2763 (=> ?v_2715 (=> ?v_2876 (=> ?v_2716 (=> ?v_2717 (=> ?v_2718 (=> ?v_2719 (=> ?v_2877 (=> ?v_2720 (=> ?v_2721 (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> ?v_2727 (=> ?v_2728 (=> ?v_2729 (=> ?v_2730 (=> ?v_2878 ?v_2879))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2883 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2881))))))))))))) (?v_2886 (= k.73 4)) (?v_2885 (= k.73 3)) (?v_2884 (= k.73 2)) (?v_2882 (= k.73 1)) (?v_2880 (= k.73 0)) (?v_2856 (<= 0 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..1)) (?v_2588 (= reqCancelSet_3.11 reqCancelSet_3.10)) (?v_2739 (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.45)) (?v_2740 (= inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..0 notused_4wdfobject1)) (?v_2742 (= reqSent_2.5 reqSent_2.4)) (?v_2745 (= Mem_4_T.PWDFREQUEST__.6 Mem_4_T.PWDFREQUEST__.5)) (?v_2746 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..0 notused_4wdfobject1)) (?v_2605 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0)) (?v_2747 (= reqSent_1.5 reqSent_1.4)) (?v_2748 (= Mem_1_T.PWDFREQUEST__.6 Mem_1_T.PWDFREQUEST__.5)) (?v_2609 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.0 call36597formal.new.0)) (?v_2750 (= inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..0 call41385formal.ret.0)) (?v_2620 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.0 call36597formal.new.0)) (?v_2622 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 hrequest)) (?v_2623 (= reqCancelSet_4.11 reqCancelSet_4.10)) (?v_2627 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..0 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0)) (?v_2751 (= Mem_0_T.PWDFREQUEST__.6 Mem_0_T.PWDFREQUEST__.5)) (?v_2752 (= reqSent_4.5 reqSent_4.4)) (?v_2645 (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0)) (?v_2753 (= inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.37)) (?v_2652 (= reqCancelSet_1.11 reqCancelSet_1.10)) (?v_2661 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 hrequest)) (?v_2662 (= inline.IsListEmpty.5.myNondetVar_0.1 inline.IsListEmpty.5.myNondetVar_0.0)) (?v_2754 (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.45)) (?v_2755 (= inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.0 call41385formal.ret.0)) (?v_2757 (= Mem_3_T.PWDFREQUEST__.6 Mem_3_T.PWDFREQUEST__.5)) (?v_2758 (= inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..0 call41385formal.ret.0)) (?v_2759 (= inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3..0)) (?v_2760 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.38 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.37)) (?v_2683 (= inline.InsertTailList.1.myNondetVar_0.1 inline.InsertTailList.1.myNondetVar_0.0)) (?v_2761 (= reqSent_3.5 reqSent_3.4)) (?v_2691 (= reqCancelSet_0.11 reqCancelSet_0.10)) (?v_2698 (= reqCancelSet_2.11 reqCancelSet_2.10)) (?v_2762 (= Mem_2_T.PWDFREQUEST__.6 Mem_2_T.PWDFREQUEST__.5)) (?v_2764 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..0 call41385formal.ret.0)) (?v_2765 (= reqSent_0.5 reqSent_0.4)) (?v_2766 (=> (= inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.0) ?v_2879))) (let ((?v_2768 (=> true (=> ?v_2586 (=> ?v_2587 (=> ?v_2588 (=> ?v_2739 (=> ?v_2589 (=> ?v_2740 (=> ?v_2590 (=> ?v_2591 (=> ?v_2592 (=> ?v_2741 (=> ?v_2742 (=> ?v_2593 (=> ?v_2743 (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.51) (=> ?v_2744 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2745 (=> ?v_2603 (=> ?v_2746 (=> ?v_2604 (=> ?v_2605 (=> ?v_2747 (=> ?v_2748 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.54 inline.PerformFullSpeedIsochTransfer.0.myVar_0.51) (=> ?v_2606 (=> ?v_2607 (=> ?v_2608 (=> ?v_2609 (=> ?v_2749 (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> ?v_2613 (=> ?v_2750 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..0 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_2618 (=> ?v_2619 (=> ?v_2620 (=> ?v_2621 (=> ?v_2622 (=> ?v_2623 (=> ?v_2624 (=> ?v_2625 (=> (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_2627 (=> ?v_2628 (=> ?v_2629 (=> ?v_2630 (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> ?v_2634 (=> ?v_2635 (=> ?v_2636 (=> ?v_2637 (=> ?v_2638 (=> ?v_2639 (=> ?v_2640 (=> (= errorReached.57 errorReached.56) (=> ?v_2641 (=> ?v_2642 (=> (= inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2..1 inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2..0) (=> ?v_2751 (=> ?v_2644 (=> ?v_2752 (=> ?v_2645 (=> ?v_2646 (=> ?v_2753 (=> (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.PerformFullSpeedIsochTransfer.0.myVar_0.51) (=> ?v_2648 (=> ?v_2649 (=> ?v_2650 (=> ?v_2651 (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> ?v_2658 (=> ?v_2659 (=> ?v_2660 (=> ?v_2661 (=> ?v_2662 (=> ?v_2663 (=> ?v_2664 (=> (= inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..0 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_2666 (=> ?v_2667 (=> ?v_2668 (=> ?v_2669 (=> ?v_2670 (=> ?v_2754 (=> ?v_2755 (=> ?v_2671 (=> ?v_2672 (=> ?v_2673 (=> ?v_2756 (=> ?v_2757 (=> ?v_2674 (=> ?v_2675 (=> ?v_2758 (=> ?v_2759 (=> ?v_2676 (=> ?v_2677 (=> ?v_2760 (=> ?v_2678 (=> ?v_2679 (=> ?v_2680 (=> ?v_2681 (=> ?v_2682 (=> ?v_2683 (=> ?v_2684 (=> ?v_2685 (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_2689 (=> ?v_2761 (=> ?v_2690 (=> ?v_2691 (=> ?v_2692 (=> (= inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..0 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= k.83 k.82) (=> ?v_2694 (=> ?v_2695 (=> ?v_2696 (=> ?v_2697 (=> ?v_2698 (=> ?v_2699 (=> ?v_2700 (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> ?v_2704 (=> ?v_2705 (=> (= inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.0 call41718formal.ret.0) (=> ?v_2707 (=> (= inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..0 call41718formal.ret.0) (=> ?v_2709 (=> ?v_2710 (=> ?v_2711 (=> ?v_2762 (=> ?v_2712 (=> ?v_2713 (=> ?v_2714 (=> ?v_2763 (=> ?v_2715 (=> ?v_2764 (=> ?v_2716 (=> ?v_2717 (=> ?v_2718 (=> ?v_2719 (=> ?v_2765 (=> ?v_2720 (=> ?v_2721 (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> ?v_2727 (=> ?v_2728 (=> ?v_2729 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..1) ?v_2766))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2767 (= call41718formal.ret.0 0))) (let ((?v_2770 (=> true (=> (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_2768))) (?v_2769 (= call41718formal.ret.0 1))) (let ((?v_2778 (and (=> true (=> (not ?v_2767) (=> (not ?v_2769) ?v_2770))) (=> true (=> ?v_2767 (=> true (=> (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..0 ?v_87) (=> true (=> (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2768)))))))))))))) (=> true (=> ?v_2769 (=> true ?v_2770)))))) (let ((?v_2780 (=> (= errorReached.56 errorReached.55) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2778))))))))) (?v_2779 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.51 hrequest)) (?v_2776 (= k.82 k.81)) (?v_2777 (= inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2..0 call41764formal.ret.0)) (?v_2771 (= k.81 0)) (?v_2772 (= k.81 1)) (?v_2773 (= k.81 2)) (?v_2774 (= k.81 3)) (?v_2775 (= k.81 4))) (let ((?v_2782 (and (=> true (=> ?v_2779 (=> true (=> (<= k.80 k.81) (=> (< k.81 5) (and (=> true (=> (=> ?v_2771 ?v_12) (=> (=> ?v_2772 ?v_13) (=> (=> ?v_2773 ?v_14) (=> (=> ?v_2774 ?v_15) (=> (=> ?v_2775 ?v_16) (=> true (=> ?v_2776 (=> ?v_2777 (=> (= errorReached.56 1) ?v_2778)))))))))) (=> true (=> (=> ?v_2771 ?v_7) (=> (=> ?v_2772 ?v_8) (=> (=> ?v_2773 ?v_9) (=> (=> ?v_2774 ?v_10) (=> (=> ?v_2775 ?v_11) (=> true (=> ?v_2776 (=> ?v_2777 ?v_2780))))))))))))))) (=> true (=> (not ?v_2779) (=> true (=> (= k.82 k.80) (=> (= inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2..0 inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2.) ?v_2780)))))))) (let ((?v_2784 (=> true (=> true (=> true (=> true ?v_2782))))) (?v_2787 (= k.80 4)) (?v_2823 (U_2_int (MapType0Select Mem_4_T.PWDFREQUEST__.5 ?v_2127))) (?v_2786 (= k.80 3)) (?v_2821 (U_2_int (MapType0Select Mem_3_T.PWDFREQUEST__.5 ?v_2127))) (?v_2785 (= k.80 2)) (?v_2818 (U_2_int (MapType0Select Mem_2_T.PWDFREQUEST__.5 ?v_2127))) (?v_2783 (= k.80 1)) (?v_2815 (U_2_int (MapType0Select Mem_1_T.PWDFREQUEST__.5 ?v_2127))) (?v_2781 (= k.80 0)) (?v_2738 (U_2_int (MapType0Select Mem_0_T.PWDFREQUEST__.5 ?v_2127))) (?v_2737 (= call41385formal.ret.0 0)) (?v_2736 (=> true (=> ?v_2586 (=> ?v_2587 (=> ?v_2588 (=> ?v_2739 (=> ?v_2589 (=> ?v_2740 (=> ?v_2590 (=> ?v_2591 (=> ?v_2592 (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.0 call36597formal.new.0) (=> ?v_2742 (=> ?v_2593 (=> (= inline.IsListEmpty.6.myNondetVar_0.1 inline.IsListEmpty.6.myNondetVar_0.0) (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0) (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2745 (=> ?v_2603 (=> ?v_2746 (=> ?v_2604 (=> ?v_2605 (=> ?v_2747 (=> ?v_2748 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.54 inline.PerformFullSpeedIsochTransfer.0.myVar_0.45) (=> ?v_2606 (=> ?v_2607 (=> ?v_2608 (=> ?v_2609 (=> (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.0 call36597formal.new.0) (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> ?v_2613 (=> ?v_2750 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> ?v_2619 (=> ?v_2620 (=> ?v_2621 (=> ?v_2622 (=> ?v_2623 (=> ?v_2624 (=> ?v_2625 (=> ?v_2626 (=> ?v_2627 (=> ?v_2628 (=> ?v_2629 (=> ?v_2630 (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> ?v_2634 (=> ?v_2635 (=> ?v_2636 (=> ?v_2637 (=> ?v_2638 (=> ?v_2639 (=> ?v_2640 (=> (= errorReached.57 errorReached.55) (=> ?v_2641 (=> ?v_2642 (=> ?v_2643 (=> ?v_2751 (=> ?v_2644 (=> ?v_2752 (=> ?v_2645 (=> ?v_2646 (=> ?v_2753 (=> ?v_2647 (=> ?v_2648 (=> ?v_2649 (=> ?v_2650 (=> ?v_2651 (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> ?v_2658 (=> ?v_2659 (=> ?v_2660 (=> ?v_2661 (=> ?v_2662 (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_2667 (=> ?v_2668 (=> ?v_2669 (=> ?v_2670 (=> ?v_2754 (=> ?v_2755 (=> ?v_2671 (=> ?v_2672 (=> ?v_2673 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..0 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0) (=> ?v_2757 (=> ?v_2674 (=> ?v_2675 (=> ?v_2758 (=> ?v_2759 (=> ?v_2676 (=> ?v_2677 (=> ?v_2760 (=> ?v_2678 (=> ?v_2679 (=> ?v_2680 (=> ?v_2681 (=> ?v_2682 (=> ?v_2683 (=> ?v_2684 (=> ?v_2685 (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_2689 (=> ?v_2761 (=> ?v_2690 (=> ?v_2691 (=> ?v_2692 (=> ?v_2693 (=> (= k.83 k.79) (=> ?v_2694 (=> ?v_2695 (=> ?v_2696 (=> ?v_2697 (=> ?v_2698 (=> ?v_2699 (=> ?v_2700 (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> ?v_2704 (=> ?v_2705 (=> ?v_2706 (=> ?v_2707 (=> ?v_2708 (=> ?v_2709 (=> ?v_2710 (=> ?v_2711 (=> ?v_2762 (=> ?v_2712 (=> ?v_2713 (=> ?v_2714 (=> (= inline.RemoveHeadList.2.myNondetVar_0.2 inline.RemoveHeadList.2.myNondetVar_0.1) (=> ?v_2715 (=> ?v_2764 (=> ?v_2716 (=> ?v_2717 (=> ?v_2718 (=> ?v_2719 (=> ?v_2765 (=> ?v_2720 (=> ?v_2721 (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> ?v_2727 (=> ?v_2728 (=> ?v_2729 (=> ?v_2730 ?v_2766))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2735 (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_2585 (not ?v_2737))) (let ((?v_2805 (and (=> true (=> ?v_2585 (=> true (=> (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.6.myNondetVar_0.0 call36597formal.new.0))) (and (=> true (=> (not ?v_2735) ?v_2736)) (=> true (=> ?v_2735 (=> true (=> ?v_1241 ?v_2736))))))))) (=> true (=> ?v_2737 (=> true (=> (<= k.79 k.80) (=> (< k.80 5) (and (=> true (=> ?v_2781 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.46 ?v_2738) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.51 inline.PerformFullSpeedIsochTransfer.0.myVar_0.46) ?v_2782))))) (=> true (=> (not ?v_2781) (and (=> true (=> ?v_2783 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.48 ?v_2815) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.51 inline.PerformFullSpeedIsochTransfer.0.myVar_0.48) ?v_2784))))) (=> true (=> (not ?v_2783) (and (=> true (=> ?v_2785 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.47 ?v_2818) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.51 inline.PerformFullSpeedIsochTransfer.0.myVar_0.47) ?v_2784))))) (=> true (=> (not ?v_2785) (and (=> true (=> ?v_2786 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.49 ?v_2821) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.51 inline.PerformFullSpeedIsochTransfer.0.myVar_0.49) ?v_2784))))) (=> true (=> (not ?v_2786) (and (=> true (=> ?v_2787 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.50 ?v_2823) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.51 inline.PerformFullSpeedIsochTransfer.0.myVar_0.50) ?v_2784))))) (=> true (=> (not ?v_2787) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.51 inline.PerformFullSpeedIsochTransfer.0.myVar_0.45) ?v_2784))))))))))))))))))))))))) (let ((?v_2813 (=> true (=> true (=> true (=> true (=> true ?v_2805)))))) (?v_2808 (= reqSent_3.4 reqSent_3)) (?v_2809 (= reqSent_2.4 reqSent_2)) (?v_2810 (= reqSent_1.4 reqSent_1)) (?v_2811 (= reqSent_4.4 reqSent_4)) (?v_2812 (= reqSent_0.4 reqSent_0)) (?v_2807 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.45 hrequest)) (?v_2802 (= k.79 k.78)) (?v_2803 (= inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3..0 call41410formal.ret.0)) (?v_2804 (= errorReached.55 errorReached.54))) (let ((?v_2792 (=> true (=> (= reqSent_3.4 reqSent_3.3) (=> (= reqSent_2.4 reqSent_2.3) (=> (= reqSent_1.4 reqSent_1.3) (=> (= reqSent_4.4 reqSent_4.3) (=> ?v_2802 (=> (= reqSent_0.4 reqSent_0.3) (=> ?v_2803 (=> ?v_2804 ?v_2805))))))))))) (let ((?v_2800 (=> true ?v_2792)) (?v_2794 (= reqSent_1.3 reqSent_1)) (?v_2789 (= reqSent_3.3 reqSent_3)) (?v_2795 (= reqSent_0.3 reqSent_0)) (?v_2790 (= reqSent_2.3 reqSent_2)) (?v_2791 (= reqSent_4.3 reqSent_4))) (let ((?v_2796 (=> ?v_2791 ?v_2800))) (let ((?v_2798 (=> ?v_2795 (=> ?v_2790 ?v_2796)))) (let ((?v_2801 (=> ?v_2789 ?v_2798)) (?v_2799 (= k.78 4)) (?v_2797 (= k.78 3)) (?v_2793 (= k.78 2)) (?v_2788 (= k.78 1)) (?v_2584 (= k.78 0))) (let ((?v_2806 (and (=> true (=> ?v_2585 (and (=> true (=> ?v_2584 (=> true (=> ?v_2794 (=> ?v_2789 (=> (= reqSent_0.3 1) (=> ?v_2790 (=> ?v_2791 ?v_2792)))))))) (=> true (=> (not ?v_2584) (and (=> true (=> ?v_2788 (=> true (=> (= reqSent_1.3 1) ?v_2801)))) (=> true (=> (not ?v_2788) (and (=> true (=> ?v_2793 (=> true (=> ?v_2794 (=> ?v_2789 (=> ?v_2795 (=> (= reqSent_2.3 1) ?v_2796))))))) (=> true (=> (not ?v_2793) (and (=> true (=> ?v_2797 (=> true (=> ?v_2794 (=> (= reqSent_3.3 1) ?v_2798))))) (=> true (=> (not ?v_2797) (and (=> true (=> ?v_2799 (=> true (=> ?v_2794 (=> ?v_2789 (=> ?v_2795 (=> ?v_2790 (=> (= reqSent_4.3 1) ?v_2800)))))))) (=> true (=> (not ?v_2799) (=> true (=> ?v_2794 ?v_2801))))))))))))))))))) (=> true (=> ?v_2737 (=> true (=> ?v_2808 (=> ?v_2809 (=> ?v_2810 (=> ?v_2811 (=> ?v_2802 (=> ?v_2812 (=> ?v_2803 (=> ?v_2804 ?v_2813)))))))))))))) (let ((?v_2816 (and (=> true (=> ?v_2807 (=> true (=> (<= k.77 k.78) (=> (< k.78 5) (and (=> true (=> (=> ?v_2584 ?v_12) (=> (=> ?v_2788 ?v_13) (=> (=> ?v_2793 ?v_14) (=> (=> ?v_2797 ?v_15) (=> (=> ?v_2799 ?v_16) (=> true (=> (= errorReached.54 1) ?v_2806)))))))) (=> true (=> (=> ?v_2584 ?v_7) (=> (=> ?v_2788 ?v_8) (=> (=> ?v_2793 ?v_9) (=> (=> ?v_2797 ?v_10) (=> (=> ?v_2799 ?v_11) (=> true (=> (= errorReached.54 errorReached.53) (=> true ?v_2806))))))))))))))) (=> true (=> (not ?v_2807) (=> true (=> ?v_2808 (=> ?v_2809 (=> ?v_2810 (=> ?v_2811 (=> (= k.79 k.77) (=> ?v_2812 (=> (= inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3..0 inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3.) (=> (= errorReached.55 errorReached.53) ?v_2813)))))))))))))) (let ((?v_2819 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2816)))))))) (?v_2824 (= k.77 4)) (?v_2822 (= k.77 3)) (?v_2820 (= k.77 2)) (?v_2817 (= k.77 1)) (?v_2814 (= k.77 0))) (let ((?v_2829 (=> true (=> (<= k.76 k.77) (=> (< k.77 5) (and (=> true (=> ?v_2814 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.44 ?v_2738) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.45 inline.PerformFullSpeedIsochTransfer.0.myVar_0.44) ?v_2816))))) (=> true (=> (not ?v_2814) (and (=> true (=> ?v_2817 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.43 ?v_2815) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.45 inline.PerformFullSpeedIsochTransfer.0.myVar_0.43) ?v_2819))))) (=> true (=> (not ?v_2817) (and (=> true (=> ?v_2820 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.40 ?v_2818) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.45 inline.PerformFullSpeedIsochTransfer.0.myVar_0.40) ?v_2819))))) (=> true (=> (not ?v_2820) (and (=> true (=> ?v_2822 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.41 ?v_2821) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.45 inline.PerformFullSpeedIsochTransfer.0.myVar_0.41) ?v_2819))))) (=> true (=> (not ?v_2822) (and (=> true (=> ?v_2824 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.42 ?v_2823) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.45 inline.PerformFullSpeedIsochTransfer.0.myVar_0.42) ?v_2819))))) (=> true (=> (not ?v_2824) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.45 inline.PerformFullSpeedIsochTransfer.0.myVar_0.35) ?v_2819)))))))))))))))))))))) (let ((?v_2837 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2829))))))))) (?v_2831 (= Mem_1_T.PWDFREQUEST__.5 Mem_1_T.PWDFREQUEST__.3)) (?v_2826 (= Mem_2_T.PWDFREQUEST__.5 Mem_2_T.PWDFREQUEST__.3)) (?v_2834 (= Mem_0_T.PWDFREQUEST__.5 Mem_0_T.PWDFREQUEST__.3)) (?v_2827 (= Mem_3_T.PWDFREQUEST__.5 Mem_3_T.PWDFREQUEST__.3)) (?v_2828 (= Mem_4_T.PWDFREQUEST__.5 Mem_4_T.PWDFREQUEST__.3))) (let ((?v_2835 (=> ?v_2828 ?v_2837))) (let ((?v_2832 (=> ?v_2834 (=> ?v_2827 ?v_2835)))) (let ((?v_2839 (=> ?v_2826 ?v_2832)) (?v_2838 (= k.76 4)) (?v_2836 (= k.76 3)) (?v_2833 (= k.76 2)) (?v_2830 (= k.76 1)) (?v_2825 (= k.76 0)) (?v_2583 (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_2855 (=> true (=> (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.5.myNondetVar_0.0 call36597formal.new.0))) (and (=> true (=> (not ?v_2583) (=> true (=> ?v_2586 (=> ?v_2587 (=> ?v_2588 (=> ?v_2857 (=> ?v_2589 (=> ?v_2858 (=> ?v_2590 (=> ?v_2591 (=> ?v_2592 (=> ?v_2741 (=> ?v_2859 (=> ?v_2593 (=> ?v_2743 (=> ?v_2594 (=> ?v_2595 (=> ?v_2596 (=> ?v_2597 (=> ?v_2598 (=> ?v_2744 (=> ?v_2599 (=> ?v_2600 (=> ?v_2601 (=> ?v_2602 (=> ?v_2860 (=> ?v_2603 (=> ?v_2861 (=> ?v_2604 (=> ?v_2605 (=> ?v_2862 (=> ?v_2863 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.54 inline.PerformFullSpeedIsochTransfer.0.myVar_0.35) (=> ?v_2606 (=> ?v_2607 (=> ?v_2608 (=> ?v_2609 (=> ?v_2749 (=> ?v_2610 (=> ?v_2611 (=> ?v_2612 (=> ?v_2613 (=> ?v_2864 (=> ?v_2614 (=> ?v_2615 (=> ?v_2616 (=> ?v_2617 (=> ?v_2618 (=> ?v_2619 (=> ?v_2620 (=> ?v_2621 (=> ?v_2622 (=> ?v_2623 (=> ?v_2624 (=> ?v_2625 (=> ?v_2626 (=> ?v_2627 (=> ?v_2628 (=> ?v_2629 (=> ?v_2630 (=> ?v_2631 (=> ?v_2632 (=> ?v_2633 (=> ?v_2634 (=> ?v_2635 (=> ?v_2636 (=> ?v_2637 (=> ?v_2638 (=> ?v_2639 (=> ?v_2640 (=> (= errorReached.57 errorReached.53) (=> ?v_2641 (=> ?v_2642 (=> ?v_2643 (=> ?v_2865 (=> ?v_2644 (=> ?v_2866 (=> ?v_2645 (=> ?v_2646 (=> ?v_2867 (=> ?v_2647 (=> ?v_2648 (=> ?v_2649 (=> ?v_2650 (=> ?v_2651 (=> ?v_2652 (=> ?v_2653 (=> ?v_2654 (=> ?v_2655 (=> ?v_2656 (=> ?v_2657 (=> ?v_2658 (=> ?v_2659 (=> ?v_2660 (=> ?v_2661 (=> ?v_2662 (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_2667 (=> ?v_2668 (=> ?v_2669 (=> ?v_2670 (=> ?v_2868 (=> ?v_2869 (=> ?v_2671 (=> ?v_2672 (=> ?v_2673 (=> ?v_2756 (=> ?v_2870 (=> ?v_2674 (=> ?v_2675 (=> ?v_2871 (=> ?v_2872 (=> ?v_2676 (=> ?v_2677 (=> ?v_2873 (=> ?v_2678 (=> ?v_2679 (=> ?v_2680 (=> ?v_2681 (=> ?v_2682 (=> ?v_2683 (=> ?v_2684 (=> ?v_2685 (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_2689 (=> ?v_2874 (=> ?v_2690 (=> ?v_2691 (=> ?v_2692 (=> ?v_2693 (=> (= k.83 k.75) (=> ?v_2694 (=> ?v_2695 (=> ?v_2696 (=> ?v_2697 (=> ?v_2698 (=> ?v_2699 (=> ?v_2700 (=> ?v_2701 (=> ?v_2702 (=> ?v_2703 (=> ?v_2704 (=> ?v_2705 (=> ?v_2706 (=> ?v_2707 (=> ?v_2708 (=> ?v_2709 (=> ?v_2710 (=> ?v_2711 (=> ?v_2875 (=> ?v_2712 (=> ?v_2713 (=> ?v_2714 (=> ?v_2763 (=> ?v_2715 (=> ?v_2876 (=> ?v_2716 (=> ?v_2717 (=> ?v_2718 (=> ?v_2719 (=> ?v_2877 (=> ?v_2720 (=> ?v_2721 (=> ?v_2722 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_2726 (=> ?v_2727 (=> ?v_2728 (=> ?v_2729 (=> ?v_2730 (=> ?v_2878 (=> ?v_2731 (=> ?v_2732 (=> ?v_2733 ?v_2734)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_2583 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.0 (MINUS_LEFT_PTR inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.37 1 12)) (=> true (=> (<= k.75 k.76) (=> (< k.76 5) (and (=> true (=> ?v_2825 (=> (= Mem_0_T.PWDFREQUEST__.4 (MapType0Store Mem_0_T.PWDFREQUEST__.3 ?v_2127 ?v_1610)) (=> true (=> ?v_2831 (=> ?v_2826 (=> (= Mem_0_T.PWDFREQUEST__.5 Mem_0_T.PWDFREQUEST__.4) (=> ?v_2827 (=> ?v_2828 ?v_2829))))))))) (=> true (=> (not ?v_2825) (and (=> true (=> ?v_2830 (=> (= Mem_1_T.PWDFREQUEST__.4 (MapType0Store Mem_1_T.PWDFREQUEST__.3 ?v_2127 ?v_1610)) (=> true (=> (= Mem_1_T.PWDFREQUEST__.5 Mem_1_T.PWDFREQUEST__.4) ?v_2839))))) (=> true (=> (not ?v_2830) (and (=> true (=> ?v_2833 (=> (= Mem_2_T.PWDFREQUEST__.4 (MapType0Store Mem_2_T.PWDFREQUEST__.3 ?v_2127 ?v_1610)) (=> true (=> ?v_2831 (=> (= Mem_2_T.PWDFREQUEST__.5 Mem_2_T.PWDFREQUEST__.4) ?v_2832)))))) (=> true (=> (not ?v_2833) (and (=> true (=> ?v_2836 (=> (= Mem_3_T.PWDFREQUEST__.4 (MapType0Store Mem_3_T.PWDFREQUEST__.3 ?v_2127 ?v_1610)) (=> true (=> ?v_2831 (=> ?v_2826 (=> ?v_2834 (=> (= Mem_3_T.PWDFREQUEST__.5 Mem_3_T.PWDFREQUEST__.4) ?v_2835)))))))) (=> true (=> (not ?v_2836) (and (=> true (=> ?v_2838 (=> (= Mem_4_T.PWDFREQUEST__.4 (MapType0Store Mem_4_T.PWDFREQUEST__.3 ?v_2127 ?v_1610)) (=> true (=> ?v_2831 (=> ?v_2826 (=> ?v_2834 (=> ?v_2827 (=> (= Mem_4_T.PWDFREQUEST__.5 Mem_4_T.PWDFREQUEST__.4) ?v_2837))))))))) (=> true (=> (not ?v_2838) (=> true (=> ?v_2831 ?v_2839))))))))))))))))))))))))))))) (let ((?v_2844 (=> true (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0 call40947formal.ret.0) (=> (= reqCancelSet_2.10 reqCancelSet_2.9) (=> (= reqCancelSet_4.10 reqCancelSet_4.9) (=> (= k.75 k.74) (=> (= errorReached.53 errorReached.52) (=> (= reqCancelSet_1.10 reqCancelSet_1.9) (=> (= reqCancelSet_0.10 reqCancelSet_0.9) (=> (= reqCancelSet_3.10 reqCancelSet_3.9) ?v_2855))))))))))) (let ((?v_2850 (=> true ?v_2844)) (?v_2846 (= reqCancelSet_0.9 reqCancelSet_0)) (?v_2841 (= reqCancelSet_4.9 reqCancelSet_4)) (?v_2842 (= reqCancelSet_2.9 reqCancelSet_2)) (?v_2847 (= reqCancelSet_1.9 reqCancelSet_1)) (?v_2843 (= reqCancelSet_3.9 reqCancelSet_3))) (let ((?v_2848 (=> ?v_2843 ?v_2850))) (let ((?v_2852 (=> ?v_2847 ?v_2848))) (let ((?v_2853 (=> ?v_2842 ?v_2852)) (?v_2851 (= k.74 4)) (?v_2849 (= k.74 3)) (?v_2845 (= k.74 2)) (?v_2840 (= k.74 1)) (?v_2176 (= k.74 0))) (let ((?v_2854 (and (=> true (=> ?v_2176 (=> true (=> (= reqCancelSet_0.9 1) (=> ?v_2841 (=> ?v_2842 (=> ?v_2847 (=> ?v_2843 ?v_2844)))))))) (=> true (=> (not ?v_2176) (and (=> true (=> ?v_2840 (=> true (=> ?v_2846 (=> ?v_2841 (=> ?v_2842 (=> (= reqCancelSet_1.9 1) ?v_2848))))))) (=> true (=> (not ?v_2840) (and (=> true (=> ?v_2845 (=> true (=> ?v_2846 (=> ?v_2841 (=> (= reqCancelSet_2.9 1) ?v_2852)))))) (=> true (=> (not ?v_2845) (and (=> true (=> ?v_2849 (=> true (=> ?v_2846 (=> ?v_2841 (=> ?v_2842 (=> ?v_2847 (=> (= reqCancelSet_3.9 1) ?v_2850)))))))) (=> true (=> (not ?v_2849) (and (=> true (=> ?v_2851 (=> true (=> ?v_2846 (=> (= reqCancelSet_4.9 1) ?v_2853))))) (=> true (=> (not ?v_2851) (=> true (=> ?v_2846 (=> ?v_2841 ?v_2853)))))))))))))))))))) (let ((?v_2888 (and (=> true (=> ?v_2856 (and (=> true (=> ?v_33 (=> true (=> (<= k.71 k.74) (=> (< k.74 5) (and (=> true (=> (=> ?v_2176 ?v_12) (=> (=> ?v_2840 ?v_13) (=> (=> ?v_2845 ?v_14) (=> (=> ?v_2849 ?v_15) (=> (=> ?v_2851 ?v_16) (=> true (=> (= errorReached.52 1) ?v_2854)))))))) (=> true (=> (=> ?v_2176 ?v_7) (=> (=> ?v_2840 ?v_8) (=> (=> ?v_2845 ?v_9) (=> (=> ?v_2849 ?v_10) (=> (=> ?v_2851 ?v_11) (=> true (=> (= errorReached.52 errorReached.51) (=> true ?v_2854))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..0 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.) (=> (= reqCancelSet_2.10 reqCancelSet_2) (=> (= reqCancelSet_4.10 reqCancelSet_4) (=> (= k.75 k.71) (=> (= errorReached.53 errorReached.51) (=> (= reqCancelSet_1.10 reqCancelSet_1) (=> (= reqCancelSet_0.10 reqCancelSet_0) (=> (= reqCancelSet_3.10 reqCancelSet_3) (=> true (=> true (=> true (=> true (=> true (=> true ?v_2855)))))))))))))))))))) (=> true (=> (not ?v_2856) (=> true (=> (<= k.71 k.73) (=> (< k.73 5) (and (=> true (=> ?v_2880 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.39 ?v_2174) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.53 inline.PerformFullSpeedIsochTransfer.0.myVar_0.39) ?v_2881))))) (=> true (=> (not ?v_2880) (and (=> true (=> ?v_2882 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.36 ?v_2890) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.53 inline.PerformFullSpeedIsochTransfer.0.myVar_0.36) ?v_2883))))) (=> true (=> (not ?v_2882) (and (=> true (=> ?v_2884 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.37 ?v_2893) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.53 inline.PerformFullSpeedIsochTransfer.0.myVar_0.37) ?v_2883))))) (=> true (=> (not ?v_2884) (and (=> true (=> ?v_2885 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.38 ?v_2896) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.53 inline.PerformFullSpeedIsochTransfer.0.myVar_0.38) ?v_2883))))) (=> true (=> (not ?v_2885) (and (=> true (=> ?v_2886 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.52 ?v_2898) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.53 inline.PerformFullSpeedIsochTransfer.0.myVar_0.52) ?v_2883))))) (=> true (=> (not ?v_2886) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.53 inline.PerformFullSpeedIsochTransfer.0.myVar_0.35) ?v_2883)))))))))))))))))))))))) (?v_2887 (= call40754formal.ret.0 0))) (let ((?v_2891 (and (=> true (=> (not ?v_2887) (=> true (=> (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..0 ?v_1321) (=> true (=> (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..1 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..0) (=> (= inline.sdv_WdfCollectionAdd.1.myNondetVar_0.1 inline.sdv_WdfCollectionAdd.1.myNondetVar_0) ?v_2888))))))) (=> true (=> ?v_2887 (=> true (=> (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..1 0) (=> (= inline.sdv_WdfCollectionAdd.1.myNondetVar_0.1 inline.sdv_WdfCollectionAdd.1.myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true ?v_2888))))))))))))) (let ((?v_2894 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2891)))))))) (?v_2899 (= k.71 4)) (?v_2897 (= k.71 3)) (?v_2895 (= k.71 2)) (?v_2892 (= k.71 1)) (?v_2889 (= k.71 0))) (let ((?v_2901 (=> true (=> (<= k.70 k.71) (=> (< k.71 5) (and (=> true (=> ?v_2889 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.24 ?v_2174) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.35 inline.PerformFullSpeedIsochTransfer.0.myVar_0.24) ?v_2891))))) (=> true (=> (not ?v_2889) (and (=> true (=> ?v_2892 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.25 ?v_2890) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.35 inline.PerformFullSpeedIsochTransfer.0.myVar_0.25) ?v_2894))))) (=> true (=> (not ?v_2892) (and (=> true (=> ?v_2895 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.28 ?v_2893) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.35 inline.PerformFullSpeedIsochTransfer.0.myVar_0.28) ?v_2894))))) (=> true (=> (not ?v_2895) (and (=> true (=> ?v_2897 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.29 ?v_2896) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.35 inline.PerformFullSpeedIsochTransfer.0.myVar_0.29) ?v_2894))))) (=> true (=> (not ?v_2897) (and (=> true (=> ?v_2899 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.30 ?v_2898) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.35 inline.PerformFullSpeedIsochTransfer.0.myVar_0.30) ?v_2894))))) (=> true (=> (not ?v_2899) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.35 inline.PerformFullSpeedIsochTransfer.0.myVar_0.23) ?v_2894))))))))))))))))))))) (?v_2132 (MULT inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.2 255))) (let ((?v_2900 (< ?v_2132 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.1))) (let ((?v_2918 (and (=> true (=> ?v_2900 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.6 ?v_2132) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.7 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.6) ?v_2901)))))) (=> true (=> (not ?v_2900) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.7 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.1) ?v_2901)))))) (?v_2917 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.23 hrequest))) (let ((?v_2906 (=> true (=> (= reqCompleteSet_2.4 reqCompleteSet_2.3) (=> (= reqCompleteSet_4.4 reqCompleteSet_4.3) (=> (= reqCompleteSet_1.4 reqCompleteSet_1.3) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1..0 call40466formal.ret.0) (=> (= reqCompleteSet_0.4 reqCompleteSet_0.3) (=> (= k.70 k.69) (=> (= errorReached.51 errorReached.50) (=> (= reqCompleteSet_3.4 reqCompleteSet_3.3) ?v_2918))))))))))) (let ((?v_2910 (=> true ?v_2906)) (?v_2908 (= reqCompleteSet_1.3 reqCompleteSet_1)) (?v_2903 (= reqCompleteSet_3.3 reqCompleteSet_3)) (?v_2904 (= reqCompleteSet_4.3 reqCompleteSet_4)) (?v_2909 (= reqCompleteSet_0.3 reqCompleteSet_0)) (?v_2905 (= reqCompleteSet_2.3 reqCompleteSet_2))) (let ((?v_2914 (=> ?v_2909 (=> ?v_2905 ?v_2910)))) (let ((?v_2912 (=> ?v_2904 ?v_2914))) (let ((?v_2915 (=> ?v_2903 ?v_2912)) (?v_2913 (= k.69 4)) (?v_2911 (= k.69 3)) (?v_2907 (= k.69 2)) (?v_2902 (= k.69 1)) (?v_2175 (= k.69 0))) (let ((?v_2916 (and (=> true (=> ?v_2175 (=> true (=> ?v_2908 (=> ?v_2903 (=> ?v_2904 (=> (= reqCompleteSet_0.3 1) (=> ?v_2905 ?v_2906)))))))) (=> true (=> (not ?v_2175) (and (=> true (=> ?v_2902 (=> true (=> (= reqCompleteSet_1.3 1) ?v_2915)))) (=> true (=> (not ?v_2902) (and (=> true (=> ?v_2907 (=> true (=> ?v_2908 (=> ?v_2903 (=> ?v_2904 (=> ?v_2909 (=> (= reqCompleteSet_2.3 1) ?v_2910)))))))) (=> true (=> (not ?v_2907) (and (=> true (=> ?v_2911 (=> true (=> ?v_2908 (=> (= reqCompleteSet_3.3 1) ?v_2912))))) (=> true (=> (not ?v_2911) (and (=> true (=> ?v_2913 (=> true (=> ?v_2908 (=> ?v_2903 (=> (= reqCompleteSet_4.3 1) ?v_2914)))))) (=> true (=> (not ?v_2913) (=> true (=> ?v_2908 ?v_2915))))))))))))))))))) (let ((?v_2920 (and (=> true (=> ?v_2917 (=> true (=> (<= k.68 k.69) (=> (< k.69 5) (and (=> true (=> (=> ?v_2175 ?v_12) (=> (=> ?v_2902 ?v_13) (=> (=> ?v_2907 ?v_14) (=> (=> ?v_2911 ?v_15) (=> (=> ?v_2913 ?v_16) (=> true (=> (= errorReached.50 1) ?v_2916)))))))) (=> true (=> (=> ?v_2175 ?v_7) (=> (=> ?v_2902 ?v_8) (=> (=> ?v_2907 ?v_9) (=> (=> ?v_2911 ?v_10) (=> (=> ?v_2913 ?v_11) (=> true (=> (= errorReached.50 errorReached.46) (=> true ?v_2916))))))))))))))) (=> true (=> (not ?v_2917) (=> true (=> (= reqCompleteSet_2.4 reqCompleteSet_2) (=> (= reqCompleteSet_4.4 reqCompleteSet_4) (=> (= reqCompleteSet_1.4 reqCompleteSet_1) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1..0 inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1.) (=> (= reqCompleteSet_0.4 reqCompleteSet_0) (=> (= k.70 k.68) (=> (= errorReached.51 errorReached.46) (=> (= reqCompleteSet_3.4 reqCompleteSet_3) (=> true (=> true (=> true (=> true ?v_2918)))))))))))))))))) (let ((?v_2922 (=> true (=> true (=> true (=> true ?v_2920))))) (?v_2925 (= k.68 4)) (?v_2924 (= k.68 3)) (?v_2923 (= k.68 2)) (?v_2921 (= k.68 1)) (?v_2919 (= k.68 0))) (let ((?v_2950 (and (=> true (=> ?v_2926 (=> true (=> (<= k.67 k.68) (=> (< k.68 5) (and (=> true (=> ?v_2919 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.22 ?v_2174) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.23 inline.PerformFullSpeedIsochTransfer.0.myVar_0.22) ?v_2920))))) (=> true (=> (not ?v_2919) (and (=> true (=> ?v_2921 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.18 ?v_2890) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.23 inline.PerformFullSpeedIsochTransfer.0.myVar_0.18) ?v_2922))))) (=> true (=> (not ?v_2921) (and (=> true (=> ?v_2923 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.19 ?v_2893) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.23 inline.PerformFullSpeedIsochTransfer.0.myVar_0.19) ?v_2922))))) (=> true (=> (not ?v_2923) (and (=> true (=> ?v_2924 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.21 ?v_2896) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.23 inline.PerformFullSpeedIsochTransfer.0.myVar_0.21) ?v_2922))))) (=> true (=> (not ?v_2924) (and (=> true (=> ?v_2925 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.20 ?v_2898) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.23 inline.PerformFullSpeedIsochTransfer.0.myVar_0.20) ?v_2922))))) (=> true (=> (not ?v_2925) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.23 inline.PerformFullSpeedIsochTransfer.0.myVar_0.5) ?v_2922)))))))))))))))))))))) (=> true (=> (not ?v_2926) (=> true (=> (<= k.67 k.72) (=> (< k.72 5) (and (=> true (=> ?v_2942 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.26 ?v_2174) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.34 inline.PerformFullSpeedIsochTransfer.0.myVar_0.26) ?v_2943))))) (=> true (=> (not ?v_2942) (and (=> true (=> ?v_2944 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.27 ?v_2890) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.34 inline.PerformFullSpeedIsochTransfer.0.myVar_0.27) ?v_2945))))) (=> true (=> (not ?v_2944) (and (=> true (=> ?v_2946 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.31 ?v_2893) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.34 inline.PerformFullSpeedIsochTransfer.0.myVar_0.31) ?v_2945))))) (=> true (=> (not ?v_2946) (and (=> true (=> ?v_2947 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.32 ?v_2896) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.34 inline.PerformFullSpeedIsochTransfer.0.myVar_0.32) ?v_2945))))) (=> true (=> (not ?v_2947) (and (=> true (=> ?v_2948 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.33 ?v_2898) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.34 inline.PerformFullSpeedIsochTransfer.0.myVar_0.33) ?v_2945))))) (=> true (=> (not ?v_2948) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.34 inline.PerformFullSpeedIsochTransfer.0.myVar_0.5) ?v_2945))))))))))))))))))))))))) (let ((?v_2952 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2950))))))))))) (?v_2955 (= k.67 4)) (?v_2954 (= k.67 3)) (?v_2953 (= k.67 2)) (?v_2951 (= k.67 1)) (?v_2949 (= k.67 0))) (let ((?v_3005 (=> true (=> (<= k.59 k.67) (=> (< k.67 5) (and (=> true (=> ?v_2949 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.0 ?v_2174) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.5 inline.PerformFullSpeedIsochTransfer.0.myVar_1.0) ?v_2950))))) (=> true (=> (not ?v_2949) (and (=> true (=> ?v_2951 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.4 ?v_2890) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.5 inline.PerformFullSpeedIsochTransfer.0.myVar_1.4) ?v_2952))))) (=> true (=> (not ?v_2951) (and (=> true (=> ?v_2953 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.3 ?v_2893) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.5 inline.PerformFullSpeedIsochTransfer.0.myVar_1.3) ?v_2952))))) (=> true (=> (not ?v_2953) (and (=> true (=> ?v_2954 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.1 ?v_2896) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.5 inline.PerformFullSpeedIsochTransfer.0.myVar_1.1) ?v_2952))))) (=> true (=> (not ?v_2954) (and (=> true (=> ?v_2955 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.2 ?v_2898) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.5 inline.PerformFullSpeedIsochTransfer.0.myVar_1.2) ?v_2952))))) (=> true (=> (not ?v_2955) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.5 inline.PerformFullSpeedIsochTransfer.0.myVar_1) ?v_2952)))))))))))))))))))))) (let ((?v_3006 (=> true (and ?v_2135 (=> ?v_2135 (and ?v_2136 (=> ?v_2136 (and ?v_0 (=> ?v_0 (and ?v_2972 (=> ?v_2972 (and ?v_2973 (=> ?v_2973 (and ?v_2974 (=> ?v_2974 (and ?v_2975 (=> ?v_2975 (and ?v_2976 (=> ?v_2976 (and ?v_2977 (=> ?v_2977 (and ?v_2978 (=> ?v_2978 (and ?v_2979 (=> ?v_2979 (and ?v_2980 (=> ?v_2980 (and ?v_2981 (=> ?v_2981 (and ?v_2982 (=> ?v_2982 (and ?v_2983 (=> ?v_2983 (and ?v_2984 (=> ?v_2984 (and ?v_2985 (=> ?v_2985 (and ?v_2986 (=> ?v_2986 (and ?v_2987 (=> ?v_2987 (and ?v_2988 (=> ?v_2988 (and ?v_2989 (=> ?v_2989 (and ?v_2990 (=> ?v_2990 (and ?v_2991 (=> ?v_2991 (and ?v_2992 (=> ?v_2992 (and ?v_2993 (=> ?v_2993 (and ?v_2994 (=> ?v_2994 (and ?v_2995 (=> ?v_2995 (and ?v_2996 (=> ?v_2996 (and ?v_2997 (=> ?v_2997 (and ?v_2998 (=> ?v_2998 (and ?v_2999 (=> ?v_2999 (and ?v_3000 (=> ?v_3000 (and ?v_3001 (=> ?v_3001 (=> (forall ((?f8 Int)) (! (let ((?v_4062 (MapType0Select alloc.28 (int_2_U (Base ?f8))))) (or (= ?v_4062 UNALLOCATED) (= ?v_4062 ?v_4062))) :pattern ((MapType0Select alloc.28 (int_2_U (Base ?f8)))) )) (=> true (=> ?v_2135 (=> ?v_2136 (=> ?v_0 (=> ?v_2972 (=> ?v_2973 (=> ?v_2974 (=> ?v_2975 (=> ?v_2976 (=> ?v_2977 (=> ?v_2978 (=> ?v_2979 (=> ?v_2980 (=> ?v_2981 (=> ?v_2982 (=> ?v_2983 (=> ?v_2984 (=> ?v_2985 (=> ?v_2986 (=> ?v_2987 (=> ?v_2988 (=> ?v_2989 (=> ?v_2990 (=> ?v_2991 (=> ?v_2992 (=> ?v_2993 (=> ?v_2994 (=> ?v_2995 (=> ?v_2996 (=> ?v_2997 (=> ?v_2998 (=> ?v_2999 (=> ?v_3000 (=> ?v_3001 (=> (forall ((?f7 Int)) (! (let ((?v_4063 (MapType0Select alloc.28 (int_2_U (Base ?f7))))) (or (= ?v_4063 UNALLOCATED) (= ?v_4063 ?v_4063))) :pattern ((MapType0Select alloc.28 (int_2_U (Base ?f7)))) )) (and (=> true (=> ?v_3004 (and (=> true (=> ?v_3002 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.4 (PLUS inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.0 1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.2)) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.5 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.2 1)) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.5) (=> (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.4) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.31 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.29) (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.7 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.5) ?v_3003))))))))))) (=> true (=> (not ?v_3002) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.6 (PLUS inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.0 1 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.2)) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.3 0) (=> (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.6) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.31 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.30) (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.7 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.6) ?v_3003)))))))))))) (=> true (=> (not ?v_3004) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.0 errorReached.46) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..1 call42688formal.ret.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.34 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.27) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet) (=> (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted) (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.5 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.0 alloc.28) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.0 0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..1 inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17.) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.0 k.59) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus) (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.9 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.3) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted) ?v_3005))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2963 (not ?v_2149)) (?v_2962 (not ?v_2147)) (?v_2961 (not ?v_2145)) (?v_2959 (not ?v_2143)) (?v_2957 (not ?v_2134))) (let ((?v_3007 (and (=> true (=> ?v_2134 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0 reqSent_0) ?v_3006)))) (=> true (=> ?v_2957 (and (=> true (=> ?v_2143 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0 reqSent_1) ?v_3006)))) (=> true (=> ?v_2959 (and (=> true (=> ?v_2145 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0 reqSent_2) ?v_3006)))) (=> true (=> ?v_2961 (and (=> true (=> ?v_2147 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0 reqSent_3) ?v_3006)))) (=> true (=> ?v_2962 (and (=> true (=> ?v_2149 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0 reqSent_4) ?v_3006)))) (=> true (=> ?v_2963 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent) ?v_3006))))))))))))))))))) (let ((?v_3008 (=> true ?v_3007))) (let ((?v_3009 (and (=> true (=> ?v_2134 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0 reqCompleted_0) ?v_3007)))) (=> true (=> ?v_2957 (and (=> true (=> ?v_2143 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0 reqCompleted_1) ?v_3008)))) (=> true (=> ?v_2959 (and (=> true (=> ?v_2145 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0 reqCompleted_2) ?v_3008)))) (=> true (=> ?v_2961 (and (=> true (=> ?v_2147 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0 reqCompleted_3) ?v_3008)))) (=> true (=> ?v_2962 (and (=> true (=> ?v_2149 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0 reqCompleted_4) ?v_3008)))) (=> true (=> ?v_2963 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted) ?v_3008))))))))))))))))))) (let ((?v_3010 (=> true ?v_3009))) (let ((?v_3011 (and (=> true (=> ?v_2134 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0 reqCompleteSet_0) ?v_3009)))) (=> true (=> ?v_2957 (and (=> true (=> ?v_2143 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0 reqCompleteSet_1) ?v_3010)))) (=> true (=> ?v_2959 (and (=> true (=> ?v_2145 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0 reqCompleteSet_2) ?v_3010)))) (=> true (=> ?v_2961 (and (=> true (=> ?v_2147 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0 reqCompleteSet_3) ?v_3010)))) (=> true (=> ?v_2962 (and (=> true (=> ?v_2149 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0 reqCompleteSet_4) ?v_3010)))) (=> true (=> ?v_2963 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet) ?v_3010))))))))))))))))))) (let ((?v_3012 (=> true ?v_3011))) (let ((?v_3013 (and (=> true (=> ?v_2134 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0 reqCancelStarted_0) ?v_3011)))) (=> true (=> ?v_2957 (and (=> true (=> ?v_2143 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0 reqCancelStarted_1) ?v_3012)))) (=> true (=> ?v_2959 (and (=> true (=> ?v_2145 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0 reqCancelStarted_2) ?v_3012)))) (=> true (=> ?v_2961 (and (=> true (=> ?v_2147 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0 reqCancelStarted_3) ?v_3012)))) (=> true (=> ?v_2962 (and (=> true (=> ?v_2149 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0 reqCancelStarted_4) ?v_3012)))) (=> true (=> ?v_2963 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted) ?v_3012))))))))))))))))))) (let ((?v_3014 (=> true ?v_3013))) (let ((?v_3015 (and (=> true (=> ?v_2134 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0 reqCancelSet_0) ?v_3013)))) (=> true (=> ?v_2957 (and (=> true (=> ?v_2143 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0 reqCancelSet_1) ?v_3014)))) (=> true (=> ?v_2959 (and (=> true (=> ?v_2145 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0 reqCancelSet_2) ?v_3014)))) (=> true (=> ?v_2961 (and (=> true (=> ?v_2147 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0 reqCancelSet_3) ?v_3014)))) (=> true (=> ?v_2962 (and (=> true (=> ?v_2149 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0 reqCancelSet_4) ?v_3014)))) (=> true (=> ?v_2963 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet) ?v_3014))))))))))))))))))) (let ((?v_3016 (=> true ?v_3015)) (?v_2956 (=> true (and ?v_2135 (=> ?v_2135 (and ?v_2136 (=> ?v_2136 (and ?v_0 (=> ?v_0 (and ?v_2137 (=> ?v_2137 (and ?v_2138 (=> ?v_2138 (and ?v_2139 (=> ?v_2139 (and ?v_2140 (=> ?v_2140 (and ?v_2141 (=> ?v_2141 (and ?v_2142 (=> ?v_2142 (and ?v_2144 (=> ?v_2144 (and ?v_2146 (=> ?v_2146 (and ?v_2148 (=> ?v_2148 (and ?v_2150 (=> ?v_2150 (and ?v_2151 (=> ?v_2151 (and ?v_2152 (=> ?v_2152 (and ?v_2153 (=> ?v_2153 (and ?v_2154 (=> ?v_2154 (and ?v_2155 (=> ?v_2155 (and ?v_2156 (=> ?v_2156 (and ?v_2157 (=> ?v_2157 (and ?v_2158 (=> ?v_2158 (and ?v_2159 (=> ?v_2159 (and ?v_2160 (=> ?v_2160 (and ?v_2161 (=> ?v_2161 (and ?v_2162 (=> ?v_2162 (and ?v_2163 (=> ?v_2163 (and ?v_2164 (=> ?v_2164 (and ?v_2165 (=> ?v_2165 (and ?v_2166 (=> ?v_2166 (and ?v_2167 (=> ?v_2167 (and ?v_2168 (=> ?v_2168 (and ?v_2169 (=> ?v_2169 (and ?v_2170 (=> ?v_2170 (=> (forall ((?f10 Int)) (! (let ((?v_4064 (MapType0Select alloc.28 (int_2_U (Base ?f10))))) (or (= ?v_4064 UNALLOCATED) (= ?v_4064 ?v_4064))) :pattern ((MapType0Select alloc.28 (int_2_U (Base ?f10)))) )) (=> true (=> ?v_2135 (=> ?v_2136 (=> ?v_0 (=> ?v_2137 (=> ?v_2138 (=> ?v_2139 (=> ?v_2140 (=> ?v_2141 (=> ?v_2142 (=> ?v_2144 (=> ?v_2146 (=> ?v_2148 (=> ?v_2150 (=> ?v_2151 (=> ?v_2152 (=> ?v_2153 (=> ?v_2154 (=> ?v_2155 (=> ?v_2156 (=> ?v_2157 (=> ?v_2158 (=> ?v_2159 (=> ?v_2160 (=> ?v_2161 (=> ?v_2162 (=> ?v_2163 (=> ?v_2164 (=> ?v_2165 (=> ?v_2166 (=> ?v_2167 (=> ?v_2168 (=> ?v_2169 (=> ?v_2170 (=> (forall ((?f9 Int)) (! (let ((?v_4065 (MapType0Select alloc.28 (int_2_U (Base ?f9))))) (or (= ?v_4065 UNALLOCATED) (= ?v_4065 ?v_4065))) :pattern ((MapType0Select alloc.28 (int_2_U (Base ?f9)))) )) (and (=> true (=> ?v_2173 (and (=> true (=> ?v_2171 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.11 (PLUS inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.2 1 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.2)) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.12 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.4 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.2 1)) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.8 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.12) (=> (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.4 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.11) (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.13 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.12) ?v_2172)))))))))) (=> true (=> (not ?v_2171) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.10 (PLUS inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.2 1 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.4)) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.8 0) (=> (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.4 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.10) (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.13 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.10) ?v_2172))))))))))) (=> true (=> (not ?v_2173) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.0 0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..1 inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18.) (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.34 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.32) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.5 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.4) (=> (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.2) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.0 k.59) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.0 alloc.28) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..1 call40060formal.ret.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.0 errorReached.46) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0) (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.9 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.8) (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.1 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0) ?v_3005)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_2958 (and (=> true (=> ?v_2134 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0 reqSent_0) ?v_2956)))) (=> true (=> ?v_2957 (and (=> true (=> ?v_2143 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0 reqSent_1) ?v_2956)))) (=> true (=> ?v_2959 (and (=> true (=> ?v_2145 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0 reqSent_2) ?v_2956)))) (=> true (=> ?v_2961 (and (=> true (=> ?v_2147 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0 reqSent_3) ?v_2956)))) (=> true (=> ?v_2962 (and (=> true (=> ?v_2149 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0 reqSent_4) ?v_2956)))) (=> true (=> ?v_2963 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent) ?v_2956))))))))))))))))))) (let ((?v_2960 (=> true ?v_2958))) (let ((?v_2964 (and (=> true (=> ?v_2134 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0 reqCompleted_0) ?v_2958)))) (=> true (=> ?v_2957 (and (=> true (=> ?v_2143 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0 reqCompleted_1) ?v_2960)))) (=> true (=> ?v_2959 (and (=> true (=> ?v_2145 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0 reqCompleted_2) ?v_2960)))) (=> true (=> ?v_2961 (and (=> true (=> ?v_2147 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0 reqCompleted_3) ?v_2960)))) (=> true (=> ?v_2962 (and (=> true (=> ?v_2149 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0 reqCompleted_4) ?v_2960)))) (=> true (=> ?v_2963 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted) ?v_2960))))))))))))))))))) (let ((?v_2965 (=> true ?v_2964))) (let ((?v_2966 (and (=> true (=> ?v_2134 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0 reqCompleteSet_0) ?v_2964)))) (=> true (=> ?v_2957 (and (=> true (=> ?v_2143 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0 reqCompleteSet_1) ?v_2965)))) (=> true (=> ?v_2959 (and (=> true (=> ?v_2145 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0 reqCompleteSet_2) ?v_2965)))) (=> true (=> ?v_2961 (and (=> true (=> ?v_2147 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0 reqCompleteSet_3) ?v_2965)))) (=> true (=> ?v_2962 (and (=> true (=> ?v_2149 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0 reqCompleteSet_4) ?v_2965)))) (=> true (=> ?v_2963 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet) ?v_2965))))))))))))))))))) (let ((?v_2967 (=> true ?v_2966))) (let ((?v_2968 (and (=> true (=> ?v_2134 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0 reqCancelStarted_0) ?v_2966)))) (=> true (=> ?v_2957 (and (=> true (=> ?v_2143 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0 reqCancelStarted_1) ?v_2967)))) (=> true (=> ?v_2959 (and (=> true (=> ?v_2145 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0 reqCancelStarted_2) ?v_2967)))) (=> true (=> ?v_2961 (and (=> true (=> ?v_2147 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0 reqCancelStarted_3) ?v_2967)))) (=> true (=> ?v_2962 (and (=> true (=> ?v_2149 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0 reqCancelStarted_4) ?v_2967)))) (=> true (=> ?v_2963 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted) ?v_2967))))))))))))))))))) (let ((?v_2969 (=> true ?v_2968))) (let ((?v_2970 (and (=> true (=> ?v_2134 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0 reqCancelSet_0) ?v_2968)))) (=> true (=> ?v_2957 (and (=> true (=> ?v_2143 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0 reqCancelSet_1) ?v_2969)))) (=> true (=> ?v_2959 (and (=> true (=> ?v_2145 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0 reqCancelSet_2) ?v_2969)))) (=> true (=> ?v_2961 (and (=> true (=> ?v_2147 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0 reqCancelSet_3) ?v_2969)))) (=> true (=> ?v_2962 (and (=> true (=> ?v_2149 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0 reqCancelSet_4) ?v_2969)))) (=> true (=> ?v_2963 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet) ?v_2969))))))))))))))))))) (let ((?v_2971 (=> true ?v_2970))) (let ((?v_3017 (=> true (=> (forall ((?r Int)) (! (= (or (not (= (BIT_BAND inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.0 ?r) 0)) (not (= (BIT_BAND 4 ?r) 0))) (not (= (BIT_BAND (BIT_BOR inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.0 4) ?r) 0))) :pattern ((BIT_BAND (BIT_BOR inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.0 4) ?r)) )) (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.2 (BIT_BOR inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.1 4)) (and (=> true (=> (not (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.26 0)) (and (=> true (=> ?v_2134 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0 lockStatus_0.0) ?v_2970)))) (=> true (=> ?v_2957 (and (=> true (=> ?v_2143 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0 lockStatus_1.0) ?v_2971)))) (=> true (=> ?v_2959 (and (=> true (=> ?v_2145 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0 lockStatus_2.0) ?v_2971)))) (=> true (=> ?v_2961 (and (=> true (=> ?v_2147 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0 lockStatus_3.0) ?v_2971)))) (=> true (=> ?v_2962 (and (=> true (=> ?v_2149 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0 lockStatus_4.0) ?v_2971)))) (=> true (=> ?v_2963 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus) ?v_2971))))))))))))))))))) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.25 0) (and (=> true (=> ?v_2134 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0 lockStatus_0.0) ?v_3015)))) (=> true (=> ?v_2957 (and (=> true (=> ?v_2143 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0 lockStatus_1.0) ?v_3016)))) (=> true (=> ?v_2959 (and (=> true (=> ?v_2145 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0 lockStatus_2.0) ?v_3016)))) (=> true (=> ?v_2961 (and (=> true (=> ?v_2147 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0 lockStatus_3.0) ?v_3016)))) (=> true (=> ?v_2962 (and (=> true (=> ?v_2149 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0 lockStatus_4.0) ?v_3016)))) (=> true (=> ?v_2963 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.0 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus) ?v_3016))))))))))))))))))))))))) (let ((?v_3041 (and (=> true (=> (not ?v_2133) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.0 (PLUS call38264formal.ret.0 1 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.1)) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.1 (MINUS_BOTH_PTR_OR_BOTH_INT myNondetVar_0.0 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.1 1)) (and (=> true (=> (not (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.13 0)) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.17 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.14) ?v_3017)))) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.15 0) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.17 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.16) (=> true (=> true ?v_3017))))))))))))) (=> true (=> ?v_2133 (=> true (=> (<= k.59 k.61) (=> (< k.61 5) (and (=> true (=> ?v_3033 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.13 ?v_2174) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.16 inline.PerformFullSpeedIsochTransfer.0.myVar_0.13) ?v_3034))))) (=> true (=> (not ?v_3033) (and (=> true (=> ?v_3035 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.11 ?v_2890) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.16 inline.PerformFullSpeedIsochTransfer.0.myVar_0.11) ?v_3036))))) (=> true (=> (not ?v_3035) (and (=> true (=> ?v_3037 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.10 ?v_2893) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.16 inline.PerformFullSpeedIsochTransfer.0.myVar_0.10) ?v_3036))))) (=> true (=> (not ?v_3037) (and (=> true (=> ?v_3038 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.12 ?v_2896) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.16 inline.PerformFullSpeedIsochTransfer.0.myVar_0.12) ?v_3036))))) (=> true (=> (not ?v_3038) (and (=> true (=> ?v_3039 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.15 ?v_2898) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.16 inline.PerformFullSpeedIsochTransfer.0.myVar_0.15) ?v_3036))))) (=> true (=> (not ?v_3039) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.16 inline.PerformFullSpeedIsochTransfer.0.myVar_0.5) ?v_3036)))))))))))))))))))))))) (?v_3040 (= call39008formal.ret.0 0))) (let ((?v_3086 (and (=> true (=> ?v_3042 (and (=> true (=> (not ?v_3040) (=> true (=> ?v_2133 ?v_3041)))) (=> true (=> ?v_3040 (=> true (=> (= inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..0 notused_4wdmobject1) (=> true (=> true (=> true (=> true (=> true ?v_3041)))))))))))) (=> true (=> (not ?v_3042) (=> true (=> (<= k.59 k.60) (=> (< k.60 5) (and (=> true (=> ?v_3078 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.6 ?v_2174) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.17 inline.PerformFullSpeedIsochTransfer.0.myVar_0.6) ?v_3079))))) (=> true (=> (not ?v_3078) (and (=> true (=> ?v_3080 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.8 ?v_2890) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.17 inline.PerformFullSpeedIsochTransfer.0.myVar_0.8) ?v_3081))))) (=> true (=> (not ?v_3080) (and (=> true (=> ?v_3082 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.14 ?v_2893) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.17 inline.PerformFullSpeedIsochTransfer.0.myVar_0.14) ?v_3081))))) (=> true (=> (not ?v_3082) (and (=> true (=> ?v_3083 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.9 ?v_2896) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.17 inline.PerformFullSpeedIsochTransfer.0.myVar_0.9) ?v_3081))))) (=> true (=> (not ?v_3083) (and (=> true (=> ?v_3084 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.7 ?v_2898) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.17 inline.PerformFullSpeedIsochTransfer.0.myVar_0.7) ?v_3081))))) (=> true (=> (not ?v_3084) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.17 inline.PerformFullSpeedIsochTransfer.0.myVar_0.5) ?v_3081)))))))))))))))))))))))) (?v_3085 (= call38832formal.ret.0 0))) (let ((?v_3088 (=> true (=> (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_3086))) (?v_3087 (= call38832formal.ret.0 1))) (let ((?v_3096 (and (=> true (=> (not ?v_3085) (=> (not ?v_3087) ?v_3088))) (=> true (=> ?v_3085 (=> true (=> (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..0 ?v_87) (=> true (=> (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3086))))))))))))))) (=> true (=> ?v_3087 (=> true ?v_3088))))) (?v_3098 (= errorReached.46 errorReached.44)) (?v_3099 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2.))) (let ((?v_3100 (=> (= k.59 k.57) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3096))))))))))))))))))))))))))))) (?v_3102 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.5 hdevice)) (?v_3101 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.5 hqueue)) (?v_3097 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.5 htimer)) (?v_3095 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.5 hrequest)) (?v_3094 (=> true (=> (= errorReached.46 errorReached.45) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..0 call38643formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.59 k.58) ?v_3096)))))) (?v_3089 (= k.58 0)) (?v_3090 (= k.58 1)) (?v_3091 (= k.58 2)) (?v_3092 (= k.58 3)) (?v_3093 (= k.58 4))) (let ((?v_3104 (and (=> true (=> ?v_3095 (=> true (=> (<= k.57 k.58) (=> (< k.58 5) (and (=> true (=> (=> ?v_3089 ?v_12) (=> (=> ?v_3090 ?v_13) (=> (=> ?v_3091 ?v_14) (=> (=> ?v_3092 ?v_15) (=> (=> ?v_3093 ?v_16) (=> true (=> (= errorReached.45 1) ?v_3094)))))))) (=> true (=> (=> ?v_3089 ?v_7) (=> (=> ?v_3090 ?v_8) (=> (=> ?v_3091 ?v_9) (=> (=> ?v_3092 ?v_10) (=> (=> ?v_3093 ?v_11) (=> true (=> (= errorReached.45 errorReached.44) (=> true ?v_3094))))))))))))))) (=> true (=> (not ?v_3095) (and (=> true (=> ?v_3097 (=> true (=> ?v_3098 (=> ?v_3099 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3100)))))) (=> true (=> (not ?v_3097) (and (=> true (=> ?v_3101 (=> true (=> ?v_3098 (=> ?v_3099 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3100)))))) (=> true (=> (not ?v_3101) (and (=> true (=> ?v_3102 (=> true (=> ?v_3098 (=> ?v_3099 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3100)))))) (=> true (=> (not ?v_3102) (=> true (=> ?v_3098 (=> ?v_3099 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3100)))))))))))))))))) (let ((?v_3106 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3104)))))))) (?v_3109 (= k.57 4)) (?v_3108 (= k.57 3)) (?v_3107 (= k.57 2)) (?v_3105 (= k.57 1)) (?v_3103 (= k.57 0))) (let ((?v_3119 (and (=> true (=> ?v_3110 (=> true (=> (<= k.56 k.57) (=> (< k.57 5) (and (=> true (=> ?v_3103 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.3 ?v_2174) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.5 inline.PerformFullSpeedIsochTransfer.0.myVar_0.3) ?v_3104))))) (=> true (=> (not ?v_3103) (and (=> true (=> ?v_3105 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.0 ?v_2890) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.5 inline.PerformFullSpeedIsochTransfer.0.myVar_0.0) ?v_3106))))) (=> true (=> (not ?v_3105) (and (=> true (=> ?v_3107 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.1 ?v_2893) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.5 inline.PerformFullSpeedIsochTransfer.0.myVar_0.1) ?v_3106))))) (=> true (=> (not ?v_3107) (and (=> true (=> ?v_3108 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.2 ?v_2896) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.5 inline.PerformFullSpeedIsochTransfer.0.myVar_0.2) ?v_3106))))) (=> true (=> (not ?v_3108) (and (=> true (=> ?v_3109 (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.4 ?v_2898) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.5 inline.PerformFullSpeedIsochTransfer.0.myVar_0.4) ?v_3106))))) (=> true (=> (not ?v_3109) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.5 inline.PerformFullSpeedIsochTransfer.0.myVar_0) ?v_3106)))))))))))))))))))))) (=> true (=> (not ?v_3110) (=> true (=> ?v_3138 (=> ?v_3139 (=> ?v_2927 (=> ?v_2857 (=> ?v_3043 (=> ?v_2858 (=> ?v_2590 (=> ?v_3018 (=> ?v_3044 (=> ?v_2741 (=> ?v_2859 (=> ?v_2593 (=> ?v_2743 (=> ?v_3045 (=> ?v_2595 (=> ?v_2596 (=> ?v_3140 (=> ?v_2598 (=> ?v_2744 (=> ?v_2599 (=> ?v_3046 (=> ?v_2601 (=> ?v_3047 (=> ?v_2860 (=> ?v_3141 (=> ?v_2861 (=> ?v_3048 (=> ?v_2928 (=> ?v_2862 (=> ?v_2863 (=> ?v_3142 (=> ?v_2606 (=> ?v_2607 (=> ?v_3111 (=> ?v_2929 (=> ?v_2749 (=> ?v_3049 (=> ?v_3050 (=> ?v_3019 (=> ?v_2613 (=> ?v_2864 (=> ?v_2614 (=> ?v_3051 (=> ?v_3052 (=> ?v_2617 (=> ?v_2618 (=> ?v_3112 (=> ?v_2930 (=> ?v_2621 (=> ?v_2931 (=> ?v_2932 (=> ?v_2624 (=> ?v_3020 (=> ?v_2626 (=> ?v_2933 (=> ?v_3053 (=> ?v_2629 (=> ?v_3054 (=> ?v_3055 (=> ?v_2632 (=> ?v_2633 (=> ?v_3021 (=> ?v_3143 (=> ?v_2636 (=> ?v_3022 (=> ?v_2638 (=> ?v_2639 (=> ?v_3113 (=> (= errorReached.57 errorReached.44) (=> ?v_2641 (=> ?v_3056 (=> ?v_2643 (=> ?v_2865 (=> ?v_3057 (=> ?v_2866 (=> ?v_2934 (=> ?v_3058 (=> ?v_2867 (=> ?v_2647 (=> ?v_3024 (=> ?v_3144 (=> ?v_3059 (=> ?v_3025 (=> ?v_2935 (=> ?v_3060 (=> ?v_2654 (=> ?v_2655 (=> ?v_3145 (=> ?v_2657 (=> ?v_2658 (=> ?v_3061 (=> ?v_3146 (=> ?v_2936 (=> ?v_2937 (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_3062 (=> ?v_3063 (=> ?v_3026 (=> ?v_3027 (=> ?v_2868 (=> ?v_2869 (=> ?v_2671 (=> ?v_2672 (=> ?v_3114 (=> ?v_2756 (=> ?v_2870 (=> ?v_2674 (=> ?v_2675 (=> ?v_2871 (=> ?v_2872 (=> ?v_2676 (=> ?v_3028 (=> ?v_3115 (=> ?v_2678 (=> ?v_2679 (=> ?v_2680 (=> ?v_3147 (=> ?v_2682 (=> ?v_2938 (=> ?v_2684 (=> ?v_2685 (=> ?v_2686 (=> ?v_2687 (=> ?v_2688 (=> ?v_3064 (=> ?v_2874 (=> ?v_3065 (=> ?v_2939 (=> ?v_3066 (=> ?v_2693 (=> (= k.83 k.56) (=> ?v_3148 (=> ?v_3067 (=> ?v_3068 (=> ?v_3029 (=> ?v_2940 (=> ?v_2699 (=> ?v_2700 (=> ?v_3149 (=> ?v_3150 (=> ?v_2703 (=> ?v_3069 (=> ?v_3070 (=> ?v_2706 (=> ?v_3151 (=> ?v_2708 (=> ?v_2709 (=> ?v_3030 (=> ?v_3152 (=> ?v_2875 (=> ?v_2712 (=> ?v_2713 (=> ?v_3071 (=> ?v_2763 (=> ?v_3072 (=> ?v_2876 (=> ?v_2716 (=> ?v_3073 (=> ?v_3116 (=> ?v_2719 (=> ?v_2877 (=> ?v_2720 (=> ?v_3074 (=> ?v_3075 (=> ?v_2723 (=> ?v_2724 (=> ?v_2725 (=> ?v_3153 (=> ?v_3076 (=> ?v_2728 (=> ?v_3154 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..1) ?v_3155)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3118 (= call38431formal.ret.0 0))) (let ((?v_3121 (=> true (=> (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_3119))) (?v_3120 (= call38431formal.ret.0 1))) (let ((?v_3126 (and (=> true (=> (not ?v_3118) (=> (not ?v_3120) ?v_3121))) (=> true (=> ?v_3118 (=> true (=> (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..0 ?v_87) (=> true (=> (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3119))))))))))))))) (=> true (=> ?v_3120 (=> true ?v_3121)))))) (let ((?v_3134 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3126))))))))) (?v_3128 (= Mem_1_T.PWDFREQUEST__.3 Mem_1_T.PWDFREQUEST__.1)) (?v_3123 (= Mem_2_T.PWDFREQUEST__.3 Mem_2_T.PWDFREQUEST__.1)) (?v_3131 (= Mem_0_T.PWDFREQUEST__.3 Mem_0_T.PWDFREQUEST__.1)) (?v_3124 (= Mem_3_T.PWDFREQUEST__.3 Mem_3_T.PWDFREQUEST__.1)) (?v_3125 (= Mem_4_T.PWDFREQUEST__.3 Mem_4_T.PWDFREQUEST__.1))) (let ((?v_3132 (=> ?v_3125 ?v_3134))) (let ((?v_3129 (=> ?v_3131 (=> ?v_3124 ?v_3132)))) (let ((?v_3136 (=> ?v_3123 ?v_3129)) (?v_3135 (= k.56 4)) (?v_3133 (= k.56 3)) (?v_3130 (= k.56 2)) (?v_3127 (= k.56 1)) (?v_3122 (= k.56 0))) (let ((?v_3168 (=> true (=> (<= k.55 k.56) (=> (< k.56 5) (and (=> true (=> ?v_3122 (=> (= Mem_0_T.PWDFREQUEST__.2 (MapType0Store Mem_0_T.PWDFREQUEST__.1 ?v_2127 ?v_1924)) (=> true (=> ?v_3128 (=> ?v_3123 (=> (= Mem_0_T.PWDFREQUEST__.3 Mem_0_T.PWDFREQUEST__.2) (=> ?v_3124 (=> ?v_3125 ?v_3126))))))))) (=> true (=> (not ?v_3122) (and (=> true (=> ?v_3127 (=> (= Mem_1_T.PWDFREQUEST__.2 (MapType0Store Mem_1_T.PWDFREQUEST__.1 ?v_2127 ?v_1924)) (=> true (=> (= Mem_1_T.PWDFREQUEST__.3 Mem_1_T.PWDFREQUEST__.2) ?v_3136))))) (=> true (=> (not ?v_3127) (and (=> true (=> ?v_3130 (=> (= Mem_2_T.PWDFREQUEST__.2 (MapType0Store Mem_2_T.PWDFREQUEST__.1 ?v_2127 ?v_1924)) (=> true (=> ?v_3128 (=> (= Mem_2_T.PWDFREQUEST__.3 Mem_2_T.PWDFREQUEST__.2) ?v_3129)))))) (=> true (=> (not ?v_3130) (and (=> true (=> ?v_3133 (=> (= Mem_3_T.PWDFREQUEST__.2 (MapType0Store Mem_3_T.PWDFREQUEST__.1 ?v_2127 ?v_1924)) (=> true (=> ?v_3128 (=> ?v_3123 (=> ?v_3131 (=> (= Mem_3_T.PWDFREQUEST__.3 Mem_3_T.PWDFREQUEST__.2) ?v_3132)))))))) (=> true (=> (not ?v_3133) (and (=> true (=> ?v_3135 (=> (= Mem_4_T.PWDFREQUEST__.2 (MapType0Store Mem_4_T.PWDFREQUEST__.1 ?v_2127 ?v_1924)) (=> true (=> ?v_3128 (=> ?v_3123 (=> ?v_3131 (=> ?v_3124 (=> (= Mem_4_T.PWDFREQUEST__.3 Mem_4_T.PWDFREQUEST__.2) ?v_3134))))))))) (=> true (=> (not ?v_3135) (=> true (=> ?v_3128 ?v_3136)))))))))))))))))))))) (let ((?v_3190 (and (=> true (=> ?v_3169 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3.) (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..0 call37937formal.ret.0) (=> (= errorReached.44 errorReached.42) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.2) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= k.55 k.52) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 call37937formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3168)))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_3169) (=> true (=> ?v_3138 (=> ?v_3139 (=> ?v_2927 (=> ?v_2857 (=> ?v_3043 (=> ?v_2858 (=> ?v_2590 (=> ?v_3018 (=> ?v_3044 (=> ?v_2741 (=> ?v_2859 (=> ?v_2593 (=> ?v_2743 (=> ?v_3045 (=> ?v_2595 (=> ?v_3170 (=> ?v_3140 (=> ?v_2598 (=> ?v_2744 (=> ?v_3171 (=> ?v_3046 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.2) (=> ?v_3047 (=> ?v_3172 (=> ?v_3141 (=> ?v_2861 (=> ?v_3048 (=> ?v_2928 (=> ?v_2862 (=> ?v_3173 (=> ?v_3142 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_2607 (=> ?v_3111 (=> ?v_2929 (=> ?v_2749 (=> ?v_3049 (=> ?v_3050 (=> ?v_3019 (=> ?v_2613 (=> ?v_2864 (=> ?v_2614 (=> ?v_3051 (=> ?v_3052 (=> ?v_2617 (=> ?v_2618 (=> ?v_3112 (=> ?v_2930 (=> ?v_2621 (=> ?v_2931 (=> ?v_2932 (=> ?v_3174 (=> ?v_3020 (=> ?v_2626 (=> ?v_2933 (=> ?v_3053 (=> ?v_3175 (=> ?v_3054 (=> ?v_3055 (=> ?v_2632 (=> ?v_2633 (=> ?v_3021 (=> ?v_3143 (=> ?v_3224 (=> ?v_3022 (=> ?v_2638 (=> ?v_2639 (=> ?v_3113 (=> (= errorReached.57 errorReached.42) (=> ?v_3176 (=> ?v_3056 (=> ?v_2643 (=> ?v_3177 (=> ?v_3057 (=> ?v_2866 (=> ?v_2934 (=> ?v_3058 (=> ?v_2867 (=> ?v_2647 (=> ?v_3024 (=> ?v_3144 (=> ?v_3059 (=> ?v_3025 (=> ?v_2935 (=> ?v_3060 (=> ?v_2654 (=> ?v_3178 (=> ?v_3145 (=> ?v_2657 (=> ?v_3225 (=> ?v_3061 (=> ?v_3146 (=> ?v_2936 (=> ?v_2937 (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_3179 (=> ?v_3063 (=> ?v_3026 (=> ?v_3027 (=> ?v_2868 (=> ?v_2869 (=> ?v_3180 (=> ?v_2672 (=> ?v_3114 (=> ?v_2756 (=> ?v_3181 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..0) (=> ?v_2675 (=> ?v_2871 (=> ?v_2872 (=> ?v_3182 (=> ?v_3028 (=> ?v_3183 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..1 call37937formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 call37937formal.ret.0) (=> ?v_3184 (=> ?v_3147 (=> ?v_3185 (=> ?v_2938 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 hrequest) (=> ?v_2685 (=> ?v_2686 (=> ?v_3230 (=> ?v_2688 (=> ?v_3064 (=> ?v_2874 (=> ?v_3065 (=> ?v_2939 (=> ?v_3066 (=> ?v_2693 (=> (= k.83 k.52) (=> ?v_3148 (=> ?v_3067 (=> ?v_3068 (=> ?v_3029 (=> ?v_2940 (=> ?v_3186 (=> ?v_2700 (=> ?v_3149 (=> ?v_3150 (=> ?v_3231 (=> ?v_3069 (=> ?v_3070 (=> ?v_2706 (=> ?v_3151 (=> ?v_2708 (=> ?v_2709 (=> ?v_3030 (=> ?v_3152 (=> ?v_3187 (=> ?v_3232 (=> ?v_3233 (=> ?v_3071 (=> ?v_2763 (=> ?v_3072 (=> ?v_2876 (=> ?v_3188 (=> ?v_3073 (=> ?v_3116 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 hrequest) (=> ?v_2877 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_3074 (=> ?v_3075 (=> ?v_3236 (=> ?v_3237 (=> ?v_2725 (=> ?v_3153 (=> ?v_3076 (=> ?v_2728 (=> ?v_3154 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) ?v_3155)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3189 (= call37937formal.ret.0 0))) (let ((?v_3198 (and (=> true (=> (not ?v_3189) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 ?v_87) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0) ?v_3190))))))) (=> true (=> ?v_3189 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_3190))))))))))))) (let ((?v_3199 (=> (= errorReached.42 errorReached.41) (=> true (=> true (=> true ?v_3198))))) (?v_3196 (= k.52 k.51)) (?v_3197 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..0 call37940formal.ret.0)) (?v_3191 (= k.51 0)) (?v_3192 (= k.51 1)) (?v_3193 (= k.51 2)) (?v_3194 (= k.51 3)) (?v_3195 (= k.51 4)) (?v_595 (= 4 3))) (let ((?v_781 (not ?v_595)) (?v_3157 (and (=> true (=> ?v_3137 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..0 call38101formal.ret.0) (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3.) (=> (= errorReached.44 errorReached.43) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0) (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.) (=> (= k.55 k.54) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 call38101formal.ret.0) ?v_3168)))))))))))))))))))))) (=> true (=> (not ?v_3137) (=> true (=> ?v_3138 (=> ?v_3139 (=> ?v_2927 (=> ?v_2857 (=> ?v_3043 (=> ?v_2858 (=> ?v_2590 (=> ?v_3018 (=> ?v_3044 (=> ?v_2741 (=> ?v_2859 (=> ?v_2593 (=> ?v_2743 (=> ?v_3045 (=> ?v_2595 (=> ?v_3170 (=> ?v_3140 (=> ?v_2598 (=> ?v_2744 (=> ?v_3171 (=> ?v_3046 (=> ?v_3222 (=> ?v_3047 (=> ?v_3172 (=> ?v_3141 (=> ?v_2861 (=> ?v_3048 (=> ?v_2928 (=> ?v_2862 (=> ?v_3173 (=> ?v_3142 (=> ?v_3223 (=> ?v_2607 (=> ?v_3111 (=> ?v_2929 (=> ?v_2749 (=> ?v_3049 (=> ?v_3050 (=> ?v_3019 (=> ?v_2613 (=> ?v_2864 (=> ?v_2614 (=> ?v_3051 (=> ?v_3052 (=> ?v_2617 (=> ?v_2618 (=> ?v_3112 (=> ?v_2930 (=> ?v_2621 (=> ?v_2931 (=> ?v_2932 (=> ?v_3174 (=> ?v_3020 (=> ?v_2626 (=> ?v_2933 (=> ?v_3053 (=> ?v_3175 (=> ?v_3054 (=> ?v_3055 (=> ?v_2632 (=> ?v_2633 (=> ?v_3021 (=> ?v_3143 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_3022 (=> ?v_2638 (=> ?v_2639 (=> ?v_3113 (=> (= errorReached.57 errorReached.43) (=> ?v_3176 (=> ?v_3056 (=> ?v_2643 (=> ?v_3177 (=> ?v_3057 (=> ?v_2866 (=> ?v_2934 (=> ?v_3058 (=> ?v_2867 (=> ?v_2647 (=> ?v_3024 (=> ?v_3144 (=> ?v_3059 (=> ?v_3025 (=> ?v_2935 (=> ?v_3060 (=> ?v_2654 (=> ?v_3178 (=> ?v_3145 (=> ?v_2657 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 hrequest) (=> ?v_3061 (=> ?v_3146 (=> ?v_2936 (=> ?v_2937 (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_2666 (=> ?v_3179 (=> ?v_3063 (=> ?v_3026 (=> ?v_3027 (=> ?v_2868 (=> ?v_2869 (=> ?v_3180 (=> ?v_2672 (=> ?v_3114 (=> ?v_2756 (=> ?v_3181 (=> ?v_3226 (=> ?v_2675 (=> ?v_2871 (=> ?v_2872 (=> ?v_3182 (=> ?v_3028 (=> ?v_3183 (=> ?v_3227 (=> ?v_3228 (=> ?v_3184 (=> ?v_3147 (=> ?v_3185 (=> ?v_2938 (=> ?v_3229 (=> ?v_2685 (=> ?v_2686 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 call38101formal.ret.0) (=> ?v_2688 (=> ?v_3064 (=> ?v_2874 (=> ?v_3065 (=> ?v_2939 (=> ?v_3066 (=> ?v_2693 (=> (= k.83 k.54) (=> ?v_3148 (=> ?v_3067 (=> ?v_3068 (=> ?v_3029 (=> ?v_2940 (=> ?v_3186 (=> ?v_2700 (=> ?v_3149 (=> ?v_3150 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 hrequest) (=> ?v_3069 (=> ?v_3070 (=> ?v_2706 (=> ?v_3151 (=> ?v_2708 (=> ?v_2709 (=> ?v_3030 (=> ?v_3152 (=> ?v_3187 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..1 call38101formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.2) (=> ?v_3071 (=> ?v_2763 (=> ?v_3072 (=> ?v_2876 (=> ?v_3188 (=> ?v_3073 (=> ?v_3116 (=> ?v_3234 (=> ?v_2877 (=> ?v_3235 (=> ?v_3074 (=> ?v_3075 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..0) (=> ?v_2725 (=> ?v_3153 (=> ?v_3076 (=> ?v_2728 (=> ?v_3154 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) ?v_3155)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3156 (= call38101formal.ret.0 0))) (let ((?v_3165 (and (=> true (=> (not ?v_3156) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 ?v_87) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0) ?v_3157))))))) (=> true (=> ?v_3156 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_3157))))))))))))) (let ((?v_3167 (=> true (=> true (=> true ?v_3165)))) (?v_3166 (= errorReached.43 errorReached.41)) (?v_3163 (= k.54 k.53)) (?v_3164 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..0 call38104formal.ret.0)) (?v_3158 (= k.53 0)) (?v_3159 (= k.53 1)) (?v_3160 (= k.53 2)) (?v_3161 (= k.53 3)) (?v_3162 (= k.53 4))) (let ((?v_3201 (and (=> true (=> ?v_595 (and (=> true (=> ?v_33 (=> true (=> (<= k.50 k.53) (=> (< k.53 5) (and (=> true (=> (=> ?v_3158 ?v_12) (=> (=> ?v_3159 ?v_13) (=> (=> ?v_3160 ?v_14) (=> (=> ?v_3161 ?v_15) (=> (=> ?v_3162 ?v_16) (=> true (=> ?v_3163 (=> (= errorReached.43 1) (=> ?v_3164 ?v_3165)))))))))) (=> true (=> (=> ?v_3158 ?v_7) (=> (=> ?v_3159 ?v_8) (=> (=> ?v_3160 ?v_9) (=> (=> ?v_3161 ?v_10) (=> (=> ?v_3162 ?v_11) (=> true (=> ?v_3163 (=> ?v_3166 (=> ?v_3164 ?v_3167)))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= k.54 k.50) (=> ?v_3166 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2.) ?v_3167))))))))) (=> true (=> ?v_781 (and (=> true (=> ?v_33 (=> true (=> (<= k.50 k.51) (=> (< k.51 5) (and (=> true (=> (=> ?v_3191 ?v_12) (=> (=> ?v_3192 ?v_13) (=> (=> ?v_3193 ?v_14) (=> (=> ?v_3194 ?v_15) (=> (=> ?v_3195 ?v_16) (=> true (=> ?v_3196 (=> ?v_3197 (=> (= errorReached.42 1) ?v_3198)))))))))) (=> true (=> (=> ?v_3191 ?v_7) (=> (=> ?v_3192 ?v_8) (=> (=> ?v_3193 ?v_9) (=> (=> ?v_3194 ?v_10) (=> (=> ?v_3195 ?v_11) (=> true (=> ?v_3196 (=> ?v_3197 ?v_3199))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= k.52 k.50) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2.) ?v_3199)))))))))) (?v_3200 (< ?v_2132 myNondetVar_0.0))) (let ((?v_3208 (and (=> true (=> ?v_3200 (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.0 ?v_2132) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.0) ?v_3201)))))) (=> true (=> (not ?v_3200) (=> true (=> (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.1 myNondetVar_0.0) (=> true (=> true (=> true (=> true ?v_3201)))))))))) (?v_3209 (= k.50 k.48))) (let ((?v_3210 (=> (= errorReached.41 errorReached.39) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3208)))))))))))))))))))))))))))))))))) (?v_809 (= notused_4hfileobj hdevice))) (let ((?v_2027 (not ?v_809)) (?v_808 (= notused_4hfileobj hqueue))) (let ((?v_2026 (not ?v_808)) (?v_805 (= notused_4hfileobj htimer))) (let ((?v_2021 (not ?v_805)) (?v_593 (= notused_4hfileobj hrequest))) (let ((?v_2019 (not ?v_593)) (?v_3207 (=> true (=> (= k.50 k.49) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.41 errorReached.40) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..0 call37670formal.ret.0) ?v_3208)))))) (?v_3202 (= k.49 0)) (?v_3203 (= k.49 1)) (?v_3204 (= k.49 2)) (?v_3205 (= k.49 3)) (?v_3206 (= k.49 4))) (let ((?v_3218 (and (=> true (=> ?v_593 (=> true (=> (<= k.48 k.49) (=> (< k.49 5) (and (=> true (=> (=> ?v_3202 ?v_12) (=> (=> ?v_3203 ?v_13) (=> (=> ?v_3204 ?v_14) (=> (=> ?v_3205 ?v_15) (=> (=> ?v_3206 ?v_16) (=> true (=> (= errorReached.40 1) ?v_3207)))))))) (=> true (=> (=> ?v_3202 ?v_7) (=> (=> ?v_3203 ?v_8) (=> (=> ?v_3204 ?v_9) (=> (=> ?v_3205 ?v_10) (=> (=> ?v_3206 ?v_11) (=> true (=> (= errorReached.40 errorReached.39) (=> true ?v_3207))))))))))))))) (=> true (=> ?v_2019 (and (=> true (=> ?v_805 (=> true (=> ?v_3209 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3210))))) (=> true (=> ?v_2021 (and (=> true (=> ?v_808 (=> true (=> ?v_3209 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3210))))) (=> true (=> ?v_2026 (and (=> true (=> ?v_809 (=> true (=> ?v_3209 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3210))))) (=> true (=> ?v_2027 (=> true (=> ?v_3209 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3210))))))))))))))))) (let ((?v_3220 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3218)))))))))))) (?v_3219 (= errorReached.39 errorReached.38)) (?v_3216 (= k.48 k.47)) (?v_3217 (= inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2..0 call37517formal.ret.0)) (?v_3211 (= k.47 0)) (?v_3212 (= k.47 1)) (?v_3213 (= k.47 2)) (?v_3214 (= k.47 3)) (?v_3215 (= k.47 4))) (let ((?v_3239 (and (=> true (=> ?v_3221 (and (=> true (=> ?v_33 (=> true (=> (<= k.46 k.47) (=> (< k.47 5) (and (=> true (=> (=> ?v_3211 ?v_12) (=> (=> ?v_3212 ?v_13) (=> (=> ?v_3213 ?v_14) (=> (=> ?v_3214 ?v_15) (=> (=> ?v_3215 ?v_16) (=> true (=> ?v_3216 (=> (= errorReached.39 1) (=> ?v_3217 ?v_3218)))))))))) (=> true (=> (=> ?v_3211 ?v_7) (=> (=> ?v_3212 ?v_8) (=> (=> ?v_3213 ?v_9) (=> (=> ?v_3214 ?v_10) (=> (=> ?v_3215 ?v_11) (=> true (=> ?v_3216 (=> ?v_3219 (=> ?v_3217 ?v_3220)))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= k.48 k.46) (=> ?v_3219 (=> (= inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2..0 inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2.) ?v_3220))))))))) (=> true (=> (not ?v_3221) (=> true (=> ?v_3138 (=> ?v_3139 (=> ?v_2927 (=> ?v_2857 (=> ?v_3043 (=> ?v_2858 (=> ?v_2590 (=> ?v_3018 (=> ?v_3044 (=> ?v_2741 (=> ?v_2859 (=> ?v_3258 (=> ?v_2743 (=> ?v_3045 (=> ?v_2595 (=> ?v_3170 (=> ?v_3140 (=> ?v_2598 (=> ?v_2744 (=> ?v_3171 (=> ?v_3046 (=> ?v_3222 (=> ?v_3047 (=> ?v_3172 (=> ?v_3141 (=> ?v_2861 (=> ?v_3048 (=> ?v_2928 (=> ?v_2862 (=> ?v_3173 (=> ?v_3142 (=> ?v_3223 (=> ?v_3259 (=> ?v_3111 (=> ?v_2929 (=> ?v_2749 (=> ?v_3049 (=> ?v_3050 (=> ?v_3019 (=> ?v_3260 (=> ?v_2864 (=> ?v_2614 (=> ?v_3051 (=> ?v_3052 (=> ?v_2617 (=> ?v_3261 (=> ?v_3112 (=> ?v_2930 (=> ?v_3262 (=> ?v_2931 (=> ?v_2932 (=> ?v_3174 (=> ?v_3020 (=> ?v_2626 (=> ?v_2933 (=> ?v_3053 (=> ?v_3175 (=> ?v_3263 (=> ?v_3055 (=> ?v_2632 (=> ?v_3264 (=> ?v_3021 (=> ?v_3143 (=> ?v_3224 (=> ?v_3022 (=> ?v_3265 (=> ?v_2639 (=> ?v_3113 (=> ?v_3266 (=> ?v_3176 (=> ?v_3056 (=> ?v_2643 (=> ?v_3177 (=> ?v_3057 (=> ?v_2866 (=> ?v_2934 (=> ?v_3058 (=> ?v_2867 (=> ?v_2647 (=> ?v_3024 (=> ?v_3144 (=> ?v_3059 (=> ?v_3025 (=> ?v_2935 (=> ?v_3060 (=> ?v_3267 (=> ?v_3178 (=> ?v_3145 (=> ?v_3268 (=> ?v_3225 (=> ?v_3061 (=> ?v_3146 (=> ?v_2936 (=> ?v_2937 (=> ?v_2663 (=> ?v_2664 (=> ?v_2665 (=> ?v_3269 (=> ?v_3179 (=> ?v_3063 (=> ?v_3026 (=> ?v_3027 (=> ?v_2868 (=> ?v_2869 (=> ?v_3180 (=> ?v_2672 (=> ?v_3114 (=> ?v_2756 (=> ?v_3181 (=> ?v_3226 (=> ?v_3270 (=> ?v_2871 (=> ?v_2872 (=> ?v_3182 (=> ?v_3028 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.38 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.0) (=> ?v_3227 (=> ?v_3228 (=> ?v_3184 (=> ?v_3147 (=> ?v_3185 (=> ?v_2938 (=> ?v_3229 (=> ?v_2685 (=> ?v_3271 (=> ?v_3230 (=> ?v_3272 (=> ?v_3064 (=> ?v_2874 (=> ?v_3065 (=> ?v_2939 (=> ?v_3066 (=> ?v_2693 (=> (= k.83 k.46) (=> ?v_3148 (=> ?v_3067 (=> ?v_3068 (=> ?v_3029 (=> ?v_2940 (=> ?v_3186 (=> ?v_2700 (=> ?v_3149 (=> ?v_3150 (=> ?v_3231 (=> ?v_3069 (=> ?v_3070 (=> ?v_2706 (=> ?v_3151 (=> ?v_2708 (=> ?v_2709 (=> ?v_3030 (=> ?v_3152 (=> ?v_3187 (=> ?v_3232 (=> ?v_3233 (=> ?v_3071 (=> ?v_2763 (=> ?v_3072 (=> ?v_2876 (=> ?v_3188 (=> ?v_3073 (=> ?v_3116 (=> ?v_3234 (=> ?v_2877 (=> ?v_3235 (=> ?v_3074 (=> ?v_3075 (=> ?v_3236 (=> ?v_3237 (=> ?v_3273 (=> ?v_3153 (=> ?v_3076 (=> ?v_2728 (=> ?v_3154 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..1) ?v_3155)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3238 (= call37411formal.ret.0 0))) (let ((?v_3241 (=> true (=> (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_3239))) (?v_3240 (= call37411formal.ret.0 1))) (let ((?v_3246 (and (=> true (=> (not ?v_3238) (=> (not ?v_3240) ?v_3241))) (=> true (=> ?v_3238 (=> true (=> (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..0 ?v_87) (=> true (=> (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3239))))))))))))))) (=> true (=> ?v_3240 (=> true ?v_3241)))))) (let ((?v_3250 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3246))))))))) (?v_3243 (= lockStatus_4.0 lockStatus_4)) (?v_3244 (= lockStatus_3.0 lockStatus_3)) (?v_3248 (= lockStatus_0.0 lockStatus_0)) (?v_3249 (= lockStatus_1.0 lockStatus_1)) (?v_3245 (= lockStatus_2.0 lockStatus_2))) (let ((?v_3252 (=> ?v_3245 ?v_3250))) (let ((?v_3254 (=> ?v_3248 (=> ?v_3249 ?v_3252)))) (let ((?v_3256 (=> ?v_3244 ?v_3254)) (?v_3255 (= k.46 4)) (?v_3253 (= k.46 3)) (?v_3251 (= k.46 2)) (?v_3247 (= k.46 1)) (?v_3242 (= k.46 0))) (let ((?v_3275 (and (=> true (=> ?v_3257 (=> true (=> (<= k.45 k.46) (=> (< k.46 5) (and (=> true (=> ?v_3242 (=> true (=> ?v_3243 (=> ?v_3244 (=> (= lockStatus_0.0 0) (=> ?v_3249 (=> ?v_3245 ?v_3246)))))))) (=> true (=> (not ?v_3242) (and (=> true (=> ?v_3247 (=> true (=> ?v_3243 (=> ?v_3244 (=> ?v_3248 (=> (= lockStatus_1.0 0) ?v_3252))))))) (=> true (=> (not ?v_3247) (and (=> true (=> ?v_3251 (=> true (=> ?v_3243 (=> ?v_3244 (=> ?v_3248 (=> ?v_3249 (=> (= lockStatus_2.0 0) ?v_3250)))))))) (=> true (=> (not ?v_3251) (and (=> true (=> ?v_3253 (=> true (=> ?v_3243 (=> (= lockStatus_3.0 0) ?v_3254))))) (=> true (=> (not ?v_3253) (and (=> true (=> ?v_3255 (=> true (=> (= lockStatus_4.0 0) ?v_3256)))) (=> true (=> (not ?v_3255) (=> true (=> ?v_3243 ?v_3256)))))))))))))))))))))) (=> true (=> (not ?v_3257) (=> true (=> ?v_3138 (=> ?v_3139 (=> ?v_2927 (=> ?v_2857 (=> ?v_3043 (=> ?v_2858 (=> (= lockStatus_0.2 lockStatus_0) (=> ?v_3018 (=> ?v_3044 (=> ?v_2741 (=> ?v_2859 (=> ?v_3258 (=> ?v_2743 (=> ?v_3045 (=> (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5.) (=> ?v_3170 (=> ?v_3140 (=> ?v_2598 (=> ?v_2744 (=> ?v_3171 (=> ?v_3046 (=> ?v_3222 (=> ?v_3047 (=> ?v_3172 (=> ?v_3141 (=> ?v_2861 (=> ?v_3048 (=> ?v_2928 (=> ?v_2862 (=> ?v_3173 (=> ?v_3142 (=> ?v_3223 (=> ?v_3259 (=> ?v_3111 (=> ?v_2929 (=> ?v_2749 (=> ?v_3049 (=> ?v_3050 (=> ?v_3019 (=> ?v_3260 (=> ?v_2864 (=> (= lockStatus_4.2 lockStatus_4) (=> ?v_3051 (=> ?v_3052 (=> ?v_2617 (=> ?v_3261 (=> ?v_3112 (=> ?v_2930 (=> ?v_3262 (=> ?v_2931 (=> ?v_2932 (=> ?v_3174 (=> ?v_3020 (=> ?v_2626 (=> ?v_2933 (=> ?v_3053 (=> ?v_3175 (=> ?v_3263 (=> ?v_3055 (=> (= inline.sdv_WdfSpinLockCreate.1..result.userContextSwitch.8640.2.2..0 inline.sdv_WdfSpinLockCreate.1..result.userContextSwitch.8640.2.2.) (=> ?v_3264 (=> ?v_3021 (=> ?v_3143 (=> ?v_3224 (=> ?v_3022 (=> ?v_3265 (=> (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1.) (=> ?v_3113 (=> ?v_3266 (=> ?v_3176 (=> ?v_3056 (=> ?v_2643 (=> ?v_3177 (=> ?v_3057 (=> ?v_2866 (=> ?v_2934 (=> ?v_3058 (=> ?v_2867 (=> ?v_2647 (=> ?v_3024 (=> ?v_3144 (=> ?v_3059 (=> ?v_3025 (=> ?v_2935 (=> ?v_3060 (=> ?v_3267 (=> ?v_3178 (=> ?v_3145 (=> ?v_3268 (=> ?v_3225 (=> ?v_3061 (=> ?v_3146 (=> ?v_2936 (=> ?v_2937 (=> (= lockStatus_1.2 lockStatus_1) (=> (= lockStatus_2.2 lockStatus_2) (=> ?v_2665 (=> ?v_3269 (=> ?v_3179 (=> ?v_3063 (=> ?v_3026 (=> ?v_3027 (=> ?v_2868 (=> ?v_2869 (=> ?v_3180 (=> (= inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus) (=> ?v_3114 (=> ?v_2756 (=> ?v_3181 (=> ?v_3226 (=> ?v_3270 (=> ?v_2871 (=> ?v_2872 (=> ?v_3182 (=> ?v_3028 (=> (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.38 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0) (=> ?v_3227 (=> ?v_3228 (=> ?v_3184 (=> ?v_3147 (=> ?v_3185 (=> ?v_2938 (=> ?v_3229 (=> (= inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2.) (=> ?v_3271 (=> ?v_3230 (=> ?v_3272 (=> ?v_3064 (=> ?v_2874 (=> ?v_3065 (=> ?v_2939 (=> ?v_3066 (=> ?v_2693 (=> (= k.83 k.45) (=> ?v_3148 (=> ?v_3067 (=> ?v_3068 (=> ?v_3029 (=> ?v_2940 (=> ?v_3186 (=> (= inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..0 inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1.) (=> ?v_3149 (=> ?v_3150 (=> ?v_3231 (=> ?v_3069 (=> ?v_3070 (=> ?v_2706 (=> ?v_3151 (=> ?v_2708 (=> (= lockStatus_3.2 lockStatus_3) (=> ?v_3030 (=> ?v_3152 (=> ?v_3187 (=> ?v_3232 (=> ?v_3233 (=> ?v_3071 (=> ?v_2763 (=> ?v_3072 (=> ?v_2876 (=> ?v_3188 (=> ?v_3073 (=> ?v_3116 (=> ?v_3234 (=> ?v_2877 (=> ?v_3235 (=> ?v_3074 (=> ?v_3075 (=> ?v_3236 (=> ?v_3237 (=> ?v_3273 (=> ?v_3153 (=> ?v_3076 (=> (= inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..0 inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3.) (=> ?v_3154 (=> (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.2 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..1) ?v_3155)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3274 (= call37222formal.ret.0 0))) (let ((?v_3277 (=> true (=> (= inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_3275))) (?v_3276 (= call37222formal.ret.0 1)) (?v_2131 (int_2_U call37210formal.new.0))) (let ((?v_3285 (=> true (and ?v_31 (=> ?v_31 (=> (> call37210formal.new.0 0) (=> (forall ((?x599 Int)) (! (=> (and (<= call37210formal.new.0 ?x599) (< ?x599 (+ call37210formal.new.0 0))) (= (Base ?x599) call37210formal.new.0)) :pattern ((Base ?x599)) )) (=> (forall ((?x600 boogieU)) (! (=> (= (type ?x600) intType) (or (= (U_2_int ?x600) call37210formal.new.0) (= (MapType0Select alloc.27 ?x600) (MapType0Select alloc.28 ?x600)))) :pattern ((MapType0Select alloc.28 ?x600)) )) (=> (and (= (MapType0Select alloc.27 ?v_2131) UNALLOCATED) (= (MapType0Select alloc.28 ?v_2131) ALLOCATED)) (and (=> true (=> (not ?v_3274) (=> (not ?v_3276) ?v_3277))) (=> true (=> ?v_3274 (=> true (=> (= inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..0 ?v_87) (=> true (=> (= inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3275))))))))))))))) (=> true (=> ?v_3276 (=> true ?v_3277)))))))))))) (?v_3287 (= errorReached.38 errorReached.36)) (?v_3288 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2.))) (let ((?v_3289 (=> (= k.45 k.43) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3285)))))))))))))))))))) (?v_2108 (= hdevice hdevice))) (let ((?v_3291 (not ?v_2108)) (?v_2107 (= hdevice hqueue))) (let ((?v_3290 (not ?v_2107)) (?v_2104 (= hdevice htimer))) (let ((?v_3286 (not ?v_2104)) (?v_1264 (= hdevice hrequest))) (let ((?v_3284 (not ?v_1264)) (?v_3283 (=> true (=> (= errorReached.38 errorReached.37) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..0 call37046formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.45 k.44) ?v_3285)))))) (?v_3278 (= k.44 0)) (?v_3279 (= k.44 1)) (?v_3280 (= k.44 2)) (?v_3281 (= k.44 3)) (?v_3282 (= k.44 4))) (let ((?v_3292 (and (=> true (=> ?v_1264 (=> true (=> (<= k.43 k.44) (=> (< k.44 5) (and (=> true (=> (=> ?v_3278 ?v_12) (=> (=> ?v_3279 ?v_13) (=> (=> ?v_3280 ?v_14) (=> (=> ?v_3281 ?v_15) (=> (=> ?v_3282 ?v_16) (=> true (=> (= errorReached.37 1) ?v_3283)))))))) (=> true (=> (=> ?v_3278 ?v_7) (=> (=> ?v_3279 ?v_8) (=> (=> ?v_3280 ?v_9) (=> (=> ?v_3281 ?v_10) (=> (=> ?v_3282 ?v_11) (=> true (=> (= errorReached.37 errorReached.36) (=> true ?v_3283))))))))))))))) (=> true (=> ?v_3284 (and (=> true (=> ?v_2104 (=> true (=> ?v_3287 (=> ?v_3288 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3289)))))) (=> true (=> ?v_3286 (and (=> true (=> ?v_2107 (=> true (=> ?v_3287 (=> ?v_3288 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3289)))))) (=> true (=> ?v_3290 (and (=> true (=> ?v_2108 (=> true (=> ?v_3287 (=> ?v_3288 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3289)))))) (=> true (=> ?v_3291 (=> true (=> ?v_3287 (=> ?v_3288 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3289)))))))))))))))))) (let ((?v_3299 (and (=> true (=> ?v_595 ?v_3292)) (=> true (=> ?v_781 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3292)))))))))))))))))) (?v_3300 (= k.43 k.38)) (?v_3301 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2.))) (let ((?v_3302 (=> (= errorReached.36 errorReached.28) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3299))))))))))) (?v_3298 (=> true (=> (= k.43 k.42) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..0 call36812formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= errorReached.36 errorReached.35) ?v_3299)))))) (?v_3293 (= k.42 0)) (?v_3294 (= k.42 1)) (?v_3295 (= k.42 2)) (?v_3296 (= k.42 3)) (?v_3297 (= k.42 4))) (let ((?v_3308 (and (=> true (=> ?v_33 (=> true (=> (<= k.38 k.42) (=> (< k.42 5) (and (=> true (=> (=> ?v_3293 ?v_12) (=> (=> ?v_3294 ?v_13) (=> (=> ?v_3295 ?v_14) (=> (=> ?v_3296 ?v_15) (=> (=> ?v_3297 ?v_16) (=> true (=> (= errorReached.35 1) ?v_3298)))))))) (=> true (=> (=> ?v_3293 ?v_7) (=> (=> ?v_3294 ?v_8) (=> (=> ?v_3295 ?v_9) (=> (=> ?v_3296 ?v_10) (=> (=> ?v_3297 ?v_11) (=> true (=> (= errorReached.35 errorReached.28) (=> true ?v_3298))))))))))))))) (=> true (=> ?v_99 (and (=> true (=> ?v_307 (=> true (=> ?v_3300 (=> ?v_3301 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3302)))))) (=> true (=> ?v_437 (and (=> true (=> ?v_311 (=> true (=> ?v_3300 (=> ?v_3301 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3302)))))) (=> true (=> ?v_442 (and (=> true (=> ?v_312 (=> true (=> ?v_3300 (=> ?v_3301 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3302)))))) (=> true (=> ?v_443 (=> true (=> ?v_3300 (=> ?v_3301 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3302)))))))))))))))))) (let ((?v_3316 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3308)))))))))))))))))))))))) (?v_3310 (= Mem_1_T.PWDFREQUEST__.1 Mem_1_T.PWDFREQUEST__)) (?v_3305 (= Mem_2_T.PWDFREQUEST__.1 Mem_2_T.PWDFREQUEST__)) (?v_3313 (= Mem_0_T.PWDFREQUEST__.1 Mem_0_T.PWDFREQUEST__)) (?v_3306 (= Mem_3_T.PWDFREQUEST__.1 Mem_3_T.PWDFREQUEST__)) (?v_3307 (= Mem_4_T.PWDFREQUEST__.1 Mem_4_T.PWDFREQUEST__))) (let ((?v_3314 (=> ?v_3307 ?v_3316))) (let ((?v_3311 (=> ?v_3313 (=> ?v_3306 ?v_3314)))) (let ((?v_3318 (=> ?v_3305 ?v_3311)) (?v_3317 (= k.38 4)) (?v_3304 (int_2_U 0)) (?v_3315 (= k.38 3)) (?v_3312 (= k.38 2)) (?v_3309 (= k.38 1)) (?v_3303 (= k.38 0)) (?v_2121 (int_2_U call36576formal.new.0)) (?v_2122 (int_2_U call36579formal.new.0)) (?v_2123 (int_2_U call36582formal.new.0)) (?v_2124 (int_2_U call36585formal.new.0)) (?v_5 (>= 20 0)) (?v_2125 (int_2_U call36588formal.new.0)) (?v_2126 (int_2_U call36591formal.new.0)) (?v_2128 (int_2_U call36597formal.new.0)) (?v_2129 (int_2_U call36600formal.new.0)) (?v_2130 (int_2_U call36603formal.new.0)) (?v_875 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_876 (= inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13..1 inline.PerformFullSpeedIsochTransfer.0..result.GetSubRequestContext.346.44.13.)) (?v_877 (= inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer.3 inline.PerformFullSpeedIsochTransfer.0..status.10.182.27.PerformFullSpeedIsochTransfer)) (?v_878 (= inline.GetSubRequestContext.1.myNondetVar_0.2 inline.GetSubRequestContext.1.myNondetVar_0)) (?v_879 (= inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.11..result.sdv_SetReturnStatus.6129.0.1.)) (?v_880 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_881 (= inline.IsListEmpty.6..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.6..result.IsListEmpty.6718.0.1.)) (?v_882 (= inline.IsListEmpty.8..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.8..result.IsListEmpty.6718.0.1.)) (?v_883 (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate.1 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate)) (?v_884 (= inline.IsListEmpty.5..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.5..result.IsListEmpty.6718.0.1.)) (?v_885 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_raiseException)) (?v_886 (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1.0 inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext1)) (?v_887 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.557.46.22.)) (?v_888 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_889 (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_890 (= inline.IsListEmpty.7.myNondetVar_0.3 inline.IsListEmpty.7.myNondetVar_0)) (?v_891 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_892 (= inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1..1 inline.sdv_WdfObjectContextGetObject.2..result.sdv_WdfObjectContextGetObject.6826.0.1.)) (?v_893 (= inline.DoSubRequestCleanup.1.myNondetVar_0.11 inline.DoSubRequestCleanup.1.myNondetVar_0)) (?v_894 (= inline.GetFileContext.4.myNondetVar_0.2 inline.GetFileContext.4.myNondetVar_0)) (?v_895 (= inline.PerformFullSpeedIsochTransfer.0.myVar_1.7 inline.PerformFullSpeedIsochTransfer.0.myVar_1)) (?v_896 (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject)) (?v_897 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveInputWdmMdl.2.myNondetVar_0)) (?v_898 (= inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..subUrb.28.308.32.PerformFullSpeedIsochTransfer)) (?v_899 (= inline.IsListEmpty.7..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.7..result.IsListEmpty.6718.0.1.)) (?v_900 (= inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1..2 inline.IoAllocateMdl.2..result.IoAllocateMdl.1316.0.1.)) (?v_901 (= inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..attributes.19.191.28.PerformFullSpeedIsochTransfer)) (?v_902 (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup.2 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup)) (?v_903 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.233.30.5.)) (?v_904 (= inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3..1 inline.sdv_WdfRequestGetStatus.2..result.sdv_SetReturnStatus.7782.27.3.)) (?v_905 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.userContextSwitch.7243.4.2.)) (?v_906 (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_907 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2.myNondetVar_0)) (?v_908 (= inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.1..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_909 (= inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..packetSize.6.178.28.PerformFullSpeedIsochTransfer)) (?v_910 (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_911 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.295.46.9.)) (?v_912 (= inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.1..result.userContextSwitch.7707.4.1.)) (?v_913 (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext1.1 inline.GetFileContext.4..Handle.1.107.0.GetFileContext1)) (?v_914 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.302.52.10.)) (?v_915 (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_916 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_errorReached)) (?v_917 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2.2 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_2)) (?v_918 (= inline.IsListEmpty.6.myNondetVar_0.2 inline.IsListEmpty.6.myNondetVar_0)) (?v_919 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.561.40.25.)) (?v_920 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.533.33.20.)) (?v_921 (= inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..completeRequest.33.594.17.PerformFullSpeedIsochTransfer)) (?v_922 (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer)) (?v_923 (= inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5..2 inline.DoSubRequestCleanup.1..result.sdv_WdfCollectionGetCount.1294.46.5.)) (?v_924 (= inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1..2 inline.sdv_WdfCollectionGetCount.1..result.sdv_WdfCollectionGetCount.8432.0.1.)) (?v_925 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1)) (?v_926 (= inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.9..result.sdv_SetReturnStatus.6129.0.1.)) (?v_927 (= inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..pipe.15.187.28.PerformFullSpeedIsochTransfer)) (?v_928 (= inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.2..Request.1.7758.18.sdv_WdfRequestSend)) (?v_929 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.SdvMakeChoice.7246.18.3.)) (?v_930 (= inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..virtualAddress.9.181.28.PerformFullSpeedIsochTransfer)) (?v_931 (= inline.GetRequestContext.2.myNondetVar_0.1 inline.GetRequestContext.2.myNondetVar_0)) (?v_932 (= inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15..1 inline.PerformFullSpeedIsochTransfer.0..result.IoAllocateMdl.373.30.15.)) (?v_933 (= inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.8..choice.1.6131.6.sdv_SetReturnStatus)) (?v_934 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28..2 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.586.40.28.)) (?v_935 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_errorReached)) (?v_936 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty1)) (?v_937 (= inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3..0 inline.sdv_WdfCollectionCreate.1..result.sdv_SetReturnStatus.8384.27.3.)) (?v_938 (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty)) (?v_939 (= inline.InitializeListHead.1.myNondetVar_0.1 inline.InitializeListHead.1.myNondetVar_0)) (?v_940 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1)) (?v_941 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_942 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqSent)) (?v_943 (= inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.11..result.SdvMakeChoice.6131.28.2.)) (?v_944 (= inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer.10 inline.PerformFullSpeedIsochTransfer.0..stageSize.8.180.28.PerformFullSpeedIsochTransfer)) (?v_945 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5.2 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_5)) (?v_946 (= inline.IsListEmpty.9..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.9..result.IsListEmpty.6718.0.1.)) (?v_947 (= inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.9..choice.1.6131.6.sdv_SetReturnStatus)) (?v_948 (= inline.PerformFullSpeedIsochTransfer.0.tempBoogie0.15 inline.PerformFullSpeedIsochTransfer.0.tempBoogie0)) (?v_949 (= inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1..1 inline.sdv_WdfMemoryCreate.2..result.sdv_WdfMemoryCreate.7287.0.1.)) (?v_950 (= inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1..1 inline.sdv_WdfRequestGetFileObject.4..result.sdv_WdfRequestGetFileObject.7046.0.1.)) (?v_951 (= inline.GetDeviceContext.2.myNondetVar_0.1 inline.GetDeviceContext.2.myNondetVar_0)) (?v_952 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.216.56.3.)) (?v_953 (= inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19..1 inline.PerformFullSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.504.52.19.)) (?v_954 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_955 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_956 (= inline.IsListEmpty.5.myNondetVar_0.2 inline.IsListEmpty.5.myNondetVar_0)) (?v_957 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_k)) (?v_958 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty)) (?v_959 (= inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1..1 inline.sdv_WdfSpinLockCreate.1..result.sdv_WdfSpinLockCreate.8634.0.1.)) (?v_960 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelStarted)) (?v_961 (= inline.sdv_WdfSpinLockCreate.1..result.userContextSwitch.8640.2.2..1 inline.sdv_WdfSpinLockCreate.1..result.userContextSwitch.8640.2.2.)) (?v_962 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleted)) (?v_963 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_lockStatus)) (?v_964 (= inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1..1 inline.sdv_WdfRequestCreate.1..result.sdv_WdfRequestCreate.7036.0.1.)) (?v_965 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_966 (= inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.2..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_967 (= inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer.6 inline.PerformFullSpeedIsochTransfer.0..offset.32.312.32.PerformFullSpeedIsochTransfer)) (?v_968 (= inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 inline.GetSubRequestContext.1..result.sdv_WdfObjectGetTypedContextWorker.151.0.2.)) (?v_969 (= inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.9..ListHead.1.6719.26.IsListEmpty1)) (?v_970 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty)) (?v_971 (= inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.8..result.sdv_SetReturnStatus.6129.0.1.)) (?v_972 (= inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.2..result.SdvMakeChoice.7763.32.2.)) (?v_973 (= inline.InsertTailList.1.myNondetVar_0.2 inline.InsertTailList.1.myNondetVar_0)) (?v_974 (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1.1 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext1)) (?v_975 (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer)) (?v_976 (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer)) (?v_977 (= inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2..1 inline.IoAllocateMdl.2..result.SdvMakeChoice.1324.30.2.)) (?v_978 (= inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer.6 inline.PerformFullSpeedIsochTransfer.0..j.23.194.31.PerformFullSpeedIsochTransfer)) (?v_979 (= inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2..1 inline.sdv_WdfMemoryCreate.2..result.sdv_SetReturnStatus.7298.30.2.)) (?v_980 (= inline.IsListEmpty.9.myNondetVar_0.4 inline.IsListEmpty.9.myNondetVar_0)) (?v_981 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.SdvMakeChoice.7222.18.3.)) (?v_982 (= inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.7..result.SdvMakeChoice.6131.28.2.)) (?v_983 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_alloc)) (?v_984 (= inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2..1 inline.sdv_WdfRequestCreate.1..result.sdv_SetReturnStatus.7043.27.2.)) (?v_985 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..result.userContextSwitch.7219.4.2.)) (?v_986 (= inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer.2 inline.PerformFullSpeedIsochTransfer.0..subReqContext.21.193.28.PerformFullSpeedIsochTransfer)) (?v_987 (= inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..requestMdl.13.185.28.PerformFullSpeedIsochTransfer)) (?v_988 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_989 (= inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1.1 inline.sdv_WdfRequestCreate.1..Request.3.7039.20.sdv_WdfRequestCreate1)) (?v_990 (= inline.RemoveHeadList.2.myNondetVar_0.3 inline.RemoveHeadList.2.myNondetVar_0)) (?v_991 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_raiseException)) (?v_992 (= inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.1..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire)) (?v_993 (= inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 inline.sdv_WdfRequestGetFileObject.4..Request.1.7047.18.sdv_WdfRequestGetFileObject1)) (?v_994 (= inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.11..choice.1.6131.6.sdv_SetReturnStatus)) (?v_995 (= inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1..2 inline.sdv_WdfRequestCompleteWithInformation.6..result.userContextSwitch.7656.4.1.)) (?v_996 (= inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..hCollection.16.188.28.PerformFullSpeedIsochTransfer)) (?v_997 (= inline.IsListEmpty.8.myNondetVar_0.3 inline.IsListEmpty.8.myNondetVar_0)) (?v_998 (= inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.8..result.SdvMakeChoice.6131.28.2.)) (?v_999 (= inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext.0 inline.GetDeviceContext.2..Handle.1.96.0.GetDeviceContext)) (?v_1000 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3.2 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_3)) (?v_1001 (= inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2..0 inline.sdv_WdfCollectionCreate.1..result.malloc.8383.36.2.)) (?v_1002 (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1..2 inline.DoSubRequestCleanup.1..result.IsListEmpty.1277.19.1.)) (?v_1003 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.userContextSwitch.6841.4.2.)) (?v_1004 (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_1005 (= inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2..1 inline.sdv_MmGetMdlVirtualAddress.2..result.SdvMakeChoice.5444.48.2.)) (?v_1006 (= inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.10..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1007 (= inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.2..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_1008 (= inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext.1 inline.GetSubRequestContext.1..Handle.1.151.0.GetSubRequestContext)) (?v_1009 (= inline.sdv_WdfCollectionAdd.1.myNondetVar_0.3 inline.sdv_WdfCollectionAdd.1.myNondetVar_0)) (?v_1010 (= inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1..0 inline.sdv_WdfIoQueueGetDevice.4..result.sdv_WdfIoQueueGetDevice.6817.0.1.)) (?v_1011 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCancelSet)) (?v_1012 (= inline.GetFileContext.4..Handle.1.107.0.GetFileContext.1 inline.GetFileContext.4..Handle.1.107.0.GetFileContext)) (?v_1013 (= inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.1..result.userContextSwitch.8650.4.1.)) (?v_1014 (= inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.7..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1015 (= inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1 inline.sdv_MmGetMdlVirtualAddress.2..result.sdv_MmGetMdlVirtualAddress.5440.0.1.)) (?v_1016 (= inline.RemoveHeadList.3.myNondetVar_0.5 inline.RemoveHeadList.3.myNondetVar_0)) (?v_1017 (= inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..thisEntry.24.195.28.PerformFullSpeedIsochTransfer)) (?v_1018 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.335.33.11.)) (?v_1019 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty)) (?v_1020 (= inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.9..result.SdvMakeChoice.6131.28.2.)) (?v_1021 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleteSet)) (?v_1022 (= inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2..2 inline.sdv_WdfRequestGetFileObject.4..result.userContextSwitch.7051.4.2.)) (?v_1023 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqSent)) (?v_1024 (= inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.9..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1025 (= inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4..3 inline.DoSubRequestCleanup.1..result.IsListEmpty.1290.24.4.)) (?v_1026 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_lockStatus)) (?v_1027 (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1.0 inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext1)) (?v_1028 (= inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2..1 inline.sdv_WdfCollectionAdd.1..result.SdvMakeChoice.8407.22.2.)) (?v_1029 (= inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.5..ListHead.1.6719.26.IsListEmpty1)) (?v_1030 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.2..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_1031 (= inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1..0 inline.sdv_WdfCollectionCreate.1..result.sdv_WdfCollectionCreate.8378.0.1.)) (?v_1032 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_1033 (= inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1.0 inline.PerformFullSpeedIsochTransfer.0..RequestType.5.151.24.PerformFullSpeedIsochTransfer1)) (?v_1034 (= inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.12..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1035 (= inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer.1 inline.PerformFullSpeedIsochTransfer.0..subMdl.29.309.32.PerformFullSpeedIsochTransfer)) (?v_1036 (= inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..subRequestsList.25.196.28.PerformFullSpeedIsochTransfer)) (?v_1037 (= inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..pipeInfo.14.186.31.PerformFullSpeedIsochTransfer)) (?v_1038 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCompleteSet)) (?v_1039 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_k)) (?v_1040 (= inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.10..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1041 (= inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1.0 inline.PerformFullSpeedIsochTransfer.0..TotalLength.4.150.24.PerformFullSpeedIsochTransfer1)) (?v_1042 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1.4 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_1)) (?v_1043 (= inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1.2 inline.DoSubRequestCleanup.1..SubRequestsList.2.1263.24.DoSubRequestCleanup1)) (?v_1044 (= inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.2..result.sdv_WdfRequestSend.7757.0.1.)) (?v_1045 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelSet)) (?v_1046 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_1047 (= inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.1..result.userContextSwitch.8661.4.1.)) (?v_1048 (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17..3 inline.PerformFullSpeedIsochTransfer.0..result.nondet.453.33.17.)) (?v_1049 (= inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..subUrbMemory.27.307.32.PerformFullSpeedIsochTransfer)) (?v_1050 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4.2 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_4)) (?v_1051 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_1052 (= inline.PerformFullSpeedIsochTransfer.0.myVar_0.55 inline.PerformFullSpeedIsochTransfer.0.myVar_0)) (?v_1053 (= inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.11..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1054 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27..1 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.574.24.27.)) (?v_1055 (= inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21..1 inline.PerformFullSpeedIsochTransfer.0..result.IsListEmpty.554.19.21.)) (?v_1056 (= inline.sdv_WdfCollectionGetCount.1.myNondetVar_0.3 inline.sdv_WdfCollectionGetCount.1.myNondetVar_0)) (?v_1057 (= inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 inline.WdfUsbTargetPipeFormatRequestForUrb.2..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.)) (?v_1058 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8..2 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.289.47.8.)) (?v_1059 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.11..result.userContextSwitch.6841.4.2.)) (?v_1060 (= inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.6..ListHead.1.6719.26.IsListEmpty1)) (?v_1061 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestSend.560.26.23.)) (?v_1062 (= inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1..2 inline.sdv_WdfRequestSetCompletionRoutine.2..result.userContextSwitch.7028.4.1.)) (?v_1063 (= inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18..3 inline.PerformFullSpeedIsochTransfer.0..result.nondet.478.33.18.)) (?v_1064 (= inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1..2 inline.sdv_WdfRequestCompleteWithInformation.7..result.userContextSwitch.7656.4.1.)) (?v_1065 (= inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1..1 inline.sdv_WdfRequestGetStatus.2..result.sdv_WdfRequestGetStatus.7775.0.1.)) (?v_1066 (= inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.2..result.userContextSwitch.7765.4.3.)) (?v_1067 (= inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.7..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1068 (= inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0.49 inline.PerformFullSpeedIsochTransfer.0.myNondetVar_0)) (?v_1069 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4..0 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.223.32.4.)) (?v_1070 (= inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..hSpinLock.17.189.27.PerformFullSpeedIsochTransfer)) (?v_1071 (= inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.7..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_1072 (= inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2..2 inline.sdv_WdfRequestGetStatus.2..result.userContextSwitch.7780.4.2.)) (?v_1073 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.2..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_1074 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.354.32.14.)) (?v_1075 (= inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.12..result.userContextSwitch.6841.4.2.)) (?v_1076 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc.2 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_alloc)) (?v_1077 (= inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.2..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_1078 (= inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.11..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1079 (= inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.10..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1080 (= inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.10..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1081 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_248_reqCompleted)) (?v_1082 (= inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.6..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_1083 (= inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer.0 inline.PerformFullSpeedIsochTransfer.0..subRequest.20.192.28.PerformFullSpeedIsochTransfer)) (?v_1084 (= inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.1..SpinLock.1.8657.19.sdv_WdfSpinLockRelease)) (?v_1085 (= inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7..1 inline.PerformFullSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.243.56.7.)) (?v_1086 (= inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.10..result.SdvMakeChoice.6131.28.2.)) (?v_1087 (= inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.8..ListHead.1.6719.26.IsListEmpty1)) (?v_1088 (= inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup.2 inline.DoSubRequestCleanup.1..numPendingRequests.7.1270.26.DoSubRequestCleanup)) (?v_1089 (= inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1 inline.sdv_MmGetMdlVirtualAddress.2..x.2.5444.10.sdv_MmGetMdlVirtualAddress)) (?v_1090 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1091 (= inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.9..result.userContextSwitch.6841.4.2.)) (?v_1092 (= inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1.0 inline.PerformFullSpeedIsochTransfer.0..Request.3.149.24.PerformFullSpeedIsochTransfer1)) (?v_1093 (= inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd.1 inline.sdv_WdfCollectionAdd.1..x.3.8407.5.sdv_WdfCollectionAdd)) (?v_1094 (= inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1..1 inline.GetSubRequestContext.1..result.GetSubRequestContext.151.0.1.)) (?v_1095 (= inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.7..ListHead.1.6719.26.IsListEmpty)) (?v_1096 (= inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted.3 inline.PerformFullSpeedIsochTransfer.0.LOOP_171_reqCancelStarted)) (?v_1097 (= inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext.0 inline.GetRequestContext.2..Handle.1.127.0.GetRequestContext)) (?v_1098 (= inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3..1 inline.sdv_WdfSpinLockCreate.1..result.sdv_SetReturnStatus.8642.28.3.)) (?v_1099 (= inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1..3 inline.sdv_WdfCollectionAdd.1..result.sdv_WdfCollectionAdd.8402.0.1.)) (?v_1100 (= inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl.1 inline.IoAllocateMdl.2..choice.6.1324.8.IoAllocateMdl))) (let ((?v_1108 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.1) (=> ?v_875 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_876 (=> (= reqCancelSet_0.25 reqCancelSet_0.24) (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.7 inline.PerformHighSpeedIsochTransfer.0.myVar_1.6) (=> ?v_877 (=> ?v_878 (=> (= inline.IsListEmpty.1.myNondetVar_0.3 inline.IsListEmpty.1.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..1) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.2 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1) (=> (= inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..1 inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..0) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer1.0 4) (=> (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0) (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> (= lockStatus_2.16 lockStatus_2.15) (=> (= inline.RemoveHeadList.0.myNondetVar_0.5 inline.RemoveHeadList.0.myNondetVar_0.4) (=> ?v_884 (=> (= inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..2 inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..subUrb.33.928.32.PerformHighSpeedIsochTransfer.0 call28967formal.new.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..pipeInfo.19.765.31.PerformHighSpeedIsochTransfer.0 call28952formal.new.0) (=> ?v_885 (=> (= inline.IsListEmpty.3.myNondetVar_0.2 inline.IsListEmpty.3.myNondetVar_0.1) (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0) (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1) (=> ?v_889 (=> ?v_890 (=> ?v_2194 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3) (=> ?v_891 (=> ?v_892 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..0) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..3 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2) (=> ?v_893 (=> ?v_2198 (=> (= inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..1 inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..0) (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> (= inline.GetDeviceContext.1.myNondetVar_0.2 inline.GetDeviceContext.1.myNondetVar_0.1) (=> (= reqCompleteSet_2.9 reqCompleteSet_2.8) (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.4 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.3) (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0) (=> ?v_2203 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..2) (=> (= inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..1 inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0) (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0) (=> ?v_902 (=> (= reqSent_2.9 reqSent_2.8) (=> ?v_2207 (=> ?v_903 (=> ?v_904 (=> (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext.1 inline.GetFileContext.3..Handle.1.107.0.GetFileContext.0) (=> (= inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..0) (=> ?v_905 (=> ?v_906 (=> (= inline.InitializeListHead.0.myNondetVar_0.1 inline.InitializeListHead.0.myNondetVar_0.0) (=> ?v_907 (=> (= inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..0) (=> (= k.132 k.131) (=> ?v_908 (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..2 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1) (=> (= inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.2 inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.1) (=> ?v_909 (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.4 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.3) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.6 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.5) (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> (= inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..2 inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..1) (=> ?v_913 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..0) (=> ?v_914 (=> ?v_2218 (=> (= inline.PerformHighSpeedIsochTransfer.0..hCollection.21.767.28.PerformHighSpeedIsochTransfer.0 call28946formal.new.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..subRequest.25.771.28.PerformHighSpeedIsochTransfer.0 call28961formal.new.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.1) (=> ?v_915 (=> (= reqCompleted_1.19 reqCompleted_1.18) (=> (= reqCompleteSet_4.9 reqCompleteSet_4.8) (=> (= reqCancelSet_3.25 reqCancelSet_3.24) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.1) (=> (= inline.RemoveHeadList.1.myNondetVar_0.3 inline.RemoveHeadList.1.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1) (=> (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.0) (=> ?v_916 (=> (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.GetRequestContext.1.myNondetVar_0.1 inline.GetRequestContext.1.myNondetVar_0.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.1) (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> (= reqCompleted_3.19 reqCompleted_3.18) (=> ?v_920 (=> ?v_921 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1) (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0) (=> ?v_925 (=> (= inline.IsListEmpty.4.myNondetVar_0.2 inline.IsListEmpty.4.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0) (=> (= reqCompleteSet_1.9 reqCompleteSet_1.8) (=> ?v_926 (=> (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0) (=> ?v_927 (=> ?v_928 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.1) (=> ?v_929 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.2) (=> ?v_933 (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.27 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.26) (=> ?v_934 (=> ?v_935 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.1) (=> ?v_936 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.2) (=> (= inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..1 inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..0) (=> (= inline.PerformHighSpeedIsochTransfer.0..stageSize.13.759.28.PerformHighSpeedIsochTransfer.0 call28958formal.new.0) (=> ?v_937 (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.2 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1) (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..0) (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> (= reqCancelSet_1.25 reqCancelSet_1.24) (=> ?v_947 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.1) (=> (= lockStatus_4.16 lockStatus_4.15) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..0) (=> (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.1 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0) (=> ?v_948 (=> ?v_949 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_2254 (=> ?v_950 (=> (= inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..1 inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..0) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1..2 inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1..1) (=> ?v_951 (=> ?v_952 (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.8 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.7) (=> ?v_953 (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..0) (=> (= inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.0) (=> ?v_954 (=> (= inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..1 inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..0) (=> ?v_955 (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1..2 inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1..1) (=> ?v_956 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.2) (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> (= inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1 inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0) (=> ?v_960 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_961 (=> (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> ?v_962 (=> (= reqCancelSet_4.25 reqCancelSet_4.24) (=> ?v_963 (=> (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer.0 hrequest) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1) (=> ?v_964 (=> (= inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.1 inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.6 inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.5) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_965 (=> (= inline.PerformHighSpeedIsochTransfer.0..subUrbMemory.32.927.32.PerformHighSpeedIsochTransfer.0 call28970formal.new.0) (=> ?v_966 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6) (=> (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..4 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..3) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0) (=> ?v_967 (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.4 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.3) (=> (= alloc.31 alloc.30) (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.11 inline.DoSubRequestCleanup.0.myNondetVar_0.10) (=> ?v_968 (=> ?v_969 (=> (= inline.PerformHighSpeedIsochTransfer.0..Request.3.622.24.PerformHighSpeedIsochTransfer1.0 hrequest) (=> (= lockStatus_1.16 lockStatus_1.15) (=> (= inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..1 inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) (=> ?v_970 (=> ?v_971 (=> (= lockStatus_0.16 lockStatus_0.15) (=> (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.1 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> (= inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..1 inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..0) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.1) (=> ?v_972 (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.1 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.0) (=> ?v_973 (=> (= reqCancelSet_2.25 reqCancelSet_2.24) (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1..2 inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1..1) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2) (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> (= inline.sdv_WdfSpinLockCreate.0..result.userContextSwitch.8640.2.2..1 inline.sdv_WdfSpinLockCreate.0..result.userContextSwitch.8640.2.2..0) (=> ?v_977 (=> (= inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.0) (=> ?v_978 (=> ?v_979 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> (= reqSent_3.9 reqSent_3.8) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.2) (=> ?v_985 (=> (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.3) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.3 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2) (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> (= reqCompleteSet_3.9 reqCompleteSet_3.8) (=> (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0) (=> ?v_992 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..0) (=> ?v_993 (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.2 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..2) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..4 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3) (=> ?v_994 (=> (= inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2..2 inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2..1) (=> ?v_995 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1) (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.1 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.0) (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> (= inline.InsertTailList.0.myNondetVar_0.2 inline.InsertTailList.0.myNondetVar_0.1) (=> ?v_999 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..3 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..2) (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..0) (=> ?v_1003 (=> (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0) (=> ?v_1004 (=> (= inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..1 inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..1 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..0) (=> ?v_1005 (=> (= inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.1 inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.0) (=> (= Mem_2_T.PWDFREQUEST__.12 Mem_2_T.PWDFREQUEST__.11) (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> (= inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0) (=> ?v_1009 (=> (= inline.PerformHighSpeedIsochTransfer.0..completeRequest.38.1236.17.PerformHighSpeedIsochTransfer.0 call28943formal.new.0) (=> (= inline.GetSubRequestContext.0.myNondetVar_0.2 inline.GetSubRequestContext.0.myNondetVar_0.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1) (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> (= inline.PerformHighSpeedIsochTransfer.0..RequestType.5.624.24.PerformHighSpeedIsochTransfer.0 4) (=> (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.0) (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..2) (=> ?v_1014 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest) (=> (= inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.0) (=> (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0) (=> ?v_1015 (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.10 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.9) (=> ?v_1016 (=> ?v_1017 (=> (= lockStatus_3.16 lockStatus_3.15) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..0) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1) (=> ?v_2330 (=> ?v_1018 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..1 inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..0) (=> (= inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..2 inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..1) (=> ?v_2333 (=> ?v_1019 (=> (= inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..1 inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..0) (=> ?v_1020 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1) (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> (= inline.IsListEmpty.2.myNondetVar_0.4 inline.IsListEmpty.2.myNondetVar_0.3) (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> (= reqCompleted_4.19 reqCompleted_4.18) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.4 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..4 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..3) (=> ?v_1029 (=> (= inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.0) (=> (= inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..1 inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..0) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1) (=> (= reqSent_1.9 reqSent_1.8) (=> (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.6 inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.5) (=> (= inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..1 inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..0) (=> ?v_1030 (=> ?v_1031 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..0) (=> (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.1 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.0) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.1) (=> ?v_1032 (=> ?v_1033 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.2) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4) (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0) (=> ?v_1034 (=> (= inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..1 inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..0) (=> ?v_1035 (=> ?v_1036 (=> (= reqSent_4.9 reqSent_4.8) (=> ?v_1037 (=> (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext1.0 hrequest) (=> ?v_1038 (=> (= Mem_1_T.PWDFREQUEST__.12 Mem_1_T.PWDFREQUEST__.11) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.1) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.1) (=> ?v_1039 (=> ?v_1040 (=> (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.7 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.5) (=> ?v_1041 (=> (= inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..1 inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..0) (=> ?v_1042 (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1) (=> ?v_1043 (=> (= inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.0) (=> (= reqCompleteSet_0.9 reqCompleteSet_0.8) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..1 inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..0) (=> ?v_1044 (=> (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.1 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.0) (=> (= Mem_4_T.PWDFREQUEST__.12 Mem_4_T.PWDFREQUEST__.11) (=> ?v_1045 (=> (= Mem_0_T.PWDFREQUEST__.12 Mem_0_T.PWDFREQUEST__.11) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.2) (=> ?v_1046 (=> ?v_1047 (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..2 inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..1) (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> (= inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..1 inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..0) (=> ?v_1051 (=> ?v_1052 (=> (= inline.GetRequestContext.1..Handle.1.127.0.GetRequestContext.0 hrequest) (=> ?v_1053 (=> ?v_1054 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.4) (=> ?v_1055 (=> (= reqSent_0.9 reqSent_0.8) (=> (= inline.sdv_WdfCollectionAdd.0.myNondetVar_0.3 inline.sdv_WdfCollectionAdd.0.myNondetVar_0.2) (=> ?v_1056 (=> ?v_1057 (=> (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.0) (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.0) (=> ?v_1062 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..2 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..1) (=> (= reqCompleted_0.19 reqCompleted_0.18) (=> ?v_1063 (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer1.0 myNondetVar_0.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3) (=> ?v_1064 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..0) (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.55 inline.PerformHighSpeedIsochTransfer.0.myVar_0.54) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..1) (=> ?v_1065 (=> (= inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.2 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.1) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.2 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.2 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.1) (=> ?v_1066 (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..3 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..2) (=> (= inline.IsListEmpty.0.myNondetVar_0.3 inline.IsListEmpty.0.myNondetVar_0.2) (=> ?v_1067 (=> ?v_1068 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0) (=> (= inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..1 inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..0) (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..3 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..2 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..1) (=> ?v_1074 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest) (=> ?v_1075 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..1 inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..0) (=> (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.6 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.5) (=> (= inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.3 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.2) (=> (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.1 inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.0) (=> (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.2) (=> ?v_1076 (=> (= inline.PerformHighSpeedIsochTransfer.0..hSpinLock.22.768.28.PerformHighSpeedIsochTransfer.0 call28949formal.new.0) (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> (= reqCompleted_2.19 reqCompleted_2.18) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..3 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..2) (=> (= inline.PerformHighSpeedIsochTransfer.0..subRequestsList.30.775.28.PerformHighSpeedIsochTransfer.0 call28964formal.new.0) (=> (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..attributes.24.770.28.PerformHighSpeedIsochTransfer.0 call28940formal.new.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.0) (=> ?v_1080 (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0) (=> (= inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1 inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0) (=> ?v_1081 (=> (= inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..1 inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..0) (=> (= inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..1 inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..0) (=> ?v_1082 (=> (= inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..1 inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..0) (=> ?v_1083 (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.1) (=> ?v_1084 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.1) (=> (= errorReached.81 errorReached.80) (=> ?v_1085 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0) (=> (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..3 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..2) (=> ?v_1086 (=> ?v_1087 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..1 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..0) (=> (= inline.PerformHighSpeedIsochTransfer.0..requestMdl.18.764.28.PerformHighSpeedIsochTransfer.0 call28955formal.new.0) (=> ?v_1088 (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.2) (=> (= inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2..2 inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2..1) (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.1 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.3 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.2) (=> ?v_1089 (=> ?v_1090 (=> (= inline.GetFileContext.3.myNondetVar_0.2 inline.GetFileContext.3.myNondetVar_0.1) (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> (= Mem_3_T.PWDFREQUEST__.12 Mem_3_T.PWDFREQUEST__.11) (=> ?v_1095 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..1) (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.63 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.62) (=> ?v_1099 (=> ?v_1100 ?v_2423)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1141 (= inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..1 inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..0)) (?v_1142 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0)) (?v_1143 (= lockStatus_0.15 lockStatus_0.14)) (?v_1144 (= lockStatus_4.15 lockStatus_4.14)) (?v_1208 (= reqCompleted_3.18 reqCompleted_3)) (?v_1145 (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_1146 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0)) (?v_1147 (= inline.DoSubRequestCleanup.0.myNondetVar_0.10 inline.DoSubRequestCleanup.0.myNondetVar_0.9)) (?v_1148 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0)) (?v_1105 (= inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1.)) (?v_1149 (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0)) (?v_1150 (= inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1.)) (?v_1151 (= inline.IsListEmpty.2.myNondetVar_0.3 inline.IsListEmpty.2.myNondetVar_0.2)) (?v_1209 (= errorReached.80 errorReached.75)) (?v_1152 (= inline.RemoveHeadList.0.myNondetVar_0.4 inline.RemoveHeadList.0.myNondetVar_0.3)) (?v_1153 (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..1)) (?v_1210 (= reqCancelSet_2.24 reqCancelSet_2.19)) (?v_1211 (= reqCancelSet_0.24 reqCancelSet_0.19)) (?v_1212 (= reqCancelSet_3.24 reqCancelSet_3.19)) (?v_1213 (= reqCompleted_0.18 reqCompleted_0)) (?v_1154 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1)) (?v_1155 (= lockStatus_2.15 lockStatus_2.14)) (?v_1156 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1)) (?v_1157 (= inline.IsListEmpty.0.myNondetVar_0.2 inline.IsListEmpty.0.myNondetVar_0.1)) (?v_1158 (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.1 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.0)) (?v_1214 (= reqCompleted_1.18 reqCompleted_1)) (?v_1159 (= lockStatus_1.15 lockStatus_1.14)) (?v_1160 (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0)) (?v_1161 (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0)) (?v_1162 (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.1 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.0)) (?v_1163 (= inline.IsListEmpty.1.myNondetVar_0.2 inline.IsListEmpty.1.myNondetVar_0.1)) (?v_1215 (= reqCompleted_2.18 reqCompleted_2)) (?v_1164 (= inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.1 inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.0)) (?v_1216 (= reqCancelSet_1.24 reqCancelSet_1.19)) (?v_1217 (= reqCancelSet_4.24 reqCancelSet_4.19)) (?v_1165 (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1)) (?v_1166 (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0)) (?v_1167 (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0)) (?v_1168 (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1)) (?v_1169 (= lockStatus_3.15 lockStatus_3.14)) (?v_1170 (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..2 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..1)) (?v_1106 (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_1218 (= reqCompleted_4.18 reqCompleted_4)) (?v_1171 (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation)) (?v_1107 (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1)) (?v_1172 (= inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.2 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.1)) (?v_1173 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..1 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..0)) (?v_1174 (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1)) (?v_1175 (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..1 inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..0))) (let ((?v_1176 (=> (= inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..1 inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..0) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2) (=> true (=> true (=> true ?v_1108))))))) (let ((?v_1207 (=> true (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> (= reqCompleted_3.18 reqCompleted_3.15) (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1..0) (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> (= errorReached.80 errorReached.77) (=> ?v_1152 (=> ?v_1153 (=> (= reqCancelSet_2.24 reqCancelSet_2.21) (=> (= reqCancelSet_0.24 reqCancelSet_0.21) (=> (= reqCancelSet_3.24 reqCancelSet_3.21) (=> (= reqCompleted_0.18 reqCompleted_0.15) (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> (= reqCompleted_1.18 reqCompleted_1.15) (=> (= k.131 k.128) (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> (= reqCompleted_2.18 reqCompleted_2.15) (=> ?v_1164 (=> (= reqCancelSet_1.24 reqCancelSet_1.21) (=> (= reqCancelSet_4.24 reqCancelSet_4.21) (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) (=> (= reqCompleted_4.18 reqCompleted_4.15) (=> ?v_1171 (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.62 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.59) ?v_1176)))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1181 (=> true (=> (= reqCompleted_2.15 reqCompleted_2.14) (=> (= reqCompleted_4.15 reqCompleted_4.14) (=> (= reqCancelSet_3.21 reqCancelSet_3.20) (=> (= reqCompleted_0.15 reqCompleted_0.14) (=> (= reqCancelSet_2.21 reqCancelSet_2.20) (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1..0 call29902formal.ret.0) (=> (= reqCancelSet_4.21 reqCancelSet_4.20) (=> (= k.128 k.127) (=> (= reqCompleted_1.15 reqCompleted_1.14) (=> (= reqCancelSet_1.21 reqCancelSet_1.20) (=> (= reqCompleted_3.15 reqCompleted_3.14) (=> (= reqCancelSet_0.21 reqCancelSet_0.20) (=> (= errorReached.77 errorReached.76) ?v_1207)))))))))))))))) (let ((?v_1187 (=> true ?v_1181)) (?v_1183 (= reqCancelSet_0.20 reqCancelSet_0.19)) (?v_1178 (= reqCancelSet_4.20 reqCancelSet_4.19)) (?v_1179 (= reqCancelSet_2.20 reqCancelSet_2.19)) (?v_1184 (= reqCancelSet_1.20 reqCancelSet_1.19)) (?v_1180 (= reqCancelSet_3.20 reqCancelSet_3.19))) (let ((?v_1185 (=> ?v_1180 ?v_1187))) (let ((?v_1189 (=> ?v_1184 ?v_1185))) (let ((?v_1190 (=> ?v_1179 ?v_1189)) (?v_1188 (= k.127 4))) (let ((?v_1204 (not ?v_1188)) (?v_1186 (= k.127 3))) (let ((?v_1201 (not ?v_1186)) (?v_1182 (= k.127 2))) (let ((?v_1199 (not ?v_1182)) (?v_1177 (= k.127 1))) (let ((?v_1196 (not ?v_1177)) (?v_1140 (= k.127 0))) (let ((?v_1191 (not ?v_1140))) (let ((?v_1195 (and (=> true (=> ?v_1140 (=> true (=> (= reqCancelSet_0.20 0) (=> ?v_1178 (=> ?v_1179 (=> ?v_1184 (=> ?v_1180 ?v_1181)))))))) (=> true (=> ?v_1191 (and (=> true (=> ?v_1177 (=> true (=> ?v_1183 (=> ?v_1178 (=> ?v_1179 (=> (= reqCancelSet_1.20 0) ?v_1185))))))) (=> true (=> ?v_1196 (and (=> true (=> ?v_1182 (=> true (=> ?v_1183 (=> ?v_1178 (=> (= reqCancelSet_2.20 0) ?v_1189)))))) (=> true (=> ?v_1199 (and (=> true (=> ?v_1186 (=> true (=> ?v_1183 (=> ?v_1178 (=> ?v_1179 (=> ?v_1184 (=> (= reqCancelSet_3.20 0) ?v_1187)))))))) (=> true (=> ?v_1201 (and (=> true (=> ?v_1188 (=> true (=> ?v_1183 (=> (= reqCancelSet_4.20 0) ?v_1190))))) (=> true (=> ?v_1204 (=> true (=> ?v_1183 (=> ?v_1178 ?v_1190)))))))))))))))))))) (let ((?v_1203 (=> true (=> true ?v_1195))) (?v_1192 (= reqCompleted_3.14 reqCompleted_3)) (?v_1197 (= reqCompleted_1.14 reqCompleted_1)) (?v_1193 (= reqCompleted_2.14 reqCompleted_2)) (?v_1202 (= reqCompleted_0.14 reqCompleted_0)) (?v_1194 (= reqCompleted_4.14 reqCompleted_4))) (let ((?v_1198 (=> ?v_1202 (=> ?v_1194 ?v_1203)))) (let ((?v_1200 (=> ?v_1193 ?v_1198))) (let ((?v_1205 (=> ?v_1197 ?v_1200))) (let ((?v_1206 (and (=> true (=> ?v_1140 (=> true (=> ?v_1192 (=> ?v_1197 (=> ?v_1193 (=> (= reqCompleted_0.14 1) (=> ?v_1194 ?v_1195)))))))) (=> true (=> ?v_1191 (and (=> true (=> ?v_1177 (=> true (=> ?v_1192 (=> (= reqCompleted_1.14 1) ?v_1200))))) (=> true (=> ?v_1196 (and (=> true (=> ?v_1182 (=> true (=> ?v_1192 (=> ?v_1197 (=> (= reqCompleted_2.14 1) ?v_1198)))))) (=> true (=> ?v_1199 (and (=> true (=> ?v_1186 (=> true (=> (= reqCompleted_3.14 1) ?v_1205)))) (=> true (=> ?v_1201 (and (=> true (=> ?v_1188 (=> true (=> ?v_1192 (=> ?v_1197 (=> ?v_1193 (=> ?v_1202 (=> (= reqCompleted_4.14 1) ?v_1203)))))))) (=> true (=> ?v_1204 (=> true (=> ?v_1192 ?v_1205)))))))))))))))))) (?v_1139 (=> true (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> (= reqCompleted_3.18 reqCompleted_3.17) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1105 (=> ?v_1149 (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1..0) (=> ?v_1151 (=> (= errorReached.80 errorReached.79) (=> ?v_1152 (=> ?v_1153 (=> (= reqCancelSet_2.24 reqCancelSet_2.23) (=> (= reqCancelSet_0.24 reqCancelSet_0.23) (=> (= reqCancelSet_3.24 reqCancelSet_3.23) (=> (= reqCompleted_0.18 reqCompleted_0.17) (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> (= reqCompleted_1.18 reqCompleted_1.17) (=> (= k.131 k.130) (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> (= reqCompleted_2.18 reqCompleted_2.17) (=> ?v_1164 (=> (= reqCancelSet_1.24 reqCancelSet_1.23) (=> (= reqCancelSet_4.24 reqCancelSet_4.23) (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1106 (=> (= reqCompleted_4.18 reqCompleted_4.17) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) (=> ?v_1107 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.62 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.61) ?v_1176)))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1113 (=> true (=> (= reqCompleted_2.17 reqCompleted_2.16) (=> (= reqCompleted_4.17 reqCompleted_4.16) (=> (= reqCompleted_0.17 reqCompleted_0.16) (=> (= reqCancelSet_2.23 reqCancelSet_2.22) (=> (= errorReached.79 errorReached.78) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1..0 call30168formal.ret.0) (=> (= reqCancelSet_4.23 reqCancelSet_4.22) (=> (= k.130 k.129) (=> (= reqCompleted_1.17 reqCompleted_1.16) (=> (= reqCancelSet_1.23 reqCancelSet_1.22) (=> (= reqCompleted_3.17 reqCompleted_3.16) (=> (= reqCancelSet_0.23 reqCancelSet_0.22) (=> (= reqCancelSet_3.23 reqCancelSet_3.22) ?v_1139)))))))))))))))) (let ((?v_1119 (=> true ?v_1113)) (?v_1115 (= reqCancelSet_0.22 reqCancelSet_0.19)) (?v_1110 (= reqCancelSet_4.22 reqCancelSet_4.19)) (?v_1111 (= reqCancelSet_2.22 reqCancelSet_2.19)) (?v_1116 (= reqCancelSet_1.22 reqCancelSet_1.19)) (?v_1112 (= reqCancelSet_3.22 reqCancelSet_3.19))) (let ((?v_1117 (=> ?v_1112 ?v_1119))) (let ((?v_1121 (=> ?v_1116 ?v_1117))) (let ((?v_1122 (=> ?v_1111 ?v_1121)) (?v_1120 (= k.129 4))) (let ((?v_1136 (not ?v_1120)) (?v_1118 (= k.129 3))) (let ((?v_1133 (not ?v_1118)) (?v_1114 (= k.129 2))) (let ((?v_1131 (not ?v_1114)) (?v_1109 (= k.129 1))) (let ((?v_1128 (not ?v_1109)) (?v_1104 (= k.129 0))) (let ((?v_1123 (not ?v_1104))) (let ((?v_1127 (and (=> true (=> ?v_1104 (=> true (=> (= reqCancelSet_0.22 0) (=> ?v_1110 (=> ?v_1111 (=> ?v_1116 (=> ?v_1112 ?v_1113)))))))) (=> true (=> ?v_1123 (and (=> true (=> ?v_1109 (=> true (=> ?v_1115 (=> ?v_1110 (=> ?v_1111 (=> (= reqCancelSet_1.22 0) ?v_1117))))))) (=> true (=> ?v_1128 (and (=> true (=> ?v_1114 (=> true (=> ?v_1115 (=> ?v_1110 (=> (= reqCancelSet_2.22 0) ?v_1121)))))) (=> true (=> ?v_1131 (and (=> true (=> ?v_1118 (=> true (=> ?v_1115 (=> ?v_1110 (=> ?v_1111 (=> ?v_1116 (=> (= reqCancelSet_3.22 0) ?v_1119)))))))) (=> true (=> ?v_1133 (and (=> true (=> ?v_1120 (=> true (=> ?v_1115 (=> (= reqCancelSet_4.22 0) ?v_1122))))) (=> true (=> ?v_1136 (=> true (=> ?v_1115 (=> ?v_1110 ?v_1122)))))))))))))))))))) (let ((?v_1135 (=> true (=> true ?v_1127))) (?v_1124 (= reqCompleted_3.16 reqCompleted_3)) (?v_1129 (= reqCompleted_1.16 reqCompleted_1)) (?v_1125 (= reqCompleted_2.16 reqCompleted_2)) (?v_1134 (= reqCompleted_0.16 reqCompleted_0)) (?v_1126 (= reqCompleted_4.16 reqCompleted_4))) (let ((?v_1130 (=> ?v_1134 (=> ?v_1126 ?v_1135)))) (let ((?v_1132 (=> ?v_1125 ?v_1130))) (let ((?v_1137 (=> ?v_1129 ?v_1132))) (let ((?v_1138 (and (=> true (=> ?v_1104 (=> true (=> ?v_1124 (=> ?v_1129 (=> ?v_1125 (=> (= reqCompleted_0.16 1) (=> ?v_1126 ?v_1127)))))))) (=> true (=> ?v_1123 (and (=> true (=> ?v_1109 (=> true (=> ?v_1124 (=> (= reqCompleted_1.16 1) ?v_1132))))) (=> true (=> ?v_1128 (and (=> true (=> ?v_1114 (=> true (=> ?v_1124 (=> ?v_1129 (=> (= reqCompleted_2.16 1) ?v_1130)))))) (=> true (=> ?v_1131 (and (=> true (=> ?v_1118 (=> true (=> (= reqCompleted_3.16 1) ?v_1137)))) (=> true (=> ?v_1133 (and (=> true (=> ?v_1120 (=> true (=> ?v_1124 (=> ?v_1129 (=> ?v_1125 (=> ?v_1134 (=> (= reqCompleted_4.16 1) ?v_1135)))))))) (=> true (=> ?v_1136 (=> true (=> ?v_1124 ?v_1137))))))))))))))))))) (let ((?v_1260 (and (=> true (=> (not (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.57 0)) (and (=> true (=> (< 0 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.60) (and (=> true (=> ?v_33 (=> true (=> (<= k.126 k.129) (=> (< k.129 5) (and (=> true (=> (=> ?v_1104 ?v_12) (=> (=> ?v_1109 ?v_13) (=> (=> ?v_1114 ?v_14) (=> (=> ?v_1118 ?v_15) (=> (=> ?v_1120 ?v_16) (=> true (=> (= errorReached.78 1) ?v_1138)))))))) (=> true (=> (=> ?v_1104 ?v_7) (=> (=> ?v_1109 ?v_8) (=> (=> ?v_1114 ?v_9) (=> (=> ?v_1118 ?v_10) (=> (=> ?v_1120 ?v_11) (=> true (=> (= errorReached.78 errorReached.75) (=> true ?v_1138))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= reqCompleted_2.17 reqCompleted_2) (=> (= reqCompleted_4.17 reqCompleted_4) (=> (= reqCompleted_0.17 reqCompleted_0) (=> (= reqCancelSet_2.23 reqCancelSet_2.19) (=> (= errorReached.79 errorReached.75) (=> (= inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1..0 inline.sdv_WdfRequestCompleteWithInformation.5..result.userContextSwitch.7656.4.1.) (=> (= reqCancelSet_4.23 reqCancelSet_4.19) (=> (= k.130 k.126) (=> (= reqCompleted_1.17 reqCompleted_1) (=> (= reqCancelSet_1.23 reqCancelSet_1.19) (=> (= reqCompleted_3.17 reqCompleted_3) (=> (= reqCancelSet_0.23 reqCancelSet_0.19) (=> (= reqCancelSet_3.23 reqCancelSet_3.19) (=> true (=> true (=> true ?v_1139)))))))))))))))))))))) (=> true (=> (not (< 0 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.58)) (and (=> true (=> ?v_33 (=> true (=> (<= k.126 k.127) (=> (< k.127 5) (and (=> true (=> (=> ?v_1140 ?v_12) (=> (=> ?v_1177 ?v_13) (=> (=> ?v_1182 ?v_14) (=> (=> ?v_1186 ?v_15) (=> (=> ?v_1188 ?v_16) (=> true (=> (= errorReached.76 1) ?v_1206)))))))) (=> true (=> (=> ?v_1140 ?v_7) (=> (=> ?v_1177 ?v_8) (=> (=> ?v_1182 ?v_9) (=> (=> ?v_1186 ?v_10) (=> (=> ?v_1188 ?v_11) (=> true (=> (= errorReached.76 errorReached.75) (=> true ?v_1206))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= reqCompleted_2.15 reqCompleted_2) (=> (= reqCompleted_4.15 reqCompleted_4) (=> (= reqCancelSet_3.21 reqCancelSet_3.19) (=> (= reqCompleted_0.15 reqCompleted_0) (=> (= reqCancelSet_2.21 reqCancelSet_2.19) (=> (= inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1..0 inline.sdv_WdfRequestCompleteWithInformation.4..result.userContextSwitch.7656.4.1.) (=> (= reqCancelSet_4.21 reqCancelSet_4.19) (=> (= k.128 k.126) (=> (= reqCompleted_1.15 reqCompleted_1) (=> (= reqCancelSet_1.21 reqCancelSet_1.19) (=> (= reqCompleted_3.15 reqCompleted_3) (=> (= reqCancelSet_0.21 reqCancelSet_0.19) (=> (= errorReached.77 errorReached.75) (=> true (=> true (=> true ?v_1207))))))))))))))))))))))))) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.56 0) (=> true (=> ?v_1141 (=> ?v_1142 (=> ?v_1143 (=> ?v_1144 (=> ?v_1208 (=> ?v_1145 (=> ?v_1146 (=> ?v_1147 (=> ?v_1148 (=> ?v_1105 (=> ?v_1149 (=> ?v_1150 (=> ?v_1151 (=> ?v_1209 (=> ?v_1152 (=> ?v_1153 (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> ?v_1154 (=> ?v_1155 (=> ?v_1156 (=> ?v_1157 (=> ?v_1158 (=> ?v_1214 (=> (= k.131 k.126) (=> ?v_1159 (=> ?v_1160 (=> ?v_1161 (=> ?v_1162 (=> ?v_1163 (=> ?v_1215 (=> ?v_1164 (=> ?v_1216 (=> ?v_1217 (=> ?v_1165 (=> ?v_1166 (=> ?v_1167 (=> ?v_1168 (=> ?v_1169 (=> ?v_1170 (=> ?v_1106 (=> ?v_1218 (=> ?v_1171 (=> ?v_1107 (=> ?v_1172 (=> ?v_1173 (=> ?v_1174 (=> ?v_1175 (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.62 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.56) ?v_1176))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1220 (=> true (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.55 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.53) (=> (= inline.RemoveHeadList.0.myNondetVar_0.3 inline.RemoveHeadList.0.myNondetVar_0.2) (=> (= inline.IsListEmpty.2.myNondetVar_0.2 inline.IsListEmpty.2.myNondetVar_0.1) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0) (=> (= inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..0 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.0) (=> (= inline.IsListEmpty.1.myNondetVar_0.1 inline.IsListEmpty.1.myNondetVar_0.0) (=> (= lockStatus_4.14 lockStatus_4.13) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0 call28964formal.new.0) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.DoSubRequestCleanup.0.myNondetVar_0.0) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.DoSubRequestCleanup.0.myNondetVar_0.8) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.0 call28964formal.new.0) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0 call28964formal.new.0) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0) (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.9 inline.DoSubRequestCleanup.0.myNondetVar_0.8) (=> (= inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..0 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.0) (=> (= lockStatus_2.14 lockStatus_2.13) (=> (= lockStatus_3.14 lockStatus_3.13) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.0 call28964formal.new.0) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..0 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..1 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..0) (=> (= lockStatus_0.14 lockStatus_0.13) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.DoSubRequestCleanup.0.myNondetVar_0.8) (=> (= lockStatus_1.14 lockStatus_1.13) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.DoSubRequestCleanup.0.myNondetVar_0.0) (=> (= k.126 k.125) (=> (= inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.0 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.0) (=> (= inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.1 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.0) ?v_1260))))))))))))))))))))))))))))))))) (?v_1219 (< 0 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.0))) (let ((?v_1237 (and (=> true (=> ?v_1219 ?v_1220)) (=> true (=> (not ?v_1219) (=> true (=> true (=> true ?v_1220))))))) (?v_1236 (= inline.DoSubRequestCleanup.0.myNondetVar_0.8 hlock))) (let ((?v_1225 (=> true (=> (= lockStatus_4.13 lockStatus_4.12) (=> (= k.125 k.124) (=> (= lockStatus_2.13 lockStatus_2.12) (=> (= lockStatus_0.13 lockStatus_0.12) (=> (= lockStatus_3.13 lockStatus_3.12) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0 call29656formal.ret.0) (=> (= lockStatus_1.13 lockStatus_1.12) ?v_1237)))))))))) (let ((?v_1229 (=> true ?v_1225)) (?v_1222 (= lockStatus_4.12 lockStatus_4.11)) (?v_1223 (= lockStatus_3.12 lockStatus_3.11)) (?v_1227 (= lockStatus_0.12 lockStatus_0.11)) (?v_1228 (= lockStatus_1.12 lockStatus_1.11)) (?v_1224 (= lockStatus_2.12 lockStatus_2.11))) (let ((?v_1231 (=> ?v_1224 ?v_1229))) (let ((?v_1233 (=> ?v_1227 (=> ?v_1228 ?v_1231)))) (let ((?v_1235 (=> ?v_1223 ?v_1233)) (?v_1234 (= k.124 4)) (?v_1232 (= k.124 3)) (?v_1230 (= k.124 2)) (?v_1226 (= k.124 1)) (?v_1221 (= k.124 0))) (let ((?v_1239 (and (=> true (=> ?v_1236 (=> true (=> (<= k.123 k.124) (=> (< k.124 5) (and (=> true (=> ?v_1221 (=> true (=> ?v_1222 (=> ?v_1223 (=> (= lockStatus_0.12 0) (=> ?v_1228 (=> ?v_1224 ?v_1225)))))))) (=> true (=> (not ?v_1221) (and (=> true (=> ?v_1226 (=> true (=> ?v_1222 (=> ?v_1223 (=> ?v_1227 (=> (= lockStatus_1.12 0) ?v_1231))))))) (=> true (=> (not ?v_1226) (and (=> true (=> ?v_1230 (=> true (=> ?v_1222 (=> ?v_1223 (=> ?v_1227 (=> ?v_1228 (=> (= lockStatus_2.12 0) ?v_1229)))))))) (=> true (=> (not ?v_1230) (and (=> true (=> ?v_1232 (=> true (=> ?v_1222 (=> (= lockStatus_3.12 0) ?v_1233))))) (=> true (=> (not ?v_1232) (and (=> true (=> ?v_1234 (=> true (=> (= lockStatus_4.12 0) ?v_1235)))) (=> true (=> (not ?v_1234) (=> true (=> ?v_1222 ?v_1235)))))))))))))))))))))) (=> true (=> (not ?v_1236) (=> true (=> (= lockStatus_4.13 lockStatus_4.11) (=> (= k.125 k.123) (=> (= lockStatus_2.13 lockStatus_2.11) (=> (= lockStatus_0.13 lockStatus_0.11) (=> (= lockStatus_3.13 lockStatus_3.11) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..0 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_1.13 lockStatus_1.11) (=> true (=> true (=> true (=> true ?v_1237))))))))))))))))) (let ((?v_1242 (=> true (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.6 inline.DoSubRequestCleanup.0.myNondetVar_0.5) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0 call28964formal.new.0) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..0 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0) (=> (= inline.IsListEmpty.2.myNondetVar_0.1 inline.IsListEmpty.2.myNondetVar_0.0) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0) (=> (= inline.RemoveHeadList.0.myNondetVar_0.2 inline.RemoveHeadList.0.myNondetVar_0.1) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0 call28964formal.new.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1239))))))))))))))))))))) (?v_1240 (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_1243 (=> true (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.2.myNondetVar_0.0 call28964formal.new.0))) (and (=> true (=> (not ?v_1240) ?v_1242)) (=> true (=> ?v_1240 (=> true (=> ?v_1241 ?v_1242)))))))) (?v_1238 (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_1259 (=> true (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.1.myNondetVar_0.0 call28964formal.new.0))) (and (=> true (=> (not ?v_1238) (=> true (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.6 inline.DoSubRequestCleanup.0.myNondetVar_0.0) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..0 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4.) (=> (= inline.IsListEmpty.2.myNondetVar_0.1 inline.IsListEmpty.2.myNondetVar_0) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.) (=> (= inline.RemoveHeadList.0.myNondetVar_0.2 inline.RemoveHeadList.0.myNondetVar_0) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty) ?v_1239)))))))))) (=> true (=> ?v_1238 (and (=> true (=> (not (= inline.DoSubRequestCleanup.0.myNondetVar_0.3 0)) (=> true (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.5 inline.DoSubRequestCleanup.0.myNondetVar_0.4) ?v_1243)))) (=> true (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.2 0) (=> true (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.5 inline.DoSubRequestCleanup.0.myNondetVar_0.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1243)))))))))))))))))))) (?v_1258 (= inline.DoSubRequestCleanup.0.myNondetVar_0.0 hlock))) (let ((?v_1248 (=> true (=> (= lockStatus_4.11 lockStatus_4.10) (=> (= k.123 k.122) (=> (= lockStatus_3.11 lockStatus_3.10) (=> (= lockStatus_0.11 lockStatus_0.10) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0 call29419formal.ret.0) (=> (= lockStatus_1.11 lockStatus_1.10) (=> (= lockStatus_2.11 lockStatus_2.10) ?v_1259)))))))))) (let ((?v_1252 (=> true ?v_1248)) (?v_1245 (= lockStatus_4.10 lockStatus_4.9)) (?v_1246 (= lockStatus_3.10 lockStatus_3.9)) (?v_1250 (= lockStatus_0.10 lockStatus_0.9)) (?v_1251 (= lockStatus_1.10 lockStatus_1.9)) (?v_1247 (= lockStatus_2.10 lockStatus_2.9))) (let ((?v_1254 (=> ?v_1247 ?v_1252))) (let ((?v_1256 (=> ?v_1250 (=> ?v_1251 ?v_1254)))) (let ((?v_1257 (=> ?v_1246 ?v_1256)) (?v_1255 (= k.122 4)) (?v_1253 (= k.122 3)) (?v_1249 (= k.122 2)) (?v_1244 (= k.122 1)) (?v_1103 (= k.122 0))) (let ((?v_1262 (and (=> true (=> (not (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.53 0)) (and (=> true (=> ?v_1258 (=> true (=> (<= k.121 k.122) (=> (< k.122 5) (=> true (=> (=> ?v_1103 (= lockStatus_0.9 0)) (=> (=> ?v_1244 (= lockStatus_1.9 0)) (=> (=> ?v_1249 (= lockStatus_2.9 0)) (=> (=> ?v_1253 (= lockStatus_3.9 0)) (=> (=> ?v_1255 (= lockStatus_4.9 0)) (and (=> true (=> ?v_1103 (=> true (=> ?v_1245 (=> ?v_1246 (=> (= lockStatus_0.10 1) (=> ?v_1251 (=> ?v_1247 ?v_1248)))))))) (=> true (=> (not ?v_1103) (and (=> true (=> ?v_1244 (=> true (=> ?v_1245 (=> ?v_1246 (=> ?v_1250 (=> (= lockStatus_1.10 1) ?v_1254))))))) (=> true (=> (not ?v_1244) (and (=> true (=> ?v_1249 (=> true (=> ?v_1245 (=> ?v_1246 (=> ?v_1250 (=> ?v_1251 (=> (= lockStatus_2.10 1) ?v_1252)))))))) (=> true (=> (not ?v_1249) (and (=> true (=> ?v_1253 (=> true (=> ?v_1245 (=> (= lockStatus_3.10 1) ?v_1256))))) (=> true (=> (not ?v_1253) (and (=> true (=> ?v_1255 (=> true (=> (= lockStatus_4.10 1) ?v_1257)))) (=> true (=> (not ?v_1255) (=> true (=> ?v_1245 ?v_1257)))))))))))))))))))))))))))) (=> true (=> (not ?v_1258) (=> true (=> (= lockStatus_4.11 lockStatus_4.9) (=> (= k.123 k.121) (=> (= lockStatus_3.11 lockStatus_3.9) (=> (= lockStatus_0.11 lockStatus_0.9) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..0 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1.) (=> (= lockStatus_1.11 lockStatus_1.9) (=> (= lockStatus_2.11 lockStatus_2.9) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1259))))))))))))))))))) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.54 0) (=> true (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..1 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.55 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.54) (=> (= inline.RemoveHeadList.0.myNondetVar_0.3 inline.RemoveHeadList.0.myNondetVar_0) (=> (= inline.IsListEmpty.2.myNondetVar_0.2 inline.IsListEmpty.2.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..1 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1.) (=> (= inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..0 inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5.) (=> (= inline.IsListEmpty.1.myNondetVar_0.1 inline.IsListEmpty.1.myNondetVar_0) (=> (= lockStatus_4.14 lockStatus_4.9) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.0 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.0 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.0 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1) (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.9 inline.DoSubRequestCleanup.0.myNondetVar_0) (=> (= inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..0 inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1.) (=> (= lockStatus_2.14 lockStatus_2.9) (=> (= lockStatus_3.14 lockStatus_3.9) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.0 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..0 inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1.) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..1 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4.) (=> (= lockStatus_0.14 lockStatus_0.9) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.0 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= lockStatus_1.14 lockStatus_1.9) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.0 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= k.126 k.121) (=> (= inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.0 inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup) (=> (= inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.1 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0) (=> true ?v_1260))))))))))))))))))))))))))))))))))))) (?v_1261 (<= 0 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6)) (?v_1102 (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_1353 (and (=> true (=> ?v_1261 (=> true (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.0.myNondetVar_0.0 call28964formal.new.0))) (and (=> true (=> (not ?v_1102) (=> true (=> (= inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1..1 inline.sdv_WdfCollectionGetCount.0..result.sdv_WdfCollectionGetCount.8432.0.1.) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease) (=> (= lockStatus_0.15 lockStatus_0.9) (=> (= lockStatus_4.15 lockStatus_4.9) (=> ?v_1208 (=> ?v_1145 (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.DoSubRequestCleanup.0.myNondetVar_0.10 inline.DoSubRequestCleanup.0.myNondetVar_0) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.1 call28964formal.new.0) (=> ?v_1105 (=> (= inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty.1 inline.IsListEmpty.1..ListHead.1.6719.26.IsListEmpty) (=> ?v_1150 (=> (= inline.IsListEmpty.2.myNondetVar_0.3 inline.IsListEmpty.2.myNondetVar_0) (=> ?v_1209 (=> (= inline.RemoveHeadList.0.myNondetVar_0.4 inline.RemoveHeadList.0.myNondetVar_0) (=> (= inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1..2 inline.sdv_WdfSpinLockAcquire.0..result.userContextSwitch.8650.4.1.) (=> ?v_1210 (=> ?v_1211 (=> ?v_1212 (=> ?v_1213 (=> (= inline.IsListEmpty.1..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.1..result.IsListEmpty.6718.0.1.) (=> (= lockStatus_2.15 lockStatus_2.9) (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty1) (=> (= inline.IsListEmpty.0.myNondetVar_0.2 inline.IsListEmpty.0.myNondetVar_0.0) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup.1 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup) (=> ?v_1214 (=> (= k.131 k.121) (=> (= lockStatus_1.15 lockStatus_1.9) (=> (= inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1.1 inline.sdv_WdfSpinLockRelease.0..SpinLock.1.8657.19.sdv_WdfSpinLockRelease1) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.1 call28964formal.new.0) (=> (= inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1.1 inline.DoSubRequestCleanup.0..SubRequestsList.2.1263.24.DoSubRequestCleanup1) (=> (= inline.IsListEmpty.1.myNondetVar_0.2 inline.IsListEmpty.1.myNondetVar_0) (=> ?v_1215 (=> (= inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup.1 inline.DoSubRequestCleanup.0..numPendingRequests.7.1270.26.DoSubRequestCleanup) (=> ?v_1216 (=> ?v_1217 (=> (= inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty.2 inline.IsListEmpty.2..ListHead.1.6719.26.IsListEmpty) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire) (=> (= inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1.1 inline.sdv_WdfSpinLockAcquire.0..SpinLock.1.8646.19.sdv_WdfSpinLockAcquire1) (=> (= inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1..2 inline.sdv_WdfSpinLockRelease.0..result.userContextSwitch.8661.4.1.) (=> (= lockStatus_3.15 lockStatus_3.9) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4..2 inline.DoSubRequestCleanup.0..result.IsListEmpty.1290.24.4.) (=> ?v_1106 (=> ?v_1218 (=> ?v_1171 (=> ?v_1107 (=> (= inline.sdv_WdfCollectionGetCount.0.myNondetVar_0.2 inline.sdv_WdfCollectionGetCount.0.myNondetVar_0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..1 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0) (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..2 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0) (=> (= inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1..1 inline.DoSubRequestCleanup.0..result.IsListEmpty.1277.19.1.) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.62 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.52) (=> (= inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5..1 inline.DoSubRequestCleanup.0..result.sdv_WdfCollectionGetCount.1294.46.5.) (=> (= inline.IsListEmpty.2..result.IsListEmpty.6718.0.1..3 inline.IsListEmpty.2..result.IsListEmpty.6718.0.1.) ?v_1108)))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1102 (=> true (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0 call28964formal.new.0) (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..0 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..0) (=> (= inline.IsListEmpty.0.myNondetVar_0.1 inline.IsListEmpty.0.myNondetVar_0.0) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0 call28964formal.new.0) ?v_1262))))))))))))) (=> true (=> (not ?v_1261) (=> true (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty) (=> (= inline.IsListEmpty.0..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.0..result.IsListEmpty.6718.0.1.) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29..0 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1228.40.29.) (=> (= inline.IsListEmpty.0.myNondetVar_0.1 inline.IsListEmpty.0.myNondetVar_0) (=> (= inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.0..ListHead.1.6719.26.IsListEmpty1) (=> true (=> true (=> true ?v_1262)))))))))))))) (let ((?v_1918 (=> true ?v_1353)) (?v_2038 (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer)) (?v_2078 (= inline.sdv_WdfSpinLockCreate.0..result.userContextSwitch.8640.2.2..0 inline.sdv_WdfSpinLockCreate.0..result.userContextSwitch.8640.2.2.)) (?v_1359 (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.0 hdevice)) (?v_1804 (= inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.)) (?v_1323 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23.)) (?v_1805 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent)) (?v_1897 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1642 (= reqCancelSet_3.19 reqCancelSet_3)) (?v_1859 (= inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.0 inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl)) (?v_2039 (= inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer)) (?v_2079 (= lockStatus_0.9 lockStatus_0)) (?v_1983 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8.)) (?v_1806 (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.5 inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer)) (?v_1324 (= reqSent_2.8 reqSent_2)) (?v_1325 (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_1807 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached)) (?v_1942 (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.0 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1)) (?v_1808 (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.6 inline.PerformHighSpeedIsochTransfer.0.myVar_1)) (?v_2040 (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1)) (?v_1709 (= inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.0 inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd)) (?v_2041 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1943 (= inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0 inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1.)) (?v_2080 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5.)) (?v_1944 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9.)) (?v_1945 (= inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1946 (= inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..0 inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1.)) (?v_1326 (= inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2.)) (?v_1898 (= inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..0 inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1.)) (?v_1381 (= inline.GetDeviceContext.1.myNondetVar_0.1 inline.GetDeviceContext.1.myNondetVar_0.0)) (?v_2081 (= lockStatus_4.9 lockStatus_4)) (?v_1947 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2.)) (?v_1809 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc)) (?v_1810 (= inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..0 inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20.)) (?v_1948 (= Mem_4_T.PWDFREQUEST__.11 Mem_4_T.PWDFREQUEST__)) (?v_1949 (= inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer)) (?v_1388 (= inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..0 hdevice)) (?v_1327 (= reqSent_1.8 reqSent_1)) (?v_1811 (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.3 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1)) (?v_1812 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException)) (?v_1391 (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 call30637formal.ret.0)) (?v_1328 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_1950 (= Mem_1_T.PWDFREQUEST__.11 Mem_1_T.PWDFREQUEST__)) (?v_1899 (= inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..0 inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1.)) (?v_1393 (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0)) (?v_1813 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet)) (?v_2042 (= inline.GetFileContext.3.myNondetVar_0.1 inline.GetFileContext.3.myNondetVar_0)) (?v_1984 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2.)) (?v_1329 (= inline.IsListEmpty.4.myNondetVar_0.1 inline.IsListEmpty.4.myNondetVar_0)) (?v_2043 (= inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2..1 inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2.)) (?v_2044 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7.)) (?v_1900 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14.)) (?v_1901 (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.0 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1)) (?v_1814 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted)) (?v_1710 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21.)) (?v_2045 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_1330 (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_1902 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_1331 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1)) (?v_1405 (= inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1711 (= inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1..1 inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1.)) (?v_1951 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0)) (?v_2082 (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2.)) (?v_1952 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10.)) (?v_1861 (= inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..1 inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1.)) (?v_1815 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc)) (?v_1816 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted)) (?v_1645 (= reqCancelSet_4.19 reqCancelSet_4)) (?v_2046 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_1985 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_1646 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty)) (?v_1712 (= inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..0 inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2.)) (?v_1713 (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_1817 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5)) (?v_2083 (= lockStatus_2.9 lockStatus_2)) (?v_1818 (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.0 myNondetVar_0.0)) (?v_2047 (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject)) (?v_1423 (= inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1986 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_1332 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..0 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28.)) (?v_1819 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.5 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1)) (?v_1953 (= Mem_0_T.PWDFREQUEST__.11 Mem_0_T.PWDFREQUEST__)) (?v_1903 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2.)) (?v_1820 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k)) (?v_1821 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached)) (?v_2084 (= errorReached.75 errorReached.34)) (?v_1823 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent)) (?v_1824 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus)) (?v_2085 (= inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..0 inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3.)) (?v_1825 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4)) (?v_1333 (= inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..0 inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3.)) (?v_1714 (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_1954 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_1955 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_1334 (= inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..0 inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1.)) (?v_1648 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..0 inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22.)) (?v_1826 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus)) (?v_1649 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0 inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1)) (?v_2086 (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1440 (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1827 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted)) (?v_1828 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted)) (?v_1443 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1715 (= reqCompleteSet_2.8 reqCompleteSet_2)) (?v_1904 (= inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2.)) (?v_1650 (= reqCancelSet_1.19 reqCancelSet_1)) (?v_1829 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.3 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub)) (?v_1830 (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..3 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1.)) (?v_1956 (= inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..0 inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2.)) (?v_1450 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..0 hdevice)) (?v_1831 (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.3 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub)) (?v_1832 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.3 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1)) (?v_1335 (= inline.RemoveHeadList.1.myNondetVar_0.2 inline.RemoveHeadList.1.myNondetVar_0)) (?v_1336 (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1337 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24.)) (?v_1833 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2)) (?v_1338 (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2.)) (?v_2048 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2.)) (?v_1339 (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_2049 (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext.0 inline.GetFileContext.3..Handle.1.107.0.GetFileContext)) (?v_1340 (= reqSent_3.8 reqSent_3)) (?v_2087 (= lockStatus_1.9 lockStatus_1)) (?v_1651 (= inline.IsListEmpty.3.myNondetVar_0.1 inline.IsListEmpty.3.myNondetVar_0)) (?v_2050 (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.26 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0)) (?v_1652 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable)) (?v_1957 (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.0 inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate)) (?v_1461 (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 call30637formal.ret.0)) (?v_1341 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend)) (?v_1716 (= inline.sdv_WdfCollectionAdd.0.myNondetVar_0.2 inline.sdv_WdfCollectionAdd.0.myNondetVar_0)) (?v_1988 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3.)) (?v_2051 (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer)) (?v_1653 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1)) (?v_1958 (= Mem_3_T.PWDFREQUEST__.11 Mem_3_T.PWDFREQUEST__)) (?v_1717 (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..2 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1.)) (?v_2088 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.52 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0)) (?v_1467 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hdevice)) (?v_1718 (= reqCompleteSet_1.8 reqCompleteSet_1)) (?v_1469 (= inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..0 call30625formal.new.0)) (?v_1834 (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..2 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17.)) (?v_2052 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer)) (?v_1472 (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hdevice)) (?v_1959 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_1835 (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..2 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19.)) (?v_1342 (= inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer)) (?v_1907 (= inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1991 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_2053 (= inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer)) (?v_1836 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k)) (?v_1960 (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1343 (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1.)) (?v_1656 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.)) (?v_1344 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26.)) (?v_1961 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11.)) (?v_2054 (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.0 inline.GetFileContext.3..Handle.1.107.0.GetFileContext1)) (?v_1992 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0)) (?v_2055 (= inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..0 inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1.)) (?v_1908 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.54 inline.PerformHighSpeedIsochTransfer.0.myVar_0)) (?v_2089 (= inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..0 inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1.)) (?v_1345 (= inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1719 (= reqCompleteSet_3.8 reqCompleteSet_3)) (?v_1346 (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0 inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty)) (?v_1962 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_1837 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet)) (?v_1993 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_1909 (= inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer)) (?v_1720 (= reqCompleteSet_4.8 reqCompleteSet_4)) (?v_1658 (= reqCancelSet_2.19 reqCancelSet_2)) (?v_1347 (= inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2..1 inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2.)) (?v_1963 (= inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..0 inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2.)) (?v_1493 (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.0 hdevice)) (?v_1494 (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1838 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet)) (?v_1910 (= inline.GetSubRequestContext.0.myNondetVar_0.1 inline.GetSubRequestContext.0.myNondetVar_0)) (?v_1721 (= reqCompleteSet_0.8 reqCompleteSet_0)) (?v_1911 (= inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..0 inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13.)) (?v_1912 (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.0 inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext)) (?v_1964 (= inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0 inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress)) (?v_1501 (= alloc.30 alloc.29)) (?v_1913 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_2090 (= lockStatus_3.9 lockStatus_3)) (?v_2091 (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus)) (?v_1965 (= Mem_2_T.PWDFREQUEST__.11 Mem_2_T.PWDFREQUEST__)) (?v_1660 (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1.)) (?v_1862 (= inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..0 inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2.)) (?v_1839 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3)) (?v_1348 (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.)) (?v_1840 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException)) (?v_1349 (= reqSent_4.8 reqSent_4)) (?v_1350 (= inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..0 inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1.)) (?v_1914 (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1.)) (?v_1661 (= reqCancelSet_0.19 reqCancelSet_0)) (?v_1966 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3.)) (?v_1351 (= reqSent_0.8 reqSent_0)) (?v_1863 (= inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer)) (?v_1841 (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.5 inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer)) (?v_1842 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet)) (?v_1843 (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..3 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18.)) (?v_1864 (= inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..0 inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15.)) (?v_1967 (= inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer)) (?v_1662 (= inline.InsertTailList.0.myNondetVar_0.1 inline.InsertTailList.0.myNondetVar_0)) (?v_1844 (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.5 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub)) (?v_1915 (= inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..0 inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2.)) (?v_1968 (= inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2.)) (?v_1352 (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1.)) (?v_2056 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.9 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer)) (?v_1917 (= inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2.))) (let ((?v_2057 (=> ?v_1917 ?v_1918))) (let ((?v_2092 (=> ?v_1965 (=> ?v_1660 (=> ?v_1862 (=> ?v_1839 (=> ?v_1348 (=> ?v_1840 (=> ?v_1349 (=> ?v_1350 (=> ?v_1914 (=> ?v_1661 (=> ?v_1966 (=> ?v_1351 (=> ?v_1863 (=> ?v_1841 (=> ?v_1842 (=> ?v_1843 (=> ?v_1864 (=> ?v_1967 (=> ?v_1662 (=> ?v_1844 (=> ?v_1915 (=> ?v_1968 (=> ?v_1352 (=> ?v_2056 ?v_2057))))))))))))))))))))))))) (?v_2077 (<= 0 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1358 (= inline.sdv_WdfSpinLockCreate.0..result.userContextSwitch.8640.2.2..0 call30731formal.ret.0)) (?v_1366 (= lockStatus_0.9 lockStatus_0.1)) (?v_1376 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfSpinLockCreate.815.30.5..0 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1382 (= lockStatus_4.9 lockStatus_4.1)) (?v_1408 (= inline.sdv_SetReturnStatus.3..result.SdvMakeChoice.6131.28.2..0 call30814formal.ret.0)) (?v_1420 (= lockStatus_2.9 lockStatus_2.1)) (?v_1431 (= inline.sdv_WdfSpinLockCreate.0..result.sdv_SetReturnStatus.8642.28.3..0 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1439 (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1456 (= lockStatus_1.9 lockStatus_1.1)) (?v_1485 (= inline.sdv_WdfSpinLockCreate.0..result.sdv_WdfSpinLockCreate.8634.0.1..0 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1503 (= lockStatus_3.9 lockStatus_3.1)) (?v_1504 (= inline.sdv_SetReturnStatus.3..choice.1.6131.6.sdv_SetReturnStatus.0 call30814formal.ret.0)) (?v_2037 (<= 0 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1858 (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.1)) (?v_1365 (= inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0)) (?v_1372 (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 hrequest)) (?v_1374 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 notused_4hfileobj)) (?v_1395 (= inline.GetFileContext.3.myNondetVar_0.1 inline.GetFileContext.3.myNondetVar_0.0)) (?v_1397 (= inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2..1 inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2..0)) (?v_1398 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetFileObject.825.56.7..0 notused_4hfileobj)) (?v_1403 (= inline.sdv_WdfObjectGetTypedContextWorker.7..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 notused_4hfileobj)) (?v_1414 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1422 (= inline.sdv_WdfRequestGetFileObject.3..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 hrequest)) (?v_1454 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..0)) (?v_1455 (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext.0 notused_4hfileobj)) (?v_1987 (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.26 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.1)) (?v_1989 (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1)) (?v_1990 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.52 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.4)) (?v_1471 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.0)) (?v_1477 (= inline.PerformHighSpeedIsochTransfer.0..packetSize.11.757.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2)) (?v_1482 (= inline.GetFileContext.3..Handle.1.107.0.GetFileContext1.0 notused_4hfileobj)) (?v_1484 (= inline.sdv_WdfRequestGetFileObject.3..result.sdv_WdfRequestGetFileObject.7046.0.1..0 notused_4hfileobj)) (?v_1916 (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.9 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.1))) (let ((?v_1969 (=> ?v_1352 (=> ?v_1916 ?v_2057)))) (let ((?v_1994 (=> ?v_1351 (=> ?v_1863 (=> ?v_1841 (=> ?v_1842 (=> ?v_1843 (=> ?v_1864 (=> ?v_1967 (=> ?v_1662 (=> ?v_1844 (=> ?v_1915 (=> ?v_1968 ?v_1969)))))))))))) (?v_1982 (<= 0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_1941 (<= 0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_1367 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..0)) (?v_1370 (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate1.0 call28961formal.new.0)) (?v_1375 (= inline.sdv_MmGetMdlVirtualAddress.1..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0 call31728formal.ret.0)) (?v_1377 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..1 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..0)) (?v_1378 (= inline.sdv_SetReturnStatus.4..choice.1.6131.6.sdv_SetReturnStatus.0 call31921formal.ret.0)) (?v_1379 (= inline.sdv_WdfRequestCreate.0..result.sdv_WdfRequestCreate.7036.0.1..0 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1383 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..1)) (?v_1643 (= Mem_4_T.PWDFREQUEST__.11 Mem_4_T.PWDFREQUEST__.8)) (?v_1860 (= inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.0 call31728formal.ret.0)) (?v_1644 (= Mem_1_T.PWDFREQUEST__.11 Mem_1_T.PWDFREQUEST__.8)) (?v_1396 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..1)) (?v_1407 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3)) (?v_1409 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_MmGetMdlVirtualAddress.922.52.10..0 call31728formal.ret.0)) (?v_1415 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_1424 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2)) (?v_1647 (= Mem_0_T.PWDFREQUEST__.11 Mem_0_T.PWDFREQUEST__.8)) (?v_1434 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0)) (?v_1435 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2)) (?v_1449 (= inline.sdv_WdfRequestCreate.0..result.sdv_SetReturnStatus.7043.27.2..0 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1905 (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.26 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.3)) (?v_1460 (= inline.sdv_WdfRequestCreate.0..Request.3.7039.20.sdv_WdfRequestCreate.0 call28961formal.new.0)) (?v_1463 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..0)) (?v_1464 (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.2)) (?v_1654 (= Mem_3_T.PWDFREQUEST__.11 Mem_3_T.PWDFREQUEST__.8)) (?v_1906 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.52 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.7)) (?v_1473 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_1476 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0)) (?v_1479 (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1481 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestCreate.966.33.11..0 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1483 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.3)) (?v_1487 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_1489 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_1492 (= inline.sdv_MmGetMdlVirtualAddress.1..result.SdvMakeChoice.5444.48.2..0 call31728formal.ret.0)) (?v_1500 (= inline.sdv_MmGetMdlVirtualAddress.1..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0 call31728formal.ret.0)) (?v_1659 (= Mem_2_T.PWDFREQUEST__.11 Mem_2_T.PWDFREQUEST__.8)) (?v_1511 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0)) (?v_1517 (= inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.0)) (?v_1521 (= inline.sdv_SetReturnStatus.4..result.SdvMakeChoice.6131.28.2..0 call31921formal.ret.0)) (?v_1896 (<= 0 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1362 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.5)) (?v_1380 (= inline.sdv_WdfMemoryCreate.1..result.sdv_WdfMemoryCreate.7287.0.1..0 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1392 (= inline.GetSubRequestContext.0..result.GetSubRequestContext.151.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1399 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfMemoryCreate.985.32.14..0 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1400 (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext1.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.5)) (?v_1404 (= inline.sdv_WdfObjectGetTypedContextWorker.8..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.5)) (?v_1426 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0)) (?v_1822 (= errorReached.75 errorReached.67)) (?v_1445 (= inline.sdv_SetReturnStatus.5..result.SdvMakeChoice.6131.28.2..0 call32322formal.ret.0)) (?v_1475 (= inline.sdv_SetReturnStatus.5..choice.1.6131.6.sdv_SetReturnStatus.0 call32322formal.ret.0)) (?v_1657 (= inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1496 (= inline.GetSubRequestContext.0.myNondetVar_0.1 inline.GetSubRequestContext.0.myNondetVar_0.0)) (?v_1498 (= inline.PerformHighSpeedIsochTransfer.0..result.GetSubRequestContext.977.44.13..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1499 (= inline.GetSubRequestContext.0..Handle.1.151.0.GetSubRequestContext.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.5)) (?v_1502 (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_1509 (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1520 (= inline.sdv_WdfMemoryCreate.1..result.sdv_SetReturnStatus.7298.30.2..0 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1845 (=> (= inline.GetSubRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.151.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0) ?v_1918))) (let ((?v_1865 (=> ?v_1517 (=> ?v_1662 (=> ?v_1844 (=> ?v_1520 (=> ?v_1521 (=> ?v_1352 (=> ?v_1916 ?v_1845))))))))) (let ((?v_1867 (=> true (=> ?v_1858 (=> ?v_1358 (=> ?v_1359 (=> ?v_1804 (=> ?v_1323 (=> ?v_1805 (=> ?v_1362 (=> ?v_1642 (=> ?v_1859 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1806 (=> ?v_1324 (=> ?v_1325 (=> ?v_1807 (=> ?v_1370 (=> ?v_1808 (=> ?v_1372 (=> ?v_1709 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1326 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1809 (=> ?v_1810 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1643 (=> ?v_1860 (=> ?v_1388 (=> ?v_1327 (=> ?v_1811 (=> ?v_1812 (=> ?v_1391 (=> ?v_1328 (=> ?v_1644 (=> ?v_1392 (=> ?v_1393 (=> ?v_1813 (=> ?v_1395 (=> ?v_1396 (=> ?v_1329 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1814 (=> ?v_1710 (=> ?v_1403 (=> ?v_1330 (=> ?v_1404 (=> ?v_1331 (=> ?v_1405 (=> ?v_1711 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1861 (=> ?v_1815 (=> ?v_1816 (=> ?v_1645 (=> ?v_1414 (=> ?v_1415 (=> ?v_1646 (=> ?v_1712 (=> ?v_1713 (=> ?v_1817 (=> ?v_1420 (=> ?v_1818 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1332 (=> ?v_1819 (=> ?v_1647 (=> ?v_1426 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_1824 (=> ?v_1431 (=> ?v_1825 (=> ?v_1333 (=> ?v_1714 (=> ?v_1434 (=> ?v_1435 (=> ?v_1334 (=> ?v_1648 (=> ?v_1826 (=> ?v_1649 (=> ?v_1439 (=> ?v_1440 (=> ?v_1827 (=> ?v_1828 (=> ?v_1443 (=> ?v_1715 (=> ?v_1445 (=> ?v_1650 (=> ?v_1829 (=> ?v_1830 (=> ?v_1449 (=> ?v_1450 (=> ?v_1831 (=> ?v_1832 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1833 (=> ?v_1338 (=> ?v_1454 (=> ?v_1339 (=> ?v_1455 (=> ?v_1340 (=> ?v_1456 (=> ?v_1651 (=> ?v_1905 (=> ?v_1652 (=> ?v_1460 (=> ?v_1461 (=> ?v_1341 (=> ?v_1716 (=> ?v_1463 (=> ?v_1464 (=> ?v_1653 (=> ?v_1654 (=> ?v_1717 (=> ?v_1906 (=> ?v_1467 (=> ?v_1718 (=> ?v_1469 (=> ?v_1834 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1835 (=> ?v_1342 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1836 (=> ?v_1479 (=> ?v_1343 (=> ?v_1656 (=> ?v_1344 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.54 inline.PerformHighSpeedIsochTransfer.0.myVar_0.11) (=> ?v_1485 (=> ?v_1345 (=> ?v_1719 (=> ?v_1346 (=> (= k.121 k.103) (=> ?v_1487 (=> ?v_1837 (=> ?v_1489 (=> ?v_1657 (=> ?v_1720 (=> ?v_1658 (=> ?v_1347 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1838 (=> ?v_1496 (=> ?v_1721 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_1659 (=> ?v_1660 (=> ?v_1862 (=> ?v_1839 (=> ?v_1348 (=> ?v_1840 (=> ?v_1349 (=> ?v_1350 (=> ?v_1509 (=> ?v_1661 (=> ?v_1511 (=> ?v_1351 (=> ?v_1863 (=> ?v_1841 (=> ?v_1842 (=> ?v_1843 (=> ?v_1864 ?v_1865)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1869 (=> true (=> true (=> true (=> true (=> true (=> true ?v_1867))))))) (?v_1872 (= k.103 4)) (?v_871 (int_2_U call28961formal.new.0))) (let ((?v_1682 (U_2_int (MapType0Select Mem_4_T.PWDFREQUEST__.8 ?v_871))) (?v_1871 (= k.103 3)) (?v_1680 (U_2_int (MapType0Select Mem_3_T.PWDFREQUEST__.8 ?v_871))) (?v_1870 (= k.103 2)) (?v_1677 (U_2_int (MapType0Select Mem_2_T.PWDFREQUEST__.8 ?v_871))) (?v_1868 (= k.103 1)) (?v_1674 (U_2_int (MapType0Select Mem_1_T.PWDFREQUEST__.8 ?v_871))) (?v_1866 (= k.103 0)) (?v_1319 (U_2_int (MapType0Select Mem_0_T.PWDFREQUEST__.8 ?v_871))) (?v_1857 (<= 0 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_1364 (= inline.IoAllocateMdl.1..choice.6.1324.8.IoAllocateMdl.0 call32543formal.ret.0)) (?v_1410 (= inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..1 inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..0)) (?v_1506 (= inline.IoAllocateMdl.1..result.SdvMakeChoice.1324.30.2..0 call32543formal.ret.0)) (?v_1512 (= inline.PerformHighSpeedIsochTransfer.0..subMdl.34.929.32.PerformHighSpeedIsochTransfer.0 inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..0)) (?v_1516 (= inline.PerformHighSpeedIsochTransfer.0..result.IoAllocateMdl.1017.30.15..0 inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..0))) (let ((?v_1847 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.2 ?v_753) (=> true (=> ?v_1858 (=> ?v_1358 (=> ?v_1359 (=> ?v_1804 (=> ?v_1323 (=> ?v_1805 (=> ?v_1362 (=> ?v_1642 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1806 (=> ?v_1324 (=> ?v_1325 (=> ?v_1807 (=> ?v_1370 (=> ?v_1808 (=> ?v_1372 (=> ?v_1709 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1326 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1809 (=> ?v_1810 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.2) (=> ?v_1643 (=> ?v_1860 (=> ?v_1388 (=> ?v_1327 (=> ?v_1811 (=> ?v_1812 (=> ?v_1391 (=> ?v_1328 (=> ?v_1644 (=> ?v_1392 (=> ?v_1393 (=> ?v_1813 (=> ?v_1395 (=> ?v_1396 (=> ?v_1329 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1814 (=> ?v_1710 (=> ?v_1403 (=> ?v_1330 (=> ?v_1404 (=> ?v_1331 (=> ?v_1405 (=> ?v_1711 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1815 (=> ?v_1816 (=> ?v_1645 (=> ?v_1414 (=> ?v_1415 (=> ?v_1646 (=> ?v_1712 (=> ?v_1713 (=> ?v_1817 (=> ?v_1420 (=> ?v_1818 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1332 (=> ?v_1819 (=> ?v_1647 (=> ?v_1426 (=> ?v_1820 (=> ?v_1821 (=> ?v_1822 (=> ?v_1823 (=> ?v_1824 (=> ?v_1431 (=> ?v_1825 (=> ?v_1333 (=> ?v_1714 (=> ?v_1434 (=> ?v_1435 (=> ?v_1334 (=> ?v_1648 (=> ?v_1826 (=> ?v_1649 (=> ?v_1439 (=> ?v_1440 (=> ?v_1827 (=> ?v_1828 (=> ?v_1443 (=> ?v_1715 (=> ?v_1445 (=> ?v_1650 (=> ?v_1829 (=> ?v_1830 (=> ?v_1449 (=> ?v_1450 (=> ?v_1831 (=> ?v_1832 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1833 (=> ?v_1338 (=> ?v_1454 (=> ?v_1339 (=> ?v_1455 (=> ?v_1340 (=> ?v_1456 (=> ?v_1651 (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.26 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.6) (=> ?v_1652 (=> ?v_1460 (=> ?v_1461 (=> ?v_1341 (=> ?v_1716 (=> ?v_1463 (=> ?v_1464 (=> ?v_1653 (=> ?v_1654 (=> ?v_1717 (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.52 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.12) (=> ?v_1467 (=> ?v_1718 (=> ?v_1469 (=> ?v_1834 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1835 (=> ?v_1342 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1836 (=> ?v_1479 (=> ?v_1343 (=> ?v_1656 (=> ?v_1344 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.54 inline.PerformHighSpeedIsochTransfer.0.myVar_0.17) (=> ?v_1485 (=> ?v_1345 (=> ?v_1719 (=> ?v_1346 (=> (= k.121 k.104) (=> ?v_1487 (=> ?v_1837 (=> ?v_1489 (=> ?v_1657 (=> ?v_1720 (=> ?v_1658 (=> ?v_1347 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1838 (=> ?v_1496 (=> ?v_1721 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_1659 (=> ?v_1660 (=> ?v_1506 (=> ?v_1839 (=> ?v_1348 (=> ?v_1840 (=> ?v_1349 (=> ?v_1350 (=> ?v_1509 (=> ?v_1661 (=> ?v_1511 (=> ?v_1351 (=> ?v_1512 (=> ?v_1841 (=> ?v_1842 (=> ?v_1843 (=> ?v_1516 ?v_1865)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1849 (=> true (=> true (=> true (=> true (=> true (=> true ?v_1847))))))) (?v_1852 (= k.104 4)) (?v_1851 (= k.104 3)) (?v_1850 (= k.104 2)) (?v_1848 (= k.104 1)) (?v_1846 (= k.104 0)) (?v_1267 (= inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..0 0)) (?v_1357 (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.5)) (?v_1360 (= inline.WdfUsbTargetPipeFormatRequestForUrb.1..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 inline.WdfUsbTargetPipeFormatRequestForUrb.1..callresult..2008.114.2.)) (?v_1361 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.1)) (?v_1368 (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.5 inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.3)) (?v_1369 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.0)) (?v_1371 (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.6 inline.PerformHighSpeedIsochTransfer.0.myVar_1.5)) (?v_1384 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.0)) (?v_1385 (= inline.PerformHighSpeedIsochTransfer.0..result.WdfUsbTargetPipeFormatRequestForUrb.1150.52.20..0 inline.WdfUsbTargetPipeFormatRequestForUrb.1..callresult..2008.114.2.)) (?v_1387 (= inline.PerformHighSpeedIsochTransfer.0..virtualAddress.14.760.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.7)) (?v_1389 (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.3 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.1)) (?v_1390 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.0)) (?v_1394 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.1)) (?v_1401 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.1)) (?v_1411 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.0)) (?v_1412 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.1)) (?v_1419 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.0)) (?v_1421 (= inline.PerformHighSpeedIsochTransfer.0..TotalLength.4.623.24.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.8)) (?v_1427 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.0)) (?v_1428 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.0)) (?v_1429 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.1)) (?v_1430 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.1)) (?v_1432 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_4.0)) (?v_1437 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.1)) (?v_1441 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.1)) (?v_1442 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.1)) (?v_1447 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.3 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.1)) (?v_1448 (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..3 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..1)) (?v_1451 (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.3 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.1)) (?v_1452 (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.3 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.1)) (?v_1453 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_2.0)) (?v_1458 (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.26 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.20)) (?v_1655 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.52 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.47)) (?v_1470 (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..2 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..1)) (?v_1474 (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..2 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..1)) (?v_1478 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.0)) (?v_1488 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.1)) (?v_1495 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.1)) (?v_1507 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.0)) (?v_1508 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.0)) (?v_1513 (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.5 inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.3)) (?v_1514 (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.2 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.1)) (?v_1515 (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..3 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..1)) (?v_1519 (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.5 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.1)) (?v_1522 (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.9 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.7) ?v_1845))) (let ((?v_1663 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> ?v_1352 ?v_1522)))))) (let ((?v_1722 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_1659 (=> ?v_1660 (=> ?v_1506 (=> ?v_1507 (=> ?v_1348 (=> ?v_1508 (=> ?v_1349 (=> ?v_1350 (=> ?v_1509 (=> ?v_1661 (=> ?v_1511 (=> ?v_1351 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1662 ?v_1663)))))))))))))))))))))))))))) (let ((?v_1724 (=> true (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1323 (=> ?v_1361 (=> ?v_1362 (=> ?v_1642 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1324 (=> ?v_1325 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1709 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1326 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.WdfUsbTargetPipeFormatRequestForUrb.1..callresult..2008.114.2.) (=> ?v_1643 (=> ?v_1387 (=> ?v_1388 (=> ?v_1327 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1328 (=> ?v_1644 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1329 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1710 (=> ?v_1403 (=> ?v_1330 (=> ?v_1404 (=> ?v_1331 (=> ?v_1405 (=> ?v_1711 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1645 (=> ?v_1414 (=> ?v_1415 (=> ?v_1646 (=> ?v_1712 (=> ?v_1713 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1332 (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.5 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.3) (=> ?v_1647 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> ?v_1822 (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1333 (=> ?v_1714 (=> ?v_1434 (=> ?v_1435 (=> ?v_1334 (=> ?v_1648 (=> ?v_1437 (=> ?v_1649 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1715 (=> ?v_1445 (=> ?v_1650 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1453 (=> ?v_1338 (=> ?v_1454 (=> ?v_1339 (=> ?v_1455 (=> ?v_1340 (=> ?v_1456 (=> ?v_1651 (=> ?v_1458 (=> ?v_1652 (=> ?v_1460 (=> ?v_1461 (=> ?v_1341 (=> ?v_1716 (=> ?v_1463 (=> ?v_1464 (=> ?v_1653 (=> ?v_1654 (=> ?v_1717 (=> ?v_1655 (=> ?v_1467 (=> ?v_1718 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1342 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1343 (=> ?v_1656 (=> ?v_1344 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.54 inline.PerformHighSpeedIsochTransfer.0.myVar_0.41) (=> ?v_1485 (=> ?v_1345 (=> ?v_1719 (=> ?v_1346 (=> (= k.121 k.106) (=> ?v_1487 (=> ?v_1488 (=> ?v_1489 (=> ?v_1657 (=> ?v_1720 (=> ?v_1658 (=> ?v_1347 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1721 ?v_1722)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1726 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1724))))))))))))) (?v_1729 (= k.106 4)) (?v_1728 (= k.106 3)) (?v_1727 (= k.106 2)) (?v_1725 (= k.106 1)) (?v_1723 (= k.106 0)) (?v_1708 (<= 0 inline.WdfUsbTargetPipeFormatRequestForUrb.1..callresult..2008.114.2.)) (?v_1373 (= inline.sdv_WdfCollectionAdd.0..x.3.8407.5.sdv_WdfCollectionAdd.0 call34383formal.ret.0)) (?v_1386 (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..1)) (?v_1402 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionAdd.1169.33.21..0 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..1)) (?v_1406 (= inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1..1 inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1..0)) (?v_1417 (= inline.sdv_WdfCollectionAdd.0..result.SdvMakeChoice.8407.22.2..0 call34383formal.ret.0)) (?v_1418 (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.28)) (?v_1425 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.5 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.4)) (?v_1433 (= inline.sdv_WdfRequestSetCompletionRoutine.1..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.28)) (?v_1444 (= reqCompleteSet_2.8 reqCompleteSet_2.7)) (?v_1462 (= inline.sdv_WdfCollectionAdd.0.myNondetVar_0.2 inline.sdv_WdfCollectionAdd.0.myNondetVar_0.1)) (?v_1466 (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..2 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..1)) (?v_1468 (= reqCompleteSet_1.8 reqCompleteSet_1.7)) (?v_1486 (= reqCompleteSet_3.8 reqCompleteSet_3.7)) (?v_1490 (= reqCompleteSet_4.8 reqCompleteSet_4.7)) (?v_1497 (= reqCompleteSet_0.8 reqCompleteSet_0.7))) (let ((?v_1665 (=> true (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1323 (=> ?v_1361 (=> ?v_1362 (=> ?v_1642 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1324 (=> ?v_1325 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1326 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1643 (=> ?v_1387 (=> ?v_1388 (=> ?v_1327 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1328 (=> ?v_1644 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1329 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1330 (=> ?v_1404 (=> ?v_1331 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1645 (=> ?v_1414 (=> ?v_1415 (=> ?v_1646 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1332 (=> ?v_1425 (=> ?v_1647 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> (= errorReached.75 errorReached.69) (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1333 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1334 (=> ?v_1648 (=> ?v_1437 (=> ?v_1649 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1650 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1453 (=> ?v_1338 (=> ?v_1454 (=> ?v_1339 (=> ?v_1455 (=> ?v_1340 (=> ?v_1456 (=> ?v_1651 (=> ?v_1458 (=> ?v_1652 (=> ?v_1460 (=> ?v_1461 (=> ?v_1341 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1653 (=> ?v_1654 (=> ?v_1466 (=> ?v_1655 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1342 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1343 (=> ?v_1656 (=> ?v_1344 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.54 inline.PerformHighSpeedIsochTransfer.0.myVar_0.40) (=> ?v_1485 (=> ?v_1345 (=> ?v_1486 (=> ?v_1346 (=> (= k.121 k.111) (=> ?v_1487 (=> ?v_1488 (=> ?v_1489 (=> ?v_1657 (=> ?v_1490 (=> ?v_1658 (=> ?v_1347 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 ?v_1722)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1667 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1665))))))))))))) (?v_1670 (= k.111 4)) (?v_1669 (= k.111 3)) (?v_1668 (= k.111 2)) (?v_1666 (= k.111 1)) (?v_1664 (= k.111 0)) (?v_1641 (<= 0 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..1)) (?v_1527 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfObjectContextGetObject.1197.46.23..0 notused_4wdfobject1)) (?v_1363 (= reqCancelSet_3.19 reqCancelSet_3.18)) (?v_1528 (= reqSent_2.8 reqSent_2.7)) (?v_1529 (= Mem_4_T.PWDFREQUEST__.11 Mem_4_T.PWDFREQUEST__.10)) (?v_1530 (= reqSent_1.8 reqSent_1.7)) (?v_1531 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.47)) (?v_1532 (= Mem_1_T.PWDFREQUEST__.11 Mem_1_T.PWDFREQUEST__.10)) (?v_1413 (= reqCancelSet_4.19 reqCancelSet_4.18)) (?v_1416 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty.0 call28964formal.new.0)) (?v_1533 (= Mem_0_T.PWDFREQUEST__.11 Mem_0_T.PWDFREQUEST__.10)) (?v_1436 (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1189.19.22..0 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0)) (?v_1438 (= inline.IsListEmpty.3..ListHead.1.6719.26.IsListEmpty1.0 call28964formal.new.0)) (?v_1446 (= reqCancelSet_1.19 reqCancelSet_1.18)) (?v_1534 (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestSend.1200.26.24..0 call35014formal.ret.0)) (?v_1535 (= inline.sdv_WdfRequestSend.1..result.SdvMakeChoice.7763.32.2..0 call35014formal.ret.0)) (?v_1536 (= inline.sdv_WdfRequestSend.1..retVal.4.7763.10.sdv_WdfRequestSend.0 call35014formal.ret.0)) (?v_1537 (= reqSent_3.8 reqSent_3.7)) (?v_1457 (= inline.IsListEmpty.3.myNondetVar_0.1 inline.IsListEmpty.3.myNondetVar_0.0)) (?v_1459 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable.0 hrequest)) (?v_1538 (= inline.sdv_WdfRequestSend.1..Request.1.7758.18.sdv_WdfRequestSend.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.47)) (?v_1465 (= inline.sdv_WdfRequestMarkCancelable.0..Request.1.7702.18.sdv_WdfRequestMarkCancelable1.0 hrequest)) (?v_1539 (= Mem_3_T.PWDFREQUEST__.11 Mem_3_T.PWDFREQUEST__.10)) (?v_1540 (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.52 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.51)) (?v_1541 (= inline.PerformHighSpeedIsochTransfer.0..thisEntry.29.774.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.51)) (?v_1542 (= inline.sdv_WdfRequestSend.1..result.sdv_WdfRequestSend.7757.0.1..0 call35014formal.ret.0)) (?v_1480 (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..1 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0)) (?v_1543 (= inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.0)) (?v_1491 (= reqCancelSet_2.19 reqCancelSet_2.18)) (?v_1544 (= Mem_2_T.PWDFREQUEST__.11 Mem_2_T.PWDFREQUEST__.10)) (?v_1505 (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0)) (?v_1545 (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0)) (?v_1546 (= reqSent_4.8 reqSent_4.7)) (?v_1547 (= inline.sdv_WdfObjectContextGetObject.1..result.sdv_WdfObjectContextGetObject.6826.0.1..0 notused_4wdfobject1)) (?v_1510 (= reqCancelSet_0.19 reqCancelSet_0.18)) (?v_1548 (= reqSent_0.8 reqSent_0.7)) (?v_1518 (= inline.InsertTailList.0.myNondetVar_0.1 inline.InsertTailList.0.myNondetVar_0.0))) (let ((?v_1549 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 ?v_1663))))))))) (let ((?v_1551 (=> true (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1527 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1528 (=> (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.53) (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> (= inline.sdv_SetReturnStatus.6..result.SdvMakeChoice.6131.28.2..0 call35347formal.ret.0) (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1529 (=> ?v_1387 (=> ?v_1388 (=> ?v_1530 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1531 (=> ?v_1532 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1329 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> (= inline.sdv_WdfRequestGetStatus.1..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.PerformHighSpeedIsochTransfer.0.myVar_0.53) (=> ?v_1404 (=> ?v_1331 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1332 (=> ?v_1425 (=> ?v_1533 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> (= errorReached.75 errorReached.74) (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> (= inline.sdv_WdfRequestGetStatus.1..result.sdv_SetReturnStatus.7782.27.3..0 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> (= inline.sdv_WdfRequestGetStatus.1..result.sdv_WdfRequestGetStatus.7775.0.1..0 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1335 (=> (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1534 (=> ?v_1453 (=> ?v_1535 (=> ?v_1454 (=> ?v_1536 (=> ?v_1455 (=> ?v_1537 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1538 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1539 (=> ?v_1466 (=> ?v_1540 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1541 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1542 (=> ?v_1480 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestGetStatus.1201.40.26..0 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.54 inline.PerformHighSpeedIsochTransfer.0.myVar_0.53) (=> ?v_1485 (=> (= inline.sdv_SetReturnStatus.6..choice.1.6131.6.sdv_SetReturnStatus.0 call35347formal.ret.0) (=> ?v_1486 (=> ?v_1346 (=> (= k.121 k.120) (=> ?v_1487 (=> ?v_1488 (=> ?v_1489 (=> ?v_1543 (=> ?v_1490 (=> ?v_1491 (=> (= inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2..1 inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2..0) (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_1544 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1545 (=> ?v_1508 (=> ?v_1546 (=> ?v_1547 (=> ?v_1509 (=> ?v_1510 (=> ?v_1511 (=> ?v_1548 ?v_1549)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1550 (= call35347formal.ret.0 0))) (let ((?v_1553 (=> true (=> (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_1551))) (?v_1552 (= call35347formal.ret.0 1))) (let ((?v_1561 (and (=> true (=> (not ?v_1550) (=> (not ?v_1552) ?v_1553))) (=> true (=> ?v_1550 (=> true (=> (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..0 ?v_87) (=> true (=> (= inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.6..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1551))))))))))))))))))))) (=> true (=> ?v_1552 (=> true ?v_1553)))))) (let ((?v_1564 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1561)))))))) (?v_1563 (= errorReached.74 errorReached.73)) (?v_1562 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.53 hrequest)) (?v_1559 (= k.120 k.119)) (?v_1560 (= inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2..0 call35393formal.ret.0)) (?v_1554 (= k.119 0)) (?v_1555 (= k.119 1)) (?v_1556 (= k.119 2)) (?v_1557 (= k.119 3)) (?v_1558 (= k.119 4))) (let ((?v_1566 (and (=> true (=> ?v_1562 (=> true (=> (<= k.118 k.119) (=> (< k.119 5) (and (=> true (=> (=> ?v_1554 ?v_12) (=> (=> ?v_1555 ?v_13) (=> (=> ?v_1556 ?v_14) (=> (=> ?v_1557 ?v_15) (=> (=> ?v_1558 ?v_16) (=> true (=> ?v_1559 (=> (= errorReached.74 1) (=> ?v_1560 ?v_1561)))))))))) (=> true (=> (=> ?v_1554 ?v_7) (=> (=> ?v_1555 ?v_8) (=> (=> ?v_1556 ?v_9) (=> (=> ?v_1557 ?v_10) (=> (=> ?v_1558 ?v_11) (=> true (=> ?v_1559 (=> ?v_1563 (=> ?v_1560 ?v_1564)))))))))))))))) (=> true (=> (not ?v_1562) (=> true (=> (= k.120 k.118) (=> ?v_1563 (=> (= inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2..0 inline.sdv_WdfRequestGetStatus.1..result.userContextSwitch.7780.4.2.) ?v_1564))))))))) (let ((?v_1568 (=> true (=> true (=> true (=> true ?v_1566))))) (?v_1571 (= k.118 4)) (?v_1607 (U_2_int (MapType0Select Mem_4_T.PWDFREQUEST__.10 ?v_871))) (?v_1570 (= k.118 3)) (?v_1605 (U_2_int (MapType0Select Mem_3_T.PWDFREQUEST__.10 ?v_871))) (?v_1569 (= k.118 2)) (?v_1602 (U_2_int (MapType0Select Mem_2_T.PWDFREQUEST__.10 ?v_871))) (?v_1567 (= k.118 1)) (?v_1599 (U_2_int (MapType0Select Mem_1_T.PWDFREQUEST__.10 ?v_871))) (?v_1565 (= k.118 0)) (?v_1526 (U_2_int (MapType0Select Mem_0_T.PWDFREQUEST__.10 ?v_871))) (?v_1525 (= call35014formal.ret.0 0)) (?v_1524 (=> true (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1527 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1528 (=> ?v_1325 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1326 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1529 (=> ?v_1387 (=> ?v_1388 (=> ?v_1530 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1531 (=> ?v_1532 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> (= inline.IsListEmpty.4.myNondetVar_0.1 inline.IsListEmpty.4.myNondetVar_0.0) (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1330 (=> ?v_1404 (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty1.0 call28964formal.new.0) (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.IsListEmpty.1214.24.28..0 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0) (=> ?v_1425 (=> ?v_1533 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> (= errorReached.75 errorReached.73) (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1333 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1334 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> (= inline.RemoveHeadList.1.myNondetVar_0.2 inline.RemoveHeadList.1.myNondetVar_0.1) (=> ?v_1336 (=> ?v_1534 (=> ?v_1453 (=> ?v_1535 (=> ?v_1454 (=> ?v_1536 (=> ?v_1455 (=> ?v_1537 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1538 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1539 (=> ?v_1466 (=> ?v_1540 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1541 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1542 (=> ?v_1480 (=> ?v_1344 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.54 inline.PerformHighSpeedIsochTransfer.0.myVar_0.47) (=> ?v_1485 (=> ?v_1345 (=> ?v_1486 (=> (= inline.IsListEmpty.4..ListHead.1.6719.26.IsListEmpty.0 call28964formal.new.0) (=> (= k.121 k.117) (=> ?v_1487 (=> ?v_1488 (=> ?v_1489 (=> ?v_1543 (=> ?v_1490 (=> ?v_1491 (=> ?v_1347 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_1544 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1545 (=> ?v_1508 (=> ?v_1546 (=> ?v_1547 (=> ?v_1509 (=> ?v_1510 (=> ?v_1511 (=> ?v_1548 (=> ?v_1512 (=> ?v_1513 (=> ?v_1514 (=> ?v_1515 (=> ?v_1516 (=> ?v_1517 (=> ?v_1518 (=> ?v_1519 (=> ?v_1520 (=> ?v_1521 (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..1 inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0) ?v_1522))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1523 (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_1356 (not ?v_1525))) (let ((?v_1589 (and (=> true (=> ?v_1356 (=> true (=> (= inline.IsListEmpty.4..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.4.myNondetVar_0.0 call28964formal.new.0))) (and (=> true (=> (not ?v_1523) ?v_1524)) (=> true (=> ?v_1523 (=> true (=> ?v_1241 ?v_1524))))))))) (=> true (=> ?v_1525 (=> true (=> (<= k.117 k.118) (=> (< k.118 5) (and (=> true (=> ?v_1565 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.52 ?v_1526) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.53 inline.PerformHighSpeedIsochTransfer.0.myVar_0.52) ?v_1566))))) (=> true (=> (not ?v_1565) (and (=> true (=> ?v_1567 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.48 ?v_1599) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.53 inline.PerformHighSpeedIsochTransfer.0.myVar_0.48) ?v_1568))))) (=> true (=> (not ?v_1567) (and (=> true (=> ?v_1569 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.49 ?v_1602) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.53 inline.PerformHighSpeedIsochTransfer.0.myVar_0.49) ?v_1568))))) (=> true (=> (not ?v_1569) (and (=> true (=> ?v_1570 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.51 ?v_1605) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.53 inline.PerformHighSpeedIsochTransfer.0.myVar_0.51) ?v_1568))))) (=> true (=> (not ?v_1570) (and (=> true (=> ?v_1571 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.50 ?v_1607) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.53 inline.PerformHighSpeedIsochTransfer.0.myVar_0.50) ?v_1568))))) (=> true (=> (not ?v_1571) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.53 inline.PerformHighSpeedIsochTransfer.0.myVar_0.47) ?v_1568))))))))))))))))))))))))) (let ((?v_1597 (=> true (=> true (=> true (=> true (=> true ?v_1589)))))) (?v_1592 (= reqSent_3.7 reqSent_3)) (?v_1593 (= reqSent_2.7 reqSent_2)) (?v_1594 (= reqSent_4.7 reqSent_4)) (?v_1595 (= reqSent_0.7 reqSent_0)) (?v_1596 (= reqSent_1.7 reqSent_1)) (?v_1591 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.47 hrequest)) (?v_1586 (= k.117 k.116)) (?v_1587 (= errorReached.73 errorReached.72)) (?v_1588 (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0 call35039formal.ret.0))) (let ((?v_1576 (=> true (=> (= reqSent_3.7 reqSent_3.6) (=> (= reqSent_2.7 reqSent_2.6) (=> (= reqSent_4.7 reqSent_4.6) (=> ?v_1586 (=> (= reqSent_0.7 reqSent_0.6) (=> (= reqSent_1.7 reqSent_1.6) (=> ?v_1587 (=> ?v_1588 ?v_1589))))))))))) (let ((?v_1584 (=> true ?v_1576)) (?v_1578 (= reqSent_1.6 reqSent_1)) (?v_1573 (= reqSent_3.6 reqSent_3)) (?v_1579 (= reqSent_0.6 reqSent_0)) (?v_1574 (= reqSent_2.6 reqSent_2)) (?v_1575 (= reqSent_4.6 reqSent_4))) (let ((?v_1580 (=> ?v_1575 ?v_1584))) (let ((?v_1582 (=> ?v_1579 (=> ?v_1574 ?v_1580)))) (let ((?v_1585 (=> ?v_1573 ?v_1582)) (?v_1583 (= k.116 4)) (?v_1581 (= k.116 3)) (?v_1577 (= k.116 2)) (?v_1572 (= k.116 1)) (?v_1355 (= k.116 0))) (let ((?v_1590 (and (=> true (=> ?v_1356 (and (=> true (=> ?v_1355 (=> true (=> ?v_1578 (=> ?v_1573 (=> (= reqSent_0.6 1) (=> ?v_1574 (=> ?v_1575 ?v_1576)))))))) (=> true (=> (not ?v_1355) (and (=> true (=> ?v_1572 (=> true (=> (= reqSent_1.6 1) ?v_1585)))) (=> true (=> (not ?v_1572) (and (=> true (=> ?v_1577 (=> true (=> ?v_1578 (=> ?v_1573 (=> ?v_1579 (=> (= reqSent_2.6 1) ?v_1580))))))) (=> true (=> (not ?v_1577) (and (=> true (=> ?v_1581 (=> true (=> ?v_1578 (=> (= reqSent_3.6 1) ?v_1582))))) (=> true (=> (not ?v_1581) (and (=> true (=> ?v_1583 (=> true (=> ?v_1578 (=> ?v_1573 (=> ?v_1579 (=> ?v_1574 (=> (= reqSent_4.6 1) ?v_1584)))))))) (=> true (=> (not ?v_1583) (=> true (=> ?v_1578 ?v_1585))))))))))))))))))) (=> true (=> ?v_1525 (=> true (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> ?v_1586 (=> ?v_1595 (=> ?v_1596 (=> ?v_1587 (=> ?v_1588 ?v_1597)))))))))))))) (let ((?v_1600 (and (=> true (=> ?v_1591 (=> true (=> (<= k.115 k.116) (=> (< k.116 5) (and (=> true (=> (=> ?v_1355 ?v_12) (=> (=> ?v_1572 ?v_13) (=> (=> ?v_1577 ?v_14) (=> (=> ?v_1581 ?v_15) (=> (=> ?v_1583 ?v_16) (=> true (=> (= errorReached.72 1) ?v_1590)))))))) (=> true (=> (=> ?v_1355 ?v_7) (=> (=> ?v_1572 ?v_8) (=> (=> ?v_1577 ?v_9) (=> (=> ?v_1581 ?v_10) (=> (=> ?v_1583 ?v_11) (=> true (=> (= errorReached.72 errorReached.71) (=> true ?v_1590))))))))))))))) (=> true (=> (not ?v_1591) (=> true (=> ?v_1592 (=> ?v_1593 (=> ?v_1594 (=> (= k.117 k.115) (=> ?v_1595 (=> ?v_1596 (=> (= errorReached.73 errorReached.71) (=> (= inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3..0 inline.sdv_WdfRequestSend.1..result.userContextSwitch.7765.4.3.) ?v_1597)))))))))))))) (let ((?v_1603 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1600)))))))) (?v_1608 (= k.115 4)) (?v_1606 (= k.115 3)) (?v_1604 (= k.115 2)) (?v_1601 (= k.115 1)) (?v_1598 (= k.115 0))) (let ((?v_1614 (=> true (=> (<= k.114 k.115) (=> (< k.115 5) (and (=> true (=> ?v_1598 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.46 ?v_1526) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.47 inline.PerformHighSpeedIsochTransfer.0.myVar_0.46) ?v_1600))))) (=> true (=> (not ?v_1598) (and (=> true (=> ?v_1601 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.44 ?v_1599) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.47 inline.PerformHighSpeedIsochTransfer.0.myVar_0.44) ?v_1603))))) (=> true (=> (not ?v_1601) (and (=> true (=> ?v_1604 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.42 ?v_1602) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.47 inline.PerformHighSpeedIsochTransfer.0.myVar_0.42) ?v_1603))))) (=> true (=> (not ?v_1604) (and (=> true (=> ?v_1606 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.45 ?v_1605) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.47 inline.PerformHighSpeedIsochTransfer.0.myVar_0.45) ?v_1603))))) (=> true (=> (not ?v_1606) (and (=> true (=> ?v_1608 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.43 ?v_1607) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.47 inline.PerformHighSpeedIsochTransfer.0.myVar_0.43) ?v_1603))))) (=> true (=> (not ?v_1608) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.47 inline.PerformHighSpeedIsochTransfer.0.myVar_0.34) ?v_1603)))))))))))))))))))))) (let ((?v_1622 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1614))))))))) (?v_1616 (= Mem_1_T.PWDFREQUEST__.10 Mem_1_T.PWDFREQUEST__.8)) (?v_1611 (= Mem_2_T.PWDFREQUEST__.10 Mem_2_T.PWDFREQUEST__.8)) (?v_1619 (= Mem_0_T.PWDFREQUEST__.10 Mem_0_T.PWDFREQUEST__.8)) (?v_1612 (= Mem_3_T.PWDFREQUEST__.10 Mem_3_T.PWDFREQUEST__.8)) (?v_1613 (= Mem_4_T.PWDFREQUEST__.10 Mem_4_T.PWDFREQUEST__.8))) (let ((?v_1620 (=> ?v_1613 ?v_1622))) (let ((?v_1617 (=> ?v_1619 (=> ?v_1612 ?v_1620)))) (let ((?v_1624 (=> ?v_1611 ?v_1617)) (?v_1623 (= k.114 4)) (?v_1621 (= k.114 3)) (?v_1618 (= k.114 2)) (?v_1615 (= k.114 1)) (?v_1609 (= k.114 0)) (?v_1354 (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0 0))) (let ((?v_1640 (=> true (=> (= inline.IsListEmpty.3..result.IsListEmpty.6718.0.1..0 (LIFT (IntEqual inline.IsListEmpty.3.myNondetVar_0.0 call28964formal.new.0))) (and (=> true (=> (not ?v_1354) (=> true (=> ?v_1357 (=> ?v_1358 (=> ?v_1359 (=> ?v_1360 (=> ?v_1323 (=> ?v_1361 (=> ?v_1362 (=> ?v_1363 (=> ?v_1364 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1368 (=> ?v_1324 (=> ?v_1325 (=> ?v_1369 (=> ?v_1370 (=> ?v_1371 (=> ?v_1372 (=> ?v_1373 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1326 (=> ?v_1380 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1384 (=> ?v_1385 (=> ?v_1386 (=> ?v_1643 (=> ?v_1387 (=> ?v_1388 (=> ?v_1327 (=> ?v_1389 (=> ?v_1390 (=> ?v_1391 (=> ?v_1328 (=> ?v_1644 (=> ?v_1392 (=> ?v_1393 (=> ?v_1394 (=> ?v_1395 (=> ?v_1396 (=> ?v_1329 (=> ?v_1397 (=> ?v_1398 (=> ?v_1399 (=> ?v_1400 (=> ?v_1401 (=> ?v_1402 (=> ?v_1403 (=> ?v_1330 (=> ?v_1404 (=> ?v_1331 (=> ?v_1405 (=> ?v_1406 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1410 (=> ?v_1411 (=> ?v_1412 (=> ?v_1413 (=> ?v_1414 (=> ?v_1415 (=> ?v_1416 (=> ?v_1417 (=> ?v_1418 (=> ?v_1419 (=> ?v_1420 (=> ?v_1421 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1332 (=> ?v_1425 (=> ?v_1647 (=> ?v_1426 (=> ?v_1427 (=> ?v_1428 (=> (= errorReached.75 errorReached.71) (=> ?v_1429 (=> ?v_1430 (=> ?v_1431 (=> ?v_1432 (=> ?v_1333 (=> ?v_1433 (=> ?v_1434 (=> ?v_1435 (=> ?v_1334 (=> ?v_1436 (=> ?v_1437 (=> ?v_1438 (=> ?v_1439 (=> ?v_1440 (=> ?v_1441 (=> ?v_1442 (=> ?v_1443 (=> ?v_1444 (=> ?v_1445 (=> ?v_1446 (=> ?v_1447 (=> ?v_1448 (=> ?v_1449 (=> ?v_1450 (=> ?v_1451 (=> ?v_1452 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1453 (=> ?v_1338 (=> ?v_1454 (=> ?v_1339 (=> ?v_1455 (=> ?v_1340 (=> ?v_1456 (=> ?v_1457 (=> ?v_1458 (=> ?v_1459 (=> ?v_1460 (=> ?v_1461 (=> ?v_1341 (=> ?v_1462 (=> ?v_1463 (=> ?v_1464 (=> ?v_1465 (=> ?v_1654 (=> ?v_1466 (=> ?v_1655 (=> ?v_1467 (=> ?v_1468 (=> ?v_1469 (=> ?v_1470 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1474 (=> ?v_1342 (=> ?v_1475 (=> ?v_1476 (=> ?v_1477 (=> ?v_1478 (=> ?v_1479 (=> ?v_1343 (=> ?v_1480 (=> ?v_1344 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.54 inline.PerformHighSpeedIsochTransfer.0.myVar_0.34) (=> ?v_1485 (=> ?v_1345 (=> ?v_1486 (=> ?v_1346 (=> (= k.121 k.113) (=> ?v_1487 (=> ?v_1488 (=> ?v_1489 (=> ?v_1657 (=> ?v_1490 (=> ?v_1491 (=> ?v_1347 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1495 (=> ?v_1496 (=> ?v_1497 (=> ?v_1498 (=> ?v_1499 (=> ?v_1500 (=> ?v_1501 (=> ?v_1502 (=> ?v_1503 (=> ?v_1504 (=> ?v_1659 (=> ?v_1505 (=> ?v_1506 (=> ?v_1507 (=> ?v_1348 (=> ?v_1508 (=> ?v_1349 (=> ?v_1350 (=> ?v_1509 (=> ?v_1510 (=> ?v_1511 (=> ?v_1351 ?v_1549))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_1354 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..subReqContext.26.772.28.PerformHighSpeedIsochTransfer.0 (MINUS_LEFT_PTR inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.51 1 12)) (=> true (=> (<= k.113 k.114) (=> (< k.114 5) (and (=> true (=> ?v_1609 (=> (= Mem_0_T.PWDFREQUEST__.9 (MapType0Store Mem_0_T.PWDFREQUEST__.8 ?v_871 ?v_1610)) (=> true (=> ?v_1616 (=> ?v_1611 (=> (= Mem_0_T.PWDFREQUEST__.10 Mem_0_T.PWDFREQUEST__.9) (=> ?v_1612 (=> ?v_1613 ?v_1614))))))))) (=> true (=> (not ?v_1609) (and (=> true (=> ?v_1615 (=> (= Mem_1_T.PWDFREQUEST__.9 (MapType0Store Mem_1_T.PWDFREQUEST__.8 ?v_871 ?v_1610)) (=> true (=> (= Mem_1_T.PWDFREQUEST__.10 Mem_1_T.PWDFREQUEST__.9) ?v_1624))))) (=> true (=> (not ?v_1615) (and (=> true (=> ?v_1618 (=> (= Mem_2_T.PWDFREQUEST__.9 (MapType0Store Mem_2_T.PWDFREQUEST__.8 ?v_871 ?v_1610)) (=> true (=> ?v_1616 (=> (= Mem_2_T.PWDFREQUEST__.10 Mem_2_T.PWDFREQUEST__.9) ?v_1617)))))) (=> true (=> (not ?v_1618) (and (=> true (=> ?v_1621 (=> (= Mem_3_T.PWDFREQUEST__.9 (MapType0Store Mem_3_T.PWDFREQUEST__.8 ?v_871 ?v_1610)) (=> true (=> ?v_1616 (=> ?v_1611 (=> ?v_1619 (=> (= Mem_3_T.PWDFREQUEST__.10 Mem_3_T.PWDFREQUEST__.9) ?v_1620)))))))) (=> true (=> (not ?v_1621) (and (=> true (=> ?v_1623 (=> (= Mem_4_T.PWDFREQUEST__.9 (MapType0Store Mem_4_T.PWDFREQUEST__.8 ?v_871 ?v_1610)) (=> true (=> ?v_1616 (=> ?v_1611 (=> ?v_1619 (=> ?v_1612 (=> (= Mem_4_T.PWDFREQUEST__.10 Mem_4_T.PWDFREQUEST__.9) ?v_1622))))))))) (=> true (=> (not ?v_1623) (=> true (=> ?v_1616 ?v_1624))))))))))))))))))))))))))))) (let ((?v_1629 (=> true (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0 call34576formal.ret.0) (=> (= reqCancelSet_2.18 reqCancelSet_2.17) (=> (= reqCancelSet_4.18 reqCancelSet_4.17) (=> (= k.113 k.112) (=> (= errorReached.71 errorReached.70) (=> (= reqCancelSet_1.18 reqCancelSet_1.17) (=> (= reqCancelSet_0.18 reqCancelSet_0.17) (=> (= reqCancelSet_3.18 reqCancelSet_3.17) ?v_1640))))))))))) (let ((?v_1635 (=> true ?v_1629)) (?v_1631 (= reqCancelSet_0.17 reqCancelSet_0)) (?v_1626 (= reqCancelSet_4.17 reqCancelSet_4)) (?v_1627 (= reqCancelSet_2.17 reqCancelSet_2)) (?v_1632 (= reqCancelSet_1.17 reqCancelSet_1)) (?v_1628 (= reqCancelSet_3.17 reqCancelSet_3))) (let ((?v_1633 (=> ?v_1628 ?v_1635))) (let ((?v_1637 (=> ?v_1632 ?v_1633))) (let ((?v_1638 (=> ?v_1627 ?v_1637)) (?v_1636 (= k.112 4)) (?v_1634 (= k.112 3)) (?v_1630 (= k.112 2)) (?v_1625 (= k.112 1)) (?v_1322 (= k.112 0))) (let ((?v_1639 (and (=> true (=> ?v_1322 (=> true (=> (= reqCancelSet_0.17 1) (=> ?v_1626 (=> ?v_1627 (=> ?v_1632 (=> ?v_1628 ?v_1629)))))))) (=> true (=> (not ?v_1322) (and (=> true (=> ?v_1625 (=> true (=> ?v_1631 (=> ?v_1626 (=> ?v_1627 (=> (= reqCancelSet_1.17 1) ?v_1633))))))) (=> true (=> (not ?v_1625) (and (=> true (=> ?v_1630 (=> true (=> ?v_1631 (=> ?v_1626 (=> (= reqCancelSet_2.17 1) ?v_1637)))))) (=> true (=> (not ?v_1630) (and (=> true (=> ?v_1634 (=> true (=> ?v_1631 (=> ?v_1626 (=> ?v_1627 (=> ?v_1632 (=> (= reqCancelSet_3.17 1) ?v_1635)))))))) (=> true (=> (not ?v_1634) (and (=> true (=> ?v_1636 (=> true (=> ?v_1631 (=> (= reqCancelSet_4.17 1) ?v_1638))))) (=> true (=> (not ?v_1636) (=> true (=> ?v_1631 (=> ?v_1626 ?v_1638)))))))))))))))))))) (let ((?v_1672 (and (=> true (=> ?v_1641 (and (=> true (=> ?v_33 (=> true (=> (<= k.110 k.112) (=> (< k.112 5) (and (=> true (=> (=> ?v_1322 ?v_12) (=> (=> ?v_1625 ?v_13) (=> (=> ?v_1630 ?v_14) (=> (=> ?v_1634 ?v_15) (=> (=> ?v_1636 ?v_16) (=> true (=> (= errorReached.70 1) ?v_1639)))))))) (=> true (=> (=> ?v_1322 ?v_7) (=> (=> ?v_1625 ?v_8) (=> (=> ?v_1630 ?v_9) (=> (=> ?v_1634 ?v_10) (=> (=> ?v_1636 ?v_11) (=> true (=> (= errorReached.70 errorReached.69) (=> true ?v_1639))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1..0 inline.sdv_WdfRequestMarkCancelable.0..result.userContextSwitch.7707.4.1.) (=> (= reqCancelSet_2.18 reqCancelSet_2) (=> (= reqCancelSet_4.18 reqCancelSet_4) (=> (= k.113 k.110) (=> (= errorReached.71 errorReached.69) (=> (= reqCancelSet_1.18 reqCancelSet_1) (=> (= reqCancelSet_0.18 reqCancelSet_0) (=> (= reqCancelSet_3.18 reqCancelSet_3) (=> true (=> true (=> true (=> true (=> true (=> true ?v_1640)))))))))))))))))))) (=> true (=> (not ?v_1641) (=> true (=> (<= k.110 k.111) (=> (< k.111 5) (and (=> true (=> ?v_1664 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.35 ?v_1319) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.40 inline.PerformHighSpeedIsochTransfer.0.myVar_0.35) ?v_1665))))) (=> true (=> (not ?v_1664) (and (=> true (=> ?v_1666 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.36 ?v_1674) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.40 inline.PerformHighSpeedIsochTransfer.0.myVar_0.36) ?v_1667))))) (=> true (=> (not ?v_1666) (and (=> true (=> ?v_1668 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.37 ?v_1677) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.40 inline.PerformHighSpeedIsochTransfer.0.myVar_0.37) ?v_1667))))) (=> true (=> (not ?v_1668) (and (=> true (=> ?v_1669 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.39 ?v_1680) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.40 inline.PerformHighSpeedIsochTransfer.0.myVar_0.39) ?v_1667))))) (=> true (=> (not ?v_1669) (and (=> true (=> ?v_1670 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.38 ?v_1682) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.40 inline.PerformHighSpeedIsochTransfer.0.myVar_0.38) ?v_1667))))) (=> true (=> (not ?v_1670) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.40 inline.PerformHighSpeedIsochTransfer.0.myVar_0.34) ?v_1667)))))))))))))))))))))))) (?v_1671 (= call34383formal.ret.0 0))) (let ((?v_1675 (and (=> true (=> (not ?v_1671) (=> true (=> (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..0 ?v_1321) (=> true (=> (= inline.sdv_WdfCollectionAdd.0.myNondetVar_0.1 inline.sdv_WdfCollectionAdd.0.myNondetVar_0) (=> (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..1 inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..0) ?v_1672))))))) (=> true (=> ?v_1671 (=> true (=> (= inline.sdv_WdfCollectionAdd.0.myNondetVar_0.1 inline.sdv_WdfCollectionAdd.0.myNondetVar_0.0) (=> (= inline.sdv_WdfCollectionAdd.0..result.sdv_WdfCollectionAdd.8402.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_1672))))))))))))) (let ((?v_1678 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1675)))))))) (?v_1683 (= k.110 4)) (?v_1681 (= k.110 3)) (?v_1679 (= k.110 2)) (?v_1676 (= k.110 1)) (?v_1673 (= k.110 0))) (let ((?v_1700 (=> true (=> (<= k.109 k.110) (=> (< k.110 5) (and (=> true (=> ?v_1673 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.31 ?v_1319) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.34 inline.PerformHighSpeedIsochTransfer.0.myVar_0.31) ?v_1675))))) (=> true (=> (not ?v_1673) (and (=> true (=> ?v_1676 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.32 ?v_1674) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.34 inline.PerformHighSpeedIsochTransfer.0.myVar_0.32) ?v_1678))))) (=> true (=> (not ?v_1676) (and (=> true (=> ?v_1679 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.29 ?v_1677) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.34 inline.PerformHighSpeedIsochTransfer.0.myVar_0.29) ?v_1678))))) (=> true (=> (not ?v_1679) (and (=> true (=> ?v_1681 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.33 ?v_1680) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.34 inline.PerformHighSpeedIsochTransfer.0.myVar_0.33) ?v_1678))))) (=> true (=> (not ?v_1681) (and (=> true (=> ?v_1683 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.30 ?v_1682) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.34 inline.PerformHighSpeedIsochTransfer.0.myVar_0.30) ?v_1678))))) (=> true (=> (not ?v_1683) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.34 inline.PerformHighSpeedIsochTransfer.0.myVar_0.28) ?v_1678))))))))))))))))))))) (?v_1699 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.28 hrequest))) (let ((?v_1688 (=> true (=> (= reqCompleteSet_2.7 reqCompleteSet_2.6) (=> (= reqCompleteSet_4.7 reqCompleteSet_4.6) (=> (= reqCompleteSet_1.7 reqCompleteSet_1.6) (=> (= reqCompleteSet_0.7 reqCompleteSet_0.6) (=> (= k.109 k.108) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1..0 call34126formal.ret.0) (=> (= errorReached.69 errorReached.68) (=> (= reqCompleteSet_3.7 reqCompleteSet_3.6) ?v_1700))))))))))) (let ((?v_1692 (=> true ?v_1688)) (?v_1690 (= reqCompleteSet_1.6 reqCompleteSet_1)) (?v_1685 (= reqCompleteSet_3.6 reqCompleteSet_3)) (?v_1686 (= reqCompleteSet_4.6 reqCompleteSet_4)) (?v_1691 (= reqCompleteSet_0.6 reqCompleteSet_0)) (?v_1687 (= reqCompleteSet_2.6 reqCompleteSet_2))) (let ((?v_1696 (=> ?v_1691 (=> ?v_1687 ?v_1692)))) (let ((?v_1694 (=> ?v_1686 ?v_1696))) (let ((?v_1697 (=> ?v_1685 ?v_1694)) (?v_1695 (= k.108 4)) (?v_1693 (= k.108 3)) (?v_1689 (= k.108 2)) (?v_1684 (= k.108 1)) (?v_1320 (= k.108 0))) (let ((?v_1698 (and (=> true (=> ?v_1320 (=> true (=> ?v_1690 (=> ?v_1685 (=> ?v_1686 (=> (= reqCompleteSet_0.6 1) (=> ?v_1687 ?v_1688)))))))) (=> true (=> (not ?v_1320) (and (=> true (=> ?v_1684 (=> true (=> (= reqCompleteSet_1.6 1) ?v_1697)))) (=> true (=> (not ?v_1684) (and (=> true (=> ?v_1689 (=> true (=> ?v_1690 (=> ?v_1685 (=> ?v_1686 (=> ?v_1691 (=> (= reqCompleteSet_2.6 1) ?v_1692)))))))) (=> true (=> (not ?v_1689) (and (=> true (=> ?v_1693 (=> true (=> ?v_1690 (=> (= reqCompleteSet_3.6 1) ?v_1694))))) (=> true (=> (not ?v_1693) (and (=> true (=> ?v_1695 (=> true (=> ?v_1690 (=> ?v_1685 (=> (= reqCompleteSet_4.6 1) ?v_1696)))))) (=> true (=> (not ?v_1695) (=> true (=> ?v_1690 ?v_1697))))))))))))))))))) (let ((?v_1702 (and (=> true (=> ?v_1699 (=> true (=> (<= k.107 k.108) (=> (< k.108 5) (and (=> true (=> (=> ?v_1320 ?v_12) (=> (=> ?v_1684 ?v_13) (=> (=> ?v_1689 ?v_14) (=> (=> ?v_1693 ?v_15) (=> (=> ?v_1695 ?v_16) (=> true (=> (= errorReached.68 1) ?v_1698)))))))) (=> true (=> (=> ?v_1320 ?v_7) (=> (=> ?v_1684 ?v_8) (=> (=> ?v_1689 ?v_9) (=> (=> ?v_1693 ?v_10) (=> (=> ?v_1695 ?v_11) (=> true (=> (= errorReached.68 errorReached.67) (=> true ?v_1698))))))))))))))) (=> true (=> (not ?v_1699) (=> true (=> (= reqCompleteSet_2.7 reqCompleteSet_2) (=> (= reqCompleteSet_4.7 reqCompleteSet_4) (=> (= reqCompleteSet_1.7 reqCompleteSet_1) (=> (= reqCompleteSet_0.7 reqCompleteSet_0) (=> (= k.109 k.107) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1..0 inline.sdv_WdfRequestSetCompletionRoutine.1..result.userContextSwitch.7028.4.1.) (=> (= errorReached.69 errorReached.67) (=> (= reqCompleteSet_3.7 reqCompleteSet_3) (=> true (=> true (=> true ?v_1700))))))))))))))))) (let ((?v_1704 (=> true (=> true (=> true (=> true ?v_1702))))) (?v_1707 (= k.107 4)) (?v_1706 (= k.107 3)) (?v_1705 (= k.107 2)) (?v_1703 (= k.107 1)) (?v_1701 (= k.107 0))) (let ((?v_1731 (and (=> true (=> ?v_1708 (=> true (=> (<= k.105 k.107) (=> (< k.107 5) (and (=> true (=> ?v_1701 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.20 ?v_1319) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.28 inline.PerformHighSpeedIsochTransfer.0.myVar_0.20) ?v_1702))))) (=> true (=> (not ?v_1701) (and (=> true (=> ?v_1703 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.22 ?v_1674) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.28 inline.PerformHighSpeedIsochTransfer.0.myVar_0.22) ?v_1704))))) (=> true (=> (not ?v_1703) (and (=> true (=> ?v_1705 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.21 ?v_1677) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.28 inline.PerformHighSpeedIsochTransfer.0.myVar_0.21) ?v_1704))))) (=> true (=> (not ?v_1705) (and (=> true (=> ?v_1706 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.25 ?v_1680) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.28 inline.PerformHighSpeedIsochTransfer.0.myVar_0.25) ?v_1704))))) (=> true (=> (not ?v_1706) (and (=> true (=> ?v_1707 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.27 ?v_1682) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.28 inline.PerformHighSpeedIsochTransfer.0.myVar_0.27) ?v_1704))))) (=> true (=> (not ?v_1707) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.28 inline.PerformHighSpeedIsochTransfer.0.myVar_0.5) ?v_1704)))))))))))))))))))))) (=> true (=> (not ?v_1708) (=> true (=> (<= k.105 k.106) (=> (< k.106 5) (and (=> true (=> ?v_1723 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.18 ?v_1319) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.41 inline.PerformHighSpeedIsochTransfer.0.myVar_0.18) ?v_1724))))) (=> true (=> (not ?v_1723) (and (=> true (=> ?v_1725 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.19 ?v_1674) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.41 inline.PerformHighSpeedIsochTransfer.0.myVar_0.19) ?v_1726))))) (=> true (=> (not ?v_1725) (and (=> true (=> ?v_1727 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.23 ?v_1677) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.41 inline.PerformHighSpeedIsochTransfer.0.myVar_0.23) ?v_1726))))) (=> true (=> (not ?v_1727) (and (=> true (=> ?v_1728 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.24 ?v_1680) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.41 inline.PerformHighSpeedIsochTransfer.0.myVar_0.24) ?v_1726))))) (=> true (=> (not ?v_1728) (and (=> true (=> ?v_1729 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.26 ?v_1682) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.41 inline.PerformHighSpeedIsochTransfer.0.myVar_0.26) ?v_1726))))) (=> true (=> (not ?v_1729) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.41 inline.PerformHighSpeedIsochTransfer.0.myVar_0.5) ?v_1726))))))))))))))))))))))))) (let ((?v_1733 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1731))))))))))) (?v_1736 (= k.105 4)) (?v_1735 (= k.105 3)) (?v_1734 (= k.105 2)) (?v_1732 (= k.105 1)) (?v_1730 (= k.105 0))) (let ((?v_1791 (=> true (=> (<= k.102 k.105) (=> (< k.105 5) (and (=> true (=> ?v_1730 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.0 ?v_1319) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.5 inline.PerformHighSpeedIsochTransfer.0.myVar_1.0) ?v_1731))))) (=> true (=> (not ?v_1730) (and (=> true (=> ?v_1732 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.4 ?v_1674) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.5 inline.PerformHighSpeedIsochTransfer.0.myVar_1.4) ?v_1733))))) (=> true (=> (not ?v_1732) (and (=> true (=> ?v_1734 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.2 ?v_1677) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.5 inline.PerformHighSpeedIsochTransfer.0.myVar_1.2) ?v_1733))))) (=> true (=> (not ?v_1734) (and (=> true (=> ?v_1735 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.3 ?v_1680) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.5 inline.PerformHighSpeedIsochTransfer.0.myVar_1.3) ?v_1733))))) (=> true (=> (not ?v_1735) (and (=> true (=> ?v_1736 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.1 ?v_1682) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.5 inline.PerformHighSpeedIsochTransfer.0.myVar_1.1) ?v_1733))))) (=> true (=> (not ?v_1736) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_1.5 inline.PerformHighSpeedIsochTransfer.0.myVar_1) ?v_1733)))))))))))))))))))))) (let ((?v_1792 (=> true (and ?v_1269 (=> ?v_1269 (and ?v_1270 (=> ?v_1270 (and ?v_0 (=> ?v_0 (and ?v_1753 (=> ?v_1753 (and ?v_1754 (=> ?v_1754 (and ?v_1755 (=> ?v_1755 (and ?v_1756 (=> ?v_1756 (and ?v_1757 (=> ?v_1757 (and ?v_1758 (=> ?v_1758 (and ?v_1759 (=> ?v_1759 (and ?v_1760 (=> ?v_1760 (and ?v_1761 (=> ?v_1761 (and ?v_1762 (=> ?v_1762 (and ?v_1763 (=> ?v_1763 (and ?v_1764 (=> ?v_1764 (and ?v_1765 (=> ?v_1765 (and ?v_1766 (=> ?v_1766 (and ?v_1767 (=> ?v_1767 (and ?v_1768 (=> ?v_1768 (and ?v_1769 (=> ?v_1769 (and ?v_1770 (=> ?v_1770 (and ?v_1771 (=> ?v_1771 (and ?v_1772 (=> ?v_1772 (and ?v_1773 (=> ?v_1773 (and ?v_1774 (=> ?v_1774 (and ?v_1775 (=> ?v_1775 (and ?v_1776 (=> ?v_1776 (and ?v_1777 (=> ?v_1777 (and ?v_1778 (=> ?v_1778 (and ?v_1779 (=> ?v_1779 (and ?v_1780 (=> ?v_1780 (and ?v_1781 (=> ?v_1781 (and ?v_1782 (=> ?v_1782 (=> (forall ((?f12 Int)) (! (let ((?v_4066 (MapType0Select alloc.29 (int_2_U (Base ?f12))))) (or (= ?v_4066 UNALLOCATED) (= ?v_4066 ?v_4066))) :pattern ((MapType0Select alloc.29 (int_2_U (Base ?f12)))) )) (=> true (=> ?v_1269 (=> ?v_1270 (=> ?v_0 (=> ?v_1753 (=> ?v_1754 (=> ?v_1755 (=> ?v_1756 (=> ?v_1757 (=> ?v_1758 (=> ?v_1759 (=> ?v_1760 (=> ?v_1761 (=> ?v_1762 (=> ?v_1763 (=> ?v_1764 (=> ?v_1765 (=> ?v_1766 (=> ?v_1767 (=> ?v_1768 (=> ?v_1769 (=> ?v_1770 (=> ?v_1771 (=> ?v_1772 (=> ?v_1773 (=> ?v_1774 (=> ?v_1775 (=> ?v_1776 (=> ?v_1777 (=> ?v_1778 (=> ?v_1779 (=> ?v_1780 (=> ?v_1781 (=> ?v_1782 (=> (forall ((?f11 Int)) (! (let ((?v_4067 (MapType0Select alloc.29 (int_2_U (Base ?f11))))) (or (= ?v_4067 UNALLOCATED) (= ?v_4067 ?v_4067))) :pattern ((MapType0Select alloc.29 (int_2_U (Base ?f11)))) )) (and (=> true (=> ?v_1790 (and (=> true (=> (not ?v_1784) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.11 (PLUS inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.0 1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.3 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.2 1 1)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.12 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.36 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2 1)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.3) (=> ?v_1789 (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.11) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.17 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.12) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.41 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.36) ?v_1786)))))))))))))) (=> true (=> ?v_1784 (and (=> true (=> (not ?v_1787) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.14 (PLUS inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.0 1 ?v_1785)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.15 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.39 ?v_1785 1)) (=> true (=> ?v_1788 (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.3 0) (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.14) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.17 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.15) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.41 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.39) ?v_1786)))))))))))) (=> true (=> ?v_1787 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.13 (PLUS inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.0 1 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.16 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.40 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 1)) (=> true (=> ?v_1788 (=> ?v_1789 (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.13) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.17 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.16) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.41 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.40) ?v_1786)))))))))))))))))) (=> true (=> (not ?v_1790) (=> true (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.1 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.0 0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached) (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.1 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..1 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17.) (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.4 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.5 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.1 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..1 call36327formal.ret.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.0 alloc.29) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.20 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.10) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..1 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18.) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException) (=> (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..1 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1.) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.0) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.1 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1) (=> (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.1 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.0 k.102) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.46 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.33) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.0 errorReached.67) ?v_1791)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1744 (not ?v_1283)) (?v_1743 (not ?v_1281)) (?v_1742 (not ?v_1279)) (?v_1740 (not ?v_1277)) (?v_1738 (not ?v_1268))) (let ((?v_1793 (and (=> true (=> ?v_1268 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0 reqSent_0) ?v_1792)))) (=> true (=> ?v_1738 (and (=> true (=> ?v_1277 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0 reqSent_1) ?v_1792)))) (=> true (=> ?v_1740 (and (=> true (=> ?v_1279 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0 reqSent_2) ?v_1792)))) (=> true (=> ?v_1742 (and (=> true (=> ?v_1281 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0 reqSent_3) ?v_1792)))) (=> true (=> ?v_1743 (and (=> true (=> ?v_1283 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0 reqSent_4) ?v_1792)))) (=> true (=> ?v_1744 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent) ?v_1792))))))))))))))))))) (let ((?v_1794 (=> true ?v_1793))) (let ((?v_1795 (and (=> true (=> ?v_1268 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0 reqCompleted_0) ?v_1793)))) (=> true (=> ?v_1738 (and (=> true (=> ?v_1277 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0 reqCompleted_1) ?v_1794)))) (=> true (=> ?v_1740 (and (=> true (=> ?v_1279 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0 reqCompleted_2) ?v_1794)))) (=> true (=> ?v_1742 (and (=> true (=> ?v_1281 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0 reqCompleted_3) ?v_1794)))) (=> true (=> ?v_1743 (and (=> true (=> ?v_1283 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0 reqCompleted_4) ?v_1794)))) (=> true (=> ?v_1744 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted) ?v_1794))))))))))))))))))) (let ((?v_1796 (=> true ?v_1795))) (let ((?v_1797 (and (=> true (=> ?v_1268 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0 reqCompleteSet_0) ?v_1795)))) (=> true (=> ?v_1738 (and (=> true (=> ?v_1277 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0 reqCompleteSet_1) ?v_1796)))) (=> true (=> ?v_1740 (and (=> true (=> ?v_1279 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0 reqCompleteSet_2) ?v_1796)))) (=> true (=> ?v_1742 (and (=> true (=> ?v_1281 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0 reqCompleteSet_3) ?v_1796)))) (=> true (=> ?v_1743 (and (=> true (=> ?v_1283 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0 reqCompleteSet_4) ?v_1796)))) (=> true (=> ?v_1744 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet) ?v_1796))))))))))))))))))) (let ((?v_1798 (=> true ?v_1797))) (let ((?v_1799 (and (=> true (=> ?v_1268 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0 reqCancelStarted_0) ?v_1797)))) (=> true (=> ?v_1738 (and (=> true (=> ?v_1277 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0 reqCancelStarted_1) ?v_1798)))) (=> true (=> ?v_1740 (and (=> true (=> ?v_1279 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0 reqCancelStarted_2) ?v_1798)))) (=> true (=> ?v_1742 (and (=> true (=> ?v_1281 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0 reqCancelStarted_3) ?v_1798)))) (=> true (=> ?v_1743 (and (=> true (=> ?v_1283 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0 reqCancelStarted_4) ?v_1798)))) (=> true (=> ?v_1744 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted) ?v_1798))))))))))))))))))) (let ((?v_1800 (=> true ?v_1799))) (let ((?v_1801 (and (=> true (=> ?v_1268 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0 reqCancelSet_0) ?v_1799)))) (=> true (=> ?v_1738 (and (=> true (=> ?v_1277 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0 reqCancelSet_1) ?v_1800)))) (=> true (=> ?v_1740 (and (=> true (=> ?v_1279 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0 reqCancelSet_2) ?v_1800)))) (=> true (=> ?v_1742 (and (=> true (=> ?v_1281 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0 reqCancelSet_3) ?v_1800)))) (=> true (=> ?v_1743 (and (=> true (=> ?v_1283 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0 reqCancelSet_4) ?v_1800)))) (=> true (=> ?v_1744 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet) ?v_1800))))))))))))))))))) (let ((?v_1802 (=> true ?v_1801)) (?v_1737 (=> true (and ?v_1269 (=> ?v_1269 (and ?v_1270 (=> ?v_1270 (and ?v_0 (=> ?v_0 (and ?v_1271 (=> ?v_1271 (and ?v_1272 (=> ?v_1272 (and ?v_1273 (=> ?v_1273 (and ?v_1274 (=> ?v_1274 (and ?v_1275 (=> ?v_1275 (and ?v_1276 (=> ?v_1276 (and ?v_1278 (=> ?v_1278 (and ?v_1280 (=> ?v_1280 (and ?v_1282 (=> ?v_1282 (and ?v_1284 (=> ?v_1284 (and ?v_1285 (=> ?v_1285 (and ?v_1286 (=> ?v_1286 (and ?v_1287 (=> ?v_1287 (and ?v_1288 (=> ?v_1288 (and ?v_1289 (=> ?v_1289 (and ?v_1290 (=> ?v_1290 (and ?v_1291 (=> ?v_1291 (and ?v_1292 (=> ?v_1292 (and ?v_1293 (=> ?v_1293 (and ?v_1294 (=> ?v_1294 (and ?v_1295 (=> ?v_1295 (and ?v_1296 (=> ?v_1296 (and ?v_1297 (=> ?v_1297 (and ?v_1298 (=> ?v_1298 (and ?v_1299 (=> ?v_1299 (and ?v_1300 (=> ?v_1300 (and ?v_1301 (=> ?v_1301 (and ?v_1302 (=> ?v_1302 (and ?v_1303 (=> ?v_1303 (and ?v_1304 (=> ?v_1304 (=> (forall ((?f14 Int)) (! (let ((?v_4068 (MapType0Select alloc.29 (int_2_U (Base ?f14))))) (or (= ?v_4068 UNALLOCATED) (= ?v_4068 ?v_4068))) :pattern ((MapType0Select alloc.29 (int_2_U (Base ?f14)))) )) (=> true (=> ?v_1269 (=> ?v_1270 (=> ?v_0 (=> ?v_1271 (=> ?v_1272 (=> ?v_1273 (=> ?v_1274 (=> ?v_1275 (=> ?v_1276 (=> ?v_1278 (=> ?v_1280 (=> ?v_1282 (=> ?v_1284 (=> ?v_1285 (=> ?v_1286 (=> ?v_1287 (=> ?v_1288 (=> ?v_1289 (=> ?v_1290 (=> ?v_1291 (=> ?v_1292 (=> ?v_1293 (=> ?v_1294 (=> ?v_1295 (=> ?v_1296 (=> ?v_1297 (=> ?v_1298 (=> ?v_1299 (=> ?v_1300 (=> ?v_1301 (=> ?v_1302 (=> ?v_1303 (=> ?v_1304 (=> (forall ((?f13 Int)) (! (let ((?v_4069 (MapType0Select alloc.29 (int_2_U (Base ?f13))))) (or (= ?v_4069 UNALLOCATED) (= ?v_4069 ?v_4069))) :pattern ((MapType0Select alloc.29 (int_2_U (Base ?f13)))) )) (and (=> true (=> ?v_1318 (and (=> true (=> (not ?v_1307) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.19 (PLUS inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.2 1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.6 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.5 1 1)) (and (=> true (=> ?v_1305 (=> true (=> (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.3 0) ?v_1306)))) (=> true (=> (not ?v_1305) (=> true (=> (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.2 (- 0 1073741675)) (=> true (=> (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.3 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.2) (=> true (=> true (=> true (=> true (=> true ?v_1306)))))))))))))))))) (=> true (=> ?v_1307 (and (=> true (=> (not ?v_1310) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.22 (PLUS inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.2 1 ?v_1308)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.23 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.48 ?v_1308 1)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.50 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.48) (=> ?v_1311 (=> ?v_1312 (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.25 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.23) (=> ?v_1313 (=> ?v_1314 (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.6 0) (=> ?v_1316 (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.22) ?v_1317)))))))))))))))) (=> true (=> ?v_1310 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.21 (PLUS inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.2 1 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.24 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.49 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 1)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.50 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.49) (=> ?v_1311 (=> ?v_1312 (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.25 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.24) (=> ?v_1313 (=> ?v_1314 (=> ?v_1315 (=> ?v_1316 (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.21) ?v_1317)))))))))))))))))))))) (=> true (=> (not ?v_1318) (=> true (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.1 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub1.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_raiseException) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_errorReached.0 errorReached.67) (=> (= inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.1 inline.RtlULongSub.0..ulMinuend.1.7129.15.RtlULongSub.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1081.33.17..1 call33603formal.ret.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..offset.37.932.32.PerformHighSpeedIsochTransfer.2) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus) (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.7 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.5) (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.4 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.3) (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.5 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.4) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.1 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19..1 inline.PerformHighSpeedIsochTransfer.0..result.nondet.1116.33.19.) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_alloc) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelStarted) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.20 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.18) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_k.0 k.102) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqSent) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..1 inline.PerformHighSpeedIsochTransfer.0..result.RtlULongSub.1091.40.18..0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_alloc.0 alloc.29) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCancelSet) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_raiseException.0 0) (=> (= inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..1 inline.RtlULongSub.0..result.RtlULongSub.7128.0.1..0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleted) (=> (= inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.3 inline.PerformHighSpeedIsochTransfer.0..j.28.773.31.PerformHighSpeedIsochTransfer.2) (=> (= inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.1 inline.RtlULongSub.0..ulSubtrahend.2.7130.15.RtlULongSub1.0) (=> (= inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.1 inline.RtlULongSub.0..status.4.7133.13.RtlULongSub.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_k) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet.1 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_reqCompleteSet) (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.46 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.42) (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_errorReached) ?v_1791))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_1739 (and (=> true (=> ?v_1268 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0 reqSent_0) ?v_1737)))) (=> true (=> ?v_1738 (and (=> true (=> ?v_1277 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0 reqSent_1) ?v_1737)))) (=> true (=> ?v_1740 (and (=> true (=> ?v_1279 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0 reqSent_2) ?v_1737)))) (=> true (=> ?v_1742 (and (=> true (=> ?v_1281 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0 reqSent_3) ?v_1737)))) (=> true (=> ?v_1743 (and (=> true (=> ?v_1283 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0 reqSent_4) ?v_1737)))) (=> true (=> ?v_1744 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqSent) ?v_1737))))))))))))))))))) (let ((?v_1741 (=> true ?v_1739))) (let ((?v_1745 (and (=> true (=> ?v_1268 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0 reqCompleted_0) ?v_1739)))) (=> true (=> ?v_1738 (and (=> true (=> ?v_1277 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0 reqCompleted_1) ?v_1741)))) (=> true (=> ?v_1740 (and (=> true (=> ?v_1279 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0 reqCompleted_2) ?v_1741)))) (=> true (=> ?v_1742 (and (=> true (=> ?v_1281 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0 reqCompleted_3) ?v_1741)))) (=> true (=> ?v_1743 (and (=> true (=> ?v_1283 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0 reqCompleted_4) ?v_1741)))) (=> true (=> ?v_1744 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleted) ?v_1741))))))))))))))))))) (let ((?v_1746 (=> true ?v_1745))) (let ((?v_1747 (and (=> true (=> ?v_1268 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0 reqCompleteSet_0) ?v_1745)))) (=> true (=> ?v_1738 (and (=> true (=> ?v_1277 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0 reqCompleteSet_1) ?v_1746)))) (=> true (=> ?v_1740 (and (=> true (=> ?v_1279 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0 reqCompleteSet_2) ?v_1746)))) (=> true (=> ?v_1742 (and (=> true (=> ?v_1281 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0 reqCompleteSet_3) ?v_1746)))) (=> true (=> ?v_1743 (and (=> true (=> ?v_1283 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0 reqCompleteSet_4) ?v_1746)))) (=> true (=> ?v_1744 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCompleteSet) ?v_1746))))))))))))))))))) (let ((?v_1748 (=> true ?v_1747))) (let ((?v_1749 (and (=> true (=> ?v_1268 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0 reqCancelStarted_0) ?v_1747)))) (=> true (=> ?v_1738 (and (=> true (=> ?v_1277 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0 reqCancelStarted_1) ?v_1748)))) (=> true (=> ?v_1740 (and (=> true (=> ?v_1279 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0 reqCancelStarted_2) ?v_1748)))) (=> true (=> ?v_1742 (and (=> true (=> ?v_1281 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0 reqCancelStarted_3) ?v_1748)))) (=> true (=> ?v_1743 (and (=> true (=> ?v_1283 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0 reqCancelStarted_4) ?v_1748)))) (=> true (=> ?v_1744 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelStarted) ?v_1748))))))))))))))))))) (let ((?v_1750 (=> true ?v_1749))) (let ((?v_1751 (and (=> true (=> ?v_1268 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0 reqCancelSet_0) ?v_1749)))) (=> true (=> ?v_1738 (and (=> true (=> ?v_1277 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0 reqCancelSet_1) ?v_1750)))) (=> true (=> ?v_1740 (and (=> true (=> ?v_1279 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0 reqCancelSet_2) ?v_1750)))) (=> true (=> ?v_1742 (and (=> true (=> ?v_1281 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0 reqCancelSet_3) ?v_1750)))) (=> true (=> ?v_1743 (and (=> true (=> ?v_1283 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0 reqCancelSet_4) ?v_1750)))) (=> true (=> ?v_1744 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_reqCancelSet) ?v_1750))))))))))))))))))) (let ((?v_1752 (=> true ?v_1751))) (let ((?v_1803 (=> true (=> (forall ((?r0 Int)) (! (= (or (not (= (BIT_BAND inline.PerformHighSpeedIsochTransfer.0.myNondetVar_3.0 ?r0) 0)) (not (= (BIT_BAND 4 ?r0) 0))) (not (= (BIT_BAND (BIT_BOR inline.PerformHighSpeedIsochTransfer.0.myNondetVar_5.0 4) ?r0) 0))) :pattern ((BIT_BAND (BIT_BOR inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.2 4) ?r0)) )) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.9 (BIT_BOR inline.PerformHighSpeedIsochTransfer.0.myNondetVar_1.3 4)) (and (=> true (=> (not (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.31 0)) (and (=> true (=> ?v_1268 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0 lockStatus_0.1) ?v_1751)))) (=> true (=> ?v_1738 (and (=> true (=> ?v_1277 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0 lockStatus_1.1) ?v_1752)))) (=> true (=> ?v_1740 (and (=> true (=> ?v_1279 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0 lockStatus_2.1) ?v_1752)))) (=> true (=> ?v_1742 (and (=> true (=> ?v_1281 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0 lockStatus_3.1) ?v_1752)))) (=> true (=> ?v_1743 (and (=> true (=> ?v_1283 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0 lockStatus_4.1) ?v_1752)))) (=> true (=> ?v_1744 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_207_lockStatus) ?v_1752))))))))))))))))))) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.32 0) (and (=> true (=> ?v_1268 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0 lockStatus_0.1) ?v_1801)))) (=> true (=> ?v_1738 (and (=> true (=> ?v_1277 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0 lockStatus_1.1) ?v_1802)))) (=> true (=> ?v_1740 (and (=> true (=> ?v_1279 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0 lockStatus_2.1) ?v_1802)))) (=> true (=> ?v_1742 (and (=> true (=> ?v_1281 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0 lockStatus_3.1) ?v_1802)))) (=> true (=> ?v_1743 (and (=> true (=> ?v_1283 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0 lockStatus_4.1) ?v_1802)))) (=> true (=> ?v_1744 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus.0 inline.PerformHighSpeedIsochTransfer.0.LOOP_292_lockStatus) ?v_1802))))))))))))))))))))))))) (let ((?v_1854 (and (=> true (=> (not ?v_1267) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.7 (PLUS call31728formal.ret.0 1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.14)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.8 (MINUS_BOTH_PTR_OR_BOTH_INT myNondetVar_0.0 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.15 1)) (and (=> true (=> (not (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.19 0)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.23 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.20) ?v_1803)))) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.21 0) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.23 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.22) (=> true (=> true ?v_1803))))))))))))) (=> true (=> ?v_1267 (=> true (=> (<= k.102 k.104) (=> (< k.104 5) (and (=> true (=> ?v_1846 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.16 ?v_1319) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.17 inline.PerformHighSpeedIsochTransfer.0.myVar_0.16) ?v_1847))))) (=> true (=> (not ?v_1846) (and (=> true (=> ?v_1848 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.15 ?v_1674) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.17 inline.PerformHighSpeedIsochTransfer.0.myVar_0.15) ?v_1849))))) (=> true (=> (not ?v_1848) (and (=> true (=> ?v_1850 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.13 ?v_1677) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.17 inline.PerformHighSpeedIsochTransfer.0.myVar_0.13) ?v_1849))))) (=> true (=> (not ?v_1850) (and (=> true (=> ?v_1851 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.12 ?v_1680) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.17 inline.PerformHighSpeedIsochTransfer.0.myVar_0.12) ?v_1849))))) (=> true (=> (not ?v_1851) (and (=> true (=> ?v_1852 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.14 ?v_1682) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.17 inline.PerformHighSpeedIsochTransfer.0.myVar_0.14) ?v_1849))))) (=> true (=> (not ?v_1852) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.17 inline.PerformHighSpeedIsochTransfer.0.myVar_0.5) ?v_1849)))))))))))))))))))))))) (?v_1853 (= call32543formal.ret.0 0))) (let ((?v_1856 (and (=> true (=> (not ?v_1853) (=> true (=> ?v_1267 ?v_1854)))) (=> true (=> ?v_1853 (=> true (=> (= inline.IoAllocateMdl.1..result.IoAllocateMdl.1316.0.1..0 notused_4wdmobject1) (=> true (=> true (=> true (=> true (=> true ?v_1854))))))))))) (?v_1855 (< inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.0))) (let ((?v_1874 (and (=> true (=> ?v_1857 (and (=> true (=> ?v_1855 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.4 (PLUS inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.9 1 (MULT inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.1 1)))) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.5 (PLUS inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.10 1 inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.1)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.11 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.10) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.6 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.5) ?v_1856))))))))) (=> true (=> (not ?v_1855) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.11 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.8) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.6 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1856))))))))))))))) (=> true (=> (not ?v_1857) (=> true (=> (<= k.102 k.103) (=> (< k.103 5) (and (=> true (=> ?v_1866 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.6 ?v_1319) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.11 inline.PerformHighSpeedIsochTransfer.0.myVar_0.6) ?v_1867))))) (=> true (=> (not ?v_1866) (and (=> true (=> ?v_1868 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.7 ?v_1674) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.11 inline.PerformHighSpeedIsochTransfer.0.myVar_0.7) ?v_1869))))) (=> true (=> (not ?v_1868) (and (=> true (=> ?v_1870 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.10 ?v_1677) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.11 inline.PerformHighSpeedIsochTransfer.0.myVar_0.10) ?v_1869))))) (=> true (=> (not ?v_1870) (and (=> true (=> ?v_1871 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.8 ?v_1680) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.11 inline.PerformHighSpeedIsochTransfer.0.myVar_0.8) ?v_1869))))) (=> true (=> (not ?v_1871) (and (=> true (=> ?v_1872 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.9 ?v_1682) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.11 inline.PerformHighSpeedIsochTransfer.0.myVar_0.9) ?v_1869))))) (=> true (=> (not ?v_1872) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.11 inline.PerformHighSpeedIsochTransfer.0.myVar_0.5) ?v_1869)))))))))))))))))))))))) (?v_1873 (= call32322formal.ret.0 0))) (let ((?v_1876 (=> true (=> (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_1874))) (?v_1875 (= call32322formal.ret.0 1))) (let ((?v_1884 (and (=> true (=> (not ?v_1873) (=> (not ?v_1875) ?v_1876))) (=> true (=> ?v_1873 (=> true (=> (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..0 ?v_87) (=> true (=> (= inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.5..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1874))))))))))))))) (=> true (=> ?v_1875 (=> true ?v_1876)))))) (let ((?v_1886 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2.) (=> (= errorReached.67 errorReached.65) (=> (= k.102 k.100) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1884))))))))))))))))))))))))))))))) (?v_1888 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.5 hdevice)) (?v_1887 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.5 hqueue)) (?v_1885 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.5 htimer)) (?v_1883 (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.5 hrequest)) (?v_1882 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.userContextSwitch.6841.4.2..0 call32133formal.ret.0) (=> (= errorReached.67 errorReached.66) (=> (= k.102 k.101) ?v_1884)))))) (?v_1877 (= k.101 0)) (?v_1878 (= k.101 1)) (?v_1879 (= k.101 2)) (?v_1880 (= k.101 3)) (?v_1881 (= k.101 4))) (let ((?v_1890 (and (=> true (=> ?v_1883 (=> true (=> (<= k.100 k.101) (=> (< k.101 5) (and (=> true (=> (=> ?v_1877 ?v_12) (=> (=> ?v_1878 ?v_13) (=> (=> ?v_1879 ?v_14) (=> (=> ?v_1880 ?v_15) (=> (=> ?v_1881 ?v_16) (=> true (=> (= errorReached.66 1) ?v_1882)))))))) (=> true (=> (=> ?v_1877 ?v_7) (=> (=> ?v_1878 ?v_8) (=> (=> ?v_1879 ?v_9) (=> (=> ?v_1880 ?v_10) (=> (=> ?v_1881 ?v_11) (=> true (=> (= errorReached.66 errorReached.65) (=> true ?v_1882))))))))))))))) (=> true (=> (not ?v_1883) (and (=> true (=> ?v_1885 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_1886)))) (=> true (=> (not ?v_1885) (and (=> true (=> ?v_1887 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_1886)))) (=> true (=> (not ?v_1887) (and (=> true (=> ?v_1888 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_1886)))) (=> true (=> (not ?v_1888) (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.8..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_1886)))))))))))))))) (let ((?v_1892 (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1890)))))))) (?v_1895 (= k.100 4)) (?v_1894 (= k.100 3)) (?v_1893 (= k.100 2)) (?v_1891 (= k.100 1)) (?v_1889 (= k.100 0))) (let ((?v_1920 (and (=> true (=> ?v_1896 (=> true (=> (<= k.99 k.100) (=> (< k.100 5) (and (=> true (=> ?v_1889 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.4 ?v_1319) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.5 inline.PerformHighSpeedIsochTransfer.0.myVar_0.4) ?v_1890))))) (=> true (=> (not ?v_1889) (and (=> true (=> ?v_1891 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.0 ?v_1674) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.5 inline.PerformHighSpeedIsochTransfer.0.myVar_0.0) ?v_1892))))) (=> true (=> (not ?v_1891) (and (=> true (=> ?v_1893 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.1 ?v_1677) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.5 inline.PerformHighSpeedIsochTransfer.0.myVar_0.1) ?v_1892))))) (=> true (=> (not ?v_1893) (and (=> true (=> ?v_1894 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.2 ?v_1680) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.5 inline.PerformHighSpeedIsochTransfer.0.myVar_0.2) ?v_1892))))) (=> true (=> (not ?v_1894) (and (=> true (=> ?v_1895 (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.3 ?v_1682) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.5 inline.PerformHighSpeedIsochTransfer.0.myVar_0.3) ?v_1892))))) (=> true (=> (not ?v_1895) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.myVar_0.5 inline.PerformHighSpeedIsochTransfer.0.myVar_0) ?v_1892)))))))))))))))))))))) (=> true (=> (not ?v_1896) (=> true (=> ?v_1858 (=> ?v_1358 (=> ?v_1359 (=> ?v_1804 (=> ?v_1323 (=> ?v_1805 (=> ?v_1897 (=> ?v_1642 (=> ?v_1859 (=> ?v_1365 (=> ?v_1366 (=> ?v_1367 (=> ?v_1806 (=> ?v_1324 (=> ?v_1325 (=> ?v_1807 (=> ?v_1370 (=> ?v_1808 (=> ?v_1372 (=> ?v_1709 (=> ?v_1374 (=> ?v_1375 (=> ?v_1376 (=> ?v_1377 (=> ?v_1378 (=> ?v_1379 (=> ?v_1326 (=> ?v_1898 (=> ?v_1381 (=> ?v_1382 (=> ?v_1383 (=> ?v_1809 (=> ?v_1810 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1643 (=> ?v_1860 (=> ?v_1388 (=> ?v_1327 (=> ?v_1811 (=> ?v_1812 (=> ?v_1391 (=> ?v_1328 (=> ?v_1644 (=> ?v_1899 (=> ?v_1393 (=> ?v_1813 (=> ?v_1395 (=> ?v_1396 (=> ?v_1329 (=> ?v_1397 (=> ?v_1398 (=> ?v_1900 (=> ?v_1901 (=> ?v_1814 (=> ?v_1710 (=> ?v_1403 (=> ?v_1330 (=> ?v_1902 (=> ?v_1331 (=> ?v_1405 (=> ?v_1711 (=> ?v_1407 (=> ?v_1408 (=> ?v_1409 (=> ?v_1861 (=> ?v_1815 (=> ?v_1816 (=> ?v_1645 (=> ?v_1414 (=> ?v_1415 (=> ?v_1646 (=> ?v_1712 (=> ?v_1713 (=> ?v_1817 (=> ?v_1420 (=> ?v_1818 (=> ?v_1422 (=> ?v_1423 (=> ?v_1424 (=> ?v_1332 (=> ?v_1819 (=> ?v_1647 (=> ?v_1903 (=> ?v_1820 (=> ?v_1821 (=> (= errorReached.75 errorReached.65) (=> ?v_1823 (=> ?v_1824 (=> ?v_1431 (=> ?v_1825 (=> ?v_1333 (=> ?v_1714 (=> ?v_1434 (=> ?v_1435 (=> ?v_1334 (=> ?v_1648 (=> ?v_1826 (=> ?v_1649 (=> ?v_1439 (=> ?v_1440 (=> ?v_1827 (=> ?v_1828 (=> ?v_1443 (=> ?v_1715 (=> ?v_1904 (=> ?v_1650 (=> ?v_1829 (=> ?v_1830 (=> ?v_1449 (=> ?v_1450 (=> ?v_1831 (=> ?v_1832 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1833 (=> ?v_1338 (=> ?v_1454 (=> ?v_1339 (=> ?v_1455 (=> ?v_1340 (=> ?v_1456 (=> ?v_1651 (=> ?v_1905 (=> ?v_1652 (=> ?v_1460 (=> ?v_1461 (=> ?v_1341 (=> ?v_1716 (=> ?v_1463 (=> ?v_1464 (=> ?v_1653 (=> ?v_1654 (=> ?v_1717 (=> ?v_1906 (=> ?v_1467 (=> ?v_1718 (=> ?v_1469 (=> ?v_1834 (=> ?v_1471 (=> ?v_1472 (=> ?v_1473 (=> ?v_1835 (=> ?v_1342 (=> ?v_1907 (=> ?v_1476 (=> ?v_1477 (=> ?v_1836 (=> ?v_1479 (=> ?v_1343 (=> ?v_1656 (=> ?v_1344 (=> ?v_1481 (=> ?v_1482 (=> ?v_1483 (=> ?v_1484 (=> ?v_1908 (=> ?v_1485 (=> ?v_1345 (=> ?v_1719 (=> ?v_1346 (=> (= k.121 k.99) (=> ?v_1487 (=> ?v_1837 (=> ?v_1489 (=> ?v_1909 (=> ?v_1720 (=> ?v_1658 (=> ?v_1347 (=> ?v_1492 (=> ?v_1493 (=> ?v_1494 (=> ?v_1838 (=> ?v_1910 (=> ?v_1721 (=> ?v_1911 (=> ?v_1912 (=> ?v_1500 (=> ?v_1501 (=> ?v_1913 (=> ?v_1503 (=> ?v_1504 (=> ?v_1659 (=> ?v_1660 (=> ?v_1862 (=> ?v_1839 (=> ?v_1348 (=> ?v_1840 (=> ?v_1349 (=> ?v_1350 (=> ?v_1914 (=> ?v_1661 (=> ?v_1511 (=> ?v_1351 (=> ?v_1863 (=> ?v_1841 (=> ?v_1842 (=> ?v_1843 (=> ?v_1864 (=> ?v_1517 (=> ?v_1662 (=> ?v_1844 (=> ?v_1915 (=> ?v_1521 ?v_1969))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1919 (= call31921formal.ret.0 0))) (let ((?v_1922 (=> true (=> (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_1920))) (?v_1921 (= call31921formal.ret.0 1))) (let ((?v_1928 (and (=> true (=> (not ?v_1919) (=> (not ?v_1921) ?v_1922))) (=> true (=> ?v_1919 (=> true (=> (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..0 ?v_87) (=> true (=> (= inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.4..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1920))))))))))))))) (=> true (=> ?v_1921 (=> true ?v_1922)))))) (let ((?v_1936 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1928))))))))) (?v_1930 (= Mem_1_T.PWDFREQUEST__.8 Mem_1_T.PWDFREQUEST__)) (?v_1925 (= Mem_2_T.PWDFREQUEST__.8 Mem_2_T.PWDFREQUEST__)) (?v_1933 (= Mem_0_T.PWDFREQUEST__.8 Mem_0_T.PWDFREQUEST__)) (?v_1926 (= Mem_3_T.PWDFREQUEST__.8 Mem_3_T.PWDFREQUEST__)) (?v_1927 (= Mem_4_T.PWDFREQUEST__.8 Mem_4_T.PWDFREQUEST__))) (let ((?v_1934 (=> ?v_1927 ?v_1936))) (let ((?v_1931 (=> ?v_1933 (=> ?v_1926 ?v_1934)))) (let ((?v_1938 (=> ?v_1925 ?v_1931)) (?v_1937 (= k.99 4)) (?v_1935 (= k.99 3)) (?v_1932 (= k.99 2)) (?v_1929 (= k.99 1)) (?v_1923 (= k.99 0))) (let ((?v_1940 (=> true (=> (<= k.98 k.99) (=> (< k.99 5) (and (=> true (=> ?v_1923 (=> (= Mem_0_T.PWDFREQUEST__.7 (MapType0Store Mem_0_T.PWDFREQUEST__ ?v_871 ?v_1924)) (=> true (=> ?v_1930 (=> ?v_1925 (=> (= Mem_0_T.PWDFREQUEST__.8 Mem_0_T.PWDFREQUEST__.7) (=> ?v_1926 (=> ?v_1927 ?v_1928))))))))) (=> true (=> (not ?v_1923) (and (=> true (=> ?v_1929 (=> (= Mem_1_T.PWDFREQUEST__.7 (MapType0Store Mem_1_T.PWDFREQUEST__ ?v_871 ?v_1924)) (=> true (=> (= Mem_1_T.PWDFREQUEST__.8 Mem_1_T.PWDFREQUEST__.7) ?v_1938))))) (=> true (=> (not ?v_1929) (and (=> true (=> ?v_1932 (=> (= Mem_2_T.PWDFREQUEST__.7 (MapType0Store Mem_2_T.PWDFREQUEST__ ?v_871 ?v_1924)) (=> true (=> ?v_1930 (=> (= Mem_2_T.PWDFREQUEST__.8 Mem_2_T.PWDFREQUEST__.7) ?v_1931)))))) (=> true (=> (not ?v_1932) (and (=> true (=> ?v_1935 (=> (= Mem_3_T.PWDFREQUEST__.7 (MapType0Store Mem_3_T.PWDFREQUEST__ ?v_871 ?v_1924)) (=> true (=> ?v_1930 (=> ?v_1925 (=> ?v_1933 (=> (= Mem_3_T.PWDFREQUEST__.8 Mem_3_T.PWDFREQUEST__.7) ?v_1934)))))))) (=> true (=> (not ?v_1935) (and (=> true (=> ?v_1937 (=> (= Mem_4_T.PWDFREQUEST__.7 (MapType0Store Mem_4_T.PWDFREQUEST__ ?v_871 ?v_1924)) (=> true (=> ?v_1930 (=> ?v_1925 (=> ?v_1933 (=> ?v_1926 (=> (= Mem_4_T.PWDFREQUEST__.8 Mem_4_T.PWDFREQUEST__.7) ?v_1936))))))))) (=> true (=> (not ?v_1937) (=> true (=> ?v_1930 ?v_1938))))))))))))))))))))) (?v_1939 (<= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1 1024))) (let ((?v_1981 (and (=> true (=> ?v_1939 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.3 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.2 0) (=> (= inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1) ?v_1940)))))) (=> true (=> (not ?v_1939) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.2 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1 1024 1)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.3 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.2 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.2) (=> (= inline.PerformHighSpeedIsochTransfer.0..nPackets.35.930.32.PerformHighSpeedIsochTransfer.0 1024) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1940))))))))))))))))))))))))))))) (let ((?v_1996 (and (=> true (=> ?v_1982 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0 call31401formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1) (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0) (=> (= errorReached.65 errorReached.64) (=> (= k.98 k.97) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 hrequest) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 call31401formal.ret.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_1981)))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_1982) (=> true (=> ?v_1858 (=> ?v_1358 (=> ?v_1359 (=> ?v_1804 (=> ?v_1323 (=> ?v_1805 (=> ?v_1897 (=> ?v_1642 (=> ?v_1859 (=> ?v_1365 (=> ?v_1366 (=> ?v_1983 (=> ?v_1806 (=> ?v_1324 (=> ?v_1325 (=> ?v_1807 (=> ?v_1942 (=> ?v_1808 (=> ?v_1372 (=> ?v_1709 (=> ?v_1374 (=> ?v_1943 (=> ?v_1376 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_1945 (=> ?v_1946 (=> ?v_1326 (=> ?v_1898 (=> ?v_1381 (=> ?v_1382 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..0) (=> ?v_1809 (=> ?v_1810 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_1948 (=> ?v_1949 (=> ?v_1388 (=> ?v_1327 (=> ?v_1811 (=> ?v_1812 (=> ?v_1391 (=> ?v_1328 (=> ?v_1950 (=> ?v_1899 (=> ?v_1393 (=> ?v_1813 (=> ?v_1395 (=> ?v_1984 (=> ?v_1329 (=> ?v_1397 (=> ?v_1398 (=> ?v_1900 (=> ?v_1901 (=> ?v_1814 (=> ?v_1710 (=> ?v_1403 (=> ?v_1330 (=> ?v_1902 (=> ?v_1331 (=> ?v_1405 (=> ?v_1711 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2) (=> ?v_1408 (=> ?v_1952 (=> ?v_1861 (=> ?v_1815 (=> ?v_1816 (=> ?v_1645 (=> ?v_1414 (=> ?v_1985 (=> ?v_1646 (=> ?v_1712 (=> ?v_1713 (=> ?v_1817 (=> ?v_1420 (=> ?v_1818 (=> ?v_1422 (=> ?v_1423 (=> ?v_1986 (=> ?v_1332 (=> ?v_1819 (=> ?v_1953 (=> ?v_1903 (=> ?v_1820 (=> ?v_1821 (=> (= errorReached.75 errorReached.64) (=> ?v_1823 (=> ?v_1824 (=> ?v_1431 (=> ?v_1825 (=> ?v_1333 (=> ?v_1714 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 hrequest) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_1334 (=> ?v_1648 (=> ?v_1826 (=> ?v_1649 (=> ?v_1439 (=> ?v_1440 (=> ?v_1827 (=> ?v_1828 (=> ?v_1443 (=> ?v_1715 (=> ?v_1904 (=> ?v_1650 (=> ?v_1829 (=> ?v_1830 (=> ?v_1956 (=> ?v_1450 (=> ?v_1831 (=> ?v_1832 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1833 (=> ?v_1338 (=> ?v_1454 (=> ?v_1339 (=> ?v_1455 (=> ?v_1340 (=> ?v_1456 (=> ?v_1651 (=> ?v_1987 (=> ?v_1652 (=> ?v_1957 (=> ?v_1461 (=> ?v_1341 (=> ?v_1716 (=> ?v_1988 (=> ?v_1989 (=> ?v_1653 (=> ?v_1958 (=> ?v_1717 (=> ?v_1990 (=> ?v_1467 (=> ?v_1718 (=> ?v_1469 (=> ?v_1834 (=> ?v_1471 (=> ?v_1472 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 hrequest) (=> ?v_1835 (=> ?v_1342 (=> ?v_1907 (=> ?v_1991 (=> ?v_1477 (=> ?v_1836 (=> ?v_1960 (=> ?v_1343 (=> ?v_1656 (=> ?v_1344 (=> ?v_1961 (=> ?v_1482 (=> ?v_1992 (=> ?v_1484 (=> ?v_1908 (=> ?v_1485 (=> ?v_1345 (=> ?v_1719 (=> ?v_1346 (=> (= k.121 k.97) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 call31401formal.ret.0) (=> ?v_1837 (=> ?v_1993 (=> ?v_1909 (=> ?v_1720 (=> ?v_1658 (=> ?v_1347 (=> ?v_1963 (=> ?v_1493 (=> ?v_1494 (=> ?v_1838 (=> ?v_1910 (=> ?v_1721 (=> ?v_1911 (=> ?v_1912 (=> ?v_1964 (=> ?v_1501 (=> ?v_1913 (=> ?v_1503 (=> ?v_1504 (=> ?v_1965 (=> ?v_1660 (=> ?v_1862 (=> ?v_1839 (=> ?v_1348 (=> ?v_1840 (=> ?v_1349 (=> ?v_1350 (=> ?v_1914 (=> ?v_1661 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..1 call31401formal.ret.0) ?v_1994)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1995 (= call31401formal.ret.0 0))) (let ((?v_2004 (and (=> true (=> (not ?v_1995) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 ?v_87) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0) ?v_1996))))))) (=> true (=> ?v_1995 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_1996))))))))))))) (let ((?v_2005 (=> (= errorReached.64 errorReached.49) (=> true (=> true (=> true ?v_2004))))) (?v_2002 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..0 call31404formal.ret.0)) (?v_2003 (= k.97 k.96)) (?v_1997 (= k.96 0)) (?v_1998 (= k.96 1)) (?v_1999 (= k.96 2)) (?v_2000 (= k.96 3)) (?v_2001 (= k.96 4)) (?v_1971 (and (=> true (=> ?v_1941 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.SdvMakeChoice.7246.18.3.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 call31565formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 hrequest) (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveInputWdmMdl.915.46.9.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.2) (=> (= errorReached.65 errorReached.63) (=> (= k.98 k.95) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.1.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..0 call31565formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl) ?v_1981)))))))))))))))))))))) (=> true (=> (not ?v_1941) (=> true (=> ?v_1858 (=> ?v_1358 (=> ?v_1359 (=> ?v_1804 (=> ?v_1323 (=> ?v_1805 (=> ?v_1897 (=> ?v_1642 (=> ?v_1859 (=> ?v_1365 (=> ?v_1366 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.909.47.8..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_1806 (=> ?v_1324 (=> ?v_1325 (=> ?v_1807 (=> ?v_1942 (=> ?v_1808 (=> ?v_1372 (=> ?v_1709 (=> ?v_1374 (=> ?v_1943 (=> ?v_1376 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> ?v_1326 (=> ?v_1898 (=> ?v_1381 (=> ?v_1382 (=> ?v_1947 (=> ?v_1809 (=> ?v_1810 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_1948 (=> ?v_1949 (=> ?v_1388 (=> ?v_1327 (=> ?v_1811 (=> ?v_1812 (=> ?v_1391 (=> ?v_1328 (=> ?v_1950 (=> ?v_1899 (=> ?v_1393 (=> ?v_1813 (=> ?v_1395 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..0) (=> ?v_1329 (=> ?v_1397 (=> ?v_1398 (=> ?v_1900 (=> ?v_1901 (=> ?v_1814 (=> ?v_1710 (=> ?v_1403 (=> ?v_1330 (=> ?v_1902 (=> ?v_1331 (=> ?v_1405 (=> ?v_1711 (=> ?v_1951 (=> ?v_1408 (=> ?v_1952 (=> ?v_1861 (=> ?v_1815 (=> ?v_1816 (=> ?v_1645 (=> ?v_1414 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 call31565formal.ret.0) (=> ?v_1646 (=> ?v_1712 (=> ?v_1713 (=> ?v_1817 (=> ?v_1420 (=> ?v_1818 (=> ?v_1422 (=> ?v_1423 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_1332 (=> ?v_1819 (=> ?v_1953 (=> ?v_1903 (=> ?v_1820 (=> ?v_1821 (=> (= errorReached.75 errorReached.63) (=> ?v_1823 (=> ?v_1824 (=> ?v_1431 (=> ?v_1825 (=> ?v_1333 (=> ?v_1714 (=> ?v_1954 (=> ?v_1955 (=> ?v_1334 (=> ?v_1648 (=> ?v_1826 (=> ?v_1649 (=> ?v_1439 (=> ?v_1440 (=> ?v_1827 (=> ?v_1828 (=> ?v_1443 (=> ?v_1715 (=> ?v_1904 (=> ?v_1650 (=> ?v_1829 (=> ?v_1830 (=> ?v_1956 (=> ?v_1450 (=> ?v_1831 (=> ?v_1832 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1833 (=> ?v_1338 (=> ?v_1454 (=> ?v_1339 (=> ?v_1455 (=> ?v_1340 (=> ?v_1456 (=> ?v_1651 (=> ?v_1987 (=> ?v_1652 (=> ?v_1957 (=> ?v_1461 (=> ?v_1341 (=> ?v_1716 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.SdvMakeChoice.7222.18.3..1 call31565formal.ret.0) (=> ?v_1989 (=> ?v_1653 (=> ?v_1958 (=> ?v_1717 (=> ?v_1990 (=> ?v_1467 (=> ?v_1718 (=> ?v_1469 (=> ?v_1834 (=> ?v_1471 (=> ?v_1472 (=> ?v_1959 (=> ?v_1835 (=> ?v_1342 (=> ?v_1907 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 hrequest) (=> ?v_1477 (=> ?v_1836 (=> ?v_1960 (=> ?v_1343 (=> ?v_1656 (=> ?v_1344 (=> ?v_1961 (=> ?v_1482 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.2) (=> ?v_1484 (=> ?v_1908 (=> ?v_1485 (=> ?v_1345 (=> ?v_1719 (=> ?v_1346 (=> (= k.121 k.95) (=> ?v_1962 (=> ?v_1837 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 hrequest) (=> ?v_1909 (=> ?v_1720 (=> ?v_1658 (=> ?v_1347 (=> ?v_1963 (=> ?v_1493 (=> ?v_1494 (=> ?v_1838 (=> ?v_1910 (=> ?v_1721 (=> ?v_1911 (=> ?v_1912 (=> ?v_1964 (=> ?v_1501 (=> ?v_1913 (=> ?v_1503 (=> ?v_1504 (=> ?v_1965 (=> ?v_1660 (=> ?v_1862 (=> ?v_1839 (=> ?v_1348 (=> ?v_1840 (=> ?v_1349 (=> ?v_1350 (=> ?v_1914 (=> ?v_1661 (=> ?v_1966 ?v_1994)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_1970 (= call31565formal.ret.0 0))) (let ((?v_1979 (and (=> true (=> (not ?v_1970) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 ?v_87) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.0) ?v_1971))))))) (=> true (=> ?v_1970 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1.myNondetVar_0.1) (=> true (=> true (=> true (=> true (=> true ?v_1971))))))))))))) (let ((?v_1980 (=> (= errorReached.63 errorReached.49) (=> true (=> true (=> true ?v_1979))))) (?v_1977 (= k.95 k.94)) (?v_1978 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..0 call31568formal.ret.0)) (?v_1972 (= k.94 0)) (?v_1973 (= k.94 1)) (?v_1974 (= k.94 2)) (?v_1975 (= k.94 3)) (?v_1976 (= k.94 4))) (let ((?v_2008 (and (=> true (=> ?v_595 (and (=> true (=> ?v_33 (=> true (=> (<= k.66 k.94) (=> (< k.94 5) (and (=> true (=> (=> ?v_1972 ?v_12) (=> (=> ?v_1973 ?v_13) (=> (=> ?v_1974 ?v_14) (=> (=> ?v_1975 ?v_15) (=> (=> ?v_1976 ?v_16) (=> true (=> ?v_1977 (=> ?v_1978 (=> (= errorReached.63 1) ?v_1979)))))))))) (=> true (=> (=> ?v_1972 ?v_7) (=> (=> ?v_1973 ?v_8) (=> (=> ?v_1974 ?v_9) (=> (=> ?v_1975 ?v_10) (=> (=> ?v_1976 ?v_11) (=> true (=> ?v_1977 (=> ?v_1978 ?v_1980))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= k.95 k.66) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.1..result.userContextSwitch.7219.4.2.) ?v_1980)))))))) (=> true (=> ?v_781 (and (=> true (=> ?v_33 (=> true (=> (<= k.66 k.96) (=> (< k.96 5) (and (=> true (=> (=> ?v_1997 ?v_12) (=> (=> ?v_1998 ?v_13) (=> (=> ?v_1999 ?v_14) (=> (=> ?v_2000 ?v_15) (=> (=> ?v_2001 ?v_16) (=> true (=> ?v_2002 (=> ?v_2003 (=> (= errorReached.64 1) ?v_2004)))))))))) (=> true (=> (=> ?v_1997 ?v_7) (=> (=> ?v_1998 ?v_8) (=> (=> ?v_1999 ?v_9) (=> (=> ?v_2000 ?v_10) (=> (=> ?v_2001 ?v_11) (=> true (=> ?v_2002 (=> ?v_2003 ?v_2005))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.1..result.userContextSwitch.7243.4.2.) (=> (= k.97 k.66) ?v_2005))))))))))) (let ((?v_2010 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.0) (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.0) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.1 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.0) (=> true (=> true (=> true (=> true ?v_2008))))))))) (?v_2009 (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.0 0)) (?v_2007 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2 inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 1)) (?v_2006 (= inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2))) (let ((?v_2012 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 (BINARY_BOTH_INT myNondetVar_0.0 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1)) (and (=> true (=> ?v_2006 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1) (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.1 0) (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.1 inline.PerformHighSpeedIsochTransfer.0.tempBoogie0) ?v_2008)))))) (=> true (=> (not ?v_2006) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.0 (MINUS_BOTH_PTR_OR_BOTH_INT myNondetVar_0.0 (MULT inline.PerformHighSpeedIsochTransfer.0..minDataInEachPacket.8.754.28.PerformHighSpeedIsochTransfer.0 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1) 1)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.0 (BINARY_BOTH_INT inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.0 ?v_2007)) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0.tempBoogie0.0 (MINUS_BOTH_PTR_OR_BOTH_INT inline.PerformHighSpeedIsochTransfer.0..dataLeftToBeDistributed.9.755.28.PerformHighSpeedIsochTransfer.0 (MULT inline.PerformHighSpeedIsochTransfer.0..numberOfPacketsFilledToBrim.10.756.28.PerformHighSpeedIsochTransfer.0 ?v_2007) 1)) (and (=> true (=> (not ?v_2009) ?v_2010)) (=> true (=> ?v_2009 ?v_2010))))))))))))))) (?v_1266 (BINARY_BOTH_INT inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.0 8))) (let ((?v_2011 (= ?v_1266 0))) (let ((?v_2020 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.0 (BINARY_BOTH_INT (MINUS_BOTH_PTR_OR_BOTH_INT (PLUS myNondetVar_0.0 1 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2) 1 1) inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.2)) (and (=> true (=> (not ?v_2011) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.0 (PLUS inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.0 1 (MINUS_BOTH_PTR_OR_BOTH_INT 8 ?v_1266 1))) (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.0) ?v_2012)))))) (=> true (=> ?v_2011 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..actualPackets.7.753.28.PerformHighSpeedIsochTransfer.1 inline.PerformHighSpeedIsochTransfer.0..numberOfPackets.6.752.28.PerformHighSpeedIsochTransfer.0) ?v_2012))))))))) (let ((?v_2025 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2020))))))))))))))))))))))))))))))) (?v_2022 (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2.)) (?v_2023 (= k.66 k.64)) (?v_2024 (= errorReached.49 errorReached.47)) (?v_2018 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.userContextSwitch.6841.4.2..0 call31073formal.ret.0) (=> (= k.66 k.65) (=> (= errorReached.49 errorReached.48) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2020)))))) (?v_2013 (= k.65 0)) (?v_2014 (= k.65 1)) (?v_2015 (= k.65 2)) (?v_2016 (= k.65 3)) (?v_2017 (= k.65 4))) (let ((?v_2035 (and (=> true (=> ?v_593 (=> true (=> (<= k.64 k.65) (=> (< k.65 5) (and (=> true (=> (=> ?v_2013 ?v_12) (=> (=> ?v_2014 ?v_13) (=> (=> ?v_2015 ?v_14) (=> (=> ?v_2016 ?v_15) (=> (=> ?v_2017 ?v_16) (=> true (=> (= errorReached.48 1) ?v_2018)))))))) (=> true (=> (=> ?v_2013 ?v_7) (=> (=> ?v_2014 ?v_8) (=> (=> ?v_2015 ?v_9) (=> (=> ?v_2016 ?v_10) (=> (=> ?v_2017 ?v_11) (=> true (=> (= errorReached.48 errorReached.47) (=> true ?v_2018))))))))))))))) (=> true (=> ?v_2019 (and (=> true (=> ?v_805 (=> true (=> ?v_2022 (=> ?v_2023 (=> ?v_2024 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2025))))))) (=> true (=> ?v_2021 (and (=> true (=> ?v_808 (=> true (=> ?v_2022 (=> ?v_2023 (=> ?v_2024 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2025))))))) (=> true (=> ?v_2026 (and (=> true (=> ?v_809 (=> true (=> ?v_2022 (=> ?v_2023 (=> ?v_2024 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2025))))))) (=> true (=> ?v_2027 (=> true (=> ?v_2022 (=> ?v_2023 (=> ?v_2024 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.7..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2025))))))))))))))))))) (let ((?v_2036 (=> (= errorReached.47 errorReached.34) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2035))))))))))))) (?v_2033 (= k.64 k.63)) (?v_2034 (= inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2..0 call30920formal.ret.0)) (?v_2028 (= k.63 0)) (?v_2029 (= k.63 1)) (?v_2030 (= k.63 2)) (?v_2031 (= k.63 3)) (?v_2032 (= k.63 4))) (let ((?v_2059 (and (=> true (=> ?v_2037 (and (=> true (=> ?v_33 (=> true (=> (<= k.62 k.63) (=> (< k.63 5) (and (=> true (=> (=> ?v_2028 ?v_12) (=> (=> ?v_2029 ?v_13) (=> (=> ?v_2030 ?v_14) (=> (=> ?v_2031 ?v_15) (=> (=> ?v_2032 ?v_16) (=> true (=> ?v_2033 (=> ?v_2034 (=> (= errorReached.47 1) ?v_2035)))))))))) (=> true (=> (=> ?v_2028 ?v_7) (=> (=> ?v_2029 ?v_8) (=> (=> ?v_2030 ?v_9) (=> (=> ?v_2031 ?v_10) (=> (=> ?v_2032 ?v_11) (=> true (=> ?v_2033 (=> ?v_2034 ?v_2036))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= k.64 k.62) (=> (= inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2..0 inline.sdv_WdfRequestGetFileObject.3..result.userContextSwitch.7051.4.2.) ?v_2036)))))))) (=> true (=> (not ?v_2037) (=> true (=> ?v_2038 (=> ?v_1358 (=> ?v_1359 (=> ?v_1804 (=> ?v_1323 (=> ?v_1805 (=> ?v_1897 (=> ?v_1642 (=> ?v_1859 (=> ?v_2039 (=> ?v_1366 (=> ?v_1983 (=> ?v_1806 (=> ?v_1324 (=> ?v_1325 (=> ?v_1807 (=> ?v_1942 (=> ?v_1808 (=> ?v_2040 (=> ?v_1709 (=> ?v_2041 (=> ?v_1943 (=> ?v_1376 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> ?v_1326 (=> ?v_1898 (=> ?v_1381 (=> ?v_1382 (=> ?v_1947 (=> ?v_1809 (=> ?v_1810 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1948 (=> ?v_1949 (=> ?v_1388 (=> ?v_1327 (=> ?v_1811 (=> ?v_1812 (=> ?v_1391 (=> ?v_1328 (=> ?v_1950 (=> ?v_1899 (=> ?v_1393 (=> ?v_1813 (=> ?v_2042 (=> ?v_1984 (=> ?v_1329 (=> ?v_2043 (=> ?v_2044 (=> ?v_1900 (=> ?v_1901 (=> ?v_1814 (=> ?v_1710 (=> ?v_2045 (=> ?v_1330 (=> ?v_1902 (=> ?v_1331 (=> ?v_1405 (=> ?v_1711 (=> ?v_1951 (=> ?v_1408 (=> ?v_1952 (=> ?v_1861 (=> ?v_1815 (=> ?v_1816 (=> ?v_1645 (=> ?v_2046 (=> ?v_1985 (=> ?v_1646 (=> ?v_1712 (=> ?v_1713 (=> ?v_1817 (=> ?v_1420 (=> ?v_1818 (=> ?v_2047 (=> ?v_1423 (=> ?v_1986 (=> ?v_1332 (=> ?v_1819 (=> ?v_1953 (=> ?v_1903 (=> ?v_1820 (=> ?v_1821 (=> ?v_2084 (=> ?v_1823 (=> ?v_1824 (=> ?v_1431 (=> ?v_1825 (=> ?v_1333 (=> ?v_1714 (=> ?v_1954 (=> ?v_1955 (=> ?v_1334 (=> ?v_1648 (=> ?v_1826 (=> ?v_1649 (=> ?v_1439 (=> ?v_1440 (=> ?v_1827 (=> ?v_1828 (=> ?v_1443 (=> ?v_1715 (=> ?v_1904 (=> ?v_1650 (=> ?v_1829 (=> ?v_1830 (=> ?v_1956 (=> ?v_1450 (=> ?v_1831 (=> ?v_1832 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1833 (=> ?v_1338 (=> ?v_2048 (=> ?v_1339 (=> ?v_2049 (=> ?v_1340 (=> ?v_1456 (=> ?v_1651 (=> ?v_2050 (=> ?v_1652 (=> ?v_1957 (=> ?v_1461 (=> ?v_1341 (=> ?v_1716 (=> ?v_1988 (=> ?v_2051 (=> ?v_1653 (=> ?v_1958 (=> ?v_1717 (=> (= inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.52 inline.PerformHighSpeedIsochTransfer.0.myNondetVar_0.0) (=> ?v_1467 (=> ?v_1718 (=> ?v_1469 (=> ?v_1834 (=> ?v_2052 (=> ?v_1472 (=> ?v_1959 (=> ?v_1835 (=> ?v_1342 (=> ?v_1907 (=> ?v_1991 (=> ?v_2053 (=> ?v_1836 (=> ?v_1960 (=> ?v_1343 (=> ?v_1656 (=> ?v_1344 (=> ?v_1961 (=> ?v_2054 (=> ?v_1992 (=> ?v_2055 (=> ?v_1908 (=> ?v_1485 (=> ?v_1345 (=> ?v_1719 (=> ?v_1346 (=> (= k.121 k.62) (=> ?v_1962 (=> ?v_1837 (=> ?v_1993 (=> ?v_1909 (=> ?v_1720 (=> ?v_1658 (=> ?v_1347 (=> ?v_1963 (=> ?v_1493 (=> ?v_1494 (=> ?v_1838 (=> ?v_1910 (=> ?v_1721 (=> ?v_1911 (=> ?v_1912 (=> ?v_1964 (=> ?v_1501 (=> ?v_1913 (=> ?v_1503 (=> ?v_1504 ?v_2092))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2058 (= call30814formal.ret.0 0))) (let ((?v_2061 (=> true (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_2059))) (?v_2060 (= call30814formal.ret.0 1))) (let ((?v_2066 (and (=> true (=> (not ?v_2058) (=> (not ?v_2060) ?v_2061))) (=> true (=> ?v_2058 (=> true (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..0 ?v_87) (=> true (=> (= inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.3..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2059))))))))))))))) (=> true (=> ?v_2060 (=> true ?v_2061)))))) (let ((?v_2070 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2066))))))))) (?v_2063 (= lockStatus_4.1 lockStatus_4)) (?v_2064 (= lockStatus_3.1 lockStatus_3)) (?v_2068 (= lockStatus_0.1 lockStatus_0)) (?v_2069 (= lockStatus_1.1 lockStatus_1)) (?v_2065 (= lockStatus_2.1 lockStatus_2))) (let ((?v_2072 (=> ?v_2065 ?v_2070))) (let ((?v_2074 (=> ?v_2068 (=> ?v_2069 ?v_2072)))) (let ((?v_2076 (=> ?v_2064 ?v_2074)) (?v_2075 (= k.62 4)) (?v_2073 (= k.62 3)) (?v_2071 (= k.62 2)) (?v_2067 (= k.62 1)) (?v_2062 (= k.62 0))) (let ((?v_2094 (and (=> true (=> ?v_2077 (=> true (=> (<= k.41 k.62) (=> (< k.62 5) (and (=> true (=> ?v_2062 (=> true (=> ?v_2063 (=> ?v_2064 (=> (= lockStatus_0.1 0) (=> ?v_2069 (=> ?v_2065 ?v_2066)))))))) (=> true (=> (not ?v_2062) (and (=> true (=> ?v_2067 (=> true (=> ?v_2063 (=> ?v_2064 (=> ?v_2068 (=> (= lockStatus_1.1 0) ?v_2072))))))) (=> true (=> (not ?v_2067) (and (=> true (=> ?v_2071 (=> true (=> ?v_2063 (=> ?v_2064 (=> ?v_2068 (=> ?v_2069 (=> (= lockStatus_2.1 0) ?v_2070)))))))) (=> true (=> (not ?v_2071) (and (=> true (=> ?v_2073 (=> true (=> ?v_2063 (=> (= lockStatus_3.1 0) ?v_2074))))) (=> true (=> (not ?v_2073) (and (=> true (=> ?v_2075 (=> true (=> (= lockStatus_4.1 0) ?v_2076)))) (=> true (=> (not ?v_2075) (=> true (=> ?v_2063 ?v_2076)))))))))))))))))))))) (=> true (=> (not ?v_2077) (=> true (=> ?v_2038 (=> ?v_2078 (=> ?v_1359 (=> ?v_1804 (=> ?v_1323 (=> ?v_1805 (=> ?v_1897 (=> ?v_1642 (=> ?v_1859 (=> ?v_2039 (=> ?v_2079 (=> ?v_1983 (=> ?v_1806 (=> ?v_1324 (=> ?v_1325 (=> ?v_1807 (=> ?v_1942 (=> ?v_1808 (=> ?v_2040 (=> ?v_1709 (=> ?v_2041 (=> ?v_1943 (=> ?v_2080 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> ?v_1326 (=> ?v_1898 (=> ?v_1381 (=> ?v_2081 (=> ?v_1947 (=> ?v_1809 (=> ?v_1810 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_1948 (=> ?v_1949 (=> ?v_1388 (=> ?v_1327 (=> ?v_1811 (=> ?v_1812 (=> ?v_1391 (=> ?v_1328 (=> ?v_1950 (=> ?v_1899 (=> ?v_1393 (=> ?v_1813 (=> ?v_2042 (=> ?v_1984 (=> ?v_1329 (=> ?v_2043 (=> ?v_2044 (=> ?v_1900 (=> ?v_1901 (=> ?v_1814 (=> ?v_1710 (=> ?v_2045 (=> ?v_1330 (=> ?v_1902 (=> ?v_1331 (=> ?v_1405 (=> ?v_1711 (=> ?v_1951 (=> ?v_2082 (=> ?v_1952 (=> ?v_1861 (=> ?v_1815 (=> ?v_1816 (=> ?v_1645 (=> ?v_2046 (=> ?v_1985 (=> ?v_1646 (=> ?v_1712 (=> ?v_1713 (=> ?v_1817 (=> ?v_2083 (=> ?v_1818 (=> ?v_2047 (=> ?v_1423 (=> ?v_1986 (=> ?v_1332 (=> ?v_1819 (=> ?v_1953 (=> ?v_1903 (=> ?v_1820 (=> ?v_1821 (=> ?v_2084 (=> ?v_1823 (=> ?v_1824 (=> ?v_2085 (=> ?v_1825 (=> ?v_1333 (=> ?v_1714 (=> ?v_1954 (=> ?v_1955 (=> ?v_1334 (=> ?v_1648 (=> ?v_1826 (=> ?v_1649 (=> ?v_2086 (=> ?v_1440 (=> ?v_1827 (=> ?v_1828 (=> ?v_1443 (=> ?v_1715 (=> ?v_1904 (=> ?v_1650 (=> ?v_1829 (=> ?v_1830 (=> ?v_1956 (=> ?v_1450 (=> ?v_1831 (=> ?v_1832 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1833 (=> ?v_1338 (=> ?v_2048 (=> ?v_1339 (=> ?v_2049 (=> ?v_1340 (=> ?v_2087 (=> ?v_1651 (=> ?v_2050 (=> ?v_1652 (=> ?v_1957 (=> ?v_1461 (=> ?v_1341 (=> ?v_1716 (=> ?v_1988 (=> ?v_2051 (=> ?v_1653 (=> ?v_1958 (=> ?v_1717 (=> ?v_2088 (=> ?v_1467 (=> ?v_1718 (=> ?v_1469 (=> ?v_1834 (=> ?v_2052 (=> ?v_1472 (=> ?v_1959 (=> ?v_1835 (=> ?v_1342 (=> ?v_1907 (=> ?v_1991 (=> ?v_2053 (=> ?v_1836 (=> ?v_1960 (=> ?v_1343 (=> ?v_1656 (=> ?v_1344 (=> ?v_1961 (=> ?v_2054 (=> ?v_1992 (=> ?v_2055 (=> ?v_1908 (=> ?v_2089 (=> ?v_1345 (=> ?v_1719 (=> ?v_1346 (=> (= k.121 k.41) (=> ?v_1962 (=> ?v_1837 (=> ?v_1993 (=> ?v_1909 (=> ?v_1720 (=> ?v_1658 (=> ?v_1347 (=> ?v_1963 (=> ?v_1493 (=> ?v_1494 (=> ?v_1838 (=> ?v_1910 (=> ?v_1721 (=> ?v_1911 (=> ?v_1912 (=> ?v_1964 (=> ?v_1501 (=> ?v_1913 (=> ?v_2090 (=> ?v_2091 ?v_2092))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_2093 (= call30637formal.ret.0 0))) (let ((?v_2096 (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_2094))) (?v_2095 (= call30637formal.ret.0 1)) (?v_1265 (int_2_U call30625formal.new.0))) (let ((?v_2103 (=> true (and ?v_31 (=> ?v_31 (=> (> call30625formal.new.0 0) (=> (forall ((?x621 Int)) (! (=> (and (<= call30625formal.new.0 ?x621) (< ?x621 (+ call30625formal.new.0 0))) (= (Base ?x621) call30625formal.new.0)) :pattern ((Base ?x621)) )) (=> (forall ((?x622 boogieU)) (! (=> (= (type ?x622) intType) (or (= (U_2_int ?x622) call30625formal.new.0) (= (MapType0Select alloc.17 ?x622) (MapType0Select alloc.29 ?x622)))) :pattern ((MapType0Select alloc.29 ?x622)) )) (=> (and (= (MapType0Select alloc.17 ?v_1265) UNALLOCATED) (= (MapType0Select alloc.29 ?v_1265) ALLOCATED)) (and (=> true (=> (not ?v_2093) (=> (not ?v_2095) ?v_2096))) (=> true (=> ?v_2093 (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0 ?v_87) (=> true (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2094))))))))))))))) (=> true (=> ?v_2095 (=> true ?v_2096)))))))))))) (?v_2105 (= k.41 k.39))) (let ((?v_2106 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2.) (=> (= errorReached.34 errorReached.32) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2103))))))))))))))))))))) (?v_2102 (=> true (=> (= k.41 k.40) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..0 call30461formal.ret.0) (=> (= errorReached.34 errorReached.33) ?v_2103)))))) (?v_2097 (= k.40 0)) (?v_2098 (= k.40 1)) (?v_2099 (= k.40 2)) (?v_2100 (= k.40 3)) (?v_2101 (= k.40 4)) (?v_1263 (< myNondetVar_0.0 8)) (?v_495 (- 0 1073741811))) (let ((?v_2109 (and (=> true (=> ?v_1263 (=> true (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.0 ?v_495) (=> true (=> ?v_2038 (=> ?v_2078 (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext.0 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext) (=> ?v_1804 (=> ?v_1323 (=> ?v_1805 (=> ?v_1897 (=> ?v_1642 (=> ?v_1859 (=> ?v_2039 (=> ?v_2079 (=> ?v_1983 (=> ?v_1806 (=> ?v_1324 (=> ?v_1325 (=> ?v_1807 (=> ?v_1942 (=> ?v_1808 (=> ?v_2040 (=> ?v_1709 (=> ?v_2041 (=> ?v_1943 (=> ?v_2080 (=> ?v_1944 (=> ?v_1945 (=> ?v_1946 (=> ?v_1326 (=> ?v_1898 (=> (= inline.GetDeviceContext.1.myNondetVar_0.1 inline.GetDeviceContext.1.myNondetVar_0) (=> ?v_2081 (=> ?v_1947 (=> ?v_1809 (=> ?v_1810 (=> (= inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.6 inline.PerformHighSpeedIsochTransfer.0..status.15.761.28.PerformHighSpeedIsochTransfer.0) (=> ?v_1948 (=> ?v_1949 (=> (= inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1..0 inline.sdv_WdfIoQueueGetDevice.3..result.sdv_WdfIoQueueGetDevice.6817.0.1.) (=> ?v_1327 (=> ?v_1811 (=> ?v_1812 (=> (= inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.2..choice.1.6131.6.sdv_SetReturnStatus) (=> ?v_1328 (=> ?v_1950 (=> ?v_1899 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.userContextSwitch.6841.4.2.) (=> ?v_1813 (=> ?v_2042 (=> ?v_1984 (=> ?v_1329 (=> ?v_2043 (=> ?v_2044 (=> ?v_1900 (=> ?v_1901 (=> ?v_1814 (=> ?v_1710 (=> ?v_2045 (=> ?v_1330 (=> ?v_1902 (=> ?v_1331 (=> (= inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3..0 inline.sdv_WdfCollectionCreate.0..result.sdv_SetReturnStatus.8384.27.3.) (=> ?v_1711 (=> ?v_1951 (=> ?v_2082 (=> ?v_1952 (=> ?v_1861 (=> ?v_1815 (=> ?v_1816 (=> ?v_1645 (=> ?v_2046 (=> ?v_1985 (=> ?v_1646 (=> ?v_1712 (=> ?v_1713 (=> ?v_1817 (=> ?v_2083 (=> ?v_1818 (=> ?v_2047 (=> (= inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1..0 inline.sdv_WdfCollectionCreate.0..result.sdv_WdfCollectionCreate.8378.0.1.) (=> ?v_1986 (=> ?v_1332 (=> ?v_1819 (=> ?v_1953 (=> ?v_1903 (=> ?v_1820 (=> ?v_1821 (=> (= errorReached.75 errorReached.32) (=> ?v_1823 (=> ?v_1824 (=> ?v_2085 (=> ?v_1825 (=> ?v_1333 (=> ?v_1714 (=> ?v_1954 (=> ?v_1955 (=> ?v_1334 (=> ?v_1648 (=> ?v_1826 (=> ?v_1649 (=> ?v_2086 (=> (= inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.2..result.sdv_SetReturnStatus.6129.0.1.) (=> ?v_1827 (=> ?v_1828 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfCollectionCreate.805.32.4.) (=> ?v_1715 (=> ?v_1904 (=> ?v_1650 (=> ?v_1829 (=> ?v_1830 (=> ?v_1956 (=> (= inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3..0 inline.PerformHighSpeedIsochTransfer.0..result.sdv_WdfIoQueueGetDevice.798.56.3.) (=> ?v_1831 (=> ?v_1832 (=> ?v_1335 (=> ?v_1336 (=> ?v_1337 (=> ?v_1833 (=> ?v_1338 (=> ?v_2048 (=> ?v_1339 (=> ?v_2049 (=> ?v_1340 (=> ?v_2087 (=> ?v_1651 (=> ?v_2050 (=> ?v_1652 (=> ?v_1957 (=> (= inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.2..result.SdvMakeChoice.6131.28.2.) (=> ?v_1341 (=> ?v_1716 (=> ?v_1988 (=> ?v_2051 (=> ?v_1653 (=> ?v_1958 (=> ?v_1717 (=> ?v_2088 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1) (=> ?v_1718 (=> (= inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2..0 inline.sdv_WdfCollectionCreate.0..result.malloc.8383.36.2.) (=> ?v_1834 (=> ?v_2052 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.6..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker) (=> ?v_1959 (=> ?v_1835 (=> ?v_1342 (=> ?v_1907 (=> ?v_1991 (=> ?v_2053 (=> ?v_1836 (=> ?v_1960 (=> ?v_1343 (=> ?v_1656 (=> ?v_1344 (=> ?v_1961 (=> ?v_2054 (=> ?v_1992 (=> ?v_2055 (=> ?v_1908 (=> ?v_2089 (=> ?v_1345 (=> ?v_1719 (=> ?v_1346 (=> (= k.121 k.39) (=> ?v_1962 (=> ?v_1837 (=> ?v_1993 (=> ?v_1909 (=> ?v_1720 (=> ?v_1658 (=> ?v_1347 (=> ?v_1963 (=> (= inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1.0 inline.GetDeviceContext.1..Handle.1.96.0.GetDeviceContext1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.) (=> ?v_1838 (=> ?v_1910 (=> ?v_1721 (=> ?v_1911 (=> ?v_1912 (=> ?v_1964 (=> (= alloc.30 alloc.17) (=> ?v_1913 (=> ?v_2090 (=> ?v_2091 (=> ?v_1965 (=> ?v_1660 (=> ?v_1862 (=> ?v_1839 (=> ?v_1348 (=> ?v_1840 (=> ?v_1349 (=> ?v_1350 (=> ?v_1914 (=> ?v_1661 (=> ?v_1966 (=> ?v_1351 (=> ?v_1863 (=> ?v_1841 (=> ?v_1842 (=> ?v_1843 (=> ?v_1864 (=> ?v_1967 (=> ?v_1662 (=> ?v_1844 (=> ?v_1915 (=> ?v_1968 (=> ?v_1352 (=> ?v_2056 (=> ?v_1917 ?v_1353)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_1263) (and (=> true (=> ?v_1264 (=> true (=> (<= k.39 k.40) (=> (< k.40 5) (and (=> true (=> (=> ?v_2097 ?v_12) (=> (=> ?v_2098 ?v_13) (=> (=> ?v_2099 ?v_14) (=> (=> ?v_2100 ?v_15) (=> (=> ?v_2101 ?v_16) (=> true (=> (= errorReached.33 1) ?v_2102)))))))) (=> true (=> (=> ?v_2097 ?v_7) (=> (=> ?v_2098 ?v_8) (=> (=> ?v_2099 ?v_9) (=> (=> ?v_2100 ?v_10) (=> (=> ?v_2101 ?v_11) (=> true (=> (= errorReached.33 errorReached.32) (=> true ?v_2102))))))))))))))) (=> true (=> ?v_3284 (and (=> true (=> ?v_2104 (=> true (=> ?v_2105 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2106))))) (=> true (=> ?v_3286 (and (=> true (=> ?v_2107 (=> true (=> ?v_2105 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2106))))) (=> true (=> ?v_3290 (and (=> true (=> ?v_2108 (=> true (=> ?v_2105 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2106))))) (=> true (=> ?v_3291 (=> true (=> ?v_2105 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.6..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2106)))))))))))))))))))) (let ((?v_2116 (and (=> true (=> ?v_595 ?v_2109)) (=> true (=> ?v_781 (=> true ?v_2109)))))) (let ((?v_2120 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_2116)))))))))) (?v_2117 (= k.39 k.34)) (?v_2118 (= errorReached.32 errorReached.28)) (?v_2119 (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2.)) (?v_2115 (=> true (=> (= k.39 k.37) (=> (= errorReached.32 errorReached.31) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.userContextSwitch.6841.4.2..0 call29086formal.ret.0) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_2116)))))) (?v_2110 (= k.37 0)) (?v_2111 (= k.37 1)) (?v_2112 (= k.37 2)) (?v_2113 (= k.37 3)) (?v_2114 (= k.37 4)) (?v_864 (int_2_U call28940formal.new.0)) (?v_865 (int_2_U call28943formal.new.0)) (?v_866 (int_2_U call28946formal.new.0)) (?v_867 (int_2_U call28949formal.new.0)) (?v_868 (int_2_U call28952formal.new.0)) (?v_869 (int_2_U call28955formal.new.0)) (?v_870 (int_2_U call28958formal.new.0)) (?v_872 (int_2_U call28964formal.new.0)) (?v_873 (int_2_U call28967formal.new.0)) (?v_874 (int_2_U call28970formal.new.0))) (let ((?v_3320 (and (=> true (=> (not (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.5 0)) (=> true (and ?v_17 (=> ?v_17 (=> (> call28940formal.new.0 0) (=> (forall ((?x623 Int)) (! (=> (and (<= call28940formal.new.0 ?x623) (< ?x623 (+ call28940formal.new.0 32))) (= (Base ?x623) call28940formal.new.0)) :pattern ((Base ?x623)) )) (=> (forall ((?x624 boogieU)) (! (=> (= (type ?x624) intType) (or (= (U_2_int ?x624) call28940formal.new.0) (= (MapType0Select alloc.6 ?x624) (MapType0Select alloc.7 ?x624)))) :pattern ((MapType0Select alloc.7 ?x624)) )) (=> (and (= (MapType0Select alloc.6 ?v_864) UNALLOCATED) (= (MapType0Select alloc.7 ?v_864) ALLOCATED)) (and ?v_35 (=> ?v_35 (=> (> call28943formal.new.0 0) (=> (forall ((?x625 Int)) (! (=> (and (<= call28943formal.new.0 ?x625) (< ?x625 (+ call28943formal.new.0 1))) (= (Base ?x625) call28943formal.new.0)) :pattern ((Base ?x625)) )) (=> (forall ((?x626 boogieU)) (! (=> (= (type ?x626) intType) (or (= (U_2_int ?x626) call28943formal.new.0) (= (MapType0Select alloc.7 ?x626) (MapType0Select alloc.8 ?x626)))) :pattern ((MapType0Select alloc.8 ?x626)) )) (=> (and (= (MapType0Select alloc.7 ?v_865) UNALLOCATED) (= (MapType0Select alloc.8 ?v_865) ALLOCATED)) (and ?v_20 (=> ?v_20 (=> (> call28946formal.new.0 0) (=> (forall ((?x627 Int)) (! (=> (and (<= call28946formal.new.0 ?x627) (< ?x627 (+ call28946formal.new.0 4))) (= (Base ?x627) call28946formal.new.0)) :pattern ((Base ?x627)) )) (=> (forall ((?x628 boogieU)) (! (=> (= (type ?x628) intType) (or (= (U_2_int ?x628) call28946formal.new.0) (= (MapType0Select alloc.8 ?x628) (MapType0Select alloc.9 ?x628)))) :pattern ((MapType0Select alloc.9 ?x628)) )) (=> (and (= (MapType0Select alloc.8 ?v_866) UNALLOCATED) (= (MapType0Select alloc.9 ?v_866) ALLOCATED)) (and ?v_20 (=> ?v_20 (=> (> call28949formal.new.0 0) (=> (forall ((?x629 Int)) (! (=> (and (<= call28949formal.new.0 ?x629) (< ?x629 (+ call28949formal.new.0 4))) (= (Base ?x629) call28949formal.new.0)) :pattern ((Base ?x629)) )) (=> (forall ((?x630 boogieU)) (! (=> (= (type ?x630) intType) (or (= (U_2_int ?x630) call28949formal.new.0) (= (MapType0Select alloc.9 ?x630) (MapType0Select alloc.10 ?x630)))) :pattern ((MapType0Select alloc.10 ?x630)) )) (=> (and (= (MapType0Select alloc.9 ?v_867) UNALLOCATED) (= (MapType0Select alloc.10 ?v_867) ALLOCATED)) (and ?v_5 (=> ?v_5 (=> (> call28952formal.new.0 0) (=> (forall ((?x631 Int)) (! (=> (and (<= call28952formal.new.0 ?x631) (< ?x631 (+ call28952formal.new.0 20))) (= (Base ?x631) call28952formal.new.0)) :pattern ((Base ?x631)) )) (=> (forall ((?x632 boogieU)) (! (=> (= (type ?x632) intType) (or (= (U_2_int ?x632) call28952formal.new.0) (= (MapType0Select alloc.10 ?x632) (MapType0Select alloc.11 ?x632)))) :pattern ((MapType0Select alloc.11 ?x632)) )) (=> (and (= (MapType0Select alloc.10 ?v_868) UNALLOCATED) (= (MapType0Select alloc.11 ?v_868) ALLOCATED)) (and ?v_20 (=> ?v_20 (=> (> call28955formal.new.0 0) (=> (forall ((?x633 Int)) (! (=> (and (<= call28955formal.new.0 ?x633) (< ?x633 (+ call28955formal.new.0 4))) (= (Base ?x633) call28955formal.new.0)) :pattern ((Base ?x633)) )) (=> (forall ((?x634 boogieU)) (! (=> (= (type ?x634) intType) (or (= (U_2_int ?x634) call28955formal.new.0) (= (MapType0Select alloc.11 ?x634) (MapType0Select alloc.12 ?x634)))) :pattern ((MapType0Select alloc.12 ?x634)) )) (=> (and (= (MapType0Select alloc.11 ?v_869) UNALLOCATED) (= (MapType0Select alloc.12 ?v_869) ALLOCATED)) (and ?v_20 (=> ?v_20 (=> (> call28958formal.new.0 0) (=> (forall ((?x635 Int)) (! (=> (and (<= call28958formal.new.0 ?x635) (< ?x635 (+ call28958formal.new.0 4))) (= (Base ?x635) call28958formal.new.0)) :pattern ((Base ?x635)) )) (=> (forall ((?x636 boogieU)) (! (=> (= (type ?x636) intType) (or (= (U_2_int ?x636) call28958formal.new.0) (= (MapType0Select alloc.12 ?x636) (MapType0Select alloc.13 ?x636)))) :pattern ((MapType0Select alloc.13 ?x636)) )) (=> (and (= (MapType0Select alloc.12 ?v_870) UNALLOCATED) (= (MapType0Select alloc.13 ?v_870) ALLOCATED)) (and ?v_20 (=> ?v_20 (=> (> call28961formal.new.0 0) (=> (forall ((?x637 Int)) (! (=> (and (<= call28961formal.new.0 ?x637) (< ?x637 (+ call28961formal.new.0 4))) (= (Base ?x637) call28961formal.new.0)) :pattern ((Base ?x637)) )) (=> (forall ((?x638 boogieU)) (! (=> (= (type ?x638) intType) (or (= (U_2_int ?x638) call28961formal.new.0) (= (MapType0Select alloc.13 ?x638) (MapType0Select alloc.14 ?x638)))) :pattern ((MapType0Select alloc.14 ?x638)) )) (=> (and (= (MapType0Select alloc.13 ?v_871) UNALLOCATED) (= (MapType0Select alloc.14 ?v_871) ALLOCATED)) (and ?v_326 (=> ?v_326 (=> (> call28964formal.new.0 0) (=> (forall ((?x639 Int)) (! (=> (and (<= call28964formal.new.0 ?x639) (< ?x639 (+ call28964formal.new.0 8))) (= (Base ?x639) call28964formal.new.0)) :pattern ((Base ?x639)) )) (=> (forall ((?x640 boogieU)) (! (=> (= (type ?x640) intType) (or (= (U_2_int ?x640) call28964formal.new.0) (= (MapType0Select alloc.14 ?x640) (MapType0Select alloc.15 ?x640)))) :pattern ((MapType0Select alloc.15 ?x640)) )) (=> (and (= (MapType0Select alloc.14 ?v_872) UNALLOCATED) (= (MapType0Select alloc.15 ?v_872) ALLOCATED)) (and ?v_20 (=> ?v_20 (=> (> call28967formal.new.0 0) (=> (forall ((?x641 Int)) (! (=> (and (<= call28967formal.new.0 ?x641) (< ?x641 (+ call28967formal.new.0 4))) (= (Base ?x641) call28967formal.new.0)) :pattern ((Base ?x641)) )) (=> (forall ((?x642 boogieU)) (! (=> (= (type ?x642) intType) (or (= (U_2_int ?x642) call28967formal.new.0) (= (MapType0Select alloc.15 ?x642) (MapType0Select alloc.16 ?x642)))) :pattern ((MapType0Select alloc.16 ?x642)) )) (=> (and (= (MapType0Select alloc.15 ?v_873) UNALLOCATED) (= (MapType0Select alloc.16 ?v_873) ALLOCATED)) (and ?v_20 (=> ?v_20 (=> (> call28970formal.new.0 0) (=> (forall ((?x643 Int)) (! (=> (and (<= call28970formal.new.0 ?x643) (< ?x643 (+ call28970formal.new.0 4))) (= (Base ?x643) call28970formal.new.0)) :pattern ((Base ?x643)) )) (=> (forall ((?x644 boogieU)) (! (=> (= (type ?x644) intType) (or (= (U_2_int ?x644) call28970formal.new.0) (= (MapType0Select alloc.16 ?x644) (MapType0Select alloc.17 ?x644)))) :pattern ((MapType0Select alloc.17 ?x644)) )) (=> (and (= (MapType0Select alloc.16 ?v_874) UNALLOCATED) (= (MapType0Select alloc.17 ?v_874) ALLOCATED)) (and (=> true (=> ?v_33 (=> true (=> (<= k.34 k.37) (=> (< k.37 5) (and (=> true (=> (=> ?v_2110 ?v_12) (=> (=> ?v_2111 ?v_13) (=> (=> ?v_2112 ?v_14) (=> (=> ?v_2113 ?v_15) (=> (=> ?v_2114 ?v_16) (=> true (=> (= errorReached.31 1) ?v_2115)))))))) (=> true (=> (=> ?v_2110 ?v_7) (=> (=> ?v_2111 ?v_8) (=> (=> ?v_2112 ?v_9) (=> (=> ?v_2113 ?v_10) (=> (=> ?v_2114 ?v_11) (=> true (=> (= errorReached.31 errorReached.28) (=> true ?v_2115))))))))))))))) (=> true (=> ?v_99 (and (=> true (=> ?v_307 (=> true (=> ?v_2117 (=> ?v_2118 (=> ?v_2119 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_2120))))))) (=> true (=> ?v_437 (and (=> true (=> ?v_311 (=> true (=> ?v_2117 (=> ?v_2118 (=> ?v_2119 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_2120))))))) (=> true (=> ?v_442 (and (=> true (=> ?v_312 (=> true (=> ?v_2117 (=> ?v_2118 (=> ?v_2119 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_2120))))))) (=> true (=> ?v_443 (=> true (=> ?v_2117 (=> ?v_2118 (=> ?v_2119 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.5..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_2120)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.6 0) (=> true (and ?v_17 (=> ?v_17 (=> (> call36576formal.new.0 0) (=> (forall ((?x601 Int)) (! (=> (and (<= call36576formal.new.0 ?x601) (< ?x601 (+ call36576formal.new.0 32))) (= (Base ?x601) call36576formal.new.0)) :pattern ((Base ?x601)) )) (=> (forall ((?x602 boogieU)) (! (=> (= (type ?x602) intType) (or (= (U_2_int ?x602) call36576formal.new.0) (= (MapType0Select alloc.6 ?x602) (MapType0Select alloc.18 ?x602)))) :pattern ((MapType0Select alloc.18 ?x602)) )) (=> (and (= (MapType0Select alloc.6 ?v_2121) UNALLOCATED) (= (MapType0Select alloc.18 ?v_2121) ALLOCATED)) (and ?v_35 (=> ?v_35 (=> (> call36579formal.new.0 0) (=> (forall ((?x603 Int)) (! (=> (and (<= call36579formal.new.0 ?x603) (< ?x603 (+ call36579formal.new.0 1))) (= (Base ?x603) call36579formal.new.0)) :pattern ((Base ?x603)) )) (=> (forall ((?x604 boogieU)) (! (=> (= (type ?x604) intType) (or (= (U_2_int ?x604) call36579formal.new.0) (= (MapType0Select alloc.18 ?x604) (MapType0Select alloc.19 ?x604)))) :pattern ((MapType0Select alloc.19 ?x604)) )) (=> (and (= (MapType0Select alloc.18 ?v_2122) UNALLOCATED) (= (MapType0Select alloc.19 ?v_2122) ALLOCATED)) (and ?v_20 (=> ?v_20 (=> (> call36582formal.new.0 0) (=> (forall ((?x605 Int)) (! (=> (and (<= call36582formal.new.0 ?x605) (< ?x605 (+ call36582formal.new.0 4))) (= (Base ?x605) call36582formal.new.0)) :pattern ((Base ?x605)) )) (=> (forall ((?x606 boogieU)) (! (=> (= (type ?x606) intType) (or (= (U_2_int ?x606) call36582formal.new.0) (= (MapType0Select alloc.19 ?x606) (MapType0Select alloc.20 ?x606)))) :pattern ((MapType0Select alloc.20 ?x606)) )) (=> (and (= (MapType0Select alloc.19 ?v_2123) UNALLOCATED) (= (MapType0Select alloc.20 ?v_2123) ALLOCATED)) (and ?v_20 (=> ?v_20 (=> (> call36585formal.new.0 0) (=> (forall ((?x607 Int)) (! (=> (and (<= call36585formal.new.0 ?x607) (< ?x607 (+ call36585formal.new.0 4))) (= (Base ?x607) call36585formal.new.0)) :pattern ((Base ?x607)) )) (=> (forall ((?x608 boogieU)) (! (=> (= (type ?x608) intType) (or (= (U_2_int ?x608) call36585formal.new.0) (= (MapType0Select alloc.20 ?x608) (MapType0Select alloc.21 ?x608)))) :pattern ((MapType0Select alloc.21 ?x608)) )) (=> (and (= (MapType0Select alloc.20 ?v_2124) UNALLOCATED) (= (MapType0Select alloc.21 ?v_2124) ALLOCATED)) (and ?v_5 (=> ?v_5 (=> (> call36588formal.new.0 0) (=> (forall ((?x609 Int)) (! (=> (and (<= call36588formal.new.0 ?x609) (< ?x609 (+ call36588formal.new.0 20))) (= (Base ?x609) call36588formal.new.0)) :pattern ((Base ?x609)) )) (=> (forall ((?x610 boogieU)) (! (=> (= (type ?x610) intType) (or (= (U_2_int ?x610) call36588formal.new.0) (= (MapType0Select alloc.21 ?x610) (MapType0Select alloc.22 ?x610)))) :pattern ((MapType0Select alloc.22 ?x610)) )) (=> (and (= (MapType0Select alloc.21 ?v_2125) UNALLOCATED) (= (MapType0Select alloc.22 ?v_2125) ALLOCATED)) (and ?v_20 (=> ?v_20 (=> (> call36591formal.new.0 0) (=> (forall ((?x611 Int)) (! (=> (and (<= call36591formal.new.0 ?x611) (< ?x611 (+ call36591formal.new.0 4))) (= (Base ?x611) call36591formal.new.0)) :pattern ((Base ?x611)) )) (=> (forall ((?x612 boogieU)) (! (=> (= (type ?x612) intType) (or (= (U_2_int ?x612) call36591formal.new.0) (= (MapType0Select alloc.22 ?x612) (MapType0Select alloc.23 ?x612)))) :pattern ((MapType0Select alloc.23 ?x612)) )) (=> (and (= (MapType0Select alloc.22 ?v_2126) UNALLOCATED) (= (MapType0Select alloc.23 ?v_2126) ALLOCATED)) (and ?v_20 (=> ?v_20 (=> (> call36594formal.new.0 0) (=> (forall ((?x613 Int)) (! (=> (and (<= call36594formal.new.0 ?x613) (< ?x613 (+ call36594formal.new.0 4))) (= (Base ?x613) call36594formal.new.0)) :pattern ((Base ?x613)) )) (=> (forall ((?x614 boogieU)) (! (=> (= (type ?x614) intType) (or (= (U_2_int ?x614) call36594formal.new.0) (= (MapType0Select alloc.23 ?x614) (MapType0Select alloc.24 ?x614)))) :pattern ((MapType0Select alloc.24 ?x614)) )) (=> (and (= (MapType0Select alloc.23 ?v_2127) UNALLOCATED) (= (MapType0Select alloc.24 ?v_2127) ALLOCATED)) (and ?v_326 (=> ?v_326 (=> (> call36597formal.new.0 0) (=> (forall ((?x615 Int)) (! (=> (and (<= call36597formal.new.0 ?x615) (< ?x615 (+ call36597formal.new.0 8))) (= (Base ?x615) call36597formal.new.0)) :pattern ((Base ?x615)) )) (=> (forall ((?x616 boogieU)) (! (=> (= (type ?x616) intType) (or (= (U_2_int ?x616) call36597formal.new.0) (= (MapType0Select alloc.24 ?x616) (MapType0Select alloc.25 ?x616)))) :pattern ((MapType0Select alloc.25 ?x616)) )) (=> (and (= (MapType0Select alloc.24 ?v_2128) UNALLOCATED) (= (MapType0Select alloc.25 ?v_2128) ALLOCATED)) (and ?v_20 (=> ?v_20 (=> (> call36600formal.new.0 0) (=> (forall ((?x617 Int)) (! (=> (and (<= call36600formal.new.0 ?x617) (< ?x617 (+ call36600formal.new.0 4))) (= (Base ?x617) call36600formal.new.0)) :pattern ((Base ?x617)) )) (=> (forall ((?x618 boogieU)) (! (=> (= (type ?x618) intType) (or (= (U_2_int ?x618) call36600formal.new.0) (= (MapType0Select alloc.25 ?x618) (MapType0Select alloc.26 ?x618)))) :pattern ((MapType0Select alloc.26 ?x618)) )) (=> (and (= (MapType0Select alloc.25 ?v_2129) UNALLOCATED) (= (MapType0Select alloc.26 ?v_2129) ALLOCATED)) (and ?v_20 (=> ?v_20 (=> (> call36603formal.new.0 0) (=> (forall ((?x619 Int)) (! (=> (and (<= call36603formal.new.0 ?x619) (< ?x619 (+ call36603formal.new.0 4))) (= (Base ?x619) call36603formal.new.0)) :pattern ((Base ?x619)) )) (=> (forall ((?x620 boogieU)) (! (=> (= (type ?x620) intType) (or (= (U_2_int ?x620) call36603formal.new.0) (= (MapType0Select alloc.26 ?x620) (MapType0Select alloc.27 ?x620)))) :pattern ((MapType0Select alloc.27 ?x620)) )) (=> (and (= (MapType0Select alloc.26 ?v_2130) UNALLOCATED) (= (MapType0Select alloc.27 ?v_2130) ALLOCATED)) (=> true (=> (<= k.34 k.38) (=> (< k.38 5) (and (=> true (=> ?v_3303 (=> (= Mem_0_T.PWDFREQUEST__.0 (MapType0Store Mem_0_T.PWDFREQUEST__ ?v_2127 ?v_3304)) (=> true (=> ?v_3310 (=> ?v_3305 (=> (= Mem_0_T.PWDFREQUEST__.1 Mem_0_T.PWDFREQUEST__.0) (=> ?v_3306 (=> ?v_3307 ?v_3308))))))))) (=> true (=> (not ?v_3303) (and (=> true (=> ?v_3309 (=> (= Mem_1_T.PWDFREQUEST__.0 (MapType0Store Mem_1_T.PWDFREQUEST__ ?v_2127 ?v_3304)) (=> true (=> (= Mem_1_T.PWDFREQUEST__.1 Mem_1_T.PWDFREQUEST__.0) ?v_3318))))) (=> true (=> (not ?v_3309) (and (=> true (=> ?v_3312 (=> (= Mem_2_T.PWDFREQUEST__.0 (MapType0Store Mem_2_T.PWDFREQUEST__ ?v_2127 ?v_3304)) (=> true (=> ?v_3310 (=> (= Mem_2_T.PWDFREQUEST__.1 Mem_2_T.PWDFREQUEST__.0) ?v_3311)))))) (=> true (=> (not ?v_3312) (and (=> true (=> ?v_3315 (=> (= Mem_3_T.PWDFREQUEST__.0 (MapType0Store Mem_3_T.PWDFREQUEST__ ?v_2127 ?v_3304)) (=> true (=> ?v_3310 (=> ?v_3305 (=> ?v_3313 (=> (= Mem_3_T.PWDFREQUEST__.1 Mem_3_T.PWDFREQUEST__.0) ?v_3314)))))))) (=> true (=> (not ?v_3315) (and (=> true (=> ?v_3317 (=> (= Mem_4_T.PWDFREQUEST__.0 (MapType0Store Mem_4_T.PWDFREQUEST__ ?v_2127 ?v_3304)) (=> true (=> ?v_3310 (=> ?v_3305 (=> ?v_3313 (=> ?v_3306 (=> (= Mem_4_T.PWDFREQUEST__.1 Mem_4_T.PWDFREQUEST__.0) ?v_3316))))))))) (=> true (=> (not ?v_3317) (=> true (=> ?v_3310 ?v_3318))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_3319 (<= 0 inline.WdfUsbTargetPipeResetSynchronously.0..callresult..1901.112.2.)) (?v_863 (< myNondetVar_0.0 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.3)) (?v_861 (=> true (=> ?v_2177 (=> ?v_875 (=> ?v_2178 (=> ?v_876 (=> (= reqCancelSet_0.25 reqCancelSet_0.8) (=> ?v_2179 (=> ?v_877 (=> ?v_878 (=> ?v_2180 (=> ?v_2181 (=> ?v_2182 (=> ?v_2183 (=> ?v_2184 (=> ?v_2185 (=> ?v_2186 (=> ?v_879 (=> ?v_880 (=> ?v_881 (=> ?v_882 (=> ?v_883 (=> (= lockStatus_2.16 lockStatus_2) (=> ?v_2187 (=> ?v_884 (=> ?v_2188 (=> ?v_2189 (=> ?v_2190 (=> ?v_885 (=> ?v_2191 (=> ?v_886 (=> ?v_887 (=> ?v_888 (=> ?v_2192 (=> ?v_2193 (=> ?v_889 (=> ?v_890 (=> (= inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.1 inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.0) (=> ?v_2195 (=> ?v_891 (=> ?v_892 (=> ?v_2196 (=> ?v_2197 (=> ?v_893 (=> (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.4 inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.3) (=> ?v_2199 (=> ?v_894 (=> ?v_895 (=> ?v_896 (=> ?v_897 (=> ?v_2200 (=> (= reqCompleteSet_2.9 reqCompleteSet_2) (=> ?v_898 (=> ?v_899 (=> ?v_900 (=> ?v_901 (=> ?v_2201 (=> ?v_2202 (=> (= inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1..0 inline.WdfUsbTargetPipeResetSynchronously.0..result.WdfUsbTargetPipeResetSynchronously.1893.0.1.) (=> ?v_2204 (=> ?v_2205 (=> ?v_2206 (=> ?v_902 (=> (= reqSent_2.9 reqSent_2) (=> (= inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2..0 inline.ResetPipe.0..result.WdfUsbTargetPipeResetSynchronously.467.47.2.) (=> ?v_903 (=> ?v_904 (=> ?v_2208 (=> ?v_2209 (=> ?v_905 (=> ?v_906 (=> ?v_2210 (=> ?v_907 (=> ?v_2211 (=> (= k.132 k.36) (=> ?v_908 (=> ?v_2212 (=> ?v_2213 (=> ?v_909 (=> ?v_2214 (=> ?v_2215 (=> ?v_910 (=> ?v_911 (=> ?v_912 (=> ?v_2216 (=> ?v_913 (=> ?v_2217 (=> ?v_914 (=> (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> ?v_2219 (=> ?v_2220 (=> ?v_2221 (=> ?v_915 (=> (= reqCompleted_1.19 reqCompleted_1.8) (=> (= reqCompleteSet_4.9 reqCompleteSet_4) (=> (= reqCancelSet_3.25 reqCancelSet_3.8) (=> ?v_2222 (=> ?v_2223 (=> ?v_2224 (=> ?v_2225 (=> ?v_2226 (=> ?v_916 (=> ?v_2227 (=> ?v_2228 (=> ?v_2229 (=> ?v_917 (=> ?v_918 (=> ?v_919 (=> (= reqCompleted_3.19 reqCompleted_3.8) (=> ?v_920 (=> ?v_921 (=> ?v_2230 (=> ?v_922 (=> ?v_923 (=> ?v_924 (=> ?v_2231 (=> ?v_925 (=> ?v_2232 (=> ?v_2233 (=> (= reqCompleteSet_1.9 reqCompleteSet_1) (=> ?v_926 (=> ?v_2234 (=> ?v_2235 (=> ?v_2236 (=> ?v_927 (=> ?v_928 (=> ?v_2237 (=> ?v_929 (=> ?v_2238 (=> ?v_930 (=> ?v_931 (=> ?v_932 (=> ?v_2239 (=> ?v_933 (=> ?v_2240 (=> ?v_934 (=> ?v_935 (=> ?v_2241 (=> ?v_936 (=> ?v_2242 (=> ?v_2243 (=> ?v_2244 (=> ?v_937 (=> ?v_2245 (=> ?v_938 (=> ?v_939 (=> ?v_940 (=> ?v_941 (=> ?v_2246 (=> ?v_942 (=> ?v_943 (=> ?v_944 (=> ?v_945 (=> ?v_946 (=> (= reqCancelSet_1.25 reqCancelSet_1.8) (=> ?v_947 (=> ?v_2247 (=> (= lockStatus_4.16 lockStatus_4) (=> ?v_2248 (=> ?v_2249 (=> ?v_2250 (=> ?v_2251 (=> ?v_2252 (=> ?v_948 (=> ?v_949 (=> ?v_2253 (=> (= inline.sdv_WdfRequestCompleteWithInformation.3..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.3..result.userContextSwitch.7656.4.1..0) (=> ?v_950 (=> ?v_2255 (=> ?v_2256 (=> ?v_951 (=> ?v_952 (=> ?v_2257 (=> ?v_953 (=> ?v_2258 (=> ?v_2259 (=> ?v_2260 (=> ?v_954 (=> ?v_2261 (=> ?v_955 (=> ?v_2262 (=> ?v_956 (=> ?v_2263 (=> ?v_957 (=> ?v_958 (=> ?v_959 (=> ?v_2264 (=> ?v_960 (=> ?v_2265 (=> ?v_2266 (=> ?v_2267 (=> ?v_961 (=> ?v_2268 (=> ?v_962 (=> (= reqCancelSet_4.25 reqCancelSet_4.8) (=> ?v_963 (=> ?v_2269 (=> ?v_2270 (=> ?v_964 (=> ?v_2271 (=> ?v_2272 (=> ?v_2273 (=> ?v_2274 (=> ?v_965 (=> ?v_2275 (=> ?v_966 (=> ?v_2276 (=> ?v_2277 (=> ?v_2278 (=> ?v_2279 (=> ?v_967 (=> ?v_2280 (=> (= alloc.31 alloc.6) (=> ?v_2281 (=> ?v_968 (=> ?v_969 (=> ?v_2282 (=> (= lockStatus_1.16 lockStatus_1) (=> ?v_2283 (=> ?v_2284 (=> ?v_970 (=> ?v_971 (=> (= lockStatus_0.16 lockStatus_0) (=> ?v_2285 (=> ?v_2286 (=> ?v_2287 (=> ?v_2288 (=> ?v_972 (=> ?v_2289 (=> ?v_973 (=> (= reqCancelSet_2.25 reqCancelSet_2.8) (=> ?v_2290 (=> ?v_2291 (=> ?v_2292 (=> ?v_974 (=> ?v_975 (=> ?v_976 (=> ?v_2293 (=> ?v_977 (=> ?v_2294 (=> ?v_978 (=> ?v_979 (=> ?v_2295 (=> ?v_980 (=> ?v_981 (=> ?v_982 (=> ?v_983 (=> ?v_984 (=> (= reqSent_3.9 reqSent_3) (=> ?v_2296 (=> ?v_985 (=> ?v_2297 (=> ?v_2298 (=> ?v_986 (=> ?v_987 (=> ?v_988 (=> ?v_989 (=> ?v_990 (=> ?v_991 (=> (= reqCompleteSet_3.9 reqCompleteSet_3) (=> ?v_2299 (=> ?v_992 (=> ?v_2300 (=> ?v_993 (=> ?v_2301 (=> ?v_2302 (=> ?v_2303 (=> ?v_994 (=> ?v_2304 (=> ?v_995 (=> ?v_2305 (=> ?v_2306 (=> ?v_996 (=> ?v_997 (=> ?v_998 (=> ?v_2307 (=> ?v_999 (=> ?v_2308 (=> ?v_1000 (=> ?v_1001 (=> ?v_1002 (=> ?v_2309 (=> ?v_1003 (=> ?v_2310 (=> ?v_1004 (=> ?v_2311 (=> ?v_2312 (=> ?v_1005 (=> ?v_2313 (=> ?v_2314 (=> (= Mem_2_T.PWDFREQUEST__.12 Mem_2_T.PWDFREQUEST__) (=> ?v_1006 (=> ?v_1007 (=> ?v_1008 (=> ?v_2315 (=> ?v_2316 (=> ?v_1009 (=> ?v_2317 (=> ?v_2318 (=> ?v_2319 (=> ?v_1010 (=> ?v_1011 (=> ?v_1012 (=> ?v_1013 (=> ?v_2320 (=> ?v_2321 (=> ?v_2322 (=> ?v_2323 (=> ?v_1014 (=> ?v_2324 (=> ?v_2325 (=> ?v_2326 (=> ?v_1015 (=> ?v_2327 (=> ?v_1016 (=> ?v_1017 (=> (= lockStatus_3.16 lockStatus_3) (=> ?v_2328 (=> ?v_2329 (=> (= inline.ResetPipe.0..status.2.461.22.ResetPipe.1 inline.ResetPipe.0..status.2.461.22.ResetPipe) (=> ?v_1018 (=> ?v_2331 (=> ?v_2332 (=> (= inline.sdv_WdfRequestCompleteWithInformation.3..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) (=> ?v_1019 (=> ?v_2334 (=> ?v_1020 (=> ?v_2335 (=> ?v_1021 (=> ?v_1022 (=> ?v_1023 (=> ?v_2336 (=> ?v_1024 (=> ?v_1025 (=> ?v_1026 (=> ?v_1027 (=> ?v_1028 (=> (= reqCompleted_4.19 reqCompleted_4.8) (=> ?v_2337 (=> ?v_2338 (=> ?v_1029 (=> ?v_2339 (=> ?v_2340 (=> ?v_2341 (=> (= reqSent_1.9 reqSent_1) (=> ?v_2342 (=> ?v_2343 (=> ?v_1030 (=> ?v_1031 (=> ?v_2344 (=> ?v_2345 (=> ?v_2346 (=> ?v_2347 (=> ?v_2348 (=> ?v_1032 (=> ?v_1033 (=> ?v_2349 (=> ?v_2350 (=> ?v_2351 (=> ?v_1034 (=> ?v_2352 (=> ?v_1035 (=> ?v_1036 (=> (= reqSent_4.9 reqSent_4) (=> ?v_1037 (=> ?v_2353 (=> ?v_1038 (=> (= Mem_1_T.PWDFREQUEST__.12 Mem_1_T.PWDFREQUEST__) (=> ?v_2354 (=> ?v_2355 (=> ?v_1039 (=> ?v_1040 (=> (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.7 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.4) (=> ?v_1041 (=> ?v_2356 (=> ?v_1042 (=> ?v_2357 (=> ?v_1043 (=> ?v_2358 (=> (= reqCompleteSet_0.9 reqCompleteSet_0) (=> ?v_2359 (=> ?v_1044 (=> ?v_2360 (=> (= Mem_4_T.PWDFREQUEST__.12 Mem_4_T.PWDFREQUEST__) (=> ?v_1045 (=> (= Mem_0_T.PWDFREQUEST__.12 Mem_0_T.PWDFREQUEST__) (=> ?v_2361 (=> ?v_1046 (=> ?v_1047 (=> ?v_2362 (=> ?v_1048 (=> ?v_1049 (=> ?v_1050 (=> ?v_2363 (=> ?v_1051 (=> ?v_1052 (=> ?v_2364 (=> ?v_1053 (=> ?v_1054 (=> ?v_2365 (=> ?v_1055 (=> (= reqSent_0.9 reqSent_0) (=> ?v_2366 (=> ?v_1056 (=> ?v_1057 (=> ?v_2367 (=> ?v_1058 (=> ?v_1059 (=> ?v_1060 (=> ?v_1061 (=> ?v_2368 (=> ?v_1062 (=> ?v_2369 (=> (= reqCompleted_0.19 reqCompleted_0.8) (=> ?v_1063 (=> ?v_2370 (=> ?v_2371 (=> ?v_2372 (=> ?v_2373 (=> ?v_1064 (=> ?v_2374 (=> ?v_2375 (=> ?v_2376 (=> ?v_2377 (=> ?v_1065 (=> ?v_2378 (=> ?v_2379 (=> ?v_2380 (=> ?v_2381 (=> ?v_1066 (=> ?v_2382 (=> ?v_2383 (=> ?v_1067 (=> ?v_1068 (=> ?v_2384 (=> ?v_2385 (=> ?v_1069 (=> ?v_1070 (=> ?v_1071 (=> ?v_1072 (=> ?v_1073 (=> ?v_2386 (=> ?v_2387 (=> ?v_1074 (=> ?v_2388 (=> ?v_2389 (=> ?v_1075 (=> ?v_2390 (=> ?v_2391 (=> ?v_2392 (=> ?v_2393 (=> ?v_2394 (=> ?v_2395 (=> ?v_2396 (=> ?v_1076 (=> ?v_2397 (=> ?v_1077 (=> ?v_1078 (=> ?v_1079 (=> (= reqCompleted_2.19 reqCompleted_2.8) (=> ?v_2398 (=> ?v_2399 (=> ?v_2400 (=> ?v_2401 (=> ?v_2402 (=> ?v_1080 (=> ?v_2403 (=> ?v_2404 (=> ?v_1081 (=> ?v_2405 (=> ?v_2406 (=> ?v_1082 (=> ?v_2407 (=> ?v_1083 (=> ?v_2408 (=> ?v_1084 (=> ?v_2409 (=> ?v_2410 (=> (= errorReached.81 errorReached.30) (=> ?v_1085 (=> ?v_2411 (=> ?v_2412 (=> ?v_1086 (=> ?v_1087 (=> ?v_2413 (=> ?v_2414 (=> ?v_1088 (=> ?v_2415 (=> ?v_2416 (=> ?v_2417 (=> ?v_2418 (=> ?v_1089 (=> ?v_1090 (=> ?v_2419 (=> ?v_1091 (=> ?v_1092 (=> ?v_1093 (=> ?v_1094 (=> ?v_2420 (=> (= Mem_3_T.PWDFREQUEST__.12 Mem_3_T.PWDFREQUEST__) (=> ?v_1095 (=> ?v_2421 (=> ?v_1096 (=> ?v_1097 (=> ?v_1098 (=> ?v_2422 (=> ?v_1099 (=> ?v_1100 ?v_1101))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_835 (=> true (=> (= reqCompleted_2.8 reqCompleted_2.7) (=> (= reqCompleted_4.8 reqCompleted_4.7) (=> (= reqCompleted_0.8 reqCompleted_0.7) (=> (= reqCancelSet_2.8 reqCancelSet_2.7) (=> (= inline.sdv_WdfRequestCompleteWithInformation.3..result.userContextSwitch.7656.4.1..0 call28564formal.ret.0) (=> (= reqCancelSet_4.8 reqCancelSet_4.7) (=> (= k.36 k.35) (=> (= errorReached.30 errorReached.29) (=> (= reqCancelSet_1.8 reqCancelSet_1.7) (=> (= reqCompleted_1.8 reqCompleted_1.7) (=> (= reqCompleted_3.8 reqCompleted_3.7) (=> (= reqCancelSet_0.8 reqCancelSet_0.7) (=> (= reqCancelSet_3.8 reqCancelSet_3.7) ?v_861)))))))))))))))) (let ((?v_841 (=> true ?v_835)) (?v_837 (= reqCancelSet_0.7 reqCancelSet_0)) (?v_832 (= reqCancelSet_4.7 reqCancelSet_4)) (?v_833 (= reqCancelSet_2.7 reqCancelSet_2)) (?v_838 (= reqCancelSet_1.7 reqCancelSet_1)) (?v_834 (= reqCancelSet_3.7 reqCancelSet_3))) (let ((?v_839 (=> ?v_834 ?v_841))) (let ((?v_843 (=> ?v_838 ?v_839))) (let ((?v_844 (=> ?v_833 ?v_843)) (?v_842 (= k.35 4))) (let ((?v_858 (not ?v_842)) (?v_840 (= k.35 3))) (let ((?v_855 (not ?v_840)) (?v_836 (= k.35 2))) (let ((?v_853 (not ?v_836)) (?v_831 (= k.35 1))) (let ((?v_850 (not ?v_831)) (?v_823 (= k.35 0))) (let ((?v_845 (not ?v_823))) (let ((?v_849 (and (=> true (=> ?v_823 (=> true (=> (= reqCancelSet_0.7 0) (=> ?v_832 (=> ?v_833 (=> ?v_838 (=> ?v_834 ?v_835)))))))) (=> true (=> ?v_845 (and (=> true (=> ?v_831 (=> true (=> ?v_837 (=> ?v_832 (=> ?v_833 (=> (= reqCancelSet_1.7 0) ?v_839))))))) (=> true (=> ?v_850 (and (=> true (=> ?v_836 (=> true (=> ?v_837 (=> ?v_832 (=> (= reqCancelSet_2.7 0) ?v_843)))))) (=> true (=> ?v_853 (and (=> true (=> ?v_840 (=> true (=> ?v_837 (=> ?v_832 (=> ?v_833 (=> ?v_838 (=> (= reqCancelSet_3.7 0) ?v_841)))))))) (=> true (=> ?v_855 (and (=> true (=> ?v_842 (=> true (=> ?v_837 (=> (= reqCancelSet_4.7 0) ?v_844))))) (=> true (=> ?v_858 (=> true (=> ?v_837 (=> ?v_832 ?v_844)))))))))))))))))))) (let ((?v_857 (=> true (=> true ?v_849))) (?v_846 (= reqCompleted_3.7 reqCompleted_3)) (?v_851 (= reqCompleted_1.7 reqCompleted_1)) (?v_847 (= reqCompleted_2.7 reqCompleted_2)) (?v_856 (= reqCompleted_0.7 reqCompleted_0)) (?v_848 (= reqCompleted_4.7 reqCompleted_4))) (let ((?v_852 (=> ?v_856 (=> ?v_848 ?v_857)))) (let ((?v_854 (=> ?v_847 ?v_852))) (let ((?v_859 (=> ?v_851 ?v_854))) (let ((?v_860 (and (=> true (=> ?v_823 (=> true (=> ?v_846 (=> ?v_851 (=> ?v_847 (=> (= reqCompleted_0.7 1) (=> ?v_848 ?v_849)))))))) (=> true (=> ?v_845 (and (=> true (=> ?v_831 (=> true (=> ?v_846 (=> (= reqCompleted_1.7 1) ?v_854))))) (=> true (=> ?v_850 (and (=> true (=> ?v_836 (=> true (=> ?v_846 (=> ?v_851 (=> (= reqCompleted_2.7 1) ?v_852)))))) (=> true (=> ?v_853 (and (=> true (=> ?v_840 (=> true (=> (= reqCompleted_3.7 1) ?v_859)))) (=> true (=> ?v_855 (and (=> true (=> ?v_842 (=> true (=> ?v_846 (=> ?v_851 (=> ?v_847 (=> ?v_856 (=> (= reqCompleted_4.7 1) ?v_857)))))))) (=> true (=> ?v_858 (=> true (=> ?v_846 ?v_859))))))))))))))))))) (let ((?v_862 (and (=> true (=> ?v_33 (=> true (=> (<= k.34 k.35) (=> (< k.35 5) (and (=> true (=> (=> ?v_823 ?v_12) (=> (=> ?v_831 ?v_13) (=> (=> ?v_836 ?v_14) (=> (=> ?v_840 ?v_15) (=> (=> ?v_842 ?v_16) (=> true (=> (= errorReached.29 1) ?v_860)))))))) (=> true (=> (=> ?v_823 ?v_7) (=> (=> ?v_831 ?v_8) (=> (=> ?v_836 ?v_9) (=> (=> ?v_840 ?v_10) (=> (=> ?v_842 ?v_11) (=> true (=> (= errorReached.29 errorReached.28) (=> true ?v_860))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= reqCompleted_2.8 reqCompleted_2) (=> (= reqCompleted_4.8 reqCompleted_4) (=> (= reqCompleted_0.8 reqCompleted_0) (=> (= reqCancelSet_2.8 reqCancelSet_2) (=> (= inline.sdv_WdfRequestCompleteWithInformation.3..result.userContextSwitch.7656.4.1..0 inline.sdv_WdfRequestCompleteWithInformation.3..result.userContextSwitch.7656.4.1.) (=> (= reqCancelSet_4.8 reqCancelSet_4) (=> (= k.36 k.34) (=> (= errorReached.30 errorReached.28) (=> (= reqCancelSet_1.8 reqCancelSet_1) (=> (= reqCompleted_1.8 reqCompleted_1) (=> (= reqCompleted_3.8 reqCompleted_3) (=> (= reqCancelSet_0.8 reqCancelSet_0) (=> (= reqCancelSet_3.8 reqCancelSet_3) (=> true (=> true (=> true ?v_861)))))))))))))))))))))) (let ((?v_3322 (=> (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.4 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.3) (=> (= inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.0 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.3) (=> true (=> true (=> true (=> true ?v_862))))))) (?v_3321 (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.3 0)) (?v_822 (- 0 1073741808))) (let ((?v_3329 (and (=> true (=> (not (= 2 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.1)) (=> true (=> (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.0 ?v_822) (=> true (=> (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.3 inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.0) (=> (= inline.ReadWriteIsochEndPoints.0.myNondetVar_0.4 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.1) (=> (= inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints.0 inline.ReadWriteIsochEndPoints.0..packetSize.6.62.28.ReadWriteIsochEndPoints) ?v_862)))))))) (=> true (=> (not (not (= 2 inline.ReadWriteIsochEndPoints.0.myNondetVar_0.2))) (and (=> true (=> (not ?v_3321) (and (=> true (=> ?v_863 (=> true (=> (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.1 ?v_495) (=> true (=> (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.3 inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.1) ?v_3322)))))) (=> true (=> (not ?v_863) (and (=> true (=> ?v_3319 (=> true (=> (= inline.ResetPipe.0..status.2.461.22.ResetPipe.0 0) ?v_3320)))) (=> true (=> (not ?v_3319) (=> true (=> (= inline.ResetPipe.0..status.2.461.22.ResetPipe.0 inline.WdfUsbTargetPipeResetSynchronously.0..callresult..1901.112.2.) (=> true (=> true (=> true (=> true (=> true ?v_3320))))))))))))))) (=> true (=> ?v_3321 (=> true (=> (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.2 ?v_495) (=> true (=> (= inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.3 inline.ReadWriteIsochEndPoints.0..status.7.63.27.ReadWriteIsochEndPoints.2) ?v_3322))))))))))) (?v_3330 (= errorReached.28 errorReached.22))) (let ((?v_3331 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2.) (=> (= k.34 k.28) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3329))))))))))))))))))))))))))))))))) (?v_3328 (=> true (=> (= errorReached.28 errorReached.27) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.userContextSwitch.6841.4.2..0 call28329formal.ret.0) (=> (= k.34 k.29) ?v_3329)))))) (?v_3323 (= k.29 0)) (?v_3324 (= k.29 1)) (?v_3325 (= k.29 2)) (?v_3326 (= k.29 3)) (?v_3327 (= k.29 4))) (let ((?v_3339 (and (=> true (=> ?v_593 (=> true (=> (<= k.28 k.29) (=> (< k.29 5) (and (=> true (=> (=> ?v_3323 ?v_12) (=> (=> ?v_3324 ?v_13) (=> (=> ?v_3325 ?v_14) (=> (=> ?v_3326 ?v_15) (=> (=> ?v_3327 ?v_16) (=> true (=> (= errorReached.27 1) ?v_3328)))))))) (=> true (=> (=> ?v_3323 ?v_7) (=> (=> ?v_3324 ?v_8) (=> (=> ?v_3325 ?v_9) (=> (=> ?v_3326 ?v_10) (=> (=> ?v_3327 ?v_11) (=> true (=> (= errorReached.27 errorReached.22) (=> true ?v_3328))))))))))))))) (=> true (=> ?v_2019 (and (=> true (=> ?v_805 (=> true (=> ?v_3330 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3331))))) (=> true (=> ?v_2021 (and (=> true (=> ?v_808 (=> true (=> ?v_3330 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3331))))) (=> true (=> ?v_2026 (and (=> true (=> ?v_809 (=> true (=> ?v_3330 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3331))))) (=> true (=> ?v_2027 (=> true (=> ?v_3330 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.4..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3331))))))))))))))))) (let ((?v_3340 (=> (= errorReached.22 errorReached.21) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3339))))))))))))) (?v_3337 (= k.28 k.27)) (?v_3338 (= inline.sdv_WdfRequestGetFileObject.2..result.userContextSwitch.7051.4.2..0 call28176formal.ret.0)) (?v_3332 (= k.27 0)) (?v_3333 (= k.27 1)) (?v_3334 (= k.27 2)) (?v_3335 (= k.27 3)) (?v_3336 (= k.27 4))) (let ((?v_3347 (and (=> true (=> ?v_33 (=> true (=> (<= k.26 k.27) (=> (< k.27 5) (and (=> true (=> (=> ?v_3332 ?v_12) (=> (=> ?v_3333 ?v_13) (=> (=> ?v_3334 ?v_14) (=> (=> ?v_3335 ?v_15) (=> (=> ?v_3336 ?v_16) (=> true (=> ?v_3337 (=> ?v_3338 (=> (= errorReached.22 1) ?v_3339)))))))))) (=> true (=> (=> ?v_3332 ?v_7) (=> (=> ?v_3333 ?v_8) (=> (=> ?v_3334 ?v_9) (=> (=> ?v_3335 ?v_10) (=> (=> ?v_3336 ?v_11) (=> true (=> ?v_3337 (=> ?v_3338 ?v_3340))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= k.28 k.26) (=> (= inline.sdv_WdfRequestGetFileObject.2..result.userContextSwitch.7051.4.2..0 inline.sdv_WdfRequestGetFileObject.2..result.userContextSwitch.7051.4.2.) ?v_3340)))))))) (let ((?v_3348 (=> (= k.26 k.3) (=> (= errorReached.21 errorReached.2) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2.) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_3347)))))))))))))))) (?v_3346 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.26 k.25) (=> (= errorReached.21 errorReached.20) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.userContextSwitch.6841.4.2..0 call27998formal.ret.0) ?v_3347)))))) (?v_3341 (= k.25 0)) (?v_3342 (= k.25 1)) (?v_3343 (= k.25 2)) (?v_3344 (= k.25 3)) (?v_3345 (= k.25 4)) (?v_821 (int_2_U call27893formal.new.0)) (?v_461 (=> true (=> ?v_3350 (=> ?v_3351 (=> ?v_3352 (=> ?v_3353 (=> ?v_3354 (=> ?v_3355 (=> (= reqCancelSet_0.26 reqCancelSet_0.6) (=> (= reqSent_2.10 reqSent_2.2) (=> ?v_3356 (=> ?v_3357 (=> ?v_3358 (=> ?v_3359 (=> ?v_3360 (=> ?v_3361 (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..1 inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..0) (=> ?v_3363 (=> ?v_3364 (=> ?v_3365 (=> ?v_3366 (=> ?v_3367 (=> ?v_3368 (=> ?v_3369 (=> ?v_3370 (=> ?v_3371 (=> ?v_3372 (=> ?v_3373 (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..result.userContextSwitch.7656.4.1..2 inline.sdv_WdfRequestCompleteWithInformation.1..result.userContextSwitch.7656.4.1..1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3376 (=> ?v_3377 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1) (=> (= inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.1 inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.0) (=> ?v_3380 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2) (=> ?v_3382 (=> ?v_3383 (=> ?v_3384 (=> ?v_3385 (=> ?v_3386 (=> ?v_3387 (=> ?v_3388 (=> ?v_3389 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3391 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..1) (=> ?v_3393 (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0) (=> ?v_3395 (=> ?v_3396 (=> ?v_3397 (=> ?v_3398 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1) (=> ?v_3400 (=> ?v_3401 (=> ?v_3402 (=> ?v_3403 (=> ?v_3404 (=> ?v_3405 (=> ?v_3406 (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..1 inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..0) (=> ?v_3409 (=> ?v_3410 (=> ?v_3411 (=> ?v_3412 (=> ?v_3413 (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0) (=> ?v_3415 (=> ?v_3416 (=> (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.1 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.0) (=> (= reqCompleteSet_2.10 reqCompleteSet_2.2) (=> ?v_3418 (=> ?v_3419 (=> ?v_3420 (=> ?v_3421 (=> ?v_3422 (=> ?v_3423 (=> ?v_3424 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..2 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1) (=> ?v_3426 (=> (= inline.ReadWriteBulkEndPoints.0..urb.7.63.28.ReadWriteBulkEndPoints.0 call25072formal.new.0) (=> ?v_3428 (=> ?v_3429 (=> ?v_3430 (=> (= inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.2 inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.1) (=> (= inline.ReadWriteBulkEndPoints.0..pipeInfo.17.73.31.ReadWriteBulkEndPoints.0 call25066formal.new.0) (=> ?v_3433 (=> ?v_3434 (=> ?v_3435 (=> ?v_3436 (=> ?v_3437 (=> ?v_3438 (=> ?v_3439 (=> ?v_3440 (=> ?v_3441 (=> ?v_3442 (=> (= inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..1 inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..0) (=> ?v_3444 (=> (= k.133 k.33) (=> ?v_3445 (=> ?v_3446 (=> ?v_3447 (=> ?v_3448 (=> ?v_3449 (=> ?v_3450 (=> ?v_3451 (=> ?v_3452 (=> ?v_3453 (=> ?v_3454 (=> ?v_3455 (=> ?v_3456 (=> ?v_3457 (=> ?v_3458 (=> ?v_3459 (=> ?v_3460 (=> ?v_3461 (=> ?v_3462 (=> ?v_3463 (=> (= reqCompleted_1.20 reqCompleted_1.6) (=> ?v_3464 (=> (= reqCompleteSet_4.10 reqCompleteSet_4.2) (=> (= reqCancelSet_3.26 reqCancelSet_3.6) (=> ?v_3465 (=> ?v_3466 (=> ?v_3467 (=> ?v_3468 (=> ?v_3469 (=> ?v_3470 (=> (= inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints.0 hrequest) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..0) (=> ?v_3473 (=> ?v_3474 (=> ?v_3475 (=> (= inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints1.0 myNondetVar_0.0) (=> ?v_3477 (=> (= inline.ReadWriteBulkEndPoints.0..requestMdl.6.62.41.ReadWriteBulkEndPoints.0 call25069formal.new.0) (=> ?v_3479 (=> ?v_3480 (=> ?v_3481 (=> ?v_3482 (=> (= reqCompleted_3.20 reqCompleted_3.6) (=> ?v_3483 (=> ?v_3484 (=> ?v_3485 (=> ?v_3486 (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2) (=> ?v_3488 (=> ?v_3489 (=> ?v_3490 (=> ?v_3491 (=> ?v_3492 (=> ?v_3493 (=> ?v_3494 (=> ?v_3495 (=> (= reqCompleteSet_1.10 reqCompleteSet_1.2) (=> ?v_3496 (=> ?v_3497 (=> ?v_3498 (=> ?v_3499 (=> ?v_3500 (=> ?v_3501 (=> ?v_3502 (=> ?v_3503 (=> ?v_3504 (=> ?v_3505 (=> ?v_3506 (=> ?v_3507 (=> ?v_3508 (=> ?v_3509 (=> ?v_3510 (=> ?v_3511 (=> ?v_3512 (=> ?v_3513 (=> ?v_3514 (=> ?v_3515 (=> ?v_3516 (=> ?v_3517 (=> (= inline.ReadWriteBulkEndPoints.0..objectAttribs.18.74.28.ReadWriteBulkEndPoints.0 call25063formal.new.0) (=> (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.1 inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.0) (=> ?v_3520 (=> ?v_3521 (=> ?v_3522 (=> ?v_3523 (=> ?v_3524 (=> ?v_3525 (=> (= inline.GetRequestContext.0..result.GetRequestContext.127.0.1..1 inline.GetRequestContext.0..result.GetRequestContext.127.0.1..0) (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.1 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0) (=> ?v_3528 (=> ?v_3529 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.1 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0) (=> ?v_3531 (=> ?v_3532 (=> ?v_3533 (=> ?v_3534 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1) (=> (= reqCancelSet_1.26 reqCancelSet_1.6) (=> (= inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.0) (=> (= inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..1 inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..0) (=> ?v_3538 (=> ?v_3539 (=> ?v_3540 (=> ?v_3541 (=> ?v_3542 (=> (= inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..1 inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..0) (=> ?v_3544 (=> ?v_3545 (=> ?v_3546 (=> ?v_3547 (=> ?v_3548 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3550 (=> ?v_3551 (=> ?v_3552 (=> ?v_3553 (=> (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.1 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0) (=> ?v_3555 (=> ?v_3556 (=> ?v_3557 (=> ?v_3558 (=> ?v_3559 (=> ?v_3560 (=> ?v_3561 (=> (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.1 inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0) (=> ?v_824 (=> ?v_3563 (=> (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext.1 inline.GetFileContext.1..Handle.1.107.0.GetFileContext.0) (=> (= inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..1 inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..0) (=> ?v_3566 (=> ?v_3567 (=> ?v_3568 (=> (= inline.sdv_WdfRequestGetFileObject.1..result.userContextSwitch.7051.4.2..2 inline.sdv_WdfRequestGetFileObject.1..result.userContextSwitch.7051.4.2..1) (=> ?v_3570 (=> ?v_825 (=> ?v_3571 (=> ?v_3572 (=> ?v_3573 (=> ?v_3574 (=> ?v_3575 (=> ?v_3576 (=> ?v_3577 (=> ?v_3578 (=> ?v_3579 (=> ?v_3580 (=> ?v_3581 (=> ?v_3582 (=> (= inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..2 inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..1) (=> ?v_3584 (=> ?v_3585 (=> ?v_3586 (=> (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.5 inline.ReadWriteBulkEndPoints.0.tempBoogie0.4) (=> ?v_3588 (=> ?v_3589 (=> (= reqCancelSet_4.26 reqCancelSet_4.6) (=> ?v_3590 (=> ?v_3591 (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..1 inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..0) (=> (= inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.0) (=> ?v_3594 (=> ?v_3595 (=> ?v_3596 (=> ?v_3597 (=> ?v_3598 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.1 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0) (=> ?v_3600 (=> (= inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..1 inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0) (=> ?v_3602 (=> ?v_3603 (=> ?v_3604 (=> ?v_3605 (=> (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..1 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0) (=> ?v_3607 (=> ?v_3608 (=> ?v_3609 (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.1 inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0) (=> ?v_3611 (=> ?v_3612 (=> ?v_3613 (=> (= alloc.32 alloc.5) (=> ?v_3614 (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..2 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1) (=> ?v_3616 (=> (= inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.1 inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0) (=> ?v_3618 (=> ?v_3619 (=> ?v_3620 (=> ?v_3621 (=> ?v_3622 (=> ?v_3623 (=> ?v_3624 (=> ?v_3625 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0) (=> ?v_3627 (=> ?v_3628 (=> ?v_3629 (=> (= inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.0) (=> ?v_3631 (=> ?v_3632 (=> ?v_3633 (=> ?v_3634 (=> (= reqCancelSet_2.26 reqCancelSet_2.6) (=> ?v_3635 (=> ?v_3636 (=> ?v_3637 (=> (= inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.2 inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.1) (=> ?v_3639 (=> ?v_3640 (=> ?v_3641 (=> ?v_3642 (=> ?v_3643 (=> ?v_3644 (=> ?v_3645 (=> ?v_3646 (=> ?v_3647 (=> ?v_3648 (=> ?v_3649 (=> (= inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..1 inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..0) (=> ?v_3651 (=> ?v_3652 (=> ?v_3653 (=> ?v_3654 (=> ?v_3655 (=> ?v_3656 (=> ?v_3657 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.1 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0) (=> ?v_3659 (=> ?v_3660 (=> ?v_3661 (=> ?v_3662 (=> ?v_826 (=> ?v_3663 (=> (= reqSent_3.10 reqSent_3.2) (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0) (=> ?v_3665 (=> ?v_3666 (=> (= inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..1 inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0) (=> ?v_3668 (=> ?v_3669 (=> (= reqCompleteSet_3.10 reqCompleteSet_3.2) (=> ?v_3670 (=> ?v_3671 (=> ?v_3672 (=> ?v_3673 (=> ?v_3674 (=> ?v_3675 (=> ?v_3676 (=> ?v_3677 (=> ?v_3678 (=> ?v_3679 (=> ?v_3680 (=> (= inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..1 inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..0) (=> ?v_3682 (=> ?v_3683 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2) (=> ?v_3685 (=> ?v_3686 (=> ?v_3687 (=> ?v_3688 (=> ?v_3689 (=> (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.1 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0) (=> ?v_3691 (=> ?v_827 (=> ?v_3692 (=> ?v_828 (=> ?v_3693 (=> ?v_3694 (=> (= inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.0) (=> ?v_3696 (=> ?v_3697 (=> ?v_3698 (=> ?v_3699 (=> ?v_3700 (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..0) (=> ?v_3702 (=> ?v_3703 (=> ?v_3704 (=> ?v_3705 (=> ?v_3706 (=> ?v_3707 (=> ?v_3708 (=> ?v_3709 (=> ?v_3710 (=> ?v_3711 (=> ?v_3712 (=> ?v_3713 (=> ?v_3714 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1) (=> (= inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.8 inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.4) (=> ?v_3716 (=> ?v_3717 (=> (= inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..1 inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..0) (=> ?v_3719 (=> ?v_3720 (=> (= inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..1 inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..0) (=> ?v_3722 (=> ?v_3723 (=> ?v_3724 (=> ?v_3725 (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..2 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1) (=> ?v_3727 (=> (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.1 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.0) (=> (= inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints1.0 4) (=> ?v_3730 (=> ?v_3731 (=> ?v_3732 (=> ?v_3733 (=> ?v_3734 (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..0) (=> ?v_3736 (=> ?v_3737 (=> (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..1 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0) (=> (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..1 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0) (=> (= inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..1 inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..0) (=> ?v_3741 (=> ?v_3742 (=> ?v_3743 (=> ?v_3744 (=> ?v_3745 (=> ?v_3746 (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..2 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1) (=> ?v_3749 (=> ?v_3750 (=> ?v_3751 (=> (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.1 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0) (=> ?v_3753 (=> ?v_3754 (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..0) (=> ?v_3756 (=> ?v_3757 (=> ?v_3758 (=> (= reqCompleted_4.20 reqCompleted_4.6) (=> ?v_3759 (=> ?v_3760 (=> ?v_3761 (=> (= inline.GetRequestContext.0.myNondetVar_0.2 inline.GetRequestContext.0.myNondetVar_0.1) (=> ?v_3763 (=> ?v_3764 (=> ?v_3765 (=> ?v_3766 (=> (= reqSent_1.10 reqSent_1.2) (=> ?v_3767 (=> ?v_3768 (=> ?v_3769 (=> ?v_3770 (=> ?v_3771 (=> ?v_3772 (=> ?v_3773 (=> ?v_3774 (=> ?v_3775 (=> ?v_3776 (=> ?v_3777 (=> ?v_3778 (=> ?v_3779 (=> ?v_3780 (=> ?v_3781 (=> ?v_3782 (=> ?v_829 (=> ?v_3783 (=> ?v_3784 (=> ?v_3785 (=> (= reqSent_4.10 reqSent_4.2) (=> ?v_3786 (=> ?v_3787 (=> ?v_3788 (=> (= inline.ReadWriteBulkEndPoints.0..RequestType.4.34.24.ReadWriteBulkEndPoints.0 4) (=> ?v_3790 (=> ?v_3791 (=> ?v_3792 (=> (= inline.GetFileContext.1..result.GetFileContext.107.0.1..1 inline.GetFileContext.1..result.GetFileContext.107.0.1..0) (=> ?v_3794 (=> ?v_3795 (=> ?v_3796 (=> ?v_3797 (=> ?v_3798 (=> ?v_3799 (=> ?v_3800 (=> ?v_3801 (=> ?v_3802 (=> (= reqCompleteSet_0.10 reqCompleteSet_0.2) (=> ?v_3803 (=> ?v_3804 (=> ?v_3805 (=> ?v_3806 (=> ?v_3807 (=> ?v_3808 (=> ?v_3809 (=> ?v_3810 (=> ?v_3811 (=> ?v_3812 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3) (=> ?v_3814 (=> ?v_3815 (=> ?v_3816 (=> ?v_3817 (=> (= inline.ReadWriteBulkEndPoints.0..totalLength.9.65.28.ReadWriteBulkEndPoints.0 myNondetVar_0.0) (=> ?v_3819 (=> ?v_3820 (=> ?v_3821 (=> ?v_3822 (=> (= inline.GetFileContext.1.myNondetVar_0.2 inline.GetFileContext.1.myNondetVar_0.1) (=> ?v_3824 (=> ?v_3825 (=> (= inline.ReadWriteBulkEndPoints.0..Length.3.33.24.ReadWriteBulkEndPoints.0 myNondetVar_0.0) (=> ?v_3827 (=> ?v_3828 (=> ?v_3829 (=> ?v_3830 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1) (=> ?v_3832 (=> (= reqSent_0.10 reqSent_0.2) (=> ?v_3833 (=> ?v_3834 (=> (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.1 inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.0) (=> ?v_3836 (=> ?v_3837 (=> ?v_3838 (=> ?v_3839 (=> ?v_3840 (=> ?v_3841 (=> ?v_3842 (=> ?v_3843 (=> ?v_3844 (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..3 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2) (=> (= reqCompleted_0.20 reqCompleted_0.6) (=> ?v_3846 (=> ?v_3847 (=> ?v_3848 (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..1 inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1) (=> ?v_3851 (=> ?v_3852 (=> ?v_3853 (=> ?v_3854 (=> ?v_3855 (=> ?v_3856 (=> ?v_3857 (=> ?v_3858 (=> ?v_3859 (=> ?v_3860 (=> ?v_3861 (=> ?v_3862 (=> ?v_3863 (=> ?v_3864 (=> ?v_3865 (=> (= inline.ReadWriteBulkEndPoints.0..Request.2.32.24.ReadWriteBulkEndPoints1.0 hrequest) (=> ?v_3867 (=> ?v_3868 (=> ?v_3869 (=> ?v_3870 (=> ?v_3871 (=> ?v_3872 (=> ?v_3873 (=> ?v_3874 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4) (=> ?v_3876 (=> ?v_3877 (=> ?v_3878 (=> ?v_3879 (=> ?v_3880 (=> ?v_3881 (=> ?v_3882 (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..2 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..1) (=> ?v_3884 (=> ?v_3885 (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.1 inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0) (=> ?v_3887 (=> ?v_3888 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1) (=> ?v_3890 (=> ?v_3891 (=> ?v_3892 (=> ?v_3893 (=> ?v_3894 (=> ?v_3895 (=> ?v_3896 (=> ?v_3897 (=> ?v_3898 (=> ?v_3899 (=> (= reqCompleted_2.20 reqCompleted_2.6) (=> ?v_3900 (=> ?v_3901 (=> ?v_3902 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.8 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7) (=> ?v_3904 (=> ?v_3905 (=> ?v_3906 (=> ?v_3907 (=> ?v_3908 (=> ?v_3909 (=> (= inline.ReadWriteBulkEndPoints.0..urbMemory.8.64.28.ReadWriteBulkEndPoints.0 call25075formal.new.0) (=> ?v_3911 (=> ?v_3912 (=> ?v_3913 (=> ?v_3914 (=> ?v_3915 (=> ?v_3916 (=> ?v_3917 (=> ?v_3918 (=> ?v_3919 (=> ?v_3920 (=> ?v_3921 (=> ?v_3922 (=> (= errorReached.82 errorReached.26) (=> ?v_3923 (=> ?v_3924 (=> ?v_3925 (=> ?v_3926 (=> ?v_3927 (=> ?v_3928 (=> ?v_3929 (=> ?v_3930 (=> ?v_3931 (=> ?v_3932 (=> ?v_3933 (=> ?v_3934 (=> ?v_3935 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.5 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4) (=> ?v_3937 (=> ?v_3938 (=> (= inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..1 inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..0) (=> ?v_3940 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3) (=> ?v_3942 (=> (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.19 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.18) (=> ?v_3944 (=> ?v_3945 (=> ?v_3946 (=> ?v_3947 (=> ?v_3948 (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..2 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..1) (=> ?v_3950 (=> ?v_3951 (=> ?v_3952 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..2 inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..1) (=> ?v_3954 (=> ?v_3955 (=> ?v_3956 (=> ?v_3957 (=> ?v_3958 (=> ?v_3959 (=> ?v_3960 (=> ?v_3961 ?v_830))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (let ((?v_462 (=> true (=> (= reqCompleted_2.6 reqCompleted_2.5) (=> (= reqCompleted_4.6 reqCompleted_4.5) (=> (= reqCompleted_0.6 reqCompleted_0.5) (=> (= reqCancelSet_2.6 reqCancelSet_2.5) (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 hrequest) (=> (= errorReached.26 errorReached.25) (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.1..result.userContextSwitch.7656.4.1..0) (=> (= reqCancelSet_4.6 reqCancelSet_4.5) (=> (= k.33 k.32) (=> (= reqCompleted_1.6 reqCompleted_1.5) (=> (= reqCancelSet_1.6 reqCancelSet_1.5) (=> (= reqCompleted_3.6 reqCompleted_3.5) (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 hrequest) (=> (= reqCancelSet_0.6 reqCancelSet_0.5) (=> (= reqCancelSet_3.6 reqCancelSet_3.5) (=> true (=> true (=> true ?v_461)))))))))))))))))))) (?v_460 (= inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.0 0))) (let ((?v_493 (and (=> true (=> (not ?v_460) ?v_462)) (=> true (=> ?v_460 ?v_462))))) (let ((?v_467 (=> true (=> (= reqCancelSet_3.5 reqCancelSet_3.4) (=> (= reqCompleted_4.5 reqCompleted_4.4) (=> (= reqCompleted_0.5 reqCompleted_0.4) (=> (= reqCancelSet_2.5 reqCancelSet_2.4) (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..result.userContextSwitch.7656.4.1..0 call25216formal.ret.0) (=> (= reqCancelSet_4.5 reqCancelSet_4.4) (=> (= k.32 k.31) (=> (= reqCompleted_1.5 reqCompleted_1.4) (=> (= reqCompleted_2.5 reqCompleted_2.4) (=> (= reqCancelSet_1.5 reqCancelSet_1.4) (=> (= reqCompleted_3.5 reqCompleted_3.4) (=> (= reqCancelSet_0.5 reqCancelSet_0.4) (=> (= errorReached.25 errorReached.24) ?v_493)))))))))))))))) (let ((?v_473 (=> true ?v_467)) (?v_469 (= reqCancelSet_0.4 reqCancelSet_0)) (?v_464 (= reqCancelSet_4.4 reqCancelSet_4)) (?v_465 (= reqCancelSet_2.4 reqCancelSet_2)) (?v_470 (= reqCancelSet_1.4 reqCancelSet_1)) (?v_466 (= reqCancelSet_3.4 reqCancelSet_3))) (let ((?v_471 (=> ?v_466 ?v_473))) (let ((?v_475 (=> ?v_470 ?v_471))) (let ((?v_476 (=> ?v_465 ?v_475)) (?v_474 (= k.31 4))) (let ((?v_490 (not ?v_474)) (?v_472 (= k.31 3))) (let ((?v_487 (not ?v_472)) (?v_468 (= k.31 2))) (let ((?v_485 (not ?v_468)) (?v_463 (= k.31 1))) (let ((?v_482 (not ?v_463)) (?v_459 (= k.31 0))) (let ((?v_477 (not ?v_459))) (let ((?v_481 (and (=> true (=> ?v_459 (=> true (=> (= reqCancelSet_0.4 0) (=> ?v_464 (=> ?v_465 (=> ?v_470 (=> ?v_466 ?v_467)))))))) (=> true (=> ?v_477 (and (=> true (=> ?v_463 (=> true (=> ?v_469 (=> ?v_464 (=> ?v_465 (=> (= reqCancelSet_1.4 0) ?v_471))))))) (=> true (=> ?v_482 (and (=> true (=> ?v_468 (=> true (=> ?v_469 (=> ?v_464 (=> (= reqCancelSet_2.4 0) ?v_475)))))) (=> true (=> ?v_485 (and (=> true (=> ?v_472 (=> true (=> ?v_469 (=> ?v_464 (=> ?v_465 (=> ?v_470 (=> (= reqCancelSet_3.4 0) ?v_473)))))))) (=> true (=> ?v_487 (and (=> true (=> ?v_474 (=> true (=> ?v_469 (=> (= reqCancelSet_4.4 0) ?v_476))))) (=> true (=> ?v_490 (=> true (=> ?v_469 (=> ?v_464 ?v_476)))))))))))))))))))) (let ((?v_489 (=> true (=> true ?v_481))) (?v_478 (= reqCompleted_3.4 reqCompleted_3)) (?v_483 (= reqCompleted_1.4 reqCompleted_1)) (?v_479 (= reqCompleted_2.4 reqCompleted_2)) (?v_488 (= reqCompleted_0.4 reqCompleted_0)) (?v_480 (= reqCompleted_4.4 reqCompleted_4))) (let ((?v_484 (=> ?v_488 (=> ?v_480 ?v_489)))) (let ((?v_486 (=> ?v_479 ?v_484))) (let ((?v_491 (=> ?v_483 ?v_486))) (let ((?v_492 (and (=> true (=> ?v_459 (=> true (=> ?v_478 (=> ?v_483 (=> ?v_479 (=> (= reqCompleted_0.4 1) (=> ?v_480 ?v_481)))))))) (=> true (=> ?v_477 (and (=> true (=> ?v_463 (=> true (=> ?v_478 (=> (= reqCompleted_1.4 1) ?v_486))))) (=> true (=> ?v_482 (and (=> true (=> ?v_468 (=> true (=> ?v_478 (=> ?v_483 (=> (= reqCompleted_2.4 1) ?v_484)))))) (=> true (=> ?v_485 (and (=> true (=> ?v_472 (=> true (=> (= reqCompleted_3.4 1) ?v_491)))) (=> true (=> ?v_487 (and (=> true (=> ?v_474 (=> true (=> ?v_478 (=> ?v_483 (=> ?v_479 (=> ?v_488 (=> (= reqCompleted_4.4 1) ?v_489)))))))) (=> true (=> ?v_490 (=> true (=> ?v_478 ?v_491)))))))))))))))))) (?v_458 (<= 0 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7))) (let ((?v_591 (and (=> true (=> ?v_458 (=> true (=> (= reqCompleted_2.6 reqCompleted_2) (=> (= reqCompleted_4.6 reqCompleted_4) (=> (= reqCompleted_0.6 reqCompleted_0) (=> (= reqCancelSet_2.6 reqCancelSet_2) (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1.0 inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation1) (=> (= errorReached.26 errorReached.23) (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..result.userContextSwitch.7656.4.1..1 inline.sdv_WdfRequestCompleteWithInformation.1..result.userContextSwitch.7656.4.1.) (=> (= reqCancelSet_4.6 reqCancelSet_4) (=> (= k.33 k.30) (=> (= reqCompleted_1.6 reqCompleted_1) (=> (= reqCancelSet_1.6 reqCancelSet_1) (=> (= reqCompleted_3.6 reqCompleted_3) (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation.0 inline.sdv_WdfRequestCompleteWithInformation.1..Request.1.7650.18.sdv_WdfRequestCompleteWithInformation) (=> (= reqCancelSet_0.6 reqCancelSet_0) (=> (= reqCancelSet_3.6 reqCancelSet_3) ?v_461)))))))))))))))))) (=> true (=> (not ?v_458) (and (=> true (=> ?v_33 (=> true (=> (<= k.30 k.31) (=> (< k.31 5) (and (=> true (=> (=> ?v_459 ?v_12) (=> (=> ?v_463 ?v_13) (=> (=> ?v_468 ?v_14) (=> (=> ?v_472 ?v_15) (=> (=> ?v_474 ?v_16) (=> true (=> (= errorReached.24 1) ?v_492)))))))) (=> true (=> (=> ?v_459 ?v_7) (=> (=> ?v_463 ?v_8) (=> (=> ?v_468 ?v_9) (=> (=> ?v_472 ?v_10) (=> (=> ?v_474 ?v_11) (=> true (=> (= errorReached.24 errorReached.23) (=> true ?v_492))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= reqCancelSet_3.5 reqCancelSet_3) (=> (= reqCompleted_4.5 reqCompleted_4) (=> (= reqCompleted_0.5 reqCompleted_0) (=> (= reqCancelSet_2.5 reqCancelSet_2) (=> (= inline.sdv_WdfRequestCompleteWithInformation.1..result.userContextSwitch.7656.4.1..0 inline.sdv_WdfRequestCompleteWithInformation.1..result.userContextSwitch.7656.4.1.) (=> (= reqCancelSet_4.5 reqCancelSet_4) (=> (= k.32 k.30) (=> (= reqCompleted_1.5 reqCompleted_1) (=> (= reqCompleted_2.5 reqCompleted_2) (=> (= reqCancelSet_1.5 reqCancelSet_1) (=> (= reqCompleted_3.5 reqCompleted_3) (=> (= reqCancelSet_0.5 reqCancelSet_0) (=> (= errorReached.25 errorReached.23) (=> true (=> true (=> true (=> true ?v_493)))))))))))))))))))))))))) (let ((?v_616 (=> true ?v_591)) (?v_496 (= inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1.)) (?v_600 (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 notused_4hfileobj)) (?v_498 (= inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0 inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress)) (?v_601 (= inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.0 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_500 (= reqSent_1.2 reqSent_1)) (?v_501 (= reqSent_0.2 reqSent_0)) (?v_502 (= inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.1 0)) (?v_503 (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.)) (?v_505 (= reqSent_2.2 reqSent_2)) (?v_506 (= reqSent_3.2 reqSent_3)) (?v_507 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2.)) (?v_508 (= inline.GetRequestContext.0..result.GetRequestContext.127.0.1..0 inline.GetRequestContext.0..result.GetRequestContext.127.0.1.)) (?v_784 (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.18 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.5)) (?v_510 (= inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0 inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1.)) (?v_511 (= inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..0 inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2.)) (?v_512 (= inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.0 inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl)) (?v_602 (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext.0 notused_4hfileobj)) (?v_515 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine)) (?v_516 (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend)) (?v_603 (= inline.sdv_WdfRequestGetFileObject.1..result.userContextSwitch.7051.4.2..1 inline.sdv_WdfRequestGetFileObject.1..result.userContextSwitch.7051.4.2..0)) (?v_604 (= inline.GetFileContext.1..result.GetFileContext.107.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_519 (= inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..1 inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1.)) (?v_520 (= inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..0 inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1.)) (?v_521 (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1.)) (?v_523 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_524 (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2.)) (?v_525 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend)) (?v_526 (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.0 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext)) (?v_527 (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.0 inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1)) (?v_528 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.)) (?v_529 (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.4 inline.ReadWriteBulkEndPoints.0.tempBoogie0)) (?v_605 (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_531 (= inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..0 inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5.)) (?v_606 (= inline.GetFileContext.1.myNondetVar_0.1 inline.GetFileContext.1.myNondetVar_0.0)) (?v_533 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..0 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7.)) (?v_536 (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2.)) (?v_607 (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..0)) (?v_538 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus)) (?v_608 (= inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..0 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_609 (= inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_541 (= inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..0 inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6.)) (?v_543 (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2.)) (?v_610 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..0 notused_4hfileobj)) (?v_545 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0)) (?v_546 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1)) (?v_547 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.)) (?v_611 (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.0 notused_4hfileobj)) (?v_549 (= inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.0 0)) (?v_550 (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_551 (= reqCompleteSet_3.2 reqCompleteSet_3)) (?v_552 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1)) (?v_553 (= inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..0 inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9.)) (?v_554 (= inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.0 0)) (?v_555 (= inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..0 inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2.)) (?v_556 (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.)) (?v_558 (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_559 (= inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.1 0)) (?v_612 (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 hrequest)) (?v_561 (= reqCompleteSet_2.2 reqCompleteSet_2)) (?v_562 (= reqCompleteSet_1.2 reqCompleteSet_1)) (?v_563 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..0 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13.)) (?v_564 (= inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..0 inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10.)) (?v_565 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3.)) (?v_566 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl)) (?v_567 (= inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..0 inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1.)) (?v_568 (= inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..0 inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3.)) (?v_569 (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1.)) (?v_570 (= reqCompleteSet_0.2 reqCompleteSet_0)) (?v_571 (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus)) (?v_572 (= reqSent_4.2 reqSent_4)) (?v_573 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1)) (?v_574 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.)) (?v_575 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..0 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11.)) (?v_576 (= inline.GetRequestContext.0.myNondetVar_0.1 inline.GetRequestContext.0.myNondetVar_0)) (?v_577 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus)) (?v_578 (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.)) (?v_579 (= reqCompleteSet_4.2 reqCompleteSet_4)) (?v_580 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1.)) (?v_581 (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_613 (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 hrequest)) (?v_614 (= inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..0 notused_4hfileobj)) (?v_615 (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 notused_4hfileobj)) (?v_586 (= inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..0 inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2.)) (?v_588 (= inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..0 inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2.)) (?v_589 (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1)) (?v_783 (<= 0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1)) (?v_504 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3.)) (?v_522 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0)) (?v_535 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2.)) (?v_542 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.)) (?v_557 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1)) (?v_584 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl)) (?v_587 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4.)) (?v_590 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl))) (let ((?v_594 (=> ?v_586 (=> ?v_587 (=> ?v_588 (=> ?v_589 (=> ?v_590 ?v_616))))))) (let ((?v_768 (=> ?v_614 (=> ?v_584 (=> ?v_615 ?v_594)))) (?v_767 (<= 0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1)) (?v_619 (= inline.sdv_MmGetMdlVirtualAddress.0..x.2.5444.10.sdv_MmGetMdlVirtualAddress.0 call26373formal.ret.0)) (?v_622 (= inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0.tempBoogie0.3)) (?v_624 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0)) (?v_629 (= inline.ReadWriteBulkEndPoints.0..newMdl.5.62.28.ReadWriteBulkEndPoints.0 inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..0)) (?v_631 (= inline.sdv_MmGetMdlVirtualAddress.0..result.sdv_MmGetMdlVirtualAddress.5440.0.1..0 call26373formal.ret.0)) (?v_632 (= inline.sdv_MmGetMdlVirtualAddress.0..result.SdvMakeChoice.5444.48.2..0 call26373formal.ret.0)) (?v_633 (= inline.IoAllocateMdl.0..choice.6.1324.8.IoAllocateMdl.0 call26427formal.ret.0)) (?v_756 (= k.30 k.16)) (?v_636 (= inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..1 inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..0)) (?v_639 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3)) (?v_640 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_644 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1)) (?v_645 (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.4 inline.ReadWriteBulkEndPoints.0.tempBoogie0.3)) (?v_646 (= inline.ReadWriteBulkEndPoints.0..result.sdv_MmGetMdlVirtualAddress.136.55.5..0 call26373formal.ret.0)) (?v_757 (= errorReached.23 errorReached.12)) (?v_648 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1)) (?v_650 (= inline.ReadWriteBulkEndPoints.0..result.IoAllocateMdl.150.26.6..0 inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..0)) (?v_651 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2)) (?v_653 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3)) (?v_654 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0)) (?v_655 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0)) (?v_656 (= inline.ReadWriteBulkEndPoints.0..virtualAddress.13.69.28.ReadWriteBulkEndPoints.0 call26373formal.ret.0)) (?v_663 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0)) (?v_665 (= inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.1 inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.0)) (?v_669 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..0)) (?v_670 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0)) (?v_674 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2)) (?v_682 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0)) (?v_683 (= inline.IoAllocateMdl.0..result.SdvMakeChoice.1324.30.2..0 call26427formal.ret.0)) (?v_684 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..1 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..0)) (?v_686 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0) ?v_616))) (let ((?v_762 (=> ?v_589 ?v_686)) (?v_596 (= inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..0 0)) (?v_627 (= inline.sdv_SetReturnStatus.0..result.SdvMakeChoice.6131.28.2..0 call26522formal.ret.0)) (?v_637 (= inline.sdv_WdfMemoryCreate.0..result.sdv_WdfMemoryCreate.7287.0.1..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_647 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfMemoryCreate.173.28.7..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_677 (= inline.sdv_SetReturnStatus.0..choice.1.6131.6.sdv_SetReturnStatus.0 call26522formal.ret.0)) (?v_680 (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_685 (= inline.sdv_WdfMemoryCreate.0..result.sdv_SetReturnStatus.7298.30.2..0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1))) (let ((?v_754 (=> ?v_614 (=> ?v_682 (=> ?v_615 (=> ?v_683 (=> ?v_684 (=> ?v_685 ?v_762))))))) (?v_755 (<= 0 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1)) (?v_618 (= inline.WdfUsbTargetPipeFormatRequestForUrb.0..result.WdfUsbTargetPipeFormatRequestForUrb.1997.0.1..0 inline.WdfUsbTargetPipeFormatRequestForUrb.0..callresult..2008.114.2.)) (?v_660 (= inline.ReadWriteBulkEndPoints.0..result.WdfUsbTargetPipeFormatRequestForUrb.197.48.9..0 inline.WdfUsbTargetPipeFormatRequestForUrb.0..callresult..2008.114.2.)) (?v_752 (<= 0 inline.WdfUsbTargetPipeFormatRequestForUrb.0..callresult..2008.114.2.)) (?v_620 (= reqSent_1.2 reqSent_1.1)) (?v_621 (= reqSent_0.2 reqSent_0.1)) (?v_623 (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..1 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0)) (?v_625 (= reqSent_2.2 reqSent_2.1)) (?v_626 (= reqSent_3.2 reqSent_3.1)) (?v_628 (= inline.GetRequestContext.0..result.GetRequestContext.127.0.1..0 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_630 (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.18 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.17)) (?v_634 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine.0 hrequest)) (?v_635 (= inline.sdv_WdfRequestSend.0..retVal.4.7763.10.sdv_WdfRequestSend.0 call27127formal.ret.0)) (?v_638 (= inline.sdv_WdfRequestSend.0..result.sdv_WdfRequestSend.7757.0.1..0 call27127formal.ret.0)) (?v_641 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend.0 hrequest)) (?v_642 (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext.0 hrequest)) (?v_643 (= inline.GetRequestContext.0..Handle.1.127.0.GetRequestContext1.0 hrequest)) (?v_649 (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0)) (?v_652 (= inline.sdv_WdfRequestSend.0..result.SdvMakeChoice.7763.32.2..0 call27127formal.ret.0)) (?v_657 (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 hrequest)) (?v_658 (= reqCompleteSet_3.2 reqCompleteSet_3.1)) (?v_659 (= inline.sdv_WdfRequestSend.0..Request.1.7758.18.sdv_WdfRequestSend1.0 hrequest)) (?v_661 (= inline.ReadWriteBulkEndPoints.0..rwContext.14.70.28.ReadWriteBulkEndPoints.0 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_662 (= inline.GetRequestContext.0..result.sdv_WdfObjectGetTypedContextWorker.127.0.2..0 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_664 (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_666 (= reqCompleteSet_2.2 reqCompleteSet_2.1)) (?v_667 (= reqCompleteSet_1.2 reqCompleteSet_1.1)) (?v_668 (= inline.ReadWriteBulkEndPoints.0..result.GetRequestContext.209.33.10..0 inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0)) (?v_671 (= reqCompleteSet_0.2 reqCompleteSet_0.1)) (?v_672 (= reqSent_4.2 reqSent_4.1)) (?v_673 (= inline.sdv_WdfRequestSetCompletionRoutine.0..Request.1.7022.18.sdv_WdfRequestSetCompletionRoutine1.0 hrequest)) (?v_675 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestSend.216.23.11..0 call27127formal.ret.0)) (?v_676 (= inline.GetRequestContext.0.myNondetVar_0.1 inline.GetRequestContext.0.myNondetVar_0.0)) (?v_678 (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..1 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0)) (?v_679 (= reqCompleteSet_4.2 reqCompleteSet_4.1)) (?v_681 (= inline.sdv_WdfObjectGetTypedContextWorker.2..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 hrequest))) (let ((?v_688 (=> true (=> ?v_618 (=> ?v_600 (=> ?v_619 (=> ?v_601 (=> ?v_620 (=> ?v_621 (=> ?v_622 (=> ?v_623 (=> ?v_624 (=> ?v_625 (=> ?v_626 (=> ?v_627 (=> ?v_628 (=> ?v_629 (=> ?v_630 (=> ?v_631 (=> ?v_632 (=> ?v_633 (=> ?v_602 (=> (= k.30 k.24) (=> ?v_634 (=> ?v_635 (=> ?v_603 (=> ?v_604 (=> ?v_636 (=> ?v_637 (=> ?v_638 (=> ?v_639 (=> ?v_640 (=> (= inline.sdv_SetReturnStatus.1..result.SdvMakeChoice.6131.28.2..0 call27378formal.ret.0) (=> ?v_641 (=> ?v_642 (=> ?v_643 (=> ?v_644 (=> ?v_645 (=> ?v_605 (=> ?v_646 (=> ?v_606 (=> ?v_647 (=> (= errorReached.23 errorReached.19) (=> ?v_648 (=> ?v_649 (=> ?v_607 (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus.0 hrequest) (=> ?v_608 (=> ?v_609 (=> ?v_650 (=> ?v_651 (=> ?v_652 (=> ?v_610 (=> ?v_653 (=> ?v_654 (=> ?v_655 (=> ?v_611 (=> ?v_656 (=> ?v_657 (=> ?v_658 (=> ?v_659 (=> ?v_660 (=> ?v_661 (=> ?v_662 (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..1 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0) (=> ?v_663 (=> ?v_664 (=> ?v_665 (=> ?v_612 (=> ?v_666 (=> ?v_667 (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetStatus.217.36.13..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_668 (=> ?v_669 (=> ?v_670 (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_WdfRequestGetStatus.7775.0.1..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_WdfRequestGetStatus.0..result.sdv_SetReturnStatus.7782.27.3..0 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..2 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_671 (=> (= inline.sdv_SetReturnStatus.1..choice.1.6131.6.sdv_SetReturnStatus.0 call27378formal.ret.0) (=> ?v_672 (=> ?v_673 (=> ?v_674 (=> ?v_675 (=> ?v_676 (=> ?v_677 (=> ?v_678 (=> ?v_679 (=> ?v_680 (=> ?v_681 (=> ?v_613 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1) (=> ?v_614 (=> ?v_682 (=> ?v_615 (=> ?v_683 (=> ?v_684 (=> ?v_685 (=> (= inline.sdv_WdfRequestGetStatus.0..Request.1.7776.18.sdv_WdfRequestGetStatus1.0 hrequest) ?v_686)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_687 (= call27378formal.ret.0 0))) (let ((?v_690 (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_688))) (?v_689 (= call27378formal.ret.0 1))) (let ((?v_698 (and (=> true (=> (not ?v_687) (=> (not ?v_689) ?v_690))) (=> true (=> ?v_687 (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0 ?v_87) (=> true (=> (= inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.1..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_688)))))))))))))) (=> true (=> ?v_689 (=> true ?v_690)))))) (let ((?v_699 (=> (= errorReached.19 errorReached.18) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_698))))))))) (?v_696 (= k.24 k.23)) (?v_697 (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0 call27424formal.ret.0)) (?v_691 (= k.23 0)) (?v_692 (= k.23 1)) (?v_693 (= k.23 2)) (?v_694 (= k.23 3)) (?v_695 (= k.23 4)) (?v_617 (= call27127formal.ret.0 0))) (let ((?v_599 (not ?v_617))) (let ((?v_717 (and (=> true (=> ?v_599 (=> true (=> ?v_618 (=> ?v_600 (=> ?v_619 (=> ?v_601 (=> ?v_620 (=> ?v_621 (=> ?v_622 (=> ?v_623 (=> ?v_624 (=> ?v_625 (=> ?v_626 (=> ?v_627 (=> ?v_628 (=> ?v_629 (=> ?v_630 (=> ?v_631 (=> ?v_632 (=> ?v_633 (=> ?v_602 (=> (= k.30 k.22) (=> ?v_634 (=> ?v_635 (=> ?v_603 (=> ?v_604 (=> ?v_636 (=> ?v_637 (=> ?v_638 (=> ?v_639 (=> ?v_640 (=> ?v_524 (=> ?v_641 (=> ?v_642 (=> ?v_643 (=> ?v_644 (=> ?v_645 (=> ?v_605 (=> ?v_646 (=> ?v_606 (=> ?v_647 (=> (= errorReached.23 errorReached.18) (=> ?v_648 (=> ?v_649 (=> ?v_607 (=> ?v_538 (=> ?v_608 (=> ?v_609 (=> ?v_650 (=> ?v_651 (=> ?v_652 (=> ?v_610 (=> ?v_653 (=> ?v_654 (=> ?v_655 (=> ?v_611 (=> ?v_656 (=> ?v_657 (=> ?v_658 (=> ?v_659 (=> ?v_660 (=> ?v_661 (=> ?v_662 (=> ?v_556 (=> ?v_663 (=> ?v_664 (=> ?v_665 (=> ?v_612 (=> ?v_666 (=> ?v_667 (=> ?v_563 (=> ?v_668 (=> ?v_669 (=> ?v_670 (=> ?v_567 (=> ?v_568 (=> ?v_569 (=> ?v_671 (=> ?v_571 (=> ?v_672 (=> ?v_673 (=> ?v_674 (=> ?v_675 (=> ?v_676 (=> ?v_677 (=> ?v_678 (=> ?v_679 (=> ?v_680 (=> ?v_681 (=> ?v_613 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.WdfUsbTargetPipeFormatRequestForUrb.0..callresult..2008.114.2.) ?v_754)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> ?v_617 (and (=> true (=> ?v_33 (=> true (=> (<= k.22 k.23) (=> (< k.23 5) (and (=> true (=> (=> ?v_691 ?v_12) (=> (=> ?v_692 ?v_13) (=> (=> ?v_693 ?v_14) (=> (=> ?v_694 ?v_15) (=> (=> ?v_695 ?v_16) (=> true (=> ?v_696 (=> ?v_697 (=> (= errorReached.19 1) ?v_698)))))))))) (=> true (=> (=> ?v_691 ?v_7) (=> (=> ?v_692 ?v_8) (=> (=> ?v_693 ?v_9) (=> (=> ?v_694 ?v_10) (=> (=> ?v_695 ?v_11) (=> true (=> ?v_696 (=> ?v_697 ?v_699))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= k.24 k.22) (=> (= inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2..0 inline.sdv_WdfRequestGetStatus.0..result.userContextSwitch.7780.4.2.) ?v_699))))))))))) (let ((?v_724 (=> true (=> true (=> true (=> true (=> true ?v_717)))))) (?v_719 (= reqSent_3.1 reqSent_3)) (?v_720 (= reqSent_2.1 reqSent_2)) (?v_721 (= reqSent_4.1 reqSent_4)) (?v_722 (= reqSent_0.1 reqSent_0)) (?v_723 (= reqSent_1.1 reqSent_1)) (?v_714 (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 call27152formal.ret.0)) (?v_715 (= k.22 k.21)) (?v_716 (= errorReached.18 errorReached.17))) (let ((?v_704 (=> true (=> (= reqSent_3.1 reqSent_3.0) (=> (= reqSent_2.1 reqSent_2.0) (=> (= reqSent_4.1 reqSent_4.0) (=> ?v_714 (=> (= reqSent_0.1 reqSent_0.0) (=> ?v_715 (=> (= reqSent_1.1 reqSent_1.0) (=> ?v_716 ?v_717))))))))))) (let ((?v_712 (=> true ?v_704)) (?v_706 (= reqSent_1.0 reqSent_1)) (?v_701 (= reqSent_3.0 reqSent_3)) (?v_707 (= reqSent_0.0 reqSent_0)) (?v_702 (= reqSent_2.0 reqSent_2)) (?v_703 (= reqSent_4.0 reqSent_4))) (let ((?v_708 (=> ?v_703 ?v_712))) (let ((?v_710 (=> ?v_707 (=> ?v_702 ?v_708)))) (let ((?v_713 (=> ?v_701 ?v_710)) (?v_711 (= k.21 4)) (?v_709 (= k.21 3)) (?v_705 (= k.21 2)) (?v_700 (= k.21 1)) (?v_598 (= k.21 0))) (let ((?v_718 (and (=> true (=> ?v_599 (and (=> true (=> ?v_598 (=> true (=> ?v_706 (=> ?v_701 (=> (= reqSent_0.0 1) (=> ?v_702 (=> ?v_703 ?v_704)))))))) (=> true (=> (not ?v_598) (and (=> true (=> ?v_700 (=> true (=> (= reqSent_1.0 1) ?v_713)))) (=> true (=> (not ?v_700) (and (=> true (=> ?v_705 (=> true (=> ?v_706 (=> ?v_701 (=> ?v_707 (=> (= reqSent_2.0 1) ?v_708))))))) (=> true (=> (not ?v_705) (and (=> true (=> ?v_709 (=> true (=> ?v_706 (=> (= reqSent_3.0 1) ?v_710))))) (=> true (=> (not ?v_709) (and (=> true (=> ?v_711 (=> true (=> ?v_706 (=> ?v_701 (=> ?v_707 (=> ?v_702 (=> (= reqSent_4.0 1) ?v_712)))))))) (=> true (=> (not ?v_711) (=> true (=> ?v_706 ?v_713))))))))))))))))))) (=> true (=> ?v_617 (=> true (=> ?v_719 (=> ?v_720 (=> ?v_721 (=> ?v_714 (=> ?v_722 (=> ?v_715 (=> ?v_723 (=> ?v_716 ?v_724)))))))))))))) (let ((?v_731 (and (=> true (=> ?v_33 (=> true (=> (<= k.20 k.21) (=> (< k.21 5) (and (=> true (=> (=> ?v_598 ?v_12) (=> (=> ?v_700 ?v_13) (=> (=> ?v_705 ?v_14) (=> (=> ?v_709 ?v_15) (=> (=> ?v_711 ?v_16) (=> true (=> (= errorReached.17 1) ?v_718)))))))) (=> true (=> (=> ?v_598 ?v_7) (=> (=> ?v_700 ?v_8) (=> (=> ?v_705 ?v_9) (=> (=> ?v_709 ?v_10) (=> (=> ?v_711 ?v_11) (=> true (=> (= errorReached.17 errorReached.16) (=> true ?v_718))))))))))))))) (=> true (=> ?v_99 (=> true (=> ?v_719 (=> ?v_720 (=> ?v_721 (=> (= inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3..0 inline.sdv_WdfRequestSend.0..result.userContextSwitch.7765.4.3.) (=> ?v_722 (=> (= k.22 k.20) (=> ?v_723 (=> (= errorReached.18 errorReached.16) ?v_724)))))))))))))) (let ((?v_735 (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_731)))))))))))))))))))))))))))) (?v_732 (= errorReached.16 errorReached.14)) (?v_733 (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2.)) (?v_734 (= k.20 k.18)) (?v_730 (=> true (=> (= errorReached.16 errorReached.15) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.userContextSwitch.6841.4.2..0 call26932formal.ret.0) (=> (= k.20 k.19) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) ?v_731)))))) (?v_725 (= k.19 0)) (?v_726 (= k.19 1)) (?v_727 (= k.19 2)) (?v_728 (= k.19 3)) (?v_729 (= k.19 4))) (let ((?v_751 (and (=> true (=> ?v_33 (=> true (=> (<= k.18 k.19) (=> (< k.19 5) (and (=> true (=> (=> ?v_725 ?v_12) (=> (=> ?v_726 ?v_13) (=> (=> ?v_727 ?v_14) (=> (=> ?v_728 ?v_15) (=> (=> ?v_729 ?v_16) (=> true (=> (= errorReached.15 1) ?v_730)))))))) (=> true (=> (=> ?v_725 ?v_7) (=> (=> ?v_726 ?v_8) (=> (=> ?v_727 ?v_9) (=> (=> ?v_728 ?v_10) (=> (=> ?v_729 ?v_11) (=> true (=> (= errorReached.15 errorReached.14) (=> true ?v_730))))))))))))))) (=> true (=> ?v_99 (and (=> true (=> ?v_307 (=> true (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_735))))))) (=> true (=> ?v_437 (and (=> true (=> ?v_311 (=> true (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_735))))))) (=> true (=> ?v_442 (and (=> true (=> ?v_312 (=> true (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_735))))))) (=> true (=> ?v_443 (=> true (=> ?v_732 (=> ?v_733 (=> ?v_734 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.2..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_735))))))))))))))))))) (let ((?v_740 (=> true (=> (= reqCompleteSet_2.1 reqCompleteSet_2.0) (=> (= reqCompleteSet_4.1 reqCompleteSet_4.0) (=> (= reqCompleteSet_1.1 reqCompleteSet_1.0) (=> (= reqCompleteSet_0.1 reqCompleteSet_0.0) (=> (= k.18 k.17) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0 call26711formal.ret.0) (=> (= errorReached.14 errorReached.13) (=> (= reqCompleteSet_3.1 reqCompleteSet_3.0) ?v_751))))))))))) (let ((?v_744 (=> true ?v_740)) (?v_742 (= reqCompleteSet_1.0 reqCompleteSet_1)) (?v_737 (= reqCompleteSet_3.0 reqCompleteSet_3)) (?v_738 (= reqCompleteSet_4.0 reqCompleteSet_4)) (?v_743 (= reqCompleteSet_0.0 reqCompleteSet_0)) (?v_739 (= reqCompleteSet_2.0 reqCompleteSet_2))) (let ((?v_748 (=> ?v_743 (=> ?v_739 ?v_744)))) (let ((?v_746 (=> ?v_738 ?v_748))) (let ((?v_749 (=> ?v_737 ?v_746)) (?v_747 (= k.17 4)) (?v_745 (= k.17 3)) (?v_741 (= k.17 2)) (?v_736 (= k.17 1)) (?v_597 (= k.17 0))) (let ((?v_750 (and (=> true (=> ?v_597 (=> true (=> ?v_742 (=> ?v_737 (=> ?v_738 (=> (= reqCompleteSet_0.0 1) (=> ?v_739 ?v_740)))))))) (=> true (=> (not ?v_597) (and (=> true (=> ?v_736 (=> true (=> (= reqCompleteSet_1.0 1) ?v_749)))) (=> true (=> (not ?v_736) (and (=> true (=> ?v_741 (=> true (=> ?v_742 (=> ?v_737 (=> ?v_738 (=> ?v_743 (=> (= reqCompleteSet_2.0 1) ?v_744)))))))) (=> true (=> (not ?v_741) (and (=> true (=> ?v_745 (=> true (=> ?v_742 (=> (= reqCompleteSet_3.0 1) ?v_746))))) (=> true (=> (not ?v_745) (and (=> true (=> ?v_747 (=> true (=> ?v_742 (=> ?v_737 (=> (= reqCompleteSet_4.0 1) ?v_748)))))) (=> true (=> (not ?v_747) (=> true (=> ?v_742 ?v_749))))))))))))))))))) (let ((?v_759 (and (=> true (=> ?v_755 (and (=> true (=> ?v_752 (and (=> true (=> ?v_33 (=> true (=> (<= k.16 k.17) (=> (< k.17 5) (and (=> true (=> (=> ?v_597 ?v_12) (=> (=> ?v_736 ?v_13) (=> (=> ?v_741 ?v_14) (=> (=> ?v_745 ?v_15) (=> (=> ?v_747 ?v_16) (=> true (=> (= errorReached.13 1) ?v_750)))))))) (=> true (=> (=> ?v_597 ?v_7) (=> (=> ?v_736 ?v_8) (=> (=> ?v_741 ?v_9) (=> (=> ?v_745 ?v_10) (=> (=> ?v_747 ?v_11) (=> true (=> (= errorReached.13 errorReached.12) (=> true ?v_750))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= reqCompleteSet_2.1 reqCompleteSet_2) (=> (= reqCompleteSet_4.1 reqCompleteSet_4) (=> (= reqCompleteSet_1.1 reqCompleteSet_1) (=> (= reqCompleteSet_0.1 reqCompleteSet_0) (=> (= k.18 k.16) (=> (= inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1..0 inline.sdv_WdfRequestSetCompletionRoutine.0..result.userContextSwitch.7028.4.1.) (=> (= errorReached.14 errorReached.12) (=> (= reqCompleteSet_3.1 reqCompleteSet_3) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_751)))))))))))))))))))))))) (=> true (=> (not ?v_752) (=> true (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.6 ?v_753) (=> true (=> ?v_618 (=> ?v_600 (=> ?v_619 (=> ?v_601 (=> ?v_500 (=> ?v_501 (=> ?v_622 (=> ?v_503 (=> ?v_624 (=> ?v_505 (=> ?v_506 (=> ?v_627 (=> ?v_508 (=> ?v_629 (=> (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.18 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.16) (=> ?v_631 (=> ?v_632 (=> ?v_633 (=> ?v_602 (=> ?v_756 (=> ?v_515 (=> ?v_516 (=> ?v_603 (=> ?v_604 (=> ?v_636 (=> ?v_637 (=> ?v_521 (=> ?v_639 (=> ?v_640 (=> ?v_524 (=> ?v_525 (=> ?v_526 (=> ?v_527 (=> ?v_644 (=> ?v_645 (=> ?v_605 (=> ?v_646 (=> ?v_606 (=> ?v_647 (=> ?v_757 (=> ?v_648 (=> ?v_536 (=> ?v_607 (=> ?v_538 (=> ?v_608 (=> ?v_609 (=> ?v_650 (=> ?v_651 (=> ?v_543 (=> ?v_610 (=> ?v_653 (=> ?v_654 (=> ?v_655 (=> ?v_611 (=> ?v_656 (=> ?v_550 (=> ?v_551 (=> ?v_552 (=> ?v_660 (=> ?v_554 (=> ?v_555 (=> ?v_556 (=> ?v_663 (=> ?v_558 (=> ?v_665 (=> ?v_612 (=> ?v_561 (=> ?v_562 (=> ?v_563 (=> ?v_564 (=> ?v_669 (=> ?v_670 (=> ?v_567 (=> ?v_568 (=> ?v_569 (=> ?v_570 (=> ?v_571 (=> ?v_572 (=> ?v_573 (=> ?v_674 (=> ?v_575 (=> ?v_576 (=> ?v_677 (=> ?v_578 (=> ?v_579 (=> ?v_680 (=> ?v_581 (=> ?v_613 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.6) ?v_754))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_755) (=> true (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.5 ?v_753) (=> true (=> ?v_496 (=> ?v_600 (=> ?v_619 (=> ?v_601 (=> ?v_500 (=> ?v_501 (=> ?v_622 (=> ?v_503 (=> ?v_624 (=> ?v_505 (=> ?v_506 (=> ?v_627 (=> ?v_508 (=> ?v_629 (=> (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.18 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.7) (=> ?v_631 (=> ?v_632 (=> ?v_633 (=> ?v_602 (=> ?v_756 (=> ?v_515 (=> ?v_516 (=> ?v_603 (=> ?v_604 (=> ?v_636 (=> ?v_637 (=> ?v_521 (=> ?v_639 (=> ?v_640 (=> ?v_524 (=> ?v_525 (=> ?v_526 (=> ?v_527 (=> ?v_644 (=> ?v_645 (=> ?v_605 (=> ?v_646 (=> ?v_606 (=> ?v_647 (=> ?v_757 (=> ?v_648 (=> ?v_536 (=> ?v_607 (=> ?v_538 (=> ?v_608 (=> ?v_609 (=> ?v_650 (=> ?v_651 (=> ?v_543 (=> ?v_610 (=> ?v_653 (=> ?v_654 (=> ?v_655 (=> ?v_611 (=> ?v_656 (=> ?v_550 (=> ?v_551 (=> ?v_552 (=> ?v_553 (=> ?v_554 (=> ?v_555 (=> ?v_556 (=> ?v_663 (=> ?v_558 (=> ?v_665 (=> ?v_612 (=> ?v_561 (=> ?v_562 (=> ?v_563 (=> ?v_564 (=> ?v_669 (=> ?v_670 (=> ?v_567 (=> ?v_568 (=> ?v_569 (=> ?v_570 (=> ?v_571 (=> ?v_572 (=> ?v_573 (=> ?v_674 (=> ?v_575 (=> ?v_576 (=> ?v_677 (=> ?v_578 (=> ?v_579 (=> ?v_680 (=> ?v_581 (=> ?v_613 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.5) ?v_754)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_758 (= call26522formal.ret.0 0))) (let ((?v_761 (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 0) ?v_759))) (?v_760 (= call26522formal.ret.0 1))) (let ((?v_764 (and (=> true (=> (not ?v_596) (and (=> true (=> (not ?v_758) (=> (not ?v_760) ?v_761))) (=> true (=> ?v_758 (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0 ?v_87) (=> true (=> (= inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..1 inline.sdv_SetReturnStatus.0..result.sdv_SetReturnStatus.6129.0.1..0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_759))))))))))))))) (=> true (=> ?v_760 (=> true ?v_761)))))) (=> true (=> ?v_596 (=> true (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.4 ?v_753) (=> true (=> ?v_496 (=> ?v_600 (=> ?v_619 (=> ?v_601 (=> ?v_500 (=> ?v_501 (=> ?v_622 (=> ?v_503 (=> ?v_624 (=> ?v_505 (=> ?v_506 (=> ?v_507 (=> ?v_508 (=> ?v_629 (=> (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.18 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.6) (=> ?v_631 (=> ?v_632 (=> ?v_633 (=> ?v_602 (=> ?v_756 (=> ?v_515 (=> ?v_516 (=> ?v_603 (=> ?v_604 (=> ?v_636 (=> ?v_520 (=> ?v_521 (=> ?v_639 (=> ?v_640 (=> ?v_524 (=> ?v_525 (=> ?v_526 (=> ?v_527 (=> ?v_644 (=> ?v_645 (=> ?v_605 (=> ?v_646 (=> ?v_606 (=> ?v_533 (=> ?v_757 (=> ?v_648 (=> ?v_536 (=> ?v_607 (=> ?v_538 (=> ?v_608 (=> ?v_609 (=> ?v_650 (=> ?v_651 (=> ?v_543 (=> ?v_610 (=> ?v_653 (=> ?v_654 (=> ?v_655 (=> ?v_611 (=> ?v_656 (=> ?v_550 (=> ?v_551 (=> ?v_552 (=> ?v_553 (=> ?v_554 (=> ?v_555 (=> ?v_556 (=> ?v_663 (=> ?v_558 (=> ?v_665 (=> ?v_612 (=> ?v_561 (=> ?v_562 (=> ?v_563 (=> ?v_564 (=> ?v_669 (=> ?v_670 (=> ?v_567 (=> ?v_568 (=> ?v_569 (=> ?v_570 (=> ?v_571 (=> ?v_572 (=> ?v_573 (=> ?v_674 (=> ?v_575 (=> ?v_576 (=> ?v_577 (=> ?v_578 (=> ?v_579 (=> ?v_580 (=> ?v_581 (=> ?v_613 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.4) (=> ?v_614 (=> ?v_682 (=> ?v_615 (=> ?v_683 (=> ?v_684 (=> ?v_588 ?v_762)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_763 (= call26427formal.ret.0 0))) (let ((?v_766 (and (=> true (=> (not ?v_763) (=> true (=> ?v_596 ?v_764)))) (=> true (=> ?v_763 (=> true (=> (= inline.IoAllocateMdl.0..result.IoAllocateMdl.1316.0.1..0 notused_4wdmobject1) (=> true (=> true (=> true (=> true (=> true ?v_764))))))))))) (?v_765 (< 256 myNondetVar_0.0))) (let ((?v_782 (=> true (=> (forall ((?r1 Int)) (! (= (or (not (= (BIT_BAND inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.0 ?r1) 0)) (not (= (BIT_BAND 2 ?r1) 0))) (not (= (BIT_BAND (BIT_BOR inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.0 2) ?r1) 0))) :pattern ((BIT_BAND (BIT_BOR inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.0 2) ?r1)) )) (=> (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.3 (BIT_BOR inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.0 2)) (and (=> true (=> ?v_765 (=> true (=> (= inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.0 256) ?v_766)))) (=> true (=> (not ?v_765) (=> true (=> (= inline.ReadWriteBulkEndPoints.0..stageLength.10.66.28.ReadWriteBulkEndPoints.0 myNondetVar_0.0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_766))))))))))))))))) (let ((?v_786 (and (=> true (=> ?v_783 (=> true (=> (forall ((?r2 Int)) (! (let ((?v_4070 (not (= (BIT_BAND 0 ?r2) 0)))) (= (or ?v_4070 ?v_4070) (not (= (BIT_BAND (BIT_BOR 0 0) ?r2) 0)))) :pattern ((BIT_BAND (BIT_BOR 0 0) ?r2)) )) (=> (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.0 (BIT_BOR 0 0)) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.2 inline.ReadWriteBulkEndPoints.0.tempBoogie0.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 call25950formal.ret.0) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 hrequest) (=> (= inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0.tempBoogie0.0) (=> (= errorReached.12 errorReached.11) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..0 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1) (=> (= k.16 k.15) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0 call25950formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0) ?v_782))))))))))))))))))))))))))) (=> true (=> (not ?v_783) (=> true (=> ?v_496 (=> ?v_600 (=> ?v_498 (=> ?v_601 (=> ?v_500 (=> ?v_501 (=> ?v_502 (=> ?v_503 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..1 call25950formal.ret.0) (=> ?v_505 (=> ?v_506 (=> ?v_507 (=> ?v_508 (=> ?v_460 (=> ?v_784 (=> ?v_510 (=> ?v_511 (=> ?v_512 (=> ?v_602 (=> (= k.30 k.15) (=> ?v_515 (=> ?v_516 (=> ?v_603 (=> ?v_604 (=> ?v_519 (=> ?v_520 (=> ?v_521 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2) (=> ?v_523 (=> ?v_524 (=> ?v_525 (=> ?v_526 (=> ?v_527 (=> ?v_528 (=> ?v_529 (=> ?v_605 (=> ?v_531 (=> ?v_606 (=> ?v_533 (=> (= errorReached.23 errorReached.11) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0) (=> ?v_536 (=> ?v_607 (=> ?v_538 (=> ?v_608 (=> ?v_609 (=> ?v_541 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_543 (=> ?v_610 (=> ?v_545 (=> ?v_546 (=> ?v_547 (=> ?v_611 (=> ?v_549 (=> ?v_550 (=> ?v_551 (=> ?v_552 (=> ?v_553 (=> ?v_554 (=> ?v_555 (=> ?v_556 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.1 hrequest) (=> ?v_558 (=> ?v_559 (=> ?v_612 (=> ?v_561 (=> ?v_562 (=> ?v_563 (=> ?v_564 (=> ?v_565 (=> ?v_566 (=> ?v_567 (=> ?v_568 (=> ?v_569 (=> ?v_570 (=> ?v_571 (=> ?v_572 (=> ?v_573 (=> ?v_574 (=> ?v_575 (=> ?v_576 (=> ?v_577 (=> ?v_578 (=> ?v_579 (=> ?v_580 (=> ?v_581 (=> ?v_613 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_614 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.1 hrequest) (=> ?v_615 (=> ?v_586 (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1) (=> ?v_588 (=> ?v_589 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.1 call25950formal.ret.0) ?v_616)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_785 (= call25950formal.ret.0 0))) (let ((?v_794 (and (=> true (=> (not ?v_785) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0 ?v_87) (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..0) ?v_786))))))) (=> true (=> ?v_785 (=> true (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_786))))))))))))) (let ((?v_796 (=> true (=> true (=> true ?v_794)))) (?v_795 (= errorReached.11 errorReached.9)) (?v_792 (= k.15 k.12)) (?v_793 (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0 call25953formal.ret.0)) (?v_787 (= k.12 0)) (?v_788 (= k.12 1)) (?v_789 (= k.12 2)) (?v_790 (= k.12 3)) (?v_791 (= k.12 4)) (?v_770 (and (=> true (=> ?v_767 (=> true (=> (forall ((?r3 Int)) (! (= (or (not (= (BIT_BAND 0 ?r3) 0)) (not (= (BIT_BAND 1 ?r3) 0))) (not (= (BIT_BAND (BIT_BOR 0 1) ?r3) 0))) :pattern ((BIT_BAND (BIT_BOR 0 1) ?r3)) )) (=> (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.1 (BIT_BOR 0 1)) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.0 hrequest) (=> (= inline.ReadWriteBulkEndPoints.0.tempBoogie0.2 inline.ReadWriteBulkEndPoints.0.tempBoogie0.1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..0 call26114formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..x.3.7240.5.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4..0 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveInputWdmMdl.125.46.4.) (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl.0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..Request.1.7236.15.sdv_WdfRequestRetrieveInputWdmMdl) (=> (= inline.ReadWriteBulkEndPoints.0..urbFlags.11.67.28.ReadWriteBulkEndPoints.0 inline.ReadWriteBulkEndPoints.0.tempBoogie0.1) (=> (= errorReached.12 errorReached.10) (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.0 call26114formal.ret.0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1..2 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.sdv_WdfRequestRetrieveInputWdmMdl.7235.0.1.) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveInputWdmMdl.0.myNondetVar_0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.0 hrequest) (=> (= k.16 k.14) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.SdvMakeChoice.7246.18.3.) (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..1 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2.) ?v_782))))))))))))))))))))))))))) (=> true (=> (not ?v_767) (=> true (=> ?v_496 (=> ?v_600 (=> ?v_498 (=> ?v_601 (=> ?v_500 (=> ?v_501 (=> ?v_502 (=> ?v_503 (=> ?v_504 (=> ?v_505 (=> ?v_506 (=> ?v_507 (=> ?v_508 (=> ?v_460 (=> ?v_784 (=> ?v_510 (=> ?v_511 (=> ?v_512 (=> ?v_602 (=> (= k.30 k.14) (=> ?v_515 (=> ?v_516 (=> ?v_603 (=> ?v_604 (=> ?v_519 (=> ?v_520 (=> ?v_521 (=> ?v_522 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..x.3.7216.5.sdv_WdfRequestRetrieveOutputWdmMdl.1 call26114formal.ret.0) (=> ?v_524 (=> ?v_525 (=> ?v_526 (=> ?v_527 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0) (=> ?v_529 (=> ?v_605 (=> ?v_531 (=> ?v_606 (=> ?v_533 (=> (= errorReached.23 errorReached.10) (=> ?v_535 (=> ?v_536 (=> ?v_607 (=> ?v_538 (=> ?v_608 (=> ?v_609 (=> ?v_541 (=> ?v_542 (=> ?v_543 (=> ?v_610 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.4 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl1.1 hrequest) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.SdvMakeChoice.7222.18.3..1 call26114formal.ret.0) (=> ?v_611 (=> ?v_549 (=> ?v_550 (=> ?v_551 (=> ?v_552 (=> ?v_553 (=> ?v_554 (=> ?v_555 (=> ?v_556 (=> ?v_557 (=> ?v_558 (=> ?v_559 (=> ?v_612 (=> ?v_561 (=> ?v_562 (=> ?v_563 (=> ?v_564 (=> (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.115.47.3..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..Request.1.7212.15.sdv_WdfRequestRetrieveOutputWdmMdl.1 hrequest) (=> ?v_567 (=> ?v_568 (=> ?v_569 (=> ?v_570 (=> ?v_571 (=> ?v_572 (=> ?v_573 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..3 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) (=> ?v_575 (=> ?v_576 (=> ?v_577 (=> ?v_578 (=> ?v_579 (=> ?v_580 (=> ?v_581 (=> ?v_613 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1) ?v_768)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (?v_769 (= call26114formal.ret.0 0))) (let ((?v_778 (and (=> true (=> (not ?v_769) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0 ?v_87) (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.1) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..0) ?v_770))))))) (=> true (=> ?v_769 (=> true (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.2 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0.myNondetVar_0.0) (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.sdv_WdfRequestRetrieveOutputWdmMdl.7211.0.1..1 0) (=> true (=> true (=> true (=> true (=> true ?v_770))))))))))))) (let ((?v_780 (=> true (=> true (=> true ?v_778)))) (?v_779 (= errorReached.10 errorReached.9)) (?v_776 (= k.14 k.13)) (?v_777 (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 call26117formal.ret.0)) (?v_771 (= k.13 0)) (?v_772 (= k.13 1)) (?v_773 (= k.13 2)) (?v_774 (= k.13 3)) (?v_775 (= k.13 4))) (let ((?v_797 (and (=> true (=> ?v_595 (and (=> true (=> ?v_33 (=> true (=> (<= k.11 k.13) (=> (< k.13 5) (and (=> true (=> (=> ?v_771 ?v_12) (=> (=> ?v_772 ?v_13) (=> (=> ?v_773 ?v_14) (=> (=> ?v_774 ?v_15) (=> (=> ?v_775 ?v_16) (=> true (=> ?v_776 (=> (= errorReached.10 1) (=> ?v_777 ?v_778)))))))))) (=> true (=> (=> ?v_771 ?v_7) (=> (=> ?v_772 ?v_8) (=> (=> ?v_773 ?v_9) (=> (=> ?v_774 ?v_10) (=> (=> ?v_775 ?v_11) (=> true (=> ?v_776 (=> ?v_779 (=> ?v_777 ?v_780)))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= k.14 k.11) (=> ?v_779 (=> (= inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2..0 inline.sdv_WdfRequestRetrieveOutputWdmMdl.0..result.userContextSwitch.7219.4.2.) ?v_780))))))))) (=> true (=> ?v_781 (and (=> true (=> ?v_33 (=> true (=> (<= k.11 k.12) (=> (< k.12 5) (and (=> true (=> (=> ?v_787 ?v_12) (=> (=> ?v_788 ?v_13) (=> (=> ?v_789 ?v_14) (=> (=> ?v_790 ?v_15) (=> (=> ?v_791 ?v_16) (=> true (=> ?v_792 (=> (= errorReached.11 1) (=> ?v_793 ?v_794)))))))))) (=> true (=> (=> ?v_787 ?v_7) (=> (=> ?v_788 ?v_8) (=> (=> ?v_789 ?v_9) (=> (=> ?v_790 ?v_10) (=> (=> ?v_791 ?v_11) (=> true (=> ?v_792 (=> ?v_795 (=> ?v_793 ?v_796)))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= k.15 k.11) (=> ?v_795 (=> (= inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2..0 inline.sdv_WdfRequestRetrieveInputWdmMdl.0..result.userContextSwitch.7243.4.2.) ?v_796)))))))))))) (let ((?v_804 (and (=> true (=> (not (= 3 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.1)) (and (=> true (=> (not (= 4 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.2)) (=> true (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.2 ?v_822) (=> true (=> ?v_496 (=> ?v_600 (=> ?v_498 (=> ?v_601 (=> ?v_500 (=> ?v_501 (=> ?v_502 (=> ?v_503 (=> ?v_504 (=> ?v_505 (=> ?v_506 (=> ?v_507 (=> ?v_508 (=> ?v_460 (=> (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.18 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.2) (=> ?v_510 (=> ?v_511 (=> ?v_512 (=> ?v_602 (=> (= k.30 k.11) (=> ?v_515 (=> ?v_516 (=> ?v_603 (=> ?v_604 (=> ?v_519 (=> ?v_520 (=> ?v_521 (=> ?v_522 (=> ?v_523 (=> ?v_524 (=> ?v_525 (=> ?v_526 (=> ?v_527 (=> ?v_528 (=> ?v_529 (=> ?v_605 (=> ?v_531 (=> ?v_606 (=> ?v_533 (=> (= errorReached.23 errorReached.9) (=> ?v_535 (=> ?v_536 (=> ?v_607 (=> ?v_538 (=> ?v_608 (=> ?v_609 (=> ?v_541 (=> ?v_542 (=> ?v_543 (=> ?v_610 (=> ?v_545 (=> ?v_546 (=> ?v_547 (=> ?v_611 (=> ?v_549 (=> ?v_550 (=> ?v_551 (=> ?v_552 (=> ?v_553 (=> ?v_554 (=> ?v_555 (=> ?v_556 (=> ?v_557 (=> ?v_558 (=> ?v_559 (=> ?v_612 (=> ?v_561 (=> ?v_562 (=> ?v_563 (=> ?v_564 (=> ?v_565 (=> ?v_566 (=> ?v_567 (=> ?v_568 (=> ?v_569 (=> ?v_570 (=> ?v_571 (=> ?v_572 (=> ?v_573 (=> ?v_574 (=> ?v_575 (=> ?v_576 (=> ?v_577 (=> ?v_578 (=> ?v_579 (=> ?v_580 (=> ?v_581 (=> ?v_613 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.2) ?v_768)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not (not (= 4 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.4))) (=> true (=> (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.5 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.4) ?v_797))))))) (=> true (=> (not (not (= 3 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.3))) (=> true (=> (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.5 inline.ReadWriteBulkEndPoints.0.myNondetVar_0.3) (=> true ?v_797))))))) (?v_806 (= k.11 k.9))) (let ((?v_807 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2.) (=> (= errorReached.9 errorReached.7) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_804))))))))))))))))))))))))))))))))) (?v_803 (=> true (=> (= k.11 k.10) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..0 call25677formal.ret.0) (=> (= errorReached.9 errorReached.8) ?v_804)))))) (?v_798 (= k.10 0)) (?v_799 (= k.10 1)) (?v_800 (= k.10 2)) (?v_801 (= k.10 3)) (?v_802 (= k.10 4))) (let ((?v_817 (and (=> true (=> ?v_593 (=> true (=> (<= k.9 k.10) (=> (< k.10 5) (and (=> true (=> (=> ?v_798 ?v_12) (=> (=> ?v_799 ?v_13) (=> (=> ?v_800 ?v_14) (=> (=> ?v_801 ?v_15) (=> (=> ?v_802 ?v_16) (=> true (=> (= errorReached.8 1) ?v_803)))))))) (=> true (=> (=> ?v_798 ?v_7) (=> (=> ?v_799 ?v_8) (=> (=> ?v_800 ?v_9) (=> (=> ?v_801 ?v_10) (=> (=> ?v_802 ?v_11) (=> true (=> (= errorReached.8 errorReached.7) (=> true ?v_803))))))))))))))) (=> true (=> ?v_2019 (and (=> true (=> ?v_805 (=> true (=> ?v_806 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_807))))) (=> true (=> ?v_2021 (and (=> true (=> ?v_808 (=> true (=> ?v_806 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_807))))) (=> true (=> ?v_2026 (and (=> true (=> ?v_809 (=> true (=> ?v_806 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_807))))) (=> true (=> ?v_2027 (=> true (=> ?v_806 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_807))))))))))))))))) (let ((?v_818 (=> (= errorReached.7 errorReached.2) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_817))))))))))))) (?v_815 (= inline.sdv_WdfRequestGetFileObject.1..result.userContextSwitch.7051.4.2..0 call25505formal.ret.0)) (?v_816 (= k.9 k.8)) (?v_810 (= k.8 0)) (?v_811 (= k.8 1)) (?v_812 (= k.8 2)) (?v_813 (= k.8 3)) (?v_814 (= k.8 4))) (let ((?v_819 (and (=> true (=> ?v_33 (=> true (=> (<= k.3 k.8) (=> (< k.8 5) (and (=> true (=> (=> ?v_810 ?v_12) (=> (=> ?v_811 ?v_13) (=> (=> ?v_812 ?v_14) (=> (=> ?v_813 ?v_15) (=> (=> ?v_814 ?v_16) (=> true (=> ?v_815 (=> ?v_816 (=> (= errorReached.7 1) ?v_817)))))))))) (=> true (=> (=> ?v_810 ?v_7) (=> (=> ?v_811 ?v_8) (=> (=> ?v_812 ?v_9) (=> (=> ?v_813 ?v_10) (=> (=> ?v_814 ?v_11) (=> true (=> ?v_815 (=> ?v_816 ?v_818))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= inline.sdv_WdfRequestGetFileObject.1..result.userContextSwitch.7051.4.2..0 inline.sdv_WdfRequestGetFileObject.1..result.userContextSwitch.7051.4.2.) (=> (= k.9 k.3) ?v_818))))))) (?v_592 (not (= 4 4))) (?v_497 (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker.0 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker)) (?v_499 (= inline.ReadWriteBulkEndPoints.0..fileContext.15.71.28.ReadWriteBulkEndPoints.0 0)) (?v_509 (= inline.ReadWriteBulkEndPoints.0.myNondetVar_0.18 inline.ReadWriteBulkEndPoints.0.myNondetVar_0)) (?v_513 (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext.0 inline.GetFileContext.1..Handle.1.107.0.GetFileContext)) (?v_514 (= k.30 k.3)) (?v_517 (= inline.sdv_WdfRequestGetFileObject.1..result.userContextSwitch.7051.4.2..1 inline.sdv_WdfRequestGetFileObject.1..result.userContextSwitch.7051.4.2.)) (?v_518 (= inline.GetFileContext.1..result.GetFileContext.107.0.1..0 inline.GetFileContext.1..result.GetFileContext.107.0.1.)) (?v_530 (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..1 inline.sdv_WdfObjectGetTypedContextWorker.1..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1.)) (?v_532 (= inline.GetFileContext.1.myNondetVar_0.1 inline.GetFileContext.1.myNondetVar_0)) (?v_534 (= errorReached.23 errorReached.2)) (?v_537 (= inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2..1 inline.sdv_WdfObjectGetTypedContextWorker.1..result.userContextSwitch.6841.4.2.)) (?v_539 (= inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1..0 inline.ReadWriteBulkEndPoints.0..result.GetFileContext.100.32.1.)) (?v_540 (= inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2..0 inline.GetFileContext.1..result.sdv_WdfObjectGetTypedContextWorker.107.0.2.)) (?v_544 (= inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2..0 inline.ReadWriteBulkEndPoints.0..result.sdv_WdfRequestGetFileObject.100.56.2.)) (?v_548 (= inline.GetFileContext.1..Handle.1.107.0.GetFileContext1.0 inline.GetFileContext.1..Handle.1.107.0.GetFileContext1)) (?v_560 (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject.0 inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject)) (?v_582 (= inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1.0 inline.sdv_WdfRequestGetFileObject.1..Request.1.7047.18.sdv_WdfRequestGetFileObject1)) (?v_583 (= inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1..0 inline.sdv_WdfRequestGetFileObject.1..result.sdv_WdfRequestGetFileObject.7046.0.1.)) (?v_585 (= inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1.0 inline.sdv_WdfObjectGetTypedContextWorker.1..Handle.1.6836.17.sdv_WdfObjectGetTypedContextWorker1)) (?v_494 (< 65536 myNondetVar_0.0)) (?v_18 (int_2_U call25063formal.new.0)) (?v_19 (int_2_U call25066formal.new.0)) (?v_21 (int_2_U call25069formal.new.0)) (?v_22 (int_2_U call25072formal.new.0)) (?v_23 (int_2_U call25075formal.new.0))) (let ((?v_820 (=> true (and ?v_17 (=> ?v_17 (=> (> call25063formal.new.0 0) (=> (forall ((?x647 Int)) (! (=> (and (<= call25063formal.new.0 ?x647) (< ?x647 (+ call25063formal.new.0 32))) (= (Base ?x647) call25063formal.new.0)) :pattern ((Base ?x647)) )) (=> (forall ((?x648 boogieU)) (! (=> (= (type ?x648) intType) (or (= (U_2_int ?x648) call25063formal.new.0) (= (MapType0Select alloc.0 ?x648) (MapType0Select alloc.1 ?x648)))) :pattern ((MapType0Select alloc.1 ?x648)) )) (=> (and (= (MapType0Select alloc.0 ?v_18) UNALLOCATED) (= (MapType0Select alloc.1 ?v_18) ALLOCATED)) (and ?v_5 (=> ?v_5 (=> (> call25066formal.new.0 0) (=> (forall ((?x649 Int)) (! (=> (and (<= call25066formal.new.0 ?x649) (< ?x649 (+ call25066formal.new.0 20))) (= (Base ?x649) call25066formal.new.0)) :pattern ((Base ?x649)) )) (=> (forall ((?x650 boogieU)) (! (=> (= (type ?x650) intType) (or (= (U_2_int ?x650) call25066formal.new.0) (= (MapType0Select alloc.1 ?x650) (MapType0Select alloc.2 ?x650)))) :pattern ((MapType0Select alloc.2 ?x650)) )) (=> (and (= (MapType0Select alloc.1 ?v_19) UNALLOCATED) (= (MapType0Select alloc.2 ?v_19) ALLOCATED)) (and ?v_20 (=> ?v_20 (=> (> call25069formal.new.0 0) (=> (forall ((?x651 Int)) (! (=> (and (<= call25069formal.new.0 ?x651) (< ?x651 (+ call25069formal.new.0 4))) (= (Base ?x651) call25069formal.new.0)) :pattern ((Base ?x651)) )) (=> (forall ((?x652 boogieU)) (! (=> (= (type ?x652) intType) (or (= (U_2_int ?x652) call25069formal.new.0) (= (MapType0Select alloc.2 ?x652) (MapType0Select alloc.3 ?x652)))) :pattern ((MapType0Select alloc.3 ?x652)) )) (=> (and (= (MapType0Select alloc.2 ?v_21) UNALLOCATED) (= (MapType0Select alloc.3 ?v_21) ALLOCATED)) (and ?v_20 (=> ?v_20 (=> (> call25072formal.new.0 0) (=> (forall ((?x653 Int)) (! (=> (and (<= call25072formal.new.0 ?x653) (< ?x653 (+ call25072formal.new.0 4))) (= (Base ?x653) call25072formal.new.0)) :pattern ((Base ?x653)) )) (=> (forall ((?x654 boogieU)) (! (=> (= (type ?x654) intType) (or (= (U_2_int ?x654) call25072formal.new.0) (= (MapType0Select alloc.3 ?x654) (MapType0Select alloc.4 ?x654)))) :pattern ((MapType0Select alloc.4 ?x654)) )) (=> (and (= (MapType0Select alloc.3 ?v_22) UNALLOCATED) (= (MapType0Select alloc.4 ?v_22) ALLOCATED)) (and ?v_20 (=> ?v_20 (=> (> call25075formal.new.0 0) (=> (forall ((?x655 Int)) (! (=> (and (<= call25075formal.new.0 ?x655) (< ?x655 (+ call25075formal.new.0 4))) (= (Base ?x655) call25075formal.new.0)) :pattern ((Base ?x655)) )) (=> (forall ((?x656 boogieU)) (! (=> (= (type ?x656) intType) (or (= (U_2_int ?x656) call25075formal.new.0) (= (MapType0Select alloc.4 ?x656) (MapType0Select alloc.5 ?x656)))) :pattern ((MapType0Select alloc.5 ?x656)) )) (=> (and (= (MapType0Select alloc.4 ?v_23) UNALLOCATED) (= (MapType0Select alloc.5 ?v_23) ALLOCATED)) (and (=> true (=> ?v_494 (=> true (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.1 ?v_495) (=> true (=> ?v_496 (=> ?v_497 (=> ?v_498 (=> ?v_499 (=> ?v_500 (=> ?v_501 (=> ?v_502 (=> ?v_503 (=> ?v_504 (=> ?v_505 (=> ?v_506 (=> ?v_507 (=> ?v_508 (=> ?v_460 (=> ?v_509 (=> ?v_510 (=> ?v_511 (=> ?v_512 (=> ?v_513 (=> ?v_514 (=> ?v_515 (=> ?v_516 (=> ?v_517 (=> ?v_518 (=> ?v_519 (=> ?v_520 (=> ?v_521 (=> ?v_522 (=> ?v_523 (=> ?v_524 (=> ?v_525 (=> ?v_526 (=> ?v_527 (=> ?v_528 (=> ?v_529 (=> ?v_530 (=> ?v_531 (=> ?v_532 (=> ?v_533 (=> ?v_534 (=> ?v_535 (=> ?v_536 (=> ?v_537 (=> ?v_538 (=> ?v_539 (=> ?v_540 (=> ?v_541 (=> ?v_542 (=> ?v_543 (=> ?v_544 (=> ?v_545 (=> ?v_546 (=> ?v_547 (=> ?v_548 (=> ?v_549 (=> ?v_550 (=> ?v_551 (=> ?v_552 (=> ?v_553 (=> ?v_554 (=> ?v_555 (=> ?v_556 (=> ?v_557 (=> ?v_558 (=> ?v_559 (=> ?v_560 (=> ?v_561 (=> ?v_562 (=> ?v_563 (=> ?v_564 (=> ?v_565 (=> ?v_566 (=> ?v_567 (=> ?v_568 (=> ?v_569 (=> ?v_570 (=> ?v_571 (=> ?v_572 (=> ?v_573 (=> ?v_574 (=> ?v_575 (=> ?v_576 (=> ?v_577 (=> ?v_578 (=> ?v_579 (=> ?v_580 (=> ?v_581 (=> ?v_582 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.1) (=> ?v_583 (=> ?v_584 (=> ?v_585 (=> ?v_586 (=> ?v_587 (=> ?v_588 (=> ?v_589 (=> ?v_590 ?v_591)))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_494) (and (=> true (=> ?v_781 (and (=> true (=> ?v_592 (=> true (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.0 ?v_495) (=> true (=> ?v_496 (=> ?v_497 (=> ?v_498 (=> ?v_499 (=> ?v_500 (=> ?v_501 (=> ?v_502 (=> ?v_503 (=> ?v_504 (=> ?v_505 (=> ?v_506 (=> ?v_507 (=> ?v_508 (=> ?v_460 (=> ?v_509 (=> ?v_510 (=> ?v_511 (=> ?v_512 (=> ?v_513 (=> ?v_514 (=> ?v_515 (=> ?v_516 (=> ?v_517 (=> ?v_518 (=> ?v_519 (=> ?v_520 (=> ?v_521 (=> ?v_522 (=> ?v_523 (=> ?v_524 (=> ?v_525 (=> ?v_526 (=> ?v_527 (=> ?v_528 (=> ?v_529 (=> ?v_530 (=> ?v_531 (=> ?v_532 (=> ?v_533 (=> ?v_534 (=> ?v_535 (=> ?v_536 (=> ?v_537 (=> ?v_538 (=> ?v_539 (=> ?v_540 (=> ?v_541 (=> ?v_542 (=> ?v_543 (=> ?v_544 (=> ?v_545 (=> ?v_546 (=> ?v_547 (=> ?v_548 (=> ?v_549 (=> ?v_550 (=> ?v_551 (=> ?v_552 (=> ?v_553 (=> ?v_554 (=> ?v_555 (=> ?v_556 (=> ?v_557 (=> ?v_558 (=> ?v_559 (=> ?v_560 (=> ?v_561 (=> ?v_562 (=> ?v_563 (=> ?v_564 (=> ?v_565 (=> ?v_566 (=> ?v_567 (=> ?v_568 (=> ?v_569 (=> ?v_570 (=> ?v_571 (=> ?v_572 (=> ?v_573 (=> ?v_574 (=> ?v_575 (=> ?v_576 (=> ?v_577 (=> ?v_578 (=> ?v_579 (=> ?v_580 (=> ?v_581 (=> ?v_582 (=> (= inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.7 inline.ReadWriteBulkEndPoints.0..status.12.68.28.ReadWriteBulkEndPoints.0) (=> ?v_583 (=> ?v_584 (=> ?v_585 ?v_594))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))) (=> true (=> (not ?v_592) ?v_819))))) (=> true (=> (not ?v_781) (=> true (=> true (=> true (=> true ?v_819))))))))))))))))))))))))))))))))))))))))))) (let ((?v_4045 (and (=> true (=> (not ?v_3994) (and (=> true (=> (= 3 inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.1) (=> true (=> (= inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.4 inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.1) ?v_820)))) (=> true (=> (not (= 3 inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.2)) (and (=> true (=> (= 4 inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.3) (=> true (=> (= inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.4 inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.3) (=> true (=> true ?v_820)))))) (=> true (=> (not (= 4 inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.5)) (and (=> true (=> (= 2 inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.7) (=> true (and ?v_5 (=> ?v_5 (=> (> call27893formal.new.0 0) (=> (forall ((?x645 Int)) (! (=> (and (<= call27893formal.new.0 ?x645) (< ?x645 (+ call27893formal.new.0 20))) (= (Base ?x645) call27893formal.new.0)) :pattern ((Base ?x645)) )) (=> (forall ((?x646 boogieU)) (! (=> (= (type ?x646) intType) (or (= (U_2_int ?x646) call27893formal.new.0) (= (MapType0Select alloc.0 ?x646) (MapType0Select alloc.6 ?x646)))) :pattern ((MapType0Select alloc.6 ?x646)) )) (=> (and (= (MapType0Select alloc.0 ?v_821) UNALLOCATED) (= (MapType0Select alloc.6 ?v_821) ALLOCATED)) (and (=> true (=> ?v_1264 (=> true (=> (<= k.3 k.25) (=> (< k.25 5) (and (=> true (=> (=> ?v_3341 ?v_12) (=> (=> ?v_3342 ?v_13) (=> (=> ?v_3343 ?v_14) (=> (=> ?v_3344 ?v_15) (=> (=> ?v_3345 ?v_16) (=> true (=> (= errorReached.20 1) ?v_3346)))))))) (=> true (=> (=> ?v_3341 ?v_7) (=> (=> ?v_3342 ?v_8) (=> (=> ?v_3343 ?v_9) (=> (=> ?v_3344 ?v_10) (=> (=> ?v_3345 ?v_11) (=> true (=> (= errorReached.20 errorReached.2) (=> true ?v_3346))))))))))))))) (=> true (=> ?v_3284 (and (=> true (=> ?v_2104 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_3348)))) (=> true (=> ?v_3286 (and (=> true (=> ?v_2107 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_3348)))) (=> true (=> ?v_3290 (and (=> true (=> ?v_2108 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_3348)))) (=> true (=> ?v_3291 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.3..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_3348))))))))))))))))))))))) (=> true (=> (not (= 2 inline.UsbSamp_EvtIoWrite.0.myNondetVar_0.6)) (and (=> true (=> ?v_33 (=> true (=> (<= k.3 k.6) (=> (< k.6 5) (and (=> true (=> (=> ?v_3349 ?v_12) (=> (=> ?v_3963 ?v_13) (=> (=> ?v_3968 ?v_14) (=> (=> ?v_3972 ?v_15) (=> (=> ?v_3974 ?v_16) (=> true (=> (= errorReached.5 1) ?v_3992)))))))) (=> true (=> (=> ?v_3349 ?v_7) (=> (=> ?v_3963 ?v_8) (=> (=> ?v_3968 ?v_9) (=> (=> ?v_3972 ?v_10) (=> (=> ?v_3974 ?v_11) (=> true (=> (= errorReached.5 errorReached.2) (=> true ?v_3992))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= reqCompleted_2.3 reqCompleted_2) (=> (= reqCompleted_4.3 reqCompleted_4) (=> (= reqCancelSet_3.3 reqCancelSet_3) (=> (= reqCompleted_0.3 reqCompleted_0) (=> (= reqCancelSet_2.3 reqCancelSet_2) (=> (= reqCancelSet_4.3 reqCancelSet_4) (=> (= inline.sdv_WdfRequestCompleteWithInformation.2..result.userContextSwitch.7656.4.1..0 inline.sdv_WdfRequestCompleteWithInformation.2..result.userContextSwitch.7656.4.1.) (=> (= k.7 k.3) (=> (= reqCompleted_1.3 reqCompleted_1) (=> (= reqCancelSet_1.3 reqCancelSet_1) (=> (= reqCompleted_3.3 reqCompleted_3) (=> (= reqCancelSet_0.3 reqCancelSet_0) (=> (= errorReached.6 errorReached.2) (=> true (=> true (=> true ?v_3993))))))))))))))))))))))))))))))) (=> true (=> ?v_3994 (and (=> true (=> ?v_33 (=> true (=> (<= k.3 k.4) (=> (< k.4 5) (and (=> true (=> (=> ?v_3995 ?v_12) (=> (=> ?v_4008 ?v_13) (=> (=> ?v_4013 ?v_14) (=> (=> ?v_4017 ?v_15) (=> (=> ?v_4019 ?v_16) (=> true (=> (= errorReached.3 1) ?v_4037)))))))) (=> true (=> (=> ?v_3995 ?v_7) (=> (=> ?v_4008 ?v_8) (=> (=> ?v_4013 ?v_9) (=> (=> ?v_4017 ?v_10) (=> (=> ?v_4019 ?v_11) (=> true (=> (= errorReached.3 errorReached.2) (=> true ?v_4037))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= reqCompleted_2.1 reqCompleted_2) (=> (= reqCompleted_4.1 reqCompleted_4) (=> (= reqCancelSet_3.1 reqCancelSet_3) (=> (= reqCompleted_0.1 reqCompleted_0) (=> (= reqCancelSet_2.1 reqCancelSet_2) (=> (= reqCancelSet_4.1 reqCancelSet_4) (=> (= k.5 k.3) (=> (= reqCompleted_1.1 reqCompleted_1) (=> (= reqCancelSet_1.1 reqCancelSet_1) (=> (= inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1..0 inline.sdv_WdfRequestCompleteWithInformation.0..result.userContextSwitch.7656.4.1.) (=> (= reqCompleted_3.1 reqCompleted_3) (=> (= reqCancelSet_0.1 reqCancelSet_0) (=> (= errorReached.4 errorReached.2) (=> true (=> true (=> true ?v_4038)))))))))))))))))))))))) (?v_4046 (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2..0 inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2.)) (?v_4047 (= errorReached.2 errorReached.0))) (let ((?v_4048 (=> (= k.3 k.1) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4045)))))))))))) (?v_4044 (=> true (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.userContextSwitch.6841.4.2..0 call24543formal.ret.0) (=> (= errorReached.2 errorReached.1) (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hrctx) (=> (= k.3 k.2) ?v_4045)))))) (?v_4039 (= k.2 0)) (?v_4040 (= k.2 1)) (?v_4041 (= k.2 2)) (?v_4042 (= k.2 3)) (?v_4043 (= k.2 4))) (let ((?v_4056 (and (=> true (=> ?v_593 (=> true (=> (<= k.1 k.2) (=> (< k.2 5) (and (=> true (=> (=> ?v_4039 ?v_12) (=> (=> ?v_4040 ?v_13) (=> (=> ?v_4041 ?v_14) (=> (=> ?v_4042 ?v_15) (=> (=> ?v_4043 ?v_16) (=> true (=> (= errorReached.1 1) ?v_4044)))))))) (=> true (=> (=> ?v_4039 ?v_7) (=> (=> ?v_4040 ?v_8) (=> (=> ?v_4041 ?v_9) (=> (=> ?v_4042 ?v_10) (=> (=> ?v_4043 ?v_11) (=> true (=> (= errorReached.1 errorReached.0) (=> true ?v_4044))))))))))))))) (=> true (=> ?v_2019 (and (=> true (=> ?v_805 (=> true (=> ?v_4046 (=> ?v_4047 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 htctx) ?v_4048)))))) (=> true (=> ?v_2021 (and (=> true (=> ?v_808 (=> true (=> ?v_4046 (=> ?v_4047 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hqctx) ?v_4048)))))) (=> true (=> ?v_2026 (and (=> true (=> ?v_809 (=> true (=> ?v_4046 (=> ?v_4047 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 hdctx) ?v_4048)))))) (=> true (=> ?v_2027 (=> true (=> ?v_4046 (=> ?v_4047 (=> (= inline.sdv_WdfObjectGetTypedContextWorker.0..result.sdv_WdfObjectGetTypedContextWorker.6835.0.1..0 notused_ctx) ?v_4048)))))))))))))))))) (let ((?v_4057 (=> (= errorReached.0 0) (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true (=> true ?v_4056))))))))))))) (?v_4054 (= k.1 k.0)) (?v_4055 (= inline.sdv_WdfRequestGetFileObject.0..result.userContextSwitch.7051.4.2..0 call24390formal.ret.0)) (?v_4049 (= k.0 0)) (?v_4050 (= k.0 1)) (?v_4051 (= k.0 2)) (?v_4052 (= k.0 3)) (?v_4053 (= k.0 4)) (?v_6 (int_2_U call24335formal.new.0)) (?v_1 (= 0 1)) (?v_2 (= 0 2)) (?v_3 (= 0 3)) (?v_4 (= 0 4))) (not (=> true (=> (= Mem_1_T.PWDFREQUEST__ Mem_s_1_T.PWDFREQUEST__) (=> (= Mem_2_T.PWDFREQUEST__ Mem_s_2_T.PWDFREQUEST__) (=> (= Mem_3_T.PWDFREQUEST__ Mem_s_3_T.PWDFREQUEST__) (=> (= Mem_4_T.PWDFREQUEST__ Mem_s_4_T.PWDFREQUEST__) (=> (= reqCompleted_1 reqCompleted_s_1) (=> (= reqCompleted_2 reqCompleted_s_2) (=> (= reqCompleted_3 reqCompleted_s_3) (=> (= reqCompleted_4 reqCompleted_s_4) (=> (= lockStatus_1 lockStatus_s_1) (=> (= lockStatus_2 lockStatus_s_2) (=> (= lockStatus_3 lockStatus_s_3) (=> (= lockStatus_4 lockStatus_s_4) (=> (= reqCancelSet_1 reqCancelSet_s_1) (=> (= reqCancelSet_2 reqCancelSet_s_2) (=> (= reqCancelSet_3 reqCancelSet_s_3) (=> (= reqCancelSet_4 reqCancelSet_s_4) (=> (= reqCancelStarted_1 reqCancelStarted_s_1) (=> (= reqCancelStarted_2 reqCancelStarted_s_2) (=> (= reqCancelStarted_3 reqCancelStarted_s_3) (=> (= reqCancelStarted_4 reqCancelStarted_s_4) (=> (= reqCompleteSet_1 reqCompleteSet_s_1) (=> (= reqCompleteSet_2 reqCompleteSet_s_2) (=> (= reqCompleteSet_3 reqCompleteSet_s_3) (=> (= reqCompleteSet_4 reqCompleteSet_s_4) (=> (= reqSent_1 reqSent_s_1) (=> (= reqSent_2 reqSent_s_2) (=> (= reqSent_3 reqSent_s_3) (=> (= reqSent_4 reqSent_s_4) (=> true (=> (=> ?v_0 ?v_7) (=> (=> ?v_1 ?v_8) (=> (=> ?v_2 ?v_9) (=> (=> ?v_3 ?v_10) (=> (=> ?v_4 ?v_11) (=> true (=> (=> ?v_0 (= reqCancelSet_0 0)) (=> (=> ?v_1 (= reqCancelSet_1 0)) (=> (=> ?v_2 (= reqCancelSet_2 0)) (=> (=> ?v_3 (= reqCancelSet_3 0)) (=> (=> ?v_4 (= reqCancelSet_4 0)) (=> true (=> (=> ?v_0 (= reqCancelStarted_0 0)) (=> (=> ?v_1 (= reqCancelStarted_1 0)) (=> (=> ?v_2 (= reqCancelStarted_2 0)) (=> (=> ?v_3 (= reqCancelStarted_3 0)) (=> (=> ?v_4 (= reqCancelStarted_4 0)) (=> true (=> (=> ?v_0 (= lockStatus_0 0)) (=> (=> ?v_1 (= lockStatus_1 0)) (=> (=> ?v_2 (= lockStatus_2 0)) (=> (=> ?v_3 (= lockStatus_3 0)) (=> (=> ?v_4 (= lockStatus_4 0)) (=> true (=> (=> ?v_0 (= reqCompleteSet_0 0)) (=> (=> ?v_1 (= reqCompleteSet_1 0)) (=> (=> ?v_2 (= reqCompleteSet_2 0)) (=> (=> ?v_3 (= reqCompleteSet_3 0)) (=> (=> ?v_4 (= reqCompleteSet_4 0)) (=> true (=> (=> ?v_0 (= reqSent_0 0)) (=> (=> ?v_1 (= reqSent_1 0)) (=> (=> ?v_2 (= reqSent_2 0)) (=> (=> ?v_3 (= reqSent_3 0)) (=> (=> ?v_4 (= reqSent_4 0)) (=> true (and ?v_5 (=> ?v_5 (=> (> call24335formal.new.0 0) (=> (forall ((?x657 Int)) (! (=> (and (<= call24335formal.new.0 ?x657) (< ?x657 (+ call24335formal.new.0 20))) (= (Base ?x657) call24335formal.new.0)) :pattern ((Base ?x657)) )) (=> (forall ((?x658 boogieU)) (! (=> (= (type ?x658) intType) (or (= (U_2_int ?x658) call24335formal.new.0) (= (MapType0Select alloc ?x658) (MapType0Select alloc.0 ?x658)))) :pattern ((MapType0Select alloc.0 ?x658)) )) (=> (and (= (MapType0Select alloc ?v_6) UNALLOCATED) (= (MapType0Select alloc.0 ?v_6) ALLOCATED)) (and (=> true (=> ?v_33 (=> true (=> (<= 0 k.0) (=> (< k.0 5) (and (=> true (=> (=> ?v_4049 ?v_12) (=> (=> ?v_4050 ?v_13) (=> (=> ?v_4051 ?v_14) (=> (=> ?v_4052 ?v_15) (=> (=> ?v_4053 ?v_16) (=> true (=> ?v_4054 (=> ?v_4055 (=> (= errorReached.0 1) ?v_4056)))))))))) (=> true (=> (=> ?v_4049 ?v_7) (=> (=> ?v_4050 ?v_8) (=> (=> ?v_4051 ?v_9) (=> (=> ?v_4052 ?v_10) (=> (=> ?v_4053 ?v_11) (=> true (=> ?v_4054 (=> ?v_4055 ?v_4057))))))))))))))) (=> true (=> ?v_99 (=> true (=> (= k.1 0) (=> (= inline.sdv_WdfRequestGetFileObject.0..result.userContextSwitch.7051.4.2..0 inline.sdv_WdfRequestGetFileObject.0..result.userContextSwitch.7051.4.2.) ?v_4057))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
